/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the AArch64 target                         *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 97;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(AArch64InstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(AArch64InstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static AArch64InstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static AArch64InstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(2),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_s8,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_s128,
  GILLT_v2s32,
  GILLT_v2s64,
  GILLT_v4s16,
  GILLT_v4s32,
  GILLT_v8s8,
  GILLT_v8s16,
  GILLT_v16s8,
  GILLT_nxv1s1,
  GILLT_nxv2s1,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv8s1,
  GILLT_nxv8s16,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
};
const static size_t NumTypeObjects = 24;
const static LLT TypeObjects[] = {
  LLT::scalar(8),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::scalar(128),
  LLT::vector(ElementCount::getFixed(2), 32),
  LLT::vector(ElementCount::getFixed(2), 64),
  LLT::vector(ElementCount::getFixed(4), 16),
  LLT::vector(ElementCount::getFixed(4), 32),
  LLT::vector(ElementCount::getFixed(8), 8),
  LLT::vector(ElementCount::getFixed(8), 16),
  LLT::vector(ElementCount::getFixed(16), 8),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasPAuthBit = 6,
  Feature_HasJSBit = 8,
  Feature_HasComplxNumBit = 68,
  Feature_HasRCPC_IMMOBit = 88,
  Feature_HasFPARMv8Bit = 7,
  Feature_HasNEONBit = 5,
  Feature_HasSM4Bit = 67,
  Feature_HasSHA3Bit = 66,
  Feature_HasSHA2Bit = 19,
  Feature_HasAESBit = 18,
  Feature_HasDotProdBit = 2,
  Feature_HasCRCBit = 10,
  Feature_HasCSSCBit = 20,
  Feature_HasNoCSSCBit = 29,
  Feature_HasLSEBit = 30,
  Feature_HasNoLSEBit = 96,
  Feature_HasRDMBit = 16,
  Feature_HasFullFP16Bit = 13,
  Feature_HasNoFullFP16Bit = 85,
  Feature_HasFP16FMLBit = 4,
  Feature_HasFuseAESBit = 79,
  Feature_HasSVEBit = 26,
  Feature_HasSVE2Bit = 27,
  Feature_HasSVE2p1Bit = 45,
  Feature_HasSVEAESBit = 37,
  Feature_HasSVE2SM4Bit = 42,
  Feature_HasSVE2SHA3Bit = 95,
  Feature_HasSVEBitPermBit = 39,
  Feature_HasSMEandIsNonStreamingSafeBit = 58,
  Feature_HasSMEBit = 51,
  Feature_HasSMEF64F64Bit = 53,
  Feature_HasSMEF16F16Bit = 61,
  Feature_HasSMEI16I64Bit = 56,
  Feature_HasSME2andIsNonStreamingSafeBit = 63,
  Feature_HasSME2Bit = 60,
  Feature_HasSME2p1Bit = 65,
  Feature_HasFP8Bit = 21,
  Feature_HasFAMINMAXBit = 22,
  Feature_HasFP8FMABit = 23,
  Feature_HasSSVE_FP8FMABit = 48,
  Feature_HasFP8DOT2Bit = 24,
  Feature_HasSSVE_FP8DOT2Bit = 43,
  Feature_HasFP8DOT4Bit = 25,
  Feature_HasSSVE_FP8DOT4Bit = 49,
  Feature_HasLUTBit = 50,
  Feature_HasSME_LUTv2Bit = 64,
  Feature_HasSMEF8F16Bit = 54,
  Feature_HasSMEF8F32Bit = 52,
  Feature_HasSME_MOP4Bit = 57,
  Feature_HasSME_TMOPBit = 62,
  Feature_HasCMPBRBit = 86,
  Feature_HasFPRCVTBit = 14,
  Feature_HasLSFEBit = 31,
  Feature_HasSVE_or_SMEBit = 0,
  Feature_HasNonStreamingSVE_or_SME2p2Bit = 40,
  Feature_HasSVE2_or_SMEBit = 33,
  Feature_HasSVE2_or_SME2Bit = 47,
  Feature_HasNonStreamingSVE2_or_SSVE_AESBit = 36,
  Feature_HasSVE2p1_or_SMEBit = 59,
  Feature_HasSVE2p1_or_SME2Bit = 28,
  Feature_HasSVE2p1_or_SME2p1Bit = 46,
  Feature_HasSVE2p2_or_SME2p2Bit = 32,
  Feature_HasSMEF16F16_or_SMEF8F16Bit = 55,
  Feature_HasNonStreamingSVE2_or_SSVE_BitPermBit = 38,
  Feature_HasNonStreamingSVE_or_SSVE_FEXPABit = 41,
  Feature_HasNEONandIsStreamingSafeBit = 17,
  Feature_HasNEONandIsSME2p2StreamingSafeBit = 76,
  Feature_HasRCPCBit = 87,
  Feature_HasFRInt3264Bit = 15,
  Feature_HasMTEBit = 11,
  Feature_HasTMEBit = 9,
  Feature_HasMatMulInt8Bit = 3,
  Feature_HasMatMulFP32Bit = 94,
  Feature_HasMatMulFP64Bit = 44,
  Feature_HasLS64Bit = 83,
  Feature_HasHBCBit = 12,
  Feature_HasRCPC3Bit = 84,
  Feature_HasGCSBit = 1,
  Feature_IsLEBit = 74,
  Feature_IsBEBit = 80,
  Feature_UseExperimentalZeroingPseudosBit = 35,
  Feature_UseAlternateSExtLoadCVTF32Bit = 78,
  Feature_UseScalarIncVLBit = 34,
  Feature_NoUseScalarIncVLBit = 91,
  Feature_HasFastIncVLBit = 92,
  Feature_UseSVEFPLD1RBit = 90,
  Feature_UseLDAPURBit = 89,
  Feature_AllowMisalignedMemAccessesBit = 93,
  Feature_NotForCodeSizeBit = 77,
  Feature_UseSTRQroBit = 75,
  Feature_TailCallX16X17Bit = 70,
  Feature_TailCallX17Bit = 81,
  Feature_TailCallNotX16Bit = 82,
  Feature_TailCallAnyBit = 69,
  Feature_SLSBLRMitigationBit = 73,
  Feature_NoSLSBLRMitigationBit = 72,
  Feature_OptimizedGISelOrOtherSelectorBit = 71,
};

PredicateBitset AArch64InstructionSelector::
computeAvailableModuleFeatures(const AArch64Subtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasPAuth())
    Features.set(Feature_HasPAuthBit);
  if (Subtarget->hasJS())
    Features.set(Feature_HasJSBit);
  if (Subtarget->hasComplxNum())
    Features.set(Feature_HasComplxNumBit);
  if (Subtarget->hasRCPC_IMMO())
    Features.set(Feature_HasRCPC_IMMOBit);
  if (Subtarget->hasFPARMv8())
    Features.set(Feature_HasFPARMv8Bit);
  if (Subtarget->isNeonAvailable())
    Features.set(Feature_HasNEONBit);
  if (Subtarget->hasSM4())
    Features.set(Feature_HasSM4Bit);
  if (Subtarget->hasSHA3())
    Features.set(Feature_HasSHA3Bit);
  if (Subtarget->hasSHA2())
    Features.set(Feature_HasSHA2Bit);
  if (Subtarget->hasAES())
    Features.set(Feature_HasAESBit);
  if (Subtarget->hasDotProd())
    Features.set(Feature_HasDotProdBit);
  if (Subtarget->hasCRC())
    Features.set(Feature_HasCRCBit);
  if (Subtarget->hasCSSC())
    Features.set(Feature_HasCSSCBit);
  if (!Subtarget->hasCSSC())
    Features.set(Feature_HasNoCSSCBit);
  if (Subtarget->hasLSE())
    Features.set(Feature_HasLSEBit);
  if (!Subtarget->hasLSE())
    Features.set(Feature_HasNoLSEBit);
  if (Subtarget->hasRDM())
    Features.set(Feature_HasRDMBit);
  if (Subtarget->hasFullFP16())
    Features.set(Feature_HasFullFP16Bit);
  if (!Subtarget->hasFullFP16())
    Features.set(Feature_HasNoFullFP16Bit);
  if (Subtarget->hasFP16FML())
    Features.set(Feature_HasFP16FMLBit);
  if (Subtarget->hasFuseAES())
    Features.set(Feature_HasFuseAESBit);
  if (Subtarget->isSVEAvailable())
    Features.set(Feature_HasSVEBit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2())
    Features.set(Feature_HasSVE2Bit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2p1())
    Features.set(Feature_HasSVE2p1Bit);
  if (Subtarget->hasSVEAES())
    Features.set(Feature_HasSVEAESBit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2SM4())
    Features.set(Feature_HasSVE2SM4Bit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2SHA3())
    Features.set(Feature_HasSVE2SHA3Bit);
  if (Subtarget->hasSVEBitPerm())
    Features.set(Feature_HasSVEBitPermBit);
  if (Subtarget->hasSME())
    Features.set(Feature_HasSMEandIsNonStreamingSafeBit);
  if (Subtarget->isStreaming() && Subtarget->hasSME())
    Features.set(Feature_HasSMEBit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF64F64())
    Features.set(Feature_HasSMEF64F64Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF16F16())
    Features.set(Feature_HasSMEF16F16Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEI16I64())
    Features.set(Feature_HasSMEI16I64Bit);
  if (Subtarget->hasSME2())
    Features.set(Feature_HasSME2andIsNonStreamingSafeBit);
  if (Subtarget->isStreaming() && Subtarget->hasSME2())
    Features.set(Feature_HasSME2Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSME2p1())
    Features.set(Feature_HasSME2p1Bit);
  if (Subtarget->hasFP8())
    Features.set(Feature_HasFP8Bit);
  if (Subtarget->hasFAMINMAX())
    Features.set(Feature_HasFAMINMAXBit);
  if (Subtarget->hasFP8FMA())
    Features.set(Feature_HasFP8FMABit);
  if (Subtarget->hasSSVE_FP8FMA() || (Subtarget->hasSVE2() && Subtarget->hasFP8FMA()))
    Features.set(Feature_HasSSVE_FP8FMABit);
  if (Subtarget->hasFP8DOT2())
    Features.set(Feature_HasFP8DOT2Bit);
  if (Subtarget->hasSSVE_FP8DOT2() || (Subtarget->hasSVE2() && Subtarget->hasFP8DOT2()))
    Features.set(Feature_HasSSVE_FP8DOT2Bit);
  if (Subtarget->hasFP8DOT4())
    Features.set(Feature_HasFP8DOT4Bit);
  if (Subtarget->hasSSVE_FP8DOT4() || (Subtarget->hasSVE2() && Subtarget->hasFP8DOT4()))
    Features.set(Feature_HasSSVE_FP8DOT4Bit);
  if (Subtarget->hasLUT())
    Features.set(Feature_HasLUTBit);
  if (Subtarget->isStreaming() && Subtarget->hasSME_LUTv2())
    Features.set(Feature_HasSME_LUTv2Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF8F16())
    Features.set(Feature_HasSMEF8F16Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF8F32())
    Features.set(Feature_HasSMEF8F32Bit);
  if ((Subtarget->isStreaming() && Subtarget->hasSME_MOP4()))
    Features.set(Feature_HasSME_MOP4Bit);
  if ((Subtarget->isStreaming() && Subtarget->hasSME_TMOP()))
    Features.set(Feature_HasSME_TMOPBit);
  if (Subtarget->hasCMPBR())
    Features.set(Feature_HasCMPBRBit);
  if (Subtarget->hasFPRCVT())
    Features.set(Feature_HasFPRCVTBit);
  if (Subtarget->hasLSFE())
    Features.set(Feature_HasLSFEBit);
  if (Subtarget->hasSVE() || (Subtarget->isStreaming() && Subtarget->hasSME()))
    Features.set(Feature_HasSVE_or_SMEBit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSME2p2()))
    Features.set(Feature_HasNonStreamingSVE_or_SME2p2Bit);
  if (Subtarget->hasSVE2() || (Subtarget->isStreaming() && Subtarget->hasSME()))
    Features.set(Feature_HasSVE2_or_SMEBit);
  if (Subtarget->hasSVE2() || (Subtarget->isStreaming() && Subtarget->hasSME2()))
    Features.set(Feature_HasSVE2_or_SME2Bit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE2()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSSVE_AES()))
    Features.set(Feature_HasNonStreamingSVE2_or_SSVE_AESBit);
  if (Subtarget->hasSVE2p1() || (Subtarget->isStreaming() && Subtarget->hasSME()))
    Features.set(Feature_HasSVE2p1_or_SMEBit);
  if (Subtarget->hasSVE2p1() || (Subtarget->isStreaming() && Subtarget->hasSME2()))
    Features.set(Feature_HasSVE2p1_or_SME2Bit);
  if (Subtarget->hasSVE2p1() || (Subtarget->isStreaming() && Subtarget->hasSME2p1()))
    Features.set(Feature_HasSVE2p1_or_SME2p1Bit);
  if (Subtarget->isSVEorStreamingSVEAvailable() && (Subtarget->hasSVE2p2() || Subtarget->hasSME2p2()))
    Features.set(Feature_HasSVE2p2_or_SME2p2Bit);
  if (Subtarget->isStreaming() && (Subtarget->hasSMEF16F16() || Subtarget->hasSMEF8F16()))
    Features.set(Feature_HasSMEF16F16_or_SMEF8F16Bit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE2()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSSVE_BitPerm()))
    Features.set(Feature_HasNonStreamingSVE2_or_SSVE_BitPermBit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSSVE_FEXPA()))
    Features.set(Feature_HasNonStreamingSVE_or_SSVE_FEXPABit);
  if (Subtarget->hasNEON())
    Features.set(Feature_HasNEONandIsStreamingSafeBit);
  if (Subtarget->isNeonAvailable() || (Subtarget->hasNEON() && Subtarget->hasSME2p2()))
    Features.set(Feature_HasNEONandIsSME2p2StreamingSafeBit);
  if (Subtarget->hasRCPC())
    Features.set(Feature_HasRCPCBit);
  if (Subtarget->hasFRInt3264())
    Features.set(Feature_HasFRInt3264Bit);
  if (Subtarget->hasMTE())
    Features.set(Feature_HasMTEBit);
  if (Subtarget->hasTME())
    Features.set(Feature_HasTMEBit);
  if (Subtarget->hasMatMulInt8())
    Features.set(Feature_HasMatMulInt8Bit);
  if (Subtarget->hasMatMulFP32())
    Features.set(Feature_HasMatMulFP32Bit);
  if (Subtarget->hasMatMulFP64())
    Features.set(Feature_HasMatMulFP64Bit);
  if (Subtarget->hasLS64())
    Features.set(Feature_HasLS64Bit);
  if (Subtarget->hasHBC())
    Features.set(Feature_HasHBCBit);
  if (Subtarget->hasRCPC3())
    Features.set(Feature_HasRCPC3Bit);
  if (Subtarget->hasGCS())
    Features.set(Feature_HasGCSBit);
  if (Subtarget->isLittleEndian())
    Features.set(Feature_IsLEBit);
  if (!Subtarget->isLittleEndian())
    Features.set(Feature_IsBEBit);
  if (Subtarget->useExperimentalZeroingPseudos())
    Features.set(Feature_UseExperimentalZeroingPseudosBit);
  if (Subtarget->useAlternateSExtLoadCVTF32Pattern())
    Features.set(Feature_UseAlternateSExtLoadCVTF32Bit);
  if (Subtarget->useScalarIncVL())
    Features.set(Feature_UseScalarIncVLBit);
  if (!Subtarget->useScalarIncVL())
    Features.set(Feature_NoUseScalarIncVLBit);
  if (!Subtarget->hasDisableFastIncVL())
    Features.set(Feature_HasFastIncVLBit);
  if (!Subtarget->noSVEFPLD1R())
    Features.set(Feature_UseSVEFPLD1RBit);
  if (!Subtarget->avoidLDAPUR())
    Features.set(Feature_UseLDAPURBit);
  if (!Subtarget->requiresStrictAlign())
    Features.set(Feature_AllowMisalignedMemAccessesBit);
  return Features;
}

void AArch64InstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const AArch64Subtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset AArch64InstructionSelector::
computeAvailableFunctionFeatures(const AArch64Subtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  if (!shouldOptForSize(MF))
    Features.set(Feature_NotForCodeSizeBit);
  if (!Subtarget->isSTRQroSlow() || shouldOptForSize(MF))
    Features.set(Feature_UseSTRQroBit);
  if (  MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && !MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallX16X17Bit);
  if ( MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallX17Bit);
  if ( !MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallNotX16Bit);
  if ( !MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && !MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallAnyBit);
  if ( MF->getSubtarget<AArch64Subtarget>().hardenSlsBlr() )
    Features.set(Feature_SLSBLRMitigationBit);
  if ( !MF->getSubtarget<AArch64Subtarget>().hardenSlsBlr() )
    Features.set(Feature_NoSLSBLRMitigationBit);
  if (!MF->getFunction().hasOptNone() || MF->getProperties().hasProperty(MachineFunctionProperties::Property::FailedISel) || !MF->getProperties().hasProperty(MachineFunctionProperties::Property::Legalized))
    Features.set(Feature_OptimizedGISelOrOtherSelectorBit);
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HasAES,
  GIFBS_HasCRC,
  GIFBS_HasCSSC,
  GIFBS_HasDotProd,
  GIFBS_HasFP8,
  GIFBS_HasFP8DOT2,
  GIFBS_HasFP8DOT4,
  GIFBS_HasFP8FMA,
  GIFBS_HasFPARMv8,
  GIFBS_HasFRInt3264,
  GIFBS_HasFullFP16,
  GIFBS_HasFuseAES,
  GIFBS_HasGCS,
  GIFBS_HasLSE,
  GIFBS_HasLSFE,
  GIFBS_HasLUT,
  GIFBS_HasMTE,
  GIFBS_HasMatMulInt8,
  GIFBS_HasNEON,
  GIFBS_HasNEONandIsSME2p2StreamingSafe,
  GIFBS_HasNEONandIsStreamingSafe,
  GIFBS_HasNoCSSC,
  GIFBS_HasNoFullFP16,
  GIFBS_HasNoLSE,
  GIFBS_HasNonStreamingSVE_or_SME2p2,
  GIFBS_HasNonStreamingSVE_or_SSVE_FEXPA,
  GIFBS_HasPAuth,
  GIFBS_HasRCPC,
  GIFBS_HasRCPC_IMMO,
  GIFBS_HasRDM,
  GIFBS_HasSHA2,
  GIFBS_HasSHA3,
  GIFBS_HasSM4,
  GIFBS_HasSME,
  GIFBS_HasSME2,
  GIFBS_HasSMEF16F16_or_SMEF8F16,
  GIFBS_HasSMEF64F64,
  GIFBS_HasSMEF8F16,
  GIFBS_HasSMEF8F32,
  GIFBS_HasSMEI16I64,
  GIFBS_HasSME_MOP4,
  GIFBS_HasSMEandIsNonStreamingSafe,
  GIFBS_HasSSVE_FP8DOT2,
  GIFBS_HasSSVE_FP8DOT4,
  GIFBS_HasSSVE_FP8FMA,
  GIFBS_HasSVE,
  GIFBS_HasSVE2,
  GIFBS_HasSVE2SHA3,
  GIFBS_HasSVE2SM4,
  GIFBS_HasSVE2_or_SME,
  GIFBS_HasSVE2p1_or_SME,
  GIFBS_HasSVE2p1_or_SME2,
  GIFBS_HasSVE2p1_or_SME2p1,
  GIFBS_HasSVE_or_SME,
  GIFBS_HasTME,
  GIFBS_IsBE,
  GIFBS_IsLE,
  GIFBS_OptimizedGISelOrOtherSelector,
  GIFBS_UseSTRQro,
  GIFBS_HasComplxNum_HasNEON,
  GIFBS_HasFAMINMAX_HasNEON,
  GIFBS_HasFAMINMAX_HasSVE2_or_SME2,
  GIFBS_HasFP16FML_HasNEON,
  GIFBS_HasFP8_HasSVE2_or_SME2,
  GIFBS_HasFPARMv8_HasJS,
  GIFBS_HasFPRCVT_HasNEON,
  GIFBS_HasFullFP16_HasNEON,
  GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe,
  GIFBS_HasFullFP16_HasNEONandIsStreamingSafe,
  GIFBS_HasLUT_HasSVE2_or_SME2,
  GIFBS_HasMatMulFP32_HasSVE,
  GIFBS_HasMatMulFP64_HasSVE,
  GIFBS_HasMatMulFP64_HasSVE_or_SME,
  GIFBS_HasMatMulInt8_HasSVE,
  GIFBS_HasMatMulInt8_HasSVE_or_SME,
  GIFBS_HasNEON_HasRCPC3,
  GIFBS_HasNEON_HasRDM,
  GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES,
  GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm,
  GIFBS_HasRCPC_IMMO_UseLDAPUR,
  GIFBS_HasSMEF16F16_HasSME_MOP4,
  GIFBS_HasSMEF64F64_HasSME_MOP4,
  GIFBS_HasSMEF8F16_HasSME_MOP4,
  GIFBS_HasSMEF8F32_HasSME_MOP4,
  GIFBS_HasSMEI16I64_HasSME_MOP4,
  GIFBS_HasSVE_or_SME_IsLE,
  GIFBS_HasSVE_or_SME_UseScalarIncVL,
  GIFBS_IsLE_UseSTRQro,
  GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE,
  GIFBS_HasComplxNum_HasFullFP16_HasNEON,
  GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HasAESBit, },
  {Feature_HasCRCBit, },
  {Feature_HasCSSCBit, },
  {Feature_HasDotProdBit, },
  {Feature_HasFP8Bit, },
  {Feature_HasFP8DOT2Bit, },
  {Feature_HasFP8DOT4Bit, },
  {Feature_HasFP8FMABit, },
  {Feature_HasFPARMv8Bit, },
  {Feature_HasFRInt3264Bit, },
  {Feature_HasFullFP16Bit, },
  {Feature_HasFuseAESBit, },
  {Feature_HasGCSBit, },
  {Feature_HasLSEBit, },
  {Feature_HasLSFEBit, },
  {Feature_HasLUTBit, },
  {Feature_HasMTEBit, },
  {Feature_HasMatMulInt8Bit, },
  {Feature_HasNEONBit, },
  {Feature_HasNEONandIsSME2p2StreamingSafeBit, },
  {Feature_HasNEONandIsStreamingSafeBit, },
  {Feature_HasNoCSSCBit, },
  {Feature_HasNoFullFP16Bit, },
  {Feature_HasNoLSEBit, },
  {Feature_HasNonStreamingSVE_or_SME2p2Bit, },
  {Feature_HasNonStreamingSVE_or_SSVE_FEXPABit, },
  {Feature_HasPAuthBit, },
  {Feature_HasRCPCBit, },
  {Feature_HasRCPC_IMMOBit, },
  {Feature_HasRDMBit, },
  {Feature_HasSHA2Bit, },
  {Feature_HasSHA3Bit, },
  {Feature_HasSM4Bit, },
  {Feature_HasSMEBit, },
  {Feature_HasSME2Bit, },
  {Feature_HasSMEF16F16_or_SMEF8F16Bit, },
  {Feature_HasSMEF64F64Bit, },
  {Feature_HasSMEF8F16Bit, },
  {Feature_HasSMEF8F32Bit, },
  {Feature_HasSMEI16I64Bit, },
  {Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEandIsNonStreamingSafeBit, },
  {Feature_HasSSVE_FP8DOT2Bit, },
  {Feature_HasSSVE_FP8DOT4Bit, },
  {Feature_HasSSVE_FP8FMABit, },
  {Feature_HasSVEBit, },
  {Feature_HasSVE2Bit, },
  {Feature_HasSVE2SHA3Bit, },
  {Feature_HasSVE2SM4Bit, },
  {Feature_HasSVE2_or_SMEBit, },
  {Feature_HasSVE2p1_or_SMEBit, },
  {Feature_HasSVE2p1_or_SME2Bit, },
  {Feature_HasSVE2p1_or_SME2p1Bit, },
  {Feature_HasSVE_or_SMEBit, },
  {Feature_HasTMEBit, },
  {Feature_IsBEBit, },
  {Feature_IsLEBit, },
  {Feature_OptimizedGISelOrOtherSelectorBit, },
  {Feature_UseSTRQroBit, },
  {Feature_HasComplxNumBit, Feature_HasNEONBit, },
  {Feature_HasFAMINMAXBit, Feature_HasNEONBit, },
  {Feature_HasFAMINMAXBit, Feature_HasSVE2_or_SME2Bit, },
  {Feature_HasFP16FMLBit, Feature_HasNEONBit, },
  {Feature_HasFP8Bit, Feature_HasSVE2_or_SME2Bit, },
  {Feature_HasFPARMv8Bit, Feature_HasJSBit, },
  {Feature_HasFPRCVTBit, Feature_HasNEONBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONandIsSME2p2StreamingSafeBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONandIsStreamingSafeBit, },
  {Feature_HasLUTBit, Feature_HasSVE2_or_SME2Bit, },
  {Feature_HasMatMulFP32Bit, Feature_HasSVEBit, },
  {Feature_HasMatMulFP64Bit, Feature_HasSVEBit, },
  {Feature_HasMatMulFP64Bit, Feature_HasSVE_or_SMEBit, },
  {Feature_HasMatMulInt8Bit, Feature_HasSVEBit, },
  {Feature_HasMatMulInt8Bit, Feature_HasSVE_or_SMEBit, },
  {Feature_HasNEONBit, Feature_HasRCPC3Bit, },
  {Feature_HasNEONBit, Feature_HasRDMBit, },
  {Feature_HasNonStreamingSVE2_or_SSVE_AESBit, Feature_HasSVEAESBit, },
  {Feature_HasNonStreamingSVE2_or_SSVE_BitPermBit, Feature_HasSVEBitPermBit, },
  {Feature_HasRCPC_IMMOBit, Feature_UseLDAPURBit, },
  {Feature_HasSMEF16F16Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEF64F64Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEF8F16Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEF8F32Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEI16I64Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSVE_or_SMEBit, Feature_IsLEBit, },
  {Feature_HasSVE_or_SMEBit, Feature_UseScalarIncVLBit, },
  {Feature_IsLEBit, Feature_UseSTRQroBit, },
  {Feature_AllowMisalignedMemAccessesBit, Feature_HasSVE_or_SMEBit, Feature_IsLEBit, },
  {Feature_HasComplxNumBit, Feature_HasFullFP16Bit, Feature_HasNEONBit, },
  {Feature_HasNEONBit, Feature_NotForCodeSizeBit, Feature_UseAlternateSExtLoadCVTF32Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_gi_addsub_shifted_imm32,
  GICP_gi_addsub_shifted_imm64,
  GICP_gi_am_indexed128,
  GICP_gi_am_indexed16,
  GICP_gi_am_indexed32,
  GICP_gi_am_indexed64,
  GICP_gi_am_indexed8,
  GICP_gi_am_unscaled128,
  GICP_gi_am_unscaled16,
  GICP_gi_am_unscaled32,
  GICP_gi_am_unscaled64,
  GICP_gi_am_unscaled8,
  GICP_gi_arith_extended_reg32_i32,
  GICP_gi_arith_extended_reg32_i64,
  GICP_gi_arith_extended_reg32to64_i64,
  GICP_gi_arith_shifted_reg32,
  GICP_gi_arith_shifted_reg64,
  GICP_gi_extract_high_v16i8,
  GICP_gi_extract_high_v4f32,
  GICP_gi_extract_high_v4i32,
  GICP_gi_extract_high_v8f16,
  GICP_gi_extract_high_v8i16,
  GICP_gi_logical_shifted_reg32,
  GICP_gi_logical_shifted_reg64,
  GICP_gi_neg_addsub_shifted_imm32,
  GICP_gi_neg_addsub_shifted_imm64,
  GICP_gi_ro_Windexed128,
  GICP_gi_ro_Windexed16,
  GICP_gi_ro_Windexed32,
  GICP_gi_ro_Windexed64,
  GICP_gi_ro_Windexed8,
  GICP_gi_ro_Xindexed128,
  GICP_gi_ro_Xindexed16,
  GICP_gi_ro_Xindexed32,
  GICP_gi_ro_Xindexed64,
  GICP_gi_ro_Xindexed8,
};
// See constructor for table contents

AArch64InstructionSelector::ComplexMatcherMemFn
AArch64InstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &AArch64InstructionSelector::selectArithImmed, // gi_addsub_shifted_imm32
  &AArch64InstructionSelector::selectArithImmed, // gi_addsub_shifted_imm64
  &AArch64InstructionSelector::selectAddrModeIndexed<128>, // gi_am_indexed128
  &AArch64InstructionSelector::selectAddrModeIndexed<16>, // gi_am_indexed16
  &AArch64InstructionSelector::selectAddrModeIndexed<32>, // gi_am_indexed32
  &AArch64InstructionSelector::selectAddrModeIndexed<64>, // gi_am_indexed64
  &AArch64InstructionSelector::selectAddrModeIndexed<8>, // gi_am_indexed8
  &AArch64InstructionSelector::selectAddrModeUnscaled128, // gi_am_unscaled128
  &AArch64InstructionSelector::selectAddrModeUnscaled16, // gi_am_unscaled16
  &AArch64InstructionSelector::selectAddrModeUnscaled32, // gi_am_unscaled32
  &AArch64InstructionSelector::selectAddrModeUnscaled64, // gi_am_unscaled64
  &AArch64InstructionSelector::selectAddrModeUnscaled8, // gi_am_unscaled8
  &AArch64InstructionSelector::selectArithExtendedRegister, // gi_arith_extended_reg32_i32
  &AArch64InstructionSelector::selectArithExtendedRegister, // gi_arith_extended_reg32_i64
  &AArch64InstructionSelector::selectArithExtendedRegister, // gi_arith_extended_reg32to64_i64
  &AArch64InstructionSelector::selectArithShiftedRegister, // gi_arith_shifted_reg32
  &AArch64InstructionSelector::selectArithShiftedRegister, // gi_arith_shifted_reg64
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v16i8
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v4f32
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v4i32
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v8f16
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v8i16
  &AArch64InstructionSelector::selectLogicalShiftedRegister, // gi_logical_shifted_reg32
  &AArch64InstructionSelector::selectLogicalShiftedRegister, // gi_logical_shifted_reg64
  &AArch64InstructionSelector::selectNegArithImmed, // gi_neg_addsub_shifted_imm32
  &AArch64InstructionSelector::selectNegArithImmed, // gi_neg_addsub_shifted_imm64
  &AArch64InstructionSelector::selectAddrModeWRO<128>, // gi_ro_Windexed128
  &AArch64InstructionSelector::selectAddrModeWRO<16>, // gi_ro_Windexed16
  &AArch64InstructionSelector::selectAddrModeWRO<32>, // gi_ro_Windexed32
  &AArch64InstructionSelector::selectAddrModeWRO<64>, // gi_ro_Windexed64
  &AArch64InstructionSelector::selectAddrModeWRO<8>, // gi_ro_Windexed8
  &AArch64InstructionSelector::selectAddrModeXRO<128>, // gi_ro_Xindexed128
  &AArch64InstructionSelector::selectAddrModeXRO<16>, // gi_ro_Xindexed16
  &AArch64InstructionSelector::selectAddrModeXRO<32>, // gi_ro_Xindexed32
  &AArch64InstructionSelector::selectAddrModeXRO<64>, // gi_ro_Xindexed64
  &AArch64InstructionSelector::selectAddrModeXRO<8>, // gi_ro_Xindexed8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_and_or_is_add = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_ldaxr_1,
  GICXXPred_MI_Predicate_ldaxr_2,
  GICXXPred_MI_Predicate_ldaxr_4,
  GICXXPred_MI_Predicate_ldaxr_8,
  GICXXPred_MI_Predicate_ldxr_1,
  GICXXPred_MI_Predicate_ldxr_2,
  GICXXPred_MI_Predicate_ldxr_4,
  GICXXPred_MI_Predicate_ldxr_8,
  GICXXPred_MI_Predicate_stlxr_1,
  GICXXPred_MI_Predicate_stlxr_2,
  GICXXPred_MI_Predicate_stlxr_4,
  GICXXPred_MI_Predicate_stlxr_8,
  GICXXPred_MI_Predicate_stxr_1,
  GICXXPred_MI_Predicate_stxr_2,
  GICXXPred_MI_Predicate_stxr_4,
  GICXXPred_MI_Predicate_stxr_8,
};
bool AArch64InstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_and_or_is_add: {
    
         return mi_match(MI, MRI, m_GAddLike(m_Reg(), m_Reg()));
      
  }
  case GICXXPred_MI_Predicate_ldaxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_ldaxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_ldaxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_ldaxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  case GICXXPred_MI_Predicate_ldxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_ldxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_ldxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_ldxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  case GICXXPred_MI_Predicate_stlxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_stlxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_stlxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_stlxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  case GICXXPred_MI_Predicate_stxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_stxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_stxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_stxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_VectorIndex0 = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_VectorIndex0_timm,
  GICXXPred_I64_Predicate_VectorIndex1,
  GICXXPred_I64_Predicate_VectorIndex1_timm,
  GICXXPred_I64_Predicate_VectorIndex032b,
  GICXXPred_I64_Predicate_VectorIndex032b_timm,
  GICXXPred_I64_Predicate_VectorIndex132b,
  GICXXPred_I64_Predicate_VectorIndex132b_timm,
  GICXXPred_I64_Predicate_VectorIndexB,
  GICXXPred_I64_Predicate_VectorIndexB32b,
  GICXXPred_I64_Predicate_VectorIndexB32b_timm,
  GICXXPred_I64_Predicate_VectorIndexB_timm,
  GICXXPred_I64_Predicate_VectorIndexD,
  GICXXPred_I64_Predicate_VectorIndexD32b,
  GICXXPred_I64_Predicate_VectorIndexD32b_timm,
  GICXXPred_I64_Predicate_VectorIndexD_timm,
  GICXXPred_I64_Predicate_VectorIndexH,
  GICXXPred_I64_Predicate_VectorIndexH32b,
  GICXXPred_I64_Predicate_VectorIndexH32b_timm,
  GICXXPred_I64_Predicate_VectorIndexH_timm,
  GICXXPred_I64_Predicate_VectorIndexS,
  GICXXPred_I64_Predicate_VectorIndexS32b,
  GICXXPred_I64_Predicate_VectorIndexS32b_timm,
  GICXXPred_I64_Predicate_VectorIndexS_timm,
  GICXXPred_I64_Predicate_complexrotateop,
  GICXXPred_I64_Predicate_complexrotateopodd,
  GICXXPred_I64_Predicate_extq_timm32_0_1m8,
  GICXXPred_I64_Predicate_extq_timm32_0_3m4,
  GICXXPred_I64_Predicate_extq_timm32_0_7m2,
  GICXXPred_I64_Predicate_i64imm_32bit,
  GICXXPred_I64_Predicate_i64imm_32bit_tgt,
  GICXXPred_I64_Predicate_imm0_1,
  GICXXPred_I64_Predicate_imm0_3,
  GICXXPred_I64_Predicate_imm0_7,
  GICXXPred_I64_Predicate_imm0_15,
  GICXXPred_I64_Predicate_imm0_31,
  GICXXPred_I64_Predicate_imm0_63,
  GICXXPred_I64_Predicate_imm0_127,
  GICXXPred_I64_Predicate_imm0_127_64b,
  GICXXPred_I64_Predicate_imm0_255,
  GICXXPred_I64_Predicate_imm32_0_7,
  GICXXPred_I64_Predicate_imm32_0_15,
  GICXXPred_I64_Predicate_imm32_0_31,
  GICXXPred_I64_Predicate_imm64_0_65535,
  GICXXPred_I64_Predicate_maski8_or_more,
  GICXXPred_I64_Predicate_maski16_or_more,
  GICXXPred_I64_Predicate_rprfop,
  GICXXPred_I64_Predicate_s64imm_32bit,
  GICXXPred_I64_Predicate_simm4s1,
  GICXXPred_I64_Predicate_simm4s2,
  GICXXPred_I64_Predicate_simm4s3,
  GICXXPred_I64_Predicate_simm4s4,
  GICXXPred_I64_Predicate_simm4s16,
  GICXXPred_I64_Predicate_simm4s32,
  GICXXPred_I64_Predicate_simm5_8b,
  GICXXPred_I64_Predicate_simm5_8b_tgt,
  GICXXPred_I64_Predicate_simm5_16b,
  GICXXPred_I64_Predicate_simm5_16b_tgt,
  GICXXPred_I64_Predicate_simm5_32b,
  GICXXPred_I64_Predicate_simm5_32b_tgt,
  GICXXPred_I64_Predicate_simm5_64b,
  GICXXPred_I64_Predicate_simm5_64b_tgt,
  GICXXPred_I64_Predicate_simm6_32b,
  GICXXPred_I64_Predicate_simm6s1,
  GICXXPred_I64_Predicate_simm8_32b,
  GICXXPred_I64_Predicate_simm8_64b,
  GICXXPred_I64_Predicate_simm9,
  GICXXPred_I64_Predicate_sme_elm_idx0_0,
  GICXXPred_I64_Predicate_sme_elm_idx0_1,
  GICXXPred_I64_Predicate_sme_elm_idx0_3,
  GICXXPred_I64_Predicate_sme_elm_idx0_7,
  GICXXPred_I64_Predicate_sme_elm_idx0_15,
  GICXXPred_I64_Predicate_svcr_op,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_b,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_b_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_d,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_d_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_h,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_h_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_q,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_q_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_s,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_s_timm,
  GICXXPred_I64_Predicate_sve_incdec_imm,
  GICXXPred_I64_Predicate_sve_pred_enum,
  GICXXPred_I64_Predicate_sve_prfop,
  GICXXPred_I64_Predicate_sve_vec_len_specifier_enum,
  GICXXPred_I64_Predicate_tbz_imm0_31_diag,
  GICXXPred_I64_Predicate_tbz_imm0_31_nodiag,
  GICXXPred_I64_Predicate_tbz_imm32_63,
  GICXXPred_I64_Predicate_timm0_1,
  GICXXPred_I64_Predicate_timm0_31,
  GICXXPred_I64_Predicate_timm0_63,
  GICXXPred_I64_Predicate_timm32_0_0,
  GICXXPred_I64_Predicate_timm32_0_1,
  GICXXPred_I64_Predicate_timm32_0_3,
  GICXXPred_I64_Predicate_timm32_0_7,
  GICXXPred_I64_Predicate_timm32_0_15,
  GICXXPred_I64_Predicate_timm32_0_31,
  GICXXPred_I64_Predicate_timm32_0_255,
  GICXXPred_I64_Predicate_timm32_0_65535,
  GICXXPred_I64_Predicate_timm32_1_1,
  GICXXPred_I64_Predicate_timm32_1_3,
  GICXXPred_I64_Predicate_timm32_1_7,
  GICXXPred_I64_Predicate_timm64_0_65535,
  GICXXPred_I64_Predicate_tuimm5s2,
  GICXXPred_I64_Predicate_tuimm5s4,
  GICXXPred_I64_Predicate_tuimm5s8,
  GICXXPred_I64_Predicate_tvecshiftL8,
  GICXXPred_I64_Predicate_tvecshiftL16,
  GICXXPred_I64_Predicate_tvecshiftL32,
  GICXXPred_I64_Predicate_tvecshiftL64,
  GICXXPred_I64_Predicate_tvecshiftR8,
  GICXXPred_I64_Predicate_tvecshiftR16,
  GICXXPred_I64_Predicate_tvecshiftR32,
  GICXXPred_I64_Predicate_tvecshiftR64,
  GICXXPred_I64_Predicate_ubsan_trap_imm,
  GICXXPred_I64_Predicate_uimm0s2range,
  GICXXPred_I64_Predicate_uimm0s4range,
  GICXXPred_I64_Predicate_uimm1s2range,
  GICXXPred_I64_Predicate_uimm1s4range,
  GICXXPred_I64_Predicate_uimm2s2range,
  GICXXPred_I64_Predicate_uimm2s4range,
  GICXXPred_I64_Predicate_uimm3s2range,
  GICXXPred_I64_Predicate_uimm3s8,
  GICXXPred_I64_Predicate_uimm5s2,
  GICXXPred_I64_Predicate_uimm5s4,
  GICXXPred_I64_Predicate_uimm5s8,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_32b,
  GICXXPred_I64_Predicate_uimm6_64b,
  GICXXPred_I64_Predicate_uimm6s1,
  GICXXPred_I64_Predicate_uimm6s2,
  GICXXPred_I64_Predicate_uimm6s4,
  GICXXPred_I64_Predicate_uimm6s8,
  GICXXPred_I64_Predicate_uimm6s16,
  GICXXPred_I64_Predicate_uimm8_32b,
  GICXXPred_I64_Predicate_uimm8_64b,
  GICXXPred_I64_Predicate_uimm16,
  GICXXPred_I64_Predicate_vecshiftL8,
  GICXXPred_I64_Predicate_vecshiftL16,
  GICXXPred_I64_Predicate_vecshiftL32,
  GICXXPred_I64_Predicate_vecshiftL64,
  GICXXPred_I64_Predicate_vecshiftR8,
  GICXXPred_I64_Predicate_vecshiftR16,
  GICXXPred_I64_Predicate_vecshiftR16Narrow,
  GICXXPred_I64_Predicate_vecshiftR32,
  GICXXPred_I64_Predicate_vecshiftR32Narrow,
  GICXXPred_I64_Predicate_vecshiftR64,
  GICXXPred_I64_Predicate_vecshiftR64Narrow,
};
bool AArch64InstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_VectorIndex0: {
     return ((uint64_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex0_timm: {
     return ((uint64_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex1: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndex1_timm: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndex032b: {
     return ((uint32_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex032b_timm: {
     return ((uint32_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex132b: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndex132b_timm: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB32b: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB32b_timm: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB_timm: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD32b: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD32b_timm: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD_timm: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH32b: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH32b_timm: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH_timm: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS32b: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS32b_timm: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS_timm: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_complexrotateop: {
     return Imm >= 0 && Imm <= 270;  
  }
  case GICXXPred_I64_Predicate_complexrotateopodd: {
     return Imm >= 0 && Imm <= 270;  
  }
  case GICXXPred_I64_Predicate_extq_timm32_0_1m8: {
    
      return ((uint32_t)Imm) < 2;
  }
  case GICXXPred_I64_Predicate_extq_timm32_0_3m4: {
    
      return ((uint32_t)Imm) < 4;
  }
  case GICXXPred_I64_Predicate_extq_timm32_0_7m2: {
    
      return ((uint32_t)Imm) < 8;
  }
  case GICXXPred_I64_Predicate_i64imm_32bit: {
    
      return (Imm & 0xffffffffULL) == static_cast<uint64_t>(Imm);
    
  }
  case GICXXPred_I64_Predicate_i64imm_32bit_tgt: {
    
      return (Imm & 0xffffffffULL) == static_cast<uint64_t>(Imm);
    
  }
  case GICXXPred_I64_Predicate_imm0_1: {
    
      return ((uint64_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_imm0_3: {
    
      return ((uint64_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_imm0_7: {
    
      return ((uint64_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_imm0_15: {
    
      return ((uint64_t)Imm) < 16;
    
  }
  case GICXXPred_I64_Predicate_imm0_31: {
    
      return ((uint64_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_imm0_63: {
    
      return ((uint64_t)Imm) < 64;
    
  }
  case GICXXPred_I64_Predicate_imm0_127: {
    
      return ((uint32_t)Imm) < 128;
    
  }
  case GICXXPred_I64_Predicate_imm0_127_64b: {
    
      return ((uint64_t)Imm) < 128;
    
  }
  case GICXXPred_I64_Predicate_imm0_255: {
    
      return ((uint32_t)Imm) < 256;
    
  }
  case GICXXPred_I64_Predicate_imm32_0_7: {
    
      return ((uint32_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_imm32_0_15: {
    
      return ((uint32_t)Imm) < 16;
    
  }
  case GICXXPred_I64_Predicate_imm32_0_31: {
    
      return ((uint64_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_imm64_0_65535: {
    
      return ((uint64_t)Imm) < 65536;
    
  }
  case GICXXPred_I64_Predicate_maski8_or_more: {
     return (Imm & 0xff) == 0xff; 
  }
  case GICXXPred_I64_Predicate_maski16_or_more: {
     return (Imm & 0xffff) == 0xffff; 
  }
  case GICXXPred_I64_Predicate_rprfop: {
    
        return (((uint32_t)Imm) <= 63);
      
  }
  case GICXXPred_I64_Predicate_s64imm_32bit: {
    
      int64_t Imm64 = static_cast<int64_t>(Imm);
      return Imm64 >= std::numeric_limits<int32_t>::min() &&
             Imm64 <= std::numeric_limits<int32_t>::max();
    
    llvm_unreachable("s64imm_32bit should have returned");
  }
  case GICXXPred_I64_Predicate_simm4s1: {
     return Imm >=-8  && Imm <= 7; 
  }
  case GICXXPred_I64_Predicate_simm4s2: {
     return Imm >=-16  && Imm <= 14 && (Imm % 2) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s3: {
     return Imm >=-24  && Imm <= 21 && (Imm % 3) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s4: {
     return Imm >=-32  && Imm <= 28 && (Imm % 4) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s16: {
     return Imm >=-128  && Imm <= 112 && (Imm % 16) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s32: {
     return Imm >=-256  && Imm <= 224 && (Imm % 32) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm5_8b: {
     return (int8_t)Imm >= -16 && (int8_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_8b_tgt: {
     return (int8_t)Imm >= -16 && (int8_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_16b: {
     return (int16_t)Imm >= -16 && (int16_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_16b_tgt: {
     return (int16_t)Imm >= -16 && (int16_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_32b: {
     return Imm >= -16 && Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_32b_tgt: {
     return (int32_t)Imm >= -16 && (int32_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_64b: {
     return Imm >= -16 && Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_64b_tgt: {
     return (int64_t)Imm >= -16 && (int64_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm6_32b: {
     return Imm >= -32 && Imm < 32; 
  }
  case GICXXPred_I64_Predicate_simm6s1: {
     return Imm >= -32 && Imm < 32; 
  }
  case GICXXPred_I64_Predicate_simm8_32b: {
     return Imm >= -128 && Imm < 128; 
  }
  case GICXXPred_I64_Predicate_simm8_64b: {
     return Imm >= -128 && Imm < 128; 
  }
  case GICXXPred_I64_Predicate_simm9: {
     return Imm >= -256 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_0: {
    
      return ((uint32_t)Imm) == 0;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_1: {
    
      return ((uint32_t)Imm) <= 1;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_3: {
    
      return ((uint32_t)Imm) <= 3;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_7: {
    
      return ((uint32_t)Imm) <= 7;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_15: {
    
      return ((uint32_t)Imm) <= 15;
    
  }
  case GICXXPred_I64_Predicate_svcr_op: {
    
        return AArch64SVCR::lookupSVCRByEncoding(Imm) != nullptr;
      
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_b: {
     return ((uint64_t)Imm) < 64; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_b_timm: {
     return ((uint64_t)Imm) < 64; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_d: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_d_timm: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_h: {
     return ((uint64_t)Imm) < 32; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_h_timm: {
     return ((uint64_t)Imm) < 32; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_q: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_q_timm: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_s: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_s_timm: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_sve_incdec_imm: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_sve_pred_enum: {
    
      return (((uint32_t)Imm) < 32);
      
  }
  case GICXXPred_I64_Predicate_sve_prfop: {
    
        return (((uint32_t)Imm) <= 15);
      
  }
  case GICXXPred_I64_Predicate_sve_vec_len_specifier_enum: {
    
      return (((uint32_t)Imm) < 2);
      
  }
  case GICXXPred_I64_Predicate_tbz_imm0_31_diag: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_tbz_imm0_31_nodiag: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_tbz_imm32_63: {
    
      return (((uint32_t)Imm) > 31) && (((uint32_t)Imm) < 64);
    
  }
  case GICXXPred_I64_Predicate_timm0_1: {
    
      return ((uint64_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_timm0_31: {
    
      return ((uint64_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_timm0_63: {
    
      return ((uint64_t)Imm) < 64;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_0: {
    
      return ((uint32_t)Imm) == 0;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_1: {
    
      return ((uint32_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_3: {
    
      return ((uint32_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_7: {
    
      return ((uint32_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_15: {
    
      return ((uint32_t)Imm) < 16;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_31: {
    
      return ((uint32_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_255: {
    
      return ((uint32_t)Imm) < 256;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_65535: {
    
      return ((uint32_t)Imm) < 65536;
    
  }
  case GICXXPred_I64_Predicate_timm32_1_1: {
    
        return ((uint32_t)Imm) == 1;
    
  }
  case GICXXPred_I64_Predicate_timm32_1_3: {
    
      return ((uint32_t)Imm) > 0 && ((uint32_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_timm32_1_7: {
    
      return ((uint32_t)Imm) > 0 && ((uint32_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_timm64_0_65535: {
    
      return ((uint64_t)Imm) < 65536;
    
  }
  case GICXXPred_I64_Predicate_tuimm5s2: {
     return Imm >= 0 && Imm < (32*2) && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_tuimm5s4: {
     return Imm >= 0 && Imm < (32*4) && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_tuimm5s8: {
     return Imm >= 0 && Imm < (32*8) && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_tvecshiftL8: {
    
      return (((uint32_t)Imm) < 8);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftL16: {
    
      return (((uint32_t)Imm) < 16);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftL32: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftL64: {
    
      return (((uint32_t)Imm) < 64);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR8: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 9);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR16: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR32: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 33);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR64: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 65);
    
  }
  case GICXXPred_I64_Predicate_ubsan_trap_imm: {
    
      return isUInt<8>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm0s2range: {
     return Imm == 0; 
  }
  case GICXXPred_I64_Predicate_uimm0s4range: {
     return Imm == 0; 
  }
  case GICXXPred_I64_Predicate_uimm1s2range: {
     return Imm >= 0 && Imm <= 2 && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm1s4range: {
     return Imm >= 0 && Imm <= 4 && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm2s2range: {
     return Imm >= 0 && Imm <= 6 && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm2s4range: {
     return Imm >= 0 && Imm <= 12 && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm3s2range: {
     return Imm >= 0 && Imm <= 14 && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm3s8: {
     return Imm >= 0 && Imm <= 56 && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm5s2: {
     return Imm >= 0 && Imm < (32*2) && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm5s4: {
     return Imm >= 0 && Imm < (32*4) && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm5s8: {
     return Imm >= 0 && Imm < (32*8) && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6_32b: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6_64b: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6s1: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6s2: {
     return Imm >= 0 && Imm < (64*2) && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6s4: {
     return Imm >= 0 && Imm < (64*4) && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6s8: {
     return Imm >= 0 && Imm < (64*8) && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6s16: {
     return Imm >= 0 && Imm < (64*16) && ((Imm % 16) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm8_32b: {
     return Imm >= 0 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_uimm8_64b: {
     return Imm >= 0 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_uimm16: {
    return Imm >= 0 && Imm < 65536;
  }
  case GICXXPred_I64_Predicate_vecshiftL8: {
    
      return (((uint32_t)Imm) < 8);
    
  }
  case GICXXPred_I64_Predicate_vecshiftL16: {
    
      return (((uint32_t)Imm) < 16);
    
  }
  case GICXXPred_I64_Predicate_vecshiftL32: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_vecshiftL64: {
    
      return (((uint32_t)Imm) < 64);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR8: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 9);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR16: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR16Narrow: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 9);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR32: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 33);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR32Narrow: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR64: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 65);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR64Narrow: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 33);
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APFloat_Predicate_fpimm0 = GICXXPred_Invalid + 1,
  GICXXPred_APFloat_Predicate_fpimm16,
  GICXXPred_APFloat_Predicate_fpimm32,
  GICXXPred_APFloat_Predicate_fpimm32SIMDModImmType4,
  GICXXPred_APFloat_Predicate_fpimm64,
  GICXXPred_APFloat_Predicate_fpimm_half,
  GICXXPred_APFloat_Predicate_fpimm_minus0,
  GICXXPred_APFloat_Predicate_fpimm_one,
  GICXXPred_APFloat_Predicate_fpimm_two,
  GICXXPred_APFloat_Predicate_fpimmbf16,
  GICXXPred_APFloat_Predicate_simdimmtype10,
};
bool AArch64InstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APFloat_Predicate_fpimm0: {
    
      return Imm.isExactlyValue(+0.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm16: {
    
          return AArch64_AM::getFP16Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_fpimm32: {
    
          return AArch64_AM::getFP32Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_fpimm32SIMDModImmType4: {
    
          uint64_t Enc = Imm.bitcastToAPInt().getZExtValue();
          return Enc != 0 && AArch64_AM::isAdvSIMDModImmType4(Enc << 32 | Enc);
        
    llvm_unreachable("fpimm32SIMDModImmType4 should have returned");
  }
  case GICXXPred_APFloat_Predicate_fpimm64: {
    
          return AArch64_AM::getFP64Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_fpimm_half: {
    
      return Imm.isExactlyValue(+0.5);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_minus0: {
    
      return Imm.isExactlyValue(-0.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_one: {
    
      return Imm.isExactlyValue(+1.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_two: {
    
      return Imm.isExactlyValue(+2.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimmbf16: {
    
          return AArch64_AM::getFP16Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_simdimmtype10: {
    
          return AArch64_AM::isAdvSIMDModImmType10(
                     Imm.bitcastToAPInt().getZExtValue());
        
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_logical_imm32 = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_logical_imm64,
};
bool AArch64InstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_logical_imm32: {
    
      return AArch64_AM::isLogicalImmediate(Imm.getZExtValue(), 32);
    
  }
  case GICXXPred_APInt_Predicate_logical_imm64: {
    
      return AArch64_AM::isLogicalImmediate(Imm.getZExtValue(), 64);
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AArch64InstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("AArch64InstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderFPImm16,
  GICR_renderFPImm32,
  GICR_renderFPImm32SIMDModImmType4,
  GICR_renderFPImm64,
  GICR_renderLogicalImm32,
  GICR_renderLogicalImm64,
  GICR_renderTruncImm,
  GICR_renderUbsanTrap,
};
AArch64InstructionSelector::CustomRendererFn
AArch64InstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &AArch64InstructionSelector::renderFPImm16,
  &AArch64InstructionSelector::renderFPImm32,
  &AArch64InstructionSelector::renderFPImm32SIMDModImmType4,
  &AArch64InstructionSelector::renderFPImm64,
  &AArch64InstructionSelector::renderLogicalImm32,
  &AArch64InstructionSelector::renderLogicalImm64,
  &AArch64InstructionSelector::renderTruncImm,
  &AArch64InstructionSelector::renderUbsanTrap,
};

bool AArch64InstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool AArch64InstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("AArch64InstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *AArch64InstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*      0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(899), /*)*//*default:*//*Label 152*/ GIMT_Encode4(417531),
     /*     10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(3394),
     /*     14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(36389),
     /*     18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(50617),
     /*     22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(53138),
     /*     26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(53220), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     46 */ /*TargetOpcode::G_AND*//*Label 5*/ GIMT_Encode4(53302),
     /*     50 */ /*TargetOpcode::G_OR*//*Label 6*/ GIMT_Encode4(61048),
     /*     54 */ /*TargetOpcode::G_XOR*//*Label 7*/ GIMT_Encode4(72827), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    114 */ /*TargetOpcode::G_CONCAT_VECTORS*//*Label 8*/ GIMT_Encode4(80019), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    126 */ /*TargetOpcode::G_BITCAST*//*Label 9*/ GIMT_Encode4(87543), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 10*/ GIMT_Encode4(97519),
     /*    146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 11*/ GIMT_Encode4(98010),
     /*    150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 12*/ GIMT_Encode4(98501),
     /*    154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 13*/ GIMT_Encode4(98769),
     /*    158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 14*/ GIMT_Encode4(98919),
     /*    162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 15*/ GIMT_Encode4(99410), GIMT_Encode4(0),
     /*    170 */ /*TargetOpcode::G_LOAD*//*Label 16*/ GIMT_Encode4(99443),
     /*    174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 17*/ GIMT_Encode4(108381),
     /*    178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 18*/ GIMT_Encode4(109431), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    194 */ /*TargetOpcode::G_STORE*//*Label 19*/ GIMT_Encode4(112480), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 20*/ GIMT_Encode4(126006),
     /*    210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 21*/ GIMT_Encode4(127357),
     /*    214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 22*/ GIMT_Encode4(128349),
     /*    218 */ /*TargetOpcode::G_ATOMICRMW_SUB*//*Label 23*/ GIMT_Encode4(129341),
     /*    222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 24*/ GIMT_Encode4(130833), GIMT_Encode4(0),
     /*    230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 25*/ GIMT_Encode4(132325),
     /*    234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 26*/ GIMT_Encode4(133317),
     /*    238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 27*/ GIMT_Encode4(134309),
     /*    242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 28*/ GIMT_Encode4(135301),
     /*    246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 29*/ GIMT_Encode4(136293),
     /*    250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 30*/ GIMT_Encode4(137285),
     /*    254 */ /*TargetOpcode::G_ATOMICRMW_FADD*//*Label 31*/ GIMT_Encode4(138277), GIMT_Encode4(0),
     /*    262 */ /*TargetOpcode::G_ATOMICRMW_FMAX*//*Label 32*/ GIMT_Encode4(138982),
     /*    266 */ /*TargetOpcode::G_ATOMICRMW_FMIN*//*Label 33*/ GIMT_Encode4(139687), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    286 */ /*TargetOpcode::G_FENCE*//*Label 34*/ GIMT_Encode4(140392), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    306 */ /*TargetOpcode::G_INTRINSIC*//*Label 35*/ GIMT_Encode4(140443),
     /*    310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 36*/ GIMT_Encode4(250179), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    322 */ /*TargetOpcode::G_ANYEXT*//*Label 37*/ GIMT_Encode4(261695),
     /*    326 */ /*TargetOpcode::G_TRUNC*//*Label 38*/ GIMT_Encode4(261985),
     /*    330 */ /*TargetOpcode::G_CONSTANT*//*Label 39*/ GIMT_Encode4(263422),
     /*    334 */ /*TargetOpcode::G_FCONSTANT*//*Label 40*/ GIMT_Encode4(263542), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    346 */ /*TargetOpcode::G_SEXT*//*Label 41*/ GIMT_Encode4(263783),
     /*    350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 42*/ GIMT_Encode4(265681),
     /*    354 */ /*TargetOpcode::G_ZEXT*//*Label 43*/ GIMT_Encode4(267335),
     /*    358 */ /*TargetOpcode::G_SHL*//*Label 44*/ GIMT_Encode4(270114),
     /*    362 */ /*TargetOpcode::G_LSHR*//*Label 45*/ GIMT_Encode4(270939),
     /*    366 */ /*TargetOpcode::G_ASHR*//*Label 46*/ GIMT_Encode4(271377), GIMT_Encode4(0),
     /*    374 */ /*TargetOpcode::G_FSHR*//*Label 47*/ GIMT_Encode4(272202),
     /*    378 */ /*TargetOpcode::G_ROTR*//*Label 48*/ GIMT_Encode4(272332), GIMT_Encode4(0),
     /*    386 */ /*TargetOpcode::G_ICMP*//*Label 49*/ GIMT_Encode4(272874), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    402 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(280651), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    446 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(281696),
     /*    450 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(282180),
     /*    454 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(282664),
     /*    458 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(283094),
     /*    462 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(283524),
     /*    466 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(283954), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    510 */ /*TargetOpcode::G_FADD*//*Label 57*/ GIMT_Encode4(284384),
     /*    514 */ /*TargetOpcode::G_FSUB*//*Label 58*/ GIMT_Encode4(286182),
     /*    518 */ /*TargetOpcode::G_FMUL*//*Label 59*/ GIMT_Encode4(286920),
     /*    522 */ /*TargetOpcode::G_FMA*//*Label 60*/ GIMT_Encode4(291016), GIMT_Encode4(0),
     /*    530 */ /*TargetOpcode::G_FDIV*//*Label 61*/ GIMT_Encode4(307289), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    578 */ /*TargetOpcode::G_FNEG*//*Label 62*/ GIMT_Encode4(307905),
     /*    582 */ /*TargetOpcode::G_FPEXT*//*Label 63*/ GIMT_Encode4(311412),
     /*    586 */ /*TargetOpcode::G_FPTRUNC*//*Label 64*/ GIMT_Encode4(311660),
     /*    590 */ /*TargetOpcode::G_FPTOSI*//*Label 65*/ GIMT_Encode4(311848),
     /*    594 */ /*TargetOpcode::G_FPTOUI*//*Label 66*/ GIMT_Encode4(312825),
     /*    598 */ /*TargetOpcode::G_SITOFP*//*Label 67*/ GIMT_Encode4(313802),
     /*    602 */ /*TargetOpcode::G_UITOFP*//*Label 68*/ GIMT_Encode4(318430),
     /*    606 */ /*TargetOpcode::G_FPTOSI_SAT*//*Label 69*/ GIMT_Encode4(322436),
     /*    610 */ /*TargetOpcode::G_FPTOUI_SAT*//*Label 70*/ GIMT_Encode4(322756),
     /*    614 */ /*TargetOpcode::G_FABS*//*Label 71*/ GIMT_Encode4(323076), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    626 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 72*/ GIMT_Encode4(323933),
     /*    630 */ /*TargetOpcode::G_FMINNUM*//*Label 73*/ GIMT_Encode4(324215),
     /*    634 */ /*TargetOpcode::G_FMAXNUM*//*Label 74*/ GIMT_Encode4(324593),
     /*    638 */ /*TargetOpcode::G_FMINNUM_IEEE*//*Label 75*/ GIMT_Encode4(324971),
     /*    642 */ /*TargetOpcode::G_FMAXNUM_IEEE*//*Label 76*/ GIMT_Encode4(325321),
     /*    646 */ /*TargetOpcode::G_FMINIMUM*//*Label 77*/ GIMT_Encode4(325671),
     /*    650 */ /*TargetOpcode::G_FMAXIMUM*//*Label 78*/ GIMT_Encode4(326374), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    686 */ /*TargetOpcode::G_SMIN*//*Label 79*/ GIMT_Encode4(327077),
     /*    690 */ /*TargetOpcode::G_SMAX*//*Label 80*/ GIMT_Encode4(327481),
     /*    694 */ /*TargetOpcode::G_UMIN*//*Label 81*/ GIMT_Encode4(327885),
     /*    698 */ /*TargetOpcode::G_UMAX*//*Label 82*/ GIMT_Encode4(328289),
     /*    702 */ /*TargetOpcode::G_ABS*//*Label 83*/ GIMT_Encode4(328693),
     /*    706 */ /*TargetOpcode::G_LROUND*//*Label 84*/ GIMT_Encode4(329508),
     /*    710 */ /*TargetOpcode::G_LLROUND*//*Label 85*/ GIMT_Encode4(329674),
     /*    714 */ /*TargetOpcode::G_BR*//*Label 86*/ GIMT_Encode4(329773), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    730 */ /*TargetOpcode::G_EXTRACT_SUBVECTOR*//*Label 87*/ GIMT_Encode4(329789),
     /*    734 */ /*TargetOpcode::G_INSERT_VECTOR_ELT*//*Label 88*/ GIMT_Encode4(335161),
     /*    738 */ /*TargetOpcode::G_EXTRACT_VECTOR_ELT*//*Label 89*/ GIMT_Encode4(364306), GIMT_Encode4(0),
     /*    746 */ /*TargetOpcode::G_SPLAT_VECTOR*//*Label 90*/ GIMT_Encode4(367224), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    758 */ /*TargetOpcode::G_CTTZ*//*Label 91*/ GIMT_Encode4(369544), GIMT_Encode4(0),
     /*    766 */ /*TargetOpcode::G_CTLZ*//*Label 92*/ GIMT_Encode4(369696), GIMT_Encode4(0),
     /*    774 */ /*TargetOpcode::G_CTPOP*//*Label 93*/ GIMT_Encode4(370370),
     /*    778 */ /*TargetOpcode::G_BSWAP*//*Label 94*/ GIMT_Encode4(370530),
     /*    782 */ /*TargetOpcode::G_BITREVERSE*//*Label 95*/ GIMT_Encode4(370844),
     /*    786 */ /*TargetOpcode::G_FCEIL*//*Label 96*/ GIMT_Encode4(370998), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    834 */ /*TargetOpcode::G_FSQRT*//*Label 97*/ GIMT_Encode4(371489),
     /*    838 */ /*TargetOpcode::G_FFLOOR*//*Label 98*/ GIMT_Encode4(371789),
     /*    842 */ /*TargetOpcode::G_FRINT*//*Label 99*/ GIMT_Encode4(372280),
     /*    846 */ /*TargetOpcode::G_FNEARBYINT*//*Label 100*/ GIMT_Encode4(372771), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 101*/ GIMT_Encode4(373262),
     /*    878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 102*/ GIMT_Encode4(374388),
     /*    882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 103*/ GIMT_Encode4(375004),
     /*    886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 104*/ GIMT_Encode4(378726), GIMT_Encode4(0),
     /*    894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 105*/ GIMT_Encode4(379342),
     /*    898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 106*/ GIMT_Encode4(394949), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    934 */ /*TargetOpcode::G_TRAP*//*Label 107*/ GIMT_Encode4(395249),
     /*    938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 108*/ GIMT_Encode4(395263),
     /*    942 */ /*TargetOpcode::G_UBSANTRAP*//*Label 109*/ GIMT_Encode4(395284), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    954 */ /*TargetOpcode::G_VECREDUCE_FADD*//*Label 110*/ GIMT_Encode4(395309), GIMT_Encode4(0),
     /*    962 */ /*TargetOpcode::G_VECREDUCE_FMAX*//*Label 111*/ GIMT_Encode4(395619),
     /*    966 */ /*TargetOpcode::G_VECREDUCE_FMIN*//*Label 112*/ GIMT_Encode4(395790),
     /*    970 */ /*TargetOpcode::G_VECREDUCE_FMAXIMUM*//*Label 113*/ GIMT_Encode4(395961),
     /*    974 */ /*TargetOpcode::G_VECREDUCE_FMINIMUM*//*Label 114*/ GIMT_Encode4(396132),
     /*    978 */ /*TargetOpcode::G_VECREDUCE_ADD*//*Label 115*/ GIMT_Encode4(396303), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    998 */ /*TargetOpcode::G_VECREDUCE_SMAX*//*Label 116*/ GIMT_Encode4(397432),
     /*   1002 */ /*TargetOpcode::G_VECREDUCE_SMIN*//*Label 117*/ GIMT_Encode4(397635),
     /*   1006 */ /*TargetOpcode::G_VECREDUCE_UMAX*//*Label 118*/ GIMT_Encode4(397838),
     /*   1010 */ /*TargetOpcode::G_VECREDUCE_UMIN*//*Label 119*/ GIMT_Encode4(398041), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   3262 */ /*AArch64::G_AARCH64_PREFETCH*//*Label 120*/ GIMT_Encode4(398244), GIMT_Encode4(0),
     /*   3270 */ /*AArch64::G_BSP*//*Label 121*/ GIMT_Encode4(398384),
     /*   3274 */ /*AArch64::G_DUP*//*Label 122*/ GIMT_Encode4(398924),
     /*   3278 */ /*AArch64::G_DUPLANE16*//*Label 123*/ GIMT_Encode4(400747),
     /*   3282 */ /*AArch64::G_DUPLANE32*//*Label 124*/ GIMT_Encode4(401002),
     /*   3286 */ /*AArch64::G_DUPLANE64*//*Label 125*/ GIMT_Encode4(401257),
     /*   3290 */ /*AArch64::G_DUPLANE8*//*Label 126*/ GIMT_Encode4(401403),
     /*   3294 */ /*AArch64::G_EXT*//*Label 127*/ GIMT_Encode4(401582),
     /*   3298 */ /*AArch64::G_FCMEQ*//*Label 128*/ GIMT_Encode4(403232),
     /*   3302 */ /*AArch64::G_FCMGE*//*Label 129*/ GIMT_Encode4(403791),
     /*   3306 */ /*AArch64::G_FCMGT*//*Label 130*/ GIMT_Encode4(404883),
     /*   3310 */ /*AArch64::G_REV16*//*Label 131*/ GIMT_Encode4(405975),
     /*   3314 */ /*AArch64::G_REV32*//*Label 132*/ GIMT_Encode4(406129),
     /*   3318 */ /*AArch64::G_REV64*//*Label 133*/ GIMT_Encode4(406305),
     /*   3322 */ /*AArch64::G_SADDLP*//*Label 134*/ GIMT_Encode4(406579),
     /*   3326 */ /*AArch64::G_SADDLV*//*Label 135*/ GIMT_Encode4(406785),
     /*   3330 */ /*AArch64::G_SDOT*//*Label 136*/ GIMT_Encode4(407184),
     /*   3334 */ /*AArch64::G_SITOF*//*Label 137*/ GIMT_Encode4(407554),
     /*   3338 */ /*AArch64::G_SMULL*//*Label 138*/ GIMT_Encode4(407671),
     /*   3342 */ /*AArch64::G_TRN1*//*Label 139*/ GIMT_Encode4(408904),
     /*   3346 */ /*AArch64::G_TRN2*//*Label 140*/ GIMT_Encode4(409684),
     /*   3350 */ /*AArch64::G_UADDLP*//*Label 141*/ GIMT_Encode4(410464),
     /*   3354 */ /*AArch64::G_UADDLV*//*Label 142*/ GIMT_Encode4(410670),
     /*   3358 */ /*AArch64::G_UDOT*//*Label 143*/ GIMT_Encode4(411537),
     /*   3362 */ /*AArch64::G_UITOF*//*Label 144*/ GIMT_Encode4(411907),
     /*   3366 */ /*AArch64::G_UMULL*//*Label 145*/ GIMT_Encode4(412024),
     /*   3370 */ /*AArch64::G_UZP1*//*Label 146*/ GIMT_Encode4(413257),
     /*   3374 */ /*AArch64::G_UZP2*//*Label 147*/ GIMT_Encode4(414037),
     /*   3378 */ /*AArch64::G_VASHR*//*Label 148*/ GIMT_Encode4(414817),
     /*   3382 */ /*AArch64::G_VLSHR*//*Label 149*/ GIMT_Encode4(415515),
     /*   3386 */ /*AArch64::G_ZIP1*//*Label 150*/ GIMT_Encode4(415971),
     /*   3390 */ /*AArch64::G_ZIP2*//*Label 151*/ GIMT_Encode4(416751),
     /*   3394 */ // Label 0: @3394
     /*   3394 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 166*/ GIMT_Encode4(36388),
     /*   3405 */ /*GILLT_s32*//*Label 153*/ GIMT_Encode4(3493),
     /*   3409 */ /*GILLT_s64*//*Label 154*/ GIMT_Encode4(6272), GIMT_Encode4(0),
     /*   3417 */ /*GILLT_v2s32*//*Label 155*/ GIMT_Encode4(11600),
     /*   3421 */ /*GILLT_v2s64*//*Label 156*/ GIMT_Encode4(15208),
     /*   3425 */ /*GILLT_v4s16*//*Label 157*/ GIMT_Encode4(21110),
     /*   3429 */ /*GILLT_v4s32*//*Label 158*/ GIMT_Encode4(24608),
     /*   3433 */ /*GILLT_v8s8*//*Label 159*/ GIMT_Encode4(30786),
     /*   3437 */ /*GILLT_v8s16*//*Label 160*/ GIMT_Encode4(31636),
     /*   3441 */ /*GILLT_v16s8*//*Label 161*/ GIMT_Encode4(35214), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   3461 */ /*GILLT_nxv2s64*//*Label 162*/ GIMT_Encode4(35938), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   3473 */ /*GILLT_nxv4s32*//*Label 163*/ GIMT_Encode4(36310), GIMT_Encode4(0),
     /*   3481 */ /*GILLT_nxv8s16*//*Label 164*/ GIMT_Encode4(36336), GIMT_Encode4(0),
     /*   3489 */ /*GILLT_nxv16s8*//*Label 165*/ GIMT_Encode4(36362),
     /*   3493 */ // Label 153: @3493
     /*   3493 */ GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(6271),
     /*   3498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   3501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   3504 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(3537), // Rule ID 13197 //
     /*   3509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   3513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   3517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm32),
     /*   3524 */     // (add:{ *:[i32] } addsub_shifted_imm32:{ *:[i32] }:$imm, GPR32sp:{ *:[i32] }:$Rn)  =>  (ADDWri:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   3524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWri),
     /*   3527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   3531 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   3535 */     GIR_RootConstrainSelectedInstOperands,
     /*   3536 */     // GIR_Coverage, 13197,
     /*   3536 */     GIR_EraseRootFromParent_Done,
     /*   3537 */   // Label 168: @3537
     /*   3537 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(3689), // Rule ID 13624 //
     /*   3542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3569 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3572 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   3577 */     // MIs[2] pattern
     /*   3577 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3580 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3591 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCB_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3591 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3594 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3598 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3605 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3608 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3612 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3617 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3620 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3624 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3627 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3632 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3637 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   3649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3654 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3657 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3661 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3671 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3678 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3683 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3688 */     // GIR_Coverage, 13624,
     /*   3688 */     GIR_EraseRootFromParent_Done,
     /*   3689 */   // Label 169: @3689
     /*   3689 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(3841), // Rule ID 15478 //
     /*   3694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3721 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3724 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   3729 */     // MIs[2] pattern
     /*   3729 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3732 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3743 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCH_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3743 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3746 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3750 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3757 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3760 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3764 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3769 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3772 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3776 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3779 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3784 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3789 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   3801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3806 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3813 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3823 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3830 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3835 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3840 */     // GIR_Coverage, 15478,
     /*   3840 */     GIR_EraseRootFromParent_Done,
     /*   3841 */   // Label 170: @3841
     /*   3841 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(3993), // Rule ID 15490 //
     /*   3846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3873 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3876 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   3881 */     // MIs[2] pattern
     /*   3881 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3884 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3893 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3895 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCW_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3895 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3898 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3902 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3909 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3912 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3916 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3921 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3924 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3928 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3931 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3936 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3941 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   3953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3958 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3965 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3975 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3982 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3987 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3992 */     // GIR_Coverage, 15490,
     /*   3992 */     GIR_EraseRootFromParent_Done,
     /*   3993 */   // Label 171: @3993
     /*   3993 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(4145), // Rule ID 15502 //
     /*   3998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4025 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4028 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   4033 */     // MIs[2] pattern
     /*   4033 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4036 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4045 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4047 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCD_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4047 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4050 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4054 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4061 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4064 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4068 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4073 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4076 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   4080 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4083 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4088 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4093 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   4105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4110 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4117 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4127 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4134 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4139 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4144 */     // GIR_Coverage, 15502,
     /*   4144 */     GIR_EraseRootFromParent_Done,
     /*   4145 */   // Label 172: @4145
     /*   4145 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(4178), // Rule ID 91 //
     /*   4150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   4154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   4158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm32),
     /*   4165 */     // (add:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (ADDWri:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   4165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWri),
     /*   4168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4170 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   4172 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   4176 */     GIR_RootConstrainSelectedInstOperands,
     /*   4177 */     // GIR_Coverage, 91,
     /*   4177 */     GIR_EraseRootFromParent_Done,
     /*   4178 */   // Label 173: @4178
     /*   4178 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(4330), // Rule ID 2656 //
     /*   4183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4214 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4217 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   4222 */     // MIs[2] pattern
     /*   4222 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4225 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4230 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4232 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCB_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4232 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4235 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4239 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4246 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4249 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4253 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4258 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4261 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4265 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4268 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4273 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4278 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   4290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4295 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4302 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4312 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4319 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4324 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4329 */     // GIR_Coverage, 2656,
     /*   4329 */     GIR_EraseRootFromParent_Done,
     /*   4330 */   // Label 174: @4330
     /*   4330 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(4482), // Rule ID 9935 //
     /*   4335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4366 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4369 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   4374 */     // MIs[2] pattern
     /*   4374 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4377 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4384 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCH_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4384 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4387 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4391 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4398 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4401 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4405 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4410 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4413 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4417 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4420 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4425 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4430 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   4442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4447 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4450 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4454 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4464 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4471 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4476 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4481 */     // GIR_Coverage, 9935,
     /*   4481 */     GIR_EraseRootFromParent_Done,
     /*   4482 */   // Label 175: @4482
     /*   4482 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(4634), // Rule ID 9947 //
     /*   4487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4518 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4521 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   4526 */     // MIs[2] pattern
     /*   4526 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4529 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4536 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCW_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4536 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4539 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4543 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4550 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4553 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4557 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4562 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4565 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4569 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4572 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4577 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4582 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   4594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4599 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4602 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4606 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4616 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4623 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4628 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4633 */     // GIR_Coverage, 9947,
     /*   4633 */     GIR_EraseRootFromParent_Done,
     /*   4634 */   // Label 176: @4634
     /*   4634 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(4786), // Rule ID 9959 //
     /*   4639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4670 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4673 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   4678 */     // MIs[2] pattern
     /*   4678 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4681 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4688 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCD_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4688 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4691 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4695 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4702 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4705 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4709 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4714 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4717 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4721 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4724 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4729 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4734 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   4746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4751 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4754 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4758 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4768 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4775 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4780 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4785 */     // GIR_Coverage, 9959,
     /*   4785 */     GIR_EraseRootFromParent_Done,
     /*   4786 */   // Label 177: @4786
     /*   4786 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(4943), // Rule ID 15521 //
     /*   4791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   4794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4818 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   4821 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   4826 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   4830 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   4832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   4837 */     // MIs[2] pred
     /*   4837 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   4842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4848 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>), GPR32:{ *:[i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   4848 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4851 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4855 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4862 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4865 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4869 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4874 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4877 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   4881 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4884 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4889 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4894 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_B),
     /*   4906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   4915 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4925 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4932 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4937 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4942 */     // GIR_Coverage, 15521,
     /*   4942 */     GIR_EraseRootFromParent_Done,
     /*   4943 */   // Label 178: @4943
     /*   4943 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(5100), // Rule ID 15522 //
     /*   4948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   4951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4975 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   4978 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   4983 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   4987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   4989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   4994 */     // MIs[2] pred
     /*   4994 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   4999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5003 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5005 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>), GPR32:{ *:[i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5005 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5008 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5012 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5019 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5022 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5026 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5031 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5034 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   5038 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5041 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5046 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5051 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_H),
     /*   5063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5072 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5082 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5089 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5094 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5099 */     // GIR_Coverage, 15522,
     /*   5099 */     GIR_EraseRootFromParent_Done,
     /*   5100 */   // Label 179: @5100
     /*   5100 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(5257), // Rule ID 15523 //
     /*   5105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5132 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5135 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5140 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   5144 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5151 */     // MIs[2] pred
     /*   5151 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5162 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>), GPR32:{ *:[i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5162 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5165 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5169 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5176 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5179 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5183 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5188 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5191 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   5195 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5198 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5203 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5208 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_S),
     /*   5220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5229 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5239 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5246 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5251 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5256 */     // GIR_Coverage, 15523,
     /*   5256 */     GIR_EraseRootFromParent_Done,
     /*   5257 */   // Label 180: @5257
     /*   5257 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(5414), // Rule ID 15524 //
     /*   5262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5289 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5292 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5297 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   5301 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5303 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5308 */     // MIs[2] pred
     /*   5308 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5319 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>), GPR32:{ *:[i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5319 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5322 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5326 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5333 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5336 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5340 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5345 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5348 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   5352 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5355 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5360 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5365 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_D),
     /*   5377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5382 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5386 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5396 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5403 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5408 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5413 */     // GIR_Coverage, 15524,
     /*   5413 */     GIR_EraseRootFromParent_Done,
     /*   5414 */   // Label 181: @5414
     /*   5414 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(5571), // Rule ID 10051 //
     /*   5419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5450 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5453 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5458 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   5462 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5469 */     // MIs[2] pred
     /*   5469 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5476 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5476 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5479 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5483 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5490 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5493 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5497 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5502 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5505 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   5509 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5512 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5517 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5522 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_B),
     /*   5534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5543 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5553 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5560 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5565 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5570 */     // GIR_Coverage, 10051,
     /*   5570 */     GIR_EraseRootFromParent_Done,
     /*   5571 */   // Label 182: @5571
     /*   5571 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(5728), // Rule ID 10052 //
     /*   5576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5607 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5610 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5615 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   5619 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5626 */     // MIs[2] pred
     /*   5626 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5633 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5633 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5636 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5640 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5647 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5650 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5654 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5659 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5662 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   5666 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5669 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5674 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5679 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_H),
     /*   5691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5700 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5710 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5717 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5722 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5727 */     // GIR_Coverage, 10052,
     /*   5727 */     GIR_EraseRootFromParent_Done,
     /*   5728 */   // Label 183: @5728
     /*   5728 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(5885), // Rule ID 10053 //
     /*   5733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5764 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5767 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5772 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   5776 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5778 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5783 */     // MIs[2] pred
     /*   5783 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5788 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5790 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5790 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5793 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5797 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5804 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5807 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5811 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5816 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5819 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   5823 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5826 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5831 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5836 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_S),
     /*   5848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5857 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5867 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5874 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5879 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5884 */     // GIR_Coverage, 10053,
     /*   5884 */     GIR_EraseRootFromParent_Done,
     /*   5885 */   // Label 184: @5885
     /*   5885 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(6042), // Rule ID 10054 //
     /*   5890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5921 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5924 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5929 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   5933 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5935 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5940 */     // MIs[2] pred
     /*   5940 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5947 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5947 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5950 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5954 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5961 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5964 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5968 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5973 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5976 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   5980 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5983 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5988 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5993 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   6001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_D),
     /*   6005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   6014 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   6017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6024 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   6031 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6036 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6041 */     // GIR_Coverage, 10054,
     /*   6041 */     GIR_EraseRootFromParent_Done,
     /*   6042 */   // Label 185: @6042
     /*   6042 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(6075), // Rule ID 13201 //
     /*   6047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   6051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   6055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32_i32),
     /*   6062 */     // (add:{ *:[i32] } arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend, GPR32sp:{ *:[i32] }:$Rn)  =>  (ADDWrx:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend)
     /*   6062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrx),
     /*   6065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6067 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   6069 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*   6073 */     GIR_RootConstrainSelectedInstOperands,
     /*   6074 */     // GIR_Coverage, 13201,
     /*   6074 */     GIR_EraseRootFromParent_Done,
     /*   6075 */   // Label 186: @6075
     /*   6075 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(6111), // Rule ID 13764 //
     /*   6080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm32),
     /*   6095 */     // (add:{ *:[i32] } neg_addsub_shifted_imm32:{ *:[i32] }:$imm, GPR32:{ *:[i32] }:$Rn)  =>  (SUBSWri:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   6095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWri),
     /*   6098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6100 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   6102 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   6106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*   6109 */     GIR_RootConstrainSelectedInstOperands,
     /*   6110 */     // GIR_Coverage, 13764,
     /*   6110 */     GIR_EraseRootFromParent_Done,
     /*   6111 */   // Label 187: @6111
     /*   6111 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(6144), // Rule ID 97 //
     /*   6116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   6120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   6124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32_i32),
     /*   6131 */     // (add:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend)  =>  (ADDWrx:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend)
     /*   6131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrx),
     /*   6134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6136 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6138 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*   6142 */     GIR_RootConstrainSelectedInstOperands,
     /*   6143 */     // GIR_Coverage, 97,
     /*   6143 */     GIR_EraseRootFromParent_Done,
     /*   6144 */   // Label 188: @6144
     /*   6144 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(6180), // Rule ID 3921 //
     /*   6149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm32),
     /*   6164 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (SUBSWri:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   6164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWri),
     /*   6167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6169 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6171 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   6175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*   6178 */     GIR_RootConstrainSelectedInstOperands,
     /*   6179 */     // GIR_Coverage, 3921,
     /*   6179 */     GIR_EraseRootFromParent_Done,
     /*   6180 */   // Label 189: @6180
     /*   6180 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(6213), // Rule ID 13199 //
     /*   6185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg32),
     /*   6200 */     // (add:{ *:[i32] } arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (ADDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*   6200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrs),
     /*   6203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   6207 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*   6211 */     GIR_RootConstrainSelectedInstOperands,
     /*   6212 */     // GIR_Coverage, 13199,
     /*   6212 */     GIR_EraseRootFromParent_Done,
     /*   6213 */   // Label 190: @6213
     /*   6213 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(6246), // Rule ID 95 //
     /*   6218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg32),
     /*   6233 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (ADDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*   6233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrs),
     /*   6236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6238 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6240 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*   6244 */     GIR_RootConstrainSelectedInstOperands,
     /*   6245 */     // GIR_Coverage, 95,
     /*   6245 */     GIR_EraseRootFromParent_Done,
     /*   6246 */   // Label 191: @6246
     /*   6246 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(6270), // Rule ID 93 //
     /*   6251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6263 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (ADDWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*   6263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDWrr),
     /*   6268 */     GIR_RootConstrainSelectedInstOperands,
     /*   6269 */     // GIR_Coverage, 93,
     /*   6269 */     GIR_Done,
     /*   6270 */   // Label 192: @6270
     /*   6270 */   GIM_Reject,
     /*   6271 */ // Label 167: @6271
     /*   6271 */ GIM_Reject,
     /*   6272 */ // Label 154: @6272
     /*   6272 */ GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(11599),
     /*   6277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   6280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   6283 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(6419), // Rule ID 5377 //
     /*   6288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   6312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6321 */     // MIs[1] Operand 2
     /*   6321 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6332 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6336 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6340 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6344 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6348 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   6352 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6356 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6361 */     // MIs[3] Operand 2
     /*   6361 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6372 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6374 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   6381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6386 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6401 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6408 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6413 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6418 */     // GIR_Coverage, 5377,
     /*   6418 */     GIR_EraseRootFromParent_Done,
     /*   6419 */   // Label 194: @6419
     /*   6419 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(6555), // Rule ID 5376 //
     /*   6424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   6448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6452 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6457 */     // MIs[1] Operand 2
     /*   6457 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6468 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6472 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6476 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6480 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6484 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6488 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6492 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6497 */     // MIs[3] Operand 2
     /*   6497 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6508 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6510 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   6517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6522 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6526 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6537 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6544 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6549 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6554 */     // GIR_Coverage, 5376,
     /*   6554 */     GIR_EraseRootFromParent_Done,
     /*   6555 */   // Label 195: @6555
     /*   6555 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(6691), // Rule ID 5386 //
     /*   6560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   6584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6593 */     // MIs[1] Operand 2
     /*   6593 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6604 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6608 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6612 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6616 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6620 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   6624 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6628 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6633 */     // MIs[3] Operand 2
     /*   6633 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6644 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6646 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLv2i32_v2i64),
     /*   6653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6658 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6662 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6673 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6680 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6685 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6690 */     // GIR_Coverage, 5386,
     /*   6690 */     GIR_EraseRootFromParent_Done,
     /*   6691 */   // Label 196: @6691
     /*   6691 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(6827), // Rule ID 5375 //
     /*   6696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6729 */     // MIs[1] Operand 2
     /*   6729 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6740 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6744 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6748 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6752 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6756 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   6760 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6764 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6769 */     // MIs[3] Operand 2
     /*   6769 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6780 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6782 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   6789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6794 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6809 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6816 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6821 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6826 */     // GIR_Coverage, 5375,
     /*   6826 */     GIR_EraseRootFromParent_Done,
     /*   6827 */   // Label 197: @6827
     /*   6827 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(6963), // Rule ID 5374 //
     /*   6832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6865 */     // MIs[1] Operand 2
     /*   6865 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6876 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6880 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6884 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6888 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6892 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6896 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6900 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6905 */     // MIs[3] Operand 2
     /*   6905 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6916 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6918 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   6925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6930 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6934 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6945 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6952 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6957 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6962 */     // GIR_Coverage, 5374,
     /*   6962 */     GIR_EraseRootFromParent_Done,
     /*   6963 */   // Label 198: @6963
     /*   6963 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(7031), // Rule ID 6917 //
     /*   6968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   6980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   6988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6993 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*   6997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   7001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   7005 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   7009 */     // MIs[2] Rn
     /*   7009 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*   7014 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*   7018 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7020 */     // (add:{ *:[i64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }))  =>  (ADDPv2i64p:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn)
     /*   7020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /*   7023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   7029 */     GIR_RootConstrainSelectedInstOperands,
     /*   7030 */     // GIR_Coverage, 6917,
     /*   7030 */     GIR_EraseRootFromParent_Done,
     /*   7031 */   // Label 199: @7031
     /*   7031 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(7099), // Rule ID 13922 //
     /*   7036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   7048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   7052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7061 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   7065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   7069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   7073 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   7077 */     // MIs[2] Rn
     /*   7077 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*   7082 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /*   7086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7088 */     // (add:{ *:[i64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (ADDPv2i64p:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn)
     /*   7088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /*   7091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   7097 */     GIR_RootConstrainSelectedInstOperands,
     /*   7098 */     // GIR_Coverage, 13922,
     /*   7098 */     GIR_EraseRootFromParent_Done,
     /*   7099 */   // Label 200: @7099
     /*   7099 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(7132), // Rule ID 13198 //
     /*   7104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   7108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   7112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm64),
     /*   7119 */     // (add:{ *:[i64] } addsub_shifted_imm64:{ *:[i64] }:$imm, GPR64sp:{ *:[i64] }:$Rn)  =>  (ADDXri:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*   7119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXri),
     /*   7122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7124 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   7126 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   7130 */     GIR_RootConstrainSelectedInstOperands,
     /*   7131 */     // GIR_Coverage, 13198,
     /*   7131 */     GIR_EraseRootFromParent_Done,
     /*   7132 */   // Label 201: @7132
     /*   7132 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(7265), // Rule ID 3973 //
     /*   7137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   7165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   7169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7174 */     // MIs[2] Operand 2
     /*   7174 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*   7185 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7189 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7193 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   7197 */     // MIs[3] Operand 1
     /*   7197 */     // No operand predicates
     /*   7197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7201 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7203 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C), GPR64:{ *:[i64] }:$Ra)  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7203 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   7206 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7210 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7215 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   7222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   7229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7234 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*   7240 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7245 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   7261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7263 */     GIR_RootConstrainSelectedInstOperands,
     /*   7264 */     // GIR_Coverage, 3973,
     /*   7264 */     GIR_EraseRootFromParent_Done,
     /*   7265 */   // Label 202: @7265
     /*   7265 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(7360), // Rule ID 3971 //
     /*   7270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7307 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7311 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7315 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   7319 */     // MIs[3] Operand 1
     /*   7319 */     // No operand predicates
     /*   7319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7323 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7325 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C), GPR64:{ *:[i64] }:$Ra)  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7337 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7358 */     GIR_RootConstrainSelectedInstOperands,
     /*   7359 */     // GIR_Coverage, 3971,
     /*   7359 */     GIR_EraseRootFromParent_Done,
     /*   7360 */   // Label 203: @7360
     /*   7360 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(7455), // Rule ID 3972 //
     /*   7365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7402 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7406 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7410 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*   7414 */     // MIs[3] Operand 1
     /*   7414 */     // No operand predicates
     /*   7414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7418 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7420 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C), GPR64:{ *:[i64] }:$Ra)  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7432 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   7442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7451 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7453 */     GIR_RootConstrainSelectedInstOperands,
     /*   7454 */     // GIR_Coverage, 3972,
     /*   7454 */     GIR_EraseRootFromParent_Done,
     /*   7455 */   // Label 204: @7455
     /*   7455 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(7488), // Rule ID 92 //
     /*   7460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   7464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   7468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm64),
     /*   7475 */     // (add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (ADDXri:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*   7475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXri),
     /*   7478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7480 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   7482 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   7486 */     GIR_RootConstrainSelectedInstOperands,
     /*   7487 */     // GIR_Coverage, 92,
     /*   7487 */     GIR_EraseRootFromParent_Done,
     /*   7488 */   // Label 205: @7488
     /*   7488 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(7621), // Rule ID 13774 //
     /*   7493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   7525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   7529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7534 */     // MIs[2] Operand 2
     /*   7534 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*   7545 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7549 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7553 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   7557 */     // MIs[3] Operand 1
     /*   7557 */     // No operand predicates
     /*   7557 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7559 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7559 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   7562 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7566 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7571 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   7578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   7585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7590 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*   7596 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7601 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   7617 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   7619 */     GIR_RootConstrainSelectedInstOperands,
     /*   7620 */     // GIR_Coverage, 13774,
     /*   7620 */     GIR_EraseRootFromParent_Done,
     /*   7621 */   // Label 206: @7621
     /*   7621 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(7716), // Rule ID 13772 //
     /*   7626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7646 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7667 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7671 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7675 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   7679 */     // MIs[3] Operand 1
     /*   7679 */     // No operand predicates
     /*   7679 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7681 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7693 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7712 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   7714 */     GIR_RootConstrainSelectedInstOperands,
     /*   7715 */     // GIR_Coverage, 13772,
     /*   7715 */     GIR_EraseRootFromParent_Done,
     /*   7716 */   // Label 207: @7716
     /*   7716 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(7811), // Rule ID 13773 //
     /*   7721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7741 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7762 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7766 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7770 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*   7774 */     // MIs[3] Operand 1
     /*   7774 */     // No operand predicates
     /*   7774 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7776 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C))  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7788 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   7798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7807 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   7809 */     GIR_RootConstrainSelectedInstOperands,
     /*   7810 */     // GIR_Coverage, 13773,
     /*   7810 */     GIR_EraseRootFromParent_Done,
     /*   7811 */   // Label 208: @7811
     /*   7811 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(7893), // Rule ID 13209 //
     /*   7816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7853 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7857 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7861 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   7865 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7874 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7876 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)), GPR64:{ *:[i64] }:$Ra)  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   7876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   7889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7891 */     GIR_RootConstrainSelectedInstOperands,
     /*   7892 */     // GIR_Coverage, 13209,
     /*   7892 */     GIR_EraseRootFromParent_Done,
     /*   7893 */   // Label 209: @7893
     /*   7893 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(7975), // Rule ID 13210 //
     /*   7898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7943 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   7947 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7958 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)), GPR64:{ *:[i64] }:$Ra)  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   7958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   7961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   7971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7973 */     GIR_RootConstrainSelectedInstOperands,
     /*   7974 */     // GIR_Coverage, 13210,
     /*   7974 */     GIR_EraseRootFromParent_Done,
     /*   7975 */   // Label 210: @7975
     /*   7975 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(8057), // Rule ID 123 //
     /*   7980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   8000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   8004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   8012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   8016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   8021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   8025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   8029 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   8033 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   8038 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   8040 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   8040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   8043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   8045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   8053 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   8055 */     GIR_RootConstrainSelectedInstOperands,
     /*   8056 */     // GIR_Coverage, 123,
     /*   8056 */     GIR_EraseRootFromParent_Done,
     /*   8057 */   // Label 211: @8057
     /*   8057 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(8139), // Rule ID 125 //
     /*   8062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   8078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   8082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   8086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   8098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   8103 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   8107 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8111 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   8115 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   8120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   8122 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   8122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   8125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   8127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   8135 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   8137 */     GIR_RootConstrainSelectedInstOperands,
     /*   8138 */     // GIR_Coverage, 125,
     /*   8138 */     GIR_EraseRootFromParent_Done,
     /*   8139 */   // Label 212: @8139
     /*   8139 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(8197), // Rule ID 13619 //
     /*   8144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8159 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8162 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   8167 */     // MIs[1] pattern
     /*   8167 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8170 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8181 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCB_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   8184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   8188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8195 */     GIR_RootConstrainSelectedInstOperands,
     /*   8196 */     // GIR_Coverage, 13619,
     /*   8196 */     GIR_EraseRootFromParent_Done,
     /*   8197 */   // Label 213: @8197
     /*   8197 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(8255), // Rule ID 15473 //
     /*   8202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8217 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8220 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   8225 */     // MIs[1] pattern
     /*   8225 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8228 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8239 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCH_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   8242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   8246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8253 */     GIR_RootConstrainSelectedInstOperands,
     /*   8254 */     // GIR_Coverage, 15473,
     /*   8254 */     GIR_EraseRootFromParent_Done,
     /*   8255 */   // Label 214: @8255
     /*   8255 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(8313), // Rule ID 15485 //
     /*   8260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8275 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8278 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   8283 */     // MIs[1] pattern
     /*   8283 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8286 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8297 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCW_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   8300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   8304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8311 */     GIR_RootConstrainSelectedInstOperands,
     /*   8312 */     // GIR_Coverage, 15485,
     /*   8312 */     GIR_EraseRootFromParent_Done,
     /*   8313 */   // Label 215: @8313
     /*   8313 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(8371), // Rule ID 15497 //
     /*   8318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8333 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8336 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   8341 */     // MIs[1] pattern
     /*   8341 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8344 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8355 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCD_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   8358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   8362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8369 */     GIR_RootConstrainSelectedInstOperands,
     /*   8370 */     // GIR_Coverage, 15497,
     /*   8370 */     GIR_EraseRootFromParent_Done,
     /*   8371 */   // Label 216: @8371
     /*   8371 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(8429), // Rule ID 2653 //
     /*   8376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8395 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8398 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   8403 */     // MIs[1] pattern
     /*   8403 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8406 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8413 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCB_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   8416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8418 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   8420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8427 */     GIR_RootConstrainSelectedInstOperands,
     /*   8428 */     // GIR_Coverage, 2653,
     /*   8428 */     GIR_EraseRootFromParent_Done,
     /*   8429 */   // Label 217: @8429
     /*   8429 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(8487), // Rule ID 9932 //
     /*   8434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8453 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8456 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   8461 */     // MIs[1] pattern
     /*   8461 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8464 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8471 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCH_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   8474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8476 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   8478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8485 */     GIR_RootConstrainSelectedInstOperands,
     /*   8486 */     // GIR_Coverage, 9932,
     /*   8486 */     GIR_EraseRootFromParent_Done,
     /*   8487 */   // Label 218: @8487
     /*   8487 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(8545), // Rule ID 9944 //
     /*   8492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8511 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8514 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   8519 */     // MIs[1] pattern
     /*   8519 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8522 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8529 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCW_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   8532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8534 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   8536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8543 */     GIR_RootConstrainSelectedInstOperands,
     /*   8544 */     // GIR_Coverage, 9944,
     /*   8544 */     GIR_EraseRootFromParent_Done,
     /*   8545 */   // Label 219: @8545
     /*   8545 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(8603), // Rule ID 9956 //
     /*   8550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8569 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8572 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   8577 */     // MIs[1] pattern
     /*   8577 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8580 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8587 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCD_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   8590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8592 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   8594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8601 */     GIR_RootConstrainSelectedInstOperands,
     /*   8602 */     // GIR_Coverage, 9956,
     /*   8602 */     GIR_EraseRootFromParent_Done,
     /*   8603 */   // Label 220: @8603
     /*   8603 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(8766), // Rule ID 13894 //
     /*   8608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*   8632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8636 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   8640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8650 */     // MIs[1] Operand 2
     /*   8650 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8667 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8667 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8670 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8674 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8681 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   8684 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   8688 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8693 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   8696 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*   8700 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   8703 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8708 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8713 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   8721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*   8725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8730 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   8733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8737 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   8741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   8743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   8746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8748 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   8755 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8760 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8765 */     // GIR_Coverage, 13894,
     /*   8765 */     GIR_EraseRootFromParent_Done,
     /*   8766 */   // Label 221: @8766
     /*   8766 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(8929), // Rule ID 13891 //
     /*   8771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*   8795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8799 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   8803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8813 */     // MIs[1] Operand 2
     /*   8813 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8830 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8830 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8833 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8837 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8844 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   8847 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   8851 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8856 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   8859 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*   8863 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   8866 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8871 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8876 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   8884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*   8888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8893 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   8896 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   8904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   8906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   8909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8911 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   8918 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8923 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8928 */     // GIR_Coverage, 13891,
     /*   8928 */     GIR_EraseRootFromParent_Done,
     /*   8929 */   // Label 222: @8929
     /*   8929 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(9079), // Rule ID 13900 //
     /*   8934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   8958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8967 */     // MIs[1] Operand 2
     /*   8967 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8984 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8984 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8987 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8991 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8998 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9001 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9005 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9010 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9013 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   9017 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9020 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9025 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9030 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   9042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9047 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9061 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9068 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9073 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9078 */     // GIR_Coverage, 13900,
     /*   9078 */     GIR_EraseRootFromParent_Done,
     /*   9079 */   // Label 223: @9079
     /*   9079 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(9229), // Rule ID 13903 //
     /*   9084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   9108 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9117 */     // MIs[1] Operand 2
     /*   9117 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9134 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9134 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9137 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9141 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9148 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9151 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9155 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9160 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9163 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   9167 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9170 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9175 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9180 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*   9192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9197 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9200 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9211 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9218 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9223 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9228 */     // GIR_Coverage, 13903,
     /*   9228 */     GIR_EraseRootFromParent_Done,
     /*   9229 */   // Label 224: @9229
     /*   9229 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(9379), // Rule ID 13899 //
     /*   9234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   9258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9267 */     // MIs[1] Operand 2
     /*   9267 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9284 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9284 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9287 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9291 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9298 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9301 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9305 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9310 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9313 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   9317 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9320 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9325 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9330 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   9342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9347 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9361 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9368 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9373 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9378 */     // GIR_Coverage, 13899,
     /*   9378 */     GIR_EraseRootFromParent_Done,
     /*   9379 */   // Label 225: @9379
     /*   9379 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(9542), // Rule ID 5359 //
     /*   9384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*   9412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9416 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   9420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9425 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9430 */     // MIs[1] Operand 2
     /*   9430 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9443 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9443 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9446 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9450 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9457 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9460 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9464 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9469 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9472 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*   9476 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9479 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9484 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9489 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*   9501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9506 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   9513 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   9517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9524 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9531 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9536 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9541 */     // GIR_Coverage, 5359,
     /*   9541 */     GIR_EraseRootFromParent_Done,
     /*   9542 */   // Label 226: @9542
     /*   9542 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(9705), // Rule ID 5356 //
     /*   9547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*   9575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9579 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   9583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9593 */     // MIs[1] Operand 2
     /*   9593 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9606 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9606 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9609 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9613 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9620 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9623 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9627 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9632 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9635 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*   9639 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9642 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9647 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9652 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*   9664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9669 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9672 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   9676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   9680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9687 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9694 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9699 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9704 */     // GIR_Coverage, 5356,
     /*   9704 */     GIR_EraseRootFromParent_Done,
     /*   9705 */   // Label 227: @9705
     /*   9705 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(9855), // Rule ID 5383 //
     /*   9710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   9738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9742 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9747 */     // MIs[1] Operand 2
     /*   9747 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9758 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9760 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9760 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9763 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9767 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9774 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9777 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9781 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9786 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9789 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   9793 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9796 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9801 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9806 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   9818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9823 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9826 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9837 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9844 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9849 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9854 */     // GIR_Coverage, 5383,
     /*   9854 */     GIR_EraseRootFromParent_Done,
     /*   9855 */   // Label 228: @9855
     /*   9855 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(10005), // Rule ID 5389 //
     /*   9860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   9888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9897 */     // MIs[1] Operand 2
     /*   9897 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9908 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9910 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9910 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9913 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9917 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9924 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9927 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9931 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9936 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9939 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   9943 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9946 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9951 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9956 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*   9968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9973 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9976 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9987 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9994 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9999 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10004 */     // GIR_Coverage, 5389,
     /*  10004 */     GIR_EraseRootFromParent_Done,
     /*  10005 */   // Label 229: @10005
     /*  10005 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(10155), // Rule ID 5382 //
     /*  10010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  10030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  10034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  10038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  10042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10047 */     // MIs[1] Operand 2
     /*  10047 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  10058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  10060 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  10060 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  10063 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  10067 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  10074 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  10077 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  10081 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10086 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  10089 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  10093 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  10096 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10101 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10106 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  10114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  10118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10123 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  10126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  10130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  10132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  10135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10137 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  10144 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10149 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10154 */     // GIR_Coverage, 5382,
     /*  10154 */     GIR_EraseRootFromParent_Done,
     /*  10155 */   // Label 230: @10155
     /*  10155 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(10188), // Rule ID 13202 //
     /*  10160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  10164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  10168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32to64_i64),
     /*  10175 */     // (add:{ *:[i64] } arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend, GPR64sp:{ *:[i64] }:$Rn)  =>  (ADDXrx:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend)
     /*  10175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrx),
     /*  10178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10182 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*  10186 */     GIR_RootConstrainSelectedInstOperands,
     /*  10187 */     // GIR_Coverage, 13202,
     /*  10187 */     GIR_EraseRootFromParent_Done,
     /*  10188 */   // Label 231: @10188
     /*  10188 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(10224), // Rule ID 13765 //
     /*  10193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm64),
     /*  10208 */     // (add:{ *:[i64] } neg_addsub_shifted_imm64:{ *:[i64] }:$imm, GPR64:{ *:[i64] }:$Rn)  =>  (SUBSXri:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  10208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXri),
     /*  10211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10215 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  10219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  10222 */     GIR_RootConstrainSelectedInstOperands,
     /*  10223 */     // GIR_Coverage, 13765,
     /*  10223 */     GIR_EraseRootFromParent_Done,
     /*  10224 */   // Label 232: @10224
     /*  10224 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(10257), // Rule ID 98 //
     /*  10229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  10233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  10237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32to64_i64),
     /*  10244 */     // (add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend)  =>  (ADDXrx:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend)
     /*  10244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrx),
     /*  10247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10249 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10251 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*  10255 */     GIR_RootConstrainSelectedInstOperands,
     /*  10256 */     // GIR_Coverage, 98,
     /*  10256 */     GIR_EraseRootFromParent_Done,
     /*  10257 */   // Label 233: @10257
     /*  10257 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(10293), // Rule ID 3922 //
     /*  10262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm64),
     /*  10277 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (SUBSXri:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  10277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXri),
     /*  10280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10282 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10284 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  10288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  10291 */     GIR_RootConstrainSelectedInstOperands,
     /*  10292 */     // GIR_Coverage, 3922,
     /*  10292 */     GIR_EraseRootFromParent_Done,
     /*  10293 */   // Label 234: @10293
     /*  10293 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(10326), // Rule ID 13200 //
     /*  10298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg64),
     /*  10313 */     // (add:{ *:[i64] } arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (ADDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  10313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrs),
     /*  10316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10320 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  10324 */     GIR_RootConstrainSelectedInstOperands,
     /*  10325 */     // GIR_Coverage, 13200,
     /*  10325 */     GIR_EraseRootFromParent_Done,
     /*  10326 */   // Label 235: @10326
     /*  10326 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(10389), // Rule ID 15513 //
     /*  10331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10346 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10349 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  10358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10365 */     // MIs[1] pred
     /*  10365 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10376 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>, GPR64:{ *:[i64] }:$Rn)  =>  (INCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_B),
     /*  10379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10387 */     GIR_RootConstrainSelectedInstOperands,
     /*  10388 */     // GIR_Coverage, 15513,
     /*  10388 */     GIR_EraseRootFromParent_Done,
     /*  10389 */   // Label 236: @10389
     /*  10389 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(10452), // Rule ID 15514 //
     /*  10394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10409 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10412 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10417 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  10421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10428 */     // MIs[1] pred
     /*  10428 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10439 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>, GPR64:{ *:[i64] }:$Rn)  =>  (INCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_H),
     /*  10442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10450 */     GIR_RootConstrainSelectedInstOperands,
     /*  10451 */     // GIR_Coverage, 15514,
     /*  10451 */     GIR_EraseRootFromParent_Done,
     /*  10452 */   // Label 237: @10452
     /*  10452 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(10515), // Rule ID 15515 //
     /*  10457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10472 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10475 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  10484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10491 */     // MIs[1] pred
     /*  10491 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10502 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>, GPR64:{ *:[i64] }:$Rn)  =>  (INCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_S),
     /*  10505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10511 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10513 */     GIR_RootConstrainSelectedInstOperands,
     /*  10514 */     // GIR_Coverage, 15515,
     /*  10514 */     GIR_EraseRootFromParent_Done,
     /*  10515 */   // Label 238: @10515
     /*  10515 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(10578), // Rule ID 15516 //
     /*  10520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10535 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10538 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  10547 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10554 */     // MIs[1] pred
     /*  10554 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10565 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>, GPR64:{ *:[i64] }:$Rn)  =>  (INCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_D),
     /*  10568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10576 */     GIR_RootConstrainSelectedInstOperands,
     /*  10577 */     // GIR_Coverage, 15516,
     /*  10577 */     GIR_EraseRootFromParent_Done,
     /*  10578 */   // Label 239: @10578
     /*  10578 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(10611), // Rule ID 96 //
     /*  10583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg64),
     /*  10598 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (ADDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  10598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrs),
     /*  10601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10603 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10605 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  10609 */     GIR_RootConstrainSelectedInstOperands,
     /*  10610 */     // GIR_Coverage, 96,
     /*  10610 */     GIR_EraseRootFromParent_Done,
     /*  10611 */   // Label 240: @10611
     /*  10611 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(10674), // Rule ID 10043 //
     /*  10616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10635 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10638 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  10647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10654 */     // MIs[1] pred
     /*  10654 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10661 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (INCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_B),
     /*  10664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10670 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10672 */     GIR_RootConstrainSelectedInstOperands,
     /*  10673 */     // GIR_Coverage, 10043,
     /*  10673 */     GIR_EraseRootFromParent_Done,
     /*  10674 */   // Label 241: @10674
     /*  10674 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(10737), // Rule ID 10044 //
     /*  10679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10698 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10701 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  10710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10717 */     // MIs[1] pred
     /*  10717 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10724 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (INCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_H),
     /*  10727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10733 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10735 */     GIR_RootConstrainSelectedInstOperands,
     /*  10736 */     // GIR_Coverage, 10044,
     /*  10736 */     GIR_EraseRootFromParent_Done,
     /*  10737 */   // Label 242: @10737
     /*  10737 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(10800), // Rule ID 10045 //
     /*  10742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10761 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10764 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10769 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  10773 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10780 */     // MIs[1] pred
     /*  10780 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10787 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (INCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_S),
     /*  10790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10796 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10798 */     GIR_RootConstrainSelectedInstOperands,
     /*  10799 */     // GIR_Coverage, 10045,
     /*  10799 */     GIR_EraseRootFromParent_Done,
     /*  10800 */   // Label 243: @10800
     /*  10800 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(10863), // Rule ID 10046 //
     /*  10805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10824 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10827 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  10836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10843 */     // MIs[1] pred
     /*  10843 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10850 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (INCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_D),
     /*  10853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10859 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10861 */     GIR_RootConstrainSelectedInstOperands,
     /*  10862 */     // GIR_Coverage, 10046,
     /*  10862 */     GIR_EraseRootFromParent_Done,
     /*  10863 */   // Label 244: @10863
     /*  10863 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(10919), // Rule ID 13308 //
     /*  10868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10883 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  10886 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  10891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  10895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10906 */     // (add:{ *:[v1i64] } (intrinsic_wo_chain:{ *:[v1i64] } 660:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  10906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*  10909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  10913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  10917 */     GIR_RootConstrainSelectedInstOperands,
     /*  10918 */     // GIR_Coverage, 13308,
     /*  10918 */     GIR_EraseRootFromParent_Done,
     /*  10919 */   // Label 245: @10919
     /*  10919 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(10975), // Rule ID 13320 //
     /*  10924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10939 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  10942 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  10947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  10951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10962 */     // (add:{ *:[v1i64] } (intrinsic_wo_chain:{ *:[v1i64] } 725:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  10962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*  10965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10967 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  10969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  10973 */     GIR_RootConstrainSelectedInstOperands,
     /*  10974 */     // GIR_Coverage, 13320,
     /*  10974 */     GIR_EraseRootFromParent_Done,
     /*  10975 */   // Label 246: @10975
     /*  10975 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(11042), // Rule ID 13526 //
     /*  10980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  10995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  10999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11004 */     // MIs[1] imm
     /*  11004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  11008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11012 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  11016 */     // MIs[2] Operand 1
     /*  11016 */     // No operand predicates
     /*  11016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11020 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  11024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11026 */     // (add:{ *:[v1i64] } (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  11026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  11029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11031 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  11033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  11040 */     GIR_RootConstrainSelectedInstOperands,
     /*  11041 */     // GIR_Coverage, 13526,
     /*  11041 */     GIR_EraseRootFromParent_Done,
     /*  11042 */   // Label 247: @11042
     /*  11042 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(11109), // Rule ID 13529 //
     /*  11047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  11062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  11066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11071 */     // MIs[1] imm
     /*  11071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  11075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11079 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  11083 */     // MIs[2] Operand 1
     /*  11083 */     // No operand predicates
     /*  11083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11087 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  11091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11093 */     // (add:{ *:[v1i64] } (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  11093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  11096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  11100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  11107 */     GIR_RootConstrainSelectedInstOperands,
     /*  11108 */     // GIR_Coverage, 13529,
     /*  11108 */     GIR_EraseRootFromParent_Done,
     /*  11109 */   // Label 248: @11109
     /*  11109 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(11165), // Rule ID 997 //
     /*  11114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  11133 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  11136 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  11141 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11152 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (intrinsic_wo_chain:{ *:[v1i64] } 660:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn))  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*  11155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11157 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  11163 */     GIR_RootConstrainSelectedInstOperands,
     /*  11164 */     // GIR_Coverage, 997,
     /*  11164 */     GIR_EraseRootFromParent_Done,
     /*  11165 */   // Label 249: @11165
     /*  11165 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(11221), // Rule ID 1058 //
     /*  11170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  11189 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  11192 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  11197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11208 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (intrinsic_wo_chain:{ *:[v1i64] } 725:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn))  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*  11211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11213 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  11219 */     GIR_RootConstrainSelectedInstOperands,
     /*  11220 */     // GIR_Coverage, 1058,
     /*  11220 */     GIR_EraseRootFromParent_Done,
     /*  11221 */   // Label 250: @11221
     /*  11221 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(11288), // Rule ID 2121 //
     /*  11226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  11245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  11249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11254 */     // MIs[1] imm
     /*  11254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  11258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11262 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  11266 */     // MIs[2] Operand 1
     /*  11266 */     // No operand predicates
     /*  11266 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  11270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11272 */     // (add:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  11272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  11275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11277 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  11286 */     GIR_RootConstrainSelectedInstOperands,
     /*  11287 */     // GIR_Coverage, 2121,
     /*  11287 */     GIR_EraseRootFromParent_Done,
     /*  11288 */   // Label 251: @11288
     /*  11288 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(11355), // Rule ID 2130 //
     /*  11293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  11312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  11316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11321 */     // MIs[1] imm
     /*  11321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  11325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11329 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  11333 */     // MIs[2] Operand 1
     /*  11333 */     // No operand predicates
     /*  11333 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  11337 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11339 */     // (add:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  11339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  11342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11344 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  11353 */     GIR_RootConstrainSelectedInstOperands,
     /*  11354 */     // GIR_Coverage, 2130,
     /*  11354 */     GIR_EraseRootFromParent_Done,
     /*  11355 */   // Label 252: @11355
     /*  11355 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(11403), // Rule ID 13307 //
     /*  11360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  11375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11390 */     // (add:{ *:[v1i64] } (AArch64saddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*  11393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11395 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  11397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11401 */     GIR_RootConstrainSelectedInstOperands,
     /*  11402 */     // GIR_Coverage, 13307,
     /*  11402 */     GIR_EraseRootFromParent_Done,
     /*  11403 */   // Label 253: @11403
     /*  11403 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(11451), // Rule ID 13319 //
     /*  11408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  11423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11438 */     // (add:{ *:[v1i64] } (AArch64uaddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*  11441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  11445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11449 */     GIR_RootConstrainSelectedInstOperands,
     /*  11450 */     // GIR_Coverage, 13319,
     /*  11450 */     GIR_EraseRootFromParent_Done,
     /*  11451 */   // Label 254: @11451
     /*  11451 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(11499), // Rule ID 996 //
     /*  11456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  11475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11486 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (AArch64saddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn))  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*  11489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11491 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11497 */     GIR_RootConstrainSelectedInstOperands,
     /*  11498 */     // GIR_Coverage, 996,
     /*  11498 */     GIR_EraseRootFromParent_Done,
     /*  11499 */   // Label 255: @11499
     /*  11499 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(11547), // Rule ID 1057 //
     /*  11504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  11523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11534 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (AArch64uaddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn))  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*  11537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11539 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11545 */     GIR_RootConstrainSelectedInstOperands,
     /*  11546 */     // GIR_Coverage, 1057,
     /*  11546 */     GIR_EraseRootFromParent_Done,
     /*  11547 */   // Label 256: @11547
     /*  11547 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(11571), // Rule ID 94 //
     /*  11552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  11556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  11560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  11564 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ADDXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  11564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDXrr),
     /*  11569 */     GIR_RootConstrainSelectedInstOperands,
     /*  11570 */     // GIR_Coverage, 94,
     /*  11570 */     GIR_Done,
     /*  11571 */   // Label 257: @11571
     /*  11571 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(11598), // Rule ID 1607 //
     /*  11576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11591 */     // (add:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (ADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /*  11591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv1i64),
     /*  11596 */     GIR_RootConstrainSelectedInstOperands,
     /*  11597 */     // GIR_Coverage, 1607,
     /*  11597 */     GIR_Done,
     /*  11598 */   // Label 258: @11598
     /*  11598 */   GIM_Reject,
     /*  11599 */ // Label 193: @11599
     /*  11599 */ GIM_Reject,
     /*  11600 */ // Label 155: @11600
     /*  11600 */ GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(15207),
     /*  11605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11611 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(11799), // Rule ID 6938 //
     /*  11616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP1),
     /*  11628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11632 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11653 */     // MIs[2] Operand 2
     /*  11653 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  11664 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  11668 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11672 */     // MIs[3] Rn
     /*  11672 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11677 */     // MIs[3] Operand 2
     /*  11677 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(2),
     /*  11688 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  11692 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_ZIP2),
     /*  11696 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11700 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11704 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  11708 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11712 */     // MIs[5] Rn
     /*  11712 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11717 */     // MIs[5] Operand 2
     /*  11717 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(0),
     /*  11728 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/4, /*OpIdx*/2, // MIs[6]
     /*  11732 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11736 */     // MIs[6] Rn
     /*  11736 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11741 */     // MIs[6] Operand 2
     /*  11741 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(2),
     /*  11752 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /*  11754 */     // (add:{ *:[v2i32] } (AArch64zip1:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })), (AArch64zip2:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (ADDPv4i32:{ *:[f128] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /*  11754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  11757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  11761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11770 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  11776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  11779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11781 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  11788 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11793 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11798 */     // GIR_Coverage, 6938,
     /*  11798 */     GIR_EraseRootFromParent_Done,
     /*  11799 */   // Label 260: @11799
     /*  11799 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(11987), // Rule ID 13933 //
     /*  11804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP2),
     /*  11816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11841 */     // MIs[2] Operand 2
     /*  11841 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  11852 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  11856 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11860 */     // MIs[3] Rn
     /*  11860 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11865 */     // MIs[3] Operand 2
     /*  11865 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(2),
     /*  11876 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  11880 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_ZIP1),
     /*  11884 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11888 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11892 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  11896 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11900 */     // MIs[5] Rn
     /*  11900 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11905 */     // MIs[5] Operand 2
     /*  11905 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(0),
     /*  11916 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/4, /*OpIdx*/2, // MIs[6]
     /*  11920 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11924 */     // MIs[6] Rn
     /*  11924 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11929 */     // MIs[6] Operand 2
     /*  11929 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(2),
     /*  11940 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /*  11942 */     // (add:{ *:[v2i32] } (AArch64zip2:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })), (AArch64zip1:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (ADDPv4i32:{ *:[f128] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /*  11942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  11945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  11949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11954 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11958 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  11964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  11967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11969 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  11976 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11981 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11986 */     // GIR_Coverage, 13933,
     /*  11986 */     GIR_EraseRootFromParent_Done,
     /*  11987 */   // Label 261: @11987
     /*  11987 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(12123), // Rule ID 5373 //
     /*  11992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12008 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12012 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12016 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12025 */     // MIs[1] Operand 2
     /*  12025 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12036 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12040 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12044 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12048 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12052 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12056 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12060 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12065 */     // MIs[3] Operand 2
     /*  12065 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12076 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12078 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  12085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12090 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12094 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12105 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12112 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12117 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12122 */     // GIR_Coverage, 5373,
     /*  12122 */     GIR_EraseRootFromParent_Done,
     /*  12123 */   // Label 262: @12123
     /*  12123 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(12259), // Rule ID 5372 //
     /*  12128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12156 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12161 */     // MIs[1] Operand 2
     /*  12161 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12172 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12176 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12180 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12184 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12188 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12192 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12196 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12201 */     // MIs[3] Operand 2
     /*  12201 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12212 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12214 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  12221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12226 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12241 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12248 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12253 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12258 */     // GIR_Coverage, 5372,
     /*  12258 */     GIR_EraseRootFromParent_Done,
     /*  12259 */   // Label 263: @12259
     /*  12259 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(12395), // Rule ID 5385 //
     /*  12264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  12288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12292 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12297 */     // MIs[1] Operand 2
     /*  12297 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12308 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12312 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12316 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12320 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12324 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  12328 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12332 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12337 */     // MIs[3] Operand 2
     /*  12337 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12348 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12350 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLv4i16_v4i32),
     /*  12357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12362 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12366 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12377 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12384 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12389 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12394 */     // GIR_Coverage, 5385,
     /*  12394 */     GIR_EraseRootFromParent_Done,
     /*  12395 */   // Label 264: @12395
     /*  12395 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(12531), // Rule ID 5371 //
     /*  12400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12433 */     // MIs[1] Operand 2
     /*  12433 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12452 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12456 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12460 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12464 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12468 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12473 */     // MIs[3] Operand 2
     /*  12473 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12484 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12486 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  12493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12498 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12502 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12513 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12520 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12525 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12530 */     // GIR_Coverage, 5371,
     /*  12530 */     GIR_EraseRootFromParent_Done,
     /*  12531 */   // Label 265: @12531
     /*  12531 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(12667), // Rule ID 5370 //
     /*  12536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12564 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12569 */     // MIs[1] Operand 2
     /*  12569 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12588 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12592 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12596 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12600 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12604 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12609 */     // MIs[3] Operand 2
     /*  12609 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12620 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12622 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  12629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12638 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12649 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12656 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12661 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12666 */     // GIR_Coverage, 5370,
     /*  12666 */     GIR_EraseRootFromParent_Done,
     /*  12667 */   // Label 266: @12667
     /*  12667 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(12830), // Rule ID 13893 //
     /*  12672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  12696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12700 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  12704 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12714 */     // MIs[1] Operand 2
     /*  12714 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12731 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12731 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  12734 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12738 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12745 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  12748 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12752 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12757 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12760 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  12764 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  12767 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12772 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12777 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  12789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12794 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  12797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12801 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  12805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12812 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12819 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12824 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12829 */     // GIR_Coverage, 13893,
     /*  12829 */     GIR_EraseRootFromParent_Done,
     /*  12830 */   // Label 267: @12830
     /*  12830 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(12993), // Rule ID 13890 //
     /*  12835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  12859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12863 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  12867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12877 */     // MIs[1] Operand 2
     /*  12877 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12894 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12894 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  12897 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12901 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12908 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  12911 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12915 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12920 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12923 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  12927 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  12930 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12935 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12940 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  12952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12957 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  12960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  12968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12975 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12982 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12987 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12992 */     // GIR_Coverage, 13890,
     /*  12992 */     GIR_EraseRootFromParent_Done,
     /*  12993 */   // Label 268: @12993
     /*  12993 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(13143), // Rule ID 13898 //
     /*  12998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  13022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13031 */     // MIs[1] Operand 2
     /*  13031 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13048 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13048 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13051 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13055 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13062 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13065 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13069 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13074 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13077 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  13081 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13084 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13089 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13094 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  13106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13111 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13114 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13125 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13132 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13137 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13142 */     // GIR_Coverage, 13898,
     /*  13142 */     GIR_EraseRootFromParent_Done,
     /*  13143 */   // Label 269: @13143
     /*  13143 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(13293), // Rule ID 13902 //
     /*  13148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  13172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13176 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13181 */     // MIs[1] Operand 2
     /*  13181 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13198 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13198 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13201 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13205 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13212 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13215 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13219 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13224 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13227 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  13231 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13234 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13239 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13244 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  13256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13261 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13264 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13275 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13282 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13287 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13292 */     // GIR_Coverage, 13902,
     /*  13292 */     GIR_EraseRootFromParent_Done,
     /*  13293 */   // Label 270: @13293
     /*  13293 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(13443), // Rule ID 13897 //
     /*  13298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  13322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13326 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13331 */     // MIs[1] Operand 2
     /*  13331 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13348 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13348 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13351 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13355 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13362 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13365 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13369 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13374 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13377 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  13381 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13384 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13389 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13394 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  13406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13411 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13414 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13425 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13432 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13437 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13442 */     // GIR_Coverage, 13897,
     /*  13442 */     GIR_EraseRootFromParent_Done,
     /*  13443 */   // Label 271: @13443
     /*  13443 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(13606), // Rule ID 5358 //
     /*  13448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  13476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13480 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  13484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13494 */     // MIs[1] Operand 2
     /*  13494 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13507 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13507 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13510 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13514 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13521 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13524 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13528 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13533 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13536 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  13540 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13543 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13548 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13553 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  13565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13570 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  13577 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  13581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13588 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13595 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13600 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13605 */     // GIR_Coverage, 5358,
     /*  13605 */     GIR_EraseRootFromParent_Done,
     /*  13606 */   // Label 272: @13606
     /*  13606 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(13769), // Rule ID 5355 //
     /*  13611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  13639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13643 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  13647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13657 */     // MIs[1] Operand 2
     /*  13657 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13670 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13670 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13673 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13677 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13684 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13687 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13691 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13696 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13699 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  13703 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13706 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13711 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13716 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  13728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13733 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13736 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  13740 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  13744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13751 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13758 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13763 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13768 */     // GIR_Coverage, 5355,
     /*  13768 */     GIR_EraseRootFromParent_Done,
     /*  13769 */   // Label 273: @13769
     /*  13769 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(13919), // Rule ID 5381 //
     /*  13774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  13802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13811 */     // MIs[1] Operand 2
     /*  13811 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13824 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13824 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13827 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13831 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13838 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13841 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13845 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13850 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13853 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  13857 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13860 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13865 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13870 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  13882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13887 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13901 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13908 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13913 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13918 */     // GIR_Coverage, 5381,
     /*  13918 */     GIR_EraseRootFromParent_Done,
     /*  13919 */   // Label 274: @13919
     /*  13919 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(14069), // Rule ID 5388 //
     /*  13924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  13952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13961 */     // MIs[1] Operand 2
     /*  13961 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13974 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13974 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13977 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13981 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13988 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13991 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13995 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14000 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  14003 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  14007 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  14010 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14015 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14020 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  14028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  14032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14037 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  14040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  14044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  14046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14051 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  14058 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14063 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14068 */     // GIR_Coverage, 5388,
     /*  14068 */     GIR_EraseRootFromParent_Done,
     /*  14069 */   // Label 275: @14069
     /*  14069 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(14219), // Rule ID 5380 //
     /*  14074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  14090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  14098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  14102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  14106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14111 */     // MIs[1] Operand 2
     /*  14111 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  14122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14124 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  14124 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  14127 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  14131 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  14138 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  14141 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  14145 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14150 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  14153 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  14157 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  14160 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14165 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14170 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  14178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  14182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14187 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  14190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  14194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  14196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14201 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  14208 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14213 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14218 */     // GIR_Coverage, 5380,
     /*  14218 */     GIR_EraseRootFromParent_Done,
     /*  14219 */   // Label 276: @14219
     /*  14219 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(14288), // Rule ID 13342 //
     /*  14224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14239 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  14242 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  14247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14251 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14271 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V64:{ *:[v2i32] }:$Rd)  =>  (SABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  14271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv2i32),
     /*  14274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  14286 */     GIR_RootConstrainSelectedInstOperands,
     /*  14287 */     // GIR_Coverage, 13342,
     /*  14287 */     GIR_EraseRootFromParent_Done,
     /*  14288 */   // Label 277: @14288
     /*  14288 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(14357), // Rule ID 13354 //
     /*  14293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14308 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  14311 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  14316 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14320 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14340 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V64:{ *:[v2i32] }:$Rd)  =>  (UABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  14340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv2i32),
     /*  14343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  14355 */     GIR_RootConstrainSelectedInstOperands,
     /*  14356 */     // GIR_Coverage, 13354,
     /*  14356 */     GIR_EraseRootFromParent_Done,
     /*  14357 */   // Label 278: @14357
     /*  14357 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(14413), // Rule ID 13304 //
     /*  14362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14377 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  14380 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  14385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14400 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 660:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  14403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14411 */     GIR_RootConstrainSelectedInstOperands,
     /*  14412 */     // GIR_Coverage, 13304,
     /*  14412 */     GIR_EraseRootFromParent_Done,
     /*  14413 */   // Label 279: @14413
     /*  14413 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(14469), // Rule ID 13316 //
     /*  14418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14433 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  14436 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  14441 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14456 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 725:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  14459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14467 */     GIR_RootConstrainSelectedInstOperands,
     /*  14468 */     // GIR_Coverage, 13316,
     /*  14468 */     GIR_EraseRootFromParent_Done,
     /*  14469 */   // Label 280: @14469
     /*  14469 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(14536), // Rule ID 13546 //
     /*  14474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  14489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14498 */     // MIs[1] imm
     /*  14498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14506 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  14510 */     // MIs[2] Operand 1
     /*  14510 */     // No operand predicates
     /*  14510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14514 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  14518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14520 */     // (add:{ *:[v2i32] } (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  14520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  14523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  14534 */     GIR_RootConstrainSelectedInstOperands,
     /*  14535 */     // GIR_Coverage, 13546,
     /*  14535 */     GIR_EraseRootFromParent_Done,
     /*  14536 */   // Label 281: @14536
     /*  14536 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(14603), // Rule ID 13567 //
     /*  14541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  14556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14565 */     // MIs[1] imm
     /*  14565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14573 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  14577 */     // MIs[2] Operand 1
     /*  14577 */     // No operand predicates
     /*  14577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  14585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14587 */     // (add:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  14587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  14590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  14601 */     GIR_RootConstrainSelectedInstOperands,
     /*  14602 */     // GIR_Coverage, 13567,
     /*  14602 */     GIR_EraseRootFromParent_Done,
     /*  14603 */   // Label 282: @14603
     /*  14603 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(14672), // Rule ID 1365 //
     /*  14608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14627 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  14630 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  14635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14639 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14655 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  14655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv2i32),
     /*  14658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14660 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  14670 */     GIR_RootConstrainSelectedInstOperands,
     /*  14671 */     // GIR_Coverage, 1365,
     /*  14671 */     GIR_EraseRootFromParent_Done,
     /*  14672 */   // Label 283: @14672
     /*  14672 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(14741), // Rule ID 1488 //
     /*  14677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14696 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  14699 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  14704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14708 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14724 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  14724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv2i32),
     /*  14727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14729 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  14739 */     GIR_RootConstrainSelectedInstOperands,
     /*  14740 */     // GIR_Coverage, 1488,
     /*  14740 */     GIR_EraseRootFromParent_Done,
     /*  14741 */   // Label 284: @14741
     /*  14741 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(14797), // Rule ID 993 //
     /*  14746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14765 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  14768 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  14773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14784 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 660:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  14787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14789 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14795 */     GIR_RootConstrainSelectedInstOperands,
     /*  14796 */     // GIR_Coverage, 993,
     /*  14796 */     GIR_EraseRootFromParent_Done,
     /*  14797 */   // Label 285: @14797
     /*  14797 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(14853), // Rule ID 1054 //
     /*  14802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14821 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  14824 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  14829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14840 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 725:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  14843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14845 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14851 */     GIR_RootConstrainSelectedInstOperands,
     /*  14852 */     // GIR_Coverage, 1054,
     /*  14852 */     GIR_EraseRootFromParent_Done,
     /*  14853 */   // Label 286: @14853
     /*  14853 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(14920), // Rule ID 2238 //
     /*  14858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  14877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14886 */     // MIs[1] imm
     /*  14886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14894 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  14898 */     // MIs[2] Operand 1
     /*  14898 */     // No operand predicates
     /*  14898 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  14902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14904 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  14904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  14907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14909 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  14918 */     GIR_RootConstrainSelectedInstOperands,
     /*  14919 */     // GIR_Coverage, 2238,
     /*  14919 */     GIR_EraseRootFromParent_Done,
     /*  14920 */   // Label 287: @14920
     /*  14920 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(14987), // Rule ID 2297 //
     /*  14925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  14944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14953 */     // MIs[1] imm
     /*  14953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14961 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  14965 */     // MIs[2] Operand 1
     /*  14965 */     // No operand predicates
     /*  14965 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  14969 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14971 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  14971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  14974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14976 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  14985 */     GIR_RootConstrainSelectedInstOperands,
     /*  14986 */     // GIR_Coverage, 2297,
     /*  14986 */     GIR_EraseRootFromParent_Done,
     /*  14987 */   // Label 288: @14987
     /*  14987 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(15035), // Rule ID 13303 //
     /*  14992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  15007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  15011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15022 */     // (add:{ *:[v2i32] } (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  15022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  15025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15033 */     GIR_RootConstrainSelectedInstOperands,
     /*  15034 */     // GIR_Coverage, 13303,
     /*  15034 */     GIR_EraseRootFromParent_Done,
     /*  15035 */   // Label 289: @15035
     /*  15035 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(15083), // Rule ID 13315 //
     /*  15040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  15055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  15059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15070 */     // (add:{ *:[v2i32] } (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  15070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  15073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15075 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15081 */     GIR_RootConstrainSelectedInstOperands,
     /*  15082 */     // GIR_Coverage, 13315,
     /*  15082 */     GIR_EraseRootFromParent_Done,
     /*  15083 */   // Label 290: @15083
     /*  15083 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(15131), // Rule ID 992 //
     /*  15088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  15107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  15111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15118 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  15118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  15121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15123 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15129 */     GIR_RootConstrainSelectedInstOperands,
     /*  15130 */     // GIR_Coverage, 992,
     /*  15130 */     GIR_EraseRootFromParent_Done,
     /*  15131 */   // Label 291: @15131
     /*  15131 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(15179), // Rule ID 1053 //
     /*  15136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  15155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  15159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15166 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  15166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  15169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15171 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15177 */     GIR_RootConstrainSelectedInstOperands,
     /*  15178 */     // GIR_Coverage, 1053,
     /*  15178 */     GIR_EraseRootFromParent_Done,
     /*  15179 */   // Label 292: @15179
     /*  15179 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(15206), // Rule ID 1104 //
     /*  15184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15199 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  15199 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv2i32),
     /*  15204 */     GIR_RootConstrainSelectedInstOperands,
     /*  15205 */     // GIR_Coverage, 1104,
     /*  15205 */     GIR_Done,
     /*  15206 */   // Label 293: @15206
     /*  15206 */   GIM_Reject,
     /*  15207 */ // Label 259: @15207
     /*  15207 */ GIM_Reject,
     /*  15208 */ // Label 156: @15208
     /*  15208 */ GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(21109),
     /*  15213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  15216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  15219 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(15337), // Rule ID 13481 //
     /*  15224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15259 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15263 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15267 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15271 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15275 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15280 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15284 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15288 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15292 */     // MIs[4] Operand 1
     /*  15292 */     // No operand predicates
     /*  15292 */     // MIs[2] Operand 2
     /*  15292 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15307 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15309 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15316 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  15319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15321 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15335 */     GIR_RootConstrainSelectedInstOperands,
     /*  15336 */     // GIR_Coverage, 13481,
     /*  15336 */     GIR_EraseRootFromParent_Done,
     /*  15337 */   // Label 295: @15337
     /*  15337 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(15455), // Rule ID 13482 //
     /*  15342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  15369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15373 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15377 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15381 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15385 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15389 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15393 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15398 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15402 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15406 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15410 */     // MIs[4] Operand 1
     /*  15410 */     // No operand predicates
     /*  15410 */     // MIs[2] Operand 2
     /*  15410 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15425 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15427 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15434 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  15437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15439 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15453 */     GIR_RootConstrainSelectedInstOperands,
     /*  15454 */     // GIR_Coverage, 13482,
     /*  15454 */     GIR_EraseRootFromParent_Done,
     /*  15455 */   // Label 296: @15455
     /*  15455 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(15573), // Rule ID 13511 //
     /*  15460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15495 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15499 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15503 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15507 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15511 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15516 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15520 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15524 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15528 */     // MIs[4] Operand 1
     /*  15528 */     // No operand predicates
     /*  15528 */     // MIs[2] Operand 2
     /*  15528 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15543 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15552 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  15555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15571 */     GIR_RootConstrainSelectedInstOperands,
     /*  15572 */     // GIR_Coverage, 13511,
     /*  15572 */     GIR_EraseRootFromParent_Done,
     /*  15573 */   // Label 297: @15573
     /*  15573 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(15691), // Rule ID 13512 //
     /*  15578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  15605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15613 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15617 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15621 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15625 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15629 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15634 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15638 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15642 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15646 */     // MIs[4] Operand 1
     /*  15646 */     // No operand predicates
     /*  15646 */     // MIs[2] Operand 2
     /*  15646 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15661 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15663 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15670 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  15673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15689 */     GIR_RootConstrainSelectedInstOperands,
     /*  15690 */     // GIR_Coverage, 13512,
     /*  15690 */     GIR_EraseRootFromParent_Done,
     /*  15691 */   // Label 298: @15691
     /*  15691 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(15809), // Rule ID 2042 //
     /*  15696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15735 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15739 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15743 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15747 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15751 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15756 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15760 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15764 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15768 */     // MIs[4] Operand 1
     /*  15768 */     // No operand predicates
     /*  15768 */     // MIs[2] Operand 2
     /*  15768 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15779 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15781 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15788 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  15791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15793 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15807 */     GIR_RootConstrainSelectedInstOperands,
     /*  15808 */     // GIR_Coverage, 2042,
     /*  15808 */     GIR_EraseRootFromParent_Done,
     /*  15809 */   // Label 299: @15809
     /*  15809 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(15927), // Rule ID 13480 //
     /*  15814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  15845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15853 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15857 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15861 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15865 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15869 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15874 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15878 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15882 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15886 */     // MIs[4] Operand 1
     /*  15886 */     // No operand predicates
     /*  15886 */     // MIs[2] Operand 2
     /*  15886 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15897 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15899 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15906 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  15909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15911 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15925 */     GIR_RootConstrainSelectedInstOperands,
     /*  15926 */     // GIR_Coverage, 13480,
     /*  15926 */     GIR_EraseRootFromParent_Done,
     /*  15927 */   // Label 300: @15927
     /*  15927 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(16045), // Rule ID 2094 //
     /*  15932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15983 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15987 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15992 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15996 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16000 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16004 */     // MIs[4] Operand 1
     /*  16004 */     // No operand predicates
     /*  16004 */     // MIs[2] Operand 2
     /*  16004 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  16015 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16017 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16024 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  16027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16029 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16043 */     GIR_RootConstrainSelectedInstOperands,
     /*  16044 */     // GIR_Coverage, 2094,
     /*  16044 */     GIR_EraseRootFromParent_Done,
     /*  16045 */   // Label 301: @16045
     /*  16045 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(16163), // Rule ID 13510 //
     /*  16050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16089 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16093 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16097 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16101 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16105 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16110 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16114 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16118 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16122 */     // MIs[4] Operand 1
     /*  16122 */     // No operand predicates
     /*  16122 */     // MIs[2] Operand 2
     /*  16122 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  16133 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16135 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16142 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  16145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16147 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16161 */     GIR_RootConstrainSelectedInstOperands,
     /*  16162 */     // GIR_Coverage, 13510,
     /*  16162 */     GIR_EraseRootFromParent_Done,
     /*  16163 */   // Label 302: @16163
     /*  16163 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(16250), // Rule ID 13386 //
     /*  16168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16195 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16198 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  16203 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16207 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16217 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16224 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16231 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))), V128:{ *:[v2i64] }:$Rd)  =>  (SABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i32_v2i64),
     /*  16234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16248 */     GIR_RootConstrainSelectedInstOperands,
     /*  16249 */     // GIR_Coverage, 13386,
     /*  16249 */     GIR_EraseRootFromParent_Done,
     /*  16250 */   // Label 303: @16250
     /*  16250 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(16337), // Rule ID 13410 //
     /*  16255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16282 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16285 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  16290 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16294 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16304 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16311 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16318 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))), V128:{ *:[v2i64] }:$Rd)  =>  (UABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i32_v2i64),
     /*  16321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16323 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16335 */     GIR_RootConstrainSelectedInstOperands,
     /*  16336 */     // GIR_Coverage, 13410,
     /*  16336 */     GIR_EraseRootFromParent_Done,
     /*  16337 */   // Label 304: @16337
     /*  16337 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(16424), // Rule ID 1699 //
     /*  16342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16373 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16376 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  16381 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16385 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16391 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16398 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16405 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))))  =>  (SABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i32_v2i64),
     /*  16408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16410 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16422 */     GIR_RootConstrainSelectedInstOperands,
     /*  16423 */     // GIR_Coverage, 1699,
     /*  16423 */     GIR_EraseRootFromParent_Done,
     /*  16424 */   // Label 305: @16424
     /*  16424 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(16511), // Rule ID 1777 //
     /*  16429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16460 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16463 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  16468 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16472 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16478 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16485 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16492 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))))  =>  (UABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i32_v2i64),
     /*  16495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16497 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16509 */     GIR_RootConstrainSelectedInstOperands,
     /*  16510 */     // GIR_Coverage, 1777,
     /*  16510 */     GIR_EraseRootFromParent_Done,
     /*  16511 */   // Label 306: @16511
     /*  16511 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(16626), // Rule ID 13476 //
     /*  16516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  16531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16535 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16551 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16555 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16559 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16563 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16567 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16572 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16576 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16580 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16584 */     // MIs[4] Operand 1
     /*  16584 */     // No operand predicates
     /*  16584 */     // MIs[2] Operand 2
     /*  16584 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16604 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16606 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  16609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  16617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16624 */     GIR_RootConstrainSelectedInstOperands,
     /*  16625 */     // GIR_Coverage, 13476,
     /*  16625 */     GIR_EraseRootFromParent_Done,
     /*  16626 */   // Label 307: @16626
     /*  16626 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(16741), // Rule ID 13475 //
     /*  16631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  16646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16671 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16675 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16679 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16683 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16687 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16692 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16696 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16700 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16704 */     // MIs[4] Operand 1
     /*  16704 */     // No operand predicates
     /*  16704 */     // MIs[2] Operand 2
     /*  16704 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16719 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16721 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  16724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  16732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16739 */     GIR_RootConstrainSelectedInstOperands,
     /*  16740 */     // GIR_Coverage, 13475,
     /*  16740 */     GIR_EraseRootFromParent_Done,
     /*  16741 */   // Label 308: @16741
     /*  16741 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(16856), // Rule ID 13506 //
     /*  16746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16777 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16781 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16785 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16789 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16793 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16797 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16802 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16806 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16810 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16814 */     // MIs[4] Operand 1
     /*  16814 */     // No operand predicates
     /*  16814 */     // MIs[2] Operand 2
     /*  16814 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16834 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16836 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  16839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  16847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16854 */     GIR_RootConstrainSelectedInstOperands,
     /*  16855 */     // GIR_Coverage, 13506,
     /*  16855 */     GIR_EraseRootFromParent_Done,
     /*  16856 */   // Label 309: @16856
     /*  16856 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(16971), // Rule ID 13505 //
     /*  16861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16901 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16905 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16909 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16913 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16917 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16922 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16926 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16930 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16934 */     // MIs[4] Operand 1
     /*  16934 */     // No operand predicates
     /*  16934 */     // MIs[2] Operand 2
     /*  16934 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16949 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16951 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  16954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16956 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  16962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16969 */     GIR_RootConstrainSelectedInstOperands,
     /*  16970 */     // GIR_Coverage, 13505,
     /*  16970 */     GIR_EraseRootFromParent_Done,
     /*  16971 */   // Label 310: @16971
     /*  16971 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(17040), // Rule ID 1801 //
     /*  16976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  16991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  17003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17009 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17016 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17023 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  17026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17038 */     GIR_RootConstrainSelectedInstOperands,
     /*  17039 */     // GIR_Coverage, 1801,
     /*  17039 */     GIR_EraseRootFromParent_Done,
     /*  17040 */   // Label 311: @17040
     /*  17040 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(17109), // Rule ID 1800 //
     /*  17045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  17060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17078 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17085 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17092 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  17095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17107 */     GIR_RootConstrainSelectedInstOperands,
     /*  17108 */     // GIR_Coverage, 1800,
     /*  17108 */     GIR_EraseRootFromParent_Done,
     /*  17109 */   // Label 312: @17109
     /*  17109 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(17178), // Rule ID 1717 //
     /*  17114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  17129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  17141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17145 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17147 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17154 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17161 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv4i32_v2i64),
     /*  17164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17176 */     GIR_RootConstrainSelectedInstOperands,
     /*  17177 */     // GIR_Coverage, 1717,
     /*  17177 */     GIR_EraseRootFromParent_Done,
     /*  17178 */   // Label 313: @17178
     /*  17178 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(17247), // Rule ID 1799 //
     /*  17183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  17210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17214 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17216 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17223 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17230 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  17233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17245 */     GIR_RootConstrainSelectedInstOperands,
     /*  17246 */     // GIR_Coverage, 1799,
     /*  17246 */     GIR_EraseRootFromParent_Done,
     /*  17247 */   // Label 314: @17247
     /*  17247 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(17316), // Rule ID 1798 //
     /*  17252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17285 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17292 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17299 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  17302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17314 */     GIR_RootConstrainSelectedInstOperands,
     /*  17315 */     // GIR_Coverage, 1798,
     /*  17315 */     GIR_EraseRootFromParent_Done,
     /*  17316 */   // Label 315: @17316
     /*  17316 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(17431), // Rule ID 13474 //
     /*  17321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  17352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  17356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17360 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  17364 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17368 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17372 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  17376 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17381 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  17385 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17389 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17393 */     // MIs[4] Operand 1
     /*  17393 */     // No operand predicates
     /*  17393 */     // MIs[2] Operand 2
     /*  17393 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  17404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17409 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  17411 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  17414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17416 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  17422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  17426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  17429 */     GIR_RootConstrainSelectedInstOperands,
     /*  17430 */     // GIR_Coverage, 13474,
     /*  17430 */     GIR_EraseRootFromParent_Done,
     /*  17431 */   // Label 316: @17431
     /*  17431 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(17546), // Rule ID 2040 //
     /*  17436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  17472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  17476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17480 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  17484 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17488 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17492 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  17496 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17501 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  17505 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17509 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17513 */     // MIs[4] Operand 1
     /*  17513 */     // No operand predicates
     /*  17513 */     // MIs[2] Operand 2
     /*  17513 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  17524 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  17526 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  17529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17531 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  17537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  17541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  17544 */     GIR_RootConstrainSelectedInstOperands,
     /*  17545 */     // GIR_Coverage, 2040,
     /*  17545 */     GIR_EraseRootFromParent_Done,
     /*  17546 */   // Label 317: @17546
     /*  17546 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(17661), // Rule ID 13504 //
     /*  17551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  17570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  17582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  17586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17590 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  17594 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17598 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17602 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  17606 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17611 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  17615 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17619 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17623 */     // MIs[4] Operand 1
     /*  17623 */     // No operand predicates
     /*  17623 */     // MIs[2] Operand 2
     /*  17623 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  17634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17639 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  17641 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  17644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17646 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  17652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  17656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  17659 */     GIR_RootConstrainSelectedInstOperands,
     /*  17660 */     // GIR_Coverage, 13504,
     /*  17660 */     GIR_EraseRootFromParent_Done,
     /*  17661 */   // Label 318: @17661
     /*  17661 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(17776), // Rule ID 2092 //
     /*  17666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  17685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  17702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  17706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17710 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  17714 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17718 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17722 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  17726 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17731 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  17735 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17739 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17743 */     // MIs[4] Operand 1
     /*  17743 */     // No operand predicates
     /*  17743 */     // MIs[2] Operand 2
     /*  17743 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  17754 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  17756 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  17759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17761 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  17767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  17771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  17774 */     GIR_RootConstrainSelectedInstOperands,
     /*  17775 */     // GIR_Coverage, 2092,
     /*  17775 */     GIR_EraseRootFromParent_Done,
     /*  17776 */   // Label 319: @17776
     /*  17776 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(17843), // Rule ID 13398 //
     /*  17781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17810 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17817 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17824 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_v2i64),
     /*  17827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17829 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  17831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17841 */     GIR_RootConstrainSelectedInstOperands,
     /*  17842 */     // GIR_Coverage, 13398,
     /*  17842 */     GIR_EraseRootFromParent_Done,
     /*  17843 */   // Label 320: @17843
     /*  17843 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(17910), // Rule ID 13428 //
     /*  17848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  17863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17877 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17884 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17891 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_v2i64),
     /*  17894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  17898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17908 */     GIR_RootConstrainSelectedInstOperands,
     /*  17909 */     // GIR_Coverage, 13428,
     /*  17909 */     GIR_EraseRootFromParent_Done,
     /*  17910 */   // Label 321: @17910
     /*  17910 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(17977), // Rule ID 1729 //
     /*  17915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17944 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17951 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17958 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_v2i64),
     /*  17961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17963 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17975 */     GIR_RootConstrainSelectedInstOperands,
     /*  17976 */     // GIR_Coverage, 1729,
     /*  17976 */     GIR_EraseRootFromParent_Done,
     /*  17977 */   // Label 322: @17977
     /*  17977 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(18044), // Rule ID 1819 //
     /*  17982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  18018 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  18025 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  18025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_v2i64),
     /*  18028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18030 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  18037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  18042 */     GIR_RootConstrainSelectedInstOperands,
     /*  18043 */     // GIR_Coverage, 1819,
     /*  18043 */     GIR_EraseRootFromParent_Done,
     /*  18044 */   // Label 323: @18044
     /*  18044 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(18125), // Rule ID 13384 //
     /*  18049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18076 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  18079 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  18084 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18088 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  18092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18097 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18108 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (SABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv2i32_v2i64),
     /*  18111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  18119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  18123 */     GIR_RootConstrainSelectedInstOperands,
     /*  18124 */     // GIR_Coverage, 13384,
     /*  18124 */     GIR_EraseRootFromParent_Done,
     /*  18125 */   // Label 324: @18125
     /*  18125 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(18206), // Rule ID 13408 //
     /*  18130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18157 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  18160 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  18165 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18169 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  18173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18189 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (UABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv2i32_v2i64),
     /*  18192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18194 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  18200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  18204 */     GIR_RootConstrainSelectedInstOperands,
     /*  18205 */     // GIR_Coverage, 13408,
     /*  18205 */     GIR_EraseRootFromParent_Done,
     /*  18206 */   // Label 325: @18206
     /*  18206 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(18287), // Rule ID 1697 //
     /*  18211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18242 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  18245 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  18250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18254 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  18258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18270 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)))  =>  (SABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv2i32_v2i64),
     /*  18273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18275 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  18281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  18285 */     GIR_RootConstrainSelectedInstOperands,
     /*  18286 */     // GIR_Coverage, 1697,
     /*  18286 */     GIR_EraseRootFromParent_Done,
     /*  18287 */   // Label 326: @18287
     /*  18287 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(18368), // Rule ID 1775 //
     /*  18292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18323 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  18326 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  18331 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18335 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  18339 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18351 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)))  =>  (UABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv2i32_v2i64),
     /*  18354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18356 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  18362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  18366 */     GIR_RootConstrainSelectedInstOperands,
     /*  18367 */     // GIR_Coverage, 1775,
     /*  18367 */     GIR_EraseRootFromParent_Done,
     /*  18368 */   // Label 327: @18368
     /*  18368 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(18460), // Rule ID 13479 //
     /*  18373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18408 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18425 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18429 */     // MIs[3] Operand 1
     /*  18429 */     // No operand predicates
     /*  18429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18438 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18440 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  18443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  18451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18458 */     GIR_RootConstrainSelectedInstOperands,
     /*  18459 */     // GIR_Coverage, 13479,
     /*  18459 */     GIR_EraseRootFromParent_Done,
     /*  18460 */   // Label 328: @18460
     /*  18460 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(18552), // Rule ID 13478 //
     /*  18465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18505 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18514 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18518 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18522 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18526 */     // MIs[3] Operand 1
     /*  18526 */     // No operand predicates
     /*  18526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18530 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18532 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  18535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18550 */     GIR_RootConstrainSelectedInstOperands,
     /*  18551 */     // GIR_Coverage, 13478,
     /*  18551 */     GIR_EraseRootFromParent_Done,
     /*  18552 */   // Label 329: @18552
     /*  18552 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(18644), // Rule ID 13509 //
     /*  18557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18592 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18596 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18601 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18605 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18609 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18613 */     // MIs[3] Operand 1
     /*  18613 */     // No operand predicates
     /*  18613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18622 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18624 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  18627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  18635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18642 */     GIR_RootConstrainSelectedInstOperands,
     /*  18643 */     // GIR_Coverage, 13509,
     /*  18643 */     GIR_EraseRootFromParent_Done,
     /*  18644 */   // Label 330: @18644
     /*  18644 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(18736), // Rule ID 13508 //
     /*  18649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18668 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18689 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18698 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18702 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18706 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18710 */     // MIs[3] Operand 1
     /*  18710 */     // No operand predicates
     /*  18710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18714 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18716 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  18719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18734 */     GIR_RootConstrainSelectedInstOperands,
     /*  18735 */     // GIR_Coverage, 13508,
     /*  18735 */     GIR_EraseRootFromParent_Done,
     /*  18736 */   // Label 331: @18736
     /*  18736 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(18828), // Rule ID 13477 //
     /*  18741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18780 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18789 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18793 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18797 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18801 */     // MIs[3] Operand 1
     /*  18801 */     // No operand predicates
     /*  18801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18806 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18808 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  18811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18813 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  18819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18826 */     GIR_RootConstrainSelectedInstOperands,
     /*  18827 */     // GIR_Coverage, 13477,
     /*  18827 */     GIR_EraseRootFromParent_Done,
     /*  18828 */   // Label 332: @18828
     /*  18828 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(18920), // Rule ID 2041 //
     /*  18833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18877 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18881 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18886 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18890 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18894 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18898 */     // MIs[3] Operand 1
     /*  18898 */     // No operand predicates
     /*  18898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18900 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  18903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18905 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18918 */     GIR_RootConstrainSelectedInstOperands,
     /*  18919 */     // GIR_Coverage, 2041,
     /*  18919 */     GIR_EraseRootFromParent_Done,
     /*  18920 */   // Label 333: @18920
     /*  18920 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(19012), // Rule ID 13507 //
     /*  18925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18964 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18981 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18985 */     // MIs[3] Operand 1
     /*  18985 */     // No operand predicates
     /*  18985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18990 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18992 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  18995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18997 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  19007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  19010 */     GIR_RootConstrainSelectedInstOperands,
     /*  19011 */     // GIR_Coverage, 13507,
     /*  19011 */     GIR_EraseRootFromParent_Done,
     /*  19012 */   // Label 334: @19012
     /*  19012 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(19104), // Rule ID 2093 //
     /*  19017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  19036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19040 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  19044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  19057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  19061 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  19065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  19074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19078 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  19082 */     // MIs[3] Operand 1
     /*  19082 */     // No operand predicates
     /*  19082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  19084 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  19084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  19087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19089 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  19099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  19102 */     GIR_RootConstrainSelectedInstOperands,
     /*  19103 */     // GIR_Coverage, 2093,
     /*  19103 */     GIR_EraseRootFromParent_Done,
     /*  19104 */   // Label 335: @19104
     /*  19104 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(19155), // Rule ID 13422 //
     /*  19109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  19124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19141 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  19144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  19148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19153 */     GIR_RootConstrainSelectedInstOperands,
     /*  19154 */     // GIR_Coverage, 13422,
     /*  19154 */     GIR_EraseRootFromParent_Done,
     /*  19155 */   // Label 336: @19155
     /*  19155 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(19206), // Rule ID 13392 //
     /*  19160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  19175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19185 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19192 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rn)  =>  (SADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i32_v2i64),
     /*  19195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  19199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19204 */     GIR_RootConstrainSelectedInstOperands,
     /*  19205 */     // GIR_Coverage, 13392,
     /*  19205 */     GIR_EraseRootFromParent_Done,
     /*  19206 */   // Label 337: @19206
     /*  19206 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(19257), // Rule ID 13421 //
     /*  19211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  19226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19236 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19243 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  19246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  19250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19255 */     GIR_RootConstrainSelectedInstOperands,
     /*  19256 */     // GIR_Coverage, 13421,
     /*  19256 */     GIR_EraseRootFromParent_Done,
     /*  19257 */   // Label 338: @19257
     /*  19257 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(19308), // Rule ID 1813 //
     /*  19262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  19281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19287 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19294 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  19297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19299 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  19301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19306 */     GIR_RootConstrainSelectedInstOperands,
     /*  19307 */     // GIR_Coverage, 1813,
     /*  19307 */     GIR_EraseRootFromParent_Done,
     /*  19308 */   // Label 339: @19308
     /*  19308 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(19359), // Rule ID 1723 //
     /*  19313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  19332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19338 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19345 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i32_v2i64),
     /*  19348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19350 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  19352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19357 */     GIR_RootConstrainSelectedInstOperands,
     /*  19358 */     // GIR_Coverage, 1723,
     /*  19358 */     GIR_EraseRootFromParent_Done,
     /*  19359 */   // Label 340: @19359
     /*  19359 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(19410), // Rule ID 1812 //
     /*  19364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  19383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19389 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19396 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  19399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19401 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  19403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19408 */     GIR_RootConstrainSelectedInstOperands,
     /*  19409 */     // GIR_Coverage, 1812,
     /*  19409 */     GIR_EraseRootFromParent_Done,
     /*  19410 */   // Label 341: @19410
     /*  19410 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(19466), // Rule ID 13310 //
     /*  19415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19430 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  19433 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  19438 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  19442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19453 */     // (add:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i64] } 660:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  19456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  19460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19464 */     GIR_RootConstrainSelectedInstOperands,
     /*  19465 */     // GIR_Coverage, 13310,
     /*  19465 */     GIR_EraseRootFromParent_Done,
     /*  19466 */   // Label 342: @19466
     /*  19466 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(19522), // Rule ID 13322 //
     /*  19471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19486 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  19489 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  19494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  19498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19509 */     // (add:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i64] } 725:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  19512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  19516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19520 */     GIR_RootConstrainSelectedInstOperands,
     /*  19521 */     // GIR_Coverage, 13322,
     /*  19521 */     GIR_EraseRootFromParent_Done,
     /*  19522 */   // Label 343: @19522
     /*  19522 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(19589), // Rule ID 13550 //
     /*  19527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  19542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19551 */     // MIs[1] imm
     /*  19551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19559 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  19563 */     // MIs[2] Operand 1
     /*  19563 */     // No operand predicates
     /*  19563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19567 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  19571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19573 */     // (add:{ *:[v2i64] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  19573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  19576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  19580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  19587 */     GIR_RootConstrainSelectedInstOperands,
     /*  19588 */     // GIR_Coverage, 13550,
     /*  19588 */     GIR_EraseRootFromParent_Done,
     /*  19589 */   // Label 344: @19589
     /*  19589 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(19656), // Rule ID 13571 //
     /*  19594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  19609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19618 */     // MIs[1] imm
     /*  19618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19626 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  19630 */     // MIs[2] Operand 1
     /*  19630 */     // No operand predicates
     /*  19630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19634 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  19638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19640 */     // (add:{ *:[v2i64] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  19640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  19643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  19647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  19654 */     GIR_RootConstrainSelectedInstOperands,
     /*  19655 */     // GIR_Coverage, 13571,
     /*  19655 */     GIR_EraseRootFromParent_Done,
     /*  19656 */   // Label 345: @19656
     /*  19656 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(19712), // Rule ID 999 //
     /*  19661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19680 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  19683 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  19688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  19692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19699 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 660:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  19702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19704 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19710 */     GIR_RootConstrainSelectedInstOperands,
     /*  19711 */     // GIR_Coverage, 999,
     /*  19711 */     GIR_EraseRootFromParent_Done,
     /*  19712 */   // Label 346: @19712
     /*  19712 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(19768), // Rule ID 1060 //
     /*  19717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19736 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  19739 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  19744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  19748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19755 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 725:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  19758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19760 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19766 */     GIR_RootConstrainSelectedInstOperands,
     /*  19767 */     // GIR_Coverage, 1060,
     /*  19767 */     GIR_EraseRootFromParent_Done,
     /*  19768 */   // Label 347: @19768
     /*  19768 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(19835), // Rule ID 2242 //
     /*  19773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  19792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19801 */     // MIs[1] imm
     /*  19801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19809 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  19813 */     // MIs[2] Operand 1
     /*  19813 */     // No operand predicates
     /*  19813 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  19817 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19819 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  19819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  19822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19824 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  19833 */     GIR_RootConstrainSelectedInstOperands,
     /*  19834 */     // GIR_Coverage, 2242,
     /*  19834 */     GIR_EraseRootFromParent_Done,
     /*  19835 */   // Label 348: @19835
     /*  19835 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(19902), // Rule ID 2301 //
     /*  19840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  19859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19868 */     // MIs[1] imm
     /*  19868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19876 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  19880 */     // MIs[2] Operand 1
     /*  19880 */     // No operand predicates
     /*  19880 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  19884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19886 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  19886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  19889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19891 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  19900 */     GIR_RootConstrainSelectedInstOperands,
     /*  19901 */     // GIR_Coverage, 2301,
     /*  19901 */     GIR_EraseRootFromParent_Done,
     /*  19902 */   // Label 349: @19902
     /*  19902 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(19972), // Rule ID 6934 //
     /*  19907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP1),
     /*  19919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  19927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  19941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP2),
     /*  19945 */     // MIs[2] Rn
     /*  19945 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  19950 */     // MIs[2] Rm
     /*  19950 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  19955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19957 */     // (add:{ *:[v2i64] } (AArch64zip1:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm), (AArch64zip2:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm))  =>  (ADDPv2i64:{ *:[v2i64] } ?:{ *:[v2i64] }:$Rn, ?:{ *:[v2i64] }:$Rm)
     /*  19957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64),
     /*  19960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  19970 */     GIR_RootConstrainSelectedInstOperands,
     /*  19971 */     // GIR_Coverage, 6934,
     /*  19971 */     GIR_EraseRootFromParent_Done,
     /*  19972 */   // Label 350: @19972
     /*  19972 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(20042), // Rule ID 13929 //
     /*  19977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP2),
     /*  19989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19993 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  19997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP1),
     /*  20015 */     // MIs[2] Rn
     /*  20015 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  20020 */     // MIs[2] Rm
     /*  20020 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  20025 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20027 */     // (add:{ *:[v2i64] } (AArch64zip2:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm), (AArch64zip1:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm))  =>  (ADDPv2i64:{ *:[v2i64] } ?:{ *:[v2i64] }:$Rn, ?:{ *:[v2i64] }:$Rm)
     /*  20027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64),
     /*  20030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20040 */     GIR_RootConstrainSelectedInstOperands,
     /*  20041 */     // GIR_Coverage, 13929,
     /*  20041 */     GIR_EraseRootFromParent_Done,
     /*  20042 */   // Label 351: @20042
     /*  20042 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(20105), // Rule ID 1797 //
     /*  20047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20090 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  20093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20103 */     GIR_RootConstrainSelectedInstOperands,
     /*  20104 */     // GIR_Coverage, 1797,
     /*  20104 */     GIR_EraseRootFromParent_Done,
     /*  20105 */   // Label 352: @20105
     /*  20105 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(20168), // Rule ID 1796 //
     /*  20110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20142 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20153 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  20156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20166 */     GIR_RootConstrainSelectedInstOperands,
     /*  20167 */     // GIR_Coverage, 1796,
     /*  20167 */     GIR_EraseRootFromParent_Done,
     /*  20168 */   // Label 353: @20168
     /*  20168 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(20231), // Rule ID 1716 //
     /*  20173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20209 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20214 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20216 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv2i32_v2i64),
     /*  20219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20229 */     GIR_RootConstrainSelectedInstOperands,
     /*  20230 */     // GIR_Coverage, 1716,
     /*  20230 */     GIR_EraseRootFromParent_Done,
     /*  20231 */   // Label 354: @20231
     /*  20231 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(20294), // Rule ID 1795 //
     /*  20236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20279 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  20282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20292 */     GIR_RootConstrainSelectedInstOperands,
     /*  20293 */     // GIR_Coverage, 1795,
     /*  20293 */     GIR_EraseRootFromParent_Done,
     /*  20294 */   // Label 355: @20294
     /*  20294 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(20357), // Rule ID 1794 //
     /*  20299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20342 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  20345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20355 */     GIR_RootConstrainSelectedInstOperands,
     /*  20356 */     // GIR_Coverage, 1794,
     /*  20356 */     GIR_EraseRootFromParent_Done,
     /*  20357 */   // Label 356: @20357
     /*  20357 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(20418), // Rule ID 13397 //
     /*  20362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  20377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  20385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20401 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*  20404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  20408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20416 */     GIR_RootConstrainSelectedInstOperands,
     /*  20417 */     // GIR_Coverage, 13397,
     /*  20417 */     GIR_EraseRootFromParent_Done,
     /*  20418 */   // Label 357: @20418
     /*  20418 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(20479), // Rule ID 13427 //
     /*  20423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  20438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  20446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20462 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*  20465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20467 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  20469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20477 */     GIR_RootConstrainSelectedInstOperands,
     /*  20478 */     // GIR_Coverage, 13427,
     /*  20478 */     GIR_EraseRootFromParent_Done,
     /*  20479 */   // Label 358: @20479
     /*  20479 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(20527), // Rule ID 13420 //
     /*  20484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20514 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  20517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20519 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  20521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20525 */     GIR_RootConstrainSelectedInstOperands,
     /*  20526 */     // GIR_Coverage, 13420,
     /*  20526 */     GIR_EraseRootFromParent_Done,
     /*  20527 */   // Label 359: @20527
     /*  20527 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(20575), // Rule ID 13309 //
     /*  20532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  20547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20562 */     // (add:{ *:[v2i64] } (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  20562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  20565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20567 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  20569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20573 */     GIR_RootConstrainSelectedInstOperands,
     /*  20574 */     // GIR_Coverage, 13309,
     /*  20574 */     GIR_EraseRootFromParent_Done,
     /*  20575 */   // Label 360: @20575
     /*  20575 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(20623), // Rule ID 13391 //
     /*  20580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20610 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rn)  =>  (SADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*  20613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  20617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20621 */     GIR_RootConstrainSelectedInstOperands,
     /*  20622 */     // GIR_Coverage, 13391,
     /*  20622 */     GIR_EraseRootFromParent_Done,
     /*  20623 */   // Label 361: @20623
     /*  20623 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(20671), // Rule ID 13321 //
     /*  20628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  20643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20658 */     // (add:{ *:[v2i64] } (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  20658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  20661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20663 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  20665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20669 */     GIR_RootConstrainSelectedInstOperands,
     /*  20670 */     // GIR_Coverage, 13321,
     /*  20670 */     GIR_EraseRootFromParent_Done,
     /*  20671 */   // Label 362: @20671
     /*  20671 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(20719), // Rule ID 13419 //
     /*  20676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20706 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  20709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20711 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  20713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20717 */     GIR_RootConstrainSelectedInstOperands,
     /*  20718 */     // GIR_Coverage, 13419,
     /*  20718 */     GIR_EraseRootFromParent_Done,
     /*  20719 */   // Label 363: @20719
     /*  20719 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(20780), // Rule ID 1728 //
     /*  20724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  20743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  20751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20763 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*  20766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20768 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  20770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20778 */     GIR_RootConstrainSelectedInstOperands,
     /*  20779 */     // GIR_Coverage, 1728,
     /*  20779 */     GIR_EraseRootFromParent_Done,
     /*  20780 */   // Label 364: @20780
     /*  20780 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(20841), // Rule ID 1818 //
     /*  20785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  20804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  20812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20824 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*  20827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20829 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  20831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20839 */     GIR_RootConstrainSelectedInstOperands,
     /*  20840 */     // GIR_Coverage, 1818,
     /*  20840 */     GIR_EraseRootFromParent_Done,
     /*  20841 */   // Label 365: @20841
     /*  20841 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(20889), // Rule ID 1811 //
     /*  20846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20876 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  20879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20881 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  20883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20887 */     GIR_RootConstrainSelectedInstOperands,
     /*  20888 */     // GIR_Coverage, 1811,
     /*  20888 */     GIR_EraseRootFromParent_Done,
     /*  20889 */   // Label 366: @20889
     /*  20889 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(20937), // Rule ID 998 //
     /*  20894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  20913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20924 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  20924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  20927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20929 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  20931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20935 */     GIR_RootConstrainSelectedInstOperands,
     /*  20936 */     // GIR_Coverage, 998,
     /*  20936 */     GIR_EraseRootFromParent_Done,
     /*  20937 */   // Label 367: @20937
     /*  20937 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(20985), // Rule ID 1722 //
     /*  20942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20972 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*  20975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20977 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  20979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20983 */     GIR_RootConstrainSelectedInstOperands,
     /*  20984 */     // GIR_Coverage, 1722,
     /*  20984 */     GIR_EraseRootFromParent_Done,
     /*  20985 */   // Label 368: @20985
     /*  20985 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(21033), // Rule ID 1059 //
     /*  20990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  21009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  21013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21020 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  21020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  21023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21025 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  21027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  21031 */     GIR_RootConstrainSelectedInstOperands,
     /*  21032 */     // GIR_Coverage, 1059,
     /*  21032 */     GIR_EraseRootFromParent_Done,
     /*  21033 */   // Label 369: @21033
     /*  21033 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(21081), // Rule ID 1810 //
     /*  21038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  21041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  21061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21068 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  21068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  21071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  21073 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  21075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  21079 */     GIR_RootConstrainSelectedInstOperands,
     /*  21080 */     // GIR_Coverage, 1810,
     /*  21080 */     GIR_EraseRootFromParent_Done,
     /*  21081 */   // Label 370: @21081
     /*  21081 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(21108), // Rule ID 1106 //
     /*  21086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  21089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21101 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  21101 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv2i64),
     /*  21106 */     GIR_RootConstrainSelectedInstOperands,
     /*  21107 */     // GIR_Coverage, 1106,
     /*  21107 */     GIR_Done,
     /*  21108 */   // Label 371: @21108
     /*  21108 */   GIM_Reject,
     /*  21109 */ // Label 294: @21109
     /*  21109 */ GIM_Reject,
     /*  21110 */ // Label 157: @21110
     /*  21110 */ GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(24607),
     /*  21115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  21118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  21121 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(21257), // Rule ID 5369 //
     /*  21126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21142 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21146 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21150 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21154 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21159 */     // MIs[1] Operand 2
     /*  21159 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21170 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21174 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21178 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21182 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21186 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21190 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21194 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21199 */     // MIs[3] Operand 2
     /*  21199 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21210 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21212 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  21219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21228 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21239 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21246 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21251 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21256 */     // GIR_Coverage, 5369,
     /*  21256 */     GIR_EraseRootFromParent_Done,
     /*  21257 */   // Label 373: @21257
     /*  21257 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(21393), // Rule ID 5368 //
     /*  21262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21290 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21295 */     // MIs[1] Operand 2
     /*  21295 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21306 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21310 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21314 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21318 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21322 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21326 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21330 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21335 */     // MIs[3] Operand 2
     /*  21335 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21346 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21348 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  21355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21375 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21382 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21387 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21392 */     // GIR_Coverage, 5368,
     /*  21392 */     GIR_EraseRootFromParent_Done,
     /*  21393 */   // Label 374: @21393
     /*  21393 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(21529), // Rule ID 5384 //
     /*  21398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  21422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21431 */     // MIs[1] Operand 2
     /*  21431 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21442 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21446 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21450 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21454 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21458 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  21462 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21466 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21471 */     // MIs[3] Operand 2
     /*  21471 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21482 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21484 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLv8i8_v8i16),
     /*  21491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21496 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21511 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21518 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21523 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21528 */     // GIR_Coverage, 5384,
     /*  21528 */     GIR_EraseRootFromParent_Done,
     /*  21529 */   // Label 375: @21529
     /*  21529 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(21665), // Rule ID 5367 //
     /*  21534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21558 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21567 */     // MIs[1] Operand 2
     /*  21567 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21578 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21582 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21586 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21590 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21594 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21598 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21602 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21607 */     // MIs[3] Operand 2
     /*  21607 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21618 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21620 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  21627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21636 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21647 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21654 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21659 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21664 */     // GIR_Coverage, 5367,
     /*  21664 */     GIR_EraseRootFromParent_Done,
     /*  21665 */   // Label 376: @21665
     /*  21665 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(21801), // Rule ID 5366 //
     /*  21670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21703 */     // MIs[1] Operand 2
     /*  21703 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21714 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21718 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21722 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21726 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21730 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21734 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21738 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21743 */     // MIs[3] Operand 2
     /*  21743 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21754 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21756 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  21763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21772 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21783 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21790 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21795 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21800 */     // GIR_Coverage, 5366,
     /*  21800 */     GIR_EraseRootFromParent_Done,
     /*  21801 */   // Label 377: @21801
     /*  21801 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(21934), // Rule ID 13934 //
     /*  21806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  21830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21834 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  21838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21843 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  21847 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  21851 */     // MIs[1] Operand 2
     /*  21851 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21862 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  21866 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  21870 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  21874 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  21878 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  21882 */     // MIs[5] Rn
     /*  21882 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  21887 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  21889 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, (undef:{ *:[v8i16] })), 0:{ *:[i64] }), (trunc:{ *:[v4i16] } (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$Rn)))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (ADDPv8i16:{ *:[f128] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rn), dsub:{ *:[i32] })
     /*  21889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  21892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  21896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21916 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21923 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21928 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21933 */     // GIR_Coverage, 13934,
     /*  21933 */     GIR_EraseRootFromParent_Done,
     /*  21934 */   // Label 378: @21934
     /*  21934 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(22067), // Rule ID 6939 //
     /*  21939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  21951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  21955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  21963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21980 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21984 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21988 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_UZP2),
     /*  21992 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  21996 */     // MIs[4] Rn
     /*  21996 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  22001 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  22005 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  22009 */     // MIs[3] Operand 2
     /*  22009 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  22020 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  22022 */     // (add:{ *:[v4i16] } (trunc:{ *:[v4i16] } (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$Rn)), (extract_subvector:{ *:[v4i16] } (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, (undef:{ *:[v8i16] })), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (ADDPv8i16:{ *:[f128] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rn), dsub:{ *:[i32] })
     /*  22022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  22025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  22029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22038 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22049 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22056 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22061 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22066 */     // GIR_Coverage, 6939,
     /*  22066 */     GIR_EraseRootFromParent_Done,
     /*  22067 */   // Label 379: @22067
     /*  22067 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(22230), // Rule ID 13892 //
     /*  22072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  22096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22100 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22104 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22114 */     // MIs[1] Operand 2
     /*  22114 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22131 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22131 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22134 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22138 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22145 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22148 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22152 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22157 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22160 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  22164 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22167 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22172 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22177 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  22189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22194 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  22205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22212 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22219 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22224 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22229 */     // GIR_Coverage, 13892,
     /*  22229 */     GIR_EraseRootFromParent_Done,
     /*  22230 */   // Label 380: @22230
     /*  22230 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(22393), // Rule ID 13889 //
     /*  22235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  22259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22277 */     // MIs[1] Operand 2
     /*  22277 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22294 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22294 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22297 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22301 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22308 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22311 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22315 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22320 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22323 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  22327 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22330 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22335 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22340 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  22352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22357 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  22368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22375 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22382 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22387 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22392 */     // GIR_Coverage, 13889,
     /*  22392 */     GIR_EraseRootFromParent_Done,
     /*  22393 */   // Label 381: @22393
     /*  22393 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(22543), // Rule ID 13896 //
     /*  22398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  22422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22431 */     // MIs[1] Operand 2
     /*  22431 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22448 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22448 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22451 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22455 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22462 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22465 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22469 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22474 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22477 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  22481 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22484 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22489 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22494 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  22506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22511 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22514 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  22518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22525 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22532 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22537 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22542 */     // GIR_Coverage, 13896,
     /*  22542 */     GIR_EraseRootFromParent_Done,
     /*  22543 */   // Label 382: @22543
     /*  22543 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(22693), // Rule ID 13901 //
     /*  22548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  22572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22581 */     // MIs[1] Operand 2
     /*  22581 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22598 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22598 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22601 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22605 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22612 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22615 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22619 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22624 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22627 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  22631 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22634 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22639 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22644 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  22656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22661 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22664 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  22668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22675 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22682 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22687 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22692 */     // GIR_Coverage, 13901,
     /*  22692 */     GIR_EraseRootFromParent_Done,
     /*  22693 */   // Label 383: @22693
     /*  22693 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(22843), // Rule ID 13895 //
     /*  22698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  22722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22731 */     // MIs[1] Operand 2
     /*  22731 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22748 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22748 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22751 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22755 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22762 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22765 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22769 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22774 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22777 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  22781 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22784 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22789 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22794 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  22806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22811 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22814 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  22818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22825 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22832 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22837 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22842 */     // GIR_Coverage, 13895,
     /*  22842 */     GIR_EraseRootFromParent_Done,
     /*  22843 */   // Label 384: @22843
     /*  22843 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(23006), // Rule ID 5357 //
     /*  22848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  22876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22880 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22889 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22894 */     // MIs[1] Operand 2
     /*  22894 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22907 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22907 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22910 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22914 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22921 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22924 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22928 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22933 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22936 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  22940 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22943 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22948 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22953 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  22965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22970 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22977 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  22981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22988 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22995 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23000 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23005 */     // GIR_Coverage, 5357,
     /*  23005 */     GIR_EraseRootFromParent_Done,
     /*  23006 */   // Label 385: @23006
     /*  23006 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(23169), // Rule ID 5354 //
     /*  23011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  23039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  23043 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  23047 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23057 */     // MIs[1] Operand 2
     /*  23057 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  23068 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23070 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  23070 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  23073 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23077 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  23084 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  23087 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  23091 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23096 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  23099 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  23103 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  23106 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23111 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23116 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  23124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  23128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23133 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23136 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  23140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  23144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23151 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  23158 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23163 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23168 */     // GIR_Coverage, 5354,
     /*  23168 */     GIR_EraseRootFromParent_Done,
     /*  23169 */   // Label 386: @23169
     /*  23169 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(23319), // Rule ID 5379 //
     /*  23174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  23202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  23206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23211 */     // MIs[1] Operand 2
     /*  23211 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  23222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23224 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  23224 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  23227 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23231 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  23238 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  23241 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  23245 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23250 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  23253 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  23257 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  23260 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23265 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23270 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  23278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  23282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23287 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  23294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23301 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  23308 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23313 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23318 */     // GIR_Coverage, 5379,
     /*  23318 */     GIR_EraseRootFromParent_Done,
     /*  23319 */   // Label 387: @23319
     /*  23319 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(23469), // Rule ID 5387 //
     /*  23324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  23352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  23356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23361 */     // MIs[1] Operand 2
     /*  23361 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  23372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23374 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  23374 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  23377 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23381 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  23388 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  23391 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  23395 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23400 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  23403 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  23407 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  23410 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23415 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23420 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  23428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  23432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23437 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  23444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23451 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  23458 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23463 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23468 */     // GIR_Coverage, 5387,
     /*  23468 */     GIR_EraseRootFromParent_Done,
     /*  23469 */   // Label 388: @23469
     /*  23469 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(23619), // Rule ID 5378 //
     /*  23474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  23502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  23506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23511 */     // MIs[1] Operand 2
     /*  23511 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  23522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23524 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  23524 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  23527 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23531 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  23538 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  23541 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  23545 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23550 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  23553 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  23557 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  23560 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23565 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23570 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  23578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  23582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23587 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  23594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23601 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  23608 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23613 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23618 */     // GIR_Coverage, 5378,
     /*  23618 */     GIR_EraseRootFromParent_Done,
     /*  23619 */   // Label 389: @23619
     /*  23619 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(23688), // Rule ID 13338 //
     /*  23624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23639 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  23642 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  23647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23651 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  23655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23671 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V64:{ *:[v4i16] }:$Rd)  =>  (SABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  23671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i16),
     /*  23674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  23682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  23686 */     GIR_RootConstrainSelectedInstOperands,
     /*  23687 */     // GIR_Coverage, 13338,
     /*  23687 */     GIR_EraseRootFromParent_Done,
     /*  23688 */   // Label 390: @23688
     /*  23688 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(23757), // Rule ID 13350 //
     /*  23693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23708 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  23711 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  23716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23720 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  23724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23740 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V64:{ *:[v4i16] }:$Rd)  =>  (UABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  23740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i16),
     /*  23743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  23751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  23755 */     GIR_RootConstrainSelectedInstOperands,
     /*  23756 */     // GIR_Coverage, 13350,
     /*  23756 */     GIR_EraseRootFromParent_Done,
     /*  23757 */   // Label 391: @23757
     /*  23757 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(23813), // Rule ID 13300 //
     /*  23762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23777 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  23780 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  23785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  23789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23800 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 660:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  23800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  23803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23805 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  23811 */     GIR_RootConstrainSelectedInstOperands,
     /*  23812 */     // GIR_Coverage, 13300,
     /*  23812 */     GIR_EraseRootFromParent_Done,
     /*  23813 */   // Label 392: @23813
     /*  23813 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(23869), // Rule ID 13312 //
     /*  23818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23833 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  23836 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  23841 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  23845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23856 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  23856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  23859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  23867 */     GIR_RootConstrainSelectedInstOperands,
     /*  23868 */     // GIR_Coverage, 13312,
     /*  23868 */     GIR_EraseRootFromParent_Done,
     /*  23869 */   // Label 393: @23869
     /*  23869 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(23936), // Rule ID 13542 //
     /*  23874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  23889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23898 */     // MIs[1] imm
     /*  23898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  23902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23906 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  23910 */     // MIs[2] Operand 1
     /*  23910 */     // No operand predicates
     /*  23910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23914 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  23918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23920 */     // (add:{ *:[v4i16] } (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  23920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  23923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  23931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  23934 */     GIR_RootConstrainSelectedInstOperands,
     /*  23935 */     // GIR_Coverage, 13542,
     /*  23935 */     GIR_EraseRootFromParent_Done,
     /*  23936 */   // Label 394: @23936
     /*  23936 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(24003), // Rule ID 13563 //
     /*  23941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  23956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23965 */     // MIs[1] imm
     /*  23965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  23969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23973 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  23977 */     // MIs[2] Operand 1
     /*  23977 */     // No operand predicates
     /*  23977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23981 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  23985 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23987 */     // (add:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  23987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  23990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  23998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  24001 */     GIR_RootConstrainSelectedInstOperands,
     /*  24002 */     // GIR_Coverage, 13563,
     /*  24002 */     GIR_EraseRootFromParent_Done,
     /*  24003 */   // Label 395: @24003
     /*  24003 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(24072), // Rule ID 1361 //
     /*  24008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24027 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  24030 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  24035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24039 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  24043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24055 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  24055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i16),
     /*  24058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24060 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  24070 */     GIR_RootConstrainSelectedInstOperands,
     /*  24071 */     // GIR_Coverage, 1361,
     /*  24071 */     GIR_EraseRootFromParent_Done,
     /*  24072 */   // Label 396: @24072
     /*  24072 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(24141), // Rule ID 1484 //
     /*  24077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24096 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  24099 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  24104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24108 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  24112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24124 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  24124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i16),
     /*  24127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24129 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  24139 */     GIR_RootConstrainSelectedInstOperands,
     /*  24140 */     // GIR_Coverage, 1484,
     /*  24140 */     GIR_EraseRootFromParent_Done,
     /*  24141 */   // Label 397: @24141
     /*  24141 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(24197), // Rule ID 989 //
     /*  24146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24165 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  24168 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  24173 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  24177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24184 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 660:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  24187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24189 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24195 */     GIR_RootConstrainSelectedInstOperands,
     /*  24196 */     // GIR_Coverage, 989,
     /*  24196 */     GIR_EraseRootFromParent_Done,
     /*  24197 */   // Label 398: @24197
     /*  24197 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(24253), // Rule ID 1050 //
     /*  24202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24221 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  24224 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  24229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  24233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24240 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  24243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24245 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24251 */     GIR_RootConstrainSelectedInstOperands,
     /*  24252 */     // GIR_Coverage, 1050,
     /*  24252 */     GIR_EraseRootFromParent_Done,
     /*  24253 */   // Label 399: @24253
     /*  24253 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(24320), // Rule ID 2234 //
     /*  24258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  24277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24286 */     // MIs[1] imm
     /*  24286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24294 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  24298 */     // MIs[2] Operand 1
     /*  24298 */     // No operand predicates
     /*  24298 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  24302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24304 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  24304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  24307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24309 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  24318 */     GIR_RootConstrainSelectedInstOperands,
     /*  24319 */     // GIR_Coverage, 2234,
     /*  24319 */     GIR_EraseRootFromParent_Done,
     /*  24320 */   // Label 400: @24320
     /*  24320 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(24387), // Rule ID 2293 //
     /*  24325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  24344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24353 */     // MIs[1] imm
     /*  24353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24361 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  24365 */     // MIs[2] Operand 1
     /*  24365 */     // No operand predicates
     /*  24365 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  24369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24371 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  24371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  24374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24376 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  24385 */     GIR_RootConstrainSelectedInstOperands,
     /*  24386 */     // GIR_Coverage, 2293,
     /*  24386 */     GIR_EraseRootFromParent_Done,
     /*  24387 */   // Label 401: @24387
     /*  24387 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(24435), // Rule ID 13299 //
     /*  24392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  24407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24422 */     // (add:{ *:[v4i16] } (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  24425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24427 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24433 */     GIR_RootConstrainSelectedInstOperands,
     /*  24434 */     // GIR_Coverage, 13299,
     /*  24434 */     GIR_EraseRootFromParent_Done,
     /*  24435 */   // Label 402: @24435
     /*  24435 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(24483), // Rule ID 13311 //
     /*  24440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  24455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24470 */     // (add:{ *:[v4i16] } (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  24473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24481 */     GIR_RootConstrainSelectedInstOperands,
     /*  24482 */     // GIR_Coverage, 13311,
     /*  24482 */     GIR_EraseRootFromParent_Done,
     /*  24483 */   // Label 403: @24483
     /*  24483 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(24531), // Rule ID 988 //
     /*  24488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  24507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24518 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  24521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24523 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24529 */     GIR_RootConstrainSelectedInstOperands,
     /*  24530 */     // GIR_Coverage, 988,
     /*  24530 */     GIR_EraseRootFromParent_Done,
     /*  24531 */   // Label 404: @24531
     /*  24531 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(24579), // Rule ID 1049 //
     /*  24536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  24555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24566 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  24569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24571 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24577 */     GIR_RootConstrainSelectedInstOperands,
     /*  24578 */     // GIR_Coverage, 1049,
     /*  24578 */     GIR_EraseRootFromParent_Done,
     /*  24579 */   // Label 405: @24579
     /*  24579 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(24606), // Rule ID 1102 //
     /*  24584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24599 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  24599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv4i16),
     /*  24604 */     GIR_RootConstrainSelectedInstOperands,
     /*  24605 */     // GIR_Coverage, 1102,
     /*  24605 */     GIR_Done,
     /*  24606 */   // Label 406: @24606
     /*  24606 */   GIM_Reject,
     /*  24607 */ // Label 372: @24607
     /*  24607 */ GIM_Reject,
     /*  24608 */ // Label 158: @24608
     /*  24608 */ GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(30785),
     /*  24613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  24616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  24619 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(24737), // Rule ID 13472 //
     /*  24624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  24639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24659 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24663 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24667 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24671 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24675 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24680 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24684 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24688 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24692 */     // MIs[4] Operand 1
     /*  24692 */     // No operand predicates
     /*  24692 */     // MIs[2] Operand 2
     /*  24692 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  24703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24707 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24716 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  24719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24735 */     GIR_RootConstrainSelectedInstOperands,
     /*  24736 */     // GIR_Coverage, 13472,
     /*  24736 */     GIR_EraseRootFromParent_Done,
     /*  24737 */   // Label 408: @24737
     /*  24737 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(24855), // Rule ID 13473 //
     /*  24742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  24757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  24769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24777 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24781 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24785 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24789 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24793 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24798 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24802 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24806 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24810 */     // MIs[4] Operand 1
     /*  24810 */     // No operand predicates
     /*  24810 */     // MIs[2] Operand 2
     /*  24810 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  24821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24825 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24827 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24834 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  24837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24839 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24853 */     GIR_RootConstrainSelectedInstOperands,
     /*  24854 */     // GIR_Coverage, 13473,
     /*  24854 */     GIR_EraseRootFromParent_Done,
     /*  24855 */   // Label 409: @24855
     /*  24855 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(24973), // Rule ID 13502 //
     /*  24860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  24875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24895 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24899 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24903 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24907 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24911 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24916 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24920 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24924 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24928 */     // MIs[4] Operand 1
     /*  24928 */     // No operand predicates
     /*  24928 */     // MIs[2] Operand 2
     /*  24928 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  24939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24943 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24945 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24952 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  24955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24971 */     GIR_RootConstrainSelectedInstOperands,
     /*  24972 */     // GIR_Coverage, 13502,
     /*  24972 */     GIR_EraseRootFromParent_Done,
     /*  24973 */   // Label 410: @24973
     /*  24973 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(25091), // Rule ID 13503 //
     /*  24978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  24993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25013 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25017 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25021 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25025 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25029 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25034 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25038 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25042 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25046 */     // MIs[4] Operand 1
     /*  25046 */     // No operand predicates
     /*  25046 */     // MIs[2] Operand 2
     /*  25046 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25061 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25063 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25070 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  25073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25075 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25089 */     GIR_RootConstrainSelectedInstOperands,
     /*  25090 */     // GIR_Coverage, 13503,
     /*  25090 */     GIR_EraseRootFromParent_Done,
     /*  25091 */   // Label 411: @25091
     /*  25091 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(25209), // Rule ID 2039 //
     /*  25096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  25127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25143 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25147 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25151 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25156 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25160 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25164 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25168 */     // MIs[4] Operand 1
     /*  25168 */     // No operand predicates
     /*  25168 */     // MIs[2] Operand 2
     /*  25168 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25179 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25181 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25188 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  25191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25193 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25207 */     GIR_RootConstrainSelectedInstOperands,
     /*  25208 */     // GIR_Coverage, 2039,
     /*  25208 */     GIR_EraseRootFromParent_Done,
     /*  25209 */   // Label 412: @25209
     /*  25209 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(25327), // Rule ID 13471 //
     /*  25214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25261 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25265 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25269 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25274 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25278 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25282 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25286 */     // MIs[4] Operand 1
     /*  25286 */     // No operand predicates
     /*  25286 */     // MIs[2] Operand 2
     /*  25286 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25297 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25299 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25306 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  25309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25311 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25325 */     GIR_RootConstrainSelectedInstOperands,
     /*  25326 */     // GIR_Coverage, 13471,
     /*  25326 */     GIR_EraseRootFromParent_Done,
     /*  25327 */   // Label 413: @25327
     /*  25327 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(25445), // Rule ID 2091 //
     /*  25332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  25351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  25363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25371 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25375 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25379 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25383 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25387 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25392 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25396 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25400 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25404 */     // MIs[4] Operand 1
     /*  25404 */     // No operand predicates
     /*  25404 */     // MIs[2] Operand 2
     /*  25404 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25415 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25424 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  25427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25429 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25443 */     GIR_RootConstrainSelectedInstOperands,
     /*  25444 */     // GIR_Coverage, 2091,
     /*  25444 */     GIR_EraseRootFromParent_Done,
     /*  25445 */   // Label 414: @25445
     /*  25445 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(25563), // Rule ID 13501 //
     /*  25450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  25469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25473 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25497 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25501 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25505 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25510 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25514 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25518 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25522 */     // MIs[4] Operand 1
     /*  25522 */     // No operand predicates
     /*  25522 */     // MIs[2] Operand 2
     /*  25522 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25533 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25535 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25542 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  25545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25547 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25561 */     GIR_RootConstrainSelectedInstOperands,
     /*  25562 */     // GIR_Coverage, 13501,
     /*  25562 */     GIR_EraseRootFromParent_Done,
     /*  25563 */   // Label 415: @25563
     /*  25563 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(25650), // Rule ID 13382 //
     /*  25568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25595 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25598 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  25603 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25607 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25615 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25617 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25624 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25631 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))), V128:{ *:[v4i32] }:$Rd)  =>  (SABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i16_v4i32),
     /*  25634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25648 */     GIR_RootConstrainSelectedInstOperands,
     /*  25649 */     // GIR_Coverage, 13382,
     /*  25649 */     GIR_EraseRootFromParent_Done,
     /*  25650 */   // Label 416: @25650
     /*  25650 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(25737), // Rule ID 13406 //
     /*  25655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25682 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25685 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  25690 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25694 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25704 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25711 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25718 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))), V128:{ *:[v4i32] }:$Rd)  =>  (UABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i16_v4i32),
     /*  25721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25723 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25735 */     GIR_RootConstrainSelectedInstOperands,
     /*  25736 */     // GIR_Coverage, 13406,
     /*  25736 */     GIR_EraseRootFromParent_Done,
     /*  25737 */   // Label 417: @25737
     /*  25737 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(25824), // Rule ID 1695 //
     /*  25742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25773 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25776 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  25781 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25785 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25791 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25798 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25805 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))))  =>  (SABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i16_v4i32),
     /*  25808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25810 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25822 */     GIR_RootConstrainSelectedInstOperands,
     /*  25823 */     // GIR_Coverage, 1695,
     /*  25823 */     GIR_EraseRootFromParent_Done,
     /*  25824 */   // Label 418: @25824
     /*  25824 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(25911), // Rule ID 1773 //
     /*  25829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25860 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25863 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  25868 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25872 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25878 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25885 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25892 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))))  =>  (UABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i16_v4i32),
     /*  25895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25897 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25909 */     GIR_RootConstrainSelectedInstOperands,
     /*  25910 */     // GIR_Coverage, 1773,
     /*  25910 */     GIR_EraseRootFromParent_Done,
     /*  25911 */   // Label 419: @25911
     /*  25911 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(26026), // Rule ID 13467 //
     /*  25916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25951 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25955 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25959 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25963 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25967 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25972 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25976 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25980 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25984 */     // MIs[4] Operand 1
     /*  25984 */     // No operand predicates
     /*  25984 */     // MIs[2] Operand 2
     /*  25984 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  25995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26004 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26006 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26011 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  26017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26024 */     GIR_RootConstrainSelectedInstOperands,
     /*  26025 */     // GIR_Coverage, 13467,
     /*  26025 */     GIR_EraseRootFromParent_Done,
     /*  26026 */   // Label 420: @26026
     /*  26026 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(26141), // Rule ID 13466 //
     /*  26031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26071 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26075 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26079 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26083 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26087 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26092 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26096 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26100 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26104 */     // MIs[4] Operand 1
     /*  26104 */     // No operand predicates
     /*  26104 */     // MIs[2] Operand 2
     /*  26104 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26119 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26121 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26139 */     GIR_RootConstrainSelectedInstOperands,
     /*  26140 */     // GIR_Coverage, 13466,
     /*  26140 */     GIR_EraseRootFromParent_Done,
     /*  26141 */   // Label 421: @26141
     /*  26141 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(26256), // Rule ID 13497 //
     /*  26146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26181 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26185 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26189 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26193 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26197 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26202 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26206 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26210 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26214 */     // MIs[4] Operand 1
     /*  26214 */     // No operand predicates
     /*  26214 */     // MIs[2] Operand 2
     /*  26214 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26234 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26236 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  26239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  26247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26254 */     GIR_RootConstrainSelectedInstOperands,
     /*  26255 */     // GIR_Coverage, 13497,
     /*  26255 */     GIR_EraseRootFromParent_Done,
     /*  26256 */   // Label 422: @26256
     /*  26256 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(26371), // Rule ID 13496 //
     /*  26261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26301 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26305 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26309 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26313 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26317 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26322 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26326 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26330 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26334 */     // MIs[4] Operand 1
     /*  26334 */     // No operand predicates
     /*  26334 */     // MIs[2] Operand 2
     /*  26334 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26349 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26351 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  26354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26369 */     GIR_RootConstrainSelectedInstOperands,
     /*  26370 */     // GIR_Coverage, 13496,
     /*  26370 */     GIR_EraseRootFromParent_Done,
     /*  26371 */   // Label 423: @26371
     /*  26371 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(26440), // Rule ID 1793 //
     /*  26376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26409 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26416 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26423 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  26426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26438 */     GIR_RootConstrainSelectedInstOperands,
     /*  26439 */     // GIR_Coverage, 1793,
     /*  26439 */     GIR_EraseRootFromParent_Done,
     /*  26440 */   // Label 424: @26440
     /*  26440 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(26509), // Rule ID 1792 //
     /*  26445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26478 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26485 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26492 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  26495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26507 */     GIR_RootConstrainSelectedInstOperands,
     /*  26508 */     // GIR_Coverage, 1792,
     /*  26508 */     GIR_EraseRootFromParent_Done,
     /*  26509 */   // Label 425: @26509
     /*  26509 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(26578), // Rule ID 1715 //
     /*  26514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  26529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  26541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26547 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26554 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26561 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv8i16_v4i32),
     /*  26564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26576 */     GIR_RootConstrainSelectedInstOperands,
     /*  26577 */     // GIR_Coverage, 1715,
     /*  26577 */     GIR_EraseRootFromParent_Done,
     /*  26578 */   // Label 426: @26578
     /*  26578 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(26647), // Rule ID 1791 //
     /*  26583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26616 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26623 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26630 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  26633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26645 */     GIR_RootConstrainSelectedInstOperands,
     /*  26646 */     // GIR_Coverage, 1791,
     /*  26646 */     GIR_EraseRootFromParent_Done,
     /*  26647 */   // Label 427: @26647
     /*  26647 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(26716), // Rule ID 1790 //
     /*  26652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26685 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26692 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26699 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  26702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26714 */     GIR_RootConstrainSelectedInstOperands,
     /*  26715 */     // GIR_Coverage, 1790,
     /*  26715 */     GIR_EraseRootFromParent_Done,
     /*  26716 */   // Label 428: @26716
     /*  26716 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(26831), // Rule ID 13465 //
     /*  26721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26760 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26764 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26768 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26772 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26776 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26781 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26785 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26789 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26793 */     // MIs[4] Operand 1
     /*  26793 */     // No operand predicates
     /*  26793 */     // MIs[2] Operand 2
     /*  26793 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26809 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26811 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26816 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  26818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  26822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26829 */     GIR_RootConstrainSelectedInstOperands,
     /*  26830 */     // GIR_Coverage, 13465,
     /*  26830 */     GIR_EraseRootFromParent_Done,
     /*  26831 */   // Label 429: @26831
     /*  26831 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(26946), // Rule ID 2037 //
     /*  26836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26880 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26884 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26888 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26892 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26896 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26901 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26905 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26909 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26913 */     // MIs[4] Operand 1
     /*  26913 */     // No operand predicates
     /*  26913 */     // MIs[2] Operand 2
     /*  26913 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26924 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26926 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26931 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  26933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26944 */     GIR_RootConstrainSelectedInstOperands,
     /*  26945 */     // GIR_Coverage, 2037,
     /*  26945 */     GIR_EraseRootFromParent_Done,
     /*  26946 */   // Label 430: @26946
     /*  26946 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(27061), // Rule ID 13495 //
     /*  26951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26990 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26994 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26998 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27002 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  27006 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  27011 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  27015 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27019 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  27023 */     // MIs[4] Operand 1
     /*  27023 */     // No operand predicates
     /*  27023 */     // MIs[2] Operand 2
     /*  27023 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  27034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27039 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  27041 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  27044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27046 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  27056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  27059 */     GIR_RootConstrainSelectedInstOperands,
     /*  27060 */     // GIR_Coverage, 13495,
     /*  27060 */     GIR_EraseRootFromParent_Done,
     /*  27061 */   // Label 431: @27061
     /*  27061 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(27176), // Rule ID 2089 //
     /*  27066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  27085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  27102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  27106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27110 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  27114 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  27118 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27122 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  27126 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  27131 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  27135 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27139 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  27143 */     // MIs[4] Operand 1
     /*  27143 */     // No operand predicates
     /*  27143 */     // MIs[2] Operand 2
     /*  27143 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  27154 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  27156 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  27159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27161 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  27167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  27171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  27174 */     GIR_RootConstrainSelectedInstOperands,
     /*  27175 */     // GIR_Coverage, 2089,
     /*  27175 */     GIR_EraseRootFromParent_Done,
     /*  27176 */   // Label 432: @27176
     /*  27176 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(27243), // Rule ID 13396 //
     /*  27181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  27196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27210 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27217 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27224 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_v4i32),
     /*  27227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  27236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  27241 */     GIR_RootConstrainSelectedInstOperands,
     /*  27242 */     // GIR_Coverage, 13396,
     /*  27242 */     GIR_EraseRootFromParent_Done,
     /*  27243 */   // Label 433: @27243
     /*  27243 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(27310), // Rule ID 13426 //
     /*  27248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  27263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27267 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27277 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27284 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27291 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_v4i32),
     /*  27294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  27303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  27308 */     GIR_RootConstrainSelectedInstOperands,
     /*  27309 */     // GIR_Coverage, 13426,
     /*  27309 */     GIR_EraseRootFromParent_Done,
     /*  27310 */   // Label 434: @27310
     /*  27310 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(27377), // Rule ID 1727 //
     /*  27315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  27334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27344 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27351 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27358 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_v4i32),
     /*  27361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27363 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  27370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  27375 */     GIR_RootConstrainSelectedInstOperands,
     /*  27376 */     // GIR_Coverage, 1727,
     /*  27376 */     GIR_EraseRootFromParent_Done,
     /*  27377 */   // Label 435: @27377
     /*  27377 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(27444), // Rule ID 1817 //
     /*  27382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  27401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27405 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27418 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27425 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_v4i32),
     /*  27428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27430 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  27437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  27442 */     GIR_RootConstrainSelectedInstOperands,
     /*  27443 */     // GIR_Coverage, 1817,
     /*  27443 */     GIR_EraseRootFromParent_Done,
     /*  27444 */   // Label 436: @27444
     /*  27444 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(27525), // Rule ID 13380 //
     /*  27449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27476 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27479 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  27484 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27488 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  27492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27508 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (SABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  27508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i16_v4i32),
     /*  27511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  27519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  27523 */     GIR_RootConstrainSelectedInstOperands,
     /*  27524 */     // GIR_Coverage, 13380,
     /*  27524 */     GIR_EraseRootFromParent_Done,
     /*  27525 */   // Label 437: @27525
     /*  27525 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(27606), // Rule ID 13404 //
     /*  27530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27557 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27560 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  27565 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27569 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  27573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27578 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27589 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (UABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  27589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i16_v4i32),
     /*  27592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27594 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  27600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  27604 */     GIR_RootConstrainSelectedInstOperands,
     /*  27605 */     // GIR_Coverage, 13404,
     /*  27605 */     GIR_EraseRootFromParent_Done,
     /*  27606 */   // Label 438: @27606
     /*  27606 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(27687), // Rule ID 1693 //
     /*  27611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27642 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27645 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  27650 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27654 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  27658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27663 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27670 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)))  =>  (SABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  27670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i16_v4i32),
     /*  27673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27675 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  27681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  27685 */     GIR_RootConstrainSelectedInstOperands,
     /*  27686 */     // GIR_Coverage, 1693,
     /*  27686 */     GIR_EraseRootFromParent_Done,
     /*  27687 */   // Label 439: @27687
     /*  27687 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(27768), // Rule ID 1771 //
     /*  27692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27723 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27726 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  27731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27735 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  27739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27749 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27751 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)))  =>  (UABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  27751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i16_v4i32),
     /*  27754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27756 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  27762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  27766 */     GIR_RootConstrainSelectedInstOperands,
     /*  27767 */     // GIR_Coverage, 1771,
     /*  27767 */     GIR_EraseRootFromParent_Done,
     /*  27768 */   // Label 440: @27768
     /*  27768 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(27860), // Rule ID 13470 //
     /*  27773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  27788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  27804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27808 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  27812 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  27817 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  27821 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27825 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  27829 */     // MIs[3] Operand 1
     /*  27829 */     // No operand predicates
     /*  27829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27838 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  27840 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  27843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  27855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  27858 */     GIR_RootConstrainSelectedInstOperands,
     /*  27859 */     // GIR_Coverage, 13470,
     /*  27859 */     GIR_EraseRootFromParent_Done,
     /*  27860 */   // Label 441: @27860
     /*  27860 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(27952), // Rule ID 13469 //
     /*  27865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  27880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  27897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  27901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27905 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  27909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  27914 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  27918 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27922 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  27926 */     // MIs[3] Operand 1
     /*  27926 */     // No operand predicates
     /*  27926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27930 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  27932 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  27935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27937 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  27943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  27947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  27950 */     GIR_RootConstrainSelectedInstOperands,
     /*  27951 */     // GIR_Coverage, 13469,
     /*  27951 */     GIR_EraseRootFromParent_Done,
     /*  27952 */   // Label 442: @27952
     /*  27952 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(28044), // Rule ID 13500 //
     /*  27957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  27972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  27988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27992 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  27996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28009 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28013 */     // MIs[3] Operand 1
     /*  28013 */     // No operand predicates
     /*  28013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28024 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  28027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28042 */     GIR_RootConstrainSelectedInstOperands,
     /*  28043 */     // GIR_Coverage, 13500,
     /*  28043 */     GIR_EraseRootFromParent_Done,
     /*  28044 */   // Label 443: @28044
     /*  28044 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(28136), // Rule ID 13499 //
     /*  28049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  28064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  28081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28089 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28098 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28102 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28106 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28110 */     // MIs[3] Operand 1
     /*  28110 */     // No operand predicates
     /*  28110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28114 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28116 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  28119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28134 */     GIR_RootConstrainSelectedInstOperands,
     /*  28135 */     // GIR_Coverage, 13499,
     /*  28135 */     GIR_EraseRootFromParent_Done,
     /*  28136 */   // Label 444: @28136
     /*  28136 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(28228), // Rule ID 13468 //
     /*  28141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  28160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28164 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28180 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28189 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28193 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28197 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28201 */     // MIs[3] Operand 1
     /*  28201 */     // No operand predicates
     /*  28201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28208 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  28211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28213 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28226 */     GIR_RootConstrainSelectedInstOperands,
     /*  28227 */     // GIR_Coverage, 13468,
     /*  28227 */     GIR_EraseRootFromParent_Done,
     /*  28228 */   // Label 445: @28228
     /*  28228 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(28320), // Rule ID 2038 //
     /*  28233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  28252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  28269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28277 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28281 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28286 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28290 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28294 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28298 */     // MIs[3] Operand 1
     /*  28298 */     // No operand predicates
     /*  28298 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28300 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  28303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28305 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28318 */     GIR_RootConstrainSelectedInstOperands,
     /*  28319 */     // GIR_Coverage, 2038,
     /*  28319 */     GIR_EraseRootFromParent_Done,
     /*  28320 */   // Label 446: @28320
     /*  28320 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(28412), // Rule ID 13498 //
     /*  28325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  28344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28364 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28368 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28373 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28377 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28381 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28385 */     // MIs[3] Operand 1
     /*  28385 */     // No operand predicates
     /*  28385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28390 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28392 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  28395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28397 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28410 */     GIR_RootConstrainSelectedInstOperands,
     /*  28411 */     // GIR_Coverage, 13498,
     /*  28411 */     GIR_EraseRootFromParent_Done,
     /*  28412 */   // Label 447: @28412
     /*  28412 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(28504), // Rule ID 2090 //
     /*  28417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  28436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  28453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28461 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28470 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28474 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28478 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28482 */     // MIs[3] Operand 1
     /*  28482 */     // No operand predicates
     /*  28482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28484 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  28487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28489 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28502 */     GIR_RootConstrainSelectedInstOperands,
     /*  28503 */     // GIR_Coverage, 2090,
     /*  28503 */     GIR_EraseRootFromParent_Done,
     /*  28504 */   // Label 448: @28504
     /*  28504 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(28555), // Rule ID 13418 //
     /*  28509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  28524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28534 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28541 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  28544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  28548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28553 */     GIR_RootConstrainSelectedInstOperands,
     /*  28554 */     // GIR_Coverage, 13418,
     /*  28554 */     GIR_EraseRootFromParent_Done,
     /*  28555 */   // Label 449: @28555
     /*  28555 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(28606), // Rule ID 13390 //
     /*  28560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  28575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28585 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28592 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rn)  =>  (SADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i16_v4i32),
     /*  28595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28597 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  28599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28604 */     GIR_RootConstrainSelectedInstOperands,
     /*  28605 */     // GIR_Coverage, 13390,
     /*  28605 */     GIR_EraseRootFromParent_Done,
     /*  28606 */   // Label 450: @28606
     /*  28606 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(28657), // Rule ID 13417 //
     /*  28611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  28626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28636 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28643 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  28646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  28650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28655 */     GIR_RootConstrainSelectedInstOperands,
     /*  28656 */     // GIR_Coverage, 13417,
     /*  28656 */     GIR_EraseRootFromParent_Done,
     /*  28657 */   // Label 451: @28657
     /*  28657 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(28708), // Rule ID 1809 //
     /*  28662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  28681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28687 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28694 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  28697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28699 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  28701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28706 */     GIR_RootConstrainSelectedInstOperands,
     /*  28707 */     // GIR_Coverage, 1809,
     /*  28707 */     GIR_EraseRootFromParent_Done,
     /*  28708 */   // Label 452: @28708
     /*  28708 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(28759), // Rule ID 1721 //
     /*  28713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  28732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28738 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28745 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i16_v4i32),
     /*  28748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28750 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  28752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28757 */     GIR_RootConstrainSelectedInstOperands,
     /*  28758 */     // GIR_Coverage, 1721,
     /*  28758 */     GIR_EraseRootFromParent_Done,
     /*  28759 */   // Label 453: @28759
     /*  28759 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(28810), // Rule ID 1808 //
     /*  28764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  28783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28789 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28796 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  28799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28801 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  28803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28808 */     GIR_RootConstrainSelectedInstOperands,
     /*  28809 */     // GIR_Coverage, 1808,
     /*  28809 */     GIR_EraseRootFromParent_Done,
     /*  28810 */   // Label 454: @28810
     /*  28810 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(28879), // Rule ID 13344 //
     /*  28815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28830 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  28833 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  28838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  28842 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  28846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28862 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (SABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  28862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i32),
     /*  28865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28867 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  28877 */     GIR_RootConstrainSelectedInstOperands,
     /*  28878 */     // GIR_Coverage, 13344,
     /*  28878 */     GIR_EraseRootFromParent_Done,
     /*  28879 */   // Label 455: @28879
     /*  28879 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(28948), // Rule ID 13356 //
     /*  28884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28899 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  28902 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  28907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  28911 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  28915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28931 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (UABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  28931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i32),
     /*  28934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  28946 */     GIR_RootConstrainSelectedInstOperands,
     /*  28947 */     // GIR_Coverage, 13356,
     /*  28947 */     GIR_EraseRootFromParent_Done,
     /*  28948 */   // Label 456: @28948
     /*  28948 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(29004), // Rule ID 13306 //
     /*  28953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28968 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  28971 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  28976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  28980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28991 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 660:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  28991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  28994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29002 */     GIR_RootConstrainSelectedInstOperands,
     /*  29003 */     // GIR_Coverage, 13306,
     /*  29003 */     GIR_EraseRootFromParent_Done,
     /*  29004 */   // Label 457: @29004
     /*  29004 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(29060), // Rule ID 13318 //
     /*  29009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29024 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  29027 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  29032 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  29036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29047 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  29047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  29050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29058 */     GIR_RootConstrainSelectedInstOperands,
     /*  29059 */     // GIR_Coverage, 13318,
     /*  29059 */     GIR_EraseRootFromParent_Done,
     /*  29060 */   // Label 458: @29060
     /*  29060 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(29127), // Rule ID 13548 //
     /*  29065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  29080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29089 */     // MIs[1] imm
     /*  29089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29097 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  29101 */     // MIs[2] Operand 1
     /*  29101 */     // No operand predicates
     /*  29101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29105 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29109 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29111 */     // (add:{ *:[v4i32] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  29114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29125 */     GIR_RootConstrainSelectedInstOperands,
     /*  29126 */     // GIR_Coverage, 13548,
     /*  29126 */     GIR_EraseRootFromParent_Done,
     /*  29127 */   // Label 459: @29127
     /*  29127 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(29194), // Rule ID 13569 //
     /*  29132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  29147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29156 */     // MIs[1] imm
     /*  29156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29164 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  29168 */     // MIs[2] Operand 1
     /*  29168 */     // No operand predicates
     /*  29168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29172 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29178 */     // (add:{ *:[v4i32] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  29181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29183 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29192 */     GIR_RootConstrainSelectedInstOperands,
     /*  29193 */     // GIR_Coverage, 13569,
     /*  29193 */     GIR_EraseRootFromParent_Done,
     /*  29194 */   // Label 460: @29194
     /*  29194 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(29263), // Rule ID 1367 //
     /*  29199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29218 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  29221 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  29226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29230 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  29234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29246 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (SABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  29246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i32),
     /*  29249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29251 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  29261 */     GIR_RootConstrainSelectedInstOperands,
     /*  29262 */     // GIR_Coverage, 1367,
     /*  29262 */     GIR_EraseRootFromParent_Done,
     /*  29263 */   // Label 461: @29263
     /*  29263 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(29332), // Rule ID 1490 //
     /*  29268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29287 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  29290 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  29295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29299 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  29303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29315 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (UABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  29315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i32),
     /*  29318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29320 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  29330 */     GIR_RootConstrainSelectedInstOperands,
     /*  29331 */     // GIR_Coverage, 1490,
     /*  29331 */     GIR_EraseRootFromParent_Done,
     /*  29332 */   // Label 462: @29332
     /*  29332 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(29388), // Rule ID 995 //
     /*  29337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29356 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  29359 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  29364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  29368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29375 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 660:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  29375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  29378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29380 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29386 */     GIR_RootConstrainSelectedInstOperands,
     /*  29387 */     // GIR_Coverage, 995,
     /*  29387 */     GIR_EraseRootFromParent_Done,
     /*  29388 */   // Label 463: @29388
     /*  29388 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(29444), // Rule ID 1056 //
     /*  29393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29412 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  29415 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  29420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  29424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29431 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  29431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  29434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29436 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29442 */     GIR_RootConstrainSelectedInstOperands,
     /*  29443 */     // GIR_Coverage, 1056,
     /*  29443 */     GIR_EraseRootFromParent_Done,
     /*  29444 */   // Label 464: @29444
     /*  29444 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(29511), // Rule ID 2240 //
     /*  29449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  29468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29477 */     // MIs[1] imm
     /*  29477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29485 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  29489 */     // MIs[2] Operand 1
     /*  29489 */     // No operand predicates
     /*  29489 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29495 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  29498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29500 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29509 */     GIR_RootConstrainSelectedInstOperands,
     /*  29510 */     // GIR_Coverage, 2240,
     /*  29510 */     GIR_EraseRootFromParent_Done,
     /*  29511 */   // Label 465: @29511
     /*  29511 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(29578), // Rule ID 2299 //
     /*  29516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  29535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29544 */     // MIs[1] imm
     /*  29544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29552 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  29556 */     // MIs[2] Operand 1
     /*  29556 */     // No operand predicates
     /*  29556 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29562 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  29565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29567 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29576 */     GIR_RootConstrainSelectedInstOperands,
     /*  29577 */     // GIR_Coverage, 2299,
     /*  29577 */     GIR_EraseRootFromParent_Done,
     /*  29578 */   // Label 466: @29578
     /*  29578 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(29648), // Rule ID 6935 //
     /*  29583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /*  29595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  29621 */     // MIs[2] Rn
     /*  29621 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  29626 */     // MIs[2] Rm
     /*  29626 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  29631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29633 */     // (add:{ *:[v4i32] } (AArch64uzp1:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm), (AArch64uzp2:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm))  =>  (ADDPv4i32:{ *:[v4i32] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rm)
     /*  29633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  29636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  29646 */     GIR_RootConstrainSelectedInstOperands,
     /*  29647 */     // GIR_Coverage, 6935,
     /*  29647 */     GIR_EraseRootFromParent_Done,
     /*  29648 */   // Label 467: @29648
     /*  29648 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(29718), // Rule ID 13930 //
     /*  29653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /*  29665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /*  29691 */     // MIs[2] Rn
     /*  29691 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  29696 */     // MIs[2] Rm
     /*  29696 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  29701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29703 */     // (add:{ *:[v4i32] } (AArch64uzp2:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm), (AArch64uzp1:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm))  =>  (ADDPv4i32:{ *:[v4i32] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rm)
     /*  29703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  29706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  29716 */     GIR_RootConstrainSelectedInstOperands,
     /*  29717 */     // GIR_Coverage, 13930,
     /*  29717 */     GIR_EraseRootFromParent_Done,
     /*  29718 */   // Label 468: @29718
     /*  29718 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(29781), // Rule ID 1789 //
     /*  29723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  29738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  29755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29766 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  29769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29779 */     GIR_RootConstrainSelectedInstOperands,
     /*  29780 */     // GIR_Coverage, 1789,
     /*  29780 */     GIR_EraseRootFromParent_Done,
     /*  29781 */   // Label 469: @29781
     /*  29781 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(29844), // Rule ID 1788 //
     /*  29786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  29801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  29818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29829 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  29832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29842 */     GIR_RootConstrainSelectedInstOperands,
     /*  29843 */     // GIR_Coverage, 1788,
     /*  29843 */     GIR_EraseRootFromParent_Done,
     /*  29844 */   // Label 470: @29844
     /*  29844 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(29907), // Rule ID 1714 //
     /*  29849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  29864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  29881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29885 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29892 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv4i16_v4i32),
     /*  29895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29905 */     GIR_RootConstrainSelectedInstOperands,
     /*  29906 */     // GIR_Coverage, 1714,
     /*  29906 */     GIR_EraseRootFromParent_Done,
     /*  29907 */   // Label 471: @29907
     /*  29907 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(29970), // Rule ID 1787 //
     /*  29912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  29927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  29944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29955 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  29958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29968 */     GIR_RootConstrainSelectedInstOperands,
     /*  29969 */     // GIR_Coverage, 1787,
     /*  29969 */     GIR_EraseRootFromParent_Done,
     /*  29970 */   // Label 472: @29970
     /*  29970 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(30033), // Rule ID 1786 //
     /*  29975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  29990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  30003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30011 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30016 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  30018 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  30021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  30031 */     GIR_RootConstrainSelectedInstOperands,
     /*  30032 */     // GIR_Coverage, 1786,
     /*  30032 */     GIR_EraseRootFromParent_Done,
     /*  30033 */   // Label 473: @30033
     /*  30033 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(30094), // Rule ID 13395 //
     /*  30038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  30053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  30061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30077 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  30080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30082 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  30092 */     GIR_RootConstrainSelectedInstOperands,
     /*  30093 */     // GIR_Coverage, 13395,
     /*  30093 */     GIR_EraseRootFromParent_Done,
     /*  30094 */   // Label 474: @30094
     /*  30094 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(30155), // Rule ID 13425 //
     /*  30099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  30114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  30122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30138 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  30141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30143 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  30153 */     GIR_RootConstrainSelectedInstOperands,
     /*  30154 */     // GIR_Coverage, 13425,
     /*  30154 */     GIR_EraseRootFromParent_Done,
     /*  30155 */   // Label 475: @30155
     /*  30155 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(30203), // Rule ID 13416 //
     /*  30160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  30175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30190 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  30193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30195 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  30197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30201 */     GIR_RootConstrainSelectedInstOperands,
     /*  30202 */     // GIR_Coverage, 13416,
     /*  30202 */     GIR_EraseRootFromParent_Done,
     /*  30203 */   // Label 476: @30203
     /*  30203 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(30251), // Rule ID 13305 //
     /*  30208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  30223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30238 */     // (add:{ *:[v4i32] } (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  30238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  30241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30243 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30249 */     GIR_RootConstrainSelectedInstOperands,
     /*  30250 */     // GIR_Coverage, 13305,
     /*  30250 */     GIR_EraseRootFromParent_Done,
     /*  30251 */   // Label 477: @30251
     /*  30251 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(30299), // Rule ID 13389 //
     /*  30256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  30271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30286 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rn)  =>  (SADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  30289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30291 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  30293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30297 */     GIR_RootConstrainSelectedInstOperands,
     /*  30298 */     // GIR_Coverage, 13389,
     /*  30298 */     GIR_EraseRootFromParent_Done,
     /*  30299 */   // Label 478: @30299
     /*  30299 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(30347), // Rule ID 13317 //
     /*  30304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  30319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30334 */     // (add:{ *:[v4i32] } (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  30334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  30337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30339 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30345 */     GIR_RootConstrainSelectedInstOperands,
     /*  30346 */     // GIR_Coverage, 13317,
     /*  30346 */     GIR_EraseRootFromParent_Done,
     /*  30347 */   // Label 479: @30347
     /*  30347 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(30395), // Rule ID 13415 //
     /*  30352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30382 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  30385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  30389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30393 */     GIR_RootConstrainSelectedInstOperands,
     /*  30394 */     // GIR_Coverage, 13415,
     /*  30394 */     GIR_EraseRootFromParent_Done,
     /*  30395 */   // Label 480: @30395
     /*  30395 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(30456), // Rule ID 1726 //
     /*  30400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  30419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  30427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30439 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  30442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30444 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  30454 */     GIR_RootConstrainSelectedInstOperands,
     /*  30455 */     // GIR_Coverage, 1726,
     /*  30455 */     GIR_EraseRootFromParent_Done,
     /*  30456 */   // Label 481: @30456
     /*  30456 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(30517), // Rule ID 1816 //
     /*  30461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  30480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  30488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30500 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  30503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30505 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  30515 */     GIR_RootConstrainSelectedInstOperands,
     /*  30516 */     // GIR_Coverage, 1816,
     /*  30516 */     GIR_EraseRootFromParent_Done,
     /*  30517 */   // Label 482: @30517
     /*  30517 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(30565), // Rule ID 1807 //
     /*  30522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  30541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30552 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  30555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30557 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  30559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30563 */     GIR_RootConstrainSelectedInstOperands,
     /*  30564 */     // GIR_Coverage, 1807,
     /*  30564 */     GIR_EraseRootFromParent_Done,
     /*  30565 */   // Label 483: @30565
     /*  30565 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(30613), // Rule ID 994 //
     /*  30570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  30589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30600 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  30600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  30603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30605 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30611 */     GIR_RootConstrainSelectedInstOperands,
     /*  30612 */     // GIR_Coverage, 994,
     /*  30612 */     GIR_EraseRootFromParent_Done,
     /*  30613 */   // Label 484: @30613
     /*  30613 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(30661), // Rule ID 1720 //
     /*  30618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  30637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30648 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  30651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30653 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  30655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30659 */     GIR_RootConstrainSelectedInstOperands,
     /*  30660 */     // GIR_Coverage, 1720,
     /*  30660 */     GIR_EraseRootFromParent_Done,
     /*  30661 */   // Label 485: @30661
     /*  30661 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(30709), // Rule ID 1055 //
     /*  30666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  30685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30696 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  30696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  30699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30701 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30707 */     GIR_RootConstrainSelectedInstOperands,
     /*  30708 */     // GIR_Coverage, 1055,
     /*  30708 */     GIR_EraseRootFromParent_Done,
     /*  30709 */   // Label 486: @30709
     /*  30709 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(30757), // Rule ID 1806 //
     /*  30714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30744 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  30747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30749 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  30751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30755 */     GIR_RootConstrainSelectedInstOperands,
     /*  30756 */     // GIR_Coverage, 1806,
     /*  30756 */     GIR_EraseRootFromParent_Done,
     /*  30757 */   // Label 487: @30757
     /*  30757 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(30784), // Rule ID 1105 //
     /*  30762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30777 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  30777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv4i32),
     /*  30782 */     GIR_RootConstrainSelectedInstOperands,
     /*  30783 */     // GIR_Coverage, 1105,
     /*  30783 */     GIR_Done,
     /*  30784 */   // Label 488: @30784
     /*  30784 */   GIM_Reject,
     /*  30785 */ // Label 407: @30785
     /*  30785 */ GIM_Reject,
     /*  30786 */ // Label 159: @30786
     /*  30786 */ GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(31635),
     /*  30791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  30797 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(30930), // Rule ID 13935 //
     /*  30802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  30814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  30826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30830 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  30834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  30843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  30847 */     // MIs[1] Operand 2
     /*  30847 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  30858 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  30862 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  30866 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30870 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  30874 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  30878 */     // MIs[5] Rn
     /*  30878 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  30883 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  30885 */     // (add:{ *:[v8i8] } (extract_subvector:{ *:[v8i8] } (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, (undef:{ *:[v16i8] })), 0:{ *:[i64] }), (trunc:{ *:[v8i8] } (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$Rn)))  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (ADDPv16i8:{ *:[f128] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rn), dsub:{ *:[i32] })
     /*  30885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  30888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  30892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  30897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  30901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  30905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  30907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30912 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  30919 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30924 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30929 */     // GIR_Coverage, 13935,
     /*  30929 */     GIR_EraseRootFromParent_Done,
     /*  30930 */   // Label 490: @30930
     /*  30930 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(31063), // Rule ID 6940 //
     /*  30935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  30947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  30959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30963 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30968 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  30972 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  30976 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30980 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  30984 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_UZP2),
     /*  30988 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  30992 */     // MIs[4] Rn
     /*  30992 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  30997 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  31001 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  31005 */     // MIs[3] Operand 2
     /*  31005 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  31016 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  31018 */     // (add:{ *:[v8i8] } (trunc:{ *:[v8i8] } (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$Rn)), (extract_subvector:{ *:[v8i8] } (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, (undef:{ *:[v16i8] })), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (ADDPv16i8:{ *:[f128] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rn), dsub:{ *:[i32] })
     /*  31018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  31021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  31025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  31030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  31034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  31038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  31040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31045 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  31052 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31057 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31062 */     // GIR_Coverage, 6940,
     /*  31062 */     GIR_EraseRootFromParent_Done,
     /*  31063 */   // Label 491: @31063
     /*  31063 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(31132), // Rule ID 13334 //
     /*  31068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31083 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31086 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31091 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31095 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31115 */     // (add:{ *:[v8i8] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V64:{ *:[v8i8] }:$Rd)  =>  (SABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i8),
     /*  31118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31130 */     GIR_RootConstrainSelectedInstOperands,
     /*  31131 */     // GIR_Coverage, 13334,
     /*  31131 */     GIR_EraseRootFromParent_Done,
     /*  31132 */   // Label 492: @31132
     /*  31132 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(31201), // Rule ID 13346 //
     /*  31137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31152 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31155 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31164 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31184 */     // (add:{ *:[v8i8] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V64:{ *:[v8i8] }:$Rd)  =>  (UABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i8),
     /*  31187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31199 */     GIR_RootConstrainSelectedInstOperands,
     /*  31200 */     // GIR_Coverage, 13346,
     /*  31200 */     GIR_EraseRootFromParent_Done,
     /*  31201 */   // Label 493: @31201
     /*  31201 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(31268), // Rule ID 13538 //
     /*  31206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  31221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31230 */     // MIs[1] imm
     /*  31230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31238 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  31242 */     // MIs[2] Operand 1
     /*  31242 */     // No operand predicates
     /*  31242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31246 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31252 */     // (add:{ *:[v8i8] } (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  31255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31266 */     GIR_RootConstrainSelectedInstOperands,
     /*  31267 */     // GIR_Coverage, 13538,
     /*  31267 */     GIR_EraseRootFromParent_Done,
     /*  31268 */   // Label 494: @31268
     /*  31268 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(31335), // Rule ID 13559 //
     /*  31273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  31288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31297 */     // MIs[1] imm
     /*  31297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31305 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  31309 */     // MIs[2] Operand 1
     /*  31309 */     // No operand predicates
     /*  31309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31313 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31319 */     // (add:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  31322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31333 */     GIR_RootConstrainSelectedInstOperands,
     /*  31334 */     // GIR_Coverage, 13559,
     /*  31334 */     GIR_EraseRootFromParent_Done,
     /*  31335 */   // Label 495: @31335
     /*  31335 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(31404), // Rule ID 1357 //
     /*  31340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31359 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31362 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31367 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31371 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31387 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i8),
     /*  31390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31392 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31402 */     GIR_RootConstrainSelectedInstOperands,
     /*  31403 */     // GIR_Coverage, 1357,
     /*  31403 */     GIR_EraseRootFromParent_Done,
     /*  31404 */   // Label 496: @31404
     /*  31404 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(31473), // Rule ID 1480 //
     /*  31409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31428 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31431 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31440 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31456 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i8),
     /*  31459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31461 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31471 */     GIR_RootConstrainSelectedInstOperands,
     /*  31472 */     // GIR_Coverage, 1480,
     /*  31472 */     GIR_EraseRootFromParent_Done,
     /*  31473 */   // Label 497: @31473
     /*  31473 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(31540), // Rule ID 2230 //
     /*  31478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  31497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31506 */     // MIs[1] imm
     /*  31506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31514 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  31518 */     // MIs[2] Operand 1
     /*  31518 */     // No operand predicates
     /*  31518 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31524 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  31527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31529 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31538 */     GIR_RootConstrainSelectedInstOperands,
     /*  31539 */     // GIR_Coverage, 2230,
     /*  31539 */     GIR_EraseRootFromParent_Done,
     /*  31540 */   // Label 498: @31540
     /*  31540 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(31607), // Rule ID 2289 //
     /*  31545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  31564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31573 */     // MIs[1] imm
     /*  31573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31581 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  31585 */     // MIs[2] Operand 1
     /*  31585 */     // No operand predicates
     /*  31585 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31591 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  31594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31596 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31605 */     GIR_RootConstrainSelectedInstOperands,
     /*  31606 */     // GIR_Coverage, 2289,
     /*  31606 */     GIR_EraseRootFromParent_Done,
     /*  31607 */   // Label 499: @31607
     /*  31607 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(31634), // Rule ID 1100 //
     /*  31612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31627 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv8i8),
     /*  31632 */     GIR_RootConstrainSelectedInstOperands,
     /*  31633 */     // GIR_Coverage, 1100,
     /*  31633 */     GIR_Done,
     /*  31634 */   // Label 500: @31634
     /*  31634 */   GIM_Reject,
     /*  31635 */ // Label 489: @31635
     /*  31635 */ GIM_Reject,
     /*  31636 */ // Label 160: @31636
     /*  31636 */ GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(35213),
     /*  31641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  31647 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(31734), // Rule ID 13378 //
     /*  31652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31679 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31682 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31687 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31691 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31701 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31708 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31715 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))), V128:{ *:[v8i16] }:$Rd)  =>  (SABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv16i8_v8i16),
     /*  31718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  31727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  31732 */     GIR_RootConstrainSelectedInstOperands,
     /*  31733 */     // GIR_Coverage, 13378,
     /*  31733 */     GIR_EraseRootFromParent_Done,
     /*  31734 */   // Label 502: @31734
     /*  31734 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(31821), // Rule ID 13402 //
     /*  31739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31766 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31769 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31774 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31778 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31788 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31795 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31802 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))), V128:{ *:[v8i16] }:$Rd)  =>  (UABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv16i8_v8i16),
     /*  31805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31807 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  31814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  31819 */     GIR_RootConstrainSelectedInstOperands,
     /*  31820 */     // GIR_Coverage, 13402,
     /*  31820 */     GIR_EraseRootFromParent_Done,
     /*  31821 */   // Label 503: @31821
     /*  31821 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(31908), // Rule ID 1691 //
     /*  31826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31857 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31860 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31865 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31869 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31875 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31882 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31889 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))))  =>  (SABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv16i8_v8i16),
     /*  31892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31894 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  31901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  31906 */     GIR_RootConstrainSelectedInstOperands,
     /*  31907 */     // GIR_Coverage, 1691,
     /*  31907 */     GIR_EraseRootFromParent_Done,
     /*  31908 */   // Label 504: @31908
     /*  31908 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(31995), // Rule ID 1769 //
     /*  31913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31944 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31947 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31952 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31956 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31962 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31969 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31976 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))))  =>  (UABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv16i8_v8i16),
     /*  31979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31981 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  31988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  31993 */     GIR_RootConstrainSelectedInstOperands,
     /*  31994 */     // GIR_Coverage, 1769,
     /*  31994 */     GIR_EraseRootFromParent_Done,
     /*  31995 */   // Label 505: @31995
     /*  31995 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(32064), // Rule ID 1785 //
     /*  32000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32033 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32040 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32047 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  32050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32062 */     GIR_RootConstrainSelectedInstOperands,
     /*  32063 */     // GIR_Coverage, 1785,
     /*  32063 */     GIR_EraseRootFromParent_Done,
     /*  32064 */   // Label 506: @32064
     /*  32064 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(32133), // Rule ID 1784 //
     /*  32069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32102 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32109 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32116 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  32119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32131 */     GIR_RootConstrainSelectedInstOperands,
     /*  32132 */     // GIR_Coverage, 1784,
     /*  32132 */     GIR_EraseRootFromParent_Done,
     /*  32133 */   // Label 507: @32133
     /*  32133 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(32202), // Rule ID 1713 //
     /*  32138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  32153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  32165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32169 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32171 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32178 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32185 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv16i8_v8i16),
     /*  32188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32200 */     GIR_RootConstrainSelectedInstOperands,
     /*  32201 */     // GIR_Coverage, 1713,
     /*  32201 */     GIR_EraseRootFromParent_Done,
     /*  32202 */   // Label 508: @32202
     /*  32202 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(32271), // Rule ID 1783 //
     /*  32207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32240 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32247 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32254 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  32257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32269 */     GIR_RootConstrainSelectedInstOperands,
     /*  32270 */     // GIR_Coverage, 1783,
     /*  32270 */     GIR_EraseRootFromParent_Done,
     /*  32271 */   // Label 509: @32271
     /*  32271 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(32340), // Rule ID 1782 //
     /*  32276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32309 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32316 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32323 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  32326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32338 */     GIR_RootConstrainSelectedInstOperands,
     /*  32339 */     // GIR_Coverage, 1782,
     /*  32339 */     GIR_EraseRootFromParent_Done,
     /*  32340 */   // Label 510: @32340
     /*  32340 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(32407), // Rule ID 13394 //
     /*  32345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  32360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32374 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32381 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32388 */     // (add:{ *:[v8i16] } (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (SMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv16i8_v8i16),
     /*  32391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32405 */     GIR_RootConstrainSelectedInstOperands,
     /*  32406 */     // GIR_Coverage, 13394,
     /*  32406 */     GIR_EraseRootFromParent_Done,
     /*  32407 */   // Label 511: @32407
     /*  32407 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(32474), // Rule ID 13424 //
     /*  32412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  32427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32441 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32448 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32455 */     // (add:{ *:[v8i16] } (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (UMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv16i8_v8i16),
     /*  32458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32472 */     GIR_RootConstrainSelectedInstOperands,
     /*  32473 */     // GIR_Coverage, 13424,
     /*  32473 */     GIR_EraseRootFromParent_Done,
     /*  32474 */   // Label 512: @32474
     /*  32474 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(32541), // Rule ID 1725 //
     /*  32479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  32498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32502 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32515 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32522 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv16i8_v8i16),
     /*  32525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32527 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32539 */     GIR_RootConstrainSelectedInstOperands,
     /*  32540 */     // GIR_Coverage, 1725,
     /*  32540 */     GIR_EraseRootFromParent_Done,
     /*  32541 */   // Label 513: @32541
     /*  32541 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(32608), // Rule ID 1815 //
     /*  32546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  32565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32575 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32582 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32589 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv16i8_v8i16),
     /*  32592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32594 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32606 */     GIR_RootConstrainSelectedInstOperands,
     /*  32607 */     // GIR_Coverage, 1815,
     /*  32607 */     GIR_EraseRootFromParent_Done,
     /*  32608 */   // Label 514: @32608
     /*  32608 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(32689), // Rule ID 13376 //
     /*  32613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32632 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32636 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32640 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32643 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  32648 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32652 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  32656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32661 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32672 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (SABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i8_v8i16),
     /*  32675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  32683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  32687 */     GIR_RootConstrainSelectedInstOperands,
     /*  32688 */     // GIR_Coverage, 13376,
     /*  32688 */     GIR_EraseRootFromParent_Done,
     /*  32689 */   // Label 515: @32689
     /*  32689 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(32770), // Rule ID 13400 //
     /*  32694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32721 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32724 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  32729 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32733 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  32737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32742 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32753 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (UABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i8_v8i16),
     /*  32756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  32764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  32768 */     GIR_RootConstrainSelectedInstOperands,
     /*  32769 */     // GIR_Coverage, 13400,
     /*  32769 */     GIR_EraseRootFromParent_Done,
     /*  32770 */   // Label 516: @32770
     /*  32770 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(32851), // Rule ID 1689 //
     /*  32775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32806 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32809 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  32814 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32818 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  32822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32832 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32834 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)))  =>  (SABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i8_v8i16),
     /*  32837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32839 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  32845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  32849 */     GIR_RootConstrainSelectedInstOperands,
     /*  32850 */     // GIR_Coverage, 1689,
     /*  32850 */     GIR_EraseRootFromParent_Done,
     /*  32851 */   // Label 517: @32851
     /*  32851 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(32932), // Rule ID 1767 //
     /*  32856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32887 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32890 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  32895 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32899 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  32903 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32913 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32915 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)))  =>  (UABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i8_v8i16),
     /*  32918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32920 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  32926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  32930 */     GIR_RootConstrainSelectedInstOperands,
     /*  32931 */     // GIR_Coverage, 1767,
     /*  32931 */     GIR_EraseRootFromParent_Done,
     /*  32932 */   // Label 518: @32932
     /*  32932 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(32983), // Rule ID 13414 //
     /*  32937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32962 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32969 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  32972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  32976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  32981 */     GIR_RootConstrainSelectedInstOperands,
     /*  32982 */     // GIR_Coverage, 13414,
     /*  32982 */     GIR_EraseRootFromParent_Done,
     /*  32983 */   // Label 519: @32983
     /*  32983 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(33034), // Rule ID 13388 //
     /*  32988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  33003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33020 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rn)  =>  (SADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv16i8_v8i16),
     /*  33023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  33027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33032 */     GIR_RootConstrainSelectedInstOperands,
     /*  33033 */     // GIR_Coverage, 13388,
     /*  33033 */     GIR_EraseRootFromParent_Done,
     /*  33034 */   // Label 520: @33034
     /*  33034 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(33085), // Rule ID 13413 //
     /*  33039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  33054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33064 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33071 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  33074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  33078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33083 */     GIR_RootConstrainSelectedInstOperands,
     /*  33084 */     // GIR_Coverage, 13413,
     /*  33084 */     GIR_EraseRootFromParent_Done,
     /*  33085 */   // Label 521: @33085
     /*  33085 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(33136), // Rule ID 1805 //
     /*  33090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  33109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33115 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33122 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  33125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33127 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  33129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33134 */     GIR_RootConstrainSelectedInstOperands,
     /*  33135 */     // GIR_Coverage, 1805,
     /*  33135 */     GIR_EraseRootFromParent_Done,
     /*  33136 */   // Label 522: @33136
     /*  33136 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(33187), // Rule ID 1719 //
     /*  33141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  33160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33166 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33173 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv16i8_v8i16),
     /*  33176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33178 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  33180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33185 */     GIR_RootConstrainSelectedInstOperands,
     /*  33186 */     // GIR_Coverage, 1719,
     /*  33186 */     GIR_EraseRootFromParent_Done,
     /*  33187 */   // Label 523: @33187
     /*  33187 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(33238), // Rule ID 1804 //
     /*  33192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  33211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33217 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33224 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  33227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33229 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  33231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33236 */     GIR_RootConstrainSelectedInstOperands,
     /*  33237 */     // GIR_Coverage, 1804,
     /*  33237 */     GIR_EraseRootFromParent_Done,
     /*  33238 */   // Label 524: @33238
     /*  33238 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(33307), // Rule ID 13340 //
     /*  33243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33258 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33261 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  33266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33270 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  33274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33290 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (SABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i16),
     /*  33293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33305 */     GIR_RootConstrainSelectedInstOperands,
     /*  33306 */     // GIR_Coverage, 13340,
     /*  33306 */     GIR_EraseRootFromParent_Done,
     /*  33307 */   // Label 525: @33307
     /*  33307 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(33376), // Rule ID 13352 //
     /*  33312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33327 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33330 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  33335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33339 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  33343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33359 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (UABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i16),
     /*  33362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33374 */     GIR_RootConstrainSelectedInstOperands,
     /*  33375 */     // GIR_Coverage, 13352,
     /*  33375 */     GIR_EraseRootFromParent_Done,
     /*  33376 */   // Label 526: @33376
     /*  33376 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(33432), // Rule ID 13302 //
     /*  33381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33396 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  33399 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  33404 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33419 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 660:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  33422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33430 */     GIR_RootConstrainSelectedInstOperands,
     /*  33431 */     // GIR_Coverage, 13302,
     /*  33431 */     GIR_EraseRootFromParent_Done,
     /*  33432 */   // Label 527: @33432
     /*  33432 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(33488), // Rule ID 13314 //
     /*  33437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33452 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  33455 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  33460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33475 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  33478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33486 */     GIR_RootConstrainSelectedInstOperands,
     /*  33487 */     // GIR_Coverage, 13314,
     /*  33487 */     GIR_EraseRootFromParent_Done,
     /*  33488 */   // Label 528: @33488
     /*  33488 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(33555), // Rule ID 13544 //
     /*  33493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  33508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33517 */     // MIs[1] imm
     /*  33517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33525 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  33529 */     // MIs[2] Operand 1
     /*  33529 */     // No operand predicates
     /*  33529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33533 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33539 */     // (add:{ *:[v8i16] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  33542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33544 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33553 */     GIR_RootConstrainSelectedInstOperands,
     /*  33554 */     // GIR_Coverage, 13544,
     /*  33554 */     GIR_EraseRootFromParent_Done,
     /*  33555 */   // Label 529: @33555
     /*  33555 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(33622), // Rule ID 13565 //
     /*  33560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  33575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33584 */     // MIs[1] imm
     /*  33584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33592 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  33596 */     // MIs[2] Operand 1
     /*  33596 */     // No operand predicates
     /*  33596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33600 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33606 */     // (add:{ *:[v8i16] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  33609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33620 */     GIR_RootConstrainSelectedInstOperands,
     /*  33621 */     // GIR_Coverage, 13565,
     /*  33621 */     GIR_EraseRootFromParent_Done,
     /*  33622 */   // Label 530: @33622
     /*  33622 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(33691), // Rule ID 1363 //
     /*  33627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33646 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33649 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  33654 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33658 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  33662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33674 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (SABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i16),
     /*  33677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33679 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33689 */     GIR_RootConstrainSelectedInstOperands,
     /*  33690 */     // GIR_Coverage, 1363,
     /*  33690 */     GIR_EraseRootFromParent_Done,
     /*  33691 */   // Label 531: @33691
     /*  33691 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(33760), // Rule ID 1486 //
     /*  33696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33715 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33718 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  33723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33727 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  33731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33743 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (UABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i16),
     /*  33746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33748 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33758 */     GIR_RootConstrainSelectedInstOperands,
     /*  33759 */     // GIR_Coverage, 1486,
     /*  33759 */     GIR_EraseRootFromParent_Done,
     /*  33760 */   // Label 532: @33760
     /*  33760 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(33816), // Rule ID 991 //
     /*  33765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33784 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  33787 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  33792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33803 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 660:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  33806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33808 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33814 */     GIR_RootConstrainSelectedInstOperands,
     /*  33815 */     // GIR_Coverage, 991,
     /*  33815 */     GIR_EraseRootFromParent_Done,
     /*  33816 */   // Label 533: @33816
     /*  33816 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(33872), // Rule ID 1052 //
     /*  33821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33840 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  33843 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  33848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33859 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  33862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33864 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33870 */     GIR_RootConstrainSelectedInstOperands,
     /*  33871 */     // GIR_Coverage, 1052,
     /*  33871 */     GIR_EraseRootFromParent_Done,
     /*  33872 */   // Label 534: @33872
     /*  33872 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(33939), // Rule ID 2236 //
     /*  33877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  33896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33905 */     // MIs[1] imm
     /*  33905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33913 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  33917 */     // MIs[2] Operand 1
     /*  33917 */     // No operand predicates
     /*  33917 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33923 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  33926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33928 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33937 */     GIR_RootConstrainSelectedInstOperands,
     /*  33938 */     // GIR_Coverage, 2236,
     /*  33938 */     GIR_EraseRootFromParent_Done,
     /*  33939 */   // Label 535: @33939
     /*  33939 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(34006), // Rule ID 2295 //
     /*  33944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  33963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33972 */     // MIs[1] imm
     /*  33972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33980 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  33984 */     // MIs[2] Operand 1
     /*  33984 */     // No operand predicates
     /*  33984 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33990 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  33993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33995 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  34004 */     GIR_RootConstrainSelectedInstOperands,
     /*  34005 */     // GIR_Coverage, 2295,
     /*  34005 */     GIR_EraseRootFromParent_Done,
     /*  34006 */   // Label 536: @34006
     /*  34006 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(34076), // Rule ID 6936 //
     /*  34011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /*  34023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  34027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  34031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  34049 */     // MIs[2] Rn
     /*  34049 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  34054 */     // MIs[2] Rm
     /*  34054 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  34059 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34061 */     // (add:{ *:[v8i16] } (AArch64uzp1:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm), (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm))  =>  (ADDPv8i16:{ *:[v8i16] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rm)
     /*  34061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  34064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34074 */     GIR_RootConstrainSelectedInstOperands,
     /*  34075 */     // GIR_Coverage, 6936,
     /*  34075 */     GIR_EraseRootFromParent_Done,
     /*  34076 */   // Label 537: @34076
     /*  34076 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(34146), // Rule ID 13931 //
     /*  34081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /*  34093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  34097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  34101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /*  34119 */     // MIs[2] Rn
     /*  34119 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  34124 */     // MIs[2] Rm
     /*  34124 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  34129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34131 */     // (add:{ *:[v8i16] } (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm), (AArch64uzp1:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm))  =>  (ADDPv8i16:{ *:[v8i16] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rm)
     /*  34131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  34134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34144 */     GIR_RootConstrainSelectedInstOperands,
     /*  34145 */     // GIR_Coverage, 13931,
     /*  34145 */     GIR_EraseRootFromParent_Done,
     /*  34146 */   // Label 538: @34146
     /*  34146 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(34209), // Rule ID 1781 //
     /*  34151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34175 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34179 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34183 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34194 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  34197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34207 */     GIR_RootConstrainSelectedInstOperands,
     /*  34208 */     // GIR_Coverage, 1781,
     /*  34208 */     GIR_EraseRootFromParent_Done,
     /*  34209 */   // Label 539: @34209
     /*  34209 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(34272), // Rule ID 1780 //
     /*  34214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34257 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  34260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34270 */     GIR_RootConstrainSelectedInstOperands,
     /*  34271 */     // GIR_Coverage, 1780,
     /*  34271 */     GIR_EraseRootFromParent_Done,
     /*  34272 */   // Label 540: @34272
     /*  34272 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(34335), // Rule ID 1712 //
     /*  34277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  34292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  34309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34320 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv8i8_v8i16),
     /*  34323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34333 */     GIR_RootConstrainSelectedInstOperands,
     /*  34334 */     // GIR_Coverage, 1712,
     /*  34334 */     GIR_EraseRootFromParent_Done,
     /*  34335 */   // Label 541: @34335
     /*  34335 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(34398), // Rule ID 1779 //
     /*  34340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34383 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  34386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34396 */     GIR_RootConstrainSelectedInstOperands,
     /*  34397 */     // GIR_Coverage, 1779,
     /*  34397 */     GIR_EraseRootFromParent_Done,
     /*  34398 */   // Label 542: @34398
     /*  34398 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(34461), // Rule ID 1778 //
     /*  34403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34446 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  34449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34459 */     GIR_RootConstrainSelectedInstOperands,
     /*  34460 */     // GIR_Coverage, 1778,
     /*  34460 */     GIR_EraseRootFromParent_Done,
     /*  34461 */   // Label 543: @34461
     /*  34461 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(34522), // Rule ID 13393 //
     /*  34466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  34481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  34489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34505 */     // (add:{ *:[v8i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (SMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  34508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  34512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34520 */     GIR_RootConstrainSelectedInstOperands,
     /*  34521 */     // GIR_Coverage, 13393,
     /*  34521 */     GIR_EraseRootFromParent_Done,
     /*  34522 */   // Label 544: @34522
     /*  34522 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(34583), // Rule ID 13423 //
     /*  34527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  34542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  34550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34566 */     // (add:{ *:[v8i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (UMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  34569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34571 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  34573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34581 */     GIR_RootConstrainSelectedInstOperands,
     /*  34582 */     // GIR_Coverage, 13423,
     /*  34582 */     GIR_EraseRootFromParent_Done,
     /*  34583 */   // Label 545: @34583
     /*  34583 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(34631), // Rule ID 13412 //
     /*  34588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34618 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  34621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34623 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  34625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  34629 */     GIR_RootConstrainSelectedInstOperands,
     /*  34630 */     // GIR_Coverage, 13412,
     /*  34630 */     GIR_EraseRootFromParent_Done,
     /*  34631 */   // Label 546: @34631
     /*  34631 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(34679), // Rule ID 13301 //
     /*  34636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  34651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  34655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34666 */     // (add:{ *:[v8i16] } (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  34666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  34669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34671 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  34673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34677 */     GIR_RootConstrainSelectedInstOperands,
     /*  34678 */     // GIR_Coverage, 13301,
     /*  34678 */     GIR_EraseRootFromParent_Done,
     /*  34679 */   // Label 547: @34679
     /*  34679 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(34727), // Rule ID 13387 //
     /*  34684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  34699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34714 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rn)  =>  (SADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  34717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34719 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  34721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  34725 */     GIR_RootConstrainSelectedInstOperands,
     /*  34726 */     // GIR_Coverage, 13387,
     /*  34726 */     GIR_EraseRootFromParent_Done,
     /*  34727 */   // Label 548: @34727
     /*  34727 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(34775), // Rule ID 13313 //
     /*  34732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  34747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  34751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34762 */     // (add:{ *:[v8i16] } (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  34762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  34765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  34769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34773 */     GIR_RootConstrainSelectedInstOperands,
     /*  34774 */     // GIR_Coverage, 13313,
     /*  34774 */     GIR_EraseRootFromParent_Done,
     /*  34775 */   // Label 549: @34775
     /*  34775 */   GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(34823), // Rule ID 13411 //
     /*  34780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34810 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  34813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34815 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  34817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  34821 */     GIR_RootConstrainSelectedInstOperands,
     /*  34822 */     // GIR_Coverage, 13411,
     /*  34822 */     GIR_EraseRootFromParent_Done,
     /*  34823 */   // Label 550: @34823
     /*  34823 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(34884), // Rule ID 1724 //
     /*  34828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  34847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  34855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34867 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  34870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34872 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  34874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34882 */     GIR_RootConstrainSelectedInstOperands,
     /*  34883 */     // GIR_Coverage, 1724,
     /*  34883 */     GIR_EraseRootFromParent_Done,
     /*  34884 */   // Label 551: @34884
     /*  34884 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(34945), // Rule ID 1814 //
     /*  34889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  34908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34912 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  34916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34928 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  34931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34933 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  34935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34943 */     GIR_RootConstrainSelectedInstOperands,
     /*  34944 */     // GIR_Coverage, 1814,
     /*  34944 */     GIR_EraseRootFromParent_Done,
     /*  34945 */   // Label 552: @34945
     /*  34945 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(34993), // Rule ID 1803 //
     /*  34950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34980 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  34983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34985 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  34987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  34991 */     GIR_RootConstrainSelectedInstOperands,
     /*  34992 */     // GIR_Coverage, 1803,
     /*  34992 */     GIR_EraseRootFromParent_Done,
     /*  34993 */   // Label 553: @34993
     /*  34993 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(35041), // Rule ID 990 //
     /*  34998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  35017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35028 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  35028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  35031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35033 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35039 */     GIR_RootConstrainSelectedInstOperands,
     /*  35040 */     // GIR_Coverage, 990,
     /*  35040 */     GIR_EraseRootFromParent_Done,
     /*  35041 */   // Label 554: @35041
     /*  35041 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(35089), // Rule ID 1718 //
     /*  35046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  35065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  35069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35076 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  35076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  35079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35081 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  35083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  35087 */     GIR_RootConstrainSelectedInstOperands,
     /*  35088 */     // GIR_Coverage, 1718,
     /*  35088 */     GIR_EraseRootFromParent_Done,
     /*  35089 */   // Label 555: @35089
     /*  35089 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(35137), // Rule ID 1051 //
     /*  35094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  35113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35124 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  35124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  35127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35129 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35135 */     GIR_RootConstrainSelectedInstOperands,
     /*  35136 */     // GIR_Coverage, 1051,
     /*  35136 */     GIR_EraseRootFromParent_Done,
     /*  35137 */   // Label 556: @35137
     /*  35137 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(35185), // Rule ID 1802 //
     /*  35142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  35161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  35165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35172 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  35172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  35175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35177 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  35179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  35183 */     GIR_RootConstrainSelectedInstOperands,
     /*  35184 */     // GIR_Coverage, 1802,
     /*  35184 */     GIR_EraseRootFromParent_Done,
     /*  35185 */   // Label 557: @35185
     /*  35185 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(35212), // Rule ID 1103 //
     /*  35190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35205 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  35205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv8i16),
     /*  35210 */     GIR_RootConstrainSelectedInstOperands,
     /*  35211 */     // GIR_Coverage, 1103,
     /*  35211 */     GIR_Done,
     /*  35212 */   // Label 558: @35212
     /*  35212 */   GIM_Reject,
     /*  35213 */ // Label 501: @35213
     /*  35213 */ GIM_Reject,
     /*  35214 */ // Label 161: @35214
     /*  35214 */ GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(35937),
     /*  35219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35225 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(35294), // Rule ID 13336 //
     /*  35230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35245 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  35248 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  35253 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35257 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  35261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35277 */     // (add:{ *:[v16i8] } (intrinsic_wo_chain:{ *:[v16i8] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm), V128:{ *:[v16i8] }:$Rd)  =>  (SABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv16i8),
     /*  35280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  35284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  35288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  35292 */     GIR_RootConstrainSelectedInstOperands,
     /*  35293 */     // GIR_Coverage, 13336,
     /*  35293 */     GIR_EraseRootFromParent_Done,
     /*  35294 */   // Label 560: @35294
     /*  35294 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(35363), // Rule ID 13348 //
     /*  35299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35314 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  35317 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  35322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35326 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  35330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35346 */     // (add:{ *:[v16i8] } (intrinsic_wo_chain:{ *:[v16i8] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm), V128:{ *:[v16i8] }:$Rd)  =>  (UABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv16i8),
     /*  35349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  35353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  35357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  35361 */     GIR_RootConstrainSelectedInstOperands,
     /*  35362 */     // GIR_Coverage, 13348,
     /*  35362 */     GIR_EraseRootFromParent_Done,
     /*  35363 */   // Label 561: @35363
     /*  35363 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(35430), // Rule ID 13540 //
     /*  35368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  35383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35392 */     // MIs[1] imm
     /*  35392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  35396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35400 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  35404 */     // MIs[2] Operand 1
     /*  35404 */     // No operand predicates
     /*  35404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35408 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  35412 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35414 */     // (add:{ *:[v16i8] } (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  35414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  35417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35419 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  35421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  35428 */     GIR_RootConstrainSelectedInstOperands,
     /*  35429 */     // GIR_Coverage, 13540,
     /*  35429 */     GIR_EraseRootFromParent_Done,
     /*  35430 */   // Label 562: @35430
     /*  35430 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(35497), // Rule ID 13561 //
     /*  35435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  35450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35459 */     // MIs[1] imm
     /*  35459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  35463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35467 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  35471 */     // MIs[2] Operand 1
     /*  35471 */     // No operand predicates
     /*  35471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35475 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  35479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35481 */     // (add:{ *:[v16i8] } (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  35481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  35484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35486 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  35488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  35495 */     GIR_RootConstrainSelectedInstOperands,
     /*  35496 */     // GIR_Coverage, 13561,
     /*  35496 */     GIR_EraseRootFromParent_Done,
     /*  35497 */   // Label 563: @35497
     /*  35497 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(35566), // Rule ID 1359 //
     /*  35502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35521 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  35524 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  35529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35533 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  35537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35549 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (intrinsic_wo_chain:{ *:[v16i8] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))  =>  (SABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv16i8),
     /*  35552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35554 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  35560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  35564 */     GIR_RootConstrainSelectedInstOperands,
     /*  35565 */     // GIR_Coverage, 1359,
     /*  35565 */     GIR_EraseRootFromParent_Done,
     /*  35566 */   // Label 564: @35566
     /*  35566 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(35635), // Rule ID 1482 //
     /*  35571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35590 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  35593 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  35598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35602 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  35606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35618 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (intrinsic_wo_chain:{ *:[v16i8] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))  =>  (UABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv16i8),
     /*  35621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35623 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  35629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  35633 */     GIR_RootConstrainSelectedInstOperands,
     /*  35634 */     // GIR_Coverage, 1482,
     /*  35634 */     GIR_EraseRootFromParent_Done,
     /*  35635 */   // Label 565: @35635
     /*  35635 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(35702), // Rule ID 2232 //
     /*  35640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  35659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35668 */     // MIs[1] imm
     /*  35668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  35672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35676 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  35680 */     // MIs[2] Operand 1
     /*  35680 */     // No operand predicates
     /*  35680 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  35684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35686 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  35686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  35689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35691 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  35700 */     GIR_RootConstrainSelectedInstOperands,
     /*  35701 */     // GIR_Coverage, 2232,
     /*  35701 */     GIR_EraseRootFromParent_Done,
     /*  35702 */   // Label 566: @35702
     /*  35702 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(35769), // Rule ID 2291 //
     /*  35707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  35726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35735 */     // MIs[1] imm
     /*  35735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  35739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35743 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  35747 */     // MIs[2] Operand 1
     /*  35747 */     // No operand predicates
     /*  35747 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  35751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35753 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  35753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  35756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35758 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  35767 */     GIR_RootConstrainSelectedInstOperands,
     /*  35768 */     // GIR_Coverage, 2291,
     /*  35768 */     GIR_EraseRootFromParent_Done,
     /*  35769 */   // Label 567: @35769
     /*  35769 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(35839), // Rule ID 6937 //
     /*  35774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /*  35786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  35808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  35812 */     // MIs[2] Rn
     /*  35812 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  35817 */     // MIs[2] Rm
     /*  35817 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  35822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35824 */     // (add:{ *:[v16i8] } (AArch64uzp1:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm), (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm))  =>  (ADDPv16i8:{ *:[v16i8] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm)
     /*  35824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  35827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  35837 */     GIR_RootConstrainSelectedInstOperands,
     /*  35838 */     // GIR_Coverage, 6937,
     /*  35838 */     GIR_EraseRootFromParent_Done,
     /*  35839 */   // Label 568: @35839
     /*  35839 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(35909), // Rule ID 13932 //
     /*  35844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /*  35856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  35878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /*  35882 */     // MIs[2] Rn
     /*  35882 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  35887 */     // MIs[2] Rm
     /*  35887 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  35892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35894 */     // (add:{ *:[v16i8] } (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm), (AArch64uzp1:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm))  =>  (ADDPv16i8:{ *:[v16i8] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm)
     /*  35894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  35897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  35907 */     GIR_RootConstrainSelectedInstOperands,
     /*  35908 */     // GIR_Coverage, 13932,
     /*  35908 */     GIR_EraseRootFromParent_Done,
     /*  35909 */   // Label 569: @35909
     /*  35909 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(35936), // Rule ID 1101 //
     /*  35914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35929 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv16i8),
     /*  35934 */     GIR_RootConstrainSelectedInstOperands,
     /*  35935 */     // GIR_Coverage, 1101,
     /*  35935 */     GIR_Done,
     /*  35936 */   // Label 570: @35936
     /*  35936 */   GIM_Reject,
     /*  35937 */ // Label 559: @35937
     /*  35937 */ GIM_Reject,
     /*  35938 */ // Label 162: @35938
     /*  35938 */ GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(36309),
     /*  35943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  35946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  35949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  35953 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(36015), // Rule ID 15116 //
     /*  35958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  35961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  35969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  35973 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  35977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  35981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  35985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  35989 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  36000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36002 */     // (add:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  36005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  36009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  36013 */     GIR_RootConstrainSelectedInstOperands,
     /*  36014 */     // GIR_Coverage, 15116,
     /*  36014 */     GIR_EraseRootFromParent_Done,
     /*  36015 */   // Label 572: @36015
     /*  36015 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(36077), // Rule ID 15115 //
     /*  36020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  36031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  36039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  36043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  36047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  36051 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  36062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36064 */     // (add:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  36067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  36071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  36075 */     GIR_RootConstrainSelectedInstOperands,
     /*  36076 */     // GIR_Coverage, 15115,
     /*  36076 */     GIR_EraseRootFromParent_Done,
     /*  36077 */   // Label 573: @36077
     /*  36077 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(36139), // Rule ID 15114 //
     /*  36082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  36093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  36101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  36109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  36113 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  36124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36126 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  36129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36131 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  36133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  36137 */     GIR_RootConstrainSelectedInstOperands,
     /*  36138 */     // GIR_Coverage, 15114,
     /*  36138 */     GIR_EraseRootFromParent_Done,
     /*  36139 */   // Label 574: @36139
     /*  36139 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(36201), // Rule ID 8882 //
     /*  36144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  36155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  36163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  36167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  36171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  36175 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  36186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36188 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] })))  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  36191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36193 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  36195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  36199 */     GIR_RootConstrainSelectedInstOperands,
     /*  36200 */     // GIR_Coverage, 8882,
     /*  36200 */     GIR_EraseRootFromParent_Done,
     /*  36201 */   // Label 575: @36201
     /*  36201 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(36247), // Rule ID 15117 //
     /*  36206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  36217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36221 */     // MIs[1] Operand 2
     /*  36221 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  36232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36234 */     // (add:{ *:[nxv2i64] } (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i32:{ *:[Other] }), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (ADR_SXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_SXTW_ZZZ_D_0),
     /*  36237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  36241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  36245 */     GIR_RootConstrainSelectedInstOperands,
     /*  36246 */     // GIR_Coverage, 15117,
     /*  36246 */     GIR_EraseRootFromParent_Done,
     /*  36247 */   // Label 576: @36247
     /*  36247 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(36293), // Rule ID 8883 //
     /*  36252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  36263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36267 */     // MIs[1] Operand 2
     /*  36267 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  36278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36280 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i32:{ *:[Other] }))  =>  (ADR_SXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_SXTW_ZZZ_D_0),
     /*  36283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36285 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  36287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  36291 */     GIR_RootConstrainSelectedInstOperands,
     /*  36292 */     // GIR_Coverage, 8883,
     /*  36292 */     GIR_EraseRootFromParent_Done,
     /*  36293 */   // Label 577: @36293
     /*  36293 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(36308), // Rule ID 2780 //
     /*  36298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  36301 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADD_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36301 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_D),
     /*  36306 */     GIR_RootConstrainSelectedInstOperands,
     /*  36307 */     // GIR_Coverage, 2780,
     /*  36307 */     GIR_Done,
     /*  36308 */   // Label 578: @36308
     /*  36308 */   GIM_Reject,
     /*  36309 */ // Label 571: @36309
     /*  36309 */ GIM_Reject,
     /*  36310 */ // Label 163: @36310
     /*  36310 */ GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(36335), // Rule ID 2779 //
     /*  36315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  36318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  36321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  36324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  36328 */   // (add:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADD_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  36328 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_S),
     /*  36333 */   GIR_RootConstrainSelectedInstOperands,
     /*  36334 */   // GIR_Coverage, 2779,
     /*  36334 */   GIR_Done,
     /*  36335 */ // Label 579: @36335
     /*  36335 */ GIM_Reject,
     /*  36336 */ // Label 164: @36336
     /*  36336 */ GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(36361), // Rule ID 2778 //
     /*  36341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  36344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  36347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  36350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  36354 */   // (add:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ADD_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  36354 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_H),
     /*  36359 */   GIR_RootConstrainSelectedInstOperands,
     /*  36360 */   // GIR_Coverage, 2778,
     /*  36360 */   GIR_Done,
     /*  36361 */ // Label 580: @36361
     /*  36361 */ GIM_Reject,
     /*  36362 */ // Label 165: @36362
     /*  36362 */ GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(36387), // Rule ID 2777 //
     /*  36367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  36370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  36373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  36376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  36380 */   // (add:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ADD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  36380 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_B),
     /*  36385 */   GIR_RootConstrainSelectedInstOperands,
     /*  36386 */   // GIR_Coverage, 2777,
     /*  36386 */   GIR_Done,
     /*  36387 */ // Label 581: @36387
     /*  36387 */ GIM_Reject,
     /*  36388 */ // Label 166: @36388
     /*  36388 */ GIM_Reject,
     /*  36389 */ // Label 1: @36389
     /*  36389 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 595*/ GIMT_Encode4(50616),
     /*  36400 */ /*GILLT_s32*//*Label 582*/ GIMT_Encode4(36488),
     /*  36404 */ /*GILLT_s64*//*Label 583*/ GIMT_Encode4(37970), GIMT_Encode4(0),
     /*  36412 */ /*GILLT_v2s32*//*Label 584*/ GIMT_Encode4(41252),
     /*  36416 */ /*GILLT_v2s64*//*Label 585*/ GIMT_Encode4(42743),
     /*  36420 */ /*GILLT_v4s16*//*Label 586*/ GIMT_Encode4(45203),
     /*  36424 */ /*GILLT_v4s32*//*Label 587*/ GIMT_Encode4(46694),
     /*  36428 */ /*GILLT_v8s8*//*Label 588*/ GIMT_Encode4(49154),
     /*  36432 */ /*GILLT_v8s16*//*Label 589*/ GIMT_Encode4(49229),
     /*  36436 */ /*GILLT_v16s8*//*Label 590*/ GIMT_Encode4(50437), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  36456 */ /*GILLT_nxv2s64*//*Label 591*/ GIMT_Encode4(50512), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  36468 */ /*GILLT_nxv4s32*//*Label 592*/ GIMT_Encode4(50538), GIMT_Encode4(0),
     /*  36476 */ /*GILLT_nxv8s16*//*Label 593*/ GIMT_Encode4(50564), GIMT_Encode4(0),
     /*  36484 */ /*GILLT_nxv16s8*//*Label 594*/ GIMT_Encode4(50590),
     /*  36488 */ // Label 582: @36488
     /*  36488 */ GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(37969),
     /*  36493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  36496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36499 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(36651), // Rule ID 9929 //
     /*  36504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  36507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  36523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  36535 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  36538 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*  36543 */     // MIs[2] pattern
     /*  36543 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  36546 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  36551 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36553 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECB_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  36553 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  36556 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36560 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  36567 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36570 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36574 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36579 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  36582 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  36586 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  36589 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36594 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36599 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECB_XPiI),
     /*  36611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36616 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  36623 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36633 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  36640 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36645 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36650 */     // GIR_Coverage, 9929,
     /*  36650 */     GIR_EraseRootFromParent_Done,
     /*  36651 */   // Label 597: @36651
     /*  36651 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(36803), // Rule ID 9941 //
     /*  36656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  36659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  36675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  36687 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  36690 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*  36695 */     // MIs[2] pattern
     /*  36695 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  36698 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  36703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36705 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECH_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  36705 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  36708 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36712 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  36719 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36722 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36726 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36731 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  36734 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  36738 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  36741 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36746 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36751 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECH_XPiI),
     /*  36763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36768 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  36775 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36785 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  36792 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36797 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36802 */     // GIR_Coverage, 9941,
     /*  36802 */     GIR_EraseRootFromParent_Done,
     /*  36803 */   // Label 598: @36803
     /*  36803 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(36955), // Rule ID 9953 //
     /*  36808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  36811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  36827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  36839 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  36842 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*  36847 */     // MIs[2] pattern
     /*  36847 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  36850 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  36855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36857 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECW_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  36857 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  36860 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36864 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  36871 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36874 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36878 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36883 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  36886 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  36890 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  36893 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36898 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36903 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECW_XPiI),
     /*  36915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36920 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  36927 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36937 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  36944 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36949 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36954 */     // GIR_Coverage, 9953,
     /*  36954 */     GIR_EraseRootFromParent_Done,
     /*  36955 */   // Label 599: @36955
     /*  36955 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(37107), // Rule ID 9965 //
     /*  36960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  36963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  36979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  36991 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  36994 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*  36999 */     // MIs[2] pattern
     /*  36999 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  37002 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  37007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37009 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECD_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  37009 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37012 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37016 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37023 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37026 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37030 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37035 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37038 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  37042 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37045 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37050 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37055 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECD_XPiI),
     /*  37067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37072 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37075 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  37079 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  37082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37089 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37096 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37101 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37106 */     // GIR_Coverage, 9965,
     /*  37106 */     GIR_EraseRootFromParent_Done,
     /*  37107 */   // Label 600: @37107
     /*  37107 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(37169), // Rule ID 3953 //
     /*  37112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37116 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  37120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  37128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  37132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  37136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37148 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (mul:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm))  =>  (MSUBWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  37148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBWrrr),
     /*  37151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  37157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  37161 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37167 */     GIR_RootConstrainSelectedInstOperands,
     /*  37168 */     // GIR_Coverage, 3953,
     /*  37168 */     GIR_EraseRootFromParent_Done,
     /*  37169 */   // Label 601: @37169
     /*  37169 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(37326), // Rule ID 10067 //
     /*  37174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  37177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  37193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37205 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  37208 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  37213 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  37217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  37219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  37224 */     // MIs[2] pred
     /*  37224 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  37229 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37231 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  37231 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37234 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37238 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37245 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37248 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37252 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37257 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37260 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37264 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37267 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37272 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37277 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_B),
     /*  37289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*  37298 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37308 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37315 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37320 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37325 */     // GIR_Coverage, 10067,
     /*  37325 */     GIR_EraseRootFromParent_Done,
     /*  37326 */   // Label 602: @37326
     /*  37326 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(37483), // Rule ID 10068 //
     /*  37331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  37334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  37350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37362 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  37365 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  37370 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  37374 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  37376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  37381 */     // MIs[2] pred
     /*  37381 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  37386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37388 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  37388 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37391 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37395 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37402 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37405 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37409 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37414 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37417 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37421 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37424 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37429 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37434 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_H),
     /*  37446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37451 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*  37455 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37465 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37472 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37477 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37482 */     // GIR_Coverage, 10068,
     /*  37482 */     GIR_EraseRootFromParent_Done,
     /*  37483 */   // Label 603: @37483
     /*  37483 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(37640), // Rule ID 10069 //
     /*  37488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  37491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  37507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37519 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  37522 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  37527 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  37531 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  37533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  37538 */     // MIs[2] pred
     /*  37538 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  37543 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37545 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  37545 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37548 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37552 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37559 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37562 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37566 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37571 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37574 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37578 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37581 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37586 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37591 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_S),
     /*  37603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37608 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*  37612 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37622 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37629 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37634 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37639 */     // GIR_Coverage, 10069,
     /*  37639 */     GIR_EraseRootFromParent_Done,
     /*  37640 */   // Label 604: @37640
     /*  37640 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(37797), // Rule ID 10070 //
     /*  37645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  37648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  37664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37676 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  37679 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  37684 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  37688 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  37690 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  37695 */     // MIs[2] pred
     /*  37695 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  37700 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37702 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  37702 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37705 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37709 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37716 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37719 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37723 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37728 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37731 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37735 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37738 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37743 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37748 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_D),
     /*  37760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*  37769 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37779 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37786 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37791 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37796 */     // GIR_Coverage, 10070,
     /*  37796 */     GIR_EraseRootFromParent_Done,
     /*  37797 */   // Label 605: @37797
     /*  37797 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(37833), // Rule ID 3918 //
     /*  37802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  37810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32_i32),
     /*  37817 */     // (sub:{ *:[i32] } GPR32sp:{ *:[i32] }:$R2, arith_extended_reg32_i32:{ *:[i32] }:$R3)  =>  (SUBSWrx:{ *:[i32] }:{ *:[i32] } GPR32sp:{ *:[i32] }:$R2, arith_extended_reg32_i32:{ *:[i32] }:$R3)
     /*  37817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWrx),
     /*  37820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37822 */     GIR_RootToRootCopy, /*OpIdx*/1, // R2
     /*  37824 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // R3
     /*  37828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  37831 */     GIR_RootConstrainSelectedInstOperands,
     /*  37832 */     // GIR_Coverage, 3918,
     /*  37832 */     GIR_EraseRootFromParent_Done,
     /*  37833 */   // Label 606: @37833
     /*  37833 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(37866), // Rule ID 3923 //
     /*  37838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  37842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm32),
     /*  37853 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (ADDWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*  37853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWri),
     /*  37856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37858 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  37860 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  37864 */     GIR_RootConstrainSelectedInstOperands,
     /*  37865 */     // GIR_Coverage, 3923,
     /*  37865 */     GIR_EraseRootFromParent_Done,
     /*  37866 */   // Label 607: @37866
     /*  37866 */   GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(37902), // Rule ID 3912 //
     /*  37871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  37879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm32),
     /*  37886 */     // (sub:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (SUBSWri:{ *:[i32] }:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*  37886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWri),
     /*  37889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37891 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  37893 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  37897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  37900 */     GIR_RootConstrainSelectedInstOperands,
     /*  37901 */     // GIR_Coverage, 3912,
     /*  37901 */     GIR_EraseRootFromParent_Done,
     /*  37902 */   // Label 608: @37902
     /*  37902 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(37938), // Rule ID 3916 //
     /*  37907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg32),
     /*  37922 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm)  =>  (SUBSWrs:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm)
     /*  37922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWrs),
     /*  37925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37927 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  37929 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm
     /*  37933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  37936 */     GIR_RootConstrainSelectedInstOperands,
     /*  37937 */     // GIR_Coverage, 3916,
     /*  37937 */     GIR_EraseRootFromParent_Done,
     /*  37938 */   // Label 609: @37938
     /*  37938 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(37968), // Rule ID 3914 //
     /*  37943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37955 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SUBSWrr:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  37955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBSWrr),
     /*  37960 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AArch64::NZCV), GIMT_Encode2(RegState::Dead),
     /*  37966 */     GIR_RootConstrainSelectedInstOperands,
     /*  37967 */     // GIR_Coverage, 3914,
     /*  37967 */     GIR_Done,
     /*  37968 */   // Label 610: @37968
     /*  37968 */   GIM_Reject,
     /*  37969 */ // Label 596: @37969
     /*  37969 */ GIM_Reject,
     /*  37970 */ // Label 583: @37970
     /*  37970 */ GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(41251),
     /*  37975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  37978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37981 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(38117), // Rule ID 5401 //
     /*  37986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  37998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38014 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38019 */     // MIs[1] Operand 2
     /*  38019 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38034 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38038 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38042 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38046 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38050 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38054 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38059 */     // MIs[3] Operand 2
     /*  38059 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38070 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38072 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  38079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38084 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38088 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38099 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38106 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38111 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38116 */     // GIR_Coverage, 5401,
     /*  38116 */     GIR_EraseRootFromParent_Done,
     /*  38117 */   // Label 612: @38117
     /*  38117 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(38253), // Rule ID 5400 //
     /*  38122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38155 */     // MIs[1] Operand 2
     /*  38155 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38166 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38170 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38174 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38178 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38182 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38186 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38190 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38195 */     // MIs[3] Operand 2
     /*  38195 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38206 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38208 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  38215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38235 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38242 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38247 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38252 */     // GIR_Coverage, 5400,
     /*  38252 */     GIR_EraseRootFromParent_Done,
     /*  38253 */   // Label 613: @38253
     /*  38253 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(38389), // Rule ID 5410 //
     /*  38258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38291 */     // MIs[1] Operand 2
     /*  38291 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38302 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38306 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38310 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38314 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38318 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38322 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38326 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38331 */     // MIs[3] Operand 2
     /*  38331 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38342 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38344 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SSUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv2i32_v2i64),
     /*  38351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38356 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38371 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38378 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38383 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38388 */     // GIR_Coverage, 5410,
     /*  38388 */     GIR_EraseRootFromParent_Done,
     /*  38389 */   // Label 614: @38389
     /*  38389 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(38525), // Rule ID 5399 //
     /*  38394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38427 */     // MIs[1] Operand 2
     /*  38427 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38438 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38442 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38446 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38450 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38454 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38458 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38462 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38467 */     // MIs[3] Operand 2
     /*  38467 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38478 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38480 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  38487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38492 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38496 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38507 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38514 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38519 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38524 */     // GIR_Coverage, 5399,
     /*  38524 */     GIR_EraseRootFromParent_Done,
     /*  38525 */   // Label 615: @38525
     /*  38525 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(38661), // Rule ID 5398 //
     /*  38530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38554 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38563 */     // MIs[1] Operand 2
     /*  38563 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38574 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38578 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38582 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38586 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38590 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38594 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38598 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38603 */     // MIs[3] Operand 2
     /*  38603 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38614 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38616 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  38623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38643 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38650 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38655 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38660 */     // GIR_Coverage, 5398,
     /*  38660 */     GIR_EraseRootFromParent_Done,
     /*  38661 */   // Label 616: @38661
     /*  38661 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(38798), // Rule ID 3970 //
     /*  38666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38670 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  38674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  38682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  38686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  38690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  38698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  38702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38707 */     // MIs[2] Operand 2
     /*  38707 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  38718 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  38722 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  38726 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  38730 */     // MIs[3] Operand 1
     /*  38730 */     // No operand predicates
     /*  38730 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  38732 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  38732 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  38735 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  38739 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38744 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  38749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  38751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  38754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38763 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  38769 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  38774 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  38782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  38790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38796 */     GIR_RootConstrainSelectedInstOperands,
     /*  38797 */     // GIR_Coverage, 3970,
     /*  38797 */     GIR_EraseRootFromParent_Done,
     /*  38798 */   // Label 617: @38798
     /*  38798 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(38897), // Rule ID 3968 //
     /*  38803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38807 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  38811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  38819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  38823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  38827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  38839 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  38844 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  38848 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  38852 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  38856 */     // MIs[3] Operand 1
     /*  38856 */     // No operand predicates
     /*  38856 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  38858 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  38858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  38861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  38865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38870 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  38875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  38880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38895 */     GIR_RootConstrainSelectedInstOperands,
     /*  38896 */     // GIR_Coverage, 3968,
     /*  38896 */     GIR_EraseRootFromParent_Done,
     /*  38897 */   // Label 618: @38897
     /*  38897 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(38996), // Rule ID 3969 //
     /*  38902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  38910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  38918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  38922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  38926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  38938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  38943 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  38947 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  38951 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*  38955 */     // MIs[3] Operand 1
     /*  38955 */     // No operand predicates
     /*  38955 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  38957 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  38957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  38960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  38964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38969 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  38974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  38979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38994 */     GIR_RootConstrainSelectedInstOperands,
     /*  38995 */     // GIR_Coverage, 3969,
     /*  38995 */     GIR_EraseRootFromParent_Done,
     /*  38996 */   // Label 619: @38996
     /*  38996 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(39082), // Rule ID 3963 //
     /*  39001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39005 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  39009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39042 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39046 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39050 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  39054 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39059 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39061 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  39061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  39064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  39074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39080 */     GIR_RootConstrainSelectedInstOperands,
     /*  39081 */     // GIR_Coverage, 3963,
     /*  39081 */     GIR_EraseRootFromParent_Done,
     /*  39082 */   // Label 620: @39082
     /*  39082 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(39168), // Rule ID 3964 //
     /*  39087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39091 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  39095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39119 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39128 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39132 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39136 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  39140 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39145 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39147 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  39147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  39150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  39160 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39166 */     GIR_RootConstrainSelectedInstOperands,
     /*  39167 */     // GIR_Coverage, 3964,
     /*  39167 */     GIR_EraseRootFromParent_Done,
     /*  39168 */   // Label 621: @39168
     /*  39168 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(39301), // Rule ID 3976 //
     /*  39173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  39205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  39209 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39214 */     // MIs[2] Operand 2
     /*  39214 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  39225 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39229 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  39233 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  39237 */     // MIs[3] Operand 1
     /*  39237 */     // No operand predicates
     /*  39237 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39239 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*  39239 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  39242 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  39246 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39251 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  39256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  39258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  39261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  39265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39270 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  39276 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39281 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  39289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  39294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  39297 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39299 */     GIR_RootConstrainSelectedInstOperands,
     /*  39300 */     // GIR_Coverage, 3976,
     /*  39300 */     GIR_EraseRootFromParent_Done,
     /*  39301 */   // Label 622: @39301
     /*  39301 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(39396), // Rule ID 3974 //
     /*  39306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39326 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39347 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39351 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  39355 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  39359 */     // MIs[3] Operand 1
     /*  39359 */     // No operand predicates
     /*  39359 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39361 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*  39361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  39364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  39368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39373 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  39378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  39383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  39392 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39394 */     GIR_RootConstrainSelectedInstOperands,
     /*  39395 */     // GIR_Coverage, 3974,
     /*  39395 */     GIR_EraseRootFromParent_Done,
     /*  39396 */   // Label 623: @39396
     /*  39396 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(39491), // Rule ID 3975 //
     /*  39401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39442 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39446 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  39450 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*  39454 */     // MIs[3] Operand 1
     /*  39454 */     // No operand predicates
     /*  39454 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39456 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*  39456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  39459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  39463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39468 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  39473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  39478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  39487 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39489 */     GIR_RootConstrainSelectedInstOperands,
     /*  39490 */     // GIR_Coverage, 3975,
     /*  39490 */     GIR_EraseRootFromParent_Done,
     /*  39491 */   // Label 624: @39491
     /*  39491 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(39573), // Rule ID 124 //
     /*  39496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39541 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39545 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  39549 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39554 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39556 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*  39556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  39559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  39569 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39571 */     GIR_RootConstrainSelectedInstOperands,
     /*  39572 */     // GIR_Coverage, 124,
     /*  39572 */     GIR_EraseRootFromParent_Done,
     /*  39573 */   // Label 625: @39573
     /*  39573 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(39655), // Rule ID 126 //
     /*  39578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39614 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39627 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  39631 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39636 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39638 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*  39638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  39641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  39651 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39653 */     GIR_RootConstrainSelectedInstOperands,
     /*  39654 */     // GIR_Coverage, 126,
     /*  39654 */     GIR_EraseRootFromParent_Done,
     /*  39655 */   // Label 626: @39655
     /*  39655 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(39717), // Rule ID 3954 //
     /*  39660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  39668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39696 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm))  =>  (MSUBXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  39696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBXrrr),
     /*  39699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  39705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  39709 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39715 */     GIR_RootConstrainSelectedInstOperands,
     /*  39716 */     // GIR_Coverage, 3954,
     /*  39716 */     GIR_EraseRootFromParent_Done,
     /*  39717 */   // Label 627: @39717
     /*  39717 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(39775), // Rule ID 9926 //
     /*  39722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  39725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  39741 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  39744 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*  39749 */     // MIs[1] pattern
     /*  39749 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  39752 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  39757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39759 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECB_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  39759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECB_XPiI),
     /*  39762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  39764 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  39766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  39770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  39773 */     GIR_RootConstrainSelectedInstOperands,
     /*  39774 */     // GIR_Coverage, 9926,
     /*  39774 */     GIR_EraseRootFromParent_Done,
     /*  39775 */   // Label 628: @39775
     /*  39775 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(39833), // Rule ID 9938 //
     /*  39780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  39783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  39799 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  39802 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*  39807 */     // MIs[1] pattern
     /*  39807 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  39810 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  39815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39817 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECH_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  39817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECH_XPiI),
     /*  39820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  39822 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  39824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  39828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  39831 */     GIR_RootConstrainSelectedInstOperands,
     /*  39832 */     // GIR_Coverage, 9938,
     /*  39832 */     GIR_EraseRootFromParent_Done,
     /*  39833 */   // Label 629: @39833
     /*  39833 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(39891), // Rule ID 9950 //
     /*  39838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  39841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  39857 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  39860 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*  39865 */     // MIs[1] pattern
     /*  39865 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  39868 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  39873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39875 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECW_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  39875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECW_XPiI),
     /*  39878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  39880 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  39882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  39886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  39889 */     GIR_RootConstrainSelectedInstOperands,
     /*  39890 */     // GIR_Coverage, 9950,
     /*  39890 */     GIR_EraseRootFromParent_Done,
     /*  39891 */   // Label 630: @39891
     /*  39891 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(39949), // Rule ID 9962 //
     /*  39896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  39899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  39915 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  39918 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*  39923 */     // MIs[1] pattern
     /*  39923 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  39926 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  39931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39933 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECD_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  39933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECD_XPiI),
     /*  39936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  39938 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  39940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  39944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  39947 */     GIR_RootConstrainSelectedInstOperands,
     /*  39948 */     // GIR_Coverage, 9962,
     /*  39948 */     GIR_EraseRootFromParent_Done,
     /*  39949 */   // Label 631: @39949
     /*  39949 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(40112), // Rule ID 5365 //
     /*  39954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  39970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  39974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  39982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  39986 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  39990 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40000 */     // MIs[1] Operand 2
     /*  40000 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40013 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SMLSLv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40013 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40016 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40020 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40027 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40030 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40034 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40039 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40042 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  40046 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40049 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40054 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40059 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_v2i64),
     /*  40071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40076 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  40083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  40087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40094 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40101 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40106 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40111 */     // GIR_Coverage, 5365,
     /*  40111 */     GIR_EraseRootFromParent_Done,
     /*  40112 */   // Label 632: @40112
     /*  40112 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(40275), // Rule ID 5362 //
     /*  40117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  40145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40149 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40163 */     // MIs[1] Operand 2
     /*  40163 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40176 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UMLSLv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40176 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40179 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40183 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40190 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40193 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40197 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40202 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40205 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  40209 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40212 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40217 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40222 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_v2i64),
     /*  40234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40239 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40242 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  40246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  40250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40257 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40264 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40269 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40274 */     // GIR_Coverage, 5362,
     /*  40274 */     GIR_EraseRootFromParent_Done,
     /*  40275 */   // Label 633: @40275
     /*  40275 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(40425), // Rule ID 5407 //
     /*  40280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  40308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40317 */     // MIs[1] Operand 2
     /*  40317 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40330 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40330 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40333 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40337 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40344 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40347 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40351 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40356 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40359 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  40363 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40366 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40371 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40376 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  40388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40393 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  40400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40407 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40414 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40419 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40424 */     // GIR_Coverage, 5407,
     /*  40424 */     GIR_EraseRootFromParent_Done,
     /*  40425 */   // Label 634: @40425
     /*  40425 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(40575), // Rule ID 5413 //
     /*  40430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  40458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40467 */     // MIs[1] Operand 2
     /*  40467 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40480 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SSUBWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40480 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40483 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40487 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40494 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40497 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40501 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40506 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40509 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  40513 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40516 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40521 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40526 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv2i32_v2i64),
     /*  40538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40543 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40546 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  40550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40557 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40564 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40569 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40574 */     // GIR_Coverage, 5413,
     /*  40574 */     GIR_EraseRootFromParent_Done,
     /*  40575 */   // Label 635: @40575
     /*  40575 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(40725), // Rule ID 5406 //
     /*  40580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  40608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40617 */     // MIs[1] Operand 2
     /*  40617 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40630 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40630 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40633 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40637 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40644 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40647 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40651 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40656 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40659 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  40663 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40666 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40671 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40676 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  40688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40693 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  40700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40707 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40714 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40719 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40724 */     // GIR_Coverage, 5406,
     /*  40724 */     GIR_EraseRootFromParent_Done,
     /*  40725 */   // Label 636: @40725
     /*  40725 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(40761), // Rule ID 3919 //
     /*  40730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  40738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32to64_i64),
     /*  40745 */     // (sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$R2, arith_extended_reg32to64_i64:{ *:[i64] }:$R3)  =>  (SUBSXrx:{ *:[i64] }:{ *:[i32] } GPR64sp:{ *:[i64] }:$R2, arith_extended_reg32to64_i64:{ *:[i64] }:$R3)
     /*  40745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXrx),
     /*  40748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40750 */     GIR_RootToRootCopy, /*OpIdx*/1, // R2
     /*  40752 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // R3
     /*  40756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  40759 */     GIR_RootConstrainSelectedInstOperands,
     /*  40760 */     // GIR_Coverage, 3919,
     /*  40760 */     GIR_EraseRootFromParent_Done,
     /*  40761 */   // Label 637: @40761
     /*  40761 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(40794), // Rule ID 3924 //
     /*  40766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  40770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm64),
     /*  40781 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (ADDXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  40781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXri),
     /*  40784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40786 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40788 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  40792 */     GIR_RootConstrainSelectedInstOperands,
     /*  40793 */     // GIR_Coverage, 3924,
     /*  40793 */     GIR_EraseRootFromParent_Done,
     /*  40794 */   // Label 638: @40794
     /*  40794 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(40830), // Rule ID 3913 //
     /*  40799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  40807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm64),
     /*  40814 */     // (sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (SUBSXri:{ *:[i64] }:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  40814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXri),
     /*  40817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40819 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40821 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  40825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  40828 */     GIR_RootConstrainSelectedInstOperands,
     /*  40829 */     // GIR_Coverage, 3913,
     /*  40829 */     GIR_EraseRootFromParent_Done,
     /*  40830 */   // Label 639: @40830
     /*  40830 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(40866), // Rule ID 3917 //
     /*  40835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg64),
     /*  40850 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm)  =>  (SUBSXrs:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm)
     /*  40850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXrs),
     /*  40853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40855 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40857 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm
     /*  40861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  40864 */     GIR_RootConstrainSelectedInstOperands,
     /*  40865 */     // GIR_Coverage, 3917,
     /*  40865 */     GIR_EraseRootFromParent_Done,
     /*  40866 */   // Label 640: @40866
     /*  40866 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(40929), // Rule ID 10059 //
     /*  40871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  40874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  40890 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  40893 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  40898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  40902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  40904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  40909 */     // MIs[1] pred
     /*  40909 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  40914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40916 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (DECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  40916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_B),
     /*  40919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  40921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  40925 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40927 */     GIR_RootConstrainSelectedInstOperands,
     /*  40928 */     // GIR_Coverage, 10059,
     /*  40928 */     GIR_EraseRootFromParent_Done,
     /*  40929 */   // Label 641: @40929
     /*  40929 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(40992), // Rule ID 10060 //
     /*  40934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  40937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  40953 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  40956 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  40961 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  40965 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  40967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  40972 */     // MIs[1] pred
     /*  40972 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  40977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40979 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (DECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  40979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_H),
     /*  40982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  40984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  40988 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40990 */     GIR_RootConstrainSelectedInstOperands,
     /*  40991 */     // GIR_Coverage, 10060,
     /*  40991 */     GIR_EraseRootFromParent_Done,
     /*  40992 */   // Label 642: @40992
     /*  40992 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(41055), // Rule ID 10061 //
     /*  40997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  41000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  41016 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  41019 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  41024 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  41028 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  41030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  41035 */     // MIs[1] pred
     /*  41035 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  41040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41042 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (DECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  41042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_S),
     /*  41045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  41047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  41051 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  41053 */     GIR_RootConstrainSelectedInstOperands,
     /*  41054 */     // GIR_Coverage, 10061,
     /*  41054 */     GIR_EraseRootFromParent_Done,
     /*  41055 */   // Label 643: @41055
     /*  41055 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(41118), // Rule ID 10062 //
     /*  41060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  41063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  41079 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  41082 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  41087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  41091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  41093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  41098 */     // MIs[1] pred
     /*  41098 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  41103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41105 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (DECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  41105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_D),
     /*  41108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  41110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  41114 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  41116 */     GIR_RootConstrainSelectedInstOperands,
     /*  41117 */     // GIR_Coverage, 10062,
     /*  41117 */     GIR_EraseRootFromParent_Done,
     /*  41118 */   // Label 644: @41118
     /*  41118 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(41157), // Rule ID 1655 //
     /*  41123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41134 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  41140 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  41142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41148 */     // (sub:{ *:[v1i64] } immAllZerosV:{ *:[v1i64] }, FPR64:{ *:[v1i64] }:$Rn)  =>  (NEGv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /*  41148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv1i64),
     /*  41151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41155 */     GIR_RootConstrainSelectedInstOperands,
     /*  41156 */     // GIR_Coverage, 1655,
     /*  41156 */     GIR_EraseRootFromParent_Done,
     /*  41157 */   // Label 645: @41157
     /*  41157 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(41193), // Rule ID 5248 //
     /*  41162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41170 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  41176 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  41178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41184 */     // (sub:{ *:[i64] } immAllZerosV:{ *:[i64] }, FPR64:{ *:[i64] }:$Rn)  =>  (NEGv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /*  41184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv1i64),
     /*  41187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41191 */     GIR_RootConstrainSelectedInstOperands,
     /*  41192 */     // GIR_Coverage, 5248,
     /*  41192 */     GIR_EraseRootFromParent_Done,
     /*  41193 */   // Label 646: @41193
     /*  41193 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(41220), // Rule ID 1644 //
     /*  41198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41213 */     // (sub:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SUBv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /*  41213 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv1i64),
     /*  41218 */     GIR_RootConstrainSelectedInstOperands,
     /*  41219 */     // GIR_Coverage, 1644,
     /*  41219 */     GIR_Done,
     /*  41220 */   // Label 647: @41220
     /*  41220 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(41250), // Rule ID 3915 //
     /*  41225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41237 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SUBSXrr:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  41237 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBSXrr),
     /*  41242 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AArch64::NZCV), GIMT_Encode2(RegState::Dead),
     /*  41248 */     GIR_RootConstrainSelectedInstOperands,
     /*  41249 */     // GIR_Coverage, 3915,
     /*  41249 */     GIR_Done,
     /*  41250 */   // Label 648: @41250
     /*  41250 */   GIM_Reject,
     /*  41251 */ // Label 611: @41251
     /*  41251 */ GIM_Reject,
     /*  41252 */ // Label 584: @41252
     /*  41252 */ GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(42742),
     /*  41257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  41263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41267 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(41399), // Rule ID 5397 //
     /*  41272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41301 */     // MIs[1] Operand 2
     /*  41301 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41312 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41316 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41320 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41324 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41328 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41332 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41336 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41341 */     // MIs[3] Operand 2
     /*  41341 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41352 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41354 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  41361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41366 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41370 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41381 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41388 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41393 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41398 */     // GIR_Coverage, 5397,
     /*  41398 */     GIR_EraseRootFromParent_Done,
     /*  41399 */   // Label 650: @41399
     /*  41399 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(41531), // Rule ID 5396 //
     /*  41404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41433 */     // MIs[1] Operand 2
     /*  41433 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41452 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41456 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41460 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41464 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41468 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41473 */     // MIs[3] Operand 2
     /*  41473 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41484 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41486 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  41493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41498 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41502 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41513 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41520 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41525 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41530 */     // GIR_Coverage, 5396,
     /*  41530 */     GIR_EraseRootFromParent_Done,
     /*  41531 */   // Label 651: @41531
     /*  41531 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(41663), // Rule ID 5409 //
     /*  41536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  41556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41560 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41565 */     // MIs[1] Operand 2
     /*  41565 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41576 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41580 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41584 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41588 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41592 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  41596 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41600 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41605 */     // MIs[3] Operand 2
     /*  41605 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41616 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41618 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SSUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv4i16_v4i32),
     /*  41625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41630 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41645 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41652 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41657 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41662 */     // GIR_Coverage, 5409,
     /*  41662 */     GIR_EraseRootFromParent_Done,
     /*  41663 */   // Label 652: @41663
     /*  41663 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(41795), // Rule ID 5395 //
     /*  41668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41680 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41684 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41688 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41697 */     // MIs[1] Operand 2
     /*  41697 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41708 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41712 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41716 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41720 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41724 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41728 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41732 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41737 */     // MIs[3] Operand 2
     /*  41737 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41748 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41750 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  41757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41762 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41777 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41784 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41789 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41794 */     // GIR_Coverage, 5395,
     /*  41794 */     GIR_EraseRootFromParent_Done,
     /*  41795 */   // Label 653: @41795
     /*  41795 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(41927), // Rule ID 5394 //
     /*  41800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41829 */     // MIs[1] Operand 2
     /*  41829 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41848 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41852 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41856 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41860 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41864 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41869 */     // MIs[3] Operand 2
     /*  41869 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41880 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41882 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  41889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41898 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41909 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41916 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41921 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41926 */     // GIR_Coverage, 5394,
     /*  41926 */     GIR_EraseRootFromParent_Done,
     /*  41927 */   // Label 654: @41927
     /*  41927 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(42086), // Rule ID 5364 //
     /*  41932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  41956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41960 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  41964 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41974 */     // MIs[1] Operand 2
     /*  41974 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41985 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  41987 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SMLSLv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41987 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  41990 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  41994 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42001 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42004 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42008 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42013 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42016 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  42020 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42023 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42028 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42033 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_v4i32),
     /*  42045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42050 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  42057 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  42061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42068 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42075 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42080 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42085 */     // GIR_Coverage, 5364,
     /*  42085 */     GIR_EraseRootFromParent_Done,
     /*  42086 */   // Label 655: @42086
     /*  42086 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(42245), // Rule ID 5361 //
     /*  42091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  42115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42119 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  42123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42133 */     // MIs[1] Operand 2
     /*  42133 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42146 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UMLSLv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  42146 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  42149 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42153 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42160 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42163 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42167 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42172 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42175 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  42179 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42182 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42187 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42192 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_v4i32),
     /*  42204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42209 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42212 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  42216 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  42220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42227 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42234 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42239 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42244 */     // GIR_Coverage, 5361,
     /*  42244 */     GIR_EraseRootFromParent_Done,
     /*  42245 */   // Label 656: @42245
     /*  42245 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(42391), // Rule ID 5405 //
     /*  42250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  42274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42283 */     // MIs[1] Operand 2
     /*  42283 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42294 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42296 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  42296 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  42299 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42303 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42310 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42313 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42317 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42322 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42325 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  42329 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42332 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42337 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42342 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  42354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42359 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42362 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42373 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42380 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42385 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42390 */     // GIR_Coverage, 5405,
     /*  42390 */     GIR_EraseRootFromParent_Done,
     /*  42391 */   // Label 657: @42391
     /*  42391 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(42537), // Rule ID 5412 //
     /*  42396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  42420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42424 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42429 */     // MIs[1] Operand 2
     /*  42429 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42440 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42442 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SSUBWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  42442 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  42445 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42449 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42456 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42459 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42463 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42468 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42471 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  42475 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42478 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42483 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42488 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv4i16_v4i32),
     /*  42500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42505 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42508 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42519 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42526 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42531 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42536 */     // GIR_Coverage, 5412,
     /*  42536 */     GIR_EraseRootFromParent_Done,
     /*  42537 */   // Label 658: @42537
     /*  42537 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(42683), // Rule ID 5404 //
     /*  42542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  42566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42575 */     // MIs[1] Operand 2
     /*  42575 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42586 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42588 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  42588 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  42591 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42595 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42602 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42605 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42609 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42614 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42617 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  42621 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42624 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42629 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42634 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  42646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42651 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42654 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42665 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42672 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42677 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42682 */     // GIR_Coverage, 5404,
     /*  42682 */     GIR_EraseRootFromParent_Done,
     /*  42683 */   // Label 659: @42683
     /*  42683 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(42718), // Rule ID 969 //
     /*  42688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42695 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42701 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  42703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42709 */     // (sub:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn)  =>  (NEGv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /*  42709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv2i32),
     /*  42712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  42716 */     GIR_RootConstrainSelectedInstOperands,
     /*  42717 */     // GIR_Coverage, 969,
     /*  42717 */     GIR_EraseRootFromParent_Done,
     /*  42718 */   // Label 660: @42718
     /*  42718 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(42741), // Rule ID 1476 //
     /*  42723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42734 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42734 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv2i32),
     /*  42739 */     GIR_RootConstrainSelectedInstOperands,
     /*  42740 */     // GIR_Coverage, 1476,
     /*  42740 */     GIR_Done,
     /*  42741 */   // Label 661: @42741
     /*  42741 */   GIM_Reject,
     /*  42742 */ // Label 649: @42742
     /*  42742 */ GIM_Reject,
     /*  42743 */ // Label 585: @42743
     /*  42743 */ GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(45202),
     /*  42748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  42751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  42754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42758 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(42872), // Rule ID 2048 //
     /*  42763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  42778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  42786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  42790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42798 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  42802 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  42806 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42810 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  42814 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42819 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  42823 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  42827 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  42831 */     // MIs[4] Operand 1
     /*  42831 */     // No operand predicates
     /*  42831 */     // MIs[2] Operand 2
     /*  42831 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  42842 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  42844 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  42851 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  42851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i32_indexed),
     /*  42854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42856 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  42858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  42863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  42867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  42870 */     GIR_RootConstrainSelectedInstOperands,
     /*  42871 */     // GIR_Coverage, 2048,
     /*  42871 */     GIR_EraseRootFromParent_Done,
     /*  42872 */   // Label 663: @42872
     /*  42872 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(42986), // Rule ID 13488 //
     /*  42877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  42892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  42900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42912 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  42916 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  42920 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42924 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  42928 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42933 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  42937 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  42941 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  42945 */     // MIs[4] Operand 1
     /*  42945 */     // No operand predicates
     /*  42945 */     // MIs[2] Operand 2
     /*  42945 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  42956 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  42958 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  42965 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (SMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  42965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i32_indexed),
     /*  42968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42970 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  42972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  42977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  42981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  42984 */     GIR_RootConstrainSelectedInstOperands,
     /*  42985 */     // GIR_Coverage, 13488,
     /*  42985 */     GIR_EraseRootFromParent_Done,
     /*  42986 */   // Label 664: @42986
     /*  42986 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(43100), // Rule ID 2100 //
     /*  42991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  43006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  43018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43026 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43030 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43034 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43038 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43042 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43047 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43051 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43055 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43059 */     // MIs[4] Operand 1
     /*  43059 */     // No operand predicates
     /*  43059 */     // MIs[2] Operand 2
     /*  43059 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  43070 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43072 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43079 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (UMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i32_indexed),
     /*  43082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43084 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43098 */     GIR_RootConstrainSelectedInstOperands,
     /*  43099 */     // GIR_Coverage, 2100,
     /*  43099 */     GIR_EraseRootFromParent_Done,
     /*  43100 */   // Label 665: @43100
     /*  43100 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(43214), // Rule ID 13518 //
     /*  43105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  43120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43140 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43144 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43148 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43152 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43156 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43161 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43165 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43169 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43173 */     // MIs[4] Operand 1
     /*  43173 */     // No operand predicates
     /*  43173 */     // MIs[2] Operand 2
     /*  43173 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  43184 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43186 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43193 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (UMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i32_indexed),
     /*  43196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43198 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43212 */     GIR_RootConstrainSelectedInstOperands,
     /*  43213 */     // GIR_Coverage, 13518,
     /*  43213 */     GIR_EraseRootFromParent_Done,
     /*  43214 */   // Label 666: @43214
     /*  43214 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(43279), // Rule ID 1855 //
     /*  43219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43248 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43255 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43262 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  43265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43277 */     GIR_RootConstrainSelectedInstOperands,
     /*  43278 */     // GIR_Coverage, 1855,
     /*  43278 */     GIR_EraseRootFromParent_Done,
     /*  43279 */   // Label 667: @43279
     /*  43279 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(43344), // Rule ID 1854 //
     /*  43284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43313 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43320 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43327 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  43330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43342 */     GIR_RootConstrainSelectedInstOperands,
     /*  43343 */     // GIR_Coverage, 1854,
     /*  43343 */     GIR_EraseRootFromParent_Done,
     /*  43344 */   // Label 668: @43344
     /*  43344 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(43409), // Rule ID 1759 //
     /*  43349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  43360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  43372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43385 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43392 */     // (sub:{ *:[v2i64] } (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SSUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv4i32_v2i64),
     /*  43395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43407 */     GIR_RootConstrainSelectedInstOperands,
     /*  43408 */     // GIR_Coverage, 1759,
     /*  43408 */     GIR_EraseRootFromParent_Done,
     /*  43409 */   // Label 669: @43409
     /*  43409 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(43474), // Rule ID 1853 //
     /*  43414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43443 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43450 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43457 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  43460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43472 */     GIR_RootConstrainSelectedInstOperands,
     /*  43473 */     // GIR_Coverage, 1853,
     /*  43473 */     GIR_EraseRootFromParent_Done,
     /*  43474 */   // Label 670: @43474
     /*  43474 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(43539), // Rule ID 1852 //
     /*  43479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43515 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43522 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  43525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43537 */     GIR_RootConstrainSelectedInstOperands,
     /*  43538 */     // GIR_Coverage, 1852,
     /*  43538 */     GIR_EraseRootFromParent_Done,
     /*  43539 */   // Label 671: @43539
     /*  43539 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(43650), // Rule ID 13486 //
     /*  43544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  43559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43591 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43595 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43600 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43604 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43608 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43612 */     // MIs[4] Operand 1
     /*  43612 */     // No operand predicates
     /*  43612 */     // MIs[2] Operand 2
     /*  43612 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  43623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43628 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43630 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  43633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43635 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  43641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43648 */     GIR_RootConstrainSelectedInstOperands,
     /*  43649 */     // GIR_Coverage, 13486,
     /*  43649 */     GIR_EraseRootFromParent_Done,
     /*  43650 */   // Label 672: @43650
     /*  43650 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(43761), // Rule ID 2046 //
     /*  43655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  43670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43674 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  43687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43695 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43699 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43703 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43707 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43711 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43716 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43720 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43724 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43728 */     // MIs[4] Operand 1
     /*  43728 */     // No operand predicates
     /*  43728 */     // MIs[2] Operand 2
     /*  43728 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  43739 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43741 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  43744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43746 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  43752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43759 */     GIR_RootConstrainSelectedInstOperands,
     /*  43760 */     // GIR_Coverage, 2046,
     /*  43760 */     GIR_EraseRootFromParent_Done,
     /*  43761 */   // Label 673: @43761
     /*  43761 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(43872), // Rule ID 13516 //
     /*  43766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  43781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43801 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43805 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43809 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43813 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43817 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43822 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43826 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43830 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43834 */     // MIs[4] Operand 1
     /*  43834 */     // No operand predicates
     /*  43834 */     // MIs[2] Operand 2
     /*  43834 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  43845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43850 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43852 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  43855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43857 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  43863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43870 */     GIR_RootConstrainSelectedInstOperands,
     /*  43871 */     // GIR_Coverage, 13516,
     /*  43871 */     GIR_EraseRootFromParent_Done,
     /*  43872 */   // Label 674: @43872
     /*  43872 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(43983), // Rule ID 2098 //
     /*  43877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  43892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  43909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43917 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43921 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43925 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43929 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43933 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43938 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43942 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43946 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43950 */     // MIs[4] Operand 1
     /*  43950 */     // No operand predicates
     /*  43950 */     // MIs[2] Operand 2
     /*  43950 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  43961 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43963 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  43966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43968 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  43974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43981 */     GIR_RootConstrainSelectedInstOperands,
     /*  43982 */     // GIR_Coverage, 2098,
     /*  43982 */     GIR_EraseRootFromParent_Done,
     /*  43983 */   // Label 675: @43983
     /*  43983 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(44046), // Rule ID 1735 //
     /*  43988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44020 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44027 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SMLSLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i32_v2i64),
     /*  44030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44032 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  44044 */     GIR_RootConstrainSelectedInstOperands,
     /*  44045 */     // GIR_Coverage, 1735,
     /*  44045 */     GIR_EraseRootFromParent_Done,
     /*  44046 */   // Label 676: @44046
     /*  44046 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(44109), // Rule ID 1825 //
     /*  44051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  44066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44070 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44076 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44083 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44090 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UMLSLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i32_v2i64),
     /*  44093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44095 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  44107 */     GIR_RootConstrainSelectedInstOperands,
     /*  44108 */     // GIR_Coverage, 1825,
     /*  44108 */     GIR_EraseRootFromParent_Done,
     /*  44109 */   // Label 677: @44109
     /*  44109 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(44197), // Rule ID 13487 //
     /*  44114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  44141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  44145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44149 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  44153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44158 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44162 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44166 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  44170 */     // MIs[3] Operand 1
     /*  44170 */     // No operand predicates
     /*  44170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44175 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44177 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  44180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44182 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  44188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  44195 */     GIR_RootConstrainSelectedInstOperands,
     /*  44196 */     // GIR_Coverage, 13487,
     /*  44196 */     GIR_EraseRootFromParent_Done,
     /*  44197 */   // Label 678: @44197
     /*  44197 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(44285), // Rule ID 2047 //
     /*  44202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44221 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  44234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  44238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44242 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  44246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44251 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44255 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44259 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  44263 */     // MIs[3] Operand 1
     /*  44263 */     // No operand predicates
     /*  44263 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44265 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  44268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44270 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  44283 */     GIR_RootConstrainSelectedInstOperands,
     /*  44284 */     // GIR_Coverage, 2047,
     /*  44284 */     GIR_EraseRootFromParent_Done,
     /*  44285 */   // Label 679: @44285
     /*  44285 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(44373), // Rule ID 13517 //
     /*  44290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  44305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  44317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  44321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44325 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  44329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44334 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44338 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44342 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  44346 */     // MIs[3] Operand 1
     /*  44346 */     // No operand predicates
     /*  44346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44351 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44353 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  44356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44358 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  44364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  44371 */     GIR_RootConstrainSelectedInstOperands,
     /*  44372 */     // GIR_Coverage, 13517,
     /*  44372 */     GIR_EraseRootFromParent_Done,
     /*  44373 */   // Label 680: @44373
     /*  44373 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(44461), // Rule ID 2099 //
     /*  44378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  44393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  44410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  44414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44418 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  44422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44427 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44431 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44435 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  44439 */     // MIs[3] Operand 1
     /*  44439 */     // No operand predicates
     /*  44439 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44441 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  44444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44446 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  44459 */     GIR_RootConstrainSelectedInstOperands,
     /*  44460 */     // GIR_Coverage, 2099,
     /*  44460 */     GIR_EraseRootFromParent_Done,
     /*  44461 */   // Label 681: @44461
     /*  44461 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(44508), // Rule ID 1867 //
     /*  44466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44487 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44494 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i32_v2i64),
     /*  44497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44499 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  44501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  44506 */     GIR_RootConstrainSelectedInstOperands,
     /*  44507 */     // GIR_Coverage, 1867,
     /*  44507 */     GIR_EraseRootFromParent_Done,
     /*  44508 */   // Label 682: @44508
     /*  44508 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(44555), // Rule ID 1765 //
     /*  44513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  44528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44534 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44541 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SSUBWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv4i32_v2i64),
     /*  44544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  44548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  44553 */     GIR_RootConstrainSelectedInstOperands,
     /*  44554 */     // GIR_Coverage, 1765,
     /*  44554 */     GIR_EraseRootFromParent_Done,
     /*  44555 */   // Label 683: @44555
     /*  44555 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(44602), // Rule ID 1866 //
     /*  44560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44581 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44588 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i32_v2i64),
     /*  44591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44593 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  44595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  44600 */     GIR_RootConstrainSelectedInstOperands,
     /*  44601 */     // GIR_Coverage, 1866,
     /*  44601 */     GIR_EraseRootFromParent_Done,
     /*  44602 */   // Label 684: @44602
     /*  44602 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(44661), // Rule ID 1851 //
     /*  44607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44639 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44644 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44646 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  44649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44659 */     GIR_RootConstrainSelectedInstOperands,
     /*  44660 */     // GIR_Coverage, 1851,
     /*  44660 */     GIR_EraseRootFromParent_Done,
     /*  44661 */   // Label 685: @44661
     /*  44661 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(44720), // Rule ID 1850 //
     /*  44666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44705 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  44708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44718 */     GIR_RootConstrainSelectedInstOperands,
     /*  44719 */     // GIR_Coverage, 1850,
     /*  44719 */     GIR_EraseRootFromParent_Done,
     /*  44720 */   // Label 686: @44720
     /*  44720 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(44779), // Rule ID 1758 //
     /*  44725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  44736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  44753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44764 */     // (sub:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SSUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv2i32_v2i64),
     /*  44767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44777 */     GIR_RootConstrainSelectedInstOperands,
     /*  44778 */     // GIR_Coverage, 1758,
     /*  44778 */     GIR_EraseRootFromParent_Done,
     /*  44779 */   // Label 687: @44779
     /*  44779 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(44838), // Rule ID 1849 //
     /*  44784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44823 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  44826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44836 */     GIR_RootConstrainSelectedInstOperands,
     /*  44837 */     // GIR_Coverage, 1849,
     /*  44837 */     GIR_EraseRootFromParent_Done,
     /*  44838 */   // Label 688: @44838
     /*  44838 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(44897), // Rule ID 1848 //
     /*  44843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44875 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44882 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  44885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44895 */     GIR_RootConstrainSelectedInstOperands,
     /*  44896 */     // GIR_Coverage, 1848,
     /*  44896 */     GIR_EraseRootFromParent_Done,
     /*  44897 */   // Label 689: @44897
     /*  44897 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(44932), // Rule ID 971 //
     /*  44902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44909 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44915 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  44917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44923 */     // (sub:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn)  =>  (NEGv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /*  44923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv2i64),
     /*  44926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  44930 */     GIR_RootConstrainSelectedInstOperands,
     /*  44931 */     // GIR_Coverage, 971,
     /*  44931 */     GIR_EraseRootFromParent_Done,
     /*  44932 */   // Label 690: @44932
     /*  44932 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(44989), // Rule ID 1734 //
     /*  44937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44972 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SMLSLv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_v2i64),
     /*  44975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44977 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  44987 */     GIR_RootConstrainSelectedInstOperands,
     /*  44988 */     // GIR_Coverage, 1734,
     /*  44988 */     GIR_EraseRootFromParent_Done,
     /*  44989 */   // Label 691: @44989
     /*  44989 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(45046), // Rule ID 1824 //
     /*  44994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  45009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  45013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  45017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45029 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UMLSLv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  45029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_v2i64),
     /*  45032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45034 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  45036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  45040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  45044 */     GIR_RootConstrainSelectedInstOperands,
     /*  45045 */     // GIR_Coverage, 1824,
     /*  45045 */     GIR_EraseRootFromParent_Done,
     /*  45046 */   // Label 692: @45046
     /*  45046 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(45090), // Rule ID 1865 //
     /*  45051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  45070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45077 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  45077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  45080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45082 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  45084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  45088 */     GIR_RootConstrainSelectedInstOperands,
     /*  45089 */     // GIR_Coverage, 1865,
     /*  45089 */     GIR_EraseRootFromParent_Done,
     /*  45090 */   // Label 693: @45090
     /*  45090 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(45134), // Rule ID 1764 //
     /*  45095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  45110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  45114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45121 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SSUBWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  45121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv2i32_v2i64),
     /*  45124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45126 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  45128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  45132 */     GIR_RootConstrainSelectedInstOperands,
     /*  45133 */     // GIR_Coverage, 1764,
     /*  45133 */     GIR_EraseRootFromParent_Done,
     /*  45134 */   // Label 694: @45134
     /*  45134 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(45178), // Rule ID 1864 //
     /*  45139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  45158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45165 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  45165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  45168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45170 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  45172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  45176 */     GIR_RootConstrainSelectedInstOperands,
     /*  45177 */     // GIR_Coverage, 1864,
     /*  45177 */     GIR_EraseRootFromParent_Done,
     /*  45178 */   // Label 695: @45178
     /*  45178 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(45201), // Rule ID 1478 //
     /*  45183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45194 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  45194 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv2i64),
     /*  45199 */     GIR_RootConstrainSelectedInstOperands,
     /*  45200 */     // GIR_Coverage, 1478,
     /*  45200 */     GIR_Done,
     /*  45201 */   // Label 696: @45201
     /*  45201 */   GIM_Reject,
     /*  45202 */ // Label 662: @45202
     /*  45202 */ GIM_Reject,
     /*  45203 */ // Label 586: @45203
     /*  45203 */ GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(46693),
     /*  45208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  45214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45218 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(45350), // Rule ID 5393 //
     /*  45223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45247 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45252 */     // MIs[1] Operand 2
     /*  45252 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45263 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45267 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45271 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45275 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45279 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45283 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45287 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45292 */     // MIs[3] Operand 2
     /*  45292 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45303 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45305 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  45312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45332 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45339 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45344 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45349 */     // GIR_Coverage, 5393,
     /*  45349 */     GIR_EraseRootFromParent_Done,
     /*  45350 */   // Label 698: @45350
     /*  45350 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(45482), // Rule ID 5392 //
     /*  45355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45379 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45384 */     // MIs[1] Operand 2
     /*  45384 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45395 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45399 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45403 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45407 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45411 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45415 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45419 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45424 */     // MIs[3] Operand 2
     /*  45424 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45435 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45437 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  45444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45449 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45464 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45471 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45476 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45481 */     // GIR_Coverage, 5392,
     /*  45481 */     GIR_EraseRootFromParent_Done,
     /*  45482 */   // Label 699: @45482
     /*  45482 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(45614), // Rule ID 5408 //
     /*  45487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  45507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45516 */     // MIs[1] Operand 2
     /*  45516 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45527 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45531 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45535 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45539 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45543 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  45547 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45551 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45556 */     // MIs[3] Operand 2
     /*  45556 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45567 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45569 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SSUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv8i8_v8i16),
     /*  45576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45596 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45603 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45608 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45613 */     // GIR_Coverage, 5408,
     /*  45613 */     GIR_EraseRootFromParent_Done,
     /*  45614 */   // Label 700: @45614
     /*  45614 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(45746), // Rule ID 5391 //
     /*  45619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45643 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45648 */     // MIs[1] Operand 2
     /*  45648 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45659 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45663 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45667 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45671 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45675 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45679 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45683 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45688 */     // MIs[3] Operand 2
     /*  45688 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45699 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45701 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  45708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45728 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45735 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45740 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45745 */     // GIR_Coverage, 5391,
     /*  45745 */     GIR_EraseRootFromParent_Done,
     /*  45746 */   // Label 701: @45746
     /*  45746 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(45878), // Rule ID 5390 //
     /*  45751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45775 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45780 */     // MIs[1] Operand 2
     /*  45780 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45791 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45795 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45799 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45803 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45807 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45811 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45815 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45820 */     // MIs[3] Operand 2
     /*  45820 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45831 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45833 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  45840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45860 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45867 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45872 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45877 */     // GIR_Coverage, 5390,
     /*  45877 */     GIR_EraseRootFromParent_Done,
     /*  45878 */   // Label 702: @45878
     /*  45878 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(46037), // Rule ID 5363 //
     /*  45883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  45907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45911 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  45915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45925 */     // MIs[1] Operand 2
     /*  45925 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  45938 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SMLSLv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45938 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  45941 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  45945 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  45952 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  45955 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  45959 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45964 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  45967 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  45971 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  45974 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45979 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45984 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i8_v8i16),
     /*  45996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46001 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46004 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  46008 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  46012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46019 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46026 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46031 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46036 */     // GIR_Coverage, 5363,
     /*  46036 */     GIR_EraseRootFromParent_Done,
     /*  46037 */   // Label 703: @46037
     /*  46037 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(46196), // Rule ID 5360 //
     /*  46042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  46066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46070 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  46074 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46079 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46084 */     // MIs[1] Operand 2
     /*  46084 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  46095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46097 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UMLSLv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  46097 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  46100 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46104 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46111 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46114 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46118 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46123 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46126 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  46130 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  46133 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46138 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46143 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  46151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i8_v8i16),
     /*  46155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46160 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  46167 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  46171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46178 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46185 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46190 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46195 */     // GIR_Coverage, 5360,
     /*  46195 */     GIR_EraseRootFromParent_Done,
     /*  46196 */   // Label 704: @46196
     /*  46196 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(46342), // Rule ID 5403 //
     /*  46201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  46225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46229 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46234 */     // MIs[1] Operand 2
     /*  46234 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  46245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46247 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  46247 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  46250 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46254 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46261 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46264 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46268 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46273 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46276 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  46280 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  46283 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46288 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46293 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  46301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  46305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46310 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46313 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46324 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46331 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46336 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46341 */     // GIR_Coverage, 5403,
     /*  46341 */     GIR_EraseRootFromParent_Done,
     /*  46342 */   // Label 705: @46342
     /*  46342 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(46488), // Rule ID 5411 //
     /*  46347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  46371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46380 */     // MIs[1] Operand 2
     /*  46380 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  46391 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46393 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SSUBWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  46393 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  46396 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46400 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46407 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46410 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46414 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46419 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46422 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  46426 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  46429 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46434 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46439 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  46447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv8i8_v8i16),
     /*  46451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46456 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46470 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46477 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46482 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46487 */     // GIR_Coverage, 5411,
     /*  46487 */     GIR_EraseRootFromParent_Done,
     /*  46488 */   // Label 706: @46488
     /*  46488 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(46634), // Rule ID 5402 //
     /*  46493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  46517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46521 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46526 */     // MIs[1] Operand 2
     /*  46526 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  46537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46539 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  46539 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  46542 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46546 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46553 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46556 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46560 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46565 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46568 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  46572 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  46575 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46580 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46585 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  46593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  46597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46602 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46616 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46623 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46628 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46633 */     // GIR_Coverage, 5402,
     /*  46633 */     GIR_EraseRootFromParent_Done,
     /*  46634 */   // Label 707: @46634
     /*  46634 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(46669), // Rule ID 967 //
     /*  46639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46646 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  46652 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  46654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46660 */     // (sub:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn)  =>  (NEGv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /*  46660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv4i16),
     /*  46663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46667 */     GIR_RootConstrainSelectedInstOperands,
     /*  46668 */     // GIR_Coverage, 967,
     /*  46668 */     GIR_EraseRootFromParent_Done,
     /*  46669 */   // Label 708: @46669
     /*  46669 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(46692), // Rule ID 1474 //
     /*  46674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46685 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  46685 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv4i16),
     /*  46690 */     GIR_RootConstrainSelectedInstOperands,
     /*  46691 */     // GIR_Coverage, 1474,
     /*  46691 */     GIR_Done,
     /*  46692 */   // Label 709: @46692
     /*  46692 */   GIM_Reject,
     /*  46693 */ // Label 697: @46693
     /*  46693 */ GIM_Reject,
     /*  46694 */ // Label 587: @46694
     /*  46694 */ GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(49153),
     /*  46699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  46702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  46705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46709 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(46823), // Rule ID 2045 //
     /*  46714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  46729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  46737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  46741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46749 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  46753 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  46757 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46761 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  46765 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  46770 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  46774 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  46778 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  46782 */     // MIs[4] Operand 1
     /*  46782 */     // No operand predicates
     /*  46782 */     // MIs[2] Operand 2
     /*  46782 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  46793 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  46795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  46802 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  46802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i16_indexed),
     /*  46805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46807 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  46809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  46814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  46818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  46821 */     GIR_RootConstrainSelectedInstOperands,
     /*  46822 */     // GIR_Coverage, 2045,
     /*  46822 */     GIR_EraseRootFromParent_Done,
     /*  46823 */   // Label 711: @46823
     /*  46823 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(46937), // Rule ID 13485 //
     /*  46828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  46843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  46851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46863 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  46867 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  46871 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46875 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  46879 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  46884 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  46888 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  46892 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  46896 */     // MIs[4] Operand 1
     /*  46896 */     // No operand predicates
     /*  46896 */     // MIs[2] Operand 2
     /*  46896 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  46907 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  46909 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  46916 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (SMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  46916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i16_indexed),
     /*  46919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46921 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  46923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  46928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  46932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  46935 */     GIR_RootConstrainSelectedInstOperands,
     /*  46936 */     // GIR_Coverage, 13485,
     /*  46936 */     GIR_EraseRootFromParent_Done,
     /*  46937 */   // Label 712: @46937
     /*  46937 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(47051), // Rule ID 2097 //
     /*  46942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  46957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46961 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  46965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  46969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46973 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46977 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  46981 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  46985 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46989 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  46993 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  46998 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47002 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47006 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47010 */     // MIs[4] Operand 1
     /*  47010 */     // No operand predicates
     /*  47010 */     // MIs[2] Operand 2
     /*  47010 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  47021 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47030 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (UMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i16_indexed),
     /*  47033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47035 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47049 */     GIR_RootConstrainSelectedInstOperands,
     /*  47050 */     // GIR_Coverage, 2097,
     /*  47050 */     GIR_EraseRootFromParent_Done,
     /*  47051 */   // Label 713: @47051
     /*  47051 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(47165), // Rule ID 13515 //
     /*  47056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  47071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47075 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  47083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47095 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47099 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47103 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47107 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47112 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47116 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47120 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47124 */     // MIs[4] Operand 1
     /*  47124 */     // No operand predicates
     /*  47124 */     // MIs[2] Operand 2
     /*  47124 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  47135 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47144 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (UMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i16_indexed),
     /*  47147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47149 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47163 */     GIR_RootConstrainSelectedInstOperands,
     /*  47164 */     // GIR_Coverage, 13515,
     /*  47164 */     GIR_EraseRootFromParent_Done,
     /*  47165 */   // Label 714: @47165
     /*  47165 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(47230), // Rule ID 1847 //
     /*  47170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47199 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47206 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47213 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  47216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47228 */     GIR_RootConstrainSelectedInstOperands,
     /*  47229 */     // GIR_Coverage, 1847,
     /*  47229 */     GIR_EraseRootFromParent_Done,
     /*  47230 */   // Label 715: @47230
     /*  47230 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(47295), // Rule ID 1846 //
     /*  47235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47264 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47271 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47278 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  47281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47293 */     GIR_RootConstrainSelectedInstOperands,
     /*  47294 */     // GIR_Coverage, 1846,
     /*  47294 */     GIR_EraseRootFromParent_Done,
     /*  47295 */   // Label 716: @47295
     /*  47295 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(47360), // Rule ID 1757 //
     /*  47300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  47311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  47323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47329 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47336 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47343 */     // (sub:{ *:[v4i32] } (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SSUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv8i16_v4i32),
     /*  47346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47358 */     GIR_RootConstrainSelectedInstOperands,
     /*  47359 */     // GIR_Coverage, 1757,
     /*  47359 */     GIR_EraseRootFromParent_Done,
     /*  47360 */   // Label 717: @47360
     /*  47360 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(47425), // Rule ID 1845 //
     /*  47365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47388 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47394 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47401 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47408 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  47411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47423 */     GIR_RootConstrainSelectedInstOperands,
     /*  47424 */     // GIR_Coverage, 1845,
     /*  47424 */     GIR_EraseRootFromParent_Done,
     /*  47425 */   // Label 718: @47425
     /*  47425 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(47490), // Rule ID 1844 //
     /*  47430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47459 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47466 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47473 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  47476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47488 */     GIR_RootConstrainSelectedInstOperands,
     /*  47489 */     // GIR_Coverage, 1844,
     /*  47489 */     GIR_EraseRootFromParent_Done,
     /*  47490 */   // Label 719: @47490
     /*  47490 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(47601), // Rule ID 13483 //
     /*  47495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  47510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  47522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47530 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47534 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47538 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47542 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47546 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47551 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47555 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47559 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47563 */     // MIs[4] Operand 1
     /*  47563 */     // No operand predicates
     /*  47563 */     // MIs[2] Operand 2
     /*  47563 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  47574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47579 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47581 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  47584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47586 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  47592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47599 */     GIR_RootConstrainSelectedInstOperands,
     /*  47600 */     // GIR_Coverage, 13483,
     /*  47600 */     GIR_EraseRootFromParent_Done,
     /*  47601 */   // Label 720: @47601
     /*  47601 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(47712), // Rule ID 2043 //
     /*  47606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  47621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  47638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47646 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47650 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47654 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47658 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47662 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47667 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47671 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47675 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47679 */     // MIs[4] Operand 1
     /*  47679 */     // No operand predicates
     /*  47679 */     // MIs[2] Operand 2
     /*  47679 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  47690 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47692 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  47695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47697 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47710 */     GIR_RootConstrainSelectedInstOperands,
     /*  47711 */     // GIR_Coverage, 2043,
     /*  47711 */     GIR_EraseRootFromParent_Done,
     /*  47712 */   // Label 721: @47712
     /*  47712 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(47823), // Rule ID 13513 //
     /*  47717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  47732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  47744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47752 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47756 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47760 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47764 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47768 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47773 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47777 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47781 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47785 */     // MIs[4] Operand 1
     /*  47785 */     // No operand predicates
     /*  47785 */     // MIs[2] Operand 2
     /*  47785 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  47796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47801 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47803 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  47806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47808 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  47814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47821 */     GIR_RootConstrainSelectedInstOperands,
     /*  47822 */     // GIR_Coverage, 13513,
     /*  47822 */     GIR_EraseRootFromParent_Done,
     /*  47823 */   // Label 722: @47823
     /*  47823 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(47934), // Rule ID 2095 //
     /*  47828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  47843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  47860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47868 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47872 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47876 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47880 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47884 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47889 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47893 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47897 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47901 */     // MIs[4] Operand 1
     /*  47901 */     // No operand predicates
     /*  47901 */     // MIs[2] Operand 2
     /*  47901 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  47912 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47914 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  47917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47919 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47932 */     GIR_RootConstrainSelectedInstOperands,
     /*  47933 */     // GIR_Coverage, 2095,
     /*  47933 */     GIR_EraseRootFromParent_Done,
     /*  47934 */   // Label 723: @47934
     /*  47934 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(47997), // Rule ID 1733 //
     /*  47939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  47954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47964 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47971 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47978 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SMLSLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i16_v4i32),
     /*  47981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47983 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47995 */     GIR_RootConstrainSelectedInstOperands,
     /*  47996 */     // GIR_Coverage, 1733,
     /*  47996 */     GIR_EraseRootFromParent_Done,
     /*  47997 */   // Label 724: @47997
     /*  47997 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(48060), // Rule ID 1823 //
     /*  48002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  48017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48027 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48034 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48041 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UMLSLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  48041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i16_v4i32),
     /*  48044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48046 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  48053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  48058 */     GIR_RootConstrainSelectedInstOperands,
     /*  48059 */     // GIR_Coverage, 1823,
     /*  48059 */     GIR_EraseRootFromParent_Done,
     /*  48060 */   // Label 725: @48060
     /*  48060 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(48148), // Rule ID 13484 //
     /*  48065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  48080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48084 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  48092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  48096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  48100 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48104 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  48109 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48113 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48117 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  48121 */     // MIs[3] Operand 1
     /*  48121 */     // No operand predicates
     /*  48121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48126 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48128 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  48131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48133 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  48139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48146 */     GIR_RootConstrainSelectedInstOperands,
     /*  48147 */     // GIR_Coverage, 13484,
     /*  48147 */     GIR_EraseRootFromParent_Done,
     /*  48148 */   // Label 726: @48148
     /*  48148 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(48236), // Rule ID 2044 //
     /*  48153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  48168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  48185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  48189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  48193 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  48202 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48206 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48210 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  48214 */     // MIs[3] Operand 1
     /*  48214 */     // No operand predicates
     /*  48214 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48216 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  48219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48221 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48234 */     GIR_RootConstrainSelectedInstOperands,
     /*  48235 */     // GIR_Coverage, 2044,
     /*  48235 */     GIR_EraseRootFromParent_Done,
     /*  48236 */   // Label 727: @48236
     /*  48236 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(48324), // Rule ID 13514 //
     /*  48241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  48256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48260 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  48268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  48272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  48276 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48280 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  48285 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48289 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48293 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  48297 */     // MIs[3] Operand 1
     /*  48297 */     // No operand predicates
     /*  48297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48304 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  48307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48309 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  48315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48322 */     GIR_RootConstrainSelectedInstOperands,
     /*  48323 */     // GIR_Coverage, 13514,
     /*  48323 */     GIR_EraseRootFromParent_Done,
     /*  48324 */   // Label 728: @48324
     /*  48324 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(48412), // Rule ID 2096 //
     /*  48329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  48344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  48361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  48365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  48369 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  48378 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48382 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48386 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  48390 */     // MIs[3] Operand 1
     /*  48390 */     // No operand predicates
     /*  48390 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48392 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  48395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48397 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48410 */     GIR_RootConstrainSelectedInstOperands,
     /*  48411 */     // GIR_Coverage, 2096,
     /*  48411 */     GIR_EraseRootFromParent_Done,
     /*  48412 */   // Label 729: @48412
     /*  48412 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(48459), // Rule ID 1863 //
     /*  48417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48438 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48445 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  48445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i16_v4i32),
     /*  48448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48450 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  48457 */     GIR_RootConstrainSelectedInstOperands,
     /*  48458 */     // GIR_Coverage, 1863,
     /*  48458 */     GIR_EraseRootFromParent_Done,
     /*  48459 */   // Label 730: @48459
     /*  48459 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(48506), // Rule ID 1763 //
     /*  48464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  48479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48485 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48492 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SSUBWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  48492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv8i16_v4i32),
     /*  48495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48497 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  48504 */     GIR_RootConstrainSelectedInstOperands,
     /*  48505 */     // GIR_Coverage, 1763,
     /*  48505 */     GIR_EraseRootFromParent_Done,
     /*  48506 */   // Label 731: @48506
     /*  48506 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(48553), // Rule ID 1862 //
     /*  48511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48532 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48539 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  48539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i16_v4i32),
     /*  48542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48544 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  48551 */     GIR_RootConstrainSelectedInstOperands,
     /*  48552 */     // GIR_Coverage, 1862,
     /*  48552 */     GIR_EraseRootFromParent_Done,
     /*  48553 */   // Label 732: @48553
     /*  48553 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(48612), // Rule ID 1843 //
     /*  48558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48590 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48597 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  48600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48610 */     GIR_RootConstrainSelectedInstOperands,
     /*  48611 */     // GIR_Coverage, 1843,
     /*  48611 */     GIR_EraseRootFromParent_Done,
     /*  48612 */   // Label 733: @48612
     /*  48612 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(48671), // Rule ID 1842 //
     /*  48617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48656 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  48659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48669 */     GIR_RootConstrainSelectedInstOperands,
     /*  48670 */     // GIR_Coverage, 1842,
     /*  48670 */     GIR_EraseRootFromParent_Done,
     /*  48671 */   // Label 734: @48671
     /*  48671 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(48730), // Rule ID 1756 //
     /*  48676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  48687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  48704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48715 */     // (sub:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SSUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv4i16_v4i32),
     /*  48718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48728 */     GIR_RootConstrainSelectedInstOperands,
     /*  48729 */     // GIR_Coverage, 1756,
     /*  48729 */     GIR_EraseRootFromParent_Done,
     /*  48730 */   // Label 735: @48730
     /*  48730 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(48789), // Rule ID 1841 //
     /*  48735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48755 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48759 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48763 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48774 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  48777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48787 */     GIR_RootConstrainSelectedInstOperands,
     /*  48788 */     // GIR_Coverage, 1841,
     /*  48788 */     GIR_EraseRootFromParent_Done,
     /*  48789 */   // Label 736: @48789
     /*  48789 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(48848), // Rule ID 1840 //
     /*  48794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48833 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  48836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48846 */     GIR_RootConstrainSelectedInstOperands,
     /*  48847 */     // GIR_Coverage, 1840,
     /*  48847 */     GIR_EraseRootFromParent_Done,
     /*  48848 */   // Label 737: @48848
     /*  48848 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(48883), // Rule ID 970 //
     /*  48853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48860 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  48866 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  48868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48874 */     // (sub:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn)  =>  (NEGv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /*  48874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv4i32),
     /*  48877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48881 */     GIR_RootConstrainSelectedInstOperands,
     /*  48882 */     // GIR_Coverage, 970,
     /*  48882 */     GIR_EraseRootFromParent_Done,
     /*  48883 */   // Label 738: @48883
     /*  48883 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(48940), // Rule ID 1732 //
     /*  48888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  48903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48923 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SMLSLv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_v4i32),
     /*  48926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48928 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  48938 */     GIR_RootConstrainSelectedInstOperands,
     /*  48939 */     // GIR_Coverage, 1732,
     /*  48939 */     GIR_EraseRootFromParent_Done,
     /*  48940 */   // Label 739: @48940
     /*  48940 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(48997), // Rule ID 1822 //
     /*  48945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  48960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48964 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48980 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UMLSLv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_v4i32),
     /*  48983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48985 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  48995 */     GIR_RootConstrainSelectedInstOperands,
     /*  48996 */     // GIR_Coverage, 1822,
     /*  48996 */     GIR_EraseRootFromParent_Done,
     /*  48997 */   // Label 740: @48997
     /*  48997 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(49041), // Rule ID 1861 //
     /*  49002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  49021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49028 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  49028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  49031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49033 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49039 */     GIR_RootConstrainSelectedInstOperands,
     /*  49040 */     // GIR_Coverage, 1861,
     /*  49040 */     GIR_EraseRootFromParent_Done,
     /*  49041 */   // Label 741: @49041
     /*  49041 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(49085), // Rule ID 1762 //
     /*  49046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  49065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49072 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SSUBWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  49072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv4i16_v4i32),
     /*  49075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49077 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49083 */     GIR_RootConstrainSelectedInstOperands,
     /*  49084 */     // GIR_Coverage, 1762,
     /*  49084 */     GIR_EraseRootFromParent_Done,
     /*  49085 */   // Label 742: @49085
     /*  49085 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(49129), // Rule ID 1860 //
     /*  49090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  49109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49116 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  49116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  49119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49121 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49127 */     GIR_RootConstrainSelectedInstOperands,
     /*  49128 */     // GIR_Coverage, 1860,
     /*  49128 */     GIR_EraseRootFromParent_Done,
     /*  49129 */   // Label 743: @49129
     /*  49129 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(49152), // Rule ID 1477 //
     /*  49134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49145 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  49145 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv4i32),
     /*  49150 */     GIR_RootConstrainSelectedInstOperands,
     /*  49151 */     // GIR_Coverage, 1477,
     /*  49151 */     GIR_Done,
     /*  49152 */   // Label 744: @49152
     /*  49152 */   GIM_Reject,
     /*  49153 */ // Label 710: @49153
     /*  49153 */ GIM_Reject,
     /*  49154 */ // Label 588: @49154
     /*  49154 */ GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(49228),
     /*  49159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49169 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(49204), // Rule ID 965 //
     /*  49174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49181 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  49187 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  49189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49195 */     // (sub:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn)  =>  (NEGv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /*  49195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv8i8),
     /*  49198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  49202 */     GIR_RootConstrainSelectedInstOperands,
     /*  49203 */     // GIR_Coverage, 965,
     /*  49203 */     GIR_EraseRootFromParent_Done,
     /*  49204 */   // Label 746: @49204
     /*  49204 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(49227), // Rule ID 1472 //
     /*  49209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49220 */     // (sub:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49220 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv8i8),
     /*  49225 */     GIR_RootConstrainSelectedInstOperands,
     /*  49226 */     // GIR_Coverage, 1472,
     /*  49226 */     GIR_Done,
     /*  49227 */   // Label 747: @49227
     /*  49227 */   GIM_Reject,
     /*  49228 */ // Label 745: @49228
     /*  49228 */ GIM_Reject,
     /*  49229 */ // Label 589: @49229
     /*  49229 */ GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(50436),
     /*  49234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  49237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  49240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49244 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(49309), // Rule ID 1839 //
     /*  49249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49278 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49285 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49292 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  49295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49307 */     GIR_RootConstrainSelectedInstOperands,
     /*  49308 */     // GIR_Coverage, 1839,
     /*  49308 */     GIR_EraseRootFromParent_Done,
     /*  49309 */   // Label 749: @49309
     /*  49309 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(49374), // Rule ID 1838 //
     /*  49314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49343 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49350 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49357 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  49360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49372 */     GIR_RootConstrainSelectedInstOperands,
     /*  49373 */     // GIR_Coverage, 1838,
     /*  49373 */     GIR_EraseRootFromParent_Done,
     /*  49374 */   // Label 750: @49374
     /*  49374 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(49439), // Rule ID 1755 //
     /*  49379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49408 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49415 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49422 */     // (sub:{ *:[v8i16] } (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SSUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv16i8_v8i16),
     /*  49425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49437 */     GIR_RootConstrainSelectedInstOperands,
     /*  49438 */     // GIR_Coverage, 1755,
     /*  49438 */     GIR_EraseRootFromParent_Done,
     /*  49439 */   // Label 751: @49439
     /*  49439 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(49504), // Rule ID 1837 //
     /*  49444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49473 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49480 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49487 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  49490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49502 */     GIR_RootConstrainSelectedInstOperands,
     /*  49503 */     // GIR_Coverage, 1837,
     /*  49503 */     GIR_EraseRootFromParent_Done,
     /*  49504 */   // Label 752: @49504
     /*  49504 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(49569), // Rule ID 1836 //
     /*  49509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49538 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49545 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49552 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  49555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49567 */     GIR_RootConstrainSelectedInstOperands,
     /*  49568 */     // GIR_Coverage, 1836,
     /*  49568 */     GIR_EraseRootFromParent_Done,
     /*  49569 */   // Label 753: @49569
     /*  49569 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(49632), // Rule ID 1731 //
     /*  49574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  49589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49606 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49613 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SMLSLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv16i8_v8i16),
     /*  49616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49618 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  49620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49630 */     GIR_RootConstrainSelectedInstOperands,
     /*  49631 */     // GIR_Coverage, 1731,
     /*  49631 */     GIR_EraseRootFromParent_Done,
     /*  49632 */   // Label 754: @49632
     /*  49632 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(49695), // Rule ID 1821 //
     /*  49637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  49652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49662 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49669 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49676 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UMLSLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv16i8_v8i16),
     /*  49679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49681 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  49683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49693 */     GIR_RootConstrainSelectedInstOperands,
     /*  49694 */     // GIR_Coverage, 1821,
     /*  49694 */     GIR_EraseRootFromParent_Done,
     /*  49695 */   // Label 755: @49695
     /*  49695 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(49742), // Rule ID 1859 //
     /*  49700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49721 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49728 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv16i8_v8i16),
     /*  49731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49733 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  49740 */     GIR_RootConstrainSelectedInstOperands,
     /*  49741 */     // GIR_Coverage, 1859,
     /*  49741 */     GIR_EraseRootFromParent_Done,
     /*  49742 */   // Label 756: @49742
     /*  49742 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(49789), // Rule ID 1761 //
     /*  49747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49768 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49775 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SSUBWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv16i8_v8i16),
     /*  49778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49780 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  49787 */     GIR_RootConstrainSelectedInstOperands,
     /*  49788 */     // GIR_Coverage, 1761,
     /*  49788 */     GIR_EraseRootFromParent_Done,
     /*  49789 */   // Label 757: @49789
     /*  49789 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(49836), // Rule ID 1858 //
     /*  49794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49815 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49822 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv16i8_v8i16),
     /*  49825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49827 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  49834 */     GIR_RootConstrainSelectedInstOperands,
     /*  49835 */     // GIR_Coverage, 1858,
     /*  49835 */     GIR_EraseRootFromParent_Done,
     /*  49836 */   // Label 758: @49836
     /*  49836 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(49895), // Rule ID 1835 //
     /*  49841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49880 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  49883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  49889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  49893 */     GIR_RootConstrainSelectedInstOperands,
     /*  49894 */     // GIR_Coverage, 1835,
     /*  49894 */     GIR_EraseRootFromParent_Done,
     /*  49895 */   // Label 759: @49895
     /*  49895 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(49954), // Rule ID 1834 //
     /*  49900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49939 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  49942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  49948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  49952 */     GIR_RootConstrainSelectedInstOperands,
     /*  49953 */     // GIR_Coverage, 1834,
     /*  49953 */     GIR_EraseRootFromParent_Done,
     /*  49954 */   // Label 760: @49954
     /*  49954 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(50013), // Rule ID 1754 //
     /*  49959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49991 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49996 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49998 */     // (sub:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SSUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv8i8_v8i16),
     /*  50001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  50011 */     GIR_RootConstrainSelectedInstOperands,
     /*  50012 */     // GIR_Coverage, 1754,
     /*  50012 */     GIR_EraseRootFromParent_Done,
     /*  50013 */   // Label 761: @50013
     /*  50013 */   GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(50072), // Rule ID 1833 //
     /*  50018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  50029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  50042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  50046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50055 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  50057 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  50060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  50070 */     GIR_RootConstrainSelectedInstOperands,
     /*  50071 */     // GIR_Coverage, 1833,
     /*  50071 */     GIR_EraseRootFromParent_Done,
     /*  50072 */   // Label 762: @50072
     /*  50072 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(50131), // Rule ID 1832 //
     /*  50077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  50088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  50101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  50105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  50116 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  50119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  50129 */     GIR_RootConstrainSelectedInstOperands,
     /*  50130 */     // GIR_Coverage, 1832,
     /*  50130 */     GIR_EraseRootFromParent_Done,
     /*  50131 */   // Label 763: @50131
     /*  50131 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(50166), // Rule ID 968 //
     /*  50136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50143 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  50149 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  50151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50157 */     // (sub:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn)  =>  (NEGv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /*  50157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv8i16),
     /*  50160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  50164 */     GIR_RootConstrainSelectedInstOperands,
     /*  50165 */     // GIR_Coverage, 968,
     /*  50165 */     GIR_EraseRootFromParent_Done,
     /*  50166 */   // Label 764: @50166
     /*  50166 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(50223), // Rule ID 1730 //
     /*  50171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  50186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  50194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50206 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SMLSLv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i8_v8i16),
     /*  50209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50211 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  50213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  50221 */     GIR_RootConstrainSelectedInstOperands,
     /*  50222 */     // GIR_Coverage, 1730,
     /*  50222 */     GIR_EraseRootFromParent_Done,
     /*  50223 */   // Label 765: @50223
     /*  50223 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(50280), // Rule ID 1820 //
     /*  50228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  50243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  50251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50263 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UMLSLv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i8_v8i16),
     /*  50266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50268 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  50270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  50278 */     GIR_RootConstrainSelectedInstOperands,
     /*  50279 */     // GIR_Coverage, 1820,
     /*  50279 */     GIR_EraseRootFromParent_Done,
     /*  50280 */   // Label 766: @50280
     /*  50280 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(50324), // Rule ID 1857 //
     /*  50285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  50300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50311 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  50314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50316 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  50322 */     GIR_RootConstrainSelectedInstOperands,
     /*  50323 */     // GIR_Coverage, 1857,
     /*  50323 */     GIR_EraseRootFromParent_Done,
     /*  50324 */   // Label 767: @50324
     /*  50324 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(50368), // Rule ID 1760 //
     /*  50329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  50344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50355 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SSUBWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv8i8_v8i16),
     /*  50358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50360 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  50366 */     GIR_RootConstrainSelectedInstOperands,
     /*  50367 */     // GIR_Coverage, 1760,
     /*  50367 */     GIR_EraseRootFromParent_Done,
     /*  50368 */   // Label 768: @50368
     /*  50368 */   GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(50412), // Rule ID 1856 //
     /*  50373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  50388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50399 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  50402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50404 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  50410 */     GIR_RootConstrainSelectedInstOperands,
     /*  50411 */     // GIR_Coverage, 1856,
     /*  50411 */     GIR_EraseRootFromParent_Done,
     /*  50412 */   // Label 769: @50412
     /*  50412 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(50435), // Rule ID 1475 //
     /*  50417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50428 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  50428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv8i16),
     /*  50433 */     GIR_RootConstrainSelectedInstOperands,
     /*  50434 */     // GIR_Coverage, 1475,
     /*  50434 */     GIR_Done,
     /*  50435 */   // Label 770: @50435
     /*  50435 */   GIM_Reject,
     /*  50436 */ // Label 748: @50436
     /*  50436 */ GIM_Reject,
     /*  50437 */ // Label 590: @50437
     /*  50437 */ GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(50511),
     /*  50442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  50445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  50448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50452 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(50487), // Rule ID 966 //
     /*  50457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50464 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  50470 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  50472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50478 */     // (sub:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn)  =>  (NEGv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /*  50478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv16i8),
     /*  50481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50483 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  50485 */     GIR_RootConstrainSelectedInstOperands,
     /*  50486 */     // GIR_Coverage, 966,
     /*  50486 */     GIR_EraseRootFromParent_Done,
     /*  50487 */   // Label 772: @50487
     /*  50487 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(50510), // Rule ID 1473 //
     /*  50492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50503 */     // (sub:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  50503 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv16i8),
     /*  50508 */     GIR_RootConstrainSelectedInstOperands,
     /*  50509 */     // GIR_Coverage, 1473,
     /*  50509 */     GIR_Done,
     /*  50510 */   // Label 773: @50510
     /*  50510 */   GIM_Reject,
     /*  50511 */ // Label 771: @50511
     /*  50511 */ GIM_Reject,
     /*  50512 */ // Label 591: @50512
     /*  50512 */ GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(50537), // Rule ID 7429 //
     /*  50517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  50520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  50523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  50526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  50530 */   // (sub:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SUB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  50530 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_D),
     /*  50535 */   GIR_RootConstrainSelectedInstOperands,
     /*  50536 */   // GIR_Coverage, 7429,
     /*  50536 */   GIR_Done,
     /*  50537 */ // Label 774: @50537
     /*  50537 */ GIM_Reject,
     /*  50538 */ // Label 592: @50538
     /*  50538 */ GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(50563), // Rule ID 7428 //
     /*  50543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  50546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  50549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  50552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  50556 */   // (sub:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SUB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  50556 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_S),
     /*  50561 */   GIR_RootConstrainSelectedInstOperands,
     /*  50562 */   // GIR_Coverage, 7428,
     /*  50562 */   GIR_Done,
     /*  50563 */ // Label 775: @50563
     /*  50563 */ GIM_Reject,
     /*  50564 */ // Label 593: @50564
     /*  50564 */ GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(50589), // Rule ID 7427 //
     /*  50569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  50572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  50575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  50578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  50582 */   // (sub:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SUB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  50582 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_H),
     /*  50587 */   GIR_RootConstrainSelectedInstOperands,
     /*  50588 */   // GIR_Coverage, 7427,
     /*  50588 */   GIR_Done,
     /*  50589 */ // Label 776: @50589
     /*  50589 */ GIM_Reject,
     /*  50590 */ // Label 594: @50590
     /*  50590 */ GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(50615), // Rule ID 7426 //
     /*  50595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  50598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  50601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  50604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  50608 */   // (sub:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SUB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  50608 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_B),
     /*  50613 */   GIR_RootConstrainSelectedInstOperands,
     /*  50614 */   // GIR_Coverage, 7426,
     /*  50614 */   GIR_Done,
     /*  50615 */ // Label 777: @50615
     /*  50615 */ GIM_Reject,
     /*  50616 */ // Label 595: @50616
     /*  50616 */ GIM_Reject,
     /*  50617 */ // Label 2: @50617
     /*  50617 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 786*/ GIMT_Encode4(53137),
     /*  50628 */ /*GILLT_s32*//*Label 778*/ GIMT_Encode4(50668),
     /*  50632 */ /*GILLT_s64*//*Label 779*/ GIMT_Encode4(50825), GIMT_Encode4(0),
     /*  50640 */ /*GILLT_v2s32*//*Label 780*/ GIMT_Encode4(52061), GIMT_Encode4(0),
     /*  50648 */ /*GILLT_v4s16*//*Label 781*/ GIMT_Encode4(52399),
     /*  50652 */ /*GILLT_v4s32*//*Label 782*/ GIMT_Encode4(52737),
     /*  50656 */ /*GILLT_v8s8*//*Label 783*/ GIMT_Encode4(52903),
     /*  50660 */ /*GILLT_v8s16*//*Label 784*/ GIMT_Encode4(52937),
     /*  50664 */ /*GILLT_v16s8*//*Label 785*/ GIMT_Encode4(53103),
     /*  50668 */ // Label 778: @50668
     /*  50668 */ GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(50824),
     /*  50673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  50676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  50679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50683 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(50738), // Rule ID 3955 //
     /*  50688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  50696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  50700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  50704 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  50708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50719 */     // (mul:{ *:[i32] } (sub:{ *:[i32] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rn), GPR32:{ *:[i32] }:$Rm)  =>  (MSUBWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  50719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBWrrr),
     /*  50722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  50728 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  50730 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50736 */     GIR_RootConstrainSelectedInstOperands,
     /*  50737 */     // GIR_Coverage, 3955,
     /*  50737 */     GIR_EraseRootFromParent_Done,
     /*  50738 */   // Label 788: @50738
     /*  50738 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(50793), // Rule ID 13768 //
     /*  50743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  50755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  50759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  50763 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  50767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50774 */     // (mul:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, (sub:{ *:[i32] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rn))  =>  (MSUBWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  50774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBWrrr),
     /*  50777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  50783 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  50785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50791 */     GIR_RootConstrainSelectedInstOperands,
     /*  50792 */     // GIR_Coverage, 13768,
     /*  50792 */     GIR_EraseRootFromParent_Done,
     /*  50793 */   // Label 789: @50793
     /*  50793 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(50823), // Rule ID 3951 //
     /*  50798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50806 */     // (mul:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (MADDWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  50806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MADDWrrr),
     /*  50809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50811 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  50815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50821 */     GIR_RootConstrainSelectedInstOperands,
     /*  50822 */     // GIR_Coverage, 3951,
     /*  50822 */     GIR_EraseRootFromParent_Done,
     /*  50823 */   // Label 790: @50823
     /*  50823 */   GIM_Reject,
     /*  50824 */ // Label 787: @50824
     /*  50824 */ GIM_Reject,
     /*  50825 */ // Label 779: @50825
     /*  50825 */ GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(52060),
     /*  50830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  50833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  50836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50840 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(50986), // Rule ID 3960 //
     /*  50845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  50853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  50857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  50861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50866 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*  50877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  50881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  50885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  50889 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  50893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50898 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*  50909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  50911 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, 4294967295:{ *:[i64] }))  =>  (UMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rm, sub_32:{ *:[i32] }), XZR:{ *:[i64] })
     /*  50911 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  50914 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50918 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50923 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rm
     /*  50929 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50934 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  50942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50951 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  50957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  50970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  50975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  50978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50984 */     GIR_RootConstrainSelectedInstOperands,
     /*  50985 */     // GIR_Coverage, 3960,
     /*  50985 */     GIR_EraseRootFromParent_Done,
     /*  50986 */   // Label 792: @50986
     /*  50986 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(51090), // Rule ID 3961 //
     /*  50991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  50999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51012 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*  51023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  51035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51042 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 4294967295:{ *:[i64] }), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (UMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), ?:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  51042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51054 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51060 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51065 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  51073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  51082 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51088 */     GIR_RootConstrainSelectedInstOperands,
     /*  51089 */     // GIR_Coverage, 3961,
     /*  51089 */     GIR_EraseRootFromParent_Done,
     /*  51090 */   // Label 793: @51090
     /*  51090 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(51194), // Rule ID 13771 //
     /*  51095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  51120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  51124 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  51128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51133 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*  51144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51146 */     // (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm), (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 4294967295:{ *:[i64] }))  =>  (UMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), ?:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  51146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51158 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51164 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51169 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  51177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  51186 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51192 */     GIR_RootConstrainSelectedInstOperands,
     /*  51193 */     // GIR_Coverage, 13771,
     /*  51193 */     GIR_EraseRootFromParent_Done,
     /*  51194 */   // Label 794: @51194
     /*  51194 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(51249), // Rule ID 3956 //
     /*  51199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  51207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51215 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  51219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51230 */     // (mul:{ *:[i64] } (sub:{ *:[i64] } 0:{ *:[i64] }, GPR64:{ *:[i64] }:$Rn), GPR64:{ *:[i64] }:$Rm)  =>  (MSUBXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  51230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBXrrr),
     /*  51233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  51239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  51241 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51247 */     GIR_RootConstrainSelectedInstOperands,
     /*  51248 */     // GIR_Coverage, 3956,
     /*  51248 */     GIR_EraseRootFromParent_Done,
     /*  51249 */   // Label 795: @51249
     /*  51249 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(51304), // Rule ID 13769 //
     /*  51254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  51262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  51266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51270 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51274 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  51278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51285 */     // (mul:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, (sub:{ *:[i64] } 0:{ *:[i64] }, GPR64:{ *:[i64] }:$Rn))  =>  (MSUBXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  51285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBXrrr),
     /*  51288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  51294 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  51296 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51302 */     GIR_RootConstrainSelectedInstOperands,
     /*  51303 */     // GIR_Coverage, 13769,
     /*  51303 */     GIR_EraseRootFromParent_Done,
     /*  51304 */   // Label 796: @51304
     /*  51304 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(51417), // Rule ID 3967 //
     /*  51309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  51317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51326 */     // MIs[1] Operand 2
     /*  51326 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  51337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51345 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  51349 */     // MIs[2] Operand 1
     /*  51349 */     // No operand predicates
     /*  51349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51351 */     // (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C)  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  51351 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  51354 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  51358 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51363 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  51368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  51370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51382 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51388 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51393 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  51409 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51415 */     GIR_RootConstrainSelectedInstOperands,
     /*  51416 */     // GIR_Coverage, 3967,
     /*  51416 */     GIR_EraseRootFromParent_Done,
     /*  51417 */   // Label 797: @51417
     /*  51417 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(51492), // Rule ID 3965 //
     /*  51422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51447 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  51451 */     // MIs[2] Operand 1
     /*  51451 */     // No operand predicates
     /*  51451 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51453 */     // (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C)  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  51453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  51460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51465 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  51470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  51481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51490 */     GIR_RootConstrainSelectedInstOperands,
     /*  51491 */     // GIR_Coverage, 3965,
     /*  51491 */     GIR_EraseRootFromParent_Done,
     /*  51492 */   // Label 798: @51492
     /*  51492 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(51567), // Rule ID 3966 //
     /*  51497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51522 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*  51526 */     // MIs[2] Operand 1
     /*  51526 */     // No operand predicates
     /*  51526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51528 */     // (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C)  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  51528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  51535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51540 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  51545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  51550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  51556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51559 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51565 */     GIR_RootConstrainSelectedInstOperands,
     /*  51566 */     // GIR_Coverage, 3966,
     /*  51566 */     GIR_EraseRootFromParent_Done,
     /*  51567 */   // Label 799: @51567
     /*  51567 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(51705), // Rule ID 3957 //
     /*  51572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  51580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51589 */     // MIs[1] Operand 2
     /*  51589 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  51600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  51608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  51612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51617 */     // MIs[2] Operand 2
     /*  51617 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  51628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51630 */     // (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, i32:{ *:[Other] }))  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rm, sub_32:{ *:[i32] }), XZR:{ *:[i64] })
     /*  51630 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  51633 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51637 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51642 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rm
     /*  51648 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51653 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51670 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51676 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51681 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  51697 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51703 */     GIR_RootConstrainSelectedInstOperands,
     /*  51704 */     // GIR_Coverage, 3957,
     /*  51704 */     GIR_EraseRootFromParent_Done,
     /*  51705 */   // Label 800: @51705
     /*  51705 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(51805), // Rule ID 3958 //
     /*  51710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  51718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51727 */     // MIs[1] Operand 2
     /*  51727 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  51738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  51750 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51757 */     // (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), ?:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  51757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51769 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51775 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51780 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  51797 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51803 */     GIR_RootConstrainSelectedInstOperands,
     /*  51804 */     // GIR_Coverage, 3958,
     /*  51804 */     GIR_EraseRootFromParent_Done,
     /*  51805 */   // Label 801: @51805
     /*  51805 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(51905), // Rule ID 13770 //
     /*  51810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  51835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  51839 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51844 */     // MIs[2] Operand 2
     /*  51844 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  51855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51857 */     // (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm), (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }))  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), ?:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  51857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51869 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51875 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51880 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  51897 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51903 */     GIR_RootConstrainSelectedInstOperands,
     /*  51904 */     // GIR_Coverage, 13770,
     /*  51904 */     GIR_EraseRootFromParent_Done,
     /*  51905 */   // Label 802: @51905
     /*  51905 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(51967), // Rule ID 3959 //
     /*  51910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  51939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51946 */     // (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  51946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  51955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  51959 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51965 */     GIR_RootConstrainSelectedInstOperands,
     /*  51966 */     // GIR_Coverage, 3959,
     /*  51966 */     GIR_EraseRootFromParent_Done,
     /*  51967 */   // Label 803: @51967
     /*  51967 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(52029), // Rule ID 3962 //
     /*  51972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  52001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52008 */     // (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  52008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  52011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  52017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  52021 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52027 */     GIR_RootConstrainSelectedInstOperands,
     /*  52028 */     // GIR_Coverage, 3962,
     /*  52028 */     GIR_EraseRootFromParent_Done,
     /*  52029 */   // Label 804: @52029
     /*  52029 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(52059), // Rule ID 3952 //
     /*  52034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  52038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  52042 */     // (mul:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (MADDXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  52042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MADDXrrr),
     /*  52045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52047 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  52051 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52057 */     GIR_RootConstrainSelectedInstOperands,
     /*  52058 */     // GIR_Coverage, 3952,
     /*  52058 */     GIR_EraseRootFromParent_Done,
     /*  52059 */   // Label 805: @52059
     /*  52059 */   GIM_Reject,
     /*  52060 */ // Label 791: @52060
     /*  52060 */ GIM_Reject,
     /*  52061 */ // Label 780: @52061
     /*  52061 */ GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(52398),
     /*  52066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  52069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  52072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52076 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(52162), // Rule ID 13462 //
     /*  52081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  52092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  52100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52108 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  52112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  52121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52125 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52129 */     // MIs[3] Operand 1
     /*  52129 */     // No operand predicates
     /*  52129 */     // MIs[1] Operand 2
     /*  52129 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  52140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52144 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  52146 */     // (mul:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  52149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52151 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  52157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  52160 */     GIR_RootConstrainSelectedInstOperands,
     /*  52161 */     // GIR_Coverage, 13462,
     /*  52161 */     GIR_EraseRootFromParent_Done,
     /*  52162 */   // Label 807: @52162
     /*  52162 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(52248), // Rule ID 2034 //
     /*  52167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  52182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  52190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52198 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  52202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52207 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  52211 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52215 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52219 */     // MIs[3] Operand 1
     /*  52219 */     // No operand predicates
     /*  52219 */     // MIs[1] Operand 2
     /*  52219 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  52230 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  52232 */     // (mul:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  52235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52237 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  52243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  52246 */     GIR_RootConstrainSelectedInstOperands,
     /*  52247 */     // GIR_Coverage, 2034,
     /*  52247 */     GIR_EraseRootFromParent_Done,
     /*  52248 */   // Label 808: @52248
     /*  52248 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(52311), // Rule ID 13463 //
     /*  52253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52285 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52289 */     // MIs[2] Operand 1
     /*  52289 */     // No operand predicates
     /*  52289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52295 */     // (mul:{ *:[v2i32] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn)  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  52298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52309 */     GIR_RootConstrainSelectedInstOperands,
     /*  52310 */     // GIR_Coverage, 13463,
     /*  52310 */     GIR_EraseRootFromParent_Done,
     /*  52311 */   // Label 809: @52311
     /*  52311 */   GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(52374), // Rule ID 2035 //
     /*  52316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52352 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52356 */     // MIs[2] Operand 1
     /*  52356 */     // No operand predicates
     /*  52356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52358 */     // (mul:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  52361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52363 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52372 */     GIR_RootConstrainSelectedInstOperands,
     /*  52373 */     // GIR_Coverage, 2035,
     /*  52373 */     GIR_EraseRootFromParent_Done,
     /*  52374 */   // Label 810: @52374
     /*  52374 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(52397), // Rule ID 1352 //
     /*  52379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52390 */     // (mul:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (MULv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  52390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32),
     /*  52395 */     GIR_RootConstrainSelectedInstOperands,
     /*  52396 */     // GIR_Coverage, 1352,
     /*  52396 */     GIR_Done,
     /*  52397 */   // Label 811: @52397
     /*  52397 */   GIM_Reject,
     /*  52398 */ // Label 806: @52398
     /*  52398 */ GIM_Reject,
     /*  52399 */ // Label 781: @52399
     /*  52399 */ GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(52736),
     /*  52404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  52407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  52410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52414 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(52500), // Rule ID 13459 //
     /*  52419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  52430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  52438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  52442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52446 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  52450 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  52455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  52459 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52463 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52467 */     // MIs[3] Operand 1
     /*  52467 */     // No operand predicates
     /*  52467 */     // MIs[1] Operand 2
     /*  52467 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  52478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  52484 */     // (mul:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  52487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  52495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  52498 */     GIR_RootConstrainSelectedInstOperands,
     /*  52499 */     // GIR_Coverage, 13459,
     /*  52499 */     GIR_EraseRootFromParent_Done,
     /*  52500 */   // Label 813: @52500
     /*  52500 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(52586), // Rule ID 2031 //
     /*  52505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  52520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  52528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  52532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52536 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  52540 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  52545 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  52549 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52553 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52557 */     // MIs[3] Operand 1
     /*  52557 */     // No operand predicates
     /*  52557 */     // MIs[1] Operand 2
     /*  52557 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  52568 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  52570 */     // (mul:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  52573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52575 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  52581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  52584 */     GIR_RootConstrainSelectedInstOperands,
     /*  52585 */     // GIR_Coverage, 2031,
     /*  52585 */     GIR_EraseRootFromParent_Done,
     /*  52586 */   // Label 814: @52586
     /*  52586 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(52649), // Rule ID 13460 //
     /*  52591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  52602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52606 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  52615 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52619 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52623 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52627 */     // MIs[2] Operand 1
     /*  52627 */     // No operand predicates
     /*  52627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52633 */     // (mul:{ *:[v4i16] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn)  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  52636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52647 */     GIR_RootConstrainSelectedInstOperands,
     /*  52648 */     // GIR_Coverage, 13460,
     /*  52648 */     GIR_EraseRootFromParent_Done,
     /*  52649 */   // Label 815: @52649
     /*  52649 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(52712), // Rule ID 2032 //
     /*  52654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  52669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  52682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52690 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52694 */     // MIs[2] Operand 1
     /*  52694 */     // No operand predicates
     /*  52694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52696 */     // (mul:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  52699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52701 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52710 */     GIR_RootConstrainSelectedInstOperands,
     /*  52711 */     // GIR_Coverage, 2032,
     /*  52711 */     GIR_EraseRootFromParent_Done,
     /*  52712 */   // Label 816: @52712
     /*  52712 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(52735), // Rule ID 1350 //
     /*  52717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52728 */     // (mul:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (MULv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  52728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16),
     /*  52733 */     GIR_RootConstrainSelectedInstOperands,
     /*  52734 */     // GIR_Coverage, 1350,
     /*  52734 */     GIR_Done,
     /*  52735 */   // Label 817: @52735
     /*  52735 */   GIM_Reject,
     /*  52736 */ // Label 812: @52736
     /*  52736 */ GIM_Reject,
     /*  52737 */ // Label 782: @52737
     /*  52737 */ GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(52902),
     /*  52742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  52748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52752 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(52815), // Rule ID 13464 //
     /*  52757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52789 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52793 */     // MIs[2] Operand 1
     /*  52793 */     // No operand predicates
     /*  52793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52797 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52799 */     // (mul:{ *:[v4i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4i32] }:$Rn)  =>  (MULv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i32_indexed),
     /*  52802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52813 */     GIR_RootConstrainSelectedInstOperands,
     /*  52814 */     // GIR_Coverage, 13464,
     /*  52814 */     GIR_EraseRootFromParent_Done,
     /*  52815 */   // Label 819: @52815
     /*  52815 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(52878), // Rule ID 2036 //
     /*  52820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52856 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52860 */     // MIs[2] Operand 1
     /*  52860 */     // No operand predicates
     /*  52860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52862 */     // (mul:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (MULv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i32_indexed),
     /*  52865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52867 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52876 */     GIR_RootConstrainSelectedInstOperands,
     /*  52877 */     // GIR_Coverage, 2036,
     /*  52877 */     GIR_EraseRootFromParent_Done,
     /*  52878 */   // Label 820: @52878
     /*  52878 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(52901), // Rule ID 1353 //
     /*  52883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52894 */     // (mul:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (MULv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  52894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv4i32),
     /*  52899 */     GIR_RootConstrainSelectedInstOperands,
     /*  52900 */     // GIR_Coverage, 1353,
     /*  52900 */     GIR_Done,
     /*  52901 */   // Label 821: @52901
     /*  52901 */   GIM_Reject,
     /*  52902 */ // Label 818: @52902
     /*  52902 */ GIM_Reject,
     /*  52903 */ // Label 783: @52903
     /*  52903 */ GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(52936), // Rule ID 1348 //
     /*  52908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  52914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  52917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52929 */   // (mul:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (MULv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  52929 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv8i8),
     /*  52934 */   GIR_RootConstrainSelectedInstOperands,
     /*  52935 */   // GIR_Coverage, 1348,
     /*  52935 */   GIR_Done,
     /*  52936 */ // Label 822: @52936
     /*  52936 */ GIM_Reject,
     /*  52937 */ // Label 784: @52937
     /*  52937 */ GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(53102),
     /*  52942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  52948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52952 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(53015), // Rule ID 13461 //
     /*  52957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  52968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  52981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52989 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52993 */     // MIs[2] Operand 1
     /*  52993 */     // No operand predicates
     /*  52993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52999 */     // (mul:{ *:[v8i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8i16] }:$Rn)  =>  (MULv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv8i16_indexed),
     /*  53002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  53010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  53013 */     GIR_RootConstrainSelectedInstOperands,
     /*  53014 */     // GIR_Coverage, 13461,
     /*  53014 */     GIR_EraseRootFromParent_Done,
     /*  53015 */   // Label 824: @53015
     /*  53015 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(53078), // Rule ID 2033 //
     /*  53020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  53035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  53039 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  53048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  53056 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  53060 */     // MIs[2] Operand 1
     /*  53060 */     // No operand predicates
     /*  53060 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53062 */     // (mul:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (MULv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  53062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv8i16_indexed),
     /*  53065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53067 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  53073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  53076 */     GIR_RootConstrainSelectedInstOperands,
     /*  53077 */     // GIR_Coverage, 2033,
     /*  53077 */     GIR_EraseRootFromParent_Done,
     /*  53078 */   // Label 825: @53078
     /*  53078 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(53101), // Rule ID 1351 //
     /*  53083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53094 */     // (mul:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (MULv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  53094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv8i16),
     /*  53099 */     GIR_RootConstrainSelectedInstOperands,
     /*  53100 */     // GIR_Coverage, 1351,
     /*  53100 */     GIR_Done,
     /*  53101 */   // Label 826: @53101
     /*  53101 */   GIM_Reject,
     /*  53102 */ // Label 823: @53102
     /*  53102 */ GIM_Reject,
     /*  53103 */ // Label 785: @53103
     /*  53103 */ GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(53136), // Rule ID 1349 //
     /*  53108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  53114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  53117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53129 */   // (mul:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (MULv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  53129 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv16i8),
     /*  53134 */   GIR_RootConstrainSelectedInstOperands,
     /*  53135 */   // GIR_Coverage, 1349,
     /*  53135 */   GIR_Done,
     /*  53136 */ // Label 827: @53136
     /*  53136 */ GIM_Reject,
     /*  53137 */ // Label 786: @53137
     /*  53137 */ GIM_Reject,
     /*  53138 */ // Label 3: @53138
     /*  53138 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 830*/ GIMT_Encode4(53219),
     /*  53149 */ /*GILLT_s32*//*Label 828*/ GIMT_Encode4(53157),
     /*  53153 */ /*GILLT_s64*//*Label 829*/ GIMT_Encode4(53188),
     /*  53157 */ // Label 828: @53157
     /*  53157 */ GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(53187), // Rule ID 117 //
     /*  53162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  53165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  53168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53180 */   // (sdiv:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  53180 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDIVWr),
     /*  53185 */   GIR_RootConstrainSelectedInstOperands,
     /*  53186 */   // GIR_Coverage, 117,
     /*  53186 */   GIR_Done,
     /*  53187 */ // Label 831: @53187
     /*  53187 */ GIM_Reject,
     /*  53188 */ // Label 829: @53188
     /*  53188 */ GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(53218), // Rule ID 118 //
     /*  53193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  53196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  53199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53211 */   // (sdiv:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  53211 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDIVXr),
     /*  53216 */   GIR_RootConstrainSelectedInstOperands,
     /*  53217 */   // GIR_Coverage, 118,
     /*  53217 */   GIR_Done,
     /*  53218 */ // Label 832: @53218
     /*  53218 */ GIM_Reject,
     /*  53219 */ // Label 830: @53219
     /*  53219 */ GIM_Reject,
     /*  53220 */ // Label 4: @53220
     /*  53220 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 835*/ GIMT_Encode4(53301),
     /*  53231 */ /*GILLT_s32*//*Label 833*/ GIMT_Encode4(53239),
     /*  53235 */ /*GILLT_s64*//*Label 834*/ GIMT_Encode4(53270),
     /*  53239 */ // Label 833: @53239
     /*  53239 */ GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(53269), // Rule ID 115 //
     /*  53244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  53247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  53250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53262 */   // (udiv:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  53262 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDIVWr),
     /*  53267 */   GIR_RootConstrainSelectedInstOperands,
     /*  53268 */   // GIR_Coverage, 115,
     /*  53268 */   GIR_Done,
     /*  53269 */ // Label 836: @53269
     /*  53269 */ GIM_Reject,
     /*  53270 */ // Label 834: @53270
     /*  53270 */ GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(53300), // Rule ID 116 //
     /*  53275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  53278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  53281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53293 */   // (udiv:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  53293 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDIVXr),
     /*  53298 */   GIR_RootConstrainSelectedInstOperands,
     /*  53299 */   // GIR_Coverage, 116,
     /*  53299 */   GIR_Done,
     /*  53300 */ // Label 837: @53300
     /*  53300 */ GIM_Reject,
     /*  53301 */ // Label 835: @53301
     /*  53301 */ GIM_Reject,
     /*  53302 */ // Label 5: @53302
     /*  53302 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 856*/ GIMT_Encode4(61047),
     /*  53313 */ /*GILLT_s32*//*Label 838*/ GIMT_Encode4(53401),
     /*  53317 */ /*GILLT_s64*//*Label 839*/ GIMT_Encode4(53899), GIMT_Encode4(0),
     /*  53325 */ /*GILLT_v2s32*//*Label 840*/ GIMT_Encode4(55334),
     /*  53329 */ /*GILLT_v2s64*//*Label 841*/ GIMT_Encode4(55494),
     /*  53333 */ /*GILLT_v4s16*//*Label 842*/ GIMT_Encode4(55654),
     /*  53337 */ /*GILLT_v4s32*//*Label 843*/ GIMT_Encode4(55814),
     /*  53341 */ /*GILLT_v8s8*//*Label 844*/ GIMT_Encode4(55974),
     /*  53345 */ /*GILLT_v8s16*//*Label 845*/ GIMT_Encode4(56134),
     /*  53349 */ /*GILLT_v16s8*//*Label 846*/ GIMT_Encode4(56294),
     /*  53353 */ /*GILLT_nxv1s1*//*Label 847*/ GIMT_Encode4(56454),
     /*  53357 */ /*GILLT_nxv2s1*//*Label 848*/ GIMT_Encode4(56995), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  53369 */ /*GILLT_nxv2s64*//*Label 849*/ GIMT_Encode4(57536),
     /*  53373 */ /*GILLT_nxv4s1*//*Label 850*/ GIMT_Encode4(58008), GIMT_Encode4(0),
     /*  53381 */ /*GILLT_nxv4s32*//*Label 851*/ GIMT_Encode4(58549),
     /*  53385 */ /*GILLT_nxv8s1*//*Label 852*/ GIMT_Encode4(59021),
     /*  53389 */ /*GILLT_nxv8s16*//*Label 853*/ GIMT_Encode4(59562),
     /*  53393 */ /*GILLT_nxv16s1*//*Label 854*/ GIMT_Encode4(60034),
     /*  53397 */ /*GILLT_nxv16s8*//*Label 855*/ GIMT_Encode4(60575),
     /*  53401 */ // Label 838: @53401
     /*  53401 */ GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(53898),
     /*  53406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  53409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  53412 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(53467), // Rule ID 13221 //
     /*  53417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  53433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  53437 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  53454 */     // (and:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (BICWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  53454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrs),
     /*  53457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53459 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53461 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53465 */     GIR_RootConstrainSelectedInstOperands,
     /*  53466 */     // GIR_Coverage, 13221,
     /*  53466 */     GIR_EraseRootFromParent_Done,
     /*  53467 */   // Label 858: @53467
     /*  53467 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(53522), // Rule ID 162 //
     /*  53472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  53492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  53496 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53502 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  53509 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }))  =>  (BICWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  53509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrs),
     /*  53512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53514 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53516 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53520 */     GIR_RootConstrainSelectedInstOperands,
     /*  53521 */     // GIR_Coverage, 162,
     /*  53521 */     GIR_EraseRootFromParent_Done,
     /*  53522 */   // Label 859: @53522
     /*  53522 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(53591), // Rule ID 5660 //
     /*  53527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  53539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  53543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  53560 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /*  53564 */     // MIs[2] Operand 1
     /*  53564 */     // No operand predicates
     /*  53564 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  53575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53577 */     // (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), 255:{ *:[i32] })  =>  (UMOVvi8:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /*  53577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /*  53580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  53586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  53589 */     GIR_RootConstrainSelectedInstOperands,
     /*  53590 */     // GIR_Coverage, 5660,
     /*  53590 */     GIR_EraseRootFromParent_Done,
     /*  53591 */   // Label 860: @53591
     /*  53591 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(53660), // Rule ID 5661 //
     /*  53596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  53608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  53612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  53629 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  53633 */     // MIs[2] Operand 1
     /*  53633 */     // No operand predicates
     /*  53633 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  53644 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53646 */     // (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 65535:{ *:[i32] })  =>  (UMOVvi16:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /*  53646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /*  53649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  53655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  53658 */     GIR_RootConstrainSelectedInstOperands,
     /*  53659 */     // GIR_Coverage, 5661,
     /*  53659 */     GIR_EraseRootFromParent_Done,
     /*  53660 */   // Label 861: @53660
     /*  53660 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(53713), // Rule ID 13219 //
     /*  53665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  53681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  53685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53690 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53700 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (BICWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  53700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrr),
     /*  53703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  53711 */     GIR_RootConstrainSelectedInstOperands,
     /*  53712 */     // GIR_Coverage, 13219,
     /*  53712 */     GIR_EraseRootFromParent_Done,
     /*  53713 */   // Label 862: @53713
     /*  53713 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(53766), // Rule ID 160 //
     /*  53718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  53738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  53742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53747 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53753 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }))  =>  (BICWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  53753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrr),
     /*  53756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53758 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  53764 */     GIR_RootConstrainSelectedInstOperands,
     /*  53765 */     // GIR_Coverage, 160,
     /*  53765 */     GIR_EraseRootFromParent_Done,
     /*  53766 */   // Label 863: @53766
     /*  53766 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(53807), // Rule ID 142 //
     /*  53771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  53775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  53787 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm32),
     /*  53791 */     // MIs[1] Operand 1
     /*  53791 */     // No operand predicates
     /*  53791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53793 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_logical_imm32>><<X:logical_imm32_XFORM>>:$imm)  =>  (ANDWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (logical_imm32_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  53793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDWri),
     /*  53796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53798 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53800 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // imm
     /*  53805 */     GIR_RootConstrainSelectedInstOperands,
     /*  53806 */     // GIR_Coverage, 142,
     /*  53806 */     GIR_EraseRootFromParent_Done,
     /*  53807 */   // Label 864: @53807
     /*  53807 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(53840), // Rule ID 13217 //
     /*  53812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  53827 */     // (and:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (ANDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  53827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDWrs),
     /*  53830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53834 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53838 */     GIR_RootConstrainSelectedInstOperands,
     /*  53839 */     // GIR_Coverage, 13217,
     /*  53839 */     GIR_EraseRootFromParent_Done,
     /*  53840 */   // Label 865: @53840
     /*  53840 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(53873), // Rule ID 158 //
     /*  53845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  53860 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (ANDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  53860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDWrs),
     /*  53863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53865 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53867 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53871 */     GIR_RootConstrainSelectedInstOperands,
     /*  53872 */     // GIR_Coverage, 158,
     /*  53872 */     GIR_EraseRootFromParent_Done,
     /*  53873 */   // Label 866: @53873
     /*  53873 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(53897), // Rule ID 156 //
     /*  53878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53890 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (ANDWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  53890 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDWrr),
     /*  53895 */     GIR_RootConstrainSelectedInstOperands,
     /*  53896 */     // GIR_Coverage, 156,
     /*  53896 */     GIR_Done,
     /*  53897 */   // Label 867: @53897
     /*  53897 */   GIM_Reject,
     /*  53898 */ // Label 857: @53898
     /*  53898 */ GIM_Reject,
     /*  53899 */ // Label 839: @53899
     /*  53899 */ GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(55333),
     /*  53904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  53907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  53910 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(53965), // Rule ID 13222 //
     /*  53915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  53931 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53935 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53945 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  53952 */     // (and:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (BICXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  53952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrs),
     /*  53955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53959 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53963 */     GIR_RootConstrainSelectedInstOperands,
     /*  53964 */     // GIR_Coverage, 13222,
     /*  53964 */     GIR_EraseRootFromParent_Done,
     /*  53965 */   // Label 869: @53965
     /*  53965 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(54020), // Rule ID 163 //
     /*  53970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  53990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53994 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54000 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  54007 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }))  =>  (BICXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  54007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrs),
     /*  54010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54012 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  54014 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  54018 */     GIR_RootConstrainSelectedInstOperands,
     /*  54019 */     // GIR_Coverage, 163,
     /*  54019 */     GIR_EraseRootFromParent_Done,
     /*  54020 */   // Label 870: @54020
     /*  54020 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(54133), // Rule ID 5662 //
     /*  54025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  54037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  54041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  54045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  54049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  54053 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  54057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  54062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  54066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  54070 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /*  54074 */     // MIs[3] Operand 1
     /*  54074 */     // No operand predicates
     /*  54074 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  54085 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  54087 */     // (and:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)), 255:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (UMOVvi8:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), sub_32:{ *:[i32] })
     /*  54087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /*  54094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  54103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // idx
     /*  54106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54127 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54132 */     // GIR_Coverage, 5662,
     /*  54132 */     GIR_EraseRootFromParent_Done,
     /*  54133 */   // Label 871: @54133
     /*  54133 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(54246), // Rule ID 5663 //
     /*  54138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  54150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  54154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  54158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  54162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  54166 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  54170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  54175 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  54179 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  54183 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  54187 */     // MIs[3] Operand 1
     /*  54187 */     // No operand predicates
     /*  54187 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  54198 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  54200 */     // (and:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), 65535:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (UMOVvi16:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), sub_32:{ *:[i32] })
     /*  54200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /*  54207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54212 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  54216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // idx
     /*  54219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54235 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54240 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54245 */     // GIR_Coverage, 5663,
     /*  54245 */     GIR_EraseRootFromParent_Done,
     /*  54246 */   // Label 872: @54246
     /*  54246 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(54345), // Rule ID 7108 //
     /*  54251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54263 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54266 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /*  54271 */     // MIs[1] addr
     /*  54271 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54280 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_1),
     /*  54284 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  54295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54297 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_1>>, 255:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRB),
     /*  54304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54313 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54334 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54339 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54344 */     // GIR_Coverage, 7108,
     /*  54344 */     GIR_EraseRootFromParent_Done,
     /*  54345 */   // Label 873: @54345
     /*  54345 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(54444), // Rule ID 7109 //
     /*  54350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54362 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54365 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /*  54370 */     // MIs[1] addr
     /*  54370 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54379 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_2),
     /*  54383 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  54394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54396 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_2>>, 65535:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRH),
     /*  54403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54408 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54412 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54433 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54438 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54443 */     // GIR_Coverage, 7109,
     /*  54443 */     GIR_EraseRootFromParent_Done,
     /*  54444 */   // Label 874: @54444
     /*  54444 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(54543), // Rule ID 7110 //
     /*  54449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54461 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54464 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /*  54469 */     // MIs[1] addr
     /*  54469 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54478 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_4),
     /*  54482 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  54493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54495 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_4>>, 4294967295:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRW),
     /*  54502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54507 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54511 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54532 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54537 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54542 */     // GIR_Coverage, 7110,
     /*  54542 */     GIR_EraseRootFromParent_Done,
     /*  54543 */   // Label 875: @54543
     /*  54543 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(54642), // Rule ID 7115 //
     /*  54548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54560 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54563 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /*  54568 */     // MIs[1] addr
     /*  54568 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54577 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_1),
     /*  54581 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  54592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54594 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_1>>, 255:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRB),
     /*  54601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54610 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54631 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54636 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54641 */     // GIR_Coverage, 7115,
     /*  54641 */     GIR_EraseRootFromParent_Done,
     /*  54642 */   // Label 876: @54642
     /*  54642 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(54741), // Rule ID 7116 //
     /*  54647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54659 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54662 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /*  54667 */     // MIs[1] addr
     /*  54667 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54676 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_2),
     /*  54680 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  54691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54693 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_2>>, 65535:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRH),
     /*  54700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54705 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54709 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54730 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54735 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54740 */     // GIR_Coverage, 7116,
     /*  54740 */     GIR_EraseRootFromParent_Done,
     /*  54741 */   // Label 877: @54741
     /*  54741 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(54840), // Rule ID 7117 //
     /*  54746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54758 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54761 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /*  54766 */     // MIs[1] addr
     /*  54766 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54775 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_4),
     /*  54779 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  54790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54792 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_4>>, 4294967295:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRW),
     /*  54799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54808 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54829 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54834 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54839 */     // GIR_Coverage, 7117,
     /*  54839 */     GIR_EraseRootFromParent_Done,
     /*  54840 */   // Label 878: @54840
     /*  54840 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(54893), // Rule ID 13220 //
     /*  54845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  54861 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  54865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54870 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  54874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54880 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (BICXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  54880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrr),
     /*  54883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  54887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  54891 */     GIR_RootConstrainSelectedInstOperands,
     /*  54892 */     // GIR_Coverage, 13220,
     /*  54892 */     GIR_EraseRootFromParent_Done,
     /*  54893 */   // Label 879: @54893
     /*  54893 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(54946), // Rule ID 161 //
     /*  54898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  54918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  54922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54927 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  54931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54933 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }))  =>  (BICXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  54933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrr),
     /*  54936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54938 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  54940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  54944 */     GIR_RootConstrainSelectedInstOperands,
     /*  54945 */     // GIR_Coverage, 161,
     /*  54945 */     GIR_EraseRootFromParent_Done,
     /*  54946 */   // Label 880: @54946
     /*  54946 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(55046), // Rule ID 4004 //
     /*  54951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54959 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  54970 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 4294967295:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (ORRWrr:{ *:[i32] } WZR:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  54970 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  54973 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54977 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54982 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  54988 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54993 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  55001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORRWrr),
     /*  55005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55010 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55016 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  55019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  55021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  55024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  55029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  55032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  55035 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  55040 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  55045 */     // GIR_Coverage, 4004,
     /*  55045 */     GIR_EraseRootFromParent_Done,
     /*  55046 */   // Label 881: @55046
     /*  55046 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(55087), // Rule ID 143 //
     /*  55051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  55055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  55067 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm64),
     /*  55071 */     // MIs[1] Operand 1
     /*  55071 */     // No operand predicates
     /*  55071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  55073 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_logical_imm64>><<X:logical_imm64_XFORM>>:$imm)  =>  (ANDXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (logical_imm64_XFORM:{ *:[i64] } (imm:{ *:[i64] }):$imm))
     /*  55073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDXri),
     /*  55076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55078 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  55080 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm64), // imm
     /*  55085 */     GIR_RootConstrainSelectedInstOperands,
     /*  55086 */     // GIR_Coverage, 143,
     /*  55086 */     GIR_EraseRootFromParent_Done,
     /*  55087 */   // Label 882: @55087
     /*  55087 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(55120), // Rule ID 13218 //
     /*  55092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  55107 */     // (and:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (ANDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  55107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDXrs),
     /*  55110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  55114 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  55118 */     GIR_RootConstrainSelectedInstOperands,
     /*  55119 */     // GIR_Coverage, 13218,
     /*  55119 */     GIR_EraseRootFromParent_Done,
     /*  55120 */   // Label 883: @55120
     /*  55120 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(55153), // Rule ID 159 //
     /*  55125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  55140 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (ANDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  55140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDXrs),
     /*  55143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55145 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  55147 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  55151 */     GIR_RootConstrainSelectedInstOperands,
     /*  55152 */     // GIR_Coverage, 159,
     /*  55152 */     GIR_EraseRootFromParent_Done,
     /*  55153 */   // Label 884: @55153
     /*  55153 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(55217), // Rule ID 13876 //
     /*  55158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  55177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  55181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55190 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55196 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55204 */     // (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$LHS)  =>  (BICv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  55204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55209 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  55211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55215 */     GIR_RootConstrainSelectedInstOperands,
     /*  55216 */     // GIR_Coverage, 13876,
     /*  55216 */     GIR_EraseRootFromParent_Done,
     /*  55217 */   // Label 885: @55217
     /*  55217 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(55281), // Rule ID 5044 //
     /*  55222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  55245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  55249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55258 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55264 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55268 */     // (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }))  =>  (BICv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  55268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55273 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55279 */     GIR_RootConstrainSelectedInstOperands,
     /*  55280 */     // GIR_Coverage, 5044,
     /*  55280 */     GIR_EraseRootFromParent_Done,
     /*  55281 */   // Label 886: @55281
     /*  55281 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(55305), // Rule ID 157 //
     /*  55286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55298 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ANDXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  55298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDXrr),
     /*  55303 */     GIR_RootConstrainSelectedInstOperands,
     /*  55304 */     // GIR_Coverage, 157,
     /*  55304 */     GIR_Done,
     /*  55305 */   // Label 887: @55305
     /*  55305 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(55332), // Rule ID 2484 //
     /*  55310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55325 */     // (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)  =>  (ANDv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  55325 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  55330 */     GIR_RootConstrainSelectedInstOperands,
     /*  55331 */     // GIR_Coverage, 2484,
     /*  55331 */     GIR_Done,
     /*  55332 */   // Label 888: @55332
     /*  55332 */   GIM_Reject,
     /*  55333 */ // Label 868: @55333
     /*  55333 */ GIM_Reject,
     /*  55334 */ // Label 840: @55334
     /*  55334 */ GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(55493),
     /*  55339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  55342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  55345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55349 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(55409), // Rule ID 13875 //
     /*  55354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  55369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  55373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55382 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55388 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55396 */     // (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$LHS)  =>  (BICv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  55396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55401 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  55403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55407 */     GIR_RootConstrainSelectedInstOperands,
     /*  55408 */     // GIR_Coverage, 13875,
     /*  55408 */     GIR_EraseRootFromParent_Done,
     /*  55409 */   // Label 890: @55409
     /*  55409 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(55469), // Rule ID 5043 //
     /*  55414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  55433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  55437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55446 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55452 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55456 */     // (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }))  =>  (BICv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  55456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55461 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55467 */     GIR_RootConstrainSelectedInstOperands,
     /*  55468 */     // GIR_Coverage, 5043,
     /*  55468 */     GIR_EraseRootFromParent_Done,
     /*  55469 */   // Label 891: @55469
     /*  55469 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(55492), // Rule ID 2483 //
     /*  55474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55485 */     // (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (ANDv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  55485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  55490 */     GIR_RootConstrainSelectedInstOperands,
     /*  55491 */     // GIR_Coverage, 2483,
     /*  55491 */     GIR_Done,
     /*  55492 */   // Label 892: @55492
     /*  55492 */   GIM_Reject,
     /*  55493 */ // Label 889: @55493
     /*  55493 */ GIM_Reject,
     /*  55494 */ // Label 841: @55494
     /*  55494 */ GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(55653),
     /*  55499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  55502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  55505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55509 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(55569), // Rule ID 13879 //
     /*  55514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  55529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  55533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55542 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55548 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55556 */     // (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$LHS)  =>  (BICv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  55556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55561 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  55563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55567 */     GIR_RootConstrainSelectedInstOperands,
     /*  55568 */     // GIR_Coverage, 13879,
     /*  55568 */     GIR_EraseRootFromParent_Done,
     /*  55569 */   // Label 894: @55569
     /*  55569 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(55629), // Rule ID 5047 //
     /*  55574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  55593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  55597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55606 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55612 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55616 */     // (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }))  =>  (BICv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  55616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55621 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55627 */     GIR_RootConstrainSelectedInstOperands,
     /*  55628 */     // GIR_Coverage, 5047,
     /*  55628 */     GIR_EraseRootFromParent_Done,
     /*  55629 */   // Label 895: @55629
     /*  55629 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(55652), // Rule ID 2487 //
     /*  55634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55645 */     // (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (ANDv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  55645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  55650 */     GIR_RootConstrainSelectedInstOperands,
     /*  55651 */     // GIR_Coverage, 2487,
     /*  55651 */     GIR_Done,
     /*  55652 */   // Label 896: @55652
     /*  55652 */   GIM_Reject,
     /*  55653 */ // Label 893: @55653
     /*  55653 */ GIM_Reject,
     /*  55654 */ // Label 842: @55654
     /*  55654 */ GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(55813),
     /*  55659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  55662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  55665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55669 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(55729), // Rule ID 13874 //
     /*  55674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  55689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  55693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55702 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55708 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55716 */     // (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$LHS)  =>  (BICv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  55716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55721 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  55723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55727 */     GIR_RootConstrainSelectedInstOperands,
     /*  55728 */     // GIR_Coverage, 13874,
     /*  55728 */     GIR_EraseRootFromParent_Done,
     /*  55729 */   // Label 898: @55729
     /*  55729 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(55789), // Rule ID 5042 //
     /*  55734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  55753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  55757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55766 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55772 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55776 */     // (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }))  =>  (BICv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  55776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55781 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55787 */     GIR_RootConstrainSelectedInstOperands,
     /*  55788 */     // GIR_Coverage, 5042,
     /*  55788 */     GIR_EraseRootFromParent_Done,
     /*  55789 */   // Label 899: @55789
     /*  55789 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(55812), // Rule ID 2482 //
     /*  55794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55805 */     // (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (ANDv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  55805 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  55810 */     GIR_RootConstrainSelectedInstOperands,
     /*  55811 */     // GIR_Coverage, 2482,
     /*  55811 */     GIR_Done,
     /*  55812 */   // Label 900: @55812
     /*  55812 */   GIM_Reject,
     /*  55813 */ // Label 897: @55813
     /*  55813 */ GIM_Reject,
     /*  55814 */ // Label 843: @55814
     /*  55814 */ GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(55973),
     /*  55819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  55822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  55825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55829 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(55889), // Rule ID 13878 //
     /*  55834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  55849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  55853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55862 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55868 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55876 */     // (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$LHS)  =>  (BICv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  55876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55881 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  55883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55887 */     GIR_RootConstrainSelectedInstOperands,
     /*  55888 */     // GIR_Coverage, 13878,
     /*  55888 */     GIR_EraseRootFromParent_Done,
     /*  55889 */   // Label 902: @55889
     /*  55889 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(55949), // Rule ID 5046 //
     /*  55894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  55913 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  55917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55926 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55932 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55936 */     // (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }))  =>  (BICv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  55936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55941 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55947 */     GIR_RootConstrainSelectedInstOperands,
     /*  55948 */     // GIR_Coverage, 5046,
     /*  55948 */     GIR_EraseRootFromParent_Done,
     /*  55949 */   // Label 903: @55949
     /*  55949 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(55972), // Rule ID 2486 //
     /*  55954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55965 */     // (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (ANDv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  55965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  55970 */     GIR_RootConstrainSelectedInstOperands,
     /*  55971 */     // GIR_Coverage, 2486,
     /*  55971 */     GIR_Done,
     /*  55972 */   // Label 904: @55972
     /*  55972 */   GIM_Reject,
     /*  55973 */ // Label 901: @55973
     /*  55973 */ GIM_Reject,
     /*  55974 */ // Label 844: @55974
     /*  55974 */ GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(56133),
     /*  55979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  55982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  55985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55989 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(56049), // Rule ID 13357 //
     /*  55994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  56009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  56013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  56018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56022 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  56028 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  56030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  56034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56036 */     // (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rn)  =>  (BICv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  56036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  56039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  56041 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  56043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  56047 */     GIR_RootConstrainSelectedInstOperands,
     /*  56048 */     // GIR_Coverage, 13357,
     /*  56048 */     GIR_EraseRootFromParent_Done,
     /*  56049 */   // Label 906: @56049
     /*  56049 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(56109), // Rule ID 1597 //
     /*  56054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  56061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  56073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  56077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  56082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56086 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  56092 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  56094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56096 */     // (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }))  =>  (BICv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  56096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  56099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  56101 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  56103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  56107 */     GIR_RootConstrainSelectedInstOperands,
     /*  56108 */     // GIR_Coverage, 1597,
     /*  56108 */     GIR_EraseRootFromParent_Done,
     /*  56109 */   // Label 907: @56109
     /*  56109 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(56132), // Rule ID 1595 //
     /*  56114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  56121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  56125 */     // (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ANDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  56125 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  56130 */     GIR_RootConstrainSelectedInstOperands,
     /*  56131 */     // GIR_Coverage, 1595,
     /*  56131 */     GIR_Done,
     /*  56132 */   // Label 908: @56132
     /*  56132 */   GIM_Reject,
     /*  56133 */ // Label 905: @56133
     /*  56133 */ GIM_Reject,
     /*  56134 */ // Label 845: @56134
     /*  56134 */ GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(56293),
     /*  56139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  56142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  56145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56149 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(56209), // Rule ID 13877 //
     /*  56154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  56169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  56173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56182 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  56188 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  56190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56196 */     // (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$LHS)  =>  (BICv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  56196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  56199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  56201 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  56203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  56207 */     GIR_RootConstrainSelectedInstOperands,
     /*  56208 */     // GIR_Coverage, 13877,
     /*  56208 */     GIR_EraseRootFromParent_Done,
     /*  56209 */   // Label 910: @56209
     /*  56209 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(56269), // Rule ID 5045 //
     /*  56214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  56233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  56237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56246 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  56252 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  56254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56256 */     // (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }))  =>  (BICv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  56256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  56259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  56261 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  56263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  56267 */     GIR_RootConstrainSelectedInstOperands,
     /*  56268 */     // GIR_Coverage, 5045,
     /*  56268 */     GIR_EraseRootFromParent_Done,
     /*  56269 */   // Label 911: @56269
     /*  56269 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(56292), // Rule ID 2485 //
     /*  56274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56285 */     // (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (ANDv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  56285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  56290 */     GIR_RootConstrainSelectedInstOperands,
     /*  56291 */     // GIR_Coverage, 2485,
     /*  56291 */     GIR_Done,
     /*  56292 */   // Label 912: @56292
     /*  56292 */   GIM_Reject,
     /*  56293 */ // Label 909: @56293
     /*  56293 */ GIM_Reject,
     /*  56294 */ // Label 846: @56294
     /*  56294 */ GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(56453),
     /*  56299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  56302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  56305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56309 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(56369), // Rule ID 13358 //
     /*  56314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  56329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  56333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56342 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  56348 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  56350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56356 */     // (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rn)  =>  (BICv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  56356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  56359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  56361 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  56363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  56367 */     GIR_RootConstrainSelectedInstOperands,
     /*  56368 */     // GIR_Coverage, 13358,
     /*  56368 */     GIR_EraseRootFromParent_Done,
     /*  56369 */   // Label 914: @56369
     /*  56369 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(56429), // Rule ID 1598 //
     /*  56374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  56393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  56397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56406 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  56412 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  56414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56416 */     // (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }))  =>  (BICv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  56416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  56419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  56421 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  56423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  56427 */     GIR_RootConstrainSelectedInstOperands,
     /*  56428 */     // GIR_Coverage, 1598,
     /*  56428 */     GIR_EraseRootFromParent_Done,
     /*  56429 */   // Label 915: @56429
     /*  56429 */   GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(56452), // Rule ID 1596 //
     /*  56434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56445 */     // (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ANDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  56445 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  56450 */     GIR_RootConstrainSelectedInstOperands,
     /*  56451 */     // GIR_Coverage, 1596,
     /*  56451 */     GIR_Done,
     /*  56452 */   // Label 916: @56452
     /*  56452 */   GIM_Reject,
     /*  56453 */ // Label 913: @56453
     /*  56453 */ GIM_Reject,
     /*  56454 */ // Label 847: @56454
     /*  56454 */ GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(56994),
     /*  56459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  56469 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(56526), // Rule ID 15071 //
     /*  56474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56505 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56511 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] }), nxv1i1:{ *:[nxv1i1] }:$Op2), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56524 */     GIR_RootConstrainSelectedInstOperands,
     /*  56525 */     // GIR_Coverage, 15071,
     /*  56525 */     GIR_EraseRootFromParent_Done,
     /*  56526 */   // Label 918: @56526
     /*  56526 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(56583), // Rule ID 15074 //
     /*  56531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56558 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56562 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56568 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] }), nxv1i1:{ *:[nxv1i1] }:$Op2), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56581 */     GIR_RootConstrainSelectedInstOperands,
     /*  56582 */     // GIR_Coverage, 15074,
     /*  56582 */     GIR_EraseRootFromParent_Done,
     /*  56583 */   // Label 919: @56583
     /*  56583 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(56640), // Rule ID 15070 //
     /*  56588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56603 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56619 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56623 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56625 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] })), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56632 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56638 */     GIR_RootConstrainSelectedInstOperands,
     /*  56639 */     // GIR_Coverage, 15070,
     /*  56639 */     GIR_EraseRootFromParent_Done,
     /*  56640 */   // Label 920: @56640
     /*  56640 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(56697), // Rule ID 15073 //
     /*  56645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56676 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56682 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] })), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56687 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56695 */     GIR_RootConstrainSelectedInstOperands,
     /*  56696 */     // GIR_Coverage, 15073,
     /*  56696 */     GIR_EraseRootFromParent_Done,
     /*  56697 */   // Label 921: @56697
     /*  56697 */   GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(56754), // Rule ID 15069 //
     /*  56702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56733 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56739 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] }), nxv1i1:{ *:[nxv1i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56744 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56746 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56752 */     GIR_RootConstrainSelectedInstOperands,
     /*  56753 */     // GIR_Coverage, 15069,
     /*  56753 */     GIR_EraseRootFromParent_Done,
     /*  56754 */   // Label 922: @56754
     /*  56754 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(56811), // Rule ID 15072 //
     /*  56759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56786 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56790 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56796 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] }), nxv1i1:{ *:[nxv1i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56801 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56803 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56809 */     GIR_RootConstrainSelectedInstOperands,
     /*  56810 */     // GIR_Coverage, 15072,
     /*  56810 */     GIR_EraseRootFromParent_Done,
     /*  56811 */   // Label 923: @56811
     /*  56811 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(56868), // Rule ID 8421 //
     /*  56816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56831 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56847 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56851 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56853 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56858 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56860 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56866 */     GIR_RootConstrainSelectedInstOperands,
     /*  56867 */     // GIR_Coverage, 8421,
     /*  56867 */     GIR_EraseRootFromParent_Done,
     /*  56868 */   // Label 924: @56868
     /*  56868 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(56925), // Rule ID 8422 //
     /*  56873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56888 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56904 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56908 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56910 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56915 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56917 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56923 */     GIR_RootConstrainSelectedInstOperands,
     /*  56924 */     // GIR_Coverage, 8422,
     /*  56924 */     GIR_EraseRootFromParent_Done,
     /*  56925 */   // Label 925: @56925
     /*  56925 */   GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(56972), // Rule ID 10685 //
     /*  56930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  56937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  56941 */     // (and:{ *:[nxv1i1] } PPR:{ *:[nxv1i1] }:$Ps1, PPR:{ *:[nxv1i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv1i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv1i1] }:$Ps1, PPR:{ *:[nxv1i1] }:$Ps2)
     /*  56941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  56944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  56948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56953 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  56956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  56958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  56961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  56966 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  56968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  56970 */     GIR_RootConstrainSelectedInstOperands,
     /*  56971 */     // GIR_Coverage, 10685,
     /*  56971 */     GIR_EraseRootFromParent_Done,
     /*  56972 */   // Label 926: @56972
     /*  56972 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(56993), // Rule ID 2753 //
     /*  56977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56980 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  56983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56985 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56987 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  56991 */     GIR_RootConstrainSelectedInstOperands,
     /*  56992 */     // GIR_Coverage, 2753,
     /*  56992 */     GIR_EraseRootFromParent_Done,
     /*  56993 */   // Label 927: @56993
     /*  56993 */   GIM_Reject,
     /*  56994 */ // Label 917: @56994
     /*  56994 */ GIM_Reject,
     /*  56995 */ // Label 848: @56995
     /*  56995 */ GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(57535),
     /*  57000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  57010 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(57067), // Rule ID 15062 //
     /*  57015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57046 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57052 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] }), nxv2i1:{ *:[nxv2i1] }:$Op2), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57057 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57059 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57065 */     GIR_RootConstrainSelectedInstOperands,
     /*  57066 */     // GIR_Coverage, 15062,
     /*  57066 */     GIR_EraseRootFromParent_Done,
     /*  57067 */   // Label 929: @57067
     /*  57067 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(57124), // Rule ID 15065 //
     /*  57072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57103 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57109 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] }), nxv2i1:{ *:[nxv2i1] }:$Op2), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57122 */     GIR_RootConstrainSelectedInstOperands,
     /*  57123 */     // GIR_Coverage, 15065,
     /*  57123 */     GIR_EraseRootFromParent_Done,
     /*  57124 */   // Label 930: @57124
     /*  57124 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(57181), // Rule ID 15061 //
     /*  57129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57144 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57160 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57166 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] })), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57171 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57179 */     GIR_RootConstrainSelectedInstOperands,
     /*  57180 */     // GIR_Coverage, 15061,
     /*  57180 */     GIR_EraseRootFromParent_Done,
     /*  57181 */   // Label 931: @57181
     /*  57181 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(57238), // Rule ID 15064 //
     /*  57186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57201 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57217 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57221 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57223 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] })), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57236 */     GIR_RootConstrainSelectedInstOperands,
     /*  57237 */     // GIR_Coverage, 15064,
     /*  57237 */     GIR_EraseRootFromParent_Done,
     /*  57238 */   // Label 932: @57238
     /*  57238 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(57295), // Rule ID 15060 //
     /*  57243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57274 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57280 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] }), nxv2i1:{ *:[nxv2i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57285 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57287 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57293 */     GIR_RootConstrainSelectedInstOperands,
     /*  57294 */     // GIR_Coverage, 15060,
     /*  57294 */     GIR_EraseRootFromParent_Done,
     /*  57295 */   // Label 933: @57295
     /*  57295 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(57352), // Rule ID 15063 //
     /*  57300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57315 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57331 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57337 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] }), nxv2i1:{ *:[nxv2i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57342 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57344 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57350 */     GIR_RootConstrainSelectedInstOperands,
     /*  57351 */     // GIR_Coverage, 15063,
     /*  57351 */     GIR_EraseRootFromParent_Done,
     /*  57352 */   // Label 934: @57352
     /*  57352 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(57409), // Rule ID 8417 //
     /*  57357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57388 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57394 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57399 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57401 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57407 */     GIR_RootConstrainSelectedInstOperands,
     /*  57408 */     // GIR_Coverage, 8417,
     /*  57408 */     GIR_EraseRootFromParent_Done,
     /*  57409 */   // Label 935: @57409
     /*  57409 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(57466), // Rule ID 8418 //
     /*  57414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57445 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57451 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57456 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57458 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57464 */     GIR_RootConstrainSelectedInstOperands,
     /*  57465 */     // GIR_Coverage, 8418,
     /*  57465 */     GIR_EraseRootFromParent_Done,
     /*  57466 */   // Label 936: @57466
     /*  57466 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(57513), // Rule ID 10684 //
     /*  57471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  57478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  57482 */     // (and:{ *:[nxv2i1] } PPR:{ *:[nxv2i1] }:$Ps1, PPR:{ *:[nxv2i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv2i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv2i1] }:$Ps1, PPR:{ *:[nxv2i1] }:$Ps2)
     /*  57482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  57485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  57489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57494 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  57497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  57499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  57502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  57507 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  57509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  57511 */     GIR_RootConstrainSelectedInstOperands,
     /*  57512 */     // GIR_Coverage, 10684,
     /*  57512 */     GIR_EraseRootFromParent_Done,
     /*  57513 */   // Label 937: @57513
     /*  57513 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(57534), // Rule ID 2752 //
     /*  57518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57521 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  57524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57526 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57528 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  57532 */     GIR_RootConstrainSelectedInstOperands,
     /*  57533 */     // GIR_Coverage, 2752,
     /*  57533 */     GIR_EraseRootFromParent_Done,
     /*  57534 */   // Label 938: @57534
     /*  57534 */   GIM_Reject,
     /*  57535 */ // Label 928: @57535
     /*  57535 */ GIM_Reject,
     /*  57536 */ // Label 849: @57536
     /*  57536 */ GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(58007),
     /*  57541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  57551 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(57606), // Rule ID 15002 //
     /*  57556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57583 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57587 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57593 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57598 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57604 */     GIR_RootConstrainSelectedInstOperands,
     /*  57605 */     // GIR_Coverage, 15002,
     /*  57605 */     GIR_EraseRootFromParent_Done,
     /*  57606 */   // Label 940: @57606
     /*  57606 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(57661), // Rule ID 15005 //
     /*  57611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57626 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57642 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57648 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57659 */     GIR_RootConstrainSelectedInstOperands,
     /*  57660 */     // GIR_Coverage, 15005,
     /*  57660 */     GIR_EraseRootFromParent_Done,
     /*  57661 */   // Label 941: @57661
     /*  57661 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(57716), // Rule ID 15001 //
     /*  57666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57697 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57703 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57714 */     GIR_RootConstrainSelectedInstOperands,
     /*  57715 */     // GIR_Coverage, 15001,
     /*  57715 */     GIR_EraseRootFromParent_Done,
     /*  57716 */   // Label 942: @57716
     /*  57716 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(57771), // Rule ID 15004 //
     /*  57721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57752 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57758 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57763 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57769 */     GIR_RootConstrainSelectedInstOperands,
     /*  57770 */     // GIR_Coverage, 15004,
     /*  57770 */     GIR_EraseRootFromParent_Done,
     /*  57771 */   // Label 943: @57771
     /*  57771 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(57826), // Rule ID 15000 //
     /*  57776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57791 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57807 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57813 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57818 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57824 */     GIR_RootConstrainSelectedInstOperands,
     /*  57825 */     // GIR_Coverage, 15000,
     /*  57825 */     GIR_EraseRootFromParent_Done,
     /*  57826 */   // Label 944: @57826
     /*  57826 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(57881), // Rule ID 15003 //
     /*  57831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57846 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57862 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57868 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57873 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57879 */     GIR_RootConstrainSelectedInstOperands,
     /*  57880 */     // GIR_Coverage, 15003,
     /*  57880 */     GIR_EraseRootFromParent_Done,
     /*  57881 */   // Label 945: @57881
     /*  57881 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(57936), // Rule ID 7466 //
     /*  57886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57917 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57923 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57928 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57934 */     GIR_RootConstrainSelectedInstOperands,
     /*  57935 */     // GIR_Coverage, 7466,
     /*  57935 */     GIR_EraseRootFromParent_Done,
     /*  57936 */   // Label 946: @57936
     /*  57936 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(57991), // Rule ID 7467 //
     /*  57941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57972 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57978 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57983 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57989 */     GIR_RootConstrainSelectedInstOperands,
     /*  57990 */     // GIR_Coverage, 7467,
     /*  57990 */     GIR_EraseRootFromParent_Done,
     /*  57991 */   // Label 947: @57991
     /*  57991 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(58006), // Rule ID 3146 //
     /*  57996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57999 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  58004 */     GIR_RootConstrainSelectedInstOperands,
     /*  58005 */     // GIR_Coverage, 3146,
     /*  58005 */     GIR_Done,
     /*  58006 */   // Label 948: @58006
     /*  58006 */   GIM_Reject,
     /*  58007 */ // Label 939: @58007
     /*  58007 */ GIM_Reject,
     /*  58008 */ // Label 850: @58008
     /*  58008 */ GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(58548),
     /*  58013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  58023 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(58080), // Rule ID 15053 //
     /*  58028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58059 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58065 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] }), nxv4i1:{ *:[nxv4i1] }:$Op2), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58078 */     GIR_RootConstrainSelectedInstOperands,
     /*  58079 */     // GIR_Coverage, 15053,
     /*  58079 */     GIR_EraseRootFromParent_Done,
     /*  58080 */   // Label 950: @58080
     /*  58080 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(58137), // Rule ID 15056 //
     /*  58085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58116 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58122 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] }), nxv4i1:{ *:[nxv4i1] }:$Op2), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58135 */     GIR_RootConstrainSelectedInstOperands,
     /*  58136 */     // GIR_Coverage, 15056,
     /*  58136 */     GIR_EraseRootFromParent_Done,
     /*  58137 */   // Label 951: @58137
     /*  58137 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(58194), // Rule ID 15052 //
     /*  58142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58157 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58173 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58179 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] })), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58184 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58192 */     GIR_RootConstrainSelectedInstOperands,
     /*  58193 */     // GIR_Coverage, 15052,
     /*  58193 */     GIR_EraseRootFromParent_Done,
     /*  58194 */   // Label 952: @58194
     /*  58194 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(58251), // Rule ID 15055 //
     /*  58199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58230 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58236 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] })), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58243 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58249 */     GIR_RootConstrainSelectedInstOperands,
     /*  58250 */     // GIR_Coverage, 15055,
     /*  58250 */     GIR_EraseRootFromParent_Done,
     /*  58251 */   // Label 953: @58251
     /*  58251 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(58308), // Rule ID 15051 //
     /*  58256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58271 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58287 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58293 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] }), nxv4i1:{ *:[nxv4i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58298 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58300 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58306 */     GIR_RootConstrainSelectedInstOperands,
     /*  58307 */     // GIR_Coverage, 15051,
     /*  58307 */     GIR_EraseRootFromParent_Done,
     /*  58308 */   // Label 954: @58308
     /*  58308 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(58365), // Rule ID 15054 //
     /*  58313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58344 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58350 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] }), nxv4i1:{ *:[nxv4i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58355 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58357 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58363 */     GIR_RootConstrainSelectedInstOperands,
     /*  58364 */     // GIR_Coverage, 15054,
     /*  58364 */     GIR_EraseRootFromParent_Done,
     /*  58365 */   // Label 955: @58365
     /*  58365 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(58422), // Rule ID 8413 //
     /*  58370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58401 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58407 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58412 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58414 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58420 */     GIR_RootConstrainSelectedInstOperands,
     /*  58421 */     // GIR_Coverage, 8413,
     /*  58421 */     GIR_EraseRootFromParent_Done,
     /*  58422 */   // Label 956: @58422
     /*  58422 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(58479), // Rule ID 8414 //
     /*  58427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58458 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58464 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58469 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58471 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58477 */     GIR_RootConstrainSelectedInstOperands,
     /*  58478 */     // GIR_Coverage, 8414,
     /*  58478 */     GIR_EraseRootFromParent_Done,
     /*  58479 */   // Label 957: @58479
     /*  58479 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(58526), // Rule ID 10683 //
     /*  58484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  58491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  58495 */     // (and:{ *:[nxv4i1] } PPR:{ *:[nxv4i1] }:$Ps1, PPR:{ *:[nxv4i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv4i1] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv4i1] }:$Ps1, PPR:{ *:[nxv4i1] }:$Ps2)
     /*  58495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  58498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /*  58502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58507 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  58510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  58512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  58515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  58520 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  58522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  58524 */     GIR_RootConstrainSelectedInstOperands,
     /*  58525 */     // GIR_Coverage, 10683,
     /*  58525 */     GIR_EraseRootFromParent_Done,
     /*  58526 */   // Label 958: @58526
     /*  58526 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(58547), // Rule ID 2751 //
     /*  58531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58534 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  58537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58539 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58541 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58543 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  58545 */     GIR_RootConstrainSelectedInstOperands,
     /*  58546 */     // GIR_Coverage, 2751,
     /*  58546 */     GIR_EraseRootFromParent_Done,
     /*  58547 */   // Label 959: @58547
     /*  58547 */   GIM_Reject,
     /*  58548 */ // Label 949: @58548
     /*  58548 */ GIM_Reject,
     /*  58549 */ // Label 851: @58549
     /*  58549 */ GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(59020),
     /*  58554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  58564 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(58619), // Rule ID 14993 //
     /*  58569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58600 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58606 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58617 */     GIR_RootConstrainSelectedInstOperands,
     /*  58618 */     // GIR_Coverage, 14993,
     /*  58618 */     GIR_EraseRootFromParent_Done,
     /*  58619 */   // Label 961: @58619
     /*  58619 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(58674), // Rule ID 14996 //
     /*  58624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58655 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58661 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] }), nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58672 */     GIR_RootConstrainSelectedInstOperands,
     /*  58673 */     // GIR_Coverage, 14996,
     /*  58673 */     GIR_EraseRootFromParent_Done,
     /*  58674 */   // Label 962: @58674
     /*  58674 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(58729), // Rule ID 14992 //
     /*  58679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58710 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58716 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] })), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58727 */     GIR_RootConstrainSelectedInstOperands,
     /*  58728 */     // GIR_Coverage, 14992,
     /*  58728 */     GIR_EraseRootFromParent_Done,
     /*  58729 */   // Label 963: @58729
     /*  58729 */   GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(58784), // Rule ID 14995 //
     /*  58734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58749 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58765 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58771 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] })), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58782 */     GIR_RootConstrainSelectedInstOperands,
     /*  58783 */     // GIR_Coverage, 14995,
     /*  58783 */     GIR_EraseRootFromParent_Done,
     /*  58784 */   // Label 964: @58784
     /*  58784 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(58839), // Rule ID 14991 //
     /*  58789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58820 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58826 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58831 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58837 */     GIR_RootConstrainSelectedInstOperands,
     /*  58838 */     // GIR_Coverage, 14991,
     /*  58838 */     GIR_EraseRootFromParent_Done,
     /*  58839 */   // Label 965: @58839
     /*  58839 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(58894), // Rule ID 14994 //
     /*  58844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58875 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58881 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] }), nxv4i32:{ *:[nxv4i32] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58886 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58892 */     GIR_RootConstrainSelectedInstOperands,
     /*  58893 */     // GIR_Coverage, 14994,
     /*  58893 */     GIR_EraseRootFromParent_Done,
     /*  58894 */   // Label 966: @58894
     /*  58894 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(58949), // Rule ID 7462 //
     /*  58899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58930 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58936 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58941 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58947 */     GIR_RootConstrainSelectedInstOperands,
     /*  58948 */     // GIR_Coverage, 7462,
     /*  58948 */     GIR_EraseRootFromParent_Done,
     /*  58949 */   // Label 967: @58949
     /*  58949 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(59004), // Rule ID 7463 //
     /*  58954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58985 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58989 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58991 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58996 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59002 */     GIR_RootConstrainSelectedInstOperands,
     /*  59003 */     // GIR_Coverage, 7463,
     /*  59003 */     GIR_EraseRootFromParent_Done,
     /*  59004 */   // Label 968: @59004
     /*  59004 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(59019), // Rule ID 3145 //
     /*  59009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59012 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  59012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  59017 */     GIR_RootConstrainSelectedInstOperands,
     /*  59018 */     // GIR_Coverage, 3145,
     /*  59018 */     GIR_Done,
     /*  59019 */   // Label 969: @59019
     /*  59019 */   GIM_Reject,
     /*  59020 */ // Label 960: @59020
     /*  59020 */ GIM_Reject,
     /*  59021 */ // Label 852: @59021
     /*  59021 */ GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(59561),
     /*  59026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  59036 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(59093), // Rule ID 15044 //
     /*  59041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59072 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59078 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] }), nxv8i1:{ *:[nxv8i1] }:$Op2), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59083 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59091 */     GIR_RootConstrainSelectedInstOperands,
     /*  59092 */     // GIR_Coverage, 15044,
     /*  59092 */     GIR_EraseRootFromParent_Done,
     /*  59093 */   // Label 971: @59093
     /*  59093 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(59150), // Rule ID 15047 //
     /*  59098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59129 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59135 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] }), nxv8i1:{ *:[nxv8i1] }:$Op2), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59148 */     GIR_RootConstrainSelectedInstOperands,
     /*  59149 */     // GIR_Coverage, 15047,
     /*  59149 */     GIR_EraseRootFromParent_Done,
     /*  59150 */   // Label 972: @59150
     /*  59150 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(59207), // Rule ID 15043 //
     /*  59155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59186 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59190 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59192 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] })), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59199 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59205 */     GIR_RootConstrainSelectedInstOperands,
     /*  59206 */     // GIR_Coverage, 15043,
     /*  59206 */     GIR_EraseRootFromParent_Done,
     /*  59207 */   // Label 973: @59207
     /*  59207 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(59264), // Rule ID 15046 //
     /*  59212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59243 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59249 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] })), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59254 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59262 */     GIR_RootConstrainSelectedInstOperands,
     /*  59263 */     // GIR_Coverage, 15046,
     /*  59263 */     GIR_EraseRootFromParent_Done,
     /*  59264 */   // Label 974: @59264
     /*  59264 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(59321), // Rule ID 15042 //
     /*  59269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59300 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59304 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59306 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] }), nxv8i1:{ *:[nxv8i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59311 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59313 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59319 */     GIR_RootConstrainSelectedInstOperands,
     /*  59320 */     // GIR_Coverage, 15042,
     /*  59320 */     GIR_EraseRootFromParent_Done,
     /*  59321 */   // Label 975: @59321
     /*  59321 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(59378), // Rule ID 15045 //
     /*  59326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59341 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59357 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59363 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] }), nxv8i1:{ *:[nxv8i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59368 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59370 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59376 */     GIR_RootConstrainSelectedInstOperands,
     /*  59377 */     // GIR_Coverage, 15045,
     /*  59377 */     GIR_EraseRootFromParent_Done,
     /*  59378 */   // Label 976: @59378
     /*  59378 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(59435), // Rule ID 8409 //
     /*  59383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59414 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59420 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59425 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59427 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59433 */     GIR_RootConstrainSelectedInstOperands,
     /*  59434 */     // GIR_Coverage, 8409,
     /*  59434 */     GIR_EraseRootFromParent_Done,
     /*  59435 */   // Label 977: @59435
     /*  59435 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(59492), // Rule ID 8410 //
     /*  59440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59455 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59471 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59477 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59482 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59484 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59490 */     GIR_RootConstrainSelectedInstOperands,
     /*  59491 */     // GIR_Coverage, 8410,
     /*  59491 */     GIR_EraseRootFromParent_Done,
     /*  59492 */   // Label 978: @59492
     /*  59492 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(59539), // Rule ID 10682 //
     /*  59497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  59504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  59508 */     // (and:{ *:[nxv8i1] } PPR:{ *:[nxv8i1] }:$Ps1, PPR:{ *:[nxv8i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv8i1] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv8i1] }:$Ps1, PPR:{ *:[nxv8i1] }:$Ps2)
     /*  59508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  59511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /*  59515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59520 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  59523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  59528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  59533 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  59535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  59537 */     GIR_RootConstrainSelectedInstOperands,
     /*  59538 */     // GIR_Coverage, 10682,
     /*  59538 */     GIR_EraseRootFromParent_Done,
     /*  59539 */   // Label 979: @59539
     /*  59539 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(59560), // Rule ID 2750 //
     /*  59544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59547 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  59550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59552 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59554 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  59558 */     GIR_RootConstrainSelectedInstOperands,
     /*  59559 */     // GIR_Coverage, 2750,
     /*  59559 */     GIR_EraseRootFromParent_Done,
     /*  59560 */   // Label 980: @59560
     /*  59560 */   GIM_Reject,
     /*  59561 */ // Label 970: @59561
     /*  59561 */ GIM_Reject,
     /*  59562 */ // Label 853: @59562
     /*  59562 */ GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(60033),
     /*  59567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  59577 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(59632), // Rule ID 14984 //
     /*  59582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59613 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59617 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59619 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] }), nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59630 */     GIR_RootConstrainSelectedInstOperands,
     /*  59631 */     // GIR_Coverage, 14984,
     /*  59631 */     GIR_EraseRootFromParent_Done,
     /*  59632 */   // Label 982: @59632
     /*  59632 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(59687), // Rule ID 14987 //
     /*  59637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59668 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59674 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] }), nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59679 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59685 */     GIR_RootConstrainSelectedInstOperands,
     /*  59686 */     // GIR_Coverage, 14987,
     /*  59686 */     GIR_EraseRootFromParent_Done,
     /*  59687 */   // Label 983: @59687
     /*  59687 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(59742), // Rule ID 14983 //
     /*  59692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59707 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59719 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59723 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59729 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] })), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59740 */     GIR_RootConstrainSelectedInstOperands,
     /*  59741 */     // GIR_Coverage, 14983,
     /*  59741 */     GIR_EraseRootFromParent_Done,
     /*  59742 */   // Label 984: @59742
     /*  59742 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(59797), // Rule ID 14986 //
     /*  59747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59778 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59784 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] })), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59795 */     GIR_RootConstrainSelectedInstOperands,
     /*  59796 */     // GIR_Coverage, 14986,
     /*  59796 */     GIR_EraseRootFromParent_Done,
     /*  59797 */   // Label 985: @59797
     /*  59797 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(59852), // Rule ID 14982 //
     /*  59802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59817 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59833 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59839 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] }), nxv8i16:{ *:[nxv8i16] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59844 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59850 */     GIR_RootConstrainSelectedInstOperands,
     /*  59851 */     // GIR_Coverage, 14982,
     /*  59851 */     GIR_EraseRootFromParent_Done,
     /*  59852 */   // Label 986: @59852
     /*  59852 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(59907), // Rule ID 14985 //
     /*  59857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59888 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59894 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] }), nxv8i16:{ *:[nxv8i16] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59899 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59905 */     GIR_RootConstrainSelectedInstOperands,
     /*  59906 */     // GIR_Coverage, 14985,
     /*  59906 */     GIR_EraseRootFromParent_Done,
     /*  59907 */   // Label 987: @59907
     /*  59907 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(59962), // Rule ID 7458 //
     /*  59912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59943 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59949 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59954 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59960 */     GIR_RootConstrainSelectedInstOperands,
     /*  59961 */     // GIR_Coverage, 7458,
     /*  59961 */     GIR_EraseRootFromParent_Done,
     /*  59962 */   // Label 988: @59962
     /*  59962 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(60017), // Rule ID 7459 //
     /*  59967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59998 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60004 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  60004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60009 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60015 */     GIR_RootConstrainSelectedInstOperands,
     /*  60016 */     // GIR_Coverage, 7459,
     /*  60016 */     GIR_EraseRootFromParent_Done,
     /*  60017 */   // Label 989: @60017
     /*  60017 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(60032), // Rule ID 3144 //
     /*  60022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60025 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  60025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  60030 */     GIR_RootConstrainSelectedInstOperands,
     /*  60031 */     // GIR_Coverage, 3144,
     /*  60031 */     GIR_Done,
     /*  60032 */   // Label 990: @60032
     /*  60032 */   GIM_Reject,
     /*  60033 */ // Label 981: @60033
     /*  60033 */ GIM_Reject,
     /*  60034 */ // Label 854: @60034
     /*  60034 */ GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(60574),
     /*  60039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  60049 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(60106), // Rule ID 15035 //
     /*  60054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60085 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60091 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] }), nxv16i1:{ *:[nxv16i1] }:$Op2), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60104 */     GIR_RootConstrainSelectedInstOperands,
     /*  60105 */     // GIR_Coverage, 15035,
     /*  60105 */     GIR_EraseRootFromParent_Done,
     /*  60106 */   // Label 992: @60106
     /*  60106 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(60163), // Rule ID 15038 //
     /*  60111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60142 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60148 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] }), nxv16i1:{ *:[nxv16i1] }:$Op2), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60161 */     GIR_RootConstrainSelectedInstOperands,
     /*  60162 */     // GIR_Coverage, 15038,
     /*  60162 */     GIR_EraseRootFromParent_Done,
     /*  60163 */   // Label 993: @60163
     /*  60163 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(60220), // Rule ID 15034 //
     /*  60168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60199 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60205 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] })), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60218 */     GIR_RootConstrainSelectedInstOperands,
     /*  60219 */     // GIR_Coverage, 15034,
     /*  60219 */     GIR_EraseRootFromParent_Done,
     /*  60220 */   // Label 994: @60220
     /*  60220 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(60277), // Rule ID 15037 //
     /*  60225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60256 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60262 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] })), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60267 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60275 */     GIR_RootConstrainSelectedInstOperands,
     /*  60276 */     // GIR_Coverage, 15037,
     /*  60276 */     GIR_EraseRootFromParent_Done,
     /*  60277 */   // Label 995: @60277
     /*  60277 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(60334), // Rule ID 15033 //
     /*  60282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60297 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60313 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60319 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] }), nxv16i1:{ *:[nxv16i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60324 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60326 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60332 */     GIR_RootConstrainSelectedInstOperands,
     /*  60333 */     // GIR_Coverage, 15033,
     /*  60333 */     GIR_EraseRootFromParent_Done,
     /*  60334 */   // Label 996: @60334
     /*  60334 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(60391), // Rule ID 15036 //
     /*  60339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60370 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60374 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60376 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] }), nxv16i1:{ *:[nxv16i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60381 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60383 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60389 */     GIR_RootConstrainSelectedInstOperands,
     /*  60390 */     // GIR_Coverage, 15036,
     /*  60390 */     GIR_EraseRootFromParent_Done,
     /*  60391 */   // Label 997: @60391
     /*  60391 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(60448), // Rule ID 8405 //
     /*  60396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60415 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60419 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60423 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60427 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60433 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60438 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60440 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60446 */     GIR_RootConstrainSelectedInstOperands,
     /*  60447 */     // GIR_Coverage, 8405,
     /*  60447 */     GIR_EraseRootFromParent_Done,
     /*  60448 */   // Label 998: @60448
     /*  60448 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(60505), // Rule ID 8406 //
     /*  60453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60484 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60488 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60490 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60495 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60497 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60503 */     GIR_RootConstrainSelectedInstOperands,
     /*  60504 */     // GIR_Coverage, 8406,
     /*  60504 */     GIR_EraseRootFromParent_Done,
     /*  60505 */   // Label 999: @60505
     /*  60505 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(60552), // Rule ID 10681 //
     /*  60510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  60517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  60521 */     // (and:{ *:[nxv16i1] } PPR:{ *:[nxv16i1] }:$Ps1, PPR:{ *:[nxv16i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv16i1] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv16i1] }:$Ps1, PPR:{ *:[nxv16i1] }:$Ps2)
     /*  60521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  60524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /*  60528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60533 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  60536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  60541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  60548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  60550 */     GIR_RootConstrainSelectedInstOperands,
     /*  60551 */     // GIR_Coverage, 10681,
     /*  60551 */     GIR_EraseRootFromParent_Done,
     /*  60552 */   // Label 1000: @60552
     /*  60552 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(60573), // Rule ID 2749 //
     /*  60557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60560 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  60563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60565 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60567 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  60571 */     GIR_RootConstrainSelectedInstOperands,
     /*  60572 */     // GIR_Coverage, 2749,
     /*  60572 */     GIR_EraseRootFromParent_Done,
     /*  60573 */   // Label 1001: @60573
     /*  60573 */   GIM_Reject,
     /*  60574 */ // Label 991: @60574
     /*  60574 */ GIM_Reject,
     /*  60575 */ // Label 855: @60575
     /*  60575 */ GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(61046),
     /*  60580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  60590 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(60645), // Rule ID 14975 //
     /*  60595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60610 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60626 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60632 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] }), nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60637 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60643 */     GIR_RootConstrainSelectedInstOperands,
     /*  60644 */     // GIR_Coverage, 14975,
     /*  60644 */     GIR_EraseRootFromParent_Done,
     /*  60645 */   // Label 1003: @60645
     /*  60645 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(60700), // Rule ID 14978 //
     /*  60650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60665 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60681 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60687 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] }), nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60698 */     GIR_RootConstrainSelectedInstOperands,
     /*  60699 */     // GIR_Coverage, 14978,
     /*  60699 */     GIR_EraseRootFromParent_Done,
     /*  60700 */   // Label 1004: @60700
     /*  60700 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(60755), // Rule ID 14974 //
     /*  60705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60736 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60742 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] })), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60753 */     GIR_RootConstrainSelectedInstOperands,
     /*  60754 */     // GIR_Coverage, 14974,
     /*  60754 */     GIR_EraseRootFromParent_Done,
     /*  60755 */   // Label 1005: @60755
     /*  60755 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(60810), // Rule ID 14977 //
     /*  60760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60791 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60797 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] })), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60808 */     GIR_RootConstrainSelectedInstOperands,
     /*  60809 */     // GIR_Coverage, 14977,
     /*  60809 */     GIR_EraseRootFromParent_Done,
     /*  60810 */   // Label 1006: @60810
     /*  60810 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(60865), // Rule ID 14973 //
     /*  60815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60846 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60852 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] }), nxv16i8:{ *:[nxv16i8] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60857 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60863 */     GIR_RootConstrainSelectedInstOperands,
     /*  60864 */     // GIR_Coverage, 14973,
     /*  60864 */     GIR_EraseRootFromParent_Done,
     /*  60865 */   // Label 1007: @60865
     /*  60865 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(60920), // Rule ID 14976 //
     /*  60870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60901 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60907 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] }), nxv16i8:{ *:[nxv16i8] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60912 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60918 */     GIR_RootConstrainSelectedInstOperands,
     /*  60919 */     // GIR_Coverage, 14976,
     /*  60919 */     GIR_EraseRootFromParent_Done,
     /*  60920 */   // Label 1008: @60920
     /*  60920 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(60975), // Rule ID 7454 //
     /*  60925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60956 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60962 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60967 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60973 */     GIR_RootConstrainSelectedInstOperands,
     /*  60974 */     // GIR_Coverage, 7454,
     /*  60974 */     GIR_EraseRootFromParent_Done,
     /*  60975 */   // Label 1009: @60975
     /*  60975 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(61030), // Rule ID 7455 //
     /*  60980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  61007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61011 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  61015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61017 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  61017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  61020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  61022 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  61024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  61028 */     GIR_RootConstrainSelectedInstOperands,
     /*  61029 */     // GIR_Coverage, 7455,
     /*  61029 */     GIR_EraseRootFromParent_Done,
     /*  61030 */   // Label 1010: @61030
     /*  61030 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(61045), // Rule ID 3143 //
     /*  61035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  61038 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  61038 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  61043 */     GIR_RootConstrainSelectedInstOperands,
     /*  61044 */     // GIR_Coverage, 3143,
     /*  61044 */     GIR_Done,
     /*  61045 */   // Label 1011: @61045
     /*  61045 */   GIM_Reject,
     /*  61046 */ // Label 1002: @61046
     /*  61046 */ GIM_Reject,
     /*  61047 */ // Label 856: @61047
     /*  61047 */ GIM_Reject,
     /*  61048 */ // Label 6: @61048
     /*  61048 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 1030*/ GIMT_Encode4(72826),
     /*  61059 */ /*GILLT_s32*//*Label 1012*/ GIMT_Encode4(61147),
     /*  61063 */ /*GILLT_s64*//*Label 1013*/ GIMT_Encode4(61507), GIMT_Encode4(0),
     /*  61071 */ /*GILLT_v2s32*//*Label 1014*/ GIMT_Encode4(63406),
     /*  61075 */ /*GILLT_v2s64*//*Label 1015*/ GIMT_Encode4(64714),
     /*  61079 */ /*GILLT_v4s16*//*Label 1016*/ GIMT_Encode4(66022),
     /*  61083 */ /*GILLT_v4s32*//*Label 1017*/ GIMT_Encode4(67330),
     /*  61087 */ /*GILLT_v8s8*//*Label 1018*/ GIMT_Encode4(68638),
     /*  61091 */ /*GILLT_v8s16*//*Label 1019*/ GIMT_Encode4(69946),
     /*  61095 */ /*GILLT_v16s8*//*Label 1020*/ GIMT_Encode4(71254),
     /*  61099 */ /*GILLT_nxv1s1*//*Label 1021*/ GIMT_Encode4(72562),
     /*  61103 */ /*GILLT_nxv2s1*//*Label 1022*/ GIMT_Encode4(72594), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  61115 */ /*GILLT_nxv2s64*//*Label 1023*/ GIMT_Encode4(72626),
     /*  61119 */ /*GILLT_nxv4s1*//*Label 1024*/ GIMT_Encode4(72652), GIMT_Encode4(0),
     /*  61127 */ /*GILLT_nxv4s32*//*Label 1025*/ GIMT_Encode4(72684),
     /*  61131 */ /*GILLT_nxv8s1*//*Label 1026*/ GIMT_Encode4(72710),
     /*  61135 */ /*GILLT_nxv8s16*//*Label 1027*/ GIMT_Encode4(72742),
     /*  61139 */ /*GILLT_nxv16s1*//*Label 1028*/ GIMT_Encode4(72768),
     /*  61143 */ /*GILLT_nxv16s8*//*Label 1029*/ GIMT_Encode4(72800),
     /*  61147 */ // Label 1012: @61147
     /*  61147 */ GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(61506),
     /*  61152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  61155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  61158 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(61213), // Rule ID 13241 //
     /*  61163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  61179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  61183 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  61200 */     // (or:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (ORNWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  61200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrs),
     /*  61203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  61207 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61211 */     GIR_RootConstrainSelectedInstOperands,
     /*  61212 */     // GIR_Coverage, 13241,
     /*  61212 */     GIR_EraseRootFromParent_Done,
     /*  61213 */   // Label 1032: @61213
     /*  61213 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(61268), // Rule ID 174 //
     /*  61218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  61238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  61242 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61248 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  61255 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }))  =>  (ORNWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  61255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrs),
     /*  61258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61260 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  61262 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61266 */     GIR_RootConstrainSelectedInstOperands,
     /*  61267 */     // GIR_Coverage, 174,
     /*  61267 */     GIR_EraseRootFromParent_Done,
     /*  61268 */   // Label 1033: @61268
     /*  61268 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(61309), // Rule ID 146 //
     /*  61273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  61277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61289 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm32),
     /*  61293 */     // MIs[1] Operand 1
     /*  61293 */     // No operand predicates
     /*  61293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61295 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_logical_imm32>><<X:logical_imm32_XFORM>>:$imm)  =>  (ORRWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (logical_imm32_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  61295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRWri),
     /*  61298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61300 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  61302 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // imm
     /*  61307 */     GIR_RootConstrainSelectedInstOperands,
     /*  61308 */     // GIR_Coverage, 146,
     /*  61308 */     GIR_EraseRootFromParent_Done,
     /*  61309 */   // Label 1034: @61309
     /*  61309 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(61342), // Rule ID 13243 //
     /*  61314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  61329 */     // (or:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (ORRWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  61329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRWrs),
     /*  61332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61334 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  61336 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61340 */     GIR_RootConstrainSelectedInstOperands,
     /*  61341 */     // GIR_Coverage, 13243,
     /*  61341 */     GIR_EraseRootFromParent_Done,
     /*  61342 */   // Label 1035: @61342
     /*  61342 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(61375), // Rule ID 178 //
     /*  61347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  61362 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (ORRWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  61362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRWrs),
     /*  61365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61367 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  61369 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61373 */     GIR_RootConstrainSelectedInstOperands,
     /*  61374 */     // GIR_Coverage, 178,
     /*  61374 */     GIR_EraseRootFromParent_Done,
     /*  61375 */   // Label 1036: @61375
     /*  61375 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(61428), // Rule ID 13239 //
     /*  61380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  61396 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  61400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61405 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61415 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (ORNWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  61415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /*  61418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  61422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  61426 */     GIR_RootConstrainSelectedInstOperands,
     /*  61427 */     // GIR_Coverage, 13239,
     /*  61427 */     GIR_EraseRootFromParent_Done,
     /*  61428 */   // Label 1037: @61428
     /*  61428 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(61481), // Rule ID 172 //
     /*  61433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  61453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  61457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61462 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61468 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }))  =>  (ORNWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  61468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /*  61471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61473 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  61475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  61479 */     GIR_RootConstrainSelectedInstOperands,
     /*  61480 */     // GIR_Coverage, 172,
     /*  61480 */     GIR_EraseRootFromParent_Done,
     /*  61481 */   // Label 1038: @61481
     /*  61481 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(61505), // Rule ID 176 //
     /*  61486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61498 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (ORRWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  61498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRWrr),
     /*  61503 */     GIR_RootConstrainSelectedInstOperands,
     /*  61504 */     // GIR_Coverage, 176,
     /*  61504 */     GIR_Done,
     /*  61505 */   // Label 1039: @61505
     /*  61505 */   GIM_Reject,
     /*  61506 */ // Label 1031: @61506
     /*  61506 */ GIM_Reject,
     /*  61507 */ // Label 1013: @61507
     /*  61507 */ GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(63405),
     /*  61512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  61515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  61518 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(61640), // Rule ID 4017 //
     /*  61523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61539 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  61551 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61555 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61559 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61564 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  61568 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(71777214294589695),
     /*  61579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  61583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  61591 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  61595 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  61599 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  61603 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  61607 */     // MIs[4] Rn
     /*  61607 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61612 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*  61616 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(-71777214294589696),
     /*  61627 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61629 */     // (or:{ *:[i64] } (and:{ *:[i64] } (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), 71777214294589695:{ *:[i64] }), (and:{ *:[i64] } (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), -71777214294589696:{ *:[i64] }))  =>  (REV16Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /*  61629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Xr),
     /*  61632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  61638 */     GIR_RootConstrainSelectedInstOperands,
     /*  61639 */     // GIR_Coverage, 4017,
     /*  61639 */     GIR_EraseRootFromParent_Done,
     /*  61640 */   // Label 1041: @61640
     /*  61640 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(61762), // Rule ID 13791 //
     /*  61645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  61673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61677 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61686 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  61690 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(-71777214294589696),
     /*  61701 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  61705 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61709 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  61713 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  61717 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  61721 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  61725 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  61729 */     // MIs[4] Rn
     /*  61729 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61734 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*  61738 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(71777214294589695),
     /*  61749 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61751 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), -71777214294589696:{ *:[i64] }), (and:{ *:[i64] } (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), 71777214294589695:{ *:[i64] }))  =>  (REV16Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /*  61751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Xr),
     /*  61754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  61760 */     GIR_RootConstrainSelectedInstOperands,
     /*  61761 */     // GIR_Coverage, 13791,
     /*  61761 */     GIR_EraseRootFromParent_Done,
     /*  61762 */   // Label 1042: @61762
     /*  61762 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(61817), // Rule ID 13242 //
     /*  61767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61787 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61797 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  61804 */     // (or:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (ORNXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  61804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrs),
     /*  61807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61809 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  61811 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61815 */     GIR_RootConstrainSelectedInstOperands,
     /*  61816 */     // GIR_Coverage, 13242,
     /*  61816 */     GIR_EraseRootFromParent_Done,
     /*  61817 */   // Label 1043: @61817
     /*  61817 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(61872), // Rule ID 175 //
     /*  61822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61846 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61852 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  61859 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }))  =>  (ORNXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  61859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrs),
     /*  61862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61864 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  61866 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61870 */     GIR_RootConstrainSelectedInstOperands,
     /*  61871 */     // GIR_Coverage, 175,
     /*  61871 */     GIR_EraseRootFromParent_Done,
     /*  61872 */   // Label 1044: @61872
     /*  61872 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(61981), // Rule ID 13591 //
     /*  61877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61912 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61925 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61931 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  61933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61938 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  61942 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61946 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  61950 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61955 */     // MIs[4] LHS
     /*  61955 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61960 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61962 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  61962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  61971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  61975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  61979 */     GIR_RootConstrainSelectedInstOperands,
     /*  61980 */     // GIR_Coverage, 13591,
     /*  61980 */     GIR_EraseRootFromParent_Done,
     /*  61981 */   // Label 1045: @61981
     /*  61981 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(62090), // Rule ID 13590 //
     /*  61986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62021 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62034 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62040 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  62042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62047 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  62051 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62055 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  62059 */     // MIs[4] LHS
     /*  62059 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62064 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62069 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62071 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  62080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  62084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  62088 */     GIR_RootConstrainSelectedInstOperands,
     /*  62089 */     // GIR_Coverage, 13590,
     /*  62089 */     GIR_EraseRootFromParent_Done,
     /*  62090 */   // Label 1046: @62090
     /*  62090 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(62199), // Rule ID 13593 //
     /*  62095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62135 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62139 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62144 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62148 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62154 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  62156 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  62160 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62164 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  62168 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62173 */     // MIs[4] LHS
     /*  62173 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62178 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62180 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  62189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  62193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  62197 */     GIR_RootConstrainSelectedInstOperands,
     /*  62198 */     // GIR_Coverage, 13593,
     /*  62198 */     GIR_EraseRootFromParent_Done,
     /*  62199 */   // Label 1047: @62199
     /*  62199 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(62308), // Rule ID 13592 //
     /*  62204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62244 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62257 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62263 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  62265 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  62269 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62273 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  62277 */     // MIs[4] LHS
     /*  62277 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62282 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62287 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62289 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  62298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  62302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  62306 */     GIR_RootConstrainSelectedInstOperands,
     /*  62307 */     // GIR_Coverage, 13592,
     /*  62307 */     GIR_EraseRootFromParent_Done,
     /*  62308 */   // Label 1048: @62308
     /*  62308 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(62417), // Rule ID 2471 //
     /*  62313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  62350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62358 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62362 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  62366 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62370 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  62374 */     // MIs[3] LHS
     /*  62374 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  62379 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  62383 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62389 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  62391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62396 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62398 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS), (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  62407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  62411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  62415 */     GIR_RootConstrainSelectedInstOperands,
     /*  62416 */     // GIR_Coverage, 2471,
     /*  62416 */     GIR_EraseRootFromParent_Done,
     /*  62417 */   // Label 1049: @62417
     /*  62417 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(62526), // Rule ID 13588 //
     /*  62422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62441 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  62459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62467 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62471 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  62475 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62479 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  62483 */     // MIs[3] LHS
     /*  62483 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  62488 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  62492 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62498 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  62500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62505 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62507 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS), (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  62516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  62520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  62524 */     GIR_RootConstrainSelectedInstOperands,
     /*  62525 */     // GIR_Coverage, 13588,
     /*  62525 */     GIR_EraseRootFromParent_Done,
     /*  62526 */   // Label 1050: @62526
     /*  62526 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(62635), // Rule ID 13587 //
     /*  62531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  62568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62576 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62580 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62585 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62589 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62593 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  62597 */     // MIs[3] LHS
     /*  62597 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  62602 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  62606 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62612 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  62614 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62616 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  62625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  62629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  62633 */     GIR_RootConstrainSelectedInstOperands,
     /*  62634 */     // GIR_Coverage, 13587,
     /*  62634 */     GIR_EraseRootFromParent_Done,
     /*  62635 */   // Label 1051: @62635
     /*  62635 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(62744), // Rule ID 13589 //
     /*  62640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  62677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62685 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62689 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62694 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62698 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62702 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  62706 */     // MIs[3] LHS
     /*  62706 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  62711 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  62715 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62721 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  62723 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62725 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  62734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  62738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  62742 */     GIR_RootConstrainSelectedInstOperands,
     /*  62743 */     // GIR_Coverage, 13589,
     /*  62743 */     GIR_EraseRootFromParent_Done,
     /*  62744 */   // Label 1052: @62744
     /*  62744 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(62785), // Rule ID 147 //
     /*  62749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  62753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62765 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm64),
     /*  62769 */     // MIs[1] Operand 1
     /*  62769 */     // No operand predicates
     /*  62769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62771 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_logical_imm64>><<X:logical_imm64_XFORM>>:$imm)  =>  (ORRXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (logical_imm64_XFORM:{ *:[i64] } (imm:{ *:[i64] }):$imm))
     /*  62771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRXri),
     /*  62774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62776 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  62778 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm64), // imm
     /*  62783 */     GIR_RootConstrainSelectedInstOperands,
     /*  62784 */     // GIR_Coverage, 147,
     /*  62784 */     GIR_EraseRootFromParent_Done,
     /*  62785 */   // Label 1053: @62785
     /*  62785 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(62818), // Rule ID 13244 //
     /*  62790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  62805 */     // (or:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (ORRXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  62805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRXrs),
     /*  62808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  62812 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  62816 */     GIR_RootConstrainSelectedInstOperands,
     /*  62817 */     // GIR_Coverage, 13244,
     /*  62817 */     GIR_EraseRootFromParent_Done,
     /*  62818 */   // Label 1054: @62818
     /*  62818 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(62851), // Rule ID 179 //
     /*  62823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  62838 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (ORRXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  62838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRXrs),
     /*  62841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62843 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  62845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  62849 */     GIR_RootConstrainSelectedInstOperands,
     /*  62850 */     // GIR_Coverage, 179,
     /*  62850 */     GIR_EraseRootFromParent_Done,
     /*  62851 */   // Label 1055: @62851
     /*  62851 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(62918), // Rule ID 13527 //
     /*  62856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  62871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62880 */     // MIs[1] imm
     /*  62880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62888 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  62892 */     // MIs[2] Operand 1
     /*  62892 */     // No operand predicates
     /*  62892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62896 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  62900 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62902 */     // (or:{ *:[v1i64] } (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  62902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  62905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62907 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  62909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  62913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  62916 */     GIR_RootConstrainSelectedInstOperands,
     /*  62917 */     // GIR_Coverage, 13527,
     /*  62917 */     GIR_EraseRootFromParent_Done,
     /*  62918 */   // Label 1056: @62918
     /*  62918 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(62985), // Rule ID 13530 //
     /*  62923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  62938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62947 */     // MIs[1] imm
     /*  62947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62955 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  62959 */     // MIs[2] Operand 1
     /*  62959 */     // No operand predicates
     /*  62959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62963 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  62967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62969 */     // (or:{ *:[v1i64] } (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  62969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  62972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  62976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  62980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  62983 */     GIR_RootConstrainSelectedInstOperands,
     /*  62984 */     // GIR_Coverage, 13530,
     /*  62984 */     GIR_EraseRootFromParent_Done,
     /*  62985 */   // Label 1057: @62985
     /*  62985 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(63038), // Rule ID 13240 //
     /*  62990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  63006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  63010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63015 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  63019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63025 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (ORNXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  63025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /*  63028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  63030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  63032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  63036 */     GIR_RootConstrainSelectedInstOperands,
     /*  63037 */     // GIR_Coverage, 13240,
     /*  63037 */     GIR_EraseRootFromParent_Done,
     /*  63038 */   // Label 1058: @63038
     /*  63038 */   GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(63105), // Rule ID 2122 //
     /*  63043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  63062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  63066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63071 */     // MIs[1] imm
     /*  63071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63079 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  63083 */     // MIs[2] Operand 1
     /*  63083 */     // No operand predicates
     /*  63083 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  63087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63089 */     // (or:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  63089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  63092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63094 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  63096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  63100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  63103 */     GIR_RootConstrainSelectedInstOperands,
     /*  63104 */     // GIR_Coverage, 2122,
     /*  63104 */     GIR_EraseRootFromParent_Done,
     /*  63105 */   // Label 1059: @63105
     /*  63105 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(63172), // Rule ID 2131 //
     /*  63110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  63129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  63133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63138 */     // MIs[1] imm
     /*  63138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63146 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  63150 */     // MIs[2] Operand 1
     /*  63150 */     // No operand predicates
     /*  63150 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  63154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63156 */     // (or:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  63156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  63159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63161 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  63163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  63167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  63170 */     GIR_RootConstrainSelectedInstOperands,
     /*  63171 */     // GIR_Coverage, 2131,
     /*  63171 */     GIR_EraseRootFromParent_Done,
     /*  63172 */   // Label 1060: @63172
     /*  63172 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(63225), // Rule ID 173 //
     /*  63177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  63197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  63201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63206 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  63210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63212 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }))  =>  (ORNXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  63212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /*  63215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  63217 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  63219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  63223 */     GIR_RootConstrainSelectedInstOperands,
     /*  63224 */     // GIR_Coverage, 173,
     /*  63224 */     GIR_EraseRootFromParent_Done,
     /*  63225 */   // Label 1061: @63225
     /*  63225 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(63289), // Rule ID 13882 //
     /*  63230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  63249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  63253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63262 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63268 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  63270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63276 */     // (or:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$LHS)  =>  (ORNv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  63276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  63279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  63281 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  63283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63287 */     GIR_RootConstrainSelectedInstOperands,
     /*  63288 */     // GIR_Coverage, 13882,
     /*  63288 */     GIR_EraseRootFromParent_Done,
     /*  63289 */   // Label 1062: @63289
     /*  63289 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(63353), // Rule ID 5056 //
     /*  63294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  63317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  63321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63330 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63336 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  63338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63340 */     // (or:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }))  =>  (ORNv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  63340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  63343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  63345 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  63347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63351 */     GIR_RootConstrainSelectedInstOperands,
     /*  63352 */     // GIR_Coverage, 5056,
     /*  63352 */     GIR_EraseRootFromParent_Done,
     /*  63353 */   // Label 1063: @63353
     /*  63353 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(63377), // Rule ID 177 //
     /*  63358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63370 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ORRXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  63370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRXrr),
     /*  63375 */     GIR_RootConstrainSelectedInstOperands,
     /*  63376 */     // GIR_Coverage, 177,
     /*  63376 */     GIR_Done,
     /*  63377 */   // Label 1064: @63377
     /*  63377 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(63404), // Rule ID 5062 //
     /*  63382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63397 */     // (or:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)  =>  (ORRv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  63397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  63402 */     GIR_RootConstrainSelectedInstOperands,
     /*  63403 */     // GIR_Coverage, 5062,
     /*  63403 */     GIR_Done,
     /*  63404 */   // Label 1065: @63404
     /*  63404 */   GIM_Reject,
     /*  63405 */ // Label 1040: @63405
     /*  63405 */ GIM_Reject,
     /*  63406 */ // Label 1014: @63406
     /*  63406 */ GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(64713),
     /*  63411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63417 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(63526), // Rule ID 13584 //
     /*  63422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63441 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63457 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63461 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63466 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63470 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63476 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63483 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63487 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63491 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63495 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63500 */     // MIs[4] LHS
     /*  63500 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63505 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63507 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  63520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  63524 */     GIR_RootConstrainSelectedInstOperands,
     /*  63525 */     // GIR_Coverage, 13584,
     /*  63525 */     GIR_EraseRootFromParent_Done,
     /*  63526 */   // Label 1067: @63526
     /*  63526 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(63635), // Rule ID 13583 //
     /*  63531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63566 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63575 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63579 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63585 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63592 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63596 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63600 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63604 */     // MIs[4] LHS
     /*  63604 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63609 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63614 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63616 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  63629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  63633 */     GIR_RootConstrainSelectedInstOperands,
     /*  63634 */     // GIR_Coverage, 13583,
     /*  63634 */     GIR_EraseRootFromParent_Done,
     /*  63635 */   // Label 1068: @63635
     /*  63635 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(63744), // Rule ID 13586 //
     /*  63640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63680 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63689 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63693 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63699 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63701 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63705 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63709 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63713 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63718 */     // MIs[4] LHS
     /*  63718 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63723 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63725 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  63738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63742 */     GIR_RootConstrainSelectedInstOperands,
     /*  63743 */     // GIR_Coverage, 13586,
     /*  63743 */     GIR_EraseRootFromParent_Done,
     /*  63744 */   // Label 1069: @63744
     /*  63744 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(63853), // Rule ID 13585 //
     /*  63749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63789 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63798 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63802 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63808 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63810 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63814 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63818 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63822 */     // MIs[4] LHS
     /*  63822 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63827 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63832 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63834 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  63847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63851 */     GIR_RootConstrainSelectedInstOperands,
     /*  63852 */     // GIR_Coverage, 13585,
     /*  63852 */     GIR_EraseRootFromParent_Done,
     /*  63853 */   // Label 1070: @63853
     /*  63853 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(63962), // Rule ID 2470 //
     /*  63858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  63895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63903 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  63911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63915 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63919 */     // MIs[3] LHS
     /*  63919 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  63924 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  63928 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63934 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  63936 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63941 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63943 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS), (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  63952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  63956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  63960 */     GIR_RootConstrainSelectedInstOperands,
     /*  63961 */     // GIR_Coverage, 2470,
     /*  63961 */     GIR_EraseRootFromParent_Done,
     /*  63962 */   // Label 1071: @63962
     /*  63962 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(64071), // Rule ID 13581 //
     /*  63967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64012 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64016 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  64020 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64024 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64028 */     // MIs[3] LHS
     /*  64028 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  64033 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  64037 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64043 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  64045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64050 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64052 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS), (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  64052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  64055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  64061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  64065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  64069 */     GIR_RootConstrainSelectedInstOperands,
     /*  64070 */     // GIR_Coverage, 13581,
     /*  64070 */     GIR_EraseRootFromParent_Done,
     /*  64071 */   // Label 1072: @64071
     /*  64071 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(64180), // Rule ID 13580 //
     /*  64076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64121 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64130 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64134 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64138 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64142 */     // MIs[3] LHS
     /*  64142 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  64147 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  64151 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64157 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  64159 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64161 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  64161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  64164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  64170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  64174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  64178 */     GIR_RootConstrainSelectedInstOperands,
     /*  64179 */     // GIR_Coverage, 13580,
     /*  64179 */     GIR_EraseRootFromParent_Done,
     /*  64180 */   // Label 1073: @64180
     /*  64180 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(64289), // Rule ID 13582 //
     /*  64185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64230 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64239 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64243 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64247 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64251 */     // MIs[3] LHS
     /*  64251 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  64256 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  64260 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64266 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  64268 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64270 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  64270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  64273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  64279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  64283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  64287 */     GIR_RootConstrainSelectedInstOperands,
     /*  64288 */     // GIR_Coverage, 13582,
     /*  64288 */     GIR_EraseRootFromParent_Done,
     /*  64289 */   // Label 1074: @64289
     /*  64289 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(64356), // Rule ID 13547 //
     /*  64294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  64309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64318 */     // MIs[1] imm
     /*  64318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64326 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  64330 */     // MIs[2] Operand 1
     /*  64330 */     // No operand predicates
     /*  64330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64334 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  64338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64340 */     // (or:{ *:[v2i32] } (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  64340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  64343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  64347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  64351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  64354 */     GIR_RootConstrainSelectedInstOperands,
     /*  64355 */     // GIR_Coverage, 13547,
     /*  64355 */     GIR_EraseRootFromParent_Done,
     /*  64356 */   // Label 1075: @64356
     /*  64356 */   GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(64423), // Rule ID 13568 //
     /*  64361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  64376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64385 */     // MIs[1] imm
     /*  64385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64393 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  64397 */     // MIs[2] Operand 1
     /*  64397 */     // No operand predicates
     /*  64397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64401 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  64405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64407 */     // (or:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  64407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  64410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  64414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  64418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  64421 */     GIR_RootConstrainSelectedInstOperands,
     /*  64422 */     // GIR_Coverage, 13568,
     /*  64422 */     GIR_EraseRootFromParent_Done,
     /*  64423 */   // Label 1076: @64423
     /*  64423 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(64490), // Rule ID 2239 //
     /*  64428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  64447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64456 */     // MIs[1] imm
     /*  64456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64464 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  64468 */     // MIs[2] Operand 1
     /*  64468 */     // No operand predicates
     /*  64468 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  64472 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64474 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  64474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  64477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64479 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  64481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  64485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  64488 */     GIR_RootConstrainSelectedInstOperands,
     /*  64489 */     // GIR_Coverage, 2239,
     /*  64489 */     GIR_EraseRootFromParent_Done,
     /*  64490 */   // Label 1077: @64490
     /*  64490 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(64557), // Rule ID 2298 //
     /*  64495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  64514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64523 */     // MIs[1] imm
     /*  64523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64531 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  64535 */     // MIs[2] Operand 1
     /*  64535 */     // No operand predicates
     /*  64535 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  64539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64541 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  64541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  64544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  64548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  64552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  64555 */     GIR_RootConstrainSelectedInstOperands,
     /*  64556 */     // GIR_Coverage, 2298,
     /*  64556 */     GIR_EraseRootFromParent_Done,
     /*  64557 */   // Label 1078: @64557
     /*  64557 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(64621), // Rule ID 13881 //
     /*  64562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64581 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64594 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64600 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  64602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64608 */     // (or:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$LHS)  =>  (ORNv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  64608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  64611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  64613 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  64615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  64619 */     GIR_RootConstrainSelectedInstOperands,
     /*  64620 */     // GIR_Coverage, 13881,
     /*  64620 */     GIR_EraseRootFromParent_Done,
     /*  64621 */   // Label 1079: @64621
     /*  64621 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(64685), // Rule ID 5055 //
     /*  64626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64662 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64668 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  64670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64672 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }))  =>  (ORNv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  64672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  64675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  64677 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  64679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  64683 */     GIR_RootConstrainSelectedInstOperands,
     /*  64684 */     // GIR_Coverage, 5055,
     /*  64684 */     GIR_EraseRootFromParent_Done,
     /*  64685 */   // Label 1080: @64685
     /*  64685 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(64712), // Rule ID 5061 //
     /*  64690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64705 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (ORRv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  64705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  64710 */     GIR_RootConstrainSelectedInstOperands,
     /*  64711 */     // GIR_Coverage, 5061,
     /*  64711 */     GIR_Done,
     /*  64712 */   // Label 1081: @64712
     /*  64712 */   GIM_Reject,
     /*  64713 */ // Label 1066: @64713
     /*  64713 */ GIM_Reject,
     /*  64714 */ // Label 1015: @64714
     /*  64714 */ GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(66021),
     /*  64719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64725 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(64834), // Rule ID 13612 //
     /*  64730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64749 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64765 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64769 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64774 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64778 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64784 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  64786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64791 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  64795 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64799 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64803 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64808 */     // MIs[4] LHS
     /*  64808 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64813 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64815 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  64815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  64824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  64828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  64832 */     GIR_RootConstrainSelectedInstOperands,
     /*  64833 */     // GIR_Coverage, 13612,
     /*  64833 */     GIR_EraseRootFromParent_Done,
     /*  64834 */   // Label 1083: @64834
     /*  64834 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(64943), // Rule ID 13611 //
     /*  64839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64874 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64883 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64887 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64893 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  64895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64900 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  64904 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64908 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64912 */     // MIs[4] LHS
     /*  64912 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64917 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64922 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64924 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  64924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  64933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  64937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  64941 */     GIR_RootConstrainSelectedInstOperands,
     /*  64942 */     // GIR_Coverage, 13611,
     /*  64942 */     GIR_EraseRootFromParent_Done,
     /*  64943 */   // Label 1084: @64943
     /*  64943 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(65052), // Rule ID 13614 //
     /*  64948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64988 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64997 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65001 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65007 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  65009 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  65013 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65017 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65021 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65026 */     // MIs[4] LHS
     /*  65026 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65031 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65033 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  65033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  65042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  65046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65050 */     GIR_RootConstrainSelectedInstOperands,
     /*  65051 */     // GIR_Coverage, 13614,
     /*  65051 */     GIR_EraseRootFromParent_Done,
     /*  65052 */   // Label 1085: @65052
     /*  65052 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(65161), // Rule ID 13613 //
     /*  65057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65076 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65097 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65106 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65110 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65116 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  65118 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  65122 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65126 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65130 */     // MIs[4] LHS
     /*  65130 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65135 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65140 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65142 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  65142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  65151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  65155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65159 */     GIR_RootConstrainSelectedInstOperands,
     /*  65160 */     // GIR_Coverage, 13613,
     /*  65160 */     GIR_EraseRootFromParent_Done,
     /*  65161 */   // Label 1086: @65161
     /*  65161 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(65270), // Rule ID 2474 //
     /*  65166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  65203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65211 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65215 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  65219 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65223 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65227 */     // MIs[3] LHS
     /*  65227 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  65232 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  65236 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65242 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  65244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65249 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65251 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  65251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  65260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  65264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  65268 */     GIR_RootConstrainSelectedInstOperands,
     /*  65269 */     // GIR_Coverage, 2474,
     /*  65269 */     GIR_EraseRootFromParent_Done,
     /*  65270 */   // Label 1087: @65270
     /*  65270 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(65379), // Rule ID 13609 //
     /*  65275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  65312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65320 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65324 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  65328 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65332 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65336 */     // MIs[3] LHS
     /*  65336 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  65341 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  65345 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65351 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  65353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65358 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65360 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  65360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  65369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  65373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  65377 */     GIR_RootConstrainSelectedInstOperands,
     /*  65378 */     // GIR_Coverage, 13609,
     /*  65378 */     GIR_EraseRootFromParent_Done,
     /*  65379 */   // Label 1088: @65379
     /*  65379 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(65488), // Rule ID 13608 //
     /*  65384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  65421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65429 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65438 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65442 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65446 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65450 */     // MIs[3] LHS
     /*  65450 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  65455 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  65459 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65465 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  65467 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65469 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  65469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  65478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  65482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  65486 */     GIR_RootConstrainSelectedInstOperands,
     /*  65487 */     // GIR_Coverage, 13608,
     /*  65487 */     GIR_EraseRootFromParent_Done,
     /*  65488 */   // Label 1089: @65488
     /*  65488 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(65597), // Rule ID 13610 //
     /*  65493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65512 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  65530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65538 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65547 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65551 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65555 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65559 */     // MIs[3] LHS
     /*  65559 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  65564 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  65568 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65574 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  65576 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65578 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  65578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  65587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  65591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  65595 */     GIR_RootConstrainSelectedInstOperands,
     /*  65596 */     // GIR_Coverage, 13610,
     /*  65596 */     GIR_EraseRootFromParent_Done,
     /*  65597 */   // Label 1090: @65597
     /*  65597 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(65664), // Rule ID 13551 //
     /*  65602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  65617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65626 */     // MIs[1] imm
     /*  65626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65634 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  65638 */     // MIs[2] Operand 1
     /*  65638 */     // No operand predicates
     /*  65638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65642 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65648 */     // (or:{ *:[v2i64] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  65651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  65655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65662 */     GIR_RootConstrainSelectedInstOperands,
     /*  65663 */     // GIR_Coverage, 13551,
     /*  65663 */     GIR_EraseRootFromParent_Done,
     /*  65664 */   // Label 1091: @65664
     /*  65664 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(65731), // Rule ID 13572 //
     /*  65669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  65684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65693 */     // MIs[1] imm
     /*  65693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65701 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  65705 */     // MIs[2] Operand 1
     /*  65705 */     // No operand predicates
     /*  65705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65709 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65715 */     // (or:{ *:[v2i64] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  65718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  65722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65729 */     GIR_RootConstrainSelectedInstOperands,
     /*  65730 */     // GIR_Coverage, 13572,
     /*  65730 */     GIR_EraseRootFromParent_Done,
     /*  65731 */   // Label 1092: @65731
     /*  65731 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(65798), // Rule ID 2243 //
     /*  65736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  65755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65764 */     // MIs[1] imm
     /*  65764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65772 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  65776 */     // MIs[2] Operand 1
     /*  65776 */     // No operand predicates
     /*  65776 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65780 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65782 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  65785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65787 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  65789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65796 */     GIR_RootConstrainSelectedInstOperands,
     /*  65797 */     // GIR_Coverage, 2243,
     /*  65797 */     GIR_EraseRootFromParent_Done,
     /*  65798 */   // Label 1093: @65798
     /*  65798 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(65865), // Rule ID 2302 //
     /*  65803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  65822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65831 */     // MIs[1] imm
     /*  65831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65839 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  65843 */     // MIs[2] Operand 1
     /*  65843 */     // No operand predicates
     /*  65843 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65847 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65849 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  65852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65854 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  65856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65863 */     GIR_RootConstrainSelectedInstOperands,
     /*  65864 */     // GIR_Coverage, 2302,
     /*  65864 */     GIR_EraseRootFromParent_Done,
     /*  65865 */   // Label 1094: @65865
     /*  65865 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(65929), // Rule ID 13885 //
     /*  65870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65902 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65908 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  65910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65916 */     // (or:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$LHS)  =>  (ORNv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  65916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  65919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  65921 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  65923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65927 */     GIR_RootConstrainSelectedInstOperands,
     /*  65928 */     // GIR_Coverage, 13885,
     /*  65928 */     GIR_EraseRootFromParent_Done,
     /*  65929 */   // Label 1095: @65929
     /*  65929 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(65993), // Rule ID 5059 //
     /*  65934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65957 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65970 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65976 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  65978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65980 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }))  =>  (ORNv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  65980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  65983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  65985 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  65987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65991 */     GIR_RootConstrainSelectedInstOperands,
     /*  65992 */     // GIR_Coverage, 5059,
     /*  65992 */     GIR_EraseRootFromParent_Done,
     /*  65993 */   // Label 1096: @65993
     /*  65993 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(66020), // Rule ID 5065 //
     /*  65998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66013 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (ORRv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  66013 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  66018 */     GIR_RootConstrainSelectedInstOperands,
     /*  66019 */     // GIR_Coverage, 5065,
     /*  66019 */     GIR_Done,
     /*  66020 */   // Label 1097: @66020
     /*  66020 */   GIM_Reject,
     /*  66021 */ // Label 1082: @66021
     /*  66021 */ GIM_Reject,
     /*  66022 */ // Label 1016: @66022
     /*  66022 */ GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(67329),
     /*  66027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66033 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(66142), // Rule ID 13577 //
     /*  66038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66073 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66077 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66082 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66086 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66092 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  66094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66099 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66103 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66107 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66111 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66116 */     // MIs[4] LHS
     /*  66116 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66121 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66123 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  66132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  66136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  66140 */     GIR_RootConstrainSelectedInstOperands,
     /*  66141 */     // GIR_Coverage, 13577,
     /*  66141 */     GIR_EraseRootFromParent_Done,
     /*  66142 */   // Label 1099: @66142
     /*  66142 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(66251), // Rule ID 13576 //
     /*  66147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66166 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66178 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66182 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66191 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66195 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66201 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  66203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66208 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66212 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66216 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66220 */     // MIs[4] LHS
     /*  66220 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66225 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66230 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66232 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  66241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  66245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  66249 */     GIR_RootConstrainSelectedInstOperands,
     /*  66250 */     // GIR_Coverage, 13576,
     /*  66250 */     GIR_EraseRootFromParent_Done,
     /*  66251 */   // Label 1100: @66251
     /*  66251 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(66360), // Rule ID 13579 //
     /*  66256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66296 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66305 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66309 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66315 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  66317 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66321 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66325 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66329 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66334 */     // MIs[4] LHS
     /*  66334 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66339 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66341 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  66350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  66354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  66358 */     GIR_RootConstrainSelectedInstOperands,
     /*  66359 */     // GIR_Coverage, 13579,
     /*  66359 */     GIR_EraseRootFromParent_Done,
     /*  66360 */   // Label 1101: @66360
     /*  66360 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(66469), // Rule ID 13578 //
     /*  66365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66405 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66414 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66418 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66424 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  66426 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66430 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66434 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66438 */     // MIs[4] LHS
     /*  66438 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66443 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66448 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66450 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  66459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  66463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  66467 */     GIR_RootConstrainSelectedInstOperands,
     /*  66468 */     // GIR_Coverage, 13578,
     /*  66468 */     GIR_EraseRootFromParent_Done,
     /*  66469 */   // Label 1102: @66469
     /*  66469 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(66578), // Rule ID 2469 //
     /*  66474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66519 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66523 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  66527 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66531 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66535 */     // MIs[3] LHS
     /*  66535 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  66540 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66544 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66550 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66557 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66559 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS), (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  66568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  66572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  66576 */     GIR_RootConstrainSelectedInstOperands,
     /*  66577 */     // GIR_Coverage, 2469,
     /*  66577 */     GIR_EraseRootFromParent_Done,
     /*  66578 */   // Label 1103: @66578
     /*  66578 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(66687), // Rule ID 13574 //
     /*  66583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66628 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66632 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  66636 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66640 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66644 */     // MIs[3] LHS
     /*  66644 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  66649 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66653 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66659 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66661 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66666 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66668 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS), (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  66677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  66681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  66685 */     GIR_RootConstrainSelectedInstOperands,
     /*  66686 */     // GIR_Coverage, 13574,
     /*  66686 */     GIR_EraseRootFromParent_Done,
     /*  66687 */   // Label 1104: @66687
     /*  66687 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(66796), // Rule ID 13573 //
     /*  66692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66737 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66741 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66746 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66750 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66754 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66758 */     // MIs[3] LHS
     /*  66758 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  66763 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66767 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66773 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66775 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66777 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  66786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  66790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  66794 */     GIR_RootConstrainSelectedInstOperands,
     /*  66795 */     // GIR_Coverage, 13573,
     /*  66795 */     GIR_EraseRootFromParent_Done,
     /*  66796 */   // Label 1105: @66796
     /*  66796 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(66905), // Rule ID 13575 //
     /*  66801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66846 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66850 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66863 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66867 */     // MIs[3] LHS
     /*  66867 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  66872 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66876 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66882 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66884 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66886 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  66895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  66899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  66903 */     GIR_RootConstrainSelectedInstOperands,
     /*  66904 */     // GIR_Coverage, 13575,
     /*  66904 */     GIR_EraseRootFromParent_Done,
     /*  66905 */   // Label 1106: @66905
     /*  66905 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(66972), // Rule ID 13543 //
     /*  66910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  66925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66934 */     // MIs[1] imm
     /*  66934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66942 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  66946 */     // MIs[2] Operand 1
     /*  66946 */     // No operand predicates
     /*  66946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66950 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  66954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66956 */     // (or:{ *:[v4i16] } (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  66956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  66959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  66963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  66967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  66970 */     GIR_RootConstrainSelectedInstOperands,
     /*  66971 */     // GIR_Coverage, 13543,
     /*  66971 */     GIR_EraseRootFromParent_Done,
     /*  66972 */   // Label 1107: @66972
     /*  66972 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(67039), // Rule ID 13564 //
     /*  66977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  66992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67001 */     // MIs[1] imm
     /*  67001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67009 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  67013 */     // MIs[2] Operand 1
     /*  67013 */     // No operand predicates
     /*  67013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67017 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67023 */     // (or:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  67026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  67030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67037 */     GIR_RootConstrainSelectedInstOperands,
     /*  67038 */     // GIR_Coverage, 13564,
     /*  67038 */     GIR_EraseRootFromParent_Done,
     /*  67039 */   // Label 1108: @67039
     /*  67039 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(67106), // Rule ID 2235 //
     /*  67044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  67059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  67063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  67067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67072 */     // MIs[1] imm
     /*  67072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67080 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  67084 */     // MIs[2] Operand 1
     /*  67084 */     // No operand predicates
     /*  67084 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67090 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  67093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67095 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  67097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67104 */     GIR_RootConstrainSelectedInstOperands,
     /*  67105 */     // GIR_Coverage, 2235,
     /*  67105 */     GIR_EraseRootFromParent_Done,
     /*  67106 */   // Label 1109: @67106
     /*  67106 */   GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(67173), // Rule ID 2294 //
     /*  67111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  67126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  67130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  67134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67139 */     // MIs[1] imm
     /*  67139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67147 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  67151 */     // MIs[2] Operand 1
     /*  67151 */     // No operand predicates
     /*  67151 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67155 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67157 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  67160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67162 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  67164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67171 */     GIR_RootConstrainSelectedInstOperands,
     /*  67172 */     // GIR_Coverage, 2294,
     /*  67172 */     GIR_EraseRootFromParent_Done,
     /*  67173 */   // Label 1110: @67173
     /*  67173 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(67237), // Rule ID 13880 //
     /*  67178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  67197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  67201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67210 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67216 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  67218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67224 */     // (or:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$LHS)  =>  (ORNv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  67224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  67227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  67229 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  67231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67235 */     GIR_RootConstrainSelectedInstOperands,
     /*  67236 */     // GIR_Coverage, 13880,
     /*  67236 */     GIR_EraseRootFromParent_Done,
     /*  67237 */   // Label 1111: @67237
     /*  67237 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(67301), // Rule ID 5054 //
     /*  67242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  67257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  67265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  67269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67278 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67284 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  67286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67288 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }))  =>  (ORNv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  67288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  67291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  67293 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  67295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67299 */     GIR_RootConstrainSelectedInstOperands,
     /*  67300 */     // GIR_Coverage, 5054,
     /*  67300 */     GIR_EraseRootFromParent_Done,
     /*  67301 */   // Label 1112: @67301
     /*  67301 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(67328), // Rule ID 5060 //
     /*  67306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67321 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (ORRv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  67321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  67326 */     GIR_RootConstrainSelectedInstOperands,
     /*  67327 */     // GIR_Coverage, 5060,
     /*  67327 */     GIR_Done,
     /*  67328 */   // Label 1113: @67328
     /*  67328 */   GIM_Reject,
     /*  67329 */ // Label 1098: @67329
     /*  67329 */ GIM_Reject,
     /*  67330 */ // Label 1017: @67330
     /*  67330 */ GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(68637),
     /*  67335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67341 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(67450), // Rule ID 13605 //
     /*  67346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67381 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67390 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67394 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67400 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67407 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67411 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67415 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67419 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67424 */     // MIs[4] LHS
     /*  67424 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67429 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67431 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  67444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  67448 */     GIR_RootConstrainSelectedInstOperands,
     /*  67449 */     // GIR_Coverage, 13605,
     /*  67449 */     GIR_EraseRootFromParent_Done,
     /*  67450 */   // Label 1115: @67450
     /*  67450 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(67559), // Rule ID 13604 //
     /*  67455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67486 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67490 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67499 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67503 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67509 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67516 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67520 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67524 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67528 */     // MIs[4] LHS
     /*  67528 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67533 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67538 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67540 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  67553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  67557 */     GIR_RootConstrainSelectedInstOperands,
     /*  67558 */     // GIR_Coverage, 13604,
     /*  67558 */     GIR_EraseRootFromParent_Done,
     /*  67559 */   // Label 1116: @67559
     /*  67559 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(67668), // Rule ID 13607 //
     /*  67564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67604 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67608 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67613 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67617 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67623 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67625 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67629 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67633 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67637 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67642 */     // MIs[4] LHS
     /*  67642 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67647 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67649 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  67662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67666 */     GIR_RootConstrainSelectedInstOperands,
     /*  67667 */     // GIR_Coverage, 13607,
     /*  67667 */     GIR_EraseRootFromParent_Done,
     /*  67668 */   // Label 1117: @67668
     /*  67668 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(67777), // Rule ID 13606 //
     /*  67673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67713 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67717 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67722 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67726 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67732 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67734 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67738 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67742 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67746 */     // MIs[4] LHS
     /*  67746 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67751 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67756 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67758 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  67771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67775 */     GIR_RootConstrainSelectedInstOperands,
     /*  67776 */     // GIR_Coverage, 13606,
     /*  67776 */     GIR_EraseRootFromParent_Done,
     /*  67777 */   // Label 1118: @67777
     /*  67777 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(67886), // Rule ID 2473 //
     /*  67782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67801 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  67819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67827 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67831 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  67835 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67839 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67843 */     // MIs[3] LHS
     /*  67843 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  67848 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  67852 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67858 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  67860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67865 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67867 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  67876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  67880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  67884 */     GIR_RootConstrainSelectedInstOperands,
     /*  67885 */     // GIR_Coverage, 2473,
     /*  67885 */     GIR_EraseRootFromParent_Done,
     /*  67886 */   // Label 1119: @67886
     /*  67886 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(67995), // Rule ID 13602 //
     /*  67891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  67928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67936 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67940 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  67944 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67948 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67952 */     // MIs[3] LHS
     /*  67952 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  67957 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  67961 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67967 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  67969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67974 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67976 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  67985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  67989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  67993 */     GIR_RootConstrainSelectedInstOperands,
     /*  67994 */     // GIR_Coverage, 13602,
     /*  67994 */     GIR_EraseRootFromParent_Done,
     /*  67995 */   // Label 1120: @67995
     /*  67995 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(68104), // Rule ID 13601 //
     /*  68000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  68037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68045 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68054 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68058 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68062 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68066 */     // MIs[3] LHS
     /*  68066 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  68071 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  68075 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68081 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  68083 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68085 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  68085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  68088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  68094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  68098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  68102 */     GIR_RootConstrainSelectedInstOperands,
     /*  68103 */     // GIR_Coverage, 13601,
     /*  68103 */     GIR_EraseRootFromParent_Done,
     /*  68104 */   // Label 1121: @68104
     /*  68104 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(68213), // Rule ID 13603 //
     /*  68109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68128 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68142 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  68146 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68150 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68154 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68163 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68167 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68171 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68175 */     // MIs[3] LHS
     /*  68175 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  68180 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  68184 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68190 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  68192 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68194 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  68194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  68197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  68203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  68207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  68211 */     GIR_RootConstrainSelectedInstOperands,
     /*  68212 */     // GIR_Coverage, 13603,
     /*  68212 */     GIR_EraseRootFromParent_Done,
     /*  68213 */   // Label 1122: @68213
     /*  68213 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(68280), // Rule ID 13549 //
     /*  68218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  68233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68242 */     // MIs[1] imm
     /*  68242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68250 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  68254 */     // MIs[2] Operand 1
     /*  68254 */     // No operand predicates
     /*  68254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68258 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  68262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68264 */     // (or:{ *:[v4i32] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  68264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  68267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  68271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  68278 */     GIR_RootConstrainSelectedInstOperands,
     /*  68279 */     // GIR_Coverage, 13549,
     /*  68279 */     GIR_EraseRootFromParent_Done,
     /*  68280 */   // Label 1123: @68280
     /*  68280 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(68347), // Rule ID 13570 //
     /*  68285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  68300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68309 */     // MIs[1] imm
     /*  68309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68317 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  68321 */     // MIs[2] Operand 1
     /*  68321 */     // No operand predicates
     /*  68321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68325 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  68329 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68331 */     // (or:{ *:[v4i32] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  68331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  68334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  68338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  68345 */     GIR_RootConstrainSelectedInstOperands,
     /*  68346 */     // GIR_Coverage, 13570,
     /*  68346 */     GIR_EraseRootFromParent_Done,
     /*  68347 */   // Label 1124: @68347
     /*  68347 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(68414), // Rule ID 2241 //
     /*  68352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  68367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  68371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68380 */     // MIs[1] imm
     /*  68380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68388 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  68392 */     // MIs[2] Operand 1
     /*  68392 */     // No operand predicates
     /*  68392 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  68396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68398 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  68398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  68401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68403 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  68405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  68412 */     GIR_RootConstrainSelectedInstOperands,
     /*  68413 */     // GIR_Coverage, 2241,
     /*  68413 */     GIR_EraseRootFromParent_Done,
     /*  68414 */   // Label 1125: @68414
     /*  68414 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(68481), // Rule ID 2300 //
     /*  68419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  68434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  68438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68447 */     // MIs[1] imm
     /*  68447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68455 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  68459 */     // MIs[2] Operand 1
     /*  68459 */     // No operand predicates
     /*  68459 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  68463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68465 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  68465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  68468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68470 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  68472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  68479 */     GIR_RootConstrainSelectedInstOperands,
     /*  68480 */     // GIR_Coverage, 2300,
     /*  68480 */     GIR_EraseRootFromParent_Done,
     /*  68481 */   // Label 1126: @68481
     /*  68481 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(68545), // Rule ID 13884 //
     /*  68486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68518 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68524 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  68526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68532 */     // (or:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$LHS)  =>  (ORNv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  68532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  68535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  68537 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  68539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  68543 */     GIR_RootConstrainSelectedInstOperands,
     /*  68544 */     // GIR_Coverage, 13884,
     /*  68544 */     GIR_EraseRootFromParent_Done,
     /*  68545 */   // Label 1127: @68545
     /*  68545 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(68609), // Rule ID 5058 //
     /*  68550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  68565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68586 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68592 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  68594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68596 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }))  =>  (ORNv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  68596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  68599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  68601 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  68603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  68607 */     GIR_RootConstrainSelectedInstOperands,
     /*  68608 */     // GIR_Coverage, 5058,
     /*  68608 */     GIR_EraseRootFromParent_Done,
     /*  68609 */   // Label 1128: @68609
     /*  68609 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(68636), // Rule ID 5064 //
     /*  68614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68629 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (ORRv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  68629 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  68634 */     GIR_RootConstrainSelectedInstOperands,
     /*  68635 */     // GIR_Coverage, 5064,
     /*  68635 */     GIR_Done,
     /*  68636 */   // Label 1129: @68636
     /*  68636 */   GIM_Reject,
     /*  68637 */ // Label 1114: @68637
     /*  68637 */ GIM_Reject,
     /*  68638 */ // Label 1018: @68638
     /*  68638 */ GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(69945),
     /*  68643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68649 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(68758), // Rule ID 13365 //
     /*  68654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68689 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68698 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68702 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68708 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68715 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68719 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68723 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68727 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68732 */     // MIs[4] Rd
     /*  68732 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68737 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68739 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  68752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  68756 */     GIR_RootConstrainSelectedInstOperands,
     /*  68757 */     // GIR_Coverage, 13365,
     /*  68757 */     GIR_EraseRootFromParent_Done,
     /*  68758 */   // Label 1131: @68758
     /*  68758 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(68867), // Rule ID 13364 //
     /*  68763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68798 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68807 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68811 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68817 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68824 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68828 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68832 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68836 */     // MIs[4] Rd
     /*  68836 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68841 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68846 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68848 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  68861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  68865 */     GIR_RootConstrainSelectedInstOperands,
     /*  68866 */     // GIR_Coverage, 13364,
     /*  68866 */     GIR_EraseRootFromParent_Done,
     /*  68867 */   // Label 1132: @68867
     /*  68867 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(68976), // Rule ID 13367 //
     /*  68872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68912 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68925 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68931 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68933 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68937 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68941 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68945 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68950 */     // MIs[4] Rd
     /*  68950 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68955 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68957 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  68970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  68974 */     GIR_RootConstrainSelectedInstOperands,
     /*  68975 */     // GIR_Coverage, 13367,
     /*  68975 */     GIR_EraseRootFromParent_Done,
     /*  68976 */   // Label 1133: @68976
     /*  68976 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(69085), // Rule ID 13366 //
     /*  68981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69021 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  69034 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69040 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  69042 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  69046 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69050 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69054 */     // MIs[4] Rd
     /*  69054 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69059 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69064 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69066 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  69069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  69075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  69079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  69083 */     GIR_RootConstrainSelectedInstOperands,
     /*  69084 */     // GIR_Coverage, 13366,
     /*  69084 */     GIR_EraseRootFromParent_Done,
     /*  69085 */   // Label 1134: @69085
     /*  69085 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(69194), // Rule ID 1605 //
     /*  69090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  69127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69135 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69139 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  69143 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69147 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69151 */     // MIs[3] Rd
     /*  69151 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  69156 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  69160 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69166 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  69168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69173 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69175 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn), (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  69178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  69184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  69188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  69192 */     GIR_RootConstrainSelectedInstOperands,
     /*  69193 */     // GIR_Coverage, 1605,
     /*  69193 */     GIR_EraseRootFromParent_Done,
     /*  69194 */   // Label 1135: @69194
     /*  69194 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(69303), // Rule ID 13362 //
     /*  69199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69218 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  69236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69244 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69248 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  69252 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69256 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69260 */     // MIs[3] Rd
     /*  69260 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  69265 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  69269 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69275 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  69277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69282 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69284 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd), (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  69287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  69293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  69301 */     GIR_RootConstrainSelectedInstOperands,
     /*  69302 */     // GIR_Coverage, 13362,
     /*  69302 */     GIR_EraseRootFromParent_Done,
     /*  69303 */   // Label 1136: @69303
     /*  69303 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(69412), // Rule ID 13361 //
     /*  69308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  69345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69362 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  69366 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69370 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69374 */     // MIs[3] Rd
     /*  69374 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  69379 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  69383 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69389 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  69391 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69393 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  69396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  69402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  69406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  69410 */     GIR_RootConstrainSelectedInstOperands,
     /*  69411 */     // GIR_Coverage, 13361,
     /*  69411 */     GIR_EraseRootFromParent_Done,
     /*  69412 */   // Label 1137: @69412
     /*  69412 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(69521), // Rule ID 13363 //
     /*  69417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  69454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69462 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69471 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  69475 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69479 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69483 */     // MIs[3] Rd
     /*  69483 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  69488 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  69492 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69498 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  69500 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69502 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  69505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  69511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  69519 */     GIR_RootConstrainSelectedInstOperands,
     /*  69520 */     // GIR_Coverage, 13363,
     /*  69520 */     GIR_EraseRootFromParent_Done,
     /*  69521 */   // Label 1138: @69521
     /*  69521 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(69588), // Rule ID 13539 //
     /*  69526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  69541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69550 */     // MIs[1] imm
     /*  69550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69558 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69562 */     // MIs[2] Operand 1
     /*  69562 */     // No operand predicates
     /*  69562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69566 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69572 */     // (or:{ *:[v8i8] } (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  69575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69577 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  69579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69586 */     GIR_RootConstrainSelectedInstOperands,
     /*  69587 */     // GIR_Coverage, 13539,
     /*  69587 */     GIR_EraseRootFromParent_Done,
     /*  69588 */   // Label 1139: @69588
     /*  69588 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(69655), // Rule ID 13560 //
     /*  69593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  69608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69617 */     // MIs[1] imm
     /*  69617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69625 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69629 */     // MIs[2] Operand 1
     /*  69629 */     // No operand predicates
     /*  69629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69633 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69639 */     // (or:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  69642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  69646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69653 */     GIR_RootConstrainSelectedInstOperands,
     /*  69654 */     // GIR_Coverage, 13560,
     /*  69654 */     GIR_EraseRootFromParent_Done,
     /*  69655 */   // Label 1140: @69655
     /*  69655 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(69722), // Rule ID 2231 //
     /*  69660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  69679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69688 */     // MIs[1] imm
     /*  69688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69696 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69700 */     // MIs[2] Operand 1
     /*  69700 */     // No operand predicates
     /*  69700 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69704 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69706 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  69709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69711 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  69713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69720 */     GIR_RootConstrainSelectedInstOperands,
     /*  69721 */     // GIR_Coverage, 2231,
     /*  69721 */     GIR_EraseRootFromParent_Done,
     /*  69722 */   // Label 1141: @69722
     /*  69722 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(69789), // Rule ID 2290 //
     /*  69727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  69746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69755 */     // MIs[1] imm
     /*  69755 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69759 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69763 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69767 */     // MIs[2] Operand 1
     /*  69767 */     // No operand predicates
     /*  69767 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69773 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  69776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69778 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  69780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69787 */     GIR_RootConstrainSelectedInstOperands,
     /*  69788 */     // GIR_Coverage, 2290,
     /*  69788 */     GIR_EraseRootFromParent_Done,
     /*  69789 */   // Label 1142: @69789
     /*  69789 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(69853), // Rule ID 13359 //
     /*  69794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69826 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69832 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  69834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69838 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69840 */     // (or:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rn)  =>  (ORNv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  69843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  69847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  69851 */     GIR_RootConstrainSelectedInstOperands,
     /*  69852 */     // GIR_Coverage, 13359,
     /*  69852 */     GIR_EraseRootFromParent_Done,
     /*  69853 */   // Label 1143: @69853
     /*  69853 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(69917), // Rule ID 1601 //
     /*  69858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69881 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69894 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69900 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  69902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69904 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }))  =>  (ORNv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  69907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69909 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  69911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  69915 */     GIR_RootConstrainSelectedInstOperands,
     /*  69916 */     // GIR_Coverage, 1601,
     /*  69916 */     GIR_EraseRootFromParent_Done,
     /*  69917 */   // Label 1144: @69917
     /*  69917 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(69944), // Rule ID 1603 //
     /*  69922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69937 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ORRv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69937 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  69942 */     GIR_RootConstrainSelectedInstOperands,
     /*  69943 */     // GIR_Coverage, 1603,
     /*  69943 */     GIR_Done,
     /*  69944 */   // Label 1145: @69944
     /*  69944 */   GIM_Reject,
     /*  69945 */ // Label 1130: @69945
     /*  69945 */ GIM_Reject,
     /*  69946 */ // Label 1019: @69946
     /*  69946 */ GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(71253),
     /*  69951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69957 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(70066), // Rule ID 13598 //
     /*  69962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  69989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69997 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70006 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70010 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70016 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  70018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70023 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  70027 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70031 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70035 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70040 */     // MIs[4] LHS
     /*  70040 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70045 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70047 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  70056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  70060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  70064 */     GIR_RootConstrainSelectedInstOperands,
     /*  70065 */     // GIR_Coverage, 13598,
     /*  70065 */     GIR_EraseRootFromParent_Done,
     /*  70066 */   // Label 1147: @70066
     /*  70066 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(70175), // Rule ID 13597 //
     /*  70071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70106 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70115 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70119 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70125 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  70127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70132 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  70136 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70140 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70144 */     // MIs[4] LHS
     /*  70144 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70149 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70154 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70156 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  70165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  70169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  70173 */     GIR_RootConstrainSelectedInstOperands,
     /*  70174 */     // GIR_Coverage, 13597,
     /*  70174 */     GIR_EraseRootFromParent_Done,
     /*  70175 */   // Label 1148: @70175
     /*  70175 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(70284), // Rule ID 13600 //
     /*  70180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70220 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70224 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70229 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70233 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70239 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  70241 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  70245 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70249 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70253 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70258 */     // MIs[4] LHS
     /*  70258 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70263 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70265 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  70274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  70278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  70282 */     GIR_RootConstrainSelectedInstOperands,
     /*  70283 */     // GIR_Coverage, 13600,
     /*  70283 */     GIR_EraseRootFromParent_Done,
     /*  70284 */   // Label 1149: @70284
     /*  70284 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(70393), // Rule ID 13599 //
     /*  70289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70329 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70338 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70342 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70348 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  70350 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  70354 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70358 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70362 */     // MIs[4] LHS
     /*  70362 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70367 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70372 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70374 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  70383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  70387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  70391 */     GIR_RootConstrainSelectedInstOperands,
     /*  70392 */     // GIR_Coverage, 13599,
     /*  70392 */     GIR_EraseRootFromParent_Done,
     /*  70393 */   // Label 1150: @70393
     /*  70393 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(70502), // Rule ID 2472 //
     /*  70398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70417 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  70435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70443 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  70451 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70455 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70459 */     // MIs[3] LHS
     /*  70459 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  70464 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  70468 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70474 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  70476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70481 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70483 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  70492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  70496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  70500 */     GIR_RootConstrainSelectedInstOperands,
     /*  70501 */     // GIR_Coverage, 2472,
     /*  70501 */     GIR_EraseRootFromParent_Done,
     /*  70502 */   // Label 1151: @70502
     /*  70502 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(70611), // Rule ID 13595 //
     /*  70507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  70544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70552 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70556 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  70560 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70564 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70568 */     // MIs[3] LHS
     /*  70568 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  70573 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  70577 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70583 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  70585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70590 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70592 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  70601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  70605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  70609 */     GIR_RootConstrainSelectedInstOperands,
     /*  70610 */     // GIR_Coverage, 13595,
     /*  70610 */     GIR_EraseRootFromParent_Done,
     /*  70611 */   // Label 1152: @70611
     /*  70611 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(70720), // Rule ID 13594 //
     /*  70616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  70653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70661 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70670 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70674 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70678 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70682 */     // MIs[3] LHS
     /*  70682 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  70687 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  70691 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70697 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  70699 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70701 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  70710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  70714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  70718 */     GIR_RootConstrainSelectedInstOperands,
     /*  70719 */     // GIR_Coverage, 13594,
     /*  70719 */     GIR_EraseRootFromParent_Done,
     /*  70720 */   // Label 1153: @70720
     /*  70720 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(70829), // Rule ID 13596 //
     /*  70725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  70762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70770 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70787 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70791 */     // MIs[3] LHS
     /*  70791 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  70796 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  70800 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70806 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  70808 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70810 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  70819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  70823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  70827 */     GIR_RootConstrainSelectedInstOperands,
     /*  70828 */     // GIR_Coverage, 13596,
     /*  70828 */     GIR_EraseRootFromParent_Done,
     /*  70829 */   // Label 1154: @70829
     /*  70829 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(70896), // Rule ID 13545 //
     /*  70834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  70849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70858 */     // MIs[1] imm
     /*  70858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  70866 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  70870 */     // MIs[2] Operand 1
     /*  70870 */     // No operand predicates
     /*  70870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70874 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  70878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70880 */     // (or:{ *:[v8i16] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  70880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  70883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  70887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  70894 */     GIR_RootConstrainSelectedInstOperands,
     /*  70895 */     // GIR_Coverage, 13545,
     /*  70895 */     GIR_EraseRootFromParent_Done,
     /*  70896 */   // Label 1155: @70896
     /*  70896 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(70963), // Rule ID 13566 //
     /*  70901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  70916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70925 */     // MIs[1] imm
     /*  70925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  70933 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  70937 */     // MIs[2] Operand 1
     /*  70937 */     // No operand predicates
     /*  70937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70941 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  70945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70947 */     // (or:{ *:[v8i16] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  70947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  70950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  70954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  70961 */     GIR_RootConstrainSelectedInstOperands,
     /*  70962 */     // GIR_Coverage, 13566,
     /*  70962 */     GIR_EraseRootFromParent_Done,
     /*  70963 */   // Label 1156: @70963
     /*  70963 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(71030), // Rule ID 2237 //
     /*  70968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  70983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  70987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70996 */     // MIs[1] imm
     /*  70996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71004 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  71008 */     // MIs[2] Operand 1
     /*  71008 */     // No operand predicates
     /*  71008 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  71012 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71014 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  71014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  71017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71019 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  71021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  71028 */     GIR_RootConstrainSelectedInstOperands,
     /*  71029 */     // GIR_Coverage, 2237,
     /*  71029 */     GIR_EraseRootFromParent_Done,
     /*  71030 */   // Label 1157: @71030
     /*  71030 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(71097), // Rule ID 2296 //
     /*  71035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  71054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  71058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71063 */     // MIs[1] imm
     /*  71063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71071 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  71075 */     // MIs[2] Operand 1
     /*  71075 */     // No operand predicates
     /*  71075 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  71079 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71081 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  71081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  71084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71086 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  71088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  71095 */     GIR_RootConstrainSelectedInstOperands,
     /*  71096 */     // GIR_Coverage, 2296,
     /*  71096 */     GIR_EraseRootFromParent_Done,
     /*  71097 */   // Label 1158: @71097
     /*  71097 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(71161), // Rule ID 13883 //
     /*  71102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  71121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  71125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71134 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71140 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  71142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71148 */     // (or:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$LHS)  =>  (ORNv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  71148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  71151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71153 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  71155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  71159 */     GIR_RootConstrainSelectedInstOperands,
     /*  71160 */     // GIR_Coverage, 13883,
     /*  71160 */     GIR_EraseRootFromParent_Done,
     /*  71161 */   // Label 1159: @71161
     /*  71161 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(71225), // Rule ID 5057 //
     /*  71166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  71189 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  71193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71202 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71208 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  71210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71212 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }))  =>  (ORNv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  71212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  71215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71217 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  71219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  71223 */     GIR_RootConstrainSelectedInstOperands,
     /*  71224 */     // GIR_Coverage, 5057,
     /*  71224 */     GIR_EraseRootFromParent_Done,
     /*  71225 */   // Label 1160: @71225
     /*  71225 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(71252), // Rule ID 5063 //
     /*  71230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71245 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (ORRv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  71245 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  71250 */     GIR_RootConstrainSelectedInstOperands,
     /*  71251 */     // GIR_Coverage, 5063,
     /*  71251 */     GIR_Done,
     /*  71252 */   // Label 1161: @71252
     /*  71252 */   GIM_Reject,
     /*  71253 */ // Label 1146: @71253
     /*  71253 */ GIM_Reject,
     /*  71254 */ // Label 1020: @71254
     /*  71254 */ GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(72561),
     /*  71259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71265 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(71374), // Rule ID 13372 //
     /*  71270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71305 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71314 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71318 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71324 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  71326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71331 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  71335 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71339 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71343 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71348 */     // MIs[4] Rd
     /*  71348 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71353 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71355 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  71364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  71368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  71372 */     GIR_RootConstrainSelectedInstOperands,
     /*  71373 */     // GIR_Coverage, 13372,
     /*  71373 */     GIR_EraseRootFromParent_Done,
     /*  71374 */   // Label 1163: @71374
     /*  71374 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(71483), // Rule ID 13371 //
     /*  71379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71414 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71427 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71433 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  71435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71440 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  71444 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71448 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71452 */     // MIs[4] Rd
     /*  71452 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71457 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71462 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71464 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  71473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  71477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  71481 */     GIR_RootConstrainSelectedInstOperands,
     /*  71482 */     // GIR_Coverage, 13371,
     /*  71482 */     GIR_EraseRootFromParent_Done,
     /*  71483 */   // Label 1164: @71483
     /*  71483 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(71592), // Rule ID 13374 //
     /*  71488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71528 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71541 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71547 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  71549 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  71553 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71557 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71561 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71566 */     // MIs[4] Rd
     /*  71566 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71571 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71573 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  71582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  71586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  71590 */     GIR_RootConstrainSelectedInstOperands,
     /*  71591 */     // GIR_Coverage, 13374,
     /*  71591 */     GIR_EraseRootFromParent_Done,
     /*  71592 */   // Label 1165: @71592
     /*  71592 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(71701), // Rule ID 13373 //
     /*  71597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71616 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71633 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71637 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71646 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71650 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71656 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  71658 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  71662 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71666 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71670 */     // MIs[4] Rd
     /*  71670 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71675 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71680 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71682 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  71691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  71695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  71699 */     GIR_RootConstrainSelectedInstOperands,
     /*  71700 */     // GIR_Coverage, 13373,
     /*  71700 */     GIR_EraseRootFromParent_Done,
     /*  71701 */   // Label 1166: @71701
     /*  71701 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(71810), // Rule ID 1606 //
     /*  71706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  71743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71751 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71755 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  71759 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71763 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71767 */     // MIs[3] Rd
     /*  71767 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  71772 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  71776 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71782 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  71784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71789 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71791 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  71800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  71804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  71808 */     GIR_RootConstrainSelectedInstOperands,
     /*  71809 */     // GIR_Coverage, 1606,
     /*  71809 */     GIR_EraseRootFromParent_Done,
     /*  71810 */   // Label 1167: @71810
     /*  71810 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(71919), // Rule ID 13369 //
     /*  71815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  71852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71860 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71864 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  71868 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71872 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71876 */     // MIs[3] Rd
     /*  71876 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  71881 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  71885 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71891 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  71893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71898 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71900 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  71909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  71917 */     GIR_RootConstrainSelectedInstOperands,
     /*  71918 */     // GIR_Coverage, 13369,
     /*  71918 */     GIR_EraseRootFromParent_Done,
     /*  71919 */   // Label 1168: @71919
     /*  71919 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(72028), // Rule ID 13368 //
     /*  71924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  71961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71969 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71978 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71982 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71986 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71990 */     // MIs[3] Rd
     /*  71990 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  71995 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  71999 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72005 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  72007 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  72009 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  72009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  72012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  72014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  72018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  72022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  72026 */     GIR_RootConstrainSelectedInstOperands,
     /*  72027 */     // GIR_Coverage, 13368,
     /*  72027 */     GIR_EraseRootFromParent_Done,
     /*  72028 */   // Label 1169: @72028
     /*  72028 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(72137), // Rule ID 13370 //
     /*  72033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  72070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72078 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72087 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  72091 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72095 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72099 */     // MIs[3] Rd
     /*  72099 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  72104 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  72108 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72114 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  72116 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  72118 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  72118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  72121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  72123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  72127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  72135 */     GIR_RootConstrainSelectedInstOperands,
     /*  72136 */     // GIR_Coverage, 13370,
     /*  72136 */     GIR_EraseRootFromParent_Done,
     /*  72137 */   // Label 1170: @72137
     /*  72137 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(72204), // Rule ID 13541 //
     /*  72142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  72157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72166 */     // MIs[1] imm
     /*  72166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72174 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  72178 */     // MIs[2] Operand 1
     /*  72178 */     // No operand predicates
     /*  72178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72182 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  72186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72188 */     // (or:{ *:[v16i8] } (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  72188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  72191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  72193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  72195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  72202 */     GIR_RootConstrainSelectedInstOperands,
     /*  72203 */     // GIR_Coverage, 13541,
     /*  72203 */     GIR_EraseRootFromParent_Done,
     /*  72204 */   // Label 1171: @72204
     /*  72204 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(72271), // Rule ID 13562 //
     /*  72209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  72224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72233 */     // MIs[1] imm
     /*  72233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72241 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  72245 */     // MIs[2] Operand 1
     /*  72245 */     // No operand predicates
     /*  72245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72249 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  72253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72255 */     // (or:{ *:[v16i8] } (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  72255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  72258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  72260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  72262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  72269 */     GIR_RootConstrainSelectedInstOperands,
     /*  72270 */     // GIR_Coverage, 13562,
     /*  72270 */     GIR_EraseRootFromParent_Done,
     /*  72271 */   // Label 1172: @72271
     /*  72271 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(72338), // Rule ID 2233 //
     /*  72276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  72295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72304 */     // MIs[1] imm
     /*  72304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72312 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  72316 */     // MIs[2] Operand 1
     /*  72316 */     // No operand predicates
     /*  72316 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  72320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72322 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  72322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  72325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  72327 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  72329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  72336 */     GIR_RootConstrainSelectedInstOperands,
     /*  72337 */     // GIR_Coverage, 2233,
     /*  72337 */     GIR_EraseRootFromParent_Done,
     /*  72338 */   // Label 1173: @72338
     /*  72338 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(72405), // Rule ID 2292 //
     /*  72343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  72362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72371 */     // MIs[1] imm
     /*  72371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72379 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  72383 */     // MIs[2] Operand 1
     /*  72383 */     // No operand predicates
     /*  72383 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  72387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72389 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  72389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  72392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  72394 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  72396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  72403 */     GIR_RootConstrainSelectedInstOperands,
     /*  72404 */     // GIR_Coverage, 2292,
     /*  72404 */     GIR_EraseRootFromParent_Done,
     /*  72405 */   // Label 1174: @72405
     /*  72405 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(72469), // Rule ID 13360 //
     /*  72410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72442 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72448 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  72450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72456 */     // (or:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rn)  =>  (ORNv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  72456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  72459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  72463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  72467 */     GIR_RootConstrainSelectedInstOperands,
     /*  72468 */     // GIR_Coverage, 13360,
     /*  72468 */     GIR_EraseRootFromParent_Done,
     /*  72469 */   // Label 1175: @72469
     /*  72469 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(72533), // Rule ID 1602 //
     /*  72474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72510 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72516 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  72518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72520 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }))  =>  (ORNv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  72520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  72523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72525 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  72527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  72531 */     GIR_RootConstrainSelectedInstOperands,
     /*  72532 */     // GIR_Coverage, 1602,
     /*  72532 */     GIR_EraseRootFromParent_Done,
     /*  72533 */   // Label 1176: @72533
     /*  72533 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(72560), // Rule ID 1604 //
     /*  72538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72553 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ORRv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  72553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  72558 */     GIR_RootConstrainSelectedInstOperands,
     /*  72559 */     // GIR_Coverage, 1604,
     /*  72559 */     GIR_Done,
     /*  72560 */   // Label 1177: @72560
     /*  72560 */   GIM_Reject,
     /*  72561 */ // Label 1162: @72561
     /*  72561 */ GIM_Reject,
     /*  72562 */ // Label 1021: @72562
     /*  72562 */ GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(72593), // Rule ID 8444 //
     /*  72567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  72573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  72576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  72580 */   // (or:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  72580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  72583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  72585 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72587 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72589 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  72591 */   GIR_RootConstrainSelectedInstOperands,
     /*  72592 */   // GIR_Coverage, 8444,
     /*  72592 */   GIR_EraseRootFromParent_Done,
     /*  72593 */ // Label 1178: @72593
     /*  72593 */ GIM_Reject,
     /*  72594 */ // Label 1022: @72594
     /*  72594 */ GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(72625), // Rule ID 8443 //
     /*  72599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  72605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  72608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  72612 */   // (or:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  72612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  72615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  72617 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72619 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72621 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  72623 */   GIR_RootConstrainSelectedInstOperands,
     /*  72624 */   // GIR_Coverage, 8443,
     /*  72624 */   GIR_EraseRootFromParent_Done,
     /*  72625 */ // Label 1179: @72625
     /*  72625 */ GIM_Reject,
     /*  72626 */ // Label 1023: @72626
     /*  72626 */ GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(72651), // Rule ID 7449 //
     /*  72631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  72637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  72640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  72644 */   // (or:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  72644 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  72649 */   GIR_RootConstrainSelectedInstOperands,
     /*  72650 */   // GIR_Coverage, 7449,
     /*  72650 */   GIR_Done,
     /*  72651 */ // Label 1180: @72651
     /*  72651 */ GIM_Reject,
     /*  72652 */ // Label 1024: @72652
     /*  72652 */ GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(72683), // Rule ID 8442 //
     /*  72657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  72663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  72666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  72670 */   // (or:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  72670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  72673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  72675 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72677 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72679 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  72681 */   GIR_RootConstrainSelectedInstOperands,
     /*  72682 */   // GIR_Coverage, 8442,
     /*  72682 */   GIR_EraseRootFromParent_Done,
     /*  72683 */ // Label 1181: @72683
     /*  72683 */ GIM_Reject,
     /*  72684 */ // Label 1025: @72684
     /*  72684 */ GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(72709), // Rule ID 7448 //
     /*  72689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  72695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  72698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  72702 */   // (or:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  72702 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  72707 */   GIR_RootConstrainSelectedInstOperands,
     /*  72708 */   // GIR_Coverage, 7448,
     /*  72708 */   GIR_Done,
     /*  72709 */ // Label 1182: @72709
     /*  72709 */ GIM_Reject,
     /*  72710 */ // Label 1026: @72710
     /*  72710 */ GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(72741), // Rule ID 8441 //
     /*  72715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  72721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  72724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  72728 */   // (or:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  72728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  72731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  72733 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72735 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72737 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  72739 */   GIR_RootConstrainSelectedInstOperands,
     /*  72740 */   // GIR_Coverage, 8441,
     /*  72740 */   GIR_EraseRootFromParent_Done,
     /*  72741 */ // Label 1183: @72741
     /*  72741 */ GIM_Reject,
     /*  72742 */ // Label 1027: @72742
     /*  72742 */ GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(72767), // Rule ID 7447 //
     /*  72747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  72753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  72756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  72760 */   // (or:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  72760 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  72765 */   GIR_RootConstrainSelectedInstOperands,
     /*  72766 */   // GIR_Coverage, 7447,
     /*  72766 */   GIR_Done,
     /*  72767 */ // Label 1184: @72767
     /*  72767 */ GIM_Reject,
     /*  72768 */ // Label 1028: @72768
     /*  72768 */ GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(72799), // Rule ID 8440 //
     /*  72773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  72779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  72782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  72786 */   // (or:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  72786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  72789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  72791 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72793 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72795 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  72797 */   GIR_RootConstrainSelectedInstOperands,
     /*  72798 */   // GIR_Coverage, 8440,
     /*  72798 */   GIR_EraseRootFromParent_Done,
     /*  72799 */ // Label 1185: @72799
     /*  72799 */ GIM_Reject,
     /*  72800 */ // Label 1029: @72800
     /*  72800 */ GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(72825), // Rule ID 7446 //
     /*  72805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  72811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  72814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  72818 */   // (or:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  72818 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  72823 */   GIR_RootConstrainSelectedInstOperands,
     /*  72824 */   // GIR_Coverage, 7446,
     /*  72824 */   GIR_Done,
     /*  72825 */ // Label 1186: @72825
     /*  72825 */ GIM_Reject,
     /*  72826 */ // Label 1030: @72826
     /*  72826 */ GIM_Reject,
     /*  72827 */ // Label 7: @72827
     /*  72827 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 1205*/ GIMT_Encode4(80018),
     /*  72838 */ /*GILLT_s32*//*Label 1187*/ GIMT_Encode4(72926),
     /*  72842 */ /*GILLT_s64*//*Label 1188*/ GIMT_Encode4(73606), GIMT_Encode4(0),
     /*  72850 */ /*GILLT_v2s32*//*Label 1189*/ GIMT_Encode4(74449),
     /*  72854 */ /*GILLT_v2s64*//*Label 1190*/ GIMT_Encode4(74684),
     /*  72858 */ /*GILLT_v4s16*//*Label 1191*/ GIMT_Encode4(75373),
     /*  72862 */ /*GILLT_v4s32*//*Label 1192*/ GIMT_Encode4(75608),
     /*  72866 */ /*GILLT_v8s8*//*Label 1193*/ GIMT_Encode4(76297),
     /*  72870 */ /*GILLT_v8s16*//*Label 1194*/ GIMT_Encode4(76535),
     /*  72874 */ /*GILLT_v16s8*//*Label 1195*/ GIMT_Encode4(77224),
     /*  72878 */ /*GILLT_nxv1s1*//*Label 1196*/ GIMT_Encode4(77916),
     /*  72882 */ /*GILLT_nxv2s1*//*Label 1197*/ GIMT_Encode4(77966), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  72894 */ /*GILLT_nxv2s64*//*Label 1198*/ GIMT_Encode4(78016),
     /*  72898 */ /*GILLT_nxv4s1*//*Label 1199*/ GIMT_Encode4(78479), GIMT_Encode4(0),
     /*  72906 */ /*GILLT_nxv4s32*//*Label 1200*/ GIMT_Encode4(78529),
     /*  72910 */ /*GILLT_nxv8s1*//*Label 1201*/ GIMT_Encode4(78992),
     /*  72914 */ /*GILLT_nxv8s16*//*Label 1202*/ GIMT_Encode4(79042),
     /*  72918 */ /*GILLT_nxv16s1*//*Label 1203*/ GIMT_Encode4(79505),
     /*  72922 */ /*GILLT_nxv16s8*//*Label 1204*/ GIMT_Encode4(79555),
     /*  72926 */ // Label 1187: @72926
     /*  72926 */ GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(73605),
     /*  72931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  72934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  72937 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(72995), // Rule ID 13230 //
     /*  72942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72967 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  72971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  72980 */     // (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }))  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  72980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  72983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72989 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  72993 */     GIR_RootConstrainSelectedInstOperands,
     /*  72994 */     // GIR_Coverage, 13230,
     /*  72994 */     GIR_EraseRootFromParent_Done,
     /*  72995 */   // Label 1207: @72995
     /*  72995 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(73050), // Rule ID 13229 //
     /*  73000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73020 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73037 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  73040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  73044 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73048 */     GIR_RootConstrainSelectedInstOperands,
     /*  73049 */     // GIR_Coverage, 13229,
     /*  73049 */     GIR_EraseRootFromParent_Done,
     /*  73050 */   // Label 1208: @73050
     /*  73050 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(73108), // Rule ID 13227 //
     /*  73055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73080 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73086 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73093 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn), -1:{ *:[i32] })  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  73096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  73102 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73106 */     GIR_RootConstrainSelectedInstOperands,
     /*  73107 */     // GIR_Coverage, 13227,
     /*  73107 */     GIR_EraseRootFromParent_Done,
     /*  73108 */   // Label 1209: @73108
     /*  73108 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(73166), // Rule ID 166 //
     /*  73113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73138 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73144 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73151 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift), -1:{ *:[i32] })  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  73154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73160 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73164 */     GIR_RootConstrainSelectedInstOperands,
     /*  73165 */     // GIR_Coverage, 166,
     /*  73165 */     GIR_EraseRootFromParent_Done,
     /*  73166 */   // Label 1210: @73166
     /*  73166 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(73224), // Rule ID 13228 //
     /*  73171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73196 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73209 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }), logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  73212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73218 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73222 */     GIR_RootConstrainSelectedInstOperands,
     /*  73223 */     // GIR_Coverage, 13228,
     /*  73223 */     GIR_EraseRootFromParent_Done,
     /*  73224 */   // Label 1211: @73224
     /*  73224 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(73279), // Rule ID 13231 //
     /*  73229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73253 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73259 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73266 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }))  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  73269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73271 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73273 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73277 */     GIR_RootConstrainSelectedInstOperands,
     /*  73278 */     // GIR_Coverage, 13231,
     /*  73278 */     GIR_EraseRootFromParent_Done,
     /*  73279 */   // Label 1212: @73279
     /*  73279 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(73320), // Rule ID 144 //
     /*  73284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  73288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  73300 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm32),
     /*  73304 */     // MIs[1] Operand 1
     /*  73304 */     // No operand predicates
     /*  73304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73306 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_logical_imm32>><<X:logical_imm32_XFORM>>:$imm)  =>  (EORWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (logical_imm32_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  73306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORWri),
     /*  73309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73311 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73313 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // imm
     /*  73318 */     GIR_RootConstrainSelectedInstOperands,
     /*  73319 */     // GIR_Coverage, 144,
     /*  73319 */     GIR_EraseRootFromParent_Done,
     /*  73320 */   // Label 1213: @73320
     /*  73320 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(73353), // Rule ID 13237 //
     /*  73325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73340 */     // (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (EORWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORWrs),
     /*  73343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  73347 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73351 */     GIR_RootConstrainSelectedInstOperands,
     /*  73352 */     // GIR_Coverage, 13237,
     /*  73352 */     GIR_EraseRootFromParent_Done,
     /*  73353 */   // Label 1214: @73353
     /*  73353 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(73386), // Rule ID 170 //
     /*  73358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73373 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (EORWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORWrs),
     /*  73376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73378 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73380 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73384 */     GIR_RootConstrainSelectedInstOperands,
     /*  73385 */     // GIR_Coverage, 170,
     /*  73385 */     GIR_EraseRootFromParent_Done,
     /*  73386 */   // Label 1215: @73386
     /*  73386 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(73439), // Rule ID 13223 //
     /*  73391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73416 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73426 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rm)  =>  (EONWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  73426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrr),
     /*  73429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  73437 */     GIR_RootConstrainSelectedInstOperands,
     /*  73438 */     // GIR_Coverage, 13223,
     /*  73438 */     GIR_EraseRootFromParent_Done,
     /*  73439 */   // Label 1216: @73439
     /*  73439 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(73495), // Rule ID 164 //
     /*  73444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73474 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73480 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm), -1:{ *:[i32] })  =>  (EONWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  73480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrr),
     /*  73483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  73493 */     GIR_RootConstrainSelectedInstOperands,
     /*  73494 */     // GIR_Coverage, 164,
     /*  73494 */     GIR_EraseRootFromParent_Done,
     /*  73495 */   // Label 1217: @73495
     /*  73495 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(73548), // Rule ID 13224 //
     /*  73500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73529 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73535 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }))  =>  (EONWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  73535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrr),
     /*  73538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73544 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  73546 */     GIR_RootConstrainSelectedInstOperands,
     /*  73547 */     // GIR_Coverage, 13224,
     /*  73547 */     GIR_EraseRootFromParent_Done,
     /*  73548 */   // Label 1218: @73548
     /*  73548 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(73580), // Rule ID 4002 //
     /*  73553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73561 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73565 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Wm, -1:{ *:[i32] })  =>  (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Wm)
     /*  73565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /*  73568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73570 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73576 */     GIR_RootToRootCopy, /*OpIdx*/1, // Wm
     /*  73578 */     GIR_RootConstrainSelectedInstOperands,
     /*  73579 */     // GIR_Coverage, 4002,
     /*  73579 */     GIR_EraseRootFromParent_Done,
     /*  73580 */   // Label 1219: @73580
     /*  73580 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(73604), // Rule ID 168 //
     /*  73585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73597 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (EORWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  73597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORWrr),
     /*  73602 */     GIR_RootConstrainSelectedInstOperands,
     /*  73603 */     // GIR_Coverage, 168,
     /*  73603 */     GIR_Done,
     /*  73604 */   // Label 1220: @73604
     /*  73604 */   GIM_Reject,
     /*  73605 */ // Label 1206: @73605
     /*  73605 */ GIM_Reject,
     /*  73606 */ // Label 1188: @73606
     /*  73606 */ GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(74448),
     /*  73611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  73614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  73617 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(73675), // Rule ID 13235 //
     /*  73622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73638 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73647 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73660 */     // (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }))  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73669 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73673 */     GIR_RootConstrainSelectedInstOperands,
     /*  73674 */     // GIR_Coverage, 13235,
     /*  73674 */     GIR_EraseRootFromParent_Done,
     /*  73675 */   // Label 1222: @73675
     /*  73675 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(73730), // Rule ID 13234 //
     /*  73680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73700 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73710 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73717 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  73724 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73728 */     GIR_RootConstrainSelectedInstOperands,
     /*  73729 */     // GIR_Coverage, 13234,
     /*  73729 */     GIR_EraseRootFromParent_Done,
     /*  73730 */   // Label 1223: @73730
     /*  73730 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(73788), // Rule ID 13232 //
     /*  73735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73751 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73760 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73766 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73773 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn), -1:{ *:[i64] })  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  73782 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73786 */     GIR_RootConstrainSelectedInstOperands,
     /*  73787 */     // GIR_Coverage, 13232,
     /*  73787 */     GIR_EraseRootFromParent_Done,
     /*  73788 */   // Label 1224: @73788
     /*  73788 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(73846), // Rule ID 167 //
     /*  73793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73809 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73818 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73824 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73831 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift), -1:{ *:[i64] })  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73840 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73844 */     GIR_RootConstrainSelectedInstOperands,
     /*  73845 */     // GIR_Coverage, 167,
     /*  73845 */     GIR_EraseRootFromParent_Done,
     /*  73846 */   // Label 1225: @73846
     /*  73846 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(73904), // Rule ID 13233 //
     /*  73851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73876 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73889 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }), logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73898 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73902 */     GIR_RootConstrainSelectedInstOperands,
     /*  73903 */     // GIR_Coverage, 13233,
     /*  73903 */     GIR_EraseRootFromParent_Done,
     /*  73904 */   // Label 1226: @73904
     /*  73904 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(73959), // Rule ID 13236 //
     /*  73909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73933 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73939 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73946 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }))  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73951 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73953 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73957 */     GIR_RootConstrainSelectedInstOperands,
     /*  73958 */     // GIR_Coverage, 13236,
     /*  73958 */     GIR_EraseRootFromParent_Done,
     /*  73959 */   // Label 1227: @73959
     /*  73959 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(74059), // Rule ID 1613 //
     /*  73964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  73967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  73979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73983 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /*  73987 */     // MIs[1] Operand 1
     /*  73987 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  73992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  74004 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  74008 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74013 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74018 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  74022 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74028 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  74030 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  74034 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74040 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  74042 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  74044 */     // (xor:{ *:[v1i64] } (setcc:{ *:[v1i64] } (and:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm), immAllZerosV:{ *:[v1i64] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v1i64] })  =>  (CMTSTv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /*  74044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv1i64),
     /*  74047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  74053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  74057 */     GIR_RootConstrainSelectedInstOperands,
     /*  74058 */     // GIR_Coverage, 1613,
     /*  74058 */     GIR_EraseRootFromParent_Done,
     /*  74059 */   // Label 1228: @74059
     /*  74059 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(74100), // Rule ID 145 //
     /*  74064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  74068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  74080 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm64),
     /*  74084 */     // MIs[1] Operand 1
     /*  74084 */     // No operand predicates
     /*  74084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74086 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_logical_imm64>><<X:logical_imm64_XFORM>>:$imm)  =>  (EORXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (logical_imm64_XFORM:{ *:[i64] } (imm:{ *:[i64] }):$imm))
     /*  74086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORXri),
     /*  74089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74091 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  74093 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm64), // imm
     /*  74098 */     GIR_RootConstrainSelectedInstOperands,
     /*  74099 */     // GIR_Coverage, 145,
     /*  74099 */     GIR_EraseRootFromParent_Done,
     /*  74100 */   // Label 1229: @74100
     /*  74100 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(74133), // Rule ID 13238 //
     /*  74105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  74120 */     // (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (EORXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  74120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORXrs),
     /*  74123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  74127 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  74131 */     GIR_RootConstrainSelectedInstOperands,
     /*  74132 */     // GIR_Coverage, 13238,
     /*  74132 */     GIR_EraseRootFromParent_Done,
     /*  74133 */   // Label 1230: @74133
     /*  74133 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(74166), // Rule ID 171 //
     /*  74138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  74153 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (EORXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  74153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORXrs),
     /*  74156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74158 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  74160 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  74164 */     GIR_RootConstrainSelectedInstOperands,
     /*  74165 */     // GIR_Coverage, 171,
     /*  74165 */     GIR_EraseRootFromParent_Done,
     /*  74166 */   // Label 1231: @74166
     /*  74166 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(74219), // Rule ID 13225 //
     /*  74171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  74187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  74191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74196 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  74200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74206 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rm)  =>  (EONXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  74206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrr),
     /*  74209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  74215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  74217 */     GIR_RootConstrainSelectedInstOperands,
     /*  74218 */     // GIR_Coverage, 13225,
     /*  74218 */     GIR_EraseRootFromParent_Done,
     /*  74219 */   // Label 1232: @74219
     /*  74219 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(74275), // Rule ID 165 //
     /*  74224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  74240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  74244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74254 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  74258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74260 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm), -1:{ *:[i64] })  =>  (EONXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  74260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrr),
     /*  74263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  74269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  74273 */     GIR_RootConstrainSelectedInstOperands,
     /*  74274 */     // GIR_Coverage, 165,
     /*  74274 */     GIR_EraseRootFromParent_Done,
     /*  74275 */   // Label 1233: @74275
     /*  74275 */   GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(74328), // Rule ID 13226 //
     /*  74280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  74300 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  74304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74309 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  74313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74315 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }))  =>  (EONXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  74315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrr),
     /*  74318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  74324 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  74326 */     GIR_RootConstrainSelectedInstOperands,
     /*  74327 */     // GIR_Coverage, 13226,
     /*  74327 */     GIR_EraseRootFromParent_Done,
     /*  74328 */   // Label 1234: @74328
     /*  74328 */   GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(74360), // Rule ID 4003 //
     /*  74333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74341 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  74345 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Xm, -1:{ *:[i64] })  =>  (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Xm)
     /*  74345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /*  74348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74356 */     GIR_RootToRootCopy, /*OpIdx*/1, // Xm
     /*  74358 */     GIR_RootConstrainSelectedInstOperands,
     /*  74359 */     // GIR_Coverage, 4003,
     /*  74359 */     GIR_EraseRootFromParent_Done,
     /*  74360 */   // Label 1235: @74360
     /*  74360 */   GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(74396), // Rule ID 4951 //
     /*  74365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74377 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74383 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  74385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74387 */     // (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, immAllOnesV:{ *:[v1i64] })  =>  (NOTv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn)
     /*  74387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  74390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74392 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  74394 */     GIR_RootConstrainSelectedInstOperands,
     /*  74395 */     // GIR_Coverage, 4951,
     /*  74395 */     GIR_EraseRootFromParent_Done,
     /*  74396 */   // Label 1236: @74396
     /*  74396 */   GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(74420), // Rule ID 169 //
     /*  74401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74413 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (EORXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  74413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORXrr),
     /*  74418 */     GIR_RootConstrainSelectedInstOperands,
     /*  74419 */     // GIR_Coverage, 169,
     /*  74419 */     GIR_Done,
     /*  74420 */   // Label 1237: @74420
     /*  74420 */   GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(74447), // Rule ID 5050 //
     /*  74425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  74428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74440 */     // (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)  =>  (EORv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  74440 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  74445 */     GIR_RootConstrainSelectedInstOperands,
     /*  74446 */     // GIR_Coverage, 5050,
     /*  74446 */     GIR_Done,
     /*  74447 */   // Label 1238: @74447
     /*  74447 */   GIM_Reject,
     /*  74448 */ // Label 1221: @74448
     /*  74448 */ GIM_Reject,
     /*  74449 */ // Label 1189: @74449
     /*  74449 */ GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(74683),
     /*  74454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  74457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  74460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74464 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(74560), // Rule ID 1160 //
     /*  74469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  74472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  74480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  74484 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  74488 */     // MIs[1] Operand 1
     /*  74488 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  74493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  74505 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  74509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  74523 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74529 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  74531 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  74535 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74541 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  74543 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  74545 */     // (xor:{ *:[v2i32] } (setcc:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v2i32] })  =>  (CMTSTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  74545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv2i32),
     /*  74548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  74554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  74558 */     GIR_RootConstrainSelectedInstOperands,
     /*  74559 */     // GIR_Coverage, 1160,
     /*  74559 */     GIR_EraseRootFromParent_Done,
     /*  74560 */   // Label 1240: @74560
     /*  74560 */   GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(74627), // Rule ID 4998 //
     /*  74565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  74573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  74577 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  74581 */     // MIs[1] Operand 1
     /*  74581 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  74586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  74590 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74596 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  74598 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  74602 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74608 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74610 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74612 */     // (xor:{ *:[v2i32] } (setcc:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v2i32] })  =>  (CMTSTv2i32:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$Rn, v2i32:{ *:[v2i32] }:$Rn)
     /*  74612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv2i32),
     /*  74615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  74621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  74625 */     GIR_RootConstrainSelectedInstOperands,
     /*  74626 */     // GIR_Coverage, 4998,
     /*  74626 */     GIR_EraseRootFromParent_Done,
     /*  74627 */   // Label 1241: @74627
     /*  74627 */   GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(74659), // Rule ID 4949 //
     /*  74632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74640 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74646 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  74648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74650 */     // (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllOnesV:{ *:[v2i32] })  =>  (NOTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /*  74650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  74653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74655 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  74657 */     GIR_RootConstrainSelectedInstOperands,
     /*  74658 */     // GIR_Coverage, 4949,
     /*  74658 */     GIR_EraseRootFromParent_Done,
     /*  74659 */   // Label 1242: @74659
     /*  74659 */   GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(74682), // Rule ID 5049 //
     /*  74664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  74667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74675 */     // (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (EORv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  74675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  74680 */     GIR_RootConstrainSelectedInstOperands,
     /*  74681 */     // GIR_Coverage, 5049,
     /*  74681 */     GIR_Done,
     /*  74682 */   // Label 1243: @74682
     /*  74682 */   GIM_Reject,
     /*  74683 */ // Label 1239: @74683
     /*  74683 */ GIM_Reject,
     /*  74684 */ // Label 1190: @74684
     /*  74684 */ GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(75372),
     /*  74689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74699 */   GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(74795), // Rule ID 1162 //
     /*  74704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  74707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  74715 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74719 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  74723 */     // MIs[1] Operand 1
     /*  74723 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  74728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74740 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74754 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  74758 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74764 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  74766 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  74770 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74776 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  74778 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  74780 */     // (xor:{ *:[v2i64] } (setcc:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v2i64] })  =>  (CMTSTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  74780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv2i64),
     /*  74783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  74789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  74793 */     GIR_RootConstrainSelectedInstOperands,
     /*  74794 */     // GIR_Coverage, 1162,
     /*  74794 */     GIR_EraseRootFromParent_Done,
     /*  74795 */   // Label 1245: @74795
     /*  74795 */   GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(74862), // Rule ID 5000 //
     /*  74800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  74808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74812 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  74816 */     // MIs[1] Operand 1
     /*  74816 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  74821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  74825 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74831 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  74833 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  74837 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74843 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74845 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74847 */     // (xor:{ *:[v2i64] } (setcc:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v2i64] })  =>  (CMTSTv2i64:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$Rn, v2i64:{ *:[v2i64] }:$Rn)
     /*  74847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv2i64),
     /*  74850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  74856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  74860 */     GIR_RootConstrainSelectedInstOperands,
     /*  74861 */     // GIR_Coverage, 5000,
     /*  74861 */     GIR_EraseRootFromParent_Done,
     /*  74862 */   // Label 1246: @74862
     /*  74862 */   GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(74947), // Rule ID 13760 //
     /*  74867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  74870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74898 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74911 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74917 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74928 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74930 */     // (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$Vm), V128:{ *:[v2i64] }:$Vn)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  74930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  74933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  74935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  74937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  74941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  74945 */     GIR_RootConstrainSelectedInstOperands,
     /*  74946 */     // GIR_Coverage, 13760,
     /*  74946 */     GIR_EraseRootFromParent_Done,
     /*  74947 */   // Label 1247: @74947
     /*  74947 */   GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(75032), // Rule ID 13759 //
     /*  74952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  74955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74988 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74997 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75001 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75007 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75013 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75015 */     // (xor:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vm, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] })), V128:{ *:[v2i64] }:$Vn)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  75015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  75022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  75026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75030 */     GIR_RootConstrainSelectedInstOperands,
     /*  75031 */     // GIR_Coverage, 13759,
     /*  75031 */     GIR_EraseRootFromParent_Done,
     /*  75032 */   // Label 1248: @75032
     /*  75032 */   GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(75117), // Rule ID 13758 //
     /*  75037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  75056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  75060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  75072 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  75076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75081 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75085 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75091 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75098 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75100 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$Vm))  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  75100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75105 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  75107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  75111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75115 */     GIR_RootConstrainSelectedInstOperands,
     /*  75116 */     // GIR_Coverage, 13758,
     /*  75116 */     GIR_EraseRootFromParent_Done,
     /*  75117 */   // Label 1249: @75117
     /*  75117 */   GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(75202), // Rule ID 3830 //
     /*  75122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  75141 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  75145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75150 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75154 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75158 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  75162 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  75166 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75171 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75175 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75181 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75183 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75185 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vm, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] })))  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  75185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75190 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  75192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  75196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75200 */     GIR_RootConstrainSelectedInstOperands,
     /*  75201 */     // GIR_Coverage, 3830,
     /*  75201 */     GIR_EraseRootFromParent_Done,
     /*  75202 */   // Label 1250: @75202
     /*  75202 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(75234), // Rule ID 4952 //
     /*  75207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75215 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75221 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  75223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75225 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] })  =>  (NOTv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /*  75225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  75228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75230 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  75232 */     GIR_RootConstrainSelectedInstOperands,
     /*  75233 */     // GIR_Coverage, 4952,
     /*  75233 */     GIR_EraseRootFromParent_Done,
     /*  75234 */   // Label 1251: @75234
     /*  75234 */   GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(75291), // Rule ID 3826 //
     /*  75239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  75254 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  75258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75274 */     // (xor:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm), V128:{ *:[v2i64] }:$Va)  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  75274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  75277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  75283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  75287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  75289 */     GIR_RootConstrainSelectedInstOperands,
     /*  75290 */     // GIR_Coverage, 3826,
     /*  75290 */     GIR_EraseRootFromParent_Done,
     /*  75291 */   // Label 1252: @75291
     /*  75291 */   GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(75348), // Rule ID 13748 //
     /*  75296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  75315 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  75319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75331 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm))  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  75331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  75334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  75340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  75344 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  75346 */     GIR_RootConstrainSelectedInstOperands,
     /*  75347 */     // GIR_Coverage, 13748,
     /*  75347 */     GIR_EraseRootFromParent_Done,
     /*  75348 */   // Label 1253: @75348
     /*  75348 */   GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(75371), // Rule ID 5053 //
     /*  75353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75364 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (EORv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  75364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  75369 */     GIR_RootConstrainSelectedInstOperands,
     /*  75370 */     // GIR_Coverage, 5053,
     /*  75370 */     GIR_Done,
     /*  75371 */   // Label 1254: @75371
     /*  75371 */   GIM_Reject,
     /*  75372 */ // Label 1244: @75372
     /*  75372 */ GIM_Reject,
     /*  75373 */ // Label 1191: @75373
     /*  75373 */ GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(75607),
     /*  75378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  75381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  75384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75388 */   GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(75484), // Rule ID 1158 //
     /*  75393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75404 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  75408 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  75412 */     // MIs[1] Operand 1
     /*  75412 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  75429 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  75433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75443 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  75447 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75453 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  75455 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  75459 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75465 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  75467 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  75469 */     // (xor:{ *:[v4i16] } (setcc:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v4i16] })  =>  (CMTSTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  75469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv4i16),
     /*  75472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  75478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  75482 */     GIR_RootConstrainSelectedInstOperands,
     /*  75483 */     // GIR_Coverage, 1158,
     /*  75483 */     GIR_EraseRootFromParent_Done,
     /*  75484 */   // Label 1256: @75484
     /*  75484 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(75551), // Rule ID 4996 //
     /*  75489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  75501 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  75505 */     // MIs[1] Operand 1
     /*  75505 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  75514 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75520 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  75522 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  75526 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75532 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75536 */     // (xor:{ *:[v4i16] } (setcc:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v4i16] })  =>  (CMTSTv4i16:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$Rn, v4i16:{ *:[v4i16] }:$Rn)
     /*  75536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv4i16),
     /*  75539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75549 */     GIR_RootConstrainSelectedInstOperands,
     /*  75550 */     // GIR_Coverage, 4996,
     /*  75550 */     GIR_EraseRootFromParent_Done,
     /*  75551 */   // Label 1257: @75551
     /*  75551 */   GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(75583), // Rule ID 4947 //
     /*  75556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75564 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75570 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  75572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75574 */     // (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllOnesV:{ *:[v4i16] })  =>  (NOTv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /*  75574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  75577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75579 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  75581 */     GIR_RootConstrainSelectedInstOperands,
     /*  75582 */     // GIR_Coverage, 4947,
     /*  75582 */     GIR_EraseRootFromParent_Done,
     /*  75583 */   // Label 1258: @75583
     /*  75583 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(75606), // Rule ID 5048 //
     /*  75588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75599 */     // (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (EORv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  75599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  75604 */     GIR_RootConstrainSelectedInstOperands,
     /*  75605 */     // GIR_Coverage, 5048,
     /*  75605 */     GIR_Done,
     /*  75606 */   // Label 1259: @75606
     /*  75606 */   GIM_Reject,
     /*  75607 */ // Label 1255: @75607
     /*  75607 */ GIM_Reject,
     /*  75608 */ // Label 1192: @75608
     /*  75608 */ GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(76296),
     /*  75613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75623 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(75719), // Rule ID 1161 //
     /*  75628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75643 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  75647 */     // MIs[1] Operand 1
     /*  75647 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75664 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75673 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75678 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  75682 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75688 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  75690 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  75694 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75700 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  75702 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  75704 */     // (xor:{ *:[v4i32] } (setcc:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v4i32] })  =>  (CMTSTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  75704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv4i32),
     /*  75707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  75713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  75717 */     GIR_RootConstrainSelectedInstOperands,
     /*  75718 */     // GIR_Coverage, 1161,
     /*  75718 */     GIR_EraseRootFromParent_Done,
     /*  75719 */   // Label 1261: @75719
     /*  75719 */   GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(75786), // Rule ID 4999 //
     /*  75724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75736 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  75740 */     // MIs[1] Operand 1
     /*  75740 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  75749 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75755 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  75757 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  75761 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75767 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75769 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75771 */     // (xor:{ *:[v4i32] } (setcc:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v4i32] })  =>  (CMTSTv4i32:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$Rn, v4i32:{ *:[v4i32] }:$Rn)
     /*  75771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv4i32),
     /*  75774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75784 */     GIR_RootConstrainSelectedInstOperands,
     /*  75785 */     // GIR_Coverage, 4999,
     /*  75785 */     GIR_EraseRootFromParent_Done,
     /*  75786 */   // Label 1262: @75786
     /*  75786 */   GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(75871), // Rule ID 13757 //
     /*  75791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75822 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75831 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75835 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75841 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75854 */     // (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$Vm), V128:{ *:[v4i32] }:$Vn)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  75854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75859 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  75861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  75865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75869 */     GIR_RootConstrainSelectedInstOperands,
     /*  75870 */     // GIR_Coverage, 13757,
     /*  75870 */     GIR_EraseRootFromParent_Done,
     /*  75871 */   // Label 1263: @75871
     /*  75871 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(75956), // Rule ID 13756 //
     /*  75876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75912 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75925 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75931 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75937 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75939 */     // (xor:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vm, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] })), V128:{ *:[v4i32] }:$Vn)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  75939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  75946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  75950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75954 */     GIR_RootConstrainSelectedInstOperands,
     /*  75955 */     // GIR_Coverage, 13756,
     /*  75955 */     GIR_EraseRootFromParent_Done,
     /*  75956 */   // Label 1264: @75956
     /*  75956 */   GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(76041), // Rule ID 13755 //
     /*  75961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75996 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  76000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76005 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76009 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76015 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76024 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$Vm))  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  76024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76029 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  76031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76039 */     GIR_RootConstrainSelectedInstOperands,
     /*  76040 */     // GIR_Coverage, 13755,
     /*  76040 */     GIR_EraseRootFromParent_Done,
     /*  76041 */   // Label 1265: @76041
     /*  76041 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(76126), // Rule ID 3829 //
     /*  76046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  76065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  76069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  76086 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  76090 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76095 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76099 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76105 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76107 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76109 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vm, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] })))  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  76109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76114 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  76116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  76120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76124 */     GIR_RootConstrainSelectedInstOperands,
     /*  76125 */     // GIR_Coverage, 3829,
     /*  76125 */     GIR_EraseRootFromParent_Done,
     /*  76126 */   // Label 1266: @76126
     /*  76126 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(76158), // Rule ID 4950 //
     /*  76131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76139 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76145 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  76147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76149 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] })  =>  (NOTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /*  76149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  76152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76154 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  76156 */     GIR_RootConstrainSelectedInstOperands,
     /*  76157 */     // GIR_Coverage, 4950,
     /*  76157 */     GIR_EraseRootFromParent_Done,
     /*  76158 */   // Label 1267: @76158
     /*  76158 */   GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(76215), // Rule ID 3825 //
     /*  76163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  76178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  76182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76198 */     // (xor:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm), V128:{ *:[v4i32] }:$Va)  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  76198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  76201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  76207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76211 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  76213 */     GIR_RootConstrainSelectedInstOperands,
     /*  76214 */     // GIR_Coverage, 3825,
     /*  76214 */     GIR_EraseRootFromParent_Done,
     /*  76215 */   // Label 1268: @76215
     /*  76215 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(76272), // Rule ID 13747 //
     /*  76220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  76239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  76243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76255 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm))  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  76255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  76258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  76264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76268 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  76270 */     GIR_RootConstrainSelectedInstOperands,
     /*  76271 */     // GIR_Coverage, 13747,
     /*  76271 */     GIR_EraseRootFromParent_Done,
     /*  76272 */   // Label 1269: @76272
     /*  76272 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(76295), // Rule ID 5052 //
     /*  76277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76288 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (EORv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  76288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  76293 */     GIR_RootConstrainSelectedInstOperands,
     /*  76294 */     // GIR_Coverage, 5052,
     /*  76294 */     GIR_Done,
     /*  76295 */   // Label 1270: @76295
     /*  76295 */   GIM_Reject,
     /*  76296 */ // Label 1260: @76296
     /*  76296 */ GIM_Reject,
     /*  76297 */ // Label 1193: @76297
     /*  76297 */ GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(76534),
     /*  76302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  76305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  76308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76312 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(76408), // Rule ID 1156 //
     /*  76317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  76328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  76332 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  76336 */     // MIs[1] Operand 1
     /*  76336 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  76341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  76353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  76357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76367 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  76371 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76377 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  76379 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  76383 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76389 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  76391 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  76393 */     // (xor:{ *:[v8i8] } (setcc:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v8i8] })  =>  (CMTSTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  76393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv8i8),
     /*  76396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  76402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  76406 */     GIR_RootConstrainSelectedInstOperands,
     /*  76407 */     // GIR_Coverage, 1156,
     /*  76407 */     GIR_EraseRootFromParent_Done,
     /*  76408 */   // Label 1272: @76408
     /*  76408 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(76475), // Rule ID 4994 //
     /*  76413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  76421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  76425 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  76429 */     // MIs[1] Operand 1
     /*  76429 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  76434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  76438 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76444 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  76446 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  76450 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76456 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76458 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76460 */     // (xor:{ *:[v8i8] } (setcc:{ *:[v8i8] } v8i8:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v8i8] })  =>  (CMTSTv8i8:{ *:[v8i8] } v8i8:{ *:[v8i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rn)
     /*  76460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv8i8),
     /*  76463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  76469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  76473 */     GIR_RootConstrainSelectedInstOperands,
     /*  76474 */     // GIR_Coverage, 4994,
     /*  76474 */     GIR_EraseRootFromParent_Done,
     /*  76475 */   // Label 1273: @76475
     /*  76475 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(76510), // Rule ID 972 //
     /*  76480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76491 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76497 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  76499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76501 */     // (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllOnesV:{ *:[v8i8] })  =>  (NOTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /*  76501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  76504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76506 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  76508 */     GIR_RootConstrainSelectedInstOperands,
     /*  76509 */     // GIR_Coverage, 972,
     /*  76509 */     GIR_EraseRootFromParent_Done,
     /*  76510 */   // Label 1274: @76510
     /*  76510 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(76533), // Rule ID 1599 //
     /*  76515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76526 */     // (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (EORv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  76526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  76531 */     GIR_RootConstrainSelectedInstOperands,
     /*  76532 */     // GIR_Coverage, 1599,
     /*  76532 */     GIR_Done,
     /*  76533 */   // Label 1275: @76533
     /*  76533 */   GIM_Reject,
     /*  76534 */ // Label 1271: @76534
     /*  76534 */ GIM_Reject,
     /*  76535 */ // Label 1194: @76535
     /*  76535 */ GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(77223),
     /*  76540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76550 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(76646), // Rule ID 1159 //
     /*  76555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  76566 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76570 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  76574 */     // MIs[1] Operand 1
     /*  76574 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  76579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76591 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76605 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  76609 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76615 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  76617 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  76621 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76627 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  76629 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  76631 */     // (xor:{ *:[v8i16] } (setcc:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v8i16] })  =>  (CMTSTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  76631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv8i16),
     /*  76634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  76640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  76644 */     GIR_RootConstrainSelectedInstOperands,
     /*  76645 */     // GIR_Coverage, 1159,
     /*  76645 */     GIR_EraseRootFromParent_Done,
     /*  76646 */   // Label 1277: @76646
     /*  76646 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(76713), // Rule ID 4997 //
     /*  76651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  76659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76663 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  76667 */     // MIs[1] Operand 1
     /*  76667 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  76672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  76676 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76682 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  76684 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  76688 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76694 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76696 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76698 */     // (xor:{ *:[v8i16] } (setcc:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v8i16] })  =>  (CMTSTv8i16:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$Rn, v8i16:{ *:[v8i16] }:$Rn)
     /*  76698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv8i16),
     /*  76701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  76707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  76711 */     GIR_RootConstrainSelectedInstOperands,
     /*  76712 */     // GIR_Coverage, 4997,
     /*  76712 */     GIR_EraseRootFromParent_Done,
     /*  76713 */   // Label 1278: @76713
     /*  76713 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(76798), // Rule ID 13754 //
     /*  76718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76749 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76758 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76762 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76768 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76779 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76781 */     // (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$Vm), V128:{ *:[v8i16] }:$Vn)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  76781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  76788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76796 */     GIR_RootConstrainSelectedInstOperands,
     /*  76797 */     // GIR_Coverage, 13754,
     /*  76797 */     GIR_EraseRootFromParent_Done,
     /*  76798 */   // Label 1279: @76798
     /*  76798 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(76883), // Rule ID 13753 //
     /*  76803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76818 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76839 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76848 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76852 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76858 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76864 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76866 */     // (xor:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vm, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] })), V128:{ *:[v8i16] }:$Vn)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  76866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  76873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  76877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76881 */     GIR_RootConstrainSelectedInstOperands,
     /*  76882 */     // GIR_Coverage, 13753,
     /*  76882 */     GIR_EraseRootFromParent_Done,
     /*  76883 */   // Label 1280: @76883
     /*  76883 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(76968), // Rule ID 13752 //
     /*  76888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76923 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76932 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76936 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76942 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76949 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76951 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$Vm))  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  76951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76956 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  76958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76966 */     GIR_RootConstrainSelectedInstOperands,
     /*  76967 */     // GIR_Coverage, 13752,
     /*  76967 */     GIR_EraseRootFromParent_Done,
     /*  76968 */   // Label 1281: @76968
     /*  76968 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(77053), // Rule ID 3828 //
     /*  76973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76992 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  77013 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  77017 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77022 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77026 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77032 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77034 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77036 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vm, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] })))  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  77036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  77039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77041 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  77043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  77047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  77051 */     GIR_RootConstrainSelectedInstOperands,
     /*  77052 */     // GIR_Coverage, 3828,
     /*  77052 */     GIR_EraseRootFromParent_Done,
     /*  77053 */   // Label 1282: @77053
     /*  77053 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(77085), // Rule ID 4948 //
     /*  77058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77066 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77072 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  77074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77076 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] })  =>  (NOTv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /*  77076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  77079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  77081 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  77083 */     GIR_RootConstrainSelectedInstOperands,
     /*  77084 */     // GIR_Coverage, 4948,
     /*  77084 */     GIR_EraseRootFromParent_Done,
     /*  77085 */   // Label 1283: @77085
     /*  77085 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(77142), // Rule ID 3824 //
     /*  77090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  77105 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  77109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77125 */     // (xor:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm), V128:{ *:[v8i16] }:$Va)  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  77125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  77128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  77134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  77140 */     GIR_RootConstrainSelectedInstOperands,
     /*  77141 */     // GIR_Coverage, 3824,
     /*  77141 */     GIR_EraseRootFromParent_Done,
     /*  77142 */   // Label 1284: @77142
     /*  77142 */   GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(77199), // Rule ID 13746 //
     /*  77147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  77166 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  77170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77182 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm))  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  77182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  77185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  77191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77195 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  77197 */     GIR_RootConstrainSelectedInstOperands,
     /*  77198 */     // GIR_Coverage, 13746,
     /*  77198 */     GIR_EraseRootFromParent_Done,
     /*  77199 */   // Label 1285: @77199
     /*  77199 */   GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(77222), // Rule ID 5051 //
     /*  77204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77215 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (EORv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  77215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  77220 */     GIR_RootConstrainSelectedInstOperands,
     /*  77221 */     // GIR_Coverage, 5051,
     /*  77221 */     GIR_Done,
     /*  77222 */   // Label 1286: @77222
     /*  77222 */   GIM_Reject,
     /*  77223 */ // Label 1276: @77223
     /*  77223 */ GIM_Reject,
     /*  77224 */ // Label 1195: @77224
     /*  77224 */ GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(77915),
     /*  77229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77239 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(77335), // Rule ID 1157 //
     /*  77244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  77255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77259 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  77263 */     // MIs[1] Operand 1
     /*  77263 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  77268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77289 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77294 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  77298 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77304 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  77306 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  77310 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77316 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  77318 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  77320 */     // (xor:{ *:[v16i8] } (setcc:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm), immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v16i8] })  =>  (CMTSTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  77320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv16i8),
     /*  77323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  77325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  77329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  77333 */     GIR_RootConstrainSelectedInstOperands,
     /*  77334 */     // GIR_Coverage, 1157,
     /*  77334 */     GIR_EraseRootFromParent_Done,
     /*  77335 */   // Label 1288: @77335
     /*  77335 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(77402), // Rule ID 4995 //
     /*  77340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  77348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77352 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  77356 */     // MIs[1] Operand 1
     /*  77356 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  77361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  77365 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77371 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  77373 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  77377 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77383 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77385 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77387 */     // (xor:{ *:[v16i8] } (setcc:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v16i8] })  =>  (CMTSTv16i8:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rn)
     /*  77387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv16i8),
     /*  77390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  77392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  77396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  77400 */     GIR_RootConstrainSelectedInstOperands,
     /*  77401 */     // GIR_Coverage, 4995,
     /*  77401 */     GIR_EraseRootFromParent_Done,
     /*  77402 */   // Label 1289: @77402
     /*  77402 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(77487), // Rule ID 13751 //
     /*  77407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77438 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77451 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77457 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77468 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77470 */     // (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Vm), V128:{ *:[v16i8] }:$Vn)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  77473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  77477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  77485 */     GIR_RootConstrainSelectedInstOperands,
     /*  77486 */     // GIR_Coverage, 13751,
     /*  77486 */     GIR_EraseRootFromParent_Done,
     /*  77487 */   // Label 1290: @77487
     /*  77487 */   GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(77572), // Rule ID 13750 //
     /*  77492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77528 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77541 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77547 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77553 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77555 */     // (xor:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] })), V128:{ *:[v16i8] }:$Vn)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  77558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  77562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  77566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  77570 */     GIR_RootConstrainSelectedInstOperands,
     /*  77571 */     // GIR_Coverage, 13750,
     /*  77571 */     GIR_EraseRootFromParent_Done,
     /*  77572 */   // Label 1291: @77572
     /*  77572 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(77657), // Rule ID 13749 //
     /*  77577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77596 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77612 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77621 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77625 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77631 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77640 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Vm))  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  77643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77645 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  77647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  77655 */     GIR_RootConstrainSelectedInstOperands,
     /*  77656 */     // GIR_Coverage, 13749,
     /*  77656 */     GIR_EraseRootFromParent_Done,
     /*  77657 */   // Label 1292: @77657
     /*  77657 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(77742), // Rule ID 3827 //
     /*  77662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77702 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77711 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77715 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77721 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77723 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77725 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] })))  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  77728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77730 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  77732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  77736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  77740 */     GIR_RootConstrainSelectedInstOperands,
     /*  77741 */     // GIR_Coverage, 3827,
     /*  77741 */     GIR_EraseRootFromParent_Done,
     /*  77742 */   // Label 1293: @77742
     /*  77742 */   GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(77777), // Rule ID 973 //
     /*  77747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77758 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77764 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  77766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77768 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllOnesV:{ *:[v16i8] })  =>  (NOTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /*  77768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  77771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  77773 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  77775 */     GIR_RootConstrainSelectedInstOperands,
     /*  77776 */     // GIR_Coverage, 973,
     /*  77776 */     GIR_EraseRootFromParent_Done,
     /*  77777 */   // Label 1294: @77777
     /*  77777 */   GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(77834), // Rule ID 3823 //
     /*  77782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77817 */     // (xor:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm), V128:{ *:[v16i8] }:$Va)  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  77820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  77826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  77832 */     GIR_RootConstrainSelectedInstOperands,
     /*  77833 */     // GIR_Coverage, 3823,
     /*  77833 */     GIR_EraseRootFromParent_Done,
     /*  77834 */   // Label 1295: @77834
     /*  77834 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(77891), // Rule ID 13745 //
     /*  77839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77874 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm))  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  77877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  77883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77887 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  77889 */     GIR_RootConstrainSelectedInstOperands,
     /*  77890 */     // GIR_Coverage, 13745,
     /*  77890 */     GIR_EraseRootFromParent_Done,
     /*  77891 */   // Label 1296: @77891
     /*  77891 */   GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(77914), // Rule ID 1600 //
     /*  77896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77907 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (EORv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  77907 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  77912 */     GIR_RootConstrainSelectedInstOperands,
     /*  77913 */     // GIR_Coverage, 1600,
     /*  77913 */     GIR_Done,
     /*  77914 */   // Label 1297: @77914
     /*  77914 */   GIM_Reject,
     /*  77915 */ // Label 1287: @77915
     /*  77915 */ GIM_Reject,
     /*  77916 */ // Label 1196: @77916
     /*  77916 */ GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(77965), // Rule ID 8434 //
     /*  77921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  77924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  77927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  77930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  77934 */   // (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv1i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  77934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  77937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  77941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77946 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  77949 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  77951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  77954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  77956 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77959 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  77961 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  77963 */   GIR_RootConstrainSelectedInstOperands,
     /*  77964 */   // GIR_Coverage, 8434,
     /*  77964 */   GIR_EraseRootFromParent_Done,
     /*  77965 */ // Label 1298: @77965
     /*  77965 */ GIM_Reject,
     /*  77966 */ // Label 1197: @77966
     /*  77966 */ GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(78015), // Rule ID 8433 //
     /*  77971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  77974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  77977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  77980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  77984 */   // (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv2i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  77984 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  77987 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  77991 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77996 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  77999 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  78001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  78004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  78006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78009 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78011 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  78013 */   GIR_RootConstrainSelectedInstOperands,
     /*  78014 */   // GIR_Coverage, 8433,
     /*  78014 */   GIR_EraseRootFromParent_Done,
     /*  78015 */ // Label 1299: @78015
     /*  78015 */ GIM_Reject,
     /*  78016 */ // Label 1198: @78016
     /*  78016 */ GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(78478),
     /*  78021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  78031 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(78102), // Rule ID 15612 //
     /*  78036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78063 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78067 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78071 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78075 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78081 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78083 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78085 */     // (xor:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  78092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78100 */     GIR_RootConstrainSelectedInstOperands,
     /*  78101 */     // GIR_Coverage, 15612,
     /*  78101 */     GIR_EraseRootFromParent_Done,
     /*  78102 */   // Label 1301: @78102
     /*  78102 */   GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(78173), // Rule ID 15611 //
     /*  78107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78138 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78142 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78146 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78152 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78154 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78156 */     // (xor:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  78163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78171 */     GIR_RootConstrainSelectedInstOperands,
     /*  78172 */     // GIR_Coverage, 15611,
     /*  78172 */     GIR_EraseRootFromParent_Done,
     /*  78173 */   // Label 1302: @78173
     /*  78173 */   GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(78244), // Rule ID 15610 //
     /*  78178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78209 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78213 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78217 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78223 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78225 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78227 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78232 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78242 */     GIR_RootConstrainSelectedInstOperands,
     /*  78243 */     // GIR_Coverage, 15610,
     /*  78243 */     GIR_EraseRootFromParent_Done,
     /*  78244 */   // Label 1303: @78244
     /*  78244 */   GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(78315), // Rule ID 11864 //
     /*  78249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78264 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78288 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78294 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78296 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78298 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] })))  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78303 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78313 */     GIR_RootConstrainSelectedInstOperands,
     /*  78314 */     // GIR_Coverage, 11864,
     /*  78314 */     GIR_EraseRootFromParent_Done,
     /*  78315 */   // Label 1304: @78315
     /*  78315 */   GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(78376), // Rule ID 11888 //
     /*  78320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  78331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78339 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  78343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  78347 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78353 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  78355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78357 */     // (xor:{ *:[nxv2i64] } (AArch64bsp:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2), immAllOnesV:{ *:[nxv2i64] })  =>  (NBSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  78360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  78366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  78370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  78374 */     GIR_RootConstrainSelectedInstOperands,
     /*  78375 */     // GIR_Coverage, 11888,
     /*  78375 */     GIR_EraseRootFromParent_Done,
     /*  78376 */   // Label 1305: @78376
     /*  78376 */   GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(78419), // Rule ID 13712 //
     /*  78381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78396 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78402 */     // (xor:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  78405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  78411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  78417 */     GIR_RootConstrainSelectedInstOperands,
     /*  78418 */     // GIR_Coverage, 13712,
     /*  78418 */     GIR_EraseRootFromParent_Done,
     /*  78419 */   // Label 1306: @78419
     /*  78419 */   GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(78462), // Rule ID 3154 //
     /*  78424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78445 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  78448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78450 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  78460 */     GIR_RootConstrainSelectedInstOperands,
     /*  78461 */     // GIR_Coverage, 3154,
     /*  78461 */     GIR_EraseRootFromParent_Done,
     /*  78462 */   // Label 1307: @78462
     /*  78462 */   GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(78477), // Rule ID 7453 //
     /*  78467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  78470 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  78470 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  78475 */     GIR_RootConstrainSelectedInstOperands,
     /*  78476 */     // GIR_Coverage, 7453,
     /*  78476 */     GIR_Done,
     /*  78477 */   // Label 1308: @78477
     /*  78477 */   GIM_Reject,
     /*  78478 */ // Label 1300: @78478
     /*  78478 */ GIM_Reject,
     /*  78479 */ // Label 1199: @78479
     /*  78479 */ GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(78528), // Rule ID 8432 //
     /*  78484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  78487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  78490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  78493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  78497 */   // (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv4i1] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  78497 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  78500 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /*  78504 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78509 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  78512 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  78514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  78517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  78519 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78522 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78524 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  78526 */   GIR_RootConstrainSelectedInstOperands,
     /*  78527 */   // GIR_Coverage, 8432,
     /*  78527 */   GIR_EraseRootFromParent_Done,
     /*  78528 */ // Label 1309: @78528
     /*  78528 */ GIM_Reject,
     /*  78529 */ // Label 1200: @78529
     /*  78529 */ GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(78991),
     /*  78534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  78544 */   GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(78615), // Rule ID 15609 //
     /*  78549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78580 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78584 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78588 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78594 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78596 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78598 */     // (xor:{ *:[nxv4i32] } (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78603 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  78605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78613 */     GIR_RootConstrainSelectedInstOperands,
     /*  78614 */     // GIR_Coverage, 15609,
     /*  78614 */     GIR_EraseRootFromParent_Done,
     /*  78615 */   // Label 1311: @78615
     /*  78615 */   GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(78686), // Rule ID 15608 //
     /*  78620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78651 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78659 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78665 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78669 */     // (xor:{ *:[nxv4i32] } (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] })), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  78676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78684 */     GIR_RootConstrainSelectedInstOperands,
     /*  78685 */     // GIR_Coverage, 15608,
     /*  78685 */     GIR_EraseRootFromParent_Done,
     /*  78686 */   // Label 1312: @78686
     /*  78686 */   GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(78757), // Rule ID 15607 //
     /*  78691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78722 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78726 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78730 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78736 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78738 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78740 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78745 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78755 */     GIR_RootConstrainSelectedInstOperands,
     /*  78756 */     // GIR_Coverage, 15607,
     /*  78756 */     GIR_EraseRootFromParent_Done,
     /*  78757 */   // Label 1313: @78757
     /*  78757 */   GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(78828), // Rule ID 11862 //
     /*  78762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78793 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78797 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78801 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78807 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78809 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78811 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] })))  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78816 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78826 */     GIR_RootConstrainSelectedInstOperands,
     /*  78827 */     // GIR_Coverage, 11862,
     /*  78827 */     GIR_EraseRootFromParent_Done,
     /*  78828 */   // Label 1314: @78828
     /*  78828 */   GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(78889), // Rule ID 11886 //
     /*  78833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  78844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78852 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  78856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  78860 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78866 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  78868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78870 */     // (xor:{ *:[nxv4i32] } (AArch64bsp:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2), immAllOnesV:{ *:[nxv4i32] })  =>  (NBSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  78873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  78879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  78883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  78887 */     GIR_RootConstrainSelectedInstOperands,
     /*  78888 */     // GIR_Coverage, 11886,
     /*  78888 */     GIR_EraseRootFromParent_Done,
     /*  78889 */   // Label 1315: @78889
     /*  78889 */   GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(78932), // Rule ID 13711 //
     /*  78894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78915 */     // (xor:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  78918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  78924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  78930 */     GIR_RootConstrainSelectedInstOperands,
     /*  78931 */     // GIR_Coverage, 13711,
     /*  78931 */     GIR_EraseRootFromParent_Done,
     /*  78932 */   // Label 1316: @78932
     /*  78932 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(78975), // Rule ID 3152 //
     /*  78937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78958 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  78961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78963 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  78973 */     GIR_RootConstrainSelectedInstOperands,
     /*  78974 */     // GIR_Coverage, 3152,
     /*  78974 */     GIR_EraseRootFromParent_Done,
     /*  78975 */   // Label 1317: @78975
     /*  78975 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(78990), // Rule ID 7452 //
     /*  78980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  78983 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  78983 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  78988 */     GIR_RootConstrainSelectedInstOperands,
     /*  78989 */     // GIR_Coverage, 7452,
     /*  78989 */     GIR_Done,
     /*  78990 */   // Label 1318: @78990
     /*  78990 */   GIM_Reject,
     /*  78991 */ // Label 1310: @78991
     /*  78991 */ GIM_Reject,
     /*  78992 */ // Label 1201: @78992
     /*  78992 */ GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(79041), // Rule ID 8431 //
     /*  78997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  79000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  79003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  79006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  79010 */   // (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv8i1] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  79010 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  79013 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /*  79017 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79022 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  79025 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  79027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  79030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  79032 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79035 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79037 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  79039 */   GIR_RootConstrainSelectedInstOperands,
     /*  79040 */   // GIR_Coverage, 8431,
     /*  79040 */   GIR_EraseRootFromParent_Done,
     /*  79041 */ // Label 1319: @79041
     /*  79041 */ GIM_Reject,
     /*  79042 */ // Label 1202: @79042
     /*  79042 */ GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(79504),
     /*  79047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  79057 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(79128), // Rule ID 15606 //
     /*  79062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79093 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79101 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79107 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79109 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79111 */     // (xor:{ *:[nxv8i16] } (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] }), nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  79118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79126 */     GIR_RootConstrainSelectedInstOperands,
     /*  79127 */     // GIR_Coverage, 15606,
     /*  79127 */     GIR_EraseRootFromParent_Done,
     /*  79128 */   // Label 1321: @79128
     /*  79128 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(79199), // Rule ID 15605 //
     /*  79133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79164 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79168 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79172 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79178 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79180 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79182 */     // (xor:{ *:[nxv8i16] } (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] })), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  79189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79197 */     GIR_RootConstrainSelectedInstOperands,
     /*  79198 */     // GIR_Coverage, 15605,
     /*  79198 */     GIR_EraseRootFromParent_Done,
     /*  79199 */   // Label 1322: @79199
     /*  79199 */   GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(79270), // Rule ID 15604 //
     /*  79204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79219 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79231 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79235 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79239 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79243 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79249 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79251 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79253 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] }), nxv8i16:{ *:[nxv8i16] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79258 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79268 */     GIR_RootConstrainSelectedInstOperands,
     /*  79269 */     // GIR_Coverage, 15604,
     /*  79269 */     GIR_EraseRootFromParent_Done,
     /*  79270 */   // Label 1323: @79270
     /*  79270 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(79341), // Rule ID 11860 //
     /*  79275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79306 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79310 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79314 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79320 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79322 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79324 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] })))  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79329 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79339 */     GIR_RootConstrainSelectedInstOperands,
     /*  79340 */     // GIR_Coverage, 11860,
     /*  79340 */     GIR_EraseRootFromParent_Done,
     /*  79341 */   // Label 1324: @79341
     /*  79341 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(79402), // Rule ID 11884 //
     /*  79346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  79357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79365 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  79369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  79373 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79379 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  79381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79383 */     // (xor:{ *:[nxv8i16] } (AArch64bsp:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2), immAllOnesV:{ *:[nxv8i16] })  =>  (NBSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  79386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  79392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  79396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  79400 */     GIR_RootConstrainSelectedInstOperands,
     /*  79401 */     // GIR_Coverage, 11884,
     /*  79401 */     GIR_EraseRootFromParent_Done,
     /*  79402 */   // Label 1325: @79402
     /*  79402 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(79445), // Rule ID 13710 //
     /*  79407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79428 */     // (xor:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  79431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  79437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  79443 */     GIR_RootConstrainSelectedInstOperands,
     /*  79444 */     // GIR_Coverage, 13710,
     /*  79444 */     GIR_EraseRootFromParent_Done,
     /*  79445 */   // Label 1326: @79445
     /*  79445 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(79488), // Rule ID 3150 //
     /*  79450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79471 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  79474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79476 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  79486 */     GIR_RootConstrainSelectedInstOperands,
     /*  79487 */     // GIR_Coverage, 3150,
     /*  79487 */     GIR_EraseRootFromParent_Done,
     /*  79488 */   // Label 1327: @79488
     /*  79488 */   GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(79503), // Rule ID 7451 //
     /*  79493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  79496 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  79496 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  79501 */     GIR_RootConstrainSelectedInstOperands,
     /*  79502 */     // GIR_Coverage, 7451,
     /*  79502 */     GIR_Done,
     /*  79503 */   // Label 1328: @79503
     /*  79503 */   GIM_Reject,
     /*  79504 */ // Label 1320: @79504
     /*  79504 */ GIM_Reject,
     /*  79505 */ // Label 1203: @79505
     /*  79505 */ GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(79554), // Rule ID 8430 //
     /*  79510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  79513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  79516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  79519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  79523 */   // (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv16i1] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  79523 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  79526 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /*  79530 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79535 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  79538 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  79540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  79543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  79545 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79548 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79550 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  79552 */   GIR_RootConstrainSelectedInstOperands,
     /*  79553 */   // GIR_Coverage, 8430,
     /*  79553 */   GIR_EraseRootFromParent_Done,
     /*  79554 */ // Label 1329: @79554
     /*  79554 */ GIM_Reject,
     /*  79555 */ // Label 1204: @79555
     /*  79555 */ GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(80017),
     /*  79560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  79570 */   GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(79641), // Rule ID 15603 //
     /*  79575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79606 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79610 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79614 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79620 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79622 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79624 */     // (xor:{ *:[nxv16i8] } (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] }), nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  79631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79639 */     GIR_RootConstrainSelectedInstOperands,
     /*  79640 */     // GIR_Coverage, 15603,
     /*  79640 */     GIR_EraseRootFromParent_Done,
     /*  79641 */   // Label 1331: @79641
     /*  79641 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(79712), // Rule ID 15602 //
     /*  79646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79677 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79681 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79685 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79691 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79693 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79695 */     // (xor:{ *:[nxv16i8] } (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] })), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  79702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79710 */     GIR_RootConstrainSelectedInstOperands,
     /*  79711 */     // GIR_Coverage, 15602,
     /*  79711 */     GIR_EraseRootFromParent_Done,
     /*  79712 */   // Label 1332: @79712
     /*  79712 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(79783), // Rule ID 15601 //
     /*  79717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79748 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79752 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79756 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79762 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79766 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] }), nxv16i8:{ *:[nxv16i8] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79771 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79781 */     GIR_RootConstrainSelectedInstOperands,
     /*  79782 */     // GIR_Coverage, 15601,
     /*  79782 */     GIR_EraseRootFromParent_Done,
     /*  79783 */   // Label 1333: @79783
     /*  79783 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(79854), // Rule ID 11858 //
     /*  79788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79819 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79823 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79827 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79833 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79835 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79837 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] })))  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79842 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79852 */     GIR_RootConstrainSelectedInstOperands,
     /*  79853 */     // GIR_Coverage, 11858,
     /*  79853 */     GIR_EraseRootFromParent_Done,
     /*  79854 */   // Label 1334: @79854
     /*  79854 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(79915), // Rule ID 11882 //
     /*  79859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  79870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79878 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  79882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  79886 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79892 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  79894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79896 */     // (xor:{ *:[nxv16i8] } (AArch64bsp:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2), immAllOnesV:{ *:[nxv16i8] })  =>  (NBSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  79899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  79905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  79909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  79913 */     GIR_RootConstrainSelectedInstOperands,
     /*  79914 */     // GIR_Coverage, 11882,
     /*  79914 */     GIR_EraseRootFromParent_Done,
     /*  79915 */   // Label 1335: @79915
     /*  79915 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(79958), // Rule ID 13709 //
     /*  79920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79941 */     // (xor:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  79944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  79950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  79956 */     GIR_RootConstrainSelectedInstOperands,
     /*  79957 */     // GIR_Coverage, 13709,
     /*  79957 */     GIR_EraseRootFromParent_Done,
     /*  79958 */   // Label 1336: @79958
     /*  79958 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(80001), // Rule ID 3148 //
     /*  79963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79984 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  79987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79989 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  79999 */     GIR_RootConstrainSelectedInstOperands,
     /*  80000 */     // GIR_Coverage, 3148,
     /*  80000 */     GIR_EraseRootFromParent_Done,
     /*  80001 */   // Label 1337: @80001
     /*  80001 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(80016), // Rule ID 7450 //
     /*  80006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  80009 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  80009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  80014 */     GIR_RootConstrainSelectedInstOperands,
     /*  80015 */     // GIR_Coverage, 7450,
     /*  80015 */     GIR_Done,
     /*  80016 */   // Label 1338: @80016
     /*  80016 */   GIM_Reject,
     /*  80017 */ // Label 1330: @80017
     /*  80017 */ GIM_Reject,
     /*  80018 */ // Label 1205: @80018
     /*  80018 */ GIM_Reject,
     /*  80019 */ // Label 8: @80019
     /*  80019 */ GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(87542),
     /*  80024 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  80027 */   GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(23), /*)*//*default:*//*Label 1351*/ GIMT_Encode4(87541),
     /*  80038 */   /*GILLT_v2s64*//*Label 1340*/ GIMT_Encode4(80106), GIMT_Encode4(0),
     /*  80046 */   /*GILLT_v4s32*//*Label 1341*/ GIMT_Encode4(80627), GIMT_Encode4(0),
     /*  80054 */   /*GILLT_v8s16*//*Label 1342*/ GIMT_Encode4(83039),
     /*  80058 */   /*GILLT_v16s8*//*Label 1343*/ GIMT_Encode4(85448), GIMT_Encode4(0),
     /*  80066 */   /*GILLT_nxv2s1*//*Label 1344*/ GIMT_Encode4(87359), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  80082 */   /*GILLT_nxv4s1*//*Label 1345*/ GIMT_Encode4(87385),
     /*  80086 */   /*GILLT_nxv4s16*//*Label 1346*/ GIMT_Encode4(87411),
     /*  80090 */   /*GILLT_nxv4s32*//*Label 1347*/ GIMT_Encode4(87437),
     /*  80094 */   /*GILLT_nxv8s1*//*Label 1348*/ GIMT_Encode4(87463),
     /*  80098 */   /*GILLT_nxv8s16*//*Label 1349*/ GIMT_Encode4(87489),
     /*  80102 */   /*GILLT_nxv16s1*//*Label 1350*/ GIMT_Encode4(87515),
     /*  80106 */   // Label 1340: @80106
     /*  80106 */   GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(80626),
     /*  80111 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  80114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  80117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80125 */     GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(80187), // Rule ID 5794 //
     /*  80130 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80134 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  80140 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  80142 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80144 */       // (concat_vectors:{ *:[v2i64] } V64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v1i64] }:$Rn), dsub:{ *:[i32] })
     /*  80144 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  80147 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  80151 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80156 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  80160 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  80162 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80165 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80167 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80170 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80173 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  80176 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80181 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80186 */       // GIR_Coverage, 5794,
     /*  80186 */       GIR_EraseRootFromParent_Done,
     /*  80187 */     // Label 1353: @80187
     /*  80187 */     GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(80249), // Rule ID 5798 //
     /*  80192 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80196 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  80202 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  80204 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80206 */       // (concat_vectors:{ *:[v2f64] } V64:{ *:[v1f64] }:$Rn, immAllZerosV:{ *:[v1f64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v1f64] }:$Rn), dsub:{ *:[i32] })
     /*  80206 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  80209 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  80213 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80218 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  80222 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  80224 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80227 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80229 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80232 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80235 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  80238 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80243 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80248 */       // GIR_Coverage, 5798,
     /*  80248 */       GIR_EraseRootFromParent_Done,
     /*  80249 */     // Label 1354: @80249
     /*  80249 */     GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(80307), // Rule ID 5795 //
     /*  80254 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80258 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  80262 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80264 */       // (concat_vectors:{ *:[v2i64] } V64:{ *:[v1i64] }:$Rn, (undef:{ *:[v1i64] }))  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] })
     /*  80264 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  80267 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80271 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80276 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  80278 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80281 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80283 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80286 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  80288 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  80291 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80296 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80301 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80306 */       // GIR_Coverage, 5795,
     /*  80306 */       GIR_EraseRootFromParent_Done,
     /*  80307 */     // Label 1355: @80307
     /*  80307 */     GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(80365), // Rule ID 5799 //
     /*  80312 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80316 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  80320 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80322 */       // (concat_vectors:{ *:[v2f64] } V64:{ *:[v1f64] }:$Rn, (undef:{ *:[v1f64] }))  =>  (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] })
     /*  80322 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  80325 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80329 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80334 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  80336 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80339 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80341 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80344 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  80346 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  80349 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80354 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80359 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80364 */       // GIR_Coverage, 5799,
     /*  80364 */       GIR_EraseRootFromParent_Done,
     /*  80365 */     // Label 1356: @80365
     /*  80365 */     GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(80495), // Rule ID 5793 //
     /*  80370 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80374 */       // (concat_vectors:{ *:[v2i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v1i64] }:$Rn)  =>  (INSvi64lane:{ *:[v2i64] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1i64] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  80374 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  80377 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80381 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80386 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  80388 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  80391 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80395 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80400 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  80403 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  80407 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  80410 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80415 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80420 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80425 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80428 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80432 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80437 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80439 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80442 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80446 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80451 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80454 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80458 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80461 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80466 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80471 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80476 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  80479 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80481 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80484 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  80487 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  80490 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80493 */       GIR_RootConstrainSelectedInstOperands,
     /*  80494 */       // GIR_Coverage, 5793,
     /*  80494 */       GIR_EraseRootFromParent_Done,
     /*  80495 */     // Label 1357: @80495
     /*  80495 */     GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(80625), // Rule ID 5797 //
     /*  80500 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80504 */       // (concat_vectors:{ *:[v2f64] } V64:{ *:[v1f64] }:$Rd, V64:{ *:[v1f64] }:$Rn)  =>  (INSvi64lane:{ *:[v2f64] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1f64] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  80504 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  80507 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80511 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80516 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  80518 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  80521 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80525 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80530 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  80533 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  80537 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  80540 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80545 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80550 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80555 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80558 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80562 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80567 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80569 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80572 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80576 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80581 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80584 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80588 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80591 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80596 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80601 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80606 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  80609 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80611 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80614 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  80617 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  80620 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80623 */       GIR_RootConstrainSelectedInstOperands,
     /*  80624 */       // GIR_Coverage, 5797,
     /*  80624 */       GIR_EraseRootFromParent_Done,
     /*  80625 */     // Label 1358: @80625
     /*  80625 */     GIM_Reject,
     /*  80626 */   // Label 1352: @80626
     /*  80626 */   GIM_Reject,
     /*  80627 */   // Label 1341: @80627
     /*  80627 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(83038),
     /*  80632 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  80635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  80638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80642 */     GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(80771), // Rule ID 5431 //
     /*  80647 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80651 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80655 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80659 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80663 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80667 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  80671 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80675 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  80679 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  80683 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80687 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  80691 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80696 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  80700 */       GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  80706 */       GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  80708 */       // MIs[2] Operand 2
     /*  80708 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  80719 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  80721 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] }:$Rm), 32:{ *:[i32] })))  =>  (SUBHNv2i64_v4i32:{ *:[v4i32] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /*  80721 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80724 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80728 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80733 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  80736 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80740 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80743 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80748 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80753 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v4i32),
     /*  80756 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80758 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80761 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  80765 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  80769 */       GIR_RootConstrainSelectedInstOperands,
     /*  80770 */       // GIR_Coverage, 5431,
     /*  80770 */       GIR_EraseRootFromParent_Done,
     /*  80771 */     // Label 1360: @80771
     /*  80771 */     GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(80893), // Rule ID 5427 //
     /*  80776 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80780 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80784 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80788 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80792 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80796 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  80800 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80804 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  80808 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  80812 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80816 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  80820 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80825 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80830 */       // MIs[2] Operand 2
     /*  80830 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  80841 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  80843 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] })))  =>  (ADDHNv2i64_v4i32:{ *:[v4i32] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  80843 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80846 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80850 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80855 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  80858 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80862 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80865 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80870 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80875 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v4i32),
     /*  80878 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80880 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80883 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  80887 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  80891 */       GIR_RootConstrainSelectedInstOperands,
     /*  80892 */       // GIR_Coverage, 5427,
     /*  80892 */       GIR_EraseRootFromParent_Done,
     /*  80893 */     // Label 1361: @80893
     /*  80893 */     GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(81015), // Rule ID 5429 //
     /*  80898 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80902 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80906 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80910 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80914 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80918 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  80922 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80926 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  80930 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  80934 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80938 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  80942 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80947 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80952 */       // MIs[2] Operand 2
     /*  80952 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  80963 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  80965 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] })))  =>  (SUBHNv2i64_v4i32:{ *:[v4i32] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  80965 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80968 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80972 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80977 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  80980 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80984 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80987 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80992 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80997 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v4i32),
     /*  81000 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81002 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81005 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  81009 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  81013 */       GIR_RootConstrainSelectedInstOperands,
     /*  81014 */       // GIR_Coverage, 5429,
     /*  81014 */       GIR_EraseRootFromParent_Done,
     /*  81015 */     // Label 1362: @81015
     /*  81015 */     GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(81117), // Rule ID 5577 //
     /*  81020 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  81024 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81028 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81032 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  81036 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  81040 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81044 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81049 */       // MIs[2] Operand 2
     /*  81049 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  81060 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  81064 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81068 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81072 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  81076 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_VLSHR),
     /*  81080 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81084 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81089 */       // MIs[4] Operand 2
     /*  81089 */       GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(32),
     /*  81100 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  81102 */       // (concat_vectors:{ *:[v4i32] } (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, 32:{ *:[i32] })), (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vm, 32:{ *:[i32] })))  =>  (UZP2v4i32:{ *:[v4i32] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /*  81102 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /*  81105 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  81107 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /*  81111 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Vm
     /*  81115 */       GIR_RootConstrainSelectedInstOperands,
     /*  81116 */       // GIR_Coverage, 5577,
     /*  81116 */       GIR_EraseRootFromParent_Done,
     /*  81117 */     // Label 1363: @81117
     /*  81117 */     GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(81246), // Rule ID 6349 //
     /*  81122 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81126 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81130 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81134 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81137 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  81142 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81146 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  81150 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81155 */       GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 32,
     /*  81159 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81161 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Vd, (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, 32:{ *:[i32] }))  =>  (RADDHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Vd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Vn, (MOVIv2d_ns:{ *:[v2i64] } 0:{ *:[i32] }))
     /*  81161 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  81164 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /*  81168 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81173 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  81176 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  81178 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81181 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81185 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81190 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81192 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81195 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81199 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81204 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81207 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vd
     /*  81211 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81214 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81219 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81224 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81229 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v4i32),
     /*  81232 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81234 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81237 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /*  81241 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  81244 */       GIR_RootConstrainSelectedInstOperands,
     /*  81245 */       // GIR_Coverage, 6349,
     /*  81245 */       GIR_EraseRootFromParent_Done,
     /*  81246 */     // Label 1364: @81246
     /*  81246 */     GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(81288), // Rule ID 5804 //
     /*  81251 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  81258 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  81265 */       // (concat_vectors:{ *:[v4i32] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (INSvi64lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v4i32] }:$Rn, 1:{ *:[i64] })
     /*  81265 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  81268 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81270 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  81275 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81278 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  81283 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  81286 */       GIR_RootConstrainSelectedInstOperands,
     /*  81287 */       // GIR_Coverage, 5804,
     /*  81287 */       GIR_EraseRootFromParent_Done,
     /*  81288 */     // Label 1365: @81288
     /*  81288 */     GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(81330), // Rule ID 5808 //
     /*  81293 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4f32),
     /*  81300 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4f32),
     /*  81307 */       // (concat_vectors:{ *:[v4f32] } (extract_high_v4f32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn), (extract_high_v4f32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm))  =>  (INSvi64lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] })
     /*  81307 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  81310 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81312 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  81317 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81320 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  81325 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  81328 */       GIR_RootConstrainSelectedInstOperands,
     /*  81329 */       // GIR_Coverage, 5808,
     /*  81329 */       GIR_EraseRootFromParent_Done,
     /*  81330 */     // Label 1366: @81330
     /*  81330 */     GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(81453), // Rule ID 2578 //
     /*  81335 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81338 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81342 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81346 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81350 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81353 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  81358 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81362 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  81366 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81371 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  81375 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  81379 */       GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /*  81383 */       // MIs[2] Operand 1
     /*  81383 */       // No operand predicates
     /*  81383 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  81385 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm))  =>  (RSHRNv4i32_shift:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)
     /*  81385 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81388 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81392 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81397 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81399 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81402 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81406 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81411 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81414 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81418 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81421 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81426 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81431 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81436 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv4i32_shift),
     /*  81439 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81441 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81444 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81448 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  81451 */       GIR_RootConstrainSelectedInstOperands,
     /*  81452 */       // GIR_Coverage, 2578,
     /*  81452 */       GIR_EraseRootFromParent_Done,
     /*  81453 */     // Label 1367: @81453
     /*  81453 */     GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(81576), // Rule ID 6319 //
     /*  81458 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81461 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81465 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81469 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81473 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81477 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  81481 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VASHR),
     /*  81485 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81489 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81494 */       // MIs[2] imm
     /*  81494 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  81498 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  81502 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /*  81506 */       // MIs[3] Operand 1
     /*  81506 */       // No operand predicates
     /*  81506 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  81508 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)))  =>  (SHRNv4i32_shift:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)
     /*  81508 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81511 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81515 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81520 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81522 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81525 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81529 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81534 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81537 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81541 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81544 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81549 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81554 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81559 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i32_shift),
     /*  81562 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81564 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81567 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  81571 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  81574 */       GIR_RootConstrainSelectedInstOperands,
     /*  81575 */       // GIR_Coverage, 6319,
     /*  81575 */       GIR_EraseRootFromParent_Done,
     /*  81576 */     // Label 1368: @81576
     /*  81576 */     GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(81696), // Rule ID 6355 //
     /*  81581 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81585 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81589 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81593 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81597 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  81601 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  81605 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81609 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81614 */       // MIs[2] imm
     /*  81614 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  81618 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  81622 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /*  81626 */       // MIs[3] Operand 1
     /*  81626 */       // No operand predicates
     /*  81626 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  81628 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)))  =>  (SHRNv4i32_shift:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  81628 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81631 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81635 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81640 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81642 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81645 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81649 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81654 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81657 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81661 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81664 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81669 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81674 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81679 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i32_shift),
     /*  81682 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81684 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81687 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  81691 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  81694 */       GIR_RootConstrainSelectedInstOperands,
     /*  81695 */       // GIR_Coverage, 6355,
     /*  81695 */       GIR_EraseRootFromParent_Done,
     /*  81696 */     // Label 1369: @81696
     /*  81696 */     GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(81813), // Rule ID 2501 //
     /*  81701 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81704 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81708 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81712 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81716 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81719 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /*  81724 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81728 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  81732 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81737 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81742 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81744 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 569:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (ADDHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  81744 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81747 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81751 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81756 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81758 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81761 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81765 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81770 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81773 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81777 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81780 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81785 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81790 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81795 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v4i32),
     /*  81798 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81800 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81803 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81807 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  81811 */       GIR_RootConstrainSelectedInstOperands,
     /*  81812 */       // GIR_Coverage, 2501,
     /*  81812 */       GIR_EraseRootFromParent_Done,
     /*  81813 */     // Label 1370: @81813
     /*  81813 */     GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(81930), // Rule ID 5347 //
     /*  81818 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81821 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81825 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81829 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81833 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81836 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /*  81841 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81845 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  81849 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81854 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81859 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81861 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 714:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (SUBHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  81861 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81864 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81868 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81873 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81875 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81878 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81882 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81887 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81890 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81894 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81897 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81902 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81907 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81912 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v4i32),
     /*  81915 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81917 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81920 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81924 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  81928 */       GIR_RootConstrainSelectedInstOperands,
     /*  81929 */       // GIR_Coverage, 5347,
     /*  81929 */       GIR_EraseRootFromParent_Done,
     /*  81930 */     // Label 1371: @81930
     /*  81930 */     GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(82047), // Rule ID 5350 //
     /*  81935 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81938 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81942 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81946 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81950 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81953 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /*  81958 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81962 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  81966 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81971 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81976 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81978 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 656:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (RADDHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  81978 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81981 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81985 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81990 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81992 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81995 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81999 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82004 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82007 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82011 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82014 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82019 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82024 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82029 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v4i32),
     /*  82032 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82034 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82037 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  82041 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  82045 */       GIR_RootConstrainSelectedInstOperands,
     /*  82046 */       // GIR_Coverage, 5350,
     /*  82046 */       GIR_EraseRootFromParent_Done,
     /*  82047 */     // Label 1372: @82047
     /*  82047 */     GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(82164), // Rule ID 5353 //
     /*  82052 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  82055 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82059 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82063 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  82067 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  82070 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /*  82075 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  82079 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  82083 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82088 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82093 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82095 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (RSUBHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  82095 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82098 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82102 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82107 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82109 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82112 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82116 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82121 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82124 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82128 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82131 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82136 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82141 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82146 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv2i64_v4i32),
     /*  82149 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82151 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82154 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  82158 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  82162 */       GIR_RootConstrainSelectedInstOperands,
     /*  82163 */       // GIR_Coverage, 5353,
     /*  82163 */       GIR_EraseRootFromParent_Done,
     /*  82164 */     // Label 1373: @82164
     /*  82164 */     GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(82268), // Rule ID 2497 //
     /*  82169 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  82172 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82176 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82180 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  82184 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  82187 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtxn),
     /*  82192 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  82196 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82201 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82203 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rd, (intrinsic_wo_chain:{ *:[v2f32] } 591:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn))  =>  (FCVTXNv4f32:{ *:[v4f32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rn)
     /*  82203 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82206 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82210 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82215 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82217 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82220 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82224 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82229 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82232 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82236 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82239 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82244 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82249 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82254 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNv4f32),
     /*  82257 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82259 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82262 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  82266 */       GIR_RootConstrainSelectedInstOperands,
     /*  82267 */       // GIR_Coverage, 2497,
     /*  82267 */       GIR_EraseRootFromParent_Done,
     /*  82268 */     // Label 1374: @82268
     /*  82268 */     GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(82324), // Rule ID 5510 //
     /*  82273 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  82277 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82281 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  82285 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82290 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  82294 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82298 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  82302 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82307 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  82309 */       // (concat_vectors:{ *:[v4i32] } (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vn), (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vm))  =>  (UZP1v4i32:{ *:[v4i32] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /*  82309 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /*  82312 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  82314 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  82318 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  82322 */       GIR_RootConstrainSelectedInstOperands,
     /*  82323 */       // GIR_Coverage, 5510,
     /*  82323 */       GIR_EraseRootFromParent_Done,
     /*  82324 */     // Label 1375: @82324
     /*  82324 */     GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(82390), // Rule ID 5802 //
     /*  82329 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82333 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82337 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  82343 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  82345 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82347 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] })
     /*  82347 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  82350 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  82354 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82359 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  82363 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  82365 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  82368 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82370 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82373 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82376 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  82379 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82384 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82389 */       // GIR_Coverage, 5802,
     /*  82389 */       GIR_EraseRootFromParent_Done,
     /*  82390 */     // Label 1376: @82390
     /*  82390 */     GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(82456), // Rule ID 5806 //
     /*  82395 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82399 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82403 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  82409 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  82411 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82413 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rn, immAllZerosV:{ *:[v2f32] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v2f32] }:$Rn), dsub:{ *:[i32] })
     /*  82413 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  82416 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  82420 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82425 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  82429 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  82431 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  82434 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82436 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82439 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82442 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  82445 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82450 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82455 */       // GIR_Coverage, 5806,
     /*  82455 */       GIR_EraseRootFromParent_Done,
     /*  82456 */     // Label 1377: @82456
     /*  82456 */     GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(82549), // Rule ID 4914 //
     /*  82461 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82465 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82469 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  82473 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  82477 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82482 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82484 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rd, (fpround:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn))  =>  (FCVTNv4i32:{ *:[v4f32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rn)
     /*  82484 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82487 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82491 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82496 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82498 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82501 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82505 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82510 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82513 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82517 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82520 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82525 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82530 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82535 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i32),
     /*  82538 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82540 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82543 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  82547 */       GIR_RootConstrainSelectedInstOperands,
     /*  82548 */       // GIR_Coverage, 4914,
     /*  82548 */       GIR_EraseRootFromParent_Done,
     /*  82549 */     // Label 1378: @82549
     /*  82549 */     GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(82645), // Rule ID 4961 //
     /*  82554 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  82557 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82561 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82565 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82569 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  82573 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82578 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82580 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn))  =>  (XTNv4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn)
     /*  82580 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82583 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82587 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82592 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82594 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82597 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82601 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82606 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82609 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82613 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82616 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82621 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82626 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82631 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv4i32),
     /*  82634 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82636 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82639 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  82643 */       GIR_RootConstrainSelectedInstOperands,
     /*  82644 */       // GIR_Coverage, 4961,
     /*  82644 */       GIR_EraseRootFromParent_Done,
     /*  82645 */     // Label 1379: @82645
     /*  82645 */     GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(82707), // Rule ID 5803 //
     /*  82650 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82654 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82658 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  82662 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82664 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rn, (undef:{ *:[v2i32] }))  =>  (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] })
     /*  82664 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  82667 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82671 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82676 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  82678 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82681 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82683 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82686 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  82688 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  82691 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82696 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82701 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82706 */       // GIR_Coverage, 5803,
     /*  82706 */       GIR_EraseRootFromParent_Done,
     /*  82707 */     // Label 1380: @82707
     /*  82707 */     GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(82769), // Rule ID 5807 //
     /*  82712 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82716 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82720 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  82724 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82726 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rn, (undef:{ *:[v2f32] }))  =>  (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] })
     /*  82726 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  82729 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82733 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82738 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  82740 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82743 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82745 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82748 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  82750 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  82753 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82758 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82763 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82768 */       // GIR_Coverage, 5807,
     /*  82768 */       GIR_EraseRootFromParent_Done,
     /*  82769 */     // Label 1381: @82769
     /*  82769 */     GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(82903), // Rule ID 5801 //
     /*  82774 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82778 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82782 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)  =>  (INSvi64lane:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  82782 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  82785 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82789 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82794 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  82796 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  82799 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82803 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82808 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  82811 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  82815 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  82818 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82823 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82828 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82833 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82836 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82840 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82845 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82847 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82850 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82854 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82859 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82862 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82866 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82869 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82874 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82879 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82884 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  82887 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82889 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82892 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  82895 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  82898 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82901 */       GIR_RootConstrainSelectedInstOperands,
     /*  82902 */       // GIR_Coverage, 5801,
     /*  82902 */       GIR_EraseRootFromParent_Done,
     /*  82903 */     // Label 1382: @82903
     /*  82903 */     GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(83037), // Rule ID 5805 //
     /*  82908 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82912 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82916 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn)  =>  (INSvi64lane:{ *:[v4f32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  82916 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  82919 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82923 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82928 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  82930 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  82933 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82937 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82942 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  82945 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  82949 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  82952 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82957 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82962 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82967 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82970 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82974 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82979 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82981 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82984 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82988 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82993 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82996 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83000 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83003 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83008 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83013 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83018 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  83021 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83023 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83026 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  83029 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  83032 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83035 */       GIR_RootConstrainSelectedInstOperands,
     /*  83036 */       // GIR_Coverage, 5805,
     /*  83036 */       GIR_EraseRootFromParent_Done,
     /*  83037 */     // Label 1383: @83037
     /*  83037 */     GIM_Reject,
     /*  83038 */   // Label 1359: @83038
     /*  83038 */   GIM_Reject,
     /*  83039 */   // Label 1342: @83039
     /*  83039 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(85447),
     /*  83044 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  83047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  83050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83054 */     GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(83183), // Rule ID 5425 //
     /*  83059 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83063 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83067 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83071 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83075 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  83079 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  83083 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83087 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  83091 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  83095 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83099 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83103 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83108 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  83112 */       GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  83118 */       GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  83120 */       // MIs[2] Operand 2
     /*  83120 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  83131 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  83133 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] }:$Rm), 16:{ *:[i32] })))  =>  (SUBHNv4i32_v8i16:{ *:[v8i16] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /*  83133 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83136 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  83140 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83145 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  83148 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83152 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83155 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83160 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83165 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v8i16),
     /*  83168 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83170 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83173 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  83177 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  83181 */       GIR_RootConstrainSelectedInstOperands,
     /*  83182 */       // GIR_Coverage, 5425,
     /*  83182 */       GIR_EraseRootFromParent_Done,
     /*  83183 */     // Label 1385: @83183
     /*  83183 */     GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(83305), // Rule ID 5421 //
     /*  83188 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83192 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83196 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83200 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83204 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  83208 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  83212 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83216 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  83220 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  83224 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83228 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83232 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83237 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83242 */       // MIs[2] Operand 2
     /*  83242 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  83253 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  83255 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] })))  =>  (ADDHNv4i32_v8i16:{ *:[v8i16] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  83255 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83258 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  83262 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83267 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  83270 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83274 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83277 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83282 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83287 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v8i16),
     /*  83290 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83292 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83295 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  83299 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  83303 */       GIR_RootConstrainSelectedInstOperands,
     /*  83304 */       // GIR_Coverage, 5421,
     /*  83304 */       GIR_EraseRootFromParent_Done,
     /*  83305 */     // Label 1386: @83305
     /*  83305 */     GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(83427), // Rule ID 5423 //
     /*  83310 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83314 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83318 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83322 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83326 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  83330 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  83334 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83338 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  83342 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  83346 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83350 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83354 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83359 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83364 */       // MIs[2] Operand 2
     /*  83364 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  83375 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  83377 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] })))  =>  (SUBHNv4i32_v8i16:{ *:[v8i16] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  83377 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83380 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  83384 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83389 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  83392 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83396 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83399 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83404 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83409 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v8i16),
     /*  83412 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83414 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83417 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  83421 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  83425 */       GIR_RootConstrainSelectedInstOperands,
     /*  83426 */       // GIR_Coverage, 5423,
     /*  83426 */       GIR_EraseRootFromParent_Done,
     /*  83427 */     // Label 1387: @83427
     /*  83427 */     GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(83529), // Rule ID 5576 //
     /*  83432 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  83436 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83440 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83444 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  83448 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  83452 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83456 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83461 */       // MIs[2] Operand 2
     /*  83461 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  83472 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  83476 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83480 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83484 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  83488 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_VLSHR),
     /*  83492 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83496 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83501 */       // MIs[4] Operand 2
     /*  83501 */       GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(16),
     /*  83512 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  83514 */       // (concat_vectors:{ *:[v8i16] } (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, 16:{ *:[i32] })), (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vm, 16:{ *:[i32] })))  =>  (UZP2v8i16:{ *:[v8i16] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /*  83514 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /*  83517 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  83519 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /*  83523 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Vm
     /*  83527 */       GIR_RootConstrainSelectedInstOperands,
     /*  83528 */       // GIR_Coverage, 5576,
     /*  83528 */       GIR_EraseRootFromParent_Done,
     /*  83529 */     // Label 1388: @83529
     /*  83529 */     GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(83658), // Rule ID 6348 //
     /*  83534 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83538 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83542 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  83546 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  83549 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  83554 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83558 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  83562 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83567 */       GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 16,
     /*  83571 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83573 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Vd, (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, 16:{ *:[i32] }))  =>  (RADDHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Vd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Vn, (MOVIv2d_ns:{ *:[v4i32] } 0:{ *:[i32] }))
     /*  83573 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  83576 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /*  83580 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83585 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  83588 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  83590 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83593 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83597 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83602 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83604 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83607 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83611 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83616 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83619 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vd
     /*  83623 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83626 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83631 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83636 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83641 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v8i16),
     /*  83644 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83646 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83649 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /*  83653 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  83656 */       GIR_RootConstrainSelectedInstOperands,
     /*  83657 */       // GIR_Coverage, 6348,
     /*  83657 */       GIR_EraseRootFromParent_Done,
     /*  83658 */     // Label 1389: @83658
     /*  83658 */     GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(83700), // Rule ID 5812 //
     /*  83663 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  83670 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  83677 */       // (concat_vectors:{ *:[v8i16] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (INSvi64lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v8i16] }:$Rn, 1:{ *:[i64] })
     /*  83677 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  83680 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83682 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  83687 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83690 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83695 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  83698 */       GIR_RootConstrainSelectedInstOperands,
     /*  83699 */       // GIR_Coverage, 5812,
     /*  83699 */       GIR_EraseRootFromParent_Done,
     /*  83700 */     // Label 1390: @83700
     /*  83700 */     GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(83742), // Rule ID 5816 //
     /*  83705 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8f16),
     /*  83712 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8f16),
     /*  83719 */       // (concat_vectors:{ *:[v8f16] } (extract_high_v8f16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn), (extract_high_v8f16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rm))  =>  (INSvi64lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] })
     /*  83719 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  83722 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83724 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  83729 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83732 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83737 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  83740 */       GIR_RootConstrainSelectedInstOperands,
     /*  83741 */       // GIR_Coverage, 5816,
     /*  83741 */       GIR_EraseRootFromParent_Done,
     /*  83742 */     // Label 1391: @83742
     /*  83742 */     GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(83865), // Rule ID 2576 //
     /*  83747 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  83750 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83754 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83758 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  83762 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  83765 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  83770 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83774 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  83778 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83783 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  83787 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  83791 */       GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /*  83795 */       // MIs[2] Operand 1
     /*  83795 */       // No operand predicates
     /*  83795 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  83797 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm))  =>  (RSHRNv8i16_shift:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  83797 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83800 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83804 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83809 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83811 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83814 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83818 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83823 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83826 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83830 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83833 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83838 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83843 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83848 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv8i16_shift),
     /*  83851 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83853 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83856 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  83860 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  83863 */       GIR_RootConstrainSelectedInstOperands,
     /*  83864 */       // GIR_Coverage, 2576,
     /*  83864 */       GIR_EraseRootFromParent_Done,
     /*  83865 */     // Label 1392: @83865
     /*  83865 */     GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(83988), // Rule ID 6318 //
     /*  83870 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  83873 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83877 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83881 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83885 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83889 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  83893 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VASHR),
     /*  83897 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83901 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83906 */       // MIs[2] imm
     /*  83906 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  83910 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  83914 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /*  83918 */       // MIs[3] Operand 1
     /*  83918 */       // No operand predicates
     /*  83918 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  83920 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)))  =>  (SHRNv8i16_shift:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  83920 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83923 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83927 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83932 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83934 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83937 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83941 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83946 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83949 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83953 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83956 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83961 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83966 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83971 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i16_shift),
     /*  83974 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83976 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83979 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  83983 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  83986 */       GIR_RootConstrainSelectedInstOperands,
     /*  83987 */       // GIR_Coverage, 6318,
     /*  83987 */       GIR_EraseRootFromParent_Done,
     /*  83988 */     // Label 1393: @83988
     /*  83988 */     GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(84108), // Rule ID 6354 //
     /*  83993 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83997 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84001 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  84005 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84009 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  84013 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  84017 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84021 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84026 */       // MIs[2] imm
     /*  84026 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  84030 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  84034 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /*  84038 */       // MIs[3] Operand 1
     /*  84038 */       // No operand predicates
     /*  84038 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  84040 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)))  =>  (SHRNv8i16_shift:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  84040 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84043 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84047 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84052 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84054 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84057 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84061 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84066 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84069 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84073 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84076 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84081 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84086 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84091 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i16_shift),
     /*  84094 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84096 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84099 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  84103 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  84106 */       GIR_RootConstrainSelectedInstOperands,
     /*  84107 */       // GIR_Coverage, 6354,
     /*  84107 */       GIR_EraseRootFromParent_Done,
     /*  84108 */     // Label 1394: @84108
     /*  84108 */     GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(84225), // Rule ID 2500 //
     /*  84113 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  84116 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84120 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84124 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  84128 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  84131 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /*  84136 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  84140 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  84144 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84149 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84154 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84156 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 569:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (ADDHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  84156 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84159 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84163 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84168 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84170 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84173 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84177 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84182 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84185 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84189 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84192 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84197 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84202 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84207 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v8i16),
     /*  84210 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84212 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84215 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  84219 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  84223 */       GIR_RootConstrainSelectedInstOperands,
     /*  84224 */       // GIR_Coverage, 2500,
     /*  84224 */       GIR_EraseRootFromParent_Done,
     /*  84225 */     // Label 1395: @84225
     /*  84225 */     GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(84342), // Rule ID 5346 //
     /*  84230 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  84233 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84237 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84241 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  84245 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  84248 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /*  84253 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  84257 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  84261 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84266 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84271 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84273 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 714:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (SUBHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  84273 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84276 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84280 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84285 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84287 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84290 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84294 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84299 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84302 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84306 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84309 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84314 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84319 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84324 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v8i16),
     /*  84327 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84329 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84332 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  84336 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  84340 */       GIR_RootConstrainSelectedInstOperands,
     /*  84341 */       // GIR_Coverage, 5346,
     /*  84341 */       GIR_EraseRootFromParent_Done,
     /*  84342 */     // Label 1396: @84342
     /*  84342 */     GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(84459), // Rule ID 5349 //
     /*  84347 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  84350 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84354 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84358 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  84362 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  84365 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /*  84370 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  84374 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  84378 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84383 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84388 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84390 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 656:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (RADDHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  84390 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84393 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84397 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84402 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84404 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84407 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84411 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84416 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84419 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84423 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84426 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84431 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84436 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84441 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v8i16),
     /*  84444 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84446 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84449 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  84453 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  84457 */       GIR_RootConstrainSelectedInstOperands,
     /*  84458 */       // GIR_Coverage, 5349,
     /*  84458 */       GIR_EraseRootFromParent_Done,
     /*  84459 */     // Label 1397: @84459
     /*  84459 */     GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(84576), // Rule ID 5352 //
     /*  84464 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  84467 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84471 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84475 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  84479 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  84482 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /*  84487 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  84491 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  84495 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84500 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84505 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84507 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (RSUBHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  84507 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84510 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84514 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84519 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84521 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84524 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84528 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84533 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84536 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84540 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84543 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84548 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84553 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84558 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv4i32_v8i16),
     /*  84561 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84563 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84566 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  84570 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  84574 */       GIR_RootConstrainSelectedInstOperands,
     /*  84575 */       // GIR_Coverage, 5352,
     /*  84575 */       GIR_EraseRootFromParent_Done,
     /*  84576 */     // Label 1398: @84576
     /*  84576 */     GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(84677), // Rule ID 4908 //
     /*  84581 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84585 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84589 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  84593 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  84596 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2hf),
     /*  84601 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  84605 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84610 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84612 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 764:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn))  =>  (FCVTNv8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rn)
     /*  84612 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84615 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84619 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84624 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84626 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84629 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84633 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84638 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84641 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84645 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84648 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84653 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84658 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84663 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  84666 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84668 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84671 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  84675 */       GIR_RootConstrainSelectedInstOperands,
     /*  84676 */       // GIR_Coverage, 4908,
     /*  84676 */       GIR_EraseRootFromParent_Done,
     /*  84677 */     // Label 1399: @84677
     /*  84677 */     GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(84733), // Rule ID 5501 //
     /*  84682 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  84686 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  84690 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84694 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84699 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  84703 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  84707 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84711 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84716 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  84718 */       // (concat_vectors:{ *:[v8i16] } (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vn), (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vm))  =>  (UZP1v8i16:{ *:[v8i16] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /*  84718 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /*  84721 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  84723 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  84727 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  84731 */       GIR_RootConstrainSelectedInstOperands,
     /*  84732 */       // GIR_Coverage, 5501,
     /*  84732 */       GIR_EraseRootFromParent_Done,
     /*  84733 */     // Label 1400: @84733
     /*  84733 */     GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(84799), // Rule ID 5810 //
     /*  84738 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84742 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84746 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  84752 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  84754 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84756 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v4i16] }:$Rn), dsub:{ *:[i32] })
     /*  84756 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  84759 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  84763 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84768 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  84772 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  84774 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  84777 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84779 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84782 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84785 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  84788 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84793 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84798 */       // GIR_Coverage, 5810,
     /*  84798 */       GIR_EraseRootFromParent_Done,
     /*  84799 */     // Label 1401: @84799
     /*  84799 */     GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(84865), // Rule ID 5814 //
     /*  84804 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84808 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84812 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  84818 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  84820 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84822 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rn, immAllZerosV:{ *:[v4f16] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v4f16] }:$Rn), dsub:{ *:[i32] })
     /*  84822 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  84825 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  84829 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84834 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  84838 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  84840 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  84843 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84845 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84848 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84851 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  84854 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84859 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84864 */       // GIR_Coverage, 5814,
     /*  84864 */       GIR_EraseRootFromParent_Done,
     /*  84865 */     // Label 1402: @84865
     /*  84865 */     GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(84958), // Rule ID 4916 //
     /*  84870 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84874 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84878 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  84882 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84886 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84891 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84893 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rd, (fpround:{ *:[v4f16] } V128:{ *:[v4f32] }:$Rn))  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rn)
     /*  84893 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84896 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84900 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84905 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84907 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84910 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84914 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84919 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84922 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84926 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84929 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84934 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84939 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84944 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  84947 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84949 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84952 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  84956 */       GIR_RootConstrainSelectedInstOperands,
     /*  84957 */       // GIR_Coverage, 4916,
     /*  84957 */       GIR_EraseRootFromParent_Done,
     /*  84958 */     // Label 1403: @84958
     /*  84958 */     GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(85054), // Rule ID 4960 //
     /*  84963 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  84966 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84970 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84974 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  84978 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84982 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84987 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84989 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn))  =>  (XTNv8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn)
     /*  84989 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84992 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84996 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85001 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85003 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85006 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85010 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85015 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  85018 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85022 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85025 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85030 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85035 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85040 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv8i16),
     /*  85043 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85045 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85048 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  85052 */       GIR_RootConstrainSelectedInstOperands,
     /*  85053 */       // GIR_Coverage, 4960,
     /*  85053 */       GIR_EraseRootFromParent_Done,
     /*  85054 */     // Label 1404: @85054
     /*  85054 */     GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(85116), // Rule ID 5811 //
     /*  85059 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85063 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85067 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  85071 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  85073 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rn, (undef:{ *:[v4i16] }))  =>  (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] })
     /*  85073 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  85076 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85080 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85085 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  85087 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85090 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85092 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85095 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  85097 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  85100 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85105 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85110 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85115 */       // GIR_Coverage, 5811,
     /*  85115 */       GIR_EraseRootFromParent_Done,
     /*  85116 */     // Label 1405: @85116
     /*  85116 */     GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(85178), // Rule ID 5815 //
     /*  85121 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85125 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85129 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  85133 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  85135 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rn, (undef:{ *:[v4f16] }))  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] })
     /*  85135 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  85138 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85142 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85147 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  85149 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85152 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85154 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85157 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  85159 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  85162 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85167 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85172 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85177 */       // GIR_Coverage, 5815,
     /*  85177 */       GIR_EraseRootFromParent_Done,
     /*  85178 */     // Label 1406: @85178
     /*  85178 */     GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(85312), // Rule ID 5809 //
     /*  85183 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85187 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85191 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)  =>  (INSvi64lane:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  85191 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  85194 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85198 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85203 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  85205 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  85208 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85212 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85217 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  85220 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  85224 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  85227 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85232 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85237 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85242 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85245 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85249 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85254 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85256 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85259 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85263 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85268 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  85271 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85275 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85278 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85283 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85288 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85293 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  85296 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85298 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85301 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  85304 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  85307 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85310 */       GIR_RootConstrainSelectedInstOperands,
     /*  85311 */       // GIR_Coverage, 5809,
     /*  85311 */       GIR_EraseRootFromParent_Done,
     /*  85312 */     // Label 1407: @85312
     /*  85312 */     GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(85446), // Rule ID 5813 //
     /*  85317 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85321 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85325 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn)  =>  (INSvi64lane:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  85325 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  85328 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85332 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85337 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  85339 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  85342 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85346 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85351 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  85354 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  85358 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  85361 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85366 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85371 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85376 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85379 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85383 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85388 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85390 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85393 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85397 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85402 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  85405 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85409 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85412 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85417 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85422 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85427 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  85430 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85432 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85435 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  85438 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  85441 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85444 */       GIR_RootConstrainSelectedInstOperands,
     /*  85445 */       // GIR_Coverage, 5813,
     /*  85445 */       GIR_EraseRootFromParent_Done,
     /*  85446 */     // Label 1408: @85446
     /*  85446 */     GIM_Reject,
     /*  85447 */   // Label 1384: @85447
     /*  85447 */   GIM_Reject,
     /*  85448 */   // Label 1343: @85448
     /*  85448 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(87358),
     /*  85453 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  85456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  85459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85463 */     GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(85592), // Rule ID 5419 //
     /*  85468 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85472 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85476 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85480 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85484 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  85488 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85492 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85496 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  85500 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  85504 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85508 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85512 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85517 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  85521 */       GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  85527 */       GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  85529 */       // MIs[2] Operand 2
     /*  85529 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  85540 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  85542 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] }:$Rm), 8:{ *:[i32] })))  =>  (SUBHNv8i16_v16i8:{ *:[v16i8] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /*  85542 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85545 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  85549 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85554 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  85557 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85561 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85564 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85569 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85574 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v16i8),
     /*  85577 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85579 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85582 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  85586 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  85590 */       GIR_RootConstrainSelectedInstOperands,
     /*  85591 */       // GIR_Coverage, 5419,
     /*  85591 */       GIR_EraseRootFromParent_Done,
     /*  85592 */     // Label 1410: @85592
     /*  85592 */     GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(85714), // Rule ID 5415 //
     /*  85597 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85601 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85605 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85609 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85613 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  85617 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85621 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85625 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  85629 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  85633 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85637 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85641 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85646 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85651 */       // MIs[2] Operand 2
     /*  85651 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  85662 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  85664 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] })))  =>  (ADDHNv8i16_v16i8:{ *:[v16i8] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  85664 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85667 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  85671 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85676 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  85679 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85683 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85686 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85691 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85696 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v16i8),
     /*  85699 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85701 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85704 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  85708 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  85712 */       GIR_RootConstrainSelectedInstOperands,
     /*  85713 */       // GIR_Coverage, 5415,
     /*  85713 */       GIR_EraseRootFromParent_Done,
     /*  85714 */     // Label 1411: @85714
     /*  85714 */     GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(85836), // Rule ID 5417 //
     /*  85719 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85723 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85727 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85731 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85735 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  85739 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85743 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85747 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  85751 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  85755 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85759 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85763 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85768 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85773 */       // MIs[2] Operand 2
     /*  85773 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  85784 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  85786 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] })))  =>  (SUBHNv8i16_v16i8:{ *:[v16i8] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  85786 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85789 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  85793 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85798 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  85801 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85805 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85808 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85813 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85818 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v16i8),
     /*  85821 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85823 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85826 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  85830 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  85834 */       GIR_RootConstrainSelectedInstOperands,
     /*  85835 */       // GIR_Coverage, 5417,
     /*  85835 */       GIR_EraseRootFromParent_Done,
     /*  85836 */     // Label 1412: @85836
     /*  85836 */     GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(85938), // Rule ID 5575 //
     /*  85841 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  85845 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85849 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85853 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  85857 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85861 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85865 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85870 */       // MIs[2] Operand 2
     /*  85870 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  85881 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  85885 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85889 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85893 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  85897 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85901 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85905 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85910 */       // MIs[4] Operand 2
     /*  85910 */       GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(8),
     /*  85921 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  85923 */       // (concat_vectors:{ *:[v16i8] } (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, 8:{ *:[i32] })), (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vm, 8:{ *:[i32] })))  =>  (UZP2v16i8:{ *:[v16i8] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /*  85923 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /*  85926 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  85928 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /*  85932 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Vm
     /*  85936 */       GIR_RootConstrainSelectedInstOperands,
     /*  85937 */       // GIR_Coverage, 5575,
     /*  85937 */       GIR_EraseRootFromParent_Done,
     /*  85938 */     // Label 1413: @85938
     /*  85938 */     GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(86067), // Rule ID 6347 //
     /*  85943 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85947 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85951 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  85955 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  85958 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  85963 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85967 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  85971 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85976 */       GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 8,
     /*  85980 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  85982 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Vd, (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vn, 8:{ *:[i32] }))  =>  (RADDHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Vd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Vn, (MOVIv2d_ns:{ *:[v8i16] } 0:{ *:[i32] }))
     /*  85982 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  85985 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /*  85989 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85994 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  85997 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  85999 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86002 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86006 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86011 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86013 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86016 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86020 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86025 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86028 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vd
     /*  86032 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86035 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86040 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86045 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86050 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v16i8),
     /*  86053 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86055 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86058 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /*  86062 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  86065 */       GIR_RootConstrainSelectedInstOperands,
     /*  86066 */       // GIR_Coverage, 6347,
     /*  86066 */       GIR_EraseRootFromParent_Done,
     /*  86067 */     // Label 1414: @86067
     /*  86067 */     GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(86109), // Rule ID 5820 //
     /*  86072 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  86079 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  86086 */       // (concat_vectors:{ *:[v16i8] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))  =>  (INSvi64lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v16i8] }:$Rn, 1:{ *:[i64] })
     /*  86086 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  86089 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86091 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  86096 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86099 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  86104 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  86107 */       GIR_RootConstrainSelectedInstOperands,
     /*  86108 */       // GIR_Coverage, 5820,
     /*  86108 */       GIR_EraseRootFromParent_Done,
     /*  86109 */     // Label 1415: @86109
     /*  86109 */     GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(86232), // Rule ID 2574 //
     /*  86114 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86117 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86121 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86125 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  86129 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  86132 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  86137 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86141 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  86145 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86150 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  86154 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  86158 */       GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /*  86162 */       // MIs[2] Operand 1
     /*  86162 */       // No operand predicates
     /*  86162 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  86164 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm))  =>  (RSHRNv16i8_shift:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /*  86164 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86167 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86171 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86176 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86178 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86181 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86185 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86190 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86193 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86197 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86200 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86205 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86210 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86215 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv16i8_shift),
     /*  86218 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86220 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86223 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  86227 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  86230 */       GIR_RootConstrainSelectedInstOperands,
     /*  86231 */       // GIR_Coverage, 2574,
     /*  86231 */       GIR_EraseRootFromParent_Done,
     /*  86232 */     // Label 1416: @86232
     /*  86232 */     GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(86355), // Rule ID 6317 //
     /*  86237 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86240 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86244 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86248 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  86252 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86256 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  86260 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VASHR),
     /*  86264 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86268 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86273 */       // MIs[2] imm
     /*  86273 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  86277 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  86281 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /*  86285 */       // MIs[3] Operand 1
     /*  86285 */       // No operand predicates
     /*  86285 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  86287 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)))  =>  (SHRNv16i8_shift:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /*  86287 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86290 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86294 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86299 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86301 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86304 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86308 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86313 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86316 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86320 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86323 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86328 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86333 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86338 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv16i8_shift),
     /*  86341 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86343 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86346 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  86350 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  86353 */       GIR_RootConstrainSelectedInstOperands,
     /*  86354 */       // GIR_Coverage, 6317,
     /*  86354 */       GIR_EraseRootFromParent_Done,
     /*  86355 */     // Label 1417: @86355
     /*  86355 */     GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(86475), // Rule ID 6353 //
     /*  86360 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86364 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86368 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  86372 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86376 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  86380 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  86384 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86388 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86393 */       // MIs[2] imm
     /*  86393 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  86397 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  86401 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /*  86405 */       // MIs[3] Operand 1
     /*  86405 */       // No operand predicates
     /*  86405 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  86407 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)))  =>  (SHRNv16i8_shift:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /*  86407 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86410 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86414 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86419 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86421 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86424 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86428 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86433 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86436 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86440 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86443 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86448 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86453 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86458 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv16i8_shift),
     /*  86461 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86463 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86466 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  86470 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  86473 */       GIR_RootConstrainSelectedInstOperands,
     /*  86474 */       // GIR_Coverage, 6353,
     /*  86474 */       GIR_EraseRootFromParent_Done,
     /*  86475 */     // Label 1418: @86475
     /*  86475 */     GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(86592), // Rule ID 2499 //
     /*  86480 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86483 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86487 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86491 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  86495 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  86498 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /*  86503 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86507 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86511 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86516 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86521 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86523 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 569:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (ADDHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  86523 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86526 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86530 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86535 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86537 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86540 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86544 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86549 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86552 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86556 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86559 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86564 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86569 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86574 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v16i8),
     /*  86577 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86579 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86582 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  86586 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  86590 */       GIR_RootConstrainSelectedInstOperands,
     /*  86591 */       // GIR_Coverage, 2499,
     /*  86591 */       GIR_EraseRootFromParent_Done,
     /*  86592 */     // Label 1419: @86592
     /*  86592 */     GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(86709), // Rule ID 5345 //
     /*  86597 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86600 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86604 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86608 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  86612 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  86615 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /*  86620 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86624 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86628 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86633 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86638 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86640 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 714:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (SUBHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  86640 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86643 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86647 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86652 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86654 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86657 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86661 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86666 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86669 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86673 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86676 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86681 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86686 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86691 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v16i8),
     /*  86694 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86696 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86699 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  86703 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  86707 */       GIR_RootConstrainSelectedInstOperands,
     /*  86708 */       // GIR_Coverage, 5345,
     /*  86708 */       GIR_EraseRootFromParent_Done,
     /*  86709 */     // Label 1420: @86709
     /*  86709 */     GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(86826), // Rule ID 5348 //
     /*  86714 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86717 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86721 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86725 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  86729 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  86732 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /*  86737 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86741 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86745 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86750 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86755 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86757 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 656:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (RADDHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  86757 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86760 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86764 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86769 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86771 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86774 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86778 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86783 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86786 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86790 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86793 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86798 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86803 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86808 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v16i8),
     /*  86811 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86813 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86816 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  86820 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  86824 */       GIR_RootConstrainSelectedInstOperands,
     /*  86825 */       // GIR_Coverage, 5348,
     /*  86825 */       GIR_EraseRootFromParent_Done,
     /*  86826 */     // Label 1421: @86826
     /*  86826 */     GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(86943), // Rule ID 5351 //
     /*  86831 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86834 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86838 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86842 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  86846 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  86849 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /*  86854 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86858 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86862 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86867 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86872 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86874 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (RSUBHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  86874 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86877 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86881 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86886 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86888 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86891 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86895 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86900 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86903 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86907 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86910 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86915 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86920 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86925 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv8i16_v16i8),
     /*  86928 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86930 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86933 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  86937 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  86941 */       GIR_RootConstrainSelectedInstOperands,
     /*  86942 */       // GIR_Coverage, 5351,
     /*  86942 */       GIR_EraseRootFromParent_Done,
     /*  86943 */     // Label 1422: @86943
     /*  86943 */     GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(86999), // Rule ID 5492 //
     /*  86948 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  86952 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  86956 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86960 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86965 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  86969 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  86973 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86977 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86982 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  86984 */       // (concat_vectors:{ *:[v16i8] } (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Vn), (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Vm))  =>  (UZP1v16i8:{ *:[v16i8] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /*  86984 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v16i8),
     /*  86987 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  86989 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  86993 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  86997 */       GIR_RootConstrainSelectedInstOperands,
     /*  86998 */       // GIR_Coverage, 5492,
     /*  86998 */       GIR_EraseRootFromParent_Done,
     /*  86999 */     // Label 1423: @86999
     /*  86999 */     GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(87065), // Rule ID 5818 //
     /*  87004 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87008 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87012 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  87018 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  87020 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87022 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v8i8] }:$Rn), dsub:{ *:[i32] })
     /*  87022 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  87025 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  87029 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87034 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  87038 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  87040 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  87043 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87045 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87048 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87051 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  87054 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87059 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87064 */       // GIR_Coverage, 5818,
     /*  87064 */       GIR_EraseRootFromParent_Done,
     /*  87065 */     // Label 1424: @87065
     /*  87065 */     GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(87161), // Rule ID 4959 //
     /*  87070 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  87073 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87077 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87081 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  87085 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  87089 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87094 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87096 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn))  =>  (XTNv16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn)
     /*  87096 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  87099 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  87103 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87108 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  87110 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  87113 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  87117 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87122 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  87125 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  87129 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  87132 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87137 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87142 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87147 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv16i8),
     /*  87150 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87152 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87155 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  87159 */       GIR_RootConstrainSelectedInstOperands,
     /*  87160 */       // GIR_Coverage, 4959,
     /*  87160 */       GIR_EraseRootFromParent_Done,
     /*  87161 */     // Label 1425: @87161
     /*  87161 */     GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(87223), // Rule ID 5819 //
     /*  87166 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87170 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87174 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  87178 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87180 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rn, (undef:{ *:[v8i8] }))  =>  (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] })
     /*  87180 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /*  87183 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  87187 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87192 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  87194 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  87197 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87199 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87202 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  87204 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  87207 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87212 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87217 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87222 */       // GIR_Coverage, 5819,
     /*  87222 */       GIR_EraseRootFromParent_Done,
     /*  87223 */     // Label 1426: @87223
     /*  87223 */     GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(87357), // Rule ID 5817 //
     /*  87228 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87232 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87236 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)  =>  (INSvi64lane:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  87236 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  87239 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  87243 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87248 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  87250 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  87253 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  87257 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87262 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  87265 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  87269 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  87272 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87277 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87282 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87287 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  87290 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  87294 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87299 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  87301 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  87304 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  87308 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87313 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  87316 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  87320 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  87323 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87328 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87333 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87338 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  87341 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87343 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87346 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  87349 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  87352 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87355 */       GIR_RootConstrainSelectedInstOperands,
     /*  87356 */       // GIR_Coverage, 5817,
     /*  87356 */       GIR_EraseRootFromParent_Done,
     /*  87357 */     // Label 1427: @87357
     /*  87357 */     GIM_Reject,
     /*  87358 */   // Label 1409: @87358
     /*  87358 */   GIM_Reject,
     /*  87359 */   // Label 1344: @87359
     /*  87359 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(87384), // Rule ID 9061 //
     /*  87364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87367 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  87370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  87373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  87377 */     // (concat_vectors:{ *:[nxv2i1] } nxv1i1:{ *:[nxv1i1] }:$p1, nxv1i1:{ *:[nxv1i1] }:$p2)  =>  (UZP1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv1i1] }:$p1, ?:{ *:[nxv1i1] }:$p2)
     /*  87377 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_D),
     /*  87382 */     GIR_RootConstrainSelectedInstOperands,
     /*  87383 */     // GIR_Coverage, 9061,
     /*  87383 */     GIR_Done,
     /*  87384 */   // Label 1428: @87384
     /*  87384 */   GIM_Reject,
     /*  87385 */   // Label 1345: @87385
     /*  87385 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(87410), // Rule ID 9062 //
     /*  87390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87393 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  87396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  87399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  87403 */     // (concat_vectors:{ *:[nxv4i1] } nxv2i1:{ *:[nxv2i1] }:$p1, nxv2i1:{ *:[nxv2i1] }:$p2)  =>  (UZP1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv2i1] }:$p1, ?:{ *:[nxv2i1] }:$p2)
     /*  87403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_S),
     /*  87408 */     GIR_RootConstrainSelectedInstOperands,
     /*  87409 */     // GIR_Coverage, 9062,
     /*  87409 */     GIR_Done,
     /*  87410 */   // Label 1429: @87410
     /*  87410 */   GIM_Reject,
     /*  87411 */   // Label 1346: @87411
     /*  87411 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(87436), // Rule ID 9065 //
     /*  87416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87419 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  87422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  87425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  87429 */     // (concat_vectors:{ *:[nxv4f16] } nxv2f16:{ *:[nxv2f16] }:$v1, nxv2f16:{ *:[nxv2f16] }:$v2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv2f16] }:$v1, ?:{ *:[nxv2f16] }:$v2)
     /*  87429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /*  87434 */     GIR_RootConstrainSelectedInstOperands,
     /*  87435 */     // GIR_Coverage, 9065,
     /*  87435 */     GIR_Done,
     /*  87436 */   // Label 1430: @87436
     /*  87436 */   GIM_Reject,
     /*  87437 */   // Label 1347: @87437
     /*  87437 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(87462), // Rule ID 9067 //
     /*  87442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87445 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  87448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  87451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  87455 */     // (concat_vectors:{ *:[nxv4f32] } nxv2f32:{ *:[nxv2f32] }:$v1, nxv2f32:{ *:[nxv2f32] }:$v2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv2f32] }:$v1, ?:{ *:[nxv2f32] }:$v2)
     /*  87455 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /*  87460 */     GIR_RootConstrainSelectedInstOperands,
     /*  87461 */     // GIR_Coverage, 9067,
     /*  87461 */     GIR_Done,
     /*  87462 */   // Label 1431: @87462
     /*  87462 */   GIM_Reject,
     /*  87463 */   // Label 1348: @87463
     /*  87463 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(87488), // Rule ID 9063 //
     /*  87468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87471 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  87474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  87477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  87481 */     // (concat_vectors:{ *:[nxv8i1] } nxv4i1:{ *:[nxv4i1] }:$p1, nxv4i1:{ *:[nxv4i1] }:$p2)  =>  (UZP1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv4i1] }:$p1, ?:{ *:[nxv4i1] }:$p2)
     /*  87481 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_H),
     /*  87486 */     GIR_RootConstrainSelectedInstOperands,
     /*  87487 */     // GIR_Coverage, 9063,
     /*  87487 */     GIR_Done,
     /*  87488 */   // Label 1432: @87488
     /*  87488 */   GIM_Reject,
     /*  87489 */   // Label 1349: @87489
     /*  87489 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(87514), // Rule ID 9066 //
     /*  87494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87497 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  87500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  87503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  87507 */     // (concat_vectors:{ *:[nxv8f16] } nxv4f16:{ *:[nxv4f16] }:$v1, nxv4f16:{ *:[nxv4f16] }:$v2)  =>  (UZP1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv4f16] }:$v1, ?:{ *:[nxv4f16] }:$v2)
     /*  87507 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_H),
     /*  87512 */     GIR_RootConstrainSelectedInstOperands,
     /*  87513 */     // GIR_Coverage, 9066,
     /*  87513 */     GIR_Done,
     /*  87514 */   // Label 1433: @87514
     /*  87514 */   GIM_Reject,
     /*  87515 */   // Label 1350: @87515
     /*  87515 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(87540), // Rule ID 9064 //
     /*  87520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87523 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  87526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  87529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  87533 */     // (concat_vectors:{ *:[nxv16i1] } nxv8i1:{ *:[nxv8i1] }:$p1, nxv8i1:{ *:[nxv8i1] }:$p2)  =>  (UZP1_PPP_B:{ *:[nxv16i1] } ?:{ *:[nxv8i1] }:$p1, ?:{ *:[nxv8i1] }:$p2)
     /*  87533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_B),
     /*  87538 */     GIR_RootConstrainSelectedInstOperands,
     /*  87539 */     // GIR_Coverage, 9064,
     /*  87539 */     GIR_Done,
     /*  87540 */   // Label 1434: @87540
     /*  87540 */   GIM_Reject,
     /*  87541 */   // Label 1351: @87541
     /*  87541 */   GIM_Reject,
     /*  87542 */ // Label 1339: @87542
     /*  87542 */ GIM_Reject,
     /*  87543 */ // Label 9: @87543
     /*  87543 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 1449*/ GIMT_Encode4(97518),
     /*  87554 */ /*GILLT_s32*//*Label 1435*/ GIMT_Encode4(87642),
     /*  87558 */ /*GILLT_s64*//*Label 1436*/ GIMT_Encode4(88039),
     /*  87562 */ /*GILLT_s128*//*Label 1437*/ GIMT_Encode4(90030),
     /*  87566 */ /*GILLT_v2s32*//*Label 1438*/ GIMT_Encode4(90676),
     /*  87570 */ /*GILLT_v2s64*//*Label 1439*/ GIMT_Encode4(91591),
     /*  87574 */ /*GILLT_v4s16*//*Label 1440*/ GIMT_Encode4(92360),
     /*  87578 */ /*GILLT_v4s32*//*Label 1441*/ GIMT_Encode4(93275),
     /*  87582 */ /*GILLT_v8s8*//*Label 1442*/ GIMT_Encode4(94120),
     /*  87586 */ /*GILLT_v8s16*//*Label 1443*/ GIMT_Encode4(94681),
     /*  87590 */ /*GILLT_v16s8*//*Label 1444*/ GIMT_Encode4(95526), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  87610 */ /*GILLT_nxv2s64*//*Label 1445*/ GIMT_Encode4(95978), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  87622 */ /*GILLT_nxv4s32*//*Label 1446*/ GIMT_Encode4(96427), GIMT_Encode4(0),
     /*  87630 */ /*GILLT_nxv8s16*//*Label 1447*/ GIMT_Encode4(96876), GIMT_Encode4(0),
     /*  87638 */ /*GILLT_nxv16s8*//*Label 1448*/ GIMT_Encode4(97325),
     /*  87642 */ // Label 1435: @87642
     /*  87642 */ GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(88038),
     /*  87647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  87650 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(87724), // Rule ID 7068 //
     /*  87655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87667 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87670 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87674 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  87681 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87684 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87690 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  87697 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_15877>>)  =>  (LDRSroW:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  87697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /*  87700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  87712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  87717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87722 */     GIR_RootConstrainSelectedInstOperands,
     /*  87723 */     // GIR_Coverage, 7068,
     /*  87723 */     GIR_EraseRootFromParent_Done,
     /*  87724 */   // Label 1451: @87724
     /*  87724 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(87798), // Rule ID 7069 //
     /*  87729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87741 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87744 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87748 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  87755 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87758 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87764 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  87771 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_15877>>)  =>  (LDRSroX:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  87771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /*  87774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  87786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  87791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87796 */     GIR_RootConstrainSelectedInstOperands,
     /*  87797 */     // GIR_Coverage, 7069,
     /*  87797 */     GIR_EraseRootFromParent_Done,
     /*  87798 */   // Label 1452: @87798
     /*  87798 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(87867), // Rule ID 7070 //
     /*  87803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87815 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87818 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87822 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  87829 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87832 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87838 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /*  87845 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_15877>>)  =>  (LDRSui:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  87845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /*  87848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87860 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87865 */     GIR_RootConstrainSelectedInstOperands,
     /*  87866 */     // GIR_Coverage, 7070,
     /*  87866 */     GIR_EraseRootFromParent_Done,
     /*  87867 */   // Label 1453: @87867
     /*  87867 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(87936), // Rule ID 7071 //
     /*  87872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87884 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87887 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87891 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  87898 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87901 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87907 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /*  87914 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_15877>>)  =>  (LDURSi:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  87914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /*  87917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87934 */     GIR_RootConstrainSelectedInstOperands,
     /*  87935 */     // GIR_Coverage, 7071,
     /*  87935 */     GIR_EraseRootFromParent_Done,
     /*  87936 */   // Label 1454: @87936
     /*  87936 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(87989), // Rule ID 5784 //
     /*  87941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  87953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  87957 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  87961 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*  87965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87967 */     // (bitconvert:{ *:[f32] } (vector_extract:{ *:[i32] } v4i32:{ *:[v4i32] }:$src, 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4i32] }:$src, ssub:{ *:[i32] })
     /*  87967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87972 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // src
     /*  87978 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87983 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87988 */     // GIR_Coverage, 5784,
     /*  87988 */     GIR_EraseRootFromParent_Done,
     /*  87989 */   // Label 1455: @87989
     /*  87989 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(88013), // Rule ID 6679 //
     /*  87994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  88002 */     // (bitconvert:{ *:[f32] } GPR32:{ *:[i32] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Xn, FPR32:{ *:[i32] })
     /*  88002 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88007 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  88012 */     // GIR_Coverage, 6679,
     /*  88012 */     GIR_Done,
     /*  88013 */   // Label 1456: @88013
     /*  88013 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(88037), // Rule ID 6680 //
     /*  88018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  88022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  88026 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[i32] } FPR32:{ *:[f32] }:$Xn, GPR32:{ *:[i32] })
     /*  88026 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88031 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  88036 */     // GIR_Coverage, 6680,
     /*  88036 */     GIR_Done,
     /*  88037 */   // Label 1457: @88037
     /*  88037 */   GIM_Reject,
     /*  88038 */ // Label 1450: @88038
     /*  88038 */ GIM_Reject,
     /*  88039 */ // Label 1436: @88039
     /*  88039 */ GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(88116), // Rule ID 7072 //
     /*  88044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88051 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  88055 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88059 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  88062 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  88066 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  88073 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  88076 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88080 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88082 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /*  88089 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15885>>)  =>  (LDRDroW:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /*  88089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /*  88092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  88094 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  88099 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  88104 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  88109 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88114 */   GIR_RootConstrainSelectedInstOperands,
     /*  88115 */   // GIR_Coverage, 7072,
     /*  88115 */   GIR_EraseRootFromParent_Done,
     /*  88116 */ // Label 1458: @88116
     /*  88116 */ GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(88193), // Rule ID 7073 //
     /*  88121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88128 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  88132 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88136 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  88139 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  88143 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  88150 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  88153 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88157 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88159 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /*  88166 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15885>>)  =>  (LDRDroX:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /*  88166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /*  88169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  88171 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  88176 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  88181 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  88186 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88191 */   GIR_RootConstrainSelectedInstOperands,
     /*  88192 */   // GIR_Coverage, 7073,
     /*  88192 */   GIR_EraseRootFromParent_Done,
     /*  88193 */ // Label 1459: @88193
     /*  88193 */ GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(88265), // Rule ID 7074 //
     /*  88198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88205 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  88209 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88213 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  88216 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  88220 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  88227 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  88230 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88234 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88236 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /*  88243 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15885>>)  =>  (LDRDui:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  88243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /*  88246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  88248 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  88253 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  88258 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88263 */   GIR_RootConstrainSelectedInstOperands,
     /*  88264 */   // GIR_Coverage, 7074,
     /*  88264 */   GIR_EraseRootFromParent_Done,
     /*  88265 */ // Label 1460: @88265
     /*  88265 */ GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(88337), // Rule ID 7075 //
     /*  88270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88277 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  88281 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88285 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  88288 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  88292 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  88299 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  88302 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88306 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88308 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /*  88315 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15885>>)  =>  (LDURDi:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  88315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /*  88318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  88320 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  88325 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  88330 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88335 */   GIR_RootConstrainSelectedInstOperands,
     /*  88336 */   // GIR_Coverage, 7075,
     /*  88336 */   GIR_EraseRootFromParent_Done,
     /*  88337 */ // Label 1461: @88337
     /*  88337 */ GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(88393), // Rule ID 5786 //
     /*  88342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88349 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  88353 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  88357 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  88361 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  88365 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*  88369 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88371 */   // (bitconvert:{ *:[f64] } (vector_extract:{ *:[i64] } v2i64:{ *:[v2i64] }:$src, 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2i64] }:$src, dsub:{ *:[i32] })
     /*  88371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88376 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // src
     /*  88382 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88387 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88392 */   // GIR_Coverage, 5786,
     /*  88392 */   GIR_EraseRootFromParent_Done,
     /*  88393 */ // Label 1462: @88393
     /*  88393 */ GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(88423), // Rule ID 6654 //
     /*  88398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  88404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88412 */   // (bitconvert:{ *:[i64] } V64:{ *:[v8i8] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v8i8] }:$Vn, GPR64:{ *:[i32] })
     /*  88412 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88417 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88422 */   // GIR_Coverage, 6654,
     /*  88422 */   GIR_Done,
     /*  88423 */ // Label 1463: @88423
     /*  88423 */ GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(88453), // Rule ID 6655 //
     /*  88428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88442 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4i16] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4i16] }:$Vn, GPR64:{ *:[i32] })
     /*  88442 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88447 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88452 */   // GIR_Coverage, 6655,
     /*  88452 */   GIR_Done,
     /*  88453 */ // Label 1464: @88453
     /*  88453 */ GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(88483), // Rule ID 6656 //
     /*  88458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88472 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2i32] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2i32] }:$Vn, GPR64:{ *:[i32] })
     /*  88472 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88477 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88482 */   // GIR_Coverage, 6656,
     /*  88482 */   GIR_Done,
     /*  88483 */ // Label 1465: @88483
     /*  88483 */ GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(88513), // Rule ID 6657 //
     /*  88488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88502 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4f16] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4f16] }:$Vn, GPR64:{ *:[i32] })
     /*  88502 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88507 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88512 */   // GIR_Coverage, 6657,
     /*  88512 */   GIR_Done,
     /*  88513 */ // Label 1466: @88513
     /*  88513 */ GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(88543), // Rule ID 6658 //
     /*  88518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88532 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2f32] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2f32] }:$Vn, GPR64:{ *:[i32] })
     /*  88532 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88537 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88542 */   // GIR_Coverage, 6658,
     /*  88542 */   GIR_Done,
     /*  88543 */ // Label 1467: @88543
     /*  88543 */ GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(88573), // Rule ID 6659 //
     /*  88548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88562 */   // (bitconvert:{ *:[i64] } V64:{ *:[v1f64] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v1f64] }:$Vn, GPR64:{ *:[i32] })
     /*  88562 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88567 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88572 */   // GIR_Coverage, 6659,
     /*  88572 */   GIR_Done,
     /*  88573 */ // Label 1468: @88573
     /*  88573 */ GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(88623), // Rule ID 6665 //
     /*  88578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  88584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88592 */   // (bitconvert:{ *:[i64] } V64:{ *:[v8i8] }:$Vn)  =>  (REV64v8i8:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v8i8] }:$Vn, GPR64:{ *:[i32] }))
     /*  88592 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  88595 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88599 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88604 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  88608 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  88616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88618 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88621 */   GIR_RootConstrainSelectedInstOperands,
     /*  88622 */   // GIR_Coverage, 6665,
     /*  88622 */   GIR_EraseRootFromParent_Done,
     /*  88623 */ // Label 1469: @88623
     /*  88623 */ GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(88673), // Rule ID 6666 //
     /*  88628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88642 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4i16] }:$Vn)  =>  (REV64v4i16:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4i16] }:$Vn, GPR64:{ *:[i32] }))
     /*  88642 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  88645 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88649 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88654 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  88658 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88668 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88671 */   GIR_RootConstrainSelectedInstOperands,
     /*  88672 */   // GIR_Coverage, 6666,
     /*  88672 */   GIR_EraseRootFromParent_Done,
     /*  88673 */ // Label 1470: @88673
     /*  88673 */ GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(88723), // Rule ID 6667 //
     /*  88678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88692 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2i32] }:$Vn)  =>  (REV64v2i32:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2i32] }:$Vn, GPR64:{ *:[i32] }))
     /*  88692 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  88695 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88699 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88704 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  88708 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  88716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88718 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88721 */   GIR_RootConstrainSelectedInstOperands,
     /*  88722 */   // GIR_Coverage, 6667,
     /*  88722 */   GIR_EraseRootFromParent_Done,
     /*  88723 */ // Label 1471: @88723
     /*  88723 */ GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(88773), // Rule ID 6668 //
     /*  88728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88742 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4f16] }:$Vn)  =>  (REV64v4i16:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4f16] }:$Vn, GPR64:{ *:[i32] }))
     /*  88742 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  88745 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88749 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88754 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  88758 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88768 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88771 */   GIR_RootConstrainSelectedInstOperands,
     /*  88772 */   // GIR_Coverage, 6668,
     /*  88772 */   GIR_EraseRootFromParent_Done,
     /*  88773 */ // Label 1472: @88773
     /*  88773 */ GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(88823), // Rule ID 6669 //
     /*  88778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88792 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2f32] }:$Vn)  =>  (REV64v2i32:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2f32] }:$Vn, GPR64:{ *:[i32] }))
     /*  88792 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  88795 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88799 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88804 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  88808 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  88816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88818 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88821 */   GIR_RootConstrainSelectedInstOperands,
     /*  88822 */   // GIR_Coverage, 6669,
     /*  88822 */   GIR_EraseRootFromParent_Done,
     /*  88823 */ // Label 1473: @88823
     /*  88823 */ GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(88850), // Rule ID 6670 //
     /*  88828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88839 */   // (bitconvert:{ *:[v1i64] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v1i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  88839 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88844 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88849 */   // GIR_Coverage, 6670,
     /*  88849 */   GIR_Done,
     /*  88850 */ // Label 1474: @88850
     /*  88850 */ GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(88877), // Rule ID 6671 //
     /*  88855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88866 */   // (bitconvert:{ *:[v1f64] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v1f64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  88866 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88871 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88876 */   // GIR_Coverage, 6671,
     /*  88876 */   GIR_Done,
     /*  88877 */ // Label 1475: @88877
     /*  88877 */ GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(88904), // Rule ID 6672 //
     /*  88882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88893 */   // (bitconvert:{ *:[i64] } V64:{ *:[v1i64] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v1i64] }:$Vn, GPR64:{ *:[i32] })
     /*  88893 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88898 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88903 */   // GIR_Coverage, 6672,
     /*  88903 */   GIR_Done,
     /*  88904 */ // Label 1476: @88904
     /*  88904 */ GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(88931), // Rule ID 6681 //
     /*  88909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88920 */   // (bitconvert:{ *:[f64] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  88920 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88925 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88930 */   // GIR_Coverage, 6681,
     /*  88930 */   GIR_Done,
     /*  88931 */ // Label 1477: @88931
     /*  88931 */ GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(88958), // Rule ID 6682 //
     /*  88936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88947 */   // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } FPR64:{ *:[f64] }:$Xn, GPR64:{ *:[i32] })
     /*  88947 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88952 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88957 */   // GIR_Coverage, 6682,
     /*  88957 */   GIR_Done,
     /*  88958 */ // Label 1478: @88958
     /*  88958 */ GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(88985), // Rule ID 6683 //
     /*  88963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88974 */   // (bitconvert:{ *:[i64] } V64:{ *:[v1f64] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v1f64] }:$Vn, GPR64:{ *:[i32] })
     /*  88974 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88979 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88984 */   // GIR_Coverage, 6683,
     /*  88984 */   GIR_Done,
     /*  88985 */ // Label 1479: @88985
     /*  88985 */ GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(89017), // Rule ID 6684 //
     /*  88990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89004 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89007 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89009 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89011 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89016 */   // GIR_Coverage, 6684,
     /*  89016 */   GIR_EraseRootFromParent_Done,
     /*  89017 */ // Label 1480: @89017
     /*  89017 */ GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(89049), // Rule ID 6685 //
     /*  89022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89036 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89039 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89041 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89043 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89048 */   // GIR_Coverage, 6685,
     /*  89048 */   GIR_EraseRootFromParent_Done,
     /*  89049 */ // Label 1481: @89049
     /*  89049 */ GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(89081), // Rule ID 6686 //
     /*  89054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89068 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89071 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89073 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89075 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89080 */   // GIR_Coverage, 6686,
     /*  89080 */   GIR_EraseRootFromParent_Done,
     /*  89081 */ // Label 1482: @89081
     /*  89081 */ GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(89113), // Rule ID 6687 //
     /*  89086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89100 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89103 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89105 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89107 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89112 */   // GIR_Coverage, 6687,
     /*  89112 */   GIR_EraseRootFromParent_Done,
     /*  89113 */ // Label 1483: @89113
     /*  89113 */ GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(89145), // Rule ID 6688 //
     /*  89118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89132 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89135 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89137 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89139 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89144 */   // GIR_Coverage, 6688,
     /*  89144 */   GIR_EraseRootFromParent_Done,
     /*  89145 */ // Label 1484: @89145
     /*  89145 */ GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(89171), // Rule ID 6689 //
     /*  89150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89164 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2i32] }:$src)  =>  (REV64v2i32:{ *:[v1i64] } FPR64:{ *:[v2i32] }:$src)
     /*  89164 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89169 */   GIR_RootConstrainSelectedInstOperands,
     /*  89170 */   // GIR_Coverage, 6689,
     /*  89170 */   GIR_Done,
     /*  89171 */ // Label 1485: @89171
     /*  89171 */ GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(89197), // Rule ID 6690 //
     /*  89176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89190 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4i16] }:$src)  =>  (REV64v4i16:{ *:[v1i64] } FPR64:{ *:[v4i16] }:$src)
     /*  89190 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89195 */   GIR_RootConstrainSelectedInstOperands,
     /*  89196 */   // GIR_Coverage, 6690,
     /*  89196 */   GIR_Done,
     /*  89197 */ // Label 1486: @89197
     /*  89197 */ GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(89223), // Rule ID 6691 //
     /*  89202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89216 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v8i8] }:$src)  =>  (REV64v8i8:{ *:[v1i64] } FPR64:{ *:[v8i8] }:$src)
     /*  89216 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  89221 */   GIR_RootConstrainSelectedInstOperands,
     /*  89222 */   // GIR_Coverage, 6691,
     /*  89222 */   GIR_Done,
     /*  89223 */ // Label 1487: @89223
     /*  89223 */ GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(89249), // Rule ID 6692 //
     /*  89228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89242 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4f16] }:$src)  =>  (REV64v4i16:{ *:[v1i64] } FPR64:{ *:[v4f16] }:$src)
     /*  89242 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89247 */   GIR_RootConstrainSelectedInstOperands,
     /*  89248 */   // GIR_Coverage, 6692,
     /*  89248 */   GIR_Done,
     /*  89249 */ // Label 1488: @89249
     /*  89249 */ GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(89275), // Rule ID 6693 //
     /*  89254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89268 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2f32] }:$src)  =>  (REV64v2i32:{ *:[v1i64] } FPR64:{ *:[v2f32] }:$src)
     /*  89268 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89273 */   GIR_RootConstrainSelectedInstOperands,
     /*  89274 */   // GIR_Coverage, 6693,
     /*  89274 */   GIR_Done,
     /*  89275 */ // Label 1489: @89275
     /*  89275 */ GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(89304), // Rule ID 6694 //
     /*  89280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89291 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89294 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89296 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89298 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89303 */   // GIR_Coverage, 6694,
     /*  89303 */   GIR_EraseRootFromParent_Done,
     /*  89304 */ // Label 1490: @89304
     /*  89304 */ GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(89333), // Rule ID 6695 //
     /*  89309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89320 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89323 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89325 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89327 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89332 */   // GIR_Coverage, 6695,
     /*  89332 */   GIR_EraseRootFromParent_Done,
     /*  89333 */ // Label 1491: @89333
     /*  89333 */ GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(89365), // Rule ID 6749 //
     /*  89338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89352 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89355 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89357 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89359 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89364 */   // GIR_Coverage, 6749,
     /*  89364 */   GIR_EraseRootFromParent_Done,
     /*  89365 */ // Label 1492: @89365
     /*  89365 */ GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(89397), // Rule ID 6750 //
     /*  89370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89384 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89387 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89389 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89391 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89396 */   // GIR_Coverage, 6750,
     /*  89396 */   GIR_EraseRootFromParent_Done,
     /*  89397 */ // Label 1493: @89397
     /*  89397 */ GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(89429), // Rule ID 6751 //
     /*  89402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89416 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89419 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89421 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89423 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89428 */   // GIR_Coverage, 6751,
     /*  89428 */   GIR_EraseRootFromParent_Done,
     /*  89429 */ // Label 1494: @89429
     /*  89429 */ GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(89461), // Rule ID 6752 //
     /*  89434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89448 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89451 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89453 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89455 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89460 */   // GIR_Coverage, 6752,
     /*  89460 */   GIR_EraseRootFromParent_Done,
     /*  89461 */ // Label 1495: @89461
     /*  89461 */ GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(89493), // Rule ID 6753 //
     /*  89466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89480 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89483 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89485 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89487 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89492 */   // GIR_Coverage, 6753,
     /*  89492 */   GIR_EraseRootFromParent_Done,
     /*  89493 */ // Label 1496: @89493
     /*  89493 */ GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(89519), // Rule ID 6754 //
     /*  89498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89512 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2i32] }:$src)  =>  (REV64v2i32:{ *:[f64] } FPR64:{ *:[v2i32] }:$src)
     /*  89512 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89517 */   GIR_RootConstrainSelectedInstOperands,
     /*  89518 */   // GIR_Coverage, 6754,
     /*  89518 */   GIR_Done,
     /*  89519 */ // Label 1497: @89519
     /*  89519 */ GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(89545), // Rule ID 6755 //
     /*  89524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89538 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4i16] }:$src)  =>  (REV64v4i16:{ *:[f64] } FPR64:{ *:[v4i16] }:$src)
     /*  89538 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89543 */   GIR_RootConstrainSelectedInstOperands,
     /*  89544 */   // GIR_Coverage, 6755,
     /*  89544 */   GIR_Done,
     /*  89545 */ // Label 1498: @89545
     /*  89545 */ GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(89571), // Rule ID 6756 //
     /*  89550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89564 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2f32] }:$src)  =>  (REV64v2i32:{ *:[f64] } FPR64:{ *:[v2f32] }:$src)
     /*  89564 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89569 */   GIR_RootConstrainSelectedInstOperands,
     /*  89570 */   // GIR_Coverage, 6756,
     /*  89570 */   GIR_Done,
     /*  89571 */ // Label 1499: @89571
     /*  89571 */ GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(89597), // Rule ID 6757 //
     /*  89576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89590 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v8i8] }:$src)  =>  (REV64v8i8:{ *:[f64] } FPR64:{ *:[v8i8] }:$src)
     /*  89590 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  89595 */   GIR_RootConstrainSelectedInstOperands,
     /*  89596 */   // GIR_Coverage, 6757,
     /*  89596 */   GIR_Done,
     /*  89597 */ // Label 1500: @89597
     /*  89597 */ GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(89623), // Rule ID 6758 //
     /*  89602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89616 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4f16] }:$src)  =>  (REV64v4i16:{ *:[f64] } FPR64:{ *:[v4f16] }:$src)
     /*  89616 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89621 */   GIR_RootConstrainSelectedInstOperands,
     /*  89622 */   // GIR_Coverage, 6758,
     /*  89622 */   GIR_Done,
     /*  89623 */ // Label 1501: @89623
     /*  89623 */ GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(89652), // Rule ID 6759 //
     /*  89628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89639 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89642 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89644 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89646 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89651 */   // GIR_Coverage, 6759,
     /*  89651 */   GIR_EraseRootFromParent_Done,
     /*  89652 */ // Label 1502: @89652
     /*  89652 */ GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(89681), // Rule ID 6760 //
     /*  89657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89668 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89671 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89673 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89675 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89680 */   // GIR_Coverage, 6760,
     /*  89680 */   GIR_EraseRootFromParent_Done,
     /*  89681 */ // Label 1503: @89681
     /*  89681 */ GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(89713), // Rule ID 6761 //
     /*  89686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89700 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89703 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89705 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89707 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89712 */   // GIR_Coverage, 6761,
     /*  89712 */   GIR_EraseRootFromParent_Done,
     /*  89713 */ // Label 1504: @89713
     /*  89713 */ GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(89745), // Rule ID 6762 //
     /*  89718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89732 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89735 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89737 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89739 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89744 */   // GIR_Coverage, 6762,
     /*  89744 */   GIR_EraseRootFromParent_Done,
     /*  89745 */ // Label 1505: @89745
     /*  89745 */ GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(89777), // Rule ID 6763 //
     /*  89750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89764 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89767 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89769 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89771 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89776 */   // GIR_Coverage, 6763,
     /*  89776 */   GIR_EraseRootFromParent_Done,
     /*  89777 */ // Label 1506: @89777
     /*  89777 */ GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(89809), // Rule ID 6764 //
     /*  89782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89796 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89799 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89801 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89803 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89808 */   // GIR_Coverage, 6764,
     /*  89808 */   GIR_EraseRootFromParent_Done,
     /*  89809 */ // Label 1507: @89809
     /*  89809 */ GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(89841), // Rule ID 6765 //
     /*  89814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89828 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89831 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89833 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89835 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89840 */   // GIR_Coverage, 6765,
     /*  89840 */   GIR_EraseRootFromParent_Done,
     /*  89841 */ // Label 1508: @89841
     /*  89841 */ GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(89867), // Rule ID 6766 //
     /*  89846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89860 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2i32] }:$src)  =>  (REV64v2i32:{ *:[v1f64] } FPR64:{ *:[v2i32] }:$src)
     /*  89860 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89865 */   GIR_RootConstrainSelectedInstOperands,
     /*  89866 */   // GIR_Coverage, 6766,
     /*  89866 */   GIR_Done,
     /*  89867 */ // Label 1509: @89867
     /*  89867 */ GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(89893), // Rule ID 6767 //
     /*  89872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89886 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4i16] }:$src)  =>  (REV64v4i16:{ *:[v1f64] } FPR64:{ *:[v4i16] }:$src)
     /*  89886 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89891 */   GIR_RootConstrainSelectedInstOperands,
     /*  89892 */   // GIR_Coverage, 6767,
     /*  89892 */   GIR_Done,
     /*  89893 */ // Label 1510: @89893
     /*  89893 */ GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(89919), // Rule ID 6768 //
     /*  89898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89912 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v8i8] }:$src)  =>  (REV64v8i8:{ *:[v1f64] } FPR64:{ *:[v8i8] }:$src)
     /*  89912 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  89917 */   GIR_RootConstrainSelectedInstOperands,
     /*  89918 */   // GIR_Coverage, 6768,
     /*  89918 */   GIR_Done,
     /*  89919 */ // Label 1511: @89919
     /*  89919 */ GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(89945), // Rule ID 6769 //
     /*  89924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89938 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2f32] }:$src)  =>  (REV64v2i32:{ *:[v1f64] } FPR64:{ *:[v2f32] }:$src)
     /*  89938 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89943 */   GIR_RootConstrainSelectedInstOperands,
     /*  89944 */   // GIR_Coverage, 6769,
     /*  89944 */   GIR_Done,
     /*  89945 */ // Label 1512: @89945
     /*  89945 */ GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(89971), // Rule ID 6770 //
     /*  89950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89964 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4f16] }:$src)  =>  (REV64v4i16:{ *:[v1f64] } FPR64:{ *:[v4f16] }:$src)
     /*  89964 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89969 */   GIR_RootConstrainSelectedInstOperands,
     /*  89970 */   // GIR_Coverage, 6770,
     /*  89970 */   GIR_Done,
     /*  89971 */ // Label 1513: @89971
     /*  89971 */ GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(90000), // Rule ID 6771 //
     /*  89976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89987 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89990 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89992 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89994 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89999 */   // GIR_Coverage, 6771,
     /*  89999 */   GIR_EraseRootFromParent_Done,
     /*  90000 */ // Label 1514: @90000
     /*  90000 */ GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(90029), // Rule ID 6772 //
     /*  90005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90016 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  90016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90019 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90021 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90023 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90028 */   // GIR_Coverage, 6772,
     /*  90028 */   GIR_EraseRootFromParent_Done,
     /*  90029 */ // Label 1515: @90029
     /*  90029 */ GIM_Reject,
     /*  90030 */ // Label 1437: @90030
     /*  90030 */ GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(90062), // Rule ID 6786 //
     /*  90035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90049 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90052 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90054 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90056 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90061 */   // GIR_Coverage, 6786,
     /*  90061 */   GIR_EraseRootFromParent_Done,
     /*  90062 */ // Label 1516: @90062
     /*  90062 */ GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(90094), // Rule ID 6787 //
     /*  90067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90081 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90084 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90086 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90088 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90093 */   // GIR_Coverage, 6787,
     /*  90093 */   GIR_EraseRootFromParent_Done,
     /*  90094 */ // Label 1517: @90094
     /*  90094 */ GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(90126), // Rule ID 6788 //
     /*  90099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90113 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90116 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90118 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90120 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90125 */   // GIR_Coverage, 6788,
     /*  90125 */   GIR_EraseRootFromParent_Done,
     /*  90126 */ // Label 1518: @90126
     /*  90126 */ GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(90158), // Rule ID 6789 //
     /*  90131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90145 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90148 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90150 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90152 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90157 */   // GIR_Coverage, 6789,
     /*  90157 */   GIR_EraseRootFromParent_Done,
     /*  90158 */ // Label 1519: @90158
     /*  90158 */ GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(90190), // Rule ID 6790 //
     /*  90163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90177 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90180 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90182 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90184 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90189 */   // GIR_Coverage, 6790,
     /*  90189 */   GIR_EraseRootFromParent_Done,
     /*  90190 */ // Label 1520: @90190
     /*  90190 */ GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(90222), // Rule ID 6791 //
     /*  90195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90209 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90212 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90214 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90216 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90221 */   // GIR_Coverage, 6791,
     /*  90221 */   GIR_EraseRootFromParent_Done,
     /*  90222 */ // Label 1521: @90222
     /*  90222 */ GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(90254), // Rule ID 6792 //
     /*  90227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  90233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90241 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90244 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90246 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90248 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90253 */   // GIR_Coverage, 6792,
     /*  90253 */   GIR_EraseRootFromParent_Done,
     /*  90254 */ // Label 1522: @90254
     /*  90254 */ GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(90287), // Rule ID 6793 //
     /*  90259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90273 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2i64] }:$src)  =>  (EXTv16i8:{ *:[f128] } FPR128:{ *:[v2i64] }:$src, FPR128:{ *:[v2i64] }:$src, 8:{ *:[i32] })
     /*  90273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90278 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90280 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90285 */   GIR_RootConstrainSelectedInstOperands,
     /*  90286 */   // GIR_Coverage, 6793,
     /*  90286 */   GIR_EraseRootFromParent_Done,
     /*  90287 */ // Label 1523: @90287
     /*  90287 */ GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(90358), // Rule ID 6794 //
     /*  90292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90306 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4i32] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4i32] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4i32] }:$src), 8:{ *:[i32] })
     /*  90306 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  90309 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  90313 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90318 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90322 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  90324 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  90327 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  90331 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90336 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90340 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  90342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90347 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90350 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  90353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90356 */   GIR_RootConstrainSelectedInstOperands,
     /*  90357 */   // GIR_Coverage, 6794,
     /*  90357 */   GIR_EraseRootFromParent_Done,
     /*  90358 */ // Label 1524: @90358
     /*  90358 */ GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(90429), // Rule ID 6795 //
     /*  90363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90377 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8i16] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8i16] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8i16] }:$src), 8:{ *:[i32] })
     /*  90377 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  90380 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90384 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90389 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90393 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  90395 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  90398 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90402 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90407 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90411 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  90413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90418 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90421 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  90424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90427 */   GIR_RootConstrainSelectedInstOperands,
     /*  90428 */   // GIR_Coverage, 6795,
     /*  90428 */   GIR_EraseRootFromParent_Done,
     /*  90429 */ // Label 1525: @90429
     /*  90429 */ GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(90500), // Rule ID 6796 //
     /*  90434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90448 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8f16] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8f16] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8f16] }:$src), 8:{ *:[i32] })
     /*  90448 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  90451 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90455 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90460 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90464 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  90466 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  90469 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90473 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90478 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  90484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90492 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  90495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90498 */   GIR_RootConstrainSelectedInstOperands,
     /*  90499 */   // GIR_Coverage, 6796,
     /*  90499 */   GIR_EraseRootFromParent_Done,
     /*  90500 */ // Label 1526: @90500
     /*  90500 */ GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(90533), // Rule ID 6797 //
     /*  90505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90519 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2f64] }:$src)  =>  (EXTv16i8:{ *:[f128] } FPR128:{ *:[v2f64] }:$src, FPR128:{ *:[v2f64] }:$src, 8:{ *:[i32] })
     /*  90519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90524 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90526 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90531 */   GIR_RootConstrainSelectedInstOperands,
     /*  90532 */   // GIR_Coverage, 6797,
     /*  90532 */   GIR_EraseRootFromParent_Done,
     /*  90533 */ // Label 1527: @90533
     /*  90533 */ GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(90604), // Rule ID 6798 //
     /*  90538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90552 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4f32] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4f32] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4f32] }:$src), 8:{ *:[i32] })
     /*  90552 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  90555 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  90559 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90564 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90568 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  90570 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  90573 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  90577 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90582 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  90588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90593 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90596 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  90599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90602 */   GIR_RootConstrainSelectedInstOperands,
     /*  90603 */   // GIR_Coverage, 6798,
     /*  90603 */   GIR_EraseRootFromParent_Done,
     /*  90604 */ // Label 1528: @90604
     /*  90604 */ GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(90675), // Rule ID 6799 //
     /*  90609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  90615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90623 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v16i8] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v16i8:{ *:[f128] } FPR128:{ *:[v16i8] }:$src), (REV64v16i8:{ *:[f128] } FPR128:{ *:[v16i8] }:$src), 8:{ *:[i32] })
     /*  90623 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  90626 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  90630 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90635 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  90641 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  90644 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  90648 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90653 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90657 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  90659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90662 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90664 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90667 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  90670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90673 */   GIR_RootConstrainSelectedInstOperands,
     /*  90674 */   // GIR_Coverage, 6799,
     /*  90674 */   GIR_EraseRootFromParent_Done,
     /*  90675 */ // Label 1529: @90675
     /*  90675 */ GIM_Reject,
     /*  90676 */ // Label 1438: @90676
     /*  90676 */ GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(90706), // Rule ID 6651 //
     /*  90681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  90695 */   // (bitconvert:{ *:[v2i32] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v2i32] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  90695 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90700 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90705 */   // GIR_Coverage, 6651,
     /*  90705 */   GIR_Done,
     /*  90706 */ // Label 1530: @90706
     /*  90706 */ GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(90736), // Rule ID 6653 //
     /*  90711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  90725 */   // (bitconvert:{ *:[v2f32] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v2f32] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  90725 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90730 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90735 */   // GIR_Coverage, 6653,
     /*  90735 */   GIR_Done,
     /*  90736 */ // Label 1531: @90736
     /*  90736 */ GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(90786), // Rule ID 6662 //
     /*  90741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  90755 */   // (bitconvert:{ *:[v2i32] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v2i32:{ *:[v2i32] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  90755 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  90758 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90762 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90767 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  90771 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  90779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90781 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90784 */   GIR_RootConstrainSelectedInstOperands,
     /*  90785 */   // GIR_Coverage, 6662,
     /*  90785 */   GIR_EraseRootFromParent_Done,
     /*  90786 */ // Label 1532: @90786
     /*  90786 */ GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(90836), // Rule ID 6664 //
     /*  90791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  90805 */   // (bitconvert:{ *:[v2f32] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v2i32:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  90805 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  90808 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90812 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90817 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  90821 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  90829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90831 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90834 */   GIR_RootConstrainSelectedInstOperands,
     /*  90835 */   // GIR_Coverage, 6664,
     /*  90835 */   GIR_EraseRootFromParent_Done,
     /*  90836 */ // Label 1533: @90836
     /*  90836 */ GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(90868), // Rule ID 6696 //
     /*  90841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90855 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90858 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90860 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90862 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90867 */   // GIR_Coverage, 6696,
     /*  90867 */   GIR_EraseRootFromParent_Done,
     /*  90868 */ // Label 1534: @90868
     /*  90868 */ GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(90900), // Rule ID 6697 //
     /*  90873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  90879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90887 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90890 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90892 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90894 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90899 */   // GIR_Coverage, 6697,
     /*  90899 */   GIR_EraseRootFromParent_Done,
     /*  90900 */ // Label 1535: @90900
     /*  90900 */ GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(90932), // Rule ID 6698 //
     /*  90905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  90911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90919 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90922 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90924 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90926 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90931 */   // GIR_Coverage, 6698,
     /*  90931 */   GIR_EraseRootFromParent_Done,
     /*  90932 */ // Label 1536: @90932
     /*  90932 */ GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(90964), // Rule ID 6699 //
     /*  90937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90951 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90954 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90956 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90958 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90963 */   // GIR_Coverage, 6699,
     /*  90963 */   GIR_EraseRootFromParent_Done,
     /*  90964 */ // Label 1537: @90964
     /*  90964 */ GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(90996), // Rule ID 6700 //
     /*  90969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90983 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90986 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90988 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90990 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90995 */   // GIR_Coverage, 6700,
     /*  90995 */   GIR_EraseRootFromParent_Done,
     /*  90996 */ // Label 1538: @90996
     /*  90996 */ GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(91028), // Rule ID 6701 //
     /*  91001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91015 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  91015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91018 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91020 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91022 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91027 */   // GIR_Coverage, 6701,
     /*  91027 */   GIR_EraseRootFromParent_Done,
     /*  91028 */ // Label 1539: @91028
     /*  91028 */ GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(91054), // Rule ID 6702 //
     /*  91033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91047 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v2i32:{ *:[v2i32] } FPR64:{ *:[v1i64] }:$src)
     /*  91047 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  91052 */   GIR_RootConstrainSelectedInstOperands,
     /*  91053 */   // GIR_Coverage, 6702,
     /*  91053 */   GIR_Done,
     /*  91054 */ // Label 1540: @91054
     /*  91054 */ GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(91080), // Rule ID 6703 //
     /*  91059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91073 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4i16] }:$src)  =>  (REV32v4i16:{ *:[v2i32] } FPR64:{ *:[v4i16] }:$src)
     /*  91073 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  91078 */   GIR_RootConstrainSelectedInstOperands,
     /*  91079 */   // GIR_Coverage, 6703,
     /*  91079 */   GIR_Done,
     /*  91080 */ // Label 1541: @91080
     /*  91080 */ GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(91106), // Rule ID 6704 //
     /*  91085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  91091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91099 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v8i8] }:$src)  =>  (REV32v8i8:{ *:[v2i32] } FPR64:{ *:[v8i8] }:$src)
     /*  91099 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  91104 */   GIR_RootConstrainSelectedInstOperands,
     /*  91105 */   // GIR_Coverage, 6704,
     /*  91105 */   GIR_Done,
     /*  91106 */ // Label 1542: @91106
     /*  91106 */ GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(91132), // Rule ID 6705 //
     /*  91111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91125 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[f64] }:$src)  =>  (REV64v2i32:{ *:[v2i32] } FPR64:{ *:[f64] }:$src)
     /*  91125 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  91130 */   GIR_RootConstrainSelectedInstOperands,
     /*  91131 */   // GIR_Coverage, 6705,
     /*  91131 */   GIR_Done,
     /*  91132 */ // Label 1543: @91132
     /*  91132 */ GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(91158), // Rule ID 6706 //
     /*  91137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91151 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v2i32:{ *:[v2i32] } FPR64:{ *:[v1f64] }:$src)
     /*  91151 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  91156 */   GIR_RootConstrainSelectedInstOperands,
     /*  91157 */   // GIR_Coverage, 6706,
     /*  91157 */   GIR_Done,
     /*  91158 */ // Label 1544: @91158
     /*  91158 */ GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(91184), // Rule ID 6707 //
     /*  91163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91177 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4f16] }:$src)  =>  (REV32v4i16:{ *:[v2i32] } FPR64:{ *:[v4f16] }:$src)
     /*  91177 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  91182 */   GIR_RootConstrainSelectedInstOperands,
     /*  91183 */   // GIR_Coverage, 6707,
     /*  91183 */   GIR_Done,
     /*  91184 */ // Label 1545: @91184
     /*  91184 */ GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(91213), // Rule ID 6708 //
     /*  91189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  91192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91200 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  91200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91203 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91205 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91207 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91212 */   // GIR_Coverage, 6708,
     /*  91212 */   GIR_EraseRootFromParent_Done,
     /*  91213 */ // Label 1546: @91213
     /*  91213 */ GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(91245), // Rule ID 6773 //
     /*  91218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91232 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91235 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91237 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91239 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91244 */   // GIR_Coverage, 6773,
     /*  91244 */   GIR_EraseRootFromParent_Done,
     /*  91245 */ // Label 1547: @91245
     /*  91245 */ GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(91277), // Rule ID 6774 //
     /*  91250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91264 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91267 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91269 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91271 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91276 */   // GIR_Coverage, 6774,
     /*  91276 */   GIR_EraseRootFromParent_Done,
     /*  91277 */ // Label 1548: @91277
     /*  91277 */ GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(91309), // Rule ID 6775 //
     /*  91282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  91288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91296 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91299 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91301 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91303 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91308 */   // GIR_Coverage, 6775,
     /*  91308 */   GIR_EraseRootFromParent_Done,
     /*  91309 */ // Label 1549: @91309
     /*  91309 */ GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(91341), // Rule ID 6776 //
     /*  91314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91328 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91331 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91333 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91335 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91340 */   // GIR_Coverage, 6776,
     /*  91340 */   GIR_EraseRootFromParent_Done,
     /*  91341 */ // Label 1550: @91341
     /*  91341 */ GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(91373), // Rule ID 6777 //
     /*  91346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91360 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91363 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91365 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91367 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91372 */   // GIR_Coverage, 6777,
     /*  91372 */   GIR_EraseRootFromParent_Done,
     /*  91373 */ // Label 1551: @91373
     /*  91373 */ GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(91405), // Rule ID 6778 //
     /*  91378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91392 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91395 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91397 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91399 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91404 */   // GIR_Coverage, 6778,
     /*  91404 */   GIR_EraseRootFromParent_Done,
     /*  91405 */ // Label 1552: @91405
     /*  91405 */ GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(91431), // Rule ID 6779 //
     /*  91410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91424 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v2i32:{ *:[v2f32] } FPR64:{ *:[v1i64] }:$src)
     /*  91424 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  91429 */   GIR_RootConstrainSelectedInstOperands,
     /*  91430 */   // GIR_Coverage, 6779,
     /*  91430 */   GIR_Done,
     /*  91431 */ // Label 1553: @91431
     /*  91431 */ GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(91457), // Rule ID 6780 //
     /*  91436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91450 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4i16] }:$src)  =>  (REV32v4i16:{ *:[v2f32] } FPR64:{ *:[v4i16] }:$src)
     /*  91450 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  91455 */   GIR_RootConstrainSelectedInstOperands,
     /*  91456 */   // GIR_Coverage, 6780,
     /*  91456 */   GIR_Done,
     /*  91457 */ // Label 1554: @91457
     /*  91457 */ GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(91483), // Rule ID 6781 //
     /*  91462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  91468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91476 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v8i8] }:$src)  =>  (REV32v8i8:{ *:[v2f32] } FPR64:{ *:[v8i8] }:$src)
     /*  91476 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  91481 */   GIR_RootConstrainSelectedInstOperands,
     /*  91482 */   // GIR_Coverage, 6781,
     /*  91482 */   GIR_Done,
     /*  91483 */ // Label 1555: @91483
     /*  91483 */ GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(91509), // Rule ID 6782 //
     /*  91488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91502 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v2i32:{ *:[v2f32] } FPR64:{ *:[v1f64] }:$src)
     /*  91502 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  91507 */   GIR_RootConstrainSelectedInstOperands,
     /*  91508 */   // GIR_Coverage, 6782,
     /*  91508 */   GIR_Done,
     /*  91509 */ // Label 1556: @91509
     /*  91509 */ GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(91535), // Rule ID 6783 //
     /*  91514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91528 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[f64] }:$src)  =>  (REV64v2i32:{ *:[v2f32] } FPR64:{ *:[f64] }:$src)
     /*  91528 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  91533 */   GIR_RootConstrainSelectedInstOperands,
     /*  91534 */   // GIR_Coverage, 6783,
     /*  91534 */   GIR_Done,
     /*  91535 */ // Label 1557: @91535
     /*  91535 */ GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(91561), // Rule ID 6784 //
     /*  91540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91554 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4f16] }:$src)  =>  (REV32v4i16:{ *:[v2f32] } FPR64:{ *:[v4f16] }:$src)
     /*  91554 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  91559 */   GIR_RootConstrainSelectedInstOperands,
     /*  91560 */   // GIR_Coverage, 6784,
     /*  91560 */   GIR_Done,
     /*  91561 */ // Label 1558: @91561
     /*  91561 */ GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(91590), // Rule ID 6785 //
     /*  91566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  91569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91577 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91580 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91582 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91584 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91589 */   // GIR_Coverage, 6785,
     /*  91589 */   GIR_EraseRootFromParent_Done,
     /*  91590 */ // Label 1559: @91590
     /*  91590 */ GIM_Reject,
     /*  91591 */ // Label 1439: @91591
     /*  91591 */ GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(91623), // Rule ID 6800 //
     /*  91596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  91602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91610 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91613 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91615 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91617 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91622 */   // GIR_Coverage, 6800,
     /*  91622 */   GIR_EraseRootFromParent_Done,
     /*  91623 */ // Label 1560: @91623
     /*  91623 */ GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(91655), // Rule ID 6801 //
     /*  91628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91642 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91645 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91647 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91649 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91654 */   // GIR_Coverage, 6801,
     /*  91654 */   GIR_EraseRootFromParent_Done,
     /*  91655 */ // Label 1561: @91655
     /*  91655 */ GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(91687), // Rule ID 6802 //
     /*  91660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91674 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91677 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91679 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91681 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91686 */   // GIR_Coverage, 6802,
     /*  91686 */   GIR_EraseRootFromParent_Done,
     /*  91687 */ // Label 1562: @91687
     /*  91687 */ GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(91719), // Rule ID 6803 //
     /*  91692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91706 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91709 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91711 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91713 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91718 */   // GIR_Coverage, 6803,
     /*  91718 */   GIR_EraseRootFromParent_Done,
     /*  91719 */ // Label 1563: @91719
     /*  91719 */ GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(91751), // Rule ID 6804 //
     /*  91724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  91730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91738 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91741 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91743 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91745 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91750 */   // GIR_Coverage, 6804,
     /*  91750 */   GIR_EraseRootFromParent_Done,
     /*  91751 */ // Label 1564: @91751
     /*  91751 */ GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(91783), // Rule ID 6805 //
     /*  91756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91770 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91773 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91775 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91777 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91782 */   // GIR_Coverage, 6805,
     /*  91782 */   GIR_EraseRootFromParent_Done,
     /*  91783 */ // Label 1565: @91783
     /*  91783 */ GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(91816), // Rule ID 6806 //
     /*  91788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  91794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91802 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v2f64] } FPR128:{ *:[f128] }:$src, FPR128:{ *:[f128] }:$src, 8:{ *:[i32] })
     /*  91802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  91805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  91807 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91809 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  91814 */   GIR_RootConstrainSelectedInstOperands,
     /*  91815 */   // GIR_Coverage, 6806,
     /*  91815 */   GIR_EraseRootFromParent_Done,
     /*  91816 */ // Label 1566: @91816
     /*  91816 */ GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(91842), // Rule ID 6807 //
     /*  91821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91835 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4i32] }:$src)  =>  (REV64v4i32:{ *:[v2f64] } FPR128:{ *:[v4i32] }:$src)
     /*  91835 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  91840 */   GIR_RootConstrainSelectedInstOperands,
     /*  91841 */   // GIR_Coverage, 6807,
     /*  91841 */   GIR_Done,
     /*  91842 */ // Label 1567: @91842
     /*  91842 */ GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(91868), // Rule ID 6808 //
     /*  91847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91861 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8i16] }:$src)  =>  (REV64v8i16:{ *:[v2f64] } FPR128:{ *:[v8i16] }:$src)
     /*  91861 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  91866 */   GIR_RootConstrainSelectedInstOperands,
     /*  91867 */   // GIR_Coverage, 6808,
     /*  91867 */   GIR_Done,
     /*  91868 */ // Label 1568: @91868
     /*  91868 */ GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(91894), // Rule ID 6809 //
     /*  91873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91887 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8f16] }:$src)  =>  (REV64v8i16:{ *:[v2f64] } FPR128:{ *:[v8f16] }:$src)
     /*  91887 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  91892 */   GIR_RootConstrainSelectedInstOperands,
     /*  91893 */   // GIR_Coverage, 6809,
     /*  91893 */   GIR_Done,
     /*  91894 */ // Label 1569: @91894
     /*  91894 */ GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(91920), // Rule ID 6810 //
     /*  91899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  91905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91913 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v16i8] }:$src)  =>  (REV64v16i8:{ *:[v2f64] } FPR128:{ *:[v16i8] }:$src)
     /*  91913 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  91918 */   GIR_RootConstrainSelectedInstOperands,
     /*  91919 */   // GIR_Coverage, 6810,
     /*  91919 */   GIR_Done,
     /*  91920 */ // Label 1570: @91920
     /*  91920 */ GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(91946), // Rule ID 6811 //
     /*  91925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91939 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4f32] }:$src)  =>  (REV64v4i32:{ *:[v2f64] } FPR128:{ *:[v4f32] }:$src)
     /*  91939 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  91944 */   GIR_RootConstrainSelectedInstOperands,
     /*  91945 */   // GIR_Coverage, 6811,
     /*  91945 */   GIR_Done,
     /*  91946 */ // Label 1571: @91946
     /*  91946 */ GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(91975), // Rule ID 6812 //
     /*  91951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  91954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91962 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91965 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91967 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91969 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91974 */   // GIR_Coverage, 6812,
     /*  91974 */   GIR_EraseRootFromParent_Done,
     /*  91975 */ // Label 1572: @91975
     /*  91975 */ GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(92007), // Rule ID 6826 //
     /*  91980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  91986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91994 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  91994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91997 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91999 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92001 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92006 */   // GIR_Coverage, 6826,
     /*  92006 */   GIR_EraseRootFromParent_Done,
     /*  92007 */ // Label 1573: @92007
     /*  92007 */ GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(92039), // Rule ID 6827 //
     /*  92012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  92018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92026 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  92026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92029 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92031 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92033 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92038 */   // GIR_Coverage, 6827,
     /*  92038 */   GIR_EraseRootFromParent_Done,
     /*  92039 */ // Label 1574: @92039
     /*  92039 */ GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(92071), // Rule ID 6828 //
     /*  92044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  92050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92058 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  92058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92061 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92063 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92065 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92070 */   // GIR_Coverage, 6828,
     /*  92070 */   GIR_EraseRootFromParent_Done,
     /*  92071 */ // Label 1575: @92071
     /*  92071 */ GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(92103), // Rule ID 6829 //
     /*  92076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  92082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92090 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  92090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92093 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92095 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92097 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92102 */   // GIR_Coverage, 6829,
     /*  92102 */   GIR_EraseRootFromParent_Done,
     /*  92103 */ // Label 1576: @92103
     /*  92103 */ GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(92135), // Rule ID 6830 //
     /*  92108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  92114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92122 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  92122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92125 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92127 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92129 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92134 */   // GIR_Coverage, 6830,
     /*  92134 */   GIR_EraseRootFromParent_Done,
     /*  92135 */ // Label 1577: @92135
     /*  92135 */ GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(92167), // Rule ID 6831 //
     /*  92140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  92146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92154 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  92154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92157 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92159 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92161 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92166 */   // GIR_Coverage, 6831,
     /*  92166 */   GIR_EraseRootFromParent_Done,
     /*  92167 */ // Label 1578: @92167
     /*  92167 */ GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(92200), // Rule ID 6832 //
     /*  92172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  92178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92186 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v2i64] } FPR128:{ *:[f128] }:$src, FPR128:{ *:[f128] }:$src, 8:{ *:[i32] })
     /*  92186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  92189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92191 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92193 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  92198 */   GIR_RootConstrainSelectedInstOperands,
     /*  92199 */   // GIR_Coverage, 6832,
     /*  92199 */   GIR_EraseRootFromParent_Done,
     /*  92200 */ // Label 1579: @92200
     /*  92200 */ GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(92226), // Rule ID 6833 //
     /*  92205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  92211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92219 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4i32] }:$src)  =>  (REV64v4i32:{ *:[v2i64] } FPR128:{ *:[v4i32] }:$src)
     /*  92219 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  92224 */   GIR_RootConstrainSelectedInstOperands,
     /*  92225 */   // GIR_Coverage, 6833,
     /*  92225 */   GIR_Done,
     /*  92226 */ // Label 1580: @92226
     /*  92226 */ GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(92252), // Rule ID 6834 //
     /*  92231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  92237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92245 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8i16] }:$src)  =>  (REV64v8i16:{ *:[v2i64] } FPR128:{ *:[v8i16] }:$src)
     /*  92245 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  92250 */   GIR_RootConstrainSelectedInstOperands,
     /*  92251 */   // GIR_Coverage, 6834,
     /*  92251 */   GIR_Done,
     /*  92252 */ // Label 1581: @92252
     /*  92252 */ GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(92278), // Rule ID 6835 //
     /*  92257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  92263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92271 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v16i8] }:$src)  =>  (REV64v16i8:{ *:[v2i64] } FPR128:{ *:[v16i8] }:$src)
     /*  92271 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  92276 */   GIR_RootConstrainSelectedInstOperands,
     /*  92277 */   // GIR_Coverage, 6835,
     /*  92277 */   GIR_Done,
     /*  92278 */ // Label 1582: @92278
     /*  92278 */ GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(92304), // Rule ID 6836 //
     /*  92283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  92289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92297 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4f32] }:$src)  =>  (REV64v4i32:{ *:[v2i64] } FPR128:{ *:[v4f32] }:$src)
     /*  92297 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  92302 */   GIR_RootConstrainSelectedInstOperands,
     /*  92303 */   // GIR_Coverage, 6836,
     /*  92303 */   GIR_Done,
     /*  92304 */ // Label 1583: @92304
     /*  92304 */ GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(92330), // Rule ID 6837 //
     /*  92309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  92315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92323 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8f16] }:$src)  =>  (REV64v8i16:{ *:[v2i64] } FPR128:{ *:[v8f16] }:$src)
     /*  92323 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  92328 */   GIR_RootConstrainSelectedInstOperands,
     /*  92329 */   // GIR_Coverage, 6837,
     /*  92329 */   GIR_Done,
     /*  92330 */ // Label 1584: @92330
     /*  92330 */ GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(92359), // Rule ID 6838 //
     /*  92335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  92338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92346 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  92346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92349 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92351 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92353 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92358 */   // GIR_Coverage, 6838,
     /*  92358 */   GIR_EraseRootFromParent_Done,
     /*  92359 */ // Label 1585: @92359
     /*  92359 */ GIM_Reject,
     /*  92360 */ // Label 1440: @92360
     /*  92360 */ GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(92390), // Rule ID 6650 //
     /*  92365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  92379 */   // (bitconvert:{ *:[v4i16] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v4i16] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  92379 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92384 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92389 */   // GIR_Coverage, 6650,
     /*  92389 */   GIR_Done,
     /*  92390 */ // Label 1586: @92390
     /*  92390 */ GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(92420), // Rule ID 6652 //
     /*  92395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  92409 */   // (bitconvert:{ *:[v4f16] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v4f16] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  92409 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92414 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92419 */   // GIR_Coverage, 6652,
     /*  92419 */   GIR_Done,
     /*  92420 */ // Label 1587: @92420
     /*  92420 */ GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(92470), // Rule ID 6661 //
     /*  92425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  92439 */   // (bitconvert:{ *:[v4i16] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v4i16:{ *:[v4i16] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  92439 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  92442 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92446 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  92451 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  92455 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92465 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  92468 */   GIR_RootConstrainSelectedInstOperands,
     /*  92469 */   // GIR_Coverage, 6661,
     /*  92469 */   GIR_EraseRootFromParent_Done,
     /*  92470 */ // Label 1588: @92470
     /*  92470 */ GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(92520), // Rule ID 6663 //
     /*  92475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  92489 */   // (bitconvert:{ *:[v4f16] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v4i16:{ *:[v4f16] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  92489 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  92492 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92496 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  92501 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  92505 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92515 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  92518 */   GIR_RootConstrainSelectedInstOperands,
     /*  92519 */   // GIR_Coverage, 6663,
     /*  92519 */   GIR_EraseRootFromParent_Done,
     /*  92520 */ // Label 1589: @92520
     /*  92520 */ GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(92552), // Rule ID 6709 //
     /*  92525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92539 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92542 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92544 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92546 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92551 */   // GIR_Coverage, 6709,
     /*  92551 */   GIR_EraseRootFromParent_Done,
     /*  92552 */ // Label 1590: @92552
     /*  92552 */ GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(92584), // Rule ID 6710 //
     /*  92557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92571 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92574 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92576 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92578 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92583 */   // GIR_Coverage, 6710,
     /*  92583 */   GIR_EraseRootFromParent_Done,
     /*  92584 */ // Label 1591: @92584
     /*  92584 */ GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(92616), // Rule ID 6711 //
     /*  92589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  92595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92603 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92606 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92608 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92610 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92615 */   // GIR_Coverage, 6711,
     /*  92615 */   GIR_EraseRootFromParent_Done,
     /*  92616 */ // Label 1592: @92616
     /*  92616 */ GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(92648), // Rule ID 6712 //
     /*  92621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92635 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92638 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92640 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92642 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92647 */   // GIR_Coverage, 6712,
     /*  92647 */   GIR_EraseRootFromParent_Done,
     /*  92648 */ // Label 1593: @92648
     /*  92648 */ GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(92680), // Rule ID 6713 //
     /*  92653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92667 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92670 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92672 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92674 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92679 */   // GIR_Coverage, 6713,
     /*  92679 */   GIR_EraseRootFromParent_Done,
     /*  92680 */ // Label 1594: @92680
     /*  92680 */ GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(92712), // Rule ID 6714 //
     /*  92685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92699 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92702 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92704 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92706 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92711 */   // GIR_Coverage, 6714,
     /*  92711 */   GIR_EraseRootFromParent_Done,
     /*  92712 */ // Label 1595: @92712
     /*  92712 */ GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(92738), // Rule ID 6715 //
     /*  92717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92731 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v4i16:{ *:[v4i16] } FPR64:{ *:[v1i64] }:$src)
     /*  92731 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92736 */   GIR_RootConstrainSelectedInstOperands,
     /*  92737 */   // GIR_Coverage, 6715,
     /*  92737 */   GIR_Done,
     /*  92738 */ // Label 1596: @92738
     /*  92738 */ GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(92764), // Rule ID 6716 //
     /*  92743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92757 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2i32] }:$src)  =>  (REV32v4i16:{ *:[v4i16] } FPR64:{ *:[v2i32] }:$src)
     /*  92757 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  92762 */   GIR_RootConstrainSelectedInstOperands,
     /*  92763 */   // GIR_Coverage, 6716,
     /*  92763 */   GIR_Done,
     /*  92764 */ // Label 1597: @92764
     /*  92764 */ GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(92790), // Rule ID 6717 //
     /*  92769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  92775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92783 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v8i8] }:$src)  =>  (REV16v8i8:{ *:[v4i16] } FPR64:{ *:[v8i8] }:$src)
     /*  92783 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  92788 */   GIR_RootConstrainSelectedInstOperands,
     /*  92789 */   // GIR_Coverage, 6717,
     /*  92789 */   GIR_Done,
     /*  92790 */ // Label 1598: @92790
     /*  92790 */ GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(92816), // Rule ID 6718 //
     /*  92795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92809 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[f64] }:$src)  =>  (REV64v4i16:{ *:[v4i16] } FPR64:{ *:[f64] }:$src)
     /*  92809 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92814 */   GIR_RootConstrainSelectedInstOperands,
     /*  92815 */   // GIR_Coverage, 6718,
     /*  92815 */   GIR_Done,
     /*  92816 */ // Label 1599: @92816
     /*  92816 */ GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(92842), // Rule ID 6719 //
     /*  92821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92835 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2f32] }:$src)  =>  (REV32v4i16:{ *:[v4i16] } FPR64:{ *:[v2f32] }:$src)
     /*  92835 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  92840 */   GIR_RootConstrainSelectedInstOperands,
     /*  92841 */   // GIR_Coverage, 6719,
     /*  92841 */   GIR_Done,
     /*  92842 */ // Label 1600: @92842
     /*  92842 */ GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(92868), // Rule ID 6720 //
     /*  92847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92861 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v4i16:{ *:[v4i16] } FPR64:{ *:[v1f64] }:$src)
     /*  92861 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92866 */   GIR_RootConstrainSelectedInstOperands,
     /*  92867 */   // GIR_Coverage, 6720,
     /*  92867 */   GIR_Done,
     /*  92868 */ // Label 1601: @92868
     /*  92868 */ GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(92897), // Rule ID 6721 //
     /*  92873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  92876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92884 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92887 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92889 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92891 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92896 */   // GIR_Coverage, 6721,
     /*  92896 */   GIR_EraseRootFromParent_Done,
     /*  92897 */ // Label 1602: @92897
     /*  92897 */ GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(92929), // Rule ID 6722 //
     /*  92902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92916 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92919 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92921 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92923 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92928 */   // GIR_Coverage, 6722,
     /*  92928 */   GIR_EraseRootFromParent_Done,
     /*  92929 */ // Label 1603: @92929
     /*  92929 */ GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(92961), // Rule ID 6723 //
     /*  92934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92948 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92951 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92953 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92955 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92960 */   // GIR_Coverage, 6723,
     /*  92960 */   GIR_EraseRootFromParent_Done,
     /*  92961 */ // Label 1604: @92961
     /*  92961 */ GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(92993), // Rule ID 6724 //
     /*  92966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  92972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92980 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92983 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92985 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92987 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92992 */   // GIR_Coverage, 6724,
     /*  92992 */   GIR_EraseRootFromParent_Done,
     /*  92993 */ // Label 1605: @92993
     /*  92993 */ GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(93025), // Rule ID 6725 //
     /*  92998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93012 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  93012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93015 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93017 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93019 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93024 */   // GIR_Coverage, 6725,
     /*  93024 */   GIR_EraseRootFromParent_Done,
     /*  93025 */ // Label 1606: @93025
     /*  93025 */ GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(93057), // Rule ID 6726 //
     /*  93030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  93036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93044 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  93044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93047 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93049 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93051 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93056 */   // GIR_Coverage, 6726,
     /*  93056 */   GIR_EraseRootFromParent_Done,
     /*  93057 */ // Label 1607: @93057
     /*  93057 */ GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(93089), // Rule ID 6727 //
     /*  93062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93076 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  93076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93079 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93081 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93083 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93088 */   // GIR_Coverage, 6727,
     /*  93088 */   GIR_EraseRootFromParent_Done,
     /*  93089 */ // Label 1608: @93089
     /*  93089 */ GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(93115), // Rule ID 6728 //
     /*  93094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93108 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v4i16:{ *:[v4f16] } FPR64:{ *:[v1i64] }:$src)
     /*  93108 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  93113 */   GIR_RootConstrainSelectedInstOperands,
     /*  93114 */   // GIR_Coverage, 6728,
     /*  93114 */   GIR_Done,
     /*  93115 */ // Label 1609: @93115
     /*  93115 */ GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(93141), // Rule ID 6729 //
     /*  93120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  93126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93134 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2i32] }:$src)  =>  (REV32v4i16:{ *:[v4f16] } FPR64:{ *:[v2i32] }:$src)
     /*  93134 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  93139 */   GIR_RootConstrainSelectedInstOperands,
     /*  93140 */   // GIR_Coverage, 6729,
     /*  93140 */   GIR_Done,
     /*  93141 */ // Label 1610: @93141
     /*  93141 */ GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(93167), // Rule ID 6730 //
     /*  93146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  93152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93160 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v8i8] }:$src)  =>  (REV16v8i8:{ *:[v4f16] } FPR64:{ *:[v8i8] }:$src)
     /*  93160 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  93165 */   GIR_RootConstrainSelectedInstOperands,
     /*  93166 */   // GIR_Coverage, 6730,
     /*  93166 */   GIR_Done,
     /*  93167 */ // Label 1611: @93167
     /*  93167 */ GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(93193), // Rule ID 6731 //
     /*  93172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93186 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[f64] }:$src)  =>  (REV64v4i16:{ *:[v4f16] } FPR64:{ *:[f64] }:$src)
     /*  93186 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  93191 */   GIR_RootConstrainSelectedInstOperands,
     /*  93192 */   // GIR_Coverage, 6731,
     /*  93192 */   GIR_Done,
     /*  93193 */ // Label 1612: @93193
     /*  93193 */ GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(93219), // Rule ID 6732 //
     /*  93198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  93204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93212 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2f32] }:$src)  =>  (REV32v4i16:{ *:[v4f16] } FPR64:{ *:[v2f32] }:$src)
     /*  93212 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  93217 */   GIR_RootConstrainSelectedInstOperands,
     /*  93218 */   // GIR_Coverage, 6732,
     /*  93218 */   GIR_Done,
     /*  93219 */ // Label 1613: @93219
     /*  93219 */ GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(93245), // Rule ID 6733 //
     /*  93224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93238 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v4i16:{ *:[v4f16] } FPR64:{ *:[v1f64] }:$src)
     /*  93238 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  93243 */   GIR_RootConstrainSelectedInstOperands,
     /*  93244 */   // GIR_Coverage, 6733,
     /*  93244 */   GIR_Done,
     /*  93245 */ // Label 1614: @93245
     /*  93245 */ GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(93274), // Rule ID 6734 //
     /*  93250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  93253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93261 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  93261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93264 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93266 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93268 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93273 */   // GIR_Coverage, 6734,
     /*  93273 */   GIR_EraseRootFromParent_Done,
     /*  93274 */ // Label 1615: @93274
     /*  93274 */ GIM_Reject,
     /*  93275 */ // Label 1441: @93275
     /*  93275 */ GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(93307), // Rule ID 6813 //
     /*  93280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  93286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93294 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93297 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93299 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93301 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93306 */   // GIR_Coverage, 6813,
     /*  93306 */   GIR_EraseRootFromParent_Done,
     /*  93307 */ // Label 1616: @93307
     /*  93307 */ GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(93339), // Rule ID 6814 //
     /*  93312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93326 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93329 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93331 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93333 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93338 */   // GIR_Coverage, 6814,
     /*  93338 */   GIR_EraseRootFromParent_Done,
     /*  93339 */ // Label 1617: @93339
     /*  93339 */ GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(93371), // Rule ID 6815 //
     /*  93344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93358 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93361 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93363 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93365 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93370 */   // GIR_Coverage, 6815,
     /*  93370 */   GIR_EraseRootFromParent_Done,
     /*  93371 */ // Label 1618: @93371
     /*  93371 */ GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(93403), // Rule ID 6816 //
     /*  93376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  93382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93390 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93393 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93395 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93397 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93402 */   // GIR_Coverage, 6816,
     /*  93402 */   GIR_EraseRootFromParent_Done,
     /*  93403 */ // Label 1619: @93403
     /*  93403 */ GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(93435), // Rule ID 6817 //
     /*  93408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93422 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93425 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93427 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93429 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93434 */   // GIR_Coverage, 6817,
     /*  93434 */   GIR_EraseRootFromParent_Done,
     /*  93435 */ // Label 1620: @93435
     /*  93435 */ GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(93467), // Rule ID 6818 //
     /*  93440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93454 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93457 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93459 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93461 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93466 */   // GIR_Coverage, 6818,
     /*  93466 */   GIR_EraseRootFromParent_Done,
     /*  93467 */ // Label 1621: @93467
     /*  93467 */ GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(93538), // Rule ID 6819 //
     /*  93472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  93478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93486 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v4f32] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  93486 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  93489 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93493 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93498 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  93502 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  93504 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  93507 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93511 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93516 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  93520 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  93522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  93525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93527 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93530 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  93533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  93536 */   GIR_RootConstrainSelectedInstOperands,
     /*  93537 */   // GIR_Coverage, 6819,
     /*  93537 */   GIR_EraseRootFromParent_Done,
     /*  93538 */ // Label 1622: @93538
     /*  93538 */ GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(93564), // Rule ID 6820 //
     /*  93543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93557 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8i16] }:$src)  =>  (REV32v8i16:{ *:[v4f32] } FPR128:{ *:[v8i16] }:$src)
     /*  93557 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  93562 */   GIR_RootConstrainSelectedInstOperands,
     /*  93563 */   // GIR_Coverage, 6820,
     /*  93563 */   GIR_Done,
     /*  93564 */ // Label 1623: @93564
     /*  93564 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(93590), // Rule ID 6821 //
     /*  93569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93583 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8f16] }:$src)  =>  (REV32v8i16:{ *:[v4f32] } FPR128:{ *:[v8f16] }:$src)
     /*  93583 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  93588 */   GIR_RootConstrainSelectedInstOperands,
     /*  93589 */   // GIR_Coverage, 6821,
     /*  93589 */   GIR_Done,
     /*  93590 */ // Label 1624: @93590
     /*  93590 */ GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(93616), // Rule ID 6822 //
     /*  93595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  93601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93609 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v16i8] }:$src)  =>  (REV32v16i8:{ *:[v4f32] } FPR128:{ *:[v16i8] }:$src)
     /*  93609 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  93614 */   GIR_RootConstrainSelectedInstOperands,
     /*  93615 */   // GIR_Coverage, 6822,
     /*  93615 */   GIR_Done,
     /*  93616 */ // Label 1625: @93616
     /*  93616 */ GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(93642), // Rule ID 6823 //
     /*  93621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93635 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v4i32:{ *:[v4f32] } FPR128:{ *:[v2i64] }:$src)
     /*  93635 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93640 */   GIR_RootConstrainSelectedInstOperands,
     /*  93641 */   // GIR_Coverage, 6823,
     /*  93641 */   GIR_Done,
     /*  93642 */ // Label 1626: @93642
     /*  93642 */ GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(93668), // Rule ID 6824 //
     /*  93647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93661 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v4i32:{ *:[v4f32] } FPR128:{ *:[v2f64] }:$src)
     /*  93661 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93666 */   GIR_RootConstrainSelectedInstOperands,
     /*  93667 */   // GIR_Coverage, 6824,
     /*  93667 */   GIR_Done,
     /*  93668 */ // Label 1627: @93668
     /*  93668 */ GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(93697), // Rule ID 6825 //
     /*  93673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  93676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93684 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93687 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93689 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93691 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93696 */   // GIR_Coverage, 6825,
     /*  93696 */   GIR_EraseRootFromParent_Done,
     /*  93697 */ // Label 1628: @93697
     /*  93697 */ GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(93729), // Rule ID 6839 //
     /*  93702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  93708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93716 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93719 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93721 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93723 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93728 */   // GIR_Coverage, 6839,
     /*  93728 */   GIR_EraseRootFromParent_Done,
     /*  93729 */ // Label 1629: @93729
     /*  93729 */ GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(93761), // Rule ID 6840 //
     /*  93734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93748 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93751 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93753 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93755 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93760 */   // GIR_Coverage, 6840,
     /*  93760 */   GIR_EraseRootFromParent_Done,
     /*  93761 */ // Label 1630: @93761
     /*  93761 */ GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(93793), // Rule ID 6841 //
     /*  93766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93780 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93783 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93785 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93787 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93792 */   // GIR_Coverage, 6841,
     /*  93792 */   GIR_EraseRootFromParent_Done,
     /*  93793 */ // Label 1631: @93793
     /*  93793 */ GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(93825), // Rule ID 6842 //
     /*  93798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  93804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93812 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93815 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93817 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93819 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93824 */   // GIR_Coverage, 6842,
     /*  93824 */   GIR_EraseRootFromParent_Done,
     /*  93825 */ // Label 1632: @93825
     /*  93825 */ GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(93857), // Rule ID 6843 //
     /*  93830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93844 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93847 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93849 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93851 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93856 */   // GIR_Coverage, 6843,
     /*  93856 */   GIR_EraseRootFromParent_Done,
     /*  93857 */ // Label 1633: @93857
     /*  93857 */ GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(93889), // Rule ID 6844 //
     /*  93862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93876 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93879 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93881 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93883 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93888 */   // GIR_Coverage, 6844,
     /*  93888 */   GIR_EraseRootFromParent_Done,
     /*  93889 */ // Label 1634: @93889
     /*  93889 */ GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(93960), // Rule ID 6845 //
     /*  93894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  93900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93908 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v4i32] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  93908 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  93911 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93915 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93920 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  93924 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  93926 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  93929 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93933 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93938 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  93942 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  93944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  93947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93949 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93952 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  93955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  93958 */   GIR_RootConstrainSelectedInstOperands,
     /*  93959 */   // GIR_Coverage, 6845,
     /*  93959 */   GIR_EraseRootFromParent_Done,
     /*  93960 */ // Label 1635: @93960
     /*  93960 */ GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(93986), // Rule ID 6846 //
     /*  93965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93979 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v4i32:{ *:[v4i32] } FPR128:{ *:[v2i64] }:$src)
     /*  93979 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93984 */   GIR_RootConstrainSelectedInstOperands,
     /*  93985 */   // GIR_Coverage, 6846,
     /*  93985 */   GIR_Done,
     /*  93986 */ // Label 1636: @93986
     /*  93986 */ GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(94012), // Rule ID 6847 //
     /*  93991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94005 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$src)  =>  (REV32v8i16:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$src)
     /*  94005 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  94010 */   GIR_RootConstrainSelectedInstOperands,
     /*  94011 */   // GIR_Coverage, 6847,
     /*  94011 */   GIR_Done,
     /*  94012 */ // Label 1637: @94012
     /*  94012 */ GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(94038), // Rule ID 6848 //
     /*  94017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  94023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94031 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v16i8] }:$src)  =>  (REV32v16i8:{ *:[v4i32] } FPR128:{ *:[v16i8] }:$src)
     /*  94031 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  94036 */   GIR_RootConstrainSelectedInstOperands,
     /*  94037 */   // GIR_Coverage, 6848,
     /*  94037 */   GIR_Done,
     /*  94038 */ // Label 1638: @94038
     /*  94038 */ GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(94064), // Rule ID 6849 //
     /*  94043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94057 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v4i32:{ *:[v4i32] } FPR128:{ *:[v2f64] }:$src)
     /*  94057 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  94062 */   GIR_RootConstrainSelectedInstOperands,
     /*  94063 */   // GIR_Coverage, 6849,
     /*  94063 */   GIR_Done,
     /*  94064 */ // Label 1639: @94064
     /*  94064 */ GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(94090), // Rule ID 6850 //
     /*  94069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  94075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94083 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8f16] }:$src)  =>  (REV32v8i16:{ *:[v4i32] } FPR128:{ *:[v8f16] }:$src)
     /*  94083 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  94088 */   GIR_RootConstrainSelectedInstOperands,
     /*  94089 */   // GIR_Coverage, 6850,
     /*  94089 */   GIR_Done,
     /*  94090 */ // Label 1640: @94090
     /*  94090 */ GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(94119), // Rule ID 6851 //
     /*  94095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94106 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  94106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94109 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94111 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94113 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94118 */   // GIR_Coverage, 6851,
     /*  94118 */   GIR_EraseRootFromParent_Done,
     /*  94119 */ // Label 1641: @94119
     /*  94119 */ GIM_Reject,
     /*  94120 */ // Label 1442: @94120
     /*  94120 */ GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(94194), // Rule ID 5668 //
     /*  94125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94132 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  94136 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  94140 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  94144 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  94149 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  94151 */   // (bitconvert:{ *:[v8i8] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn))  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i32] }, (FMOVWSr:{ *:[f32] } GPR32:{ *:[i32] }:$Rn), ssub:{ *:[i32] })
     /*  94151 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  94154 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVWSr),
     /*  94158 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94163 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  94167 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  94169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  94172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94177 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /*  94183 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94188 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  94193 */   // GIR_Coverage, 5668,
     /*  94193 */   GIR_EraseRootFromParent_Done,
     /*  94194 */ // Label 1642: @94194
     /*  94194 */ GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(94224), // Rule ID 6649 //
     /*  94199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  94213 */   // (bitconvert:{ *:[v8i8] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v8i8] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  94213 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94218 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94223 */   // GIR_Coverage, 6649,
     /*  94223 */   GIR_Done,
     /*  94224 */ // Label 1643: @94224
     /*  94224 */ GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(94274), // Rule ID 6660 //
     /*  94229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  94243 */   // (bitconvert:{ *:[v8i8] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v8i8:{ *:[v8i8] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  94243 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  94246 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94250 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94255 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  94259 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  94267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  94269 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94272 */   GIR_RootConstrainSelectedInstOperands,
     /*  94273 */   // GIR_Coverage, 6660,
     /*  94273 */   GIR_EraseRootFromParent_Done,
     /*  94274 */ // Label 1644: @94274
     /*  94274 */ GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(94306), // Rule ID 6735 //
     /*  94279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94293 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94296 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94298 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94300 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94305 */   // GIR_Coverage, 6735,
     /*  94305 */   GIR_EraseRootFromParent_Done,
     /*  94306 */ // Label 1645: @94306
     /*  94306 */ GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(94338), // Rule ID 6736 //
     /*  94311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  94317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94325 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94328 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94330 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94332 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94337 */   // GIR_Coverage, 6736,
     /*  94337 */   GIR_EraseRootFromParent_Done,
     /*  94338 */ // Label 1646: @94338
     /*  94338 */ GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(94370), // Rule ID 6737 //
     /*  94343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  94349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94357 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94360 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94362 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94364 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94369 */   // GIR_Coverage, 6737,
     /*  94369 */   GIR_EraseRootFromParent_Done,
     /*  94370 */ // Label 1647: @94370
     /*  94370 */ GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(94402), // Rule ID 6738 //
     /*  94375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94389 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94392 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94394 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94396 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94401 */   // GIR_Coverage, 6738,
     /*  94401 */   GIR_EraseRootFromParent_Done,
     /*  94402 */ // Label 1648: @94402
     /*  94402 */ GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(94434), // Rule ID 6739 //
     /*  94407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  94413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94421 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94424 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94426 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94428 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94433 */   // GIR_Coverage, 6739,
     /*  94433 */   GIR_EraseRootFromParent_Done,
     /*  94434 */ // Label 1649: @94434
     /*  94434 */ GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(94466), // Rule ID 6740 //
     /*  94439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94453 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94456 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94458 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94460 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94465 */   // GIR_Coverage, 6740,
     /*  94465 */   GIR_EraseRootFromParent_Done,
     /*  94466 */ // Label 1650: @94466
     /*  94466 */ GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(94498), // Rule ID 6741 //
     /*  94471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  94477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94485 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94488 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94490 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94492 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94497 */   // GIR_Coverage, 6741,
     /*  94497 */   GIR_EraseRootFromParent_Done,
     /*  94498 */ // Label 1651: @94498
     /*  94498 */ GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(94524), // Rule ID 6742 //
     /*  94503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94517 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v8i8:{ *:[v8i8] } FPR64:{ *:[v1i64] }:$src)
     /*  94517 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  94522 */   GIR_RootConstrainSelectedInstOperands,
     /*  94523 */   // GIR_Coverage, 6742,
     /*  94523 */   GIR_Done,
     /*  94524 */ // Label 1652: @94524
     /*  94524 */ GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(94550), // Rule ID 6743 //
     /*  94529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  94535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94543 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2i32] }:$src)  =>  (REV32v8i8:{ *:[v8i8] } FPR64:{ *:[v2i32] }:$src)
     /*  94543 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  94548 */   GIR_RootConstrainSelectedInstOperands,
     /*  94549 */   // GIR_Coverage, 6743,
     /*  94549 */   GIR_Done,
     /*  94550 */ // Label 1653: @94550
     /*  94550 */ GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(94576), // Rule ID 6744 //
     /*  94555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  94561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94569 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4i16] }:$src)  =>  (REV16v8i8:{ *:[v8i8] } FPR64:{ *:[v4i16] }:$src)
     /*  94569 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  94574 */   GIR_RootConstrainSelectedInstOperands,
     /*  94575 */   // GIR_Coverage, 6744,
     /*  94575 */   GIR_Done,
     /*  94576 */ // Label 1654: @94576
     /*  94576 */ GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(94602), // Rule ID 6745 //
     /*  94581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94595 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[f64] }:$src)  =>  (REV64v8i8:{ *:[v8i8] } FPR64:{ *:[f64] }:$src)
     /*  94595 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  94600 */   GIR_RootConstrainSelectedInstOperands,
     /*  94601 */   // GIR_Coverage, 6745,
     /*  94601 */   GIR_Done,
     /*  94602 */ // Label 1655: @94602
     /*  94602 */ GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(94628), // Rule ID 6746 //
     /*  94607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  94613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94621 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2f32] }:$src)  =>  (REV32v8i8:{ *:[v8i8] } FPR64:{ *:[v2f32] }:$src)
     /*  94621 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  94626 */   GIR_RootConstrainSelectedInstOperands,
     /*  94627 */   // GIR_Coverage, 6746,
     /*  94627 */   GIR_Done,
     /*  94628 */ // Label 1656: @94628
     /*  94628 */ GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(94654), // Rule ID 6747 //
     /*  94633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94647 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v8i8:{ *:[v8i8] } FPR64:{ *:[v1f64] }:$src)
     /*  94647 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  94652 */   GIR_RootConstrainSelectedInstOperands,
     /*  94653 */   // GIR_Coverage, 6747,
     /*  94653 */   GIR_Done,
     /*  94654 */ // Label 1657: @94654
     /*  94654 */ GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(94680), // Rule ID 6748 //
     /*  94659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  94665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94673 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4f16] }:$src)  =>  (REV16v8i8:{ *:[v8i8] } FPR64:{ *:[v4f16] }:$src)
     /*  94673 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  94678 */   GIR_RootConstrainSelectedInstOperands,
     /*  94679 */   // GIR_Coverage, 6748,
     /*  94679 */   GIR_Done,
     /*  94680 */ // Label 1658: @94680
     /*  94680 */ GIM_Reject,
     /*  94681 */ // Label 1443: @94681
     /*  94681 */ GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(94713), // Rule ID 6852 //
     /*  94686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  94692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94700 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94703 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94705 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94707 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94712 */   // GIR_Coverage, 6852,
     /*  94712 */   GIR_EraseRootFromParent_Done,
     /*  94713 */ // Label 1659: @94713
     /*  94713 */ GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(94745), // Rule ID 6853 //
     /*  94718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94732 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94735 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94737 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94739 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94744 */   // GIR_Coverage, 6853,
     /*  94744 */   GIR_EraseRootFromParent_Done,
     /*  94745 */ // Label 1660: @94745
     /*  94745 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(94777), // Rule ID 6854 //
     /*  94750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94764 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94767 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94769 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94771 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94776 */   // GIR_Coverage, 6854,
     /*  94776 */   GIR_EraseRootFromParent_Done,
     /*  94777 */ // Label 1661: @94777
     /*  94777 */ GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(94809), // Rule ID 6855 //
     /*  94782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  94788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94796 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94799 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94801 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94803 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94808 */   // GIR_Coverage, 6855,
     /*  94808 */   GIR_EraseRootFromParent_Done,
     /*  94809 */ // Label 1662: @94809
     /*  94809 */ GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(94841), // Rule ID 6856 //
     /*  94814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94828 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94831 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94833 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94835 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94840 */   // GIR_Coverage, 6856,
     /*  94840 */   GIR_EraseRootFromParent_Done,
     /*  94841 */ // Label 1663: @94841
     /*  94841 */ GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(94873), // Rule ID 6857 //
     /*  94846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94860 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94863 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94865 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94867 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94872 */   // GIR_Coverage, 6857,
     /*  94872 */   GIR_EraseRootFromParent_Done,
     /*  94873 */ // Label 1664: @94873
     /*  94873 */ GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(94944), // Rule ID 6858 //
     /*  94878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  94884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94892 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v8i16] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  94892 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  94895 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94899 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94904 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  94908 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  94910 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  94913 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94917 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94922 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  94926 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  94928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  94931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  94933 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94936 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  94939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  94942 */   GIR_RootConstrainSelectedInstOperands,
     /*  94943 */   // GIR_Coverage, 6858,
     /*  94943 */   GIR_EraseRootFromParent_Done,
     /*  94944 */ // Label 1665: @94944
     /*  94944 */ GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(94970), // Rule ID 6859 //
     /*  94949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94963 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v8i16:{ *:[v8i16] } FPR128:{ *:[v2i64] }:$src)
     /*  94963 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94968 */   GIR_RootConstrainSelectedInstOperands,
     /*  94969 */   // GIR_Coverage, 6859,
     /*  94969 */   GIR_Done,
     /*  94970 */ // Label 1666: @94970
     /*  94970 */ GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(94996), // Rule ID 6860 //
     /*  94975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94989 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4i32] }:$src)  =>  (REV32v8i16:{ *:[v8i16] } FPR128:{ *:[v4i32] }:$src)
     /*  94989 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  94994 */   GIR_RootConstrainSelectedInstOperands,
     /*  94995 */   // GIR_Coverage, 6860,
     /*  94995 */   GIR_Done,
     /*  94996 */ // Label 1667: @94996
     /*  94996 */ GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(95022), // Rule ID 6861 //
     /*  95001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  95007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95015 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$src)  =>  (REV16v16i8:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$src)
     /*  95015 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  95020 */   GIR_RootConstrainSelectedInstOperands,
     /*  95021 */   // GIR_Coverage, 6861,
     /*  95021 */   GIR_Done,
     /*  95022 */ // Label 1668: @95022
     /*  95022 */ GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(95048), // Rule ID 6862 //
     /*  95027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95041 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v8i16:{ *:[v8i16] } FPR128:{ *:[v2f64] }:$src)
     /*  95041 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  95046 */   GIR_RootConstrainSelectedInstOperands,
     /*  95047 */   // GIR_Coverage, 6862,
     /*  95047 */   GIR_Done,
     /*  95048 */ // Label 1669: @95048
     /*  95048 */ GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(95074), // Rule ID 6863 //
     /*  95053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95067 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4f32] }:$src)  =>  (REV32v8i16:{ *:[v8i16] } FPR128:{ *:[v4f32] }:$src)
     /*  95067 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  95072 */   GIR_RootConstrainSelectedInstOperands,
     /*  95073 */   // GIR_Coverage, 6863,
     /*  95073 */   GIR_Done,
     /*  95074 */ // Label 1670: @95074
     /*  95074 */ GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(95103), // Rule ID 6864 //
     /*  95079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95090 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  95090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95093 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95095 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95097 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95102 */   // GIR_Coverage, 6864,
     /*  95102 */   GIR_EraseRootFromParent_Done,
     /*  95103 */ // Label 1671: @95103
     /*  95103 */ GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(95135), // Rule ID 6865 //
     /*  95108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  95114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95122 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95125 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95127 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95129 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95134 */   // GIR_Coverage, 6865,
     /*  95134 */   GIR_EraseRootFromParent_Done,
     /*  95135 */ // Label 1672: @95135
     /*  95135 */ GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(95167), // Rule ID 6866 //
     /*  95140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95154 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95157 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95159 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95161 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95166 */   // GIR_Coverage, 6866,
     /*  95166 */   GIR_EraseRootFromParent_Done,
     /*  95167 */ // Label 1673: @95167
     /*  95167 */ GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(95199), // Rule ID 6867 //
     /*  95172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95186 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95189 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95191 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95193 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95198 */   // GIR_Coverage, 6867,
     /*  95198 */   GIR_EraseRootFromParent_Done,
     /*  95199 */ // Label 1674: @95199
     /*  95199 */ GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(95231), // Rule ID 6868 //
     /*  95204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  95210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95218 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95221 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95223 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95225 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95230 */   // GIR_Coverage, 6868,
     /*  95230 */   GIR_EraseRootFromParent_Done,
     /*  95231 */ // Label 1675: @95231
     /*  95231 */ GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(95263), // Rule ID 6869 //
     /*  95236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95250 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95253 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95255 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95257 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95262 */   // GIR_Coverage, 6869,
     /*  95262 */   GIR_EraseRootFromParent_Done,
     /*  95263 */ // Label 1676: @95263
     /*  95263 */ GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(95295), // Rule ID 6870 //
     /*  95268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95282 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95285 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95287 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95289 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95294 */   // GIR_Coverage, 6870,
     /*  95294 */   GIR_EraseRootFromParent_Done,
     /*  95295 */ // Label 1677: @95295
     /*  95295 */ GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(95366), // Rule ID 6871 //
     /*  95300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  95306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95314 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v8f16] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  95314 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  95317 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  95321 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  95326 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  95330 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  95332 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  95335 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  95339 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  95344 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  95348 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  95350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  95353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  95355 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  95358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  95361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  95364 */   GIR_RootConstrainSelectedInstOperands,
     /*  95365 */   // GIR_Coverage, 6871,
     /*  95365 */   GIR_EraseRootFromParent_Done,
     /*  95366 */ // Label 1678: @95366
     /*  95366 */ GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(95392), // Rule ID 6872 //
     /*  95371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95385 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v8i16:{ *:[v8f16] } FPR128:{ *:[v2i64] }:$src)
     /*  95385 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  95390 */   GIR_RootConstrainSelectedInstOperands,
     /*  95391 */   // GIR_Coverage, 6872,
     /*  95391 */   GIR_Done,
     /*  95392 */ // Label 1679: @95392
     /*  95392 */ GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(95418), // Rule ID 6873 //
     /*  95397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95411 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4i32] }:$src)  =>  (REV32v8i16:{ *:[v8f16] } FPR128:{ *:[v4i32] }:$src)
     /*  95411 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  95416 */   GIR_RootConstrainSelectedInstOperands,
     /*  95417 */   // GIR_Coverage, 6873,
     /*  95417 */   GIR_Done,
     /*  95418 */ // Label 1680: @95418
     /*  95418 */ GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(95444), // Rule ID 6874 //
     /*  95423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  95429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95437 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v16i8] }:$src)  =>  (REV16v16i8:{ *:[v8f16] } FPR128:{ *:[v16i8] }:$src)
     /*  95437 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  95442 */   GIR_RootConstrainSelectedInstOperands,
     /*  95443 */   // GIR_Coverage, 6874,
     /*  95443 */   GIR_Done,
     /*  95444 */ // Label 1681: @95444
     /*  95444 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(95470), // Rule ID 6875 //
     /*  95449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95463 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v8i16:{ *:[v8f16] } FPR128:{ *:[v2f64] }:$src)
     /*  95463 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  95468 */   GIR_RootConstrainSelectedInstOperands,
     /*  95469 */   // GIR_Coverage, 6875,
     /*  95469 */   GIR_Done,
     /*  95470 */ // Label 1682: @95470
     /*  95470 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(95496), // Rule ID 6876 //
     /*  95475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95489 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4f32] }:$src)  =>  (REV32v8i16:{ *:[v8f16] } FPR128:{ *:[v4f32] }:$src)
     /*  95489 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  95494 */   GIR_RootConstrainSelectedInstOperands,
     /*  95495 */   // GIR_Coverage, 6876,
     /*  95495 */   GIR_Done,
     /*  95496 */ // Label 1683: @95496
     /*  95496 */ GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(95525), // Rule ID 6877 //
     /*  95501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95512 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95515 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95517 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95519 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95524 */   // GIR_Coverage, 6877,
     /*  95524 */   GIR_EraseRootFromParent_Done,
     /*  95525 */ // Label 1684: @95525
     /*  95525 */ GIM_Reject,
     /*  95526 */ // Label 1444: @95526
     /*  95526 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(95558), // Rule ID 6878 //
     /*  95531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  95537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95545 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95548 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95550 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95552 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95557 */   // GIR_Coverage, 6878,
     /*  95557 */   GIR_EraseRootFromParent_Done,
     /*  95558 */ // Label 1685: @95558
     /*  95558 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(95590), // Rule ID 6879 //
     /*  95563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95577 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95580 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95582 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95584 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95589 */   // GIR_Coverage, 6879,
     /*  95589 */   GIR_EraseRootFromParent_Done,
     /*  95590 */ // Label 1686: @95590
     /*  95590 */ GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(95622), // Rule ID 6880 //
     /*  95595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95609 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95612 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95614 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95616 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95621 */   // GIR_Coverage, 6880,
     /*  95621 */   GIR_EraseRootFromParent_Done,
     /*  95622 */ // Label 1687: @95622
     /*  95622 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(95654), // Rule ID 6881 //
     /*  95627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95641 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95644 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95646 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95648 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95653 */   // GIR_Coverage, 6881,
     /*  95653 */   GIR_EraseRootFromParent_Done,
     /*  95654 */ // Label 1688: @95654
     /*  95654 */ GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(95686), // Rule ID 6882 //
     /*  95659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95673 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95676 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95678 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95680 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95685 */   // GIR_Coverage, 6882,
     /*  95685 */   GIR_EraseRootFromParent_Done,
     /*  95686 */ // Label 1689: @95686
     /*  95686 */ GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(95718), // Rule ID 6883 //
     /*  95691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95705 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95708 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95710 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95712 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95717 */   // GIR_Coverage, 6883,
     /*  95717 */   GIR_EraseRootFromParent_Done,
     /*  95718 */ // Label 1690: @95718
     /*  95718 */ GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(95750), // Rule ID 6884 //
     /*  95723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95737 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95740 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95742 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95744 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95749 */   // GIR_Coverage, 6884,
     /*  95749 */   GIR_EraseRootFromParent_Done,
     /*  95750 */ // Label 1691: @95750
     /*  95750 */ GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(95821), // Rule ID 6885 //
     /*  95755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  95761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95769 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v16i8] } (REV64v16i8:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v16i8:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  95769 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  95772 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  95776 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  95781 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  95785 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  95787 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  95790 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  95794 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  95799 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  95803 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  95805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  95808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  95810 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  95813 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  95816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  95819 */   GIR_RootConstrainSelectedInstOperands,
     /*  95820 */   // GIR_Coverage, 6885,
     /*  95820 */   GIR_EraseRootFromParent_Done,
     /*  95821 */ // Label 1692: @95821
     /*  95821 */ GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(95847), // Rule ID 6886 //
     /*  95826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95840 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v16i8:{ *:[v16i8] } FPR128:{ *:[v2i64] }:$src)
     /*  95840 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  95845 */   GIR_RootConstrainSelectedInstOperands,
     /*  95846 */   // GIR_Coverage, 6886,
     /*  95846 */   GIR_Done,
     /*  95847 */ // Label 1693: @95847
     /*  95847 */ GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(95873), // Rule ID 6887 //
     /*  95852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95866 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4i32] }:$src)  =>  (REV32v16i8:{ *:[v16i8] } FPR128:{ *:[v4i32] }:$src)
     /*  95866 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  95871 */   GIR_RootConstrainSelectedInstOperands,
     /*  95872 */   // GIR_Coverage, 6887,
     /*  95872 */   GIR_Done,
     /*  95873 */ // Label 1694: @95873
     /*  95873 */ GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(95899), // Rule ID 6888 //
     /*  95878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95892 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8i16] }:$src)  =>  (REV16v16i8:{ *:[v16i8] } FPR128:{ *:[v8i16] }:$src)
     /*  95892 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  95897 */   GIR_RootConstrainSelectedInstOperands,
     /*  95898 */   // GIR_Coverage, 6888,
     /*  95898 */   GIR_Done,
     /*  95899 */ // Label 1695: @95899
     /*  95899 */ GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(95925), // Rule ID 6889 //
     /*  95904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95918 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v16i8:{ *:[v16i8] } FPR128:{ *:[v2f64] }:$src)
     /*  95918 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  95923 */   GIR_RootConstrainSelectedInstOperands,
     /*  95924 */   // GIR_Coverage, 6889,
     /*  95924 */   GIR_Done,
     /*  95925 */ // Label 1696: @95925
     /*  95925 */ GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(95951), // Rule ID 6890 //
     /*  95930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95944 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4f32] }:$src)  =>  (REV32v16i8:{ *:[v16i8] } FPR128:{ *:[v4f32] }:$src)
     /*  95944 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  95949 */   GIR_RootConstrainSelectedInstOperands,
     /*  95950 */   // GIR_Coverage, 6890,
     /*  95950 */   GIR_Done,
     /*  95951 */ // Label 1697: @95951
     /*  95951 */ GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(95977), // Rule ID 6891 //
     /*  95956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95970 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8f16] }:$src)  =>  (REV16v16i8:{ *:[v16i8] } FPR128:{ *:[v8f16] }:$src)
     /*  95970 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  95975 */   GIR_RootConstrainSelectedInstOperands,
     /*  95976 */   // GIR_Coverage, 6891,
     /*  95976 */   GIR_Done,
     /*  95977 */ // Label 1698: @95977
     /*  95977 */ GIM_Reject,
     /*  95978 */ // Label 1445: @95978
     /*  95978 */ GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(96010), // Rule ID 10562 //
     /*  95983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  95986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  95989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95997 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  95997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96000 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96002 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96004 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96009 */   // GIR_Coverage, 10562,
     /*  96009 */   GIR_EraseRootFromParent_Done,
     /*  96010 */ // Label 1699: @96010
     /*  96010 */ GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(96042), // Rule ID 10563 //
     /*  96015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96029 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  96029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96032 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96034 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96036 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96041 */   // GIR_Coverage, 10563,
     /*  96041 */   GIR_EraseRootFromParent_Done,
     /*  96042 */ // Label 1700: @96042
     /*  96042 */ GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(96074), // Rule ID 10564 //
     /*  96047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96061 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  96061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96064 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96066 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96068 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96073 */   // GIR_Coverage, 10564,
     /*  96073 */   GIR_EraseRootFromParent_Done,
     /*  96074 */ // Label 1701: @96074
     /*  96074 */ GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(96106), // Rule ID 10565 //
     /*  96079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96093 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  96093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96096 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96098 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96100 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96105 */   // GIR_Coverage, 10565,
     /*  96105 */   GIR_EraseRootFromParent_Done,
     /*  96106 */ // Label 1702: @96106
     /*  96106 */ GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(96138), // Rule ID 10566 //
     /*  96111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96125 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  96125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96128 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96130 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96132 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96137 */   // GIR_Coverage, 10566,
     /*  96137 */   GIR_EraseRootFromParent_Done,
     /*  96138 */ // Label 1703: @96138
     /*  96138 */ GIM_Try, /*On fail goto*//*Label 1704*/ GIMT_Encode4(96170), // Rule ID 10567 //
     /*  96143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96157 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  96157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96160 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96162 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96164 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96169 */   // GIR_Coverage, 10567,
     /*  96169 */   GIR_EraseRootFromParent_Done,
     /*  96170 */ // Label 1704: @96170
     /*  96170 */ GIM_Try, /*On fail goto*//*Label 1705*/ GIMT_Encode4(96202), // Rule ID 10580 //
     /*  96175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  96181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96189 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96192 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96194 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96196 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96201 */   // GIR_Coverage, 10580,
     /*  96201 */   GIR_EraseRootFromParent_Done,
     /*  96202 */ // Label 1705: @96202
     /*  96202 */ GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(96234), // Rule ID 10581 //
     /*  96207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96221 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96224 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96226 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96228 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96233 */   // GIR_Coverage, 10581,
     /*  96233 */   GIR_EraseRootFromParent_Done,
     /*  96234 */ // Label 1706: @96234
     /*  96234 */ GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(96266), // Rule ID 10582 //
     /*  96239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96253 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96256 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96258 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96260 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96265 */   // GIR_Coverage, 10582,
     /*  96265 */   GIR_EraseRootFromParent_Done,
     /*  96266 */ // Label 1707: @96266
     /*  96266 */ GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(96298), // Rule ID 10583 //
     /*  96271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96285 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96288 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96290 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96292 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96297 */   // GIR_Coverage, 10583,
     /*  96297 */   GIR_EraseRootFromParent_Done,
     /*  96298 */ // Label 1708: @96298
     /*  96298 */ GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(96330), // Rule ID 10584 //
     /*  96303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96317 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96320 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96322 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96324 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96329 */   // GIR_Coverage, 10584,
     /*  96329 */   GIR_EraseRootFromParent_Done,
     /*  96330 */ // Label 1709: @96330
     /*  96330 */ GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(96362), // Rule ID 10585 //
     /*  96335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96349 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96352 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96354 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96356 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96361 */   // GIR_Coverage, 10585,
     /*  96361 */   GIR_EraseRootFromParent_Done,
     /*  96362 */ // Label 1710: @96362
     /*  96362 */ GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(96394), // Rule ID 10590 //
     /*  96367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  96370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96381 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  96381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96384 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96386 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96388 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96393 */   // GIR_Coverage, 10590,
     /*  96393 */   GIR_EraseRootFromParent_Done,
     /*  96394 */ // Label 1711: @96394
     /*  96394 */ GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(96426), // Rule ID 10591 //
     /*  96399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  96402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96413 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96416 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96418 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96420 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96425 */   // GIR_Coverage, 10591,
     /*  96425 */   GIR_EraseRootFromParent_Done,
     /*  96426 */ // Label 1712: @96426
     /*  96426 */ GIM_Reject,
     /*  96427 */ // Label 1446: @96427
     /*  96427 */ GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(96459), // Rule ID 10556 //
     /*  96432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  96438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96446 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96449 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96451 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96453 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96458 */   // GIR_Coverage, 10556,
     /*  96458 */   GIR_EraseRootFromParent_Done,
     /*  96459 */ // Label 1713: @96459
     /*  96459 */ GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(96491), // Rule ID 10557 //
     /*  96464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96478 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96481 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96483 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96485 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96490 */   // GIR_Coverage, 10557,
     /*  96490 */   GIR_EraseRootFromParent_Done,
     /*  96491 */ // Label 1714: @96491
     /*  96491 */ GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(96523), // Rule ID 10558 //
     /*  96496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96510 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96513 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96515 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96517 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96522 */   // GIR_Coverage, 10558,
     /*  96522 */   GIR_EraseRootFromParent_Done,
     /*  96523 */ // Label 1715: @96523
     /*  96523 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(96555), // Rule ID 10559 //
     /*  96528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96542 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96545 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96547 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96549 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96554 */   // GIR_Coverage, 10559,
     /*  96554 */   GIR_EraseRootFromParent_Done,
     /*  96555 */ // Label 1716: @96555
     /*  96555 */ GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(96587), // Rule ID 10560 //
     /*  96560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96574 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96577 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96579 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96581 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96586 */   // GIR_Coverage, 10560,
     /*  96586 */   GIR_EraseRootFromParent_Done,
     /*  96587 */ // Label 1717: @96587
     /*  96587 */ GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(96619), // Rule ID 10561 //
     /*  96592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96606 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96609 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96611 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96613 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96618 */   // GIR_Coverage, 10561,
     /*  96618 */   GIR_EraseRootFromParent_Done,
     /*  96619 */ // Label 1718: @96619
     /*  96619 */ GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(96651), // Rule ID 10574 //
     /*  96624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  96630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96638 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96641 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96643 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96645 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96650 */   // GIR_Coverage, 10574,
     /*  96650 */   GIR_EraseRootFromParent_Done,
     /*  96651 */ // Label 1719: @96651
     /*  96651 */ GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(96683), // Rule ID 10575 //
     /*  96656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96670 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96673 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96675 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96677 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96682 */   // GIR_Coverage, 10575,
     /*  96682 */   GIR_EraseRootFromParent_Done,
     /*  96683 */ // Label 1720: @96683
     /*  96683 */ GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(96715), // Rule ID 10576 //
     /*  96688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96702 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96705 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96707 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96709 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96714 */   // GIR_Coverage, 10576,
     /*  96714 */   GIR_EraseRootFromParent_Done,
     /*  96715 */ // Label 1721: @96715
     /*  96715 */ GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(96747), // Rule ID 10577 //
     /*  96720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96734 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96737 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96739 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96741 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96746 */   // GIR_Coverage, 10577,
     /*  96746 */   GIR_EraseRootFromParent_Done,
     /*  96747 */ // Label 1722: @96747
     /*  96747 */ GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(96779), // Rule ID 10578 //
     /*  96752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96766 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96769 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96771 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96773 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96778 */   // GIR_Coverage, 10578,
     /*  96778 */   GIR_EraseRootFromParent_Done,
     /*  96779 */ // Label 1723: @96779
     /*  96779 */ GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(96811), // Rule ID 10579 //
     /*  96784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96798 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96801 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96803 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96805 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96810 */   // GIR_Coverage, 10579,
     /*  96810 */   GIR_EraseRootFromParent_Done,
     /*  96811 */ // Label 1724: @96811
     /*  96811 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(96843), // Rule ID 10588 //
     /*  96816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  96819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96830 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96833 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96835 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96837 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96842 */   // GIR_Coverage, 10588,
     /*  96842 */   GIR_EraseRootFromParent_Done,
     /*  96843 */ // Label 1725: @96843
     /*  96843 */ GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(96875), // Rule ID 10589 //
     /*  96848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  96851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96862 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96865 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96867 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96869 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96874 */   // GIR_Coverage, 10589,
     /*  96874 */   GIR_EraseRootFromParent_Done,
     /*  96875 */ // Label 1726: @96875
     /*  96875 */ GIM_Reject,
     /*  96876 */ // Label 1447: @96876
     /*  96876 */ GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(96908), // Rule ID 10550 //
     /*  96881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  96887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96895 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96898 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96900 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96902 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96907 */   // GIR_Coverage, 10550,
     /*  96907 */   GIR_EraseRootFromParent_Done,
     /*  96908 */ // Label 1727: @96908
     /*  96908 */ GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(96940), // Rule ID 10551 //
     /*  96913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96927 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96930 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96932 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96934 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96939 */   // GIR_Coverage, 10551,
     /*  96939 */   GIR_EraseRootFromParent_Done,
     /*  96940 */ // Label 1728: @96940
     /*  96940 */ GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(96972), // Rule ID 10552 //
     /*  96945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96959 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96962 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96964 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96966 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96971 */   // GIR_Coverage, 10552,
     /*  96971 */   GIR_EraseRootFromParent_Done,
     /*  96972 */ // Label 1729: @96972
     /*  96972 */ GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(97004), // Rule ID 10553 //
     /*  96977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96991 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96994 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96996 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96998 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97003 */   // GIR_Coverage, 10553,
     /*  97003 */   GIR_EraseRootFromParent_Done,
     /*  97004 */ // Label 1730: @97004
     /*  97004 */ GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(97036), // Rule ID 10554 //
     /*  97009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  97015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97023 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  97023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97026 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97028 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97030 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97035 */   // GIR_Coverage, 10554,
     /*  97035 */   GIR_EraseRootFromParent_Done,
     /*  97036 */ // Label 1731: @97036
     /*  97036 */ GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(97068), // Rule ID 10555 //
     /*  97041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  97047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97055 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  97055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97058 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97060 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97062 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97067 */   // GIR_Coverage, 10555,
     /*  97067 */   GIR_EraseRootFromParent_Done,
     /*  97068 */ // Label 1732: @97068
     /*  97068 */ GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(97100), // Rule ID 10568 //
     /*  97073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  97079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97087 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97090 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97092 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97094 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97099 */   // GIR_Coverage, 10568,
     /*  97099 */   GIR_EraseRootFromParent_Done,
     /*  97100 */ // Label 1733: @97100
     /*  97100 */ GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(97132), // Rule ID 10569 //
     /*  97105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  97111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97119 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97122 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97124 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97126 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97131 */   // GIR_Coverage, 10569,
     /*  97131 */   GIR_EraseRootFromParent_Done,
     /*  97132 */ // Label 1734: @97132
     /*  97132 */ GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(97164), // Rule ID 10570 //
     /*  97137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  97143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97151 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97154 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97156 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97158 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97163 */   // GIR_Coverage, 10570,
     /*  97163 */   GIR_EraseRootFromParent_Done,
     /*  97164 */ // Label 1735: @97164
     /*  97164 */ GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(97196), // Rule ID 10571 //
     /*  97169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  97175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97183 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97186 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97188 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97190 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97195 */   // GIR_Coverage, 10571,
     /*  97195 */   GIR_EraseRootFromParent_Done,
     /*  97196 */ // Label 1736: @97196
     /*  97196 */ GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(97228), // Rule ID 10572 //
     /*  97201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  97207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97215 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97218 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97220 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97222 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97227 */   // GIR_Coverage, 10572,
     /*  97227 */   GIR_EraseRootFromParent_Done,
     /*  97228 */ // Label 1737: @97228
     /*  97228 */ GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(97260), // Rule ID 10573 //
     /*  97233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  97239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97247 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97250 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97252 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97254 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97259 */   // GIR_Coverage, 10573,
     /*  97259 */   GIR_EraseRootFromParent_Done,
     /*  97260 */ // Label 1738: @97260
     /*  97260 */ GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(97292), // Rule ID 10586 //
     /*  97265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  97268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  97271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97279 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  97279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97282 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97284 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97286 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97291 */   // GIR_Coverage, 10586,
     /*  97291 */   GIR_EraseRootFromParent_Done,
     /*  97292 */ // Label 1739: @97292
     /*  97292 */ GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(97324), // Rule ID 10587 //
     /*  97297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  97300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  97303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97311 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97314 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97316 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97318 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97323 */   // GIR_Coverage, 10587,
     /*  97323 */   GIR_EraseRootFromParent_Done,
     /*  97324 */ // Label 1740: @97324
     /*  97324 */ GIM_Reject,
     /*  97325 */ // Label 1448: @97325
     /*  97325 */ GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(97357), // Rule ID 10544 //
     /*  97330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  97336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97344 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  97344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97347 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97349 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97351 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97356 */   // GIR_Coverage, 10544,
     /*  97356 */   GIR_EraseRootFromParent_Done,
     /*  97357 */ // Label 1741: @97357
     /*  97357 */ GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(97389), // Rule ID 10545 //
     /*  97362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  97368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97376 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  97376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97379 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97381 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97383 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97388 */   // GIR_Coverage, 10545,
     /*  97388 */   GIR_EraseRootFromParent_Done,
     /*  97389 */ // Label 1742: @97389
     /*  97389 */ GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(97421), // Rule ID 10546 //
     /*  97394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  97400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97408 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  97408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97411 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97413 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97415 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97420 */   // GIR_Coverage, 10546,
     /*  97420 */   GIR_EraseRootFromParent_Done,
     /*  97421 */ // Label 1743: @97421
     /*  97421 */ GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(97453), // Rule ID 10547 //
     /*  97426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  97432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97440 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  97440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97443 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97445 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97447 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97452 */   // GIR_Coverage, 10547,
     /*  97452 */   GIR_EraseRootFromParent_Done,
     /*  97453 */ // Label 1744: @97453
     /*  97453 */ GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(97485), // Rule ID 10548 //
     /*  97458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  97464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97472 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  97472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97475 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97477 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97479 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97484 */   // GIR_Coverage, 10548,
     /*  97484 */   GIR_EraseRootFromParent_Done,
     /*  97485 */ // Label 1745: @97485
     /*  97485 */ GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(97517), // Rule ID 10549 //
     /*  97490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  97496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97504 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  97504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97507 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97509 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97511 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97516 */   // GIR_Coverage, 10549,
     /*  97516 */   GIR_EraseRootFromParent_Done,
     /*  97517 */ // Label 1746: @97517
     /*  97517 */ GIM_Reject,
     /*  97518 */ // Label 1449: @97518
     /*  97518 */ GIM_Reject,
     /*  97519 */ // Label 10: @97519
     /*  97519 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 1755*/ GIMT_Encode4(98009),
     /*  97530 */ /*GILLT_s16*//*Label 1747*/ GIMT_Encode4(97570),
     /*  97534 */ /*GILLT_s32*//*Label 1748*/ GIMT_Encode4(97601),
     /*  97538 */ /*GILLT_s64*//*Label 1749*/ GIMT_Encode4(97632), GIMT_Encode4(0),
     /*  97546 */ /*GILLT_v2s32*//*Label 1750*/ GIMT_Encode4(97663),
     /*  97550 */ /*GILLT_v2s64*//*Label 1751*/ GIMT_Encode4(97694),
     /*  97554 */ /*GILLT_v4s16*//*Label 1752*/ GIMT_Encode4(97725),
     /*  97558 */ /*GILLT_v4s32*//*Label 1753*/ GIMT_Encode4(97756), GIMT_Encode4(0),
     /*  97566 */ /*GILLT_v8s16*//*Label 1754*/ GIMT_Encode4(97787),
     /*  97570 */ // Label 1747: @97570
     /*  97570 */ GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(97600), // Rule ID 564 //
     /*  97575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  97578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  97581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  97585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  97589 */   // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTZHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /*  97589 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZHr),
     /*  97594 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97598 */   GIR_RootConstrainSelectedInstOperands,
     /*  97599 */   // GIR_Coverage, 564,
     /*  97599 */   GIR_Done,
     /*  97600 */ // Label 1756: @97600
     /*  97600 */ GIM_Reject,
     /*  97601 */ // Label 1748: @97601
     /*  97601 */ GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(97631), // Rule ID 566 //
     /*  97606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  97609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  97612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  97616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  97620 */   // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTZSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /*  97620 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZSr),
     /*  97625 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97629 */   GIR_RootConstrainSelectedInstOperands,
     /*  97630 */   // GIR_Coverage, 566,
     /*  97630 */   GIR_Done,
     /*  97631 */ // Label 1757: @97631
     /*  97631 */ GIM_Reject,
     /*  97632 */ // Label 1749: @97632
     /*  97632 */ GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(97662), // Rule ID 568 //
     /*  97637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  97640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  97643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97651 */   // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTZDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /*  97651 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZDr),
     /*  97656 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97660 */   GIR_RootConstrainSelectedInstOperands,
     /*  97661 */   // GIR_Coverage, 568,
     /*  97661 */   GIR_Done,
     /*  97662 */ // Label 1758: @97662
     /*  97662 */ GIM_Reject,
     /*  97663 */ // Label 1750: @97663
     /*  97663 */ GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(97693), // Rule ID 933 //
     /*  97668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  97671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  97674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97682 */   // (ftrunc:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTZv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /*  97682 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv2f32),
     /*  97687 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97691 */   GIR_RootConstrainSelectedInstOperands,
     /*  97692 */   // GIR_Coverage, 933,
     /*  97692 */   GIR_Done,
     /*  97693 */ // Label 1759: @97693
     /*  97693 */ GIM_Reject,
     /*  97694 */ // Label 1751: @97694
     /*  97694 */ GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(97724), // Rule ID 937 //
     /*  97699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  97702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  97705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97713 */   // (ftrunc:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTZv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /*  97713 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv2f64),
     /*  97718 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97722 */   GIR_RootConstrainSelectedInstOperands,
     /*  97723 */   // GIR_Coverage, 937,
     /*  97723 */   GIR_Done,
     /*  97724 */ // Label 1760: @97724
     /*  97724 */ GIM_Reject,
     /*  97725 */ // Label 1752: @97725
     /*  97725 */ GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(97755), // Rule ID 929 //
     /*  97730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  97733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  97736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97744 */   // (ftrunc:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTZv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /*  97744 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f16),
     /*  97749 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97753 */   GIR_RootConstrainSelectedInstOperands,
     /*  97754 */   // GIR_Coverage, 929,
     /*  97754 */   GIR_Done,
     /*  97755 */ // Label 1761: @97755
     /*  97755 */ GIM_Reject,
     /*  97756 */ // Label 1753: @97756
     /*  97756 */ GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(97786), // Rule ID 935 //
     /*  97761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  97764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  97767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97775 */   // (ftrunc:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTZv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /*  97775 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f32),
     /*  97780 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97784 */   GIR_RootConstrainSelectedInstOperands,
     /*  97785 */   // GIR_Coverage, 935,
     /*  97785 */   GIR_Done,
     /*  97786 */ // Label 1762: @97786
     /*  97786 */ GIM_Reject,
     /*  97787 */ // Label 1754: @97787
     /*  97787 */ GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(98008),
     /*  97792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  97795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97803 */   GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(97822), // Rule ID 931 //
     /*  97808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  97811 */     // (ftrunc:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTZv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /*  97811 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv8f16),
     /*  97816 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97820 */     GIR_RootConstrainSelectedInstOperands,
     /*  97821 */     // GIR_Coverage, 931,
     /*  97821 */     GIR_Done,
     /*  97822 */   // Label 1764: @97822
     /*  97822 */   GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(98007), // Rule ID 7010 //
     /*  97827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /*  97830 */     // (ftrunc:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTZv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTZv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /*  97830 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /*  97833 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /*  97837 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97842 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  97846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  97848 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /*  97851 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f32),
     /*  97855 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97860 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  97863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  97865 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /*  97868 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97872 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97877 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /*  97883 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97888 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97893 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /*  97896 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /*  97900 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97905 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  97908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  97910 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /*  97913 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f32),
     /*  97917 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97922 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  97925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  97927 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /*  97930 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /*  97934 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97939 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  97942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  97944 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  97947 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  97951 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  97958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  97961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  97965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97970 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  97973 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  97976 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  97979 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97984 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97989 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  97997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  98005 */     GIR_RootConstrainSelectedInstOperands,
     /*  98006 */     // GIR_Coverage, 7010,
     /*  98006 */     GIR_EraseRootFromParent_Done,
     /*  98007 */   // Label 1765: @98007
     /*  98007 */   GIM_Reject,
     /*  98008 */ // Label 1763: @98008
     /*  98008 */ GIM_Reject,
     /*  98009 */ // Label 1755: @98009
     /*  98009 */ GIM_Reject,
     /*  98010 */ // Label 11: @98010
     /*  98010 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 1774*/ GIMT_Encode4(98500),
     /*  98021 */ /*GILLT_s16*//*Label 1766*/ GIMT_Encode4(98061),
     /*  98025 */ /*GILLT_s32*//*Label 1767*/ GIMT_Encode4(98092),
     /*  98029 */ /*GILLT_s64*//*Label 1768*/ GIMT_Encode4(98123), GIMT_Encode4(0),
     /*  98037 */ /*GILLT_v2s32*//*Label 1769*/ GIMT_Encode4(98154),
     /*  98041 */ /*GILLT_v2s64*//*Label 1770*/ GIMT_Encode4(98185),
     /*  98045 */ /*GILLT_v4s16*//*Label 1771*/ GIMT_Encode4(98216),
     /*  98049 */ /*GILLT_v4s32*//*Label 1772*/ GIMT_Encode4(98247), GIMT_Encode4(0),
     /*  98057 */ /*GILLT_v8s16*//*Label 1773*/ GIMT_Encode4(98278),
     /*  98061 */ // Label 1766: @98061
     /*  98061 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(98091), // Rule ID 528 //
     /*  98066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  98069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  98072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  98076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  98080 */   // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTAHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /*  98080 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAHr),
     /*  98085 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98089 */   GIR_RootConstrainSelectedInstOperands,
     /*  98090 */   // GIR_Coverage, 528,
     /*  98090 */   GIR_Done,
     /*  98091 */ // Label 1775: @98091
     /*  98091 */ GIM_Reject,
     /*  98092 */ // Label 1767: @98092
     /*  98092 */ GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(98122), // Rule ID 530 //
     /*  98097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  98103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  98107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  98111 */   // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTASr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /*  98111 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTASr),
     /*  98116 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98120 */   GIR_RootConstrainSelectedInstOperands,
     /*  98121 */   // GIR_Coverage, 530,
     /*  98121 */   GIR_Done,
     /*  98122 */ // Label 1776: @98122
     /*  98122 */ GIM_Reject,
     /*  98123 */ // Label 1768: @98123
     /*  98123 */ GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(98153), // Rule ID 532 //
     /*  98128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  98134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98142 */   // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTADr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /*  98142 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTADr),
     /*  98147 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98151 */   GIR_RootConstrainSelectedInstOperands,
     /*  98152 */   // GIR_Coverage, 532,
     /*  98152 */   GIR_Done,
     /*  98153 */ // Label 1777: @98153
     /*  98153 */ GIM_Reject,
     /*  98154 */ // Label 1769: @98154
     /*  98154 */ GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(98184), // Rule ID 873 //
     /*  98159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  98165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98173 */   // (fround:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTAv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /*  98173 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv2f32),
     /*  98178 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98182 */   GIR_RootConstrainSelectedInstOperands,
     /*  98183 */   // GIR_Coverage, 873,
     /*  98183 */   GIR_Done,
     /*  98184 */ // Label 1778: @98184
     /*  98184 */ GIM_Reject,
     /*  98185 */ // Label 1770: @98185
     /*  98185 */ GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(98215), // Rule ID 877 //
     /*  98190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  98196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98204 */   // (fround:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTAv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /*  98204 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv2f64),
     /*  98209 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98213 */   GIR_RootConstrainSelectedInstOperands,
     /*  98214 */   // GIR_Coverage, 877,
     /*  98214 */   GIR_Done,
     /*  98215 */ // Label 1779: @98215
     /*  98215 */ GIM_Reject,
     /*  98216 */ // Label 1771: @98216
     /*  98216 */ GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(98246), // Rule ID 869 //
     /*  98221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  98224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  98227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98235 */   // (fround:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTAv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /*  98235 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f16),
     /*  98240 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98244 */   GIR_RootConstrainSelectedInstOperands,
     /*  98245 */   // GIR_Coverage, 869,
     /*  98245 */   GIR_Done,
     /*  98246 */ // Label 1780: @98246
     /*  98246 */ GIM_Reject,
     /*  98247 */ // Label 1772: @98247
     /*  98247 */ GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(98277), // Rule ID 875 //
     /*  98252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  98258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98266 */   // (fround:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTAv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /*  98266 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f32),
     /*  98271 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98275 */   GIR_RootConstrainSelectedInstOperands,
     /*  98276 */   // GIR_Coverage, 875,
     /*  98276 */   GIR_Done,
     /*  98277 */ // Label 1781: @98277
     /*  98277 */ GIM_Reject,
     /*  98278 */ // Label 1773: @98278
     /*  98278 */ GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(98499),
     /*  98283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  98286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98294 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(98313), // Rule ID 871 //
     /*  98299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  98302 */     // (fround:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTAv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /*  98302 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv8f16),
     /*  98307 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98311 */     GIR_RootConstrainSelectedInstOperands,
     /*  98312 */     // GIR_Coverage, 871,
     /*  98312 */     GIR_Done,
     /*  98313 */   // Label 1783: @98313
     /*  98313 */   GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(98498), // Rule ID 7004 //
     /*  98318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /*  98321 */     // (fround:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTAv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTAv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /*  98321 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /*  98324 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /*  98328 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98333 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  98339 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /*  98342 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f32),
     /*  98346 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98351 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  98354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  98356 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /*  98359 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  98363 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98368 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /*  98374 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98379 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98384 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /*  98387 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /*  98391 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98396 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  98399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  98401 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /*  98404 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f32),
     /*  98408 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98413 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  98416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  98418 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /*  98421 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /*  98425 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98430 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  98433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  98435 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  98438 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  98442 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  98449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  98452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  98456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98461 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  98464 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  98467 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  98470 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98475 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98480 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  98488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  98496 */     GIR_RootConstrainSelectedInstOperands,
     /*  98497 */     // GIR_Coverage, 7004,
     /*  98497 */     GIR_EraseRootFromParent_Done,
     /*  98498 */   // Label 1784: @98498
     /*  98498 */   GIM_Reject,
     /*  98499 */ // Label 1782: @98499
     /*  98499 */ GIM_Reject,
     /*  98500 */ // Label 1774: @98500
     /*  98500 */ GIM_Reject,
     /*  98501 */ // Label 12: @98501
     /*  98501 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 1787*/ GIMT_Encode4(98768),
     /*  98512 */ /*GILLT_s32*//*Label 1785*/ GIMT_Encode4(98520),
     /*  98516 */ /*GILLT_s64*//*Label 1786*/ GIMT_Encode4(98644),
     /*  98520 */ // Label 1785: @98520
     /*  98520 */ GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(98563), // Rule ID 4785 //
     /*  98525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  98528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  98531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98535 */   // (lrint:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } (FRINTXHr:{ *:[i16] } f16:{ *:[f16] }:$Rn))
     /*  98535 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  98538 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /*  98542 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98547 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98551 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /*  98556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98558 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98561 */   GIR_RootConstrainSelectedInstOperands,
     /*  98562 */   // GIR_Coverage, 4785,
     /*  98562 */   GIR_EraseRootFromParent_Done,
     /*  98563 */ // Label 1788: @98563
     /*  98563 */ GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(98603), // Rule ID 4791 //
     /*  98568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  98571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98575 */   // (lrint:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } (FRINTXSr:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /*  98575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /*  98582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98587 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98591 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /*  98596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98598 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98601 */   GIR_RootConstrainSelectedInstOperands,
     /*  98602 */   // GIR_Coverage, 4791,
     /*  98602 */   GIR_EraseRootFromParent_Done,
     /*  98603 */ // Label 1789: @98603
     /*  98603 */ GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(98643), // Rule ID 4793 //
     /*  98608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  98611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98615 */   // (lrint:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } (FRINTXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /*  98615 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  98618 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /*  98622 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98627 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98631 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /*  98636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98638 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98641 */   GIR_RootConstrainSelectedInstOperands,
     /*  98642 */   // GIR_Coverage, 4793,
     /*  98642 */   GIR_EraseRootFromParent_Done,
     /*  98643 */ // Label 1790: @98643
     /*  98643 */ GIM_Reject,
     /*  98644 */ // Label 1786: @98644
     /*  98644 */ GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(98687), // Rule ID 4787 //
     /*  98649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  98652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  98655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98659 */   // (lrint:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } (FRINTXHr:{ *:[i16] } f16:{ *:[f16] }:$Rn))
     /*  98659 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  98662 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /*  98666 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98671 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98675 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /*  98680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98682 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98685 */   GIR_RootConstrainSelectedInstOperands,
     /*  98686 */   // GIR_Coverage, 4787,
     /*  98686 */   GIR_EraseRootFromParent_Done,
     /*  98687 */ // Label 1791: @98687
     /*  98687 */ GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(98727), // Rule ID 4795 //
     /*  98692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  98695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98699 */   // (lrint:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } (FRINTXSr:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /*  98699 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98702 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /*  98706 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98711 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98715 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /*  98720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98722 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98725 */   GIR_RootConstrainSelectedInstOperands,
     /*  98726 */   // GIR_Coverage, 4795,
     /*  98726 */   GIR_EraseRootFromParent_Done,
     /*  98727 */ // Label 1792: @98727
     /*  98727 */ GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(98767), // Rule ID 4797 //
     /*  98732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  98735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98739 */   // (lrint:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } (FRINTXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /*  98739 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  98742 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /*  98746 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98751 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98755 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /*  98760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98762 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98765 */   GIR_RootConstrainSelectedInstOperands,
     /*  98766 */   // GIR_Coverage, 4797,
     /*  98766 */   GIR_EraseRootFromParent_Done,
     /*  98767 */ // Label 1793: @98767
     /*  98767 */ GIM_Reject,
     /*  98768 */ // Label 1787: @98768
     /*  98768 */ GIM_Reject,
     /*  98769 */ // Label 13: @98769
     /*  98769 */ GIM_Try, /*On fail goto*//*Label 1794*/ GIMT_Encode4(98918),
     /*  98774 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  98777 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 1798*/ GIMT_Encode4(98917),
     /*  98788 */   /*GILLT_s16*//*Label 1795*/ GIMT_Encode4(98800),
     /*  98792 */   /*GILLT_s32*//*Label 1796*/ GIMT_Encode4(98841),
     /*  98796 */   /*GILLT_s64*//*Label 1797*/ GIMT_Encode4(98879),
     /*  98800 */   // Label 1795: @98800
     /*  98800 */   GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(98840), // Rule ID 4789 //
     /*  98805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  98808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98812 */     // (llrint:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } (FRINTXHr:{ *:[i16] } f16:{ *:[f16] }:$Rn))
     /*  98812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  98815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /*  98819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98824 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /*  98833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98838 */     GIR_RootConstrainSelectedInstOperands,
     /*  98839 */     // GIR_Coverage, 4789,
     /*  98839 */     GIR_EraseRootFromParent_Done,
     /*  98840 */   // Label 1799: @98840
     /*  98840 */   GIM_Reject,
     /*  98841 */   // Label 1796: @98841
     /*  98841 */   GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(98878), // Rule ID 4799 //
     /*  98846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98850 */     // (llrint:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } (FRINTXSr:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /*  98850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /*  98857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98862 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /*  98871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98876 */     GIR_RootConstrainSelectedInstOperands,
     /*  98877 */     // GIR_Coverage, 4799,
     /*  98877 */     GIR_EraseRootFromParent_Done,
     /*  98878 */   // Label 1800: @98878
     /*  98878 */   GIM_Reject,
     /*  98879 */   // Label 1797: @98879
     /*  98879 */   GIM_Try, /*On fail goto*//*Label 1801*/ GIMT_Encode4(98916), // Rule ID 4801 //
     /*  98884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98888 */     // (llrint:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } (FRINTXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /*  98888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  98891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /*  98895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /*  98909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98914 */     GIR_RootConstrainSelectedInstOperands,
     /*  98915 */     // GIR_Coverage, 4801,
     /*  98915 */     GIR_EraseRootFromParent_Done,
     /*  98916 */   // Label 1801: @98916
     /*  98916 */   GIM_Reject,
     /*  98917 */   // Label 1798: @98917
     /*  98917 */   GIM_Reject,
     /*  98918 */ // Label 1794: @98918
     /*  98918 */ GIM_Reject,
     /*  98919 */ // Label 14: @98919
     /*  98919 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 1810*/ GIMT_Encode4(99409),
     /*  98930 */ /*GILLT_s16*//*Label 1802*/ GIMT_Encode4(98970),
     /*  98934 */ /*GILLT_s32*//*Label 1803*/ GIMT_Encode4(99001),
     /*  98938 */ /*GILLT_s64*//*Label 1804*/ GIMT_Encode4(99032), GIMT_Encode4(0),
     /*  98946 */ /*GILLT_v2s32*//*Label 1805*/ GIMT_Encode4(99063),
     /*  98950 */ /*GILLT_v2s64*//*Label 1806*/ GIMT_Encode4(99094),
     /*  98954 */ /*GILLT_v4s16*//*Label 1807*/ GIMT_Encode4(99125),
     /*  98958 */ /*GILLT_v4s32*//*Label 1808*/ GIMT_Encode4(99156), GIMT_Encode4(0),
     /*  98966 */ /*GILLT_v8s16*//*Label 1809*/ GIMT_Encode4(99187),
     /*  98970 */ // Label 1802: @98970
     /*  98970 */ GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(99000), // Rule ID 546 //
     /*  98975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  98978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  98981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  98985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  98989 */   // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTNHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /*  98989 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNHr),
     /*  98994 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98998 */   GIR_RootConstrainSelectedInstOperands,
     /*  98999 */   // GIR_Coverage, 546,
     /*  98999 */   GIR_Done,
     /*  99000 */ // Label 1811: @99000
     /*  99000 */ GIM_Reject,
     /*  99001 */ // Label 1803: @99001
     /*  99001 */ GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(99031), // Rule ID 548 //
     /*  99006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  99012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  99016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  99020 */   // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTNSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /*  99020 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNSr),
     /*  99025 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99029 */   GIR_RootConstrainSelectedInstOperands,
     /*  99030 */   // GIR_Coverage, 548,
     /*  99030 */   GIR_Done,
     /*  99031 */ // Label 1812: @99031
     /*  99031 */ GIM_Reject,
     /*  99032 */ // Label 1804: @99032
     /*  99032 */ GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(99062), // Rule ID 550 //
     /*  99037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  99043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99051 */   // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTNDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /*  99051 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNDr),
     /*  99056 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99060 */   GIR_RootConstrainSelectedInstOperands,
     /*  99061 */   // GIR_Coverage, 550,
     /*  99061 */   GIR_Done,
     /*  99062 */ // Label 1813: @99062
     /*  99062 */ GIM_Reject,
     /*  99063 */ // Label 1805: @99063
     /*  99063 */ GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(99093), // Rule ID 903 //
     /*  99068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  99071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  99074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99082 */   // (froundeven:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTNv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /*  99082 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv2f32),
     /*  99087 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99091 */   GIR_RootConstrainSelectedInstOperands,
     /*  99092 */   // GIR_Coverage, 903,
     /*  99092 */   GIR_Done,
     /*  99093 */ // Label 1814: @99093
     /*  99093 */ GIM_Reject,
     /*  99094 */ // Label 1806: @99094
     /*  99094 */ GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(99124), // Rule ID 907 //
     /*  99099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  99102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  99105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99113 */   // (froundeven:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTNv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /*  99113 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv2f64),
     /*  99118 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99122 */   GIR_RootConstrainSelectedInstOperands,
     /*  99123 */   // GIR_Coverage, 907,
     /*  99123 */   GIR_Done,
     /*  99124 */ // Label 1815: @99124
     /*  99124 */ GIM_Reject,
     /*  99125 */ // Label 1807: @99125
     /*  99125 */ GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(99155), // Rule ID 899 //
     /*  99130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  99133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  99136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99144 */   // (froundeven:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTNv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /*  99144 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f16),
     /*  99149 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99153 */   GIR_RootConstrainSelectedInstOperands,
     /*  99154 */   // GIR_Coverage, 899,
     /*  99154 */   GIR_Done,
     /*  99155 */ // Label 1816: @99155
     /*  99155 */ GIM_Reject,
     /*  99156 */ // Label 1808: @99156
     /*  99156 */ GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(99186), // Rule ID 905 //
     /*  99161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  99164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  99167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99175 */   // (froundeven:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTNv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /*  99175 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f32),
     /*  99180 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99184 */   GIR_RootConstrainSelectedInstOperands,
     /*  99185 */   // GIR_Coverage, 905,
     /*  99185 */   GIR_Done,
     /*  99186 */ // Label 1817: @99186
     /*  99186 */ GIM_Reject,
     /*  99187 */ // Label 1809: @99187
     /*  99187 */ GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(99408),
     /*  99192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  99195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99203 */   GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(99222), // Rule ID 901 //
     /*  99208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  99211 */     // (froundeven:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTNv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /*  99211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv8f16),
     /*  99216 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99220 */     GIR_RootConstrainSelectedInstOperands,
     /*  99221 */     // GIR_Coverage, 901,
     /*  99221 */     GIR_Done,
     /*  99222 */   // Label 1819: @99222
     /*  99222 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(99407), // Rule ID 7006 //
     /*  99227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /*  99230 */     // (froundeven:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTNv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTNv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /*  99230 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /*  99233 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /*  99237 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99242 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  99246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  99248 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /*  99251 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f32),
     /*  99255 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99260 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  99263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  99265 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /*  99268 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  99272 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99277 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /*  99283 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99288 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99293 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /*  99296 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /*  99300 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99305 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  99308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  99310 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /*  99313 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f32),
     /*  99317 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99322 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  99325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  99327 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /*  99330 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /*  99334 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99339 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  99342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  99344 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  99347 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  99351 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  99358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  99361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  99365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99370 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  99373 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  99376 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  99379 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99384 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99389 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  99397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  99402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  99405 */     GIR_RootConstrainSelectedInstOperands,
     /*  99406 */     // GIR_Coverage, 7006,
     /*  99406 */     GIR_EraseRootFromParent_Done,
     /*  99407 */   // Label 1820: @99407
     /*  99407 */   GIM_Reject,
     /*  99408 */ // Label 1818: @99408
     /*  99408 */ GIM_Reject,
     /*  99409 */ // Label 1810: @99409
     /*  99409 */ GIM_Reject,
     /*  99410 */ // Label 15: @99410
     /*  99410 */ GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(99442), // Rule ID 3904 //
     /*  99415 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  99418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  99422 */   // (readcyclecounter:{ *:[i64] })  =>  (MRS:{ *:[i64] }:{ *:[i32] } 57090:{ *:[i32] })
     /*  99422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS),
     /*  99425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99427 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(57090),
     /*  99437 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  99440 */   GIR_RootConstrainSelectedInstOperands,
     /*  99441 */   // GIR_Coverage, 3904,
     /*  99441 */   GIR_EraseRootFromParent_Done,
     /*  99442 */ // Label 1821: @99442
     /*  99442 */ GIM_Reject,
     /*  99443 */ // Label 16: @99443
     /*  99443 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(24), /*)*//*default:*//*Label 1842*/ GIMT_Encode4(108380),
     /*  99454 */ /*GILLT_s8*//*Label 1822*/ GIMT_Encode4(99550),
     /*  99458 */ /*GILLT_s16*//*Label 1823*/ GIMT_Encode4(99726),
     /*  99462 */ /*GILLT_s32*//*Label 1824*/ GIMT_Encode4(99902),
     /*  99466 */ /*GILLT_s64*//*Label 1825*/ GIMT_Encode4(102296),
     /*  99470 */ /*GILLT_s128*//*Label 1826*/ GIMT_Encode4(105009),
     /*  99474 */ /*GILLT_v2s32*//*Label 1827*/ GIMT_Encode4(105218),
     /*  99478 */ /*GILLT_v2s64*//*Label 1828*/ GIMT_Encode4(105596),
     /*  99482 */ /*GILLT_v4s16*//*Label 1829*/ GIMT_Encode4(105974),
     /*  99486 */ /*GILLT_v4s32*//*Label 1830*/ GIMT_Encode4(106352),
     /*  99490 */ /*GILLT_v8s8*//*Label 1831*/ GIMT_Encode4(106730),
     /*  99494 */ /*GILLT_v8s16*//*Label 1832*/ GIMT_Encode4(106938),
     /*  99498 */ /*GILLT_v16s8*//*Label 1833*/ GIMT_Encode4(107316), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  99510 */ /*GILLT_nxv2s16*//*Label 1834*/ GIMT_Encode4(107524),
     /*  99514 */ /*GILLT_nxv2s32*//*Label 1835*/ GIMT_Encode4(107588),
     /*  99518 */ /*GILLT_nxv2s64*//*Label 1836*/ GIMT_Encode4(107652), GIMT_Encode4(0),
     /*  99526 */ /*GILLT_nxv4s16*//*Label 1837*/ GIMT_Encode4(107826),
     /*  99530 */ /*GILLT_nxv4s32*//*Label 1838*/ GIMT_Encode4(107890), GIMT_Encode4(0),
     /*  99538 */ /*GILLT_nxv8s16*//*Label 1839*/ GIMT_Encode4(108064),
     /*  99542 */ /*GILLT_nxv16s1*//*Label 1840*/ GIMT_Encode4(108238),
     /*  99546 */ /*GILLT_nxv16s8*//*Label 1841*/ GIMT_Encode4(108282),
     /*  99550 */ // Label 1822: @99550
     /*  99550 */ GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(99725),
     /*  99555 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99558 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /*  99566 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99570 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(99611), // Rule ID 237 //
     /*  99575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /*  99585 */     // (ld:{ *:[i8] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /*  99585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /*  99588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99605 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99609 */     GIR_RootConstrainSelectedInstOperands,
     /*  99610 */     // GIR_Coverage, 237,
     /*  99610 */     GIR_EraseRootFromParent_Done,
     /*  99611 */   // Label 1844: @99611
     /*  99611 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(99652), // Rule ID 238 //
     /*  99616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /*  99626 */     // (ld:{ *:[i8] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /*  99626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /*  99629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99646 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99650 */     GIR_RootConstrainSelectedInstOperands,
     /*  99651 */     // GIR_Coverage, 238,
     /*  99651 */     GIR_EraseRootFromParent_Done,
     /*  99652 */   // Label 1845: @99652
     /*  99652 */   GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(99688), // Rule ID 261 //
     /*  99657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /*  99667 */     // (ld:{ *:[i8] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /*  99667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /*  99670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99682 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99686 */     GIR_RootConstrainSelectedInstOperands,
     /*  99687 */     // GIR_Coverage, 261,
     /*  99687 */     GIR_EraseRootFromParent_Done,
     /*  99688 */   // Label 1846: @99688
     /*  99688 */   GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(99724), // Rule ID 282 //
     /*  99693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /*  99703 */     // (ld:{ *:[i8] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /*  99703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /*  99706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99722 */     GIR_RootConstrainSelectedInstOperands,
     /*  99723 */     // GIR_Coverage, 282,
     /*  99723 */     GIR_EraseRootFromParent_Done,
     /*  99724 */   // Label 1847: @99724
     /*  99724 */   GIM_Reject,
     /*  99725 */ // Label 1843: @99725
     /*  99725 */ GIM_Reject,
     /*  99726 */ // Label 1823: @99726
     /*  99726 */ GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(99901),
     /*  99731 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99734 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  99742 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99746 */   GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(99787), // Rule ID 239 //
     /*  99751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /*  99761 */     // (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRHroW:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /*  99761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /*  99764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99785 */     GIR_RootConstrainSelectedInstOperands,
     /*  99786 */     // GIR_Coverage, 239,
     /*  99786 */     GIR_EraseRootFromParent_Done,
     /*  99787 */   // Label 1849: @99787
     /*  99787 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(99828), // Rule ID 240 //
     /*  99792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /*  99802 */     // (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRHroX:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /*  99802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /*  99805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99826 */     GIR_RootConstrainSelectedInstOperands,
     /*  99827 */     // GIR_Coverage, 240,
     /*  99827 */     GIR_EraseRootFromParent_Done,
     /*  99828 */   // Label 1850: @99828
     /*  99828 */   GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(99864), // Rule ID 262 //
     /*  99833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /*  99843 */     // (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRHui:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /*  99843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /*  99846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99862 */     GIR_RootConstrainSelectedInstOperands,
     /*  99863 */     // GIR_Coverage, 262,
     /*  99863 */     GIR_EraseRootFromParent_Done,
     /*  99864 */   // Label 1851: @99864
     /*  99864 */   GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(99900), // Rule ID 283 //
     /*  99869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /*  99879 */     // (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURHi:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /*  99879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /*  99882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99898 */     GIR_RootConstrainSelectedInstOperands,
     /*  99899 */     // GIR_Coverage, 283,
     /*  99899 */     GIR_EraseRootFromParent_Done,
     /*  99900 */   // Label 1852: @99900
     /*  99900 */   GIM_Reject,
     /*  99901 */ // Label 1848: @99901
     /*  99901 */ GIM_Reject,
     /*  99902 */ // Label 1824: @99902
     /*  99902 */ GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(99955), // Rule ID 233 //
     /*  99907 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99910 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99918 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99922 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  99929 */   // (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  99929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /*  99932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99934 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99939 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99944 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99949 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99953 */   GIR_RootConstrainSelectedInstOperands,
     /*  99954 */   // GIR_Coverage, 233,
     /*  99954 */   GIR_EraseRootFromParent_Done,
     /*  99955 */ // Label 1853: @99955
     /*  99955 */ GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(100008), // Rule ID 234 //
     /*  99960 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99963 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99971 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99975 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  99982 */   // (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  99982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /*  99985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99987 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99992 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99997 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100002 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100006 */   GIR_RootConstrainSelectedInstOperands,
     /* 100007 */   // GIR_Coverage, 234,
     /* 100007 */   GIR_EraseRootFromParent_Done,
     /* 100008 */ // Label 1854: @100008
     /* 100008 */ GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(100064), // Rule ID 241 //
     /* 100013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 100016 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100019 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 100027 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100031 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 100038 */   // (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRSroW:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 100038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 100041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100043 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100048 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100053 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100058 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100062 */   GIR_RootConstrainSelectedInstOperands,
     /* 100063 */   // GIR_Coverage, 241,
     /* 100063 */   GIR_EraseRootFromParent_Done,
     /* 100064 */ // Label 1855: @100064
     /* 100064 */ GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(100120), // Rule ID 242 //
     /* 100069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 100072 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100075 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 100083 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100087 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 100094 */   // (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRSroX:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 100094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 100097 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100099 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100104 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100109 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100114 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100118 */   GIR_RootConstrainSelectedInstOperands,
     /* 100119 */   // GIR_Coverage, 242,
     /* 100119 */   GIR_EraseRootFromParent_Done,
     /* 100120 */ // Label 1856: @100120
     /* 100120 */ GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(100180), // Rule ID 4120 //
     /* 100125 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100128 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100132 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100143 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100147 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 100154 */   // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 100154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 100157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100159 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100164 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100169 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100174 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100178 */   GIR_RootConstrainSelectedInstOperands,
     /* 100179 */   // GIR_Coverage, 4120,
     /* 100179 */   GIR_EraseRootFromParent_Done,
     /* 100180 */ // Label 1857: @100180
     /* 100180 */ GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(100240), // Rule ID 4121 //
     /* 100185 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100188 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100192 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100203 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100207 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 100214 */   // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 100214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 100217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100219 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100224 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100229 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100234 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100238 */   GIR_RootConstrainSelectedInstOperands,
     /* 100239 */   // GIR_Coverage, 4121,
     /* 100239 */   GIR_EraseRootFromParent_Done,
     /* 100240 */ // Label 1858: @100240
     /* 100240 */ GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(100300), // Rule ID 4122 //
     /* 100245 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100248 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100252 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100263 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100267 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 100274 */   // (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 100274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 100277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100279 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100284 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100289 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100294 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100298 */   GIR_RootConstrainSelectedInstOperands,
     /* 100299 */   // GIR_Coverage, 4122,
     /* 100299 */   GIR_EraseRootFromParent_Done,
     /* 100300 */ // Label 1859: @100300
     /* 100300 */ GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(100360), // Rule ID 4123 //
     /* 100305 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100308 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100312 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100323 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100327 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 100334 */   // (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 100334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 100337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100339 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100344 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100349 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100354 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100358 */   GIR_RootConstrainSelectedInstOperands,
     /* 100359 */   // GIR_Coverage, 4123,
     /* 100359 */   GIR_EraseRootFromParent_Done,
     /* 100360 */ // Label 1860: @100360
     /* 100360 */ GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(100420), // Rule ID 4124 //
     /* 100365 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100368 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100372 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100383 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100387 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 100394 */   // (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 100394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /* 100397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100399 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100404 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100409 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100414 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100418 */   GIR_RootConstrainSelectedInstOperands,
     /* 100419 */   // GIR_Coverage, 4124,
     /* 100419 */   GIR_EraseRootFromParent_Done,
     /* 100420 */ // Label 1861: @100420
     /* 100420 */ GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(100480), // Rule ID 4125 //
     /* 100425 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100428 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100432 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100443 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100447 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 100454 */   // (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 100454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /* 100457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100459 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100464 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100469 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100474 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100478 */   GIR_RootConstrainSelectedInstOperands,
     /* 100479 */   // GIR_Coverage, 4125,
     /* 100479 */   GIR_EraseRootFromParent_Done,
     /* 100480 */ // Label 1862: @100480
     /* 100480 */ GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(100528), // Rule ID 260 //
     /* 100485 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100488 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100496 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100500 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 100507 */   // (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 100507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /* 100510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100512 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100517 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100522 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100526 */   GIR_RootConstrainSelectedInstOperands,
     /* 100527 */   // GIR_Coverage, 260,
     /* 100527 */   GIR_EraseRootFromParent_Done,
     /* 100528 */ // Label 1863: @100528
     /* 100528 */ GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(100579), // Rule ID 263 //
     /* 100533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 100536 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100539 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 100547 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100551 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 100558 */   // (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRSui:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 100558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 100561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100563 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100568 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100573 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100577 */   GIR_RootConstrainSelectedInstOperands,
     /* 100578 */   // GIR_Coverage, 263,
     /* 100578 */   GIR_EraseRootFromParent_Done,
     /* 100579 */ // Label 1864: @100579
     /* 100579 */ GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(100642), // Rule ID 7036 //
     /* 100584 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100587 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100591 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100598 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100605 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100609 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 100616 */   // (atomic_load:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15861>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset)
     /* 100616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 100619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100621 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100626 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100631 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100636 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100640 */   GIR_RootConstrainSelectedInstOperands,
     /* 100641 */   // GIR_Coverage, 7036,
     /* 100641 */   GIR_EraseRootFromParent_Done,
     /* 100642 */ // Label 1865: @100642
     /* 100642 */ GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(100705), // Rule ID 7038 //
     /* 100647 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100650 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100654 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100661 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100668 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100672 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 100679 */   // (atomic_load:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15861>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset)
     /* 100679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 100682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100684 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100689 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100694 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100699 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100703 */   GIR_RootConstrainSelectedInstOperands,
     /* 100704 */   // GIR_Coverage, 7038,
     /* 100704 */   GIR_EraseRootFromParent_Done,
     /* 100705 */ // Label 1866: @100705
     /* 100705 */ GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(100768), // Rule ID 7048 //
     /* 100710 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100713 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100717 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100724 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100731 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100735 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 100742 */   // (atomic_load:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15869>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 100742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 100745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100747 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100752 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100757 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100762 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100766 */   GIR_RootConstrainSelectedInstOperands,
     /* 100767 */   // GIR_Coverage, 7048,
     /* 100767 */   GIR_EraseRootFromParent_Done,
     /* 100768 */ // Label 1867: @100768
     /* 100768 */ GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(100831), // Rule ID 7050 //
     /* 100773 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100776 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100780 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100787 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100794 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100798 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 100805 */   // (atomic_load:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15869>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 100805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 100808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100810 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100815 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100820 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100825 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100829 */   GIR_RootConstrainSelectedInstOperands,
     /* 100830 */   // GIR_Coverage, 7050,
     /* 100830 */   GIR_EraseRootFromParent_Done,
     /* 100831 */ // Label 1868: @100831
     /* 100831 */ GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(100894), // Rule ID 7058 //
     /* 100836 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100839 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100843 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100850 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100857 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100861 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 100868 */   // (atomic_load:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_15877>>  =>  (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 100868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /* 100871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100873 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100878 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100883 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100888 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100892 */   GIR_RootConstrainSelectedInstOperands,
     /* 100893 */   // GIR_Coverage, 7058,
     /* 100893 */   GIR_EraseRootFromParent_Done,
     /* 100894 */ // Label 1869: @100894
     /* 100894 */ GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(100957), // Rule ID 7059 //
     /* 100899 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100902 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100906 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100913 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100920 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100924 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 100931 */   // (atomic_load:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_15877>>  =>  (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 100931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /* 100934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100936 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100941 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100946 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100951 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100955 */   GIR_RootConstrainSelectedInstOperands,
     /* 100956 */   // GIR_Coverage, 7059,
     /* 100956 */   GIR_EraseRootFromParent_Done,
     /* 100957 */ // Label 1870: @100957
     /* 100957 */ GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(101005), // Rule ID 281 //
     /* 100962 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100965 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100973 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100977 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 100984 */   // (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 100984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 100987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100989 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100999 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101003 */   GIR_RootConstrainSelectedInstOperands,
     /* 101004 */   // GIR_Coverage, 281,
     /* 101004 */   GIR_EraseRootFromParent_Done,
     /* 101005 */ // Label 1871: @101005
     /* 101005 */ GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(101056), // Rule ID 284 //
     /* 101010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 101013 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101016 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 101024 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101028 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 101035 */   // (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURSi:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 101035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 101038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101040 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101045 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101050 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101054 */   GIR_RootConstrainSelectedInstOperands,
     /* 101055 */   // GIR_Coverage, 284,
     /* 101055 */   GIR_EraseRootFromParent_Done,
     /* 101056 */ // Label 1872: @101056
     /* 101056 */ GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(101111), // Rule ID 4147 //
     /* 101061 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101064 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101068 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101079 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101083 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 101090 */   // (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 101090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 101093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101095 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101100 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101105 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101109 */   GIR_RootConstrainSelectedInstOperands,
     /* 101110 */   // GIR_Coverage, 4147,
     /* 101110 */   GIR_EraseRootFromParent_Done,
     /* 101111 */ // Label 1873: @101111
     /* 101111 */ GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(101166), // Rule ID 4148 //
     /* 101116 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101119 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101123 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101134 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101138 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 101145 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 101145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 101148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101155 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101160 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101164 */   GIR_RootConstrainSelectedInstOperands,
     /* 101165 */   // GIR_Coverage, 4148,
     /* 101165 */   GIR_EraseRootFromParent_Done,
     /* 101166 */ // Label 1874: @101166
     /* 101166 */ GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(101221), // Rule ID 4149 //
     /* 101171 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101174 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101178 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101189 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101193 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 101200 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 101200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 101203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101205 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101210 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101215 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101219 */   GIR_RootConstrainSelectedInstOperands,
     /* 101220 */   // GIR_Coverage, 4149,
     /* 101220 */   GIR_EraseRootFromParent_Done,
     /* 101221 */ // Label 1875: @101221
     /* 101221 */ GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(101276), // Rule ID 4170 //
     /* 101226 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101229 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101233 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101244 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101248 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 101255 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 101258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101260 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101265 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101270 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101274 */   GIR_RootConstrainSelectedInstOperands,
     /* 101275 */   // GIR_Coverage, 4170,
     /* 101275 */   GIR_EraseRootFromParent_Done,
     /* 101276 */ // Label 1876: @101276
     /* 101276 */ GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(101331), // Rule ID 4171 //
     /* 101281 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101284 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101288 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101299 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101303 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 101310 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 101313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101315 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101320 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101325 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101329 */   GIR_RootConstrainSelectedInstOperands,
     /* 101330 */   // GIR_Coverage, 4171,
     /* 101330 */   GIR_EraseRootFromParent_Done,
     /* 101331 */ // Label 1877: @101331
     /* 101331 */ GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(101386), // Rule ID 4172 //
     /* 101336 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101339 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101343 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101354 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101358 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 101365 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 101368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101370 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101375 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101380 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101384 */   GIR_RootConstrainSelectedInstOperands,
     /* 101385 */   // GIR_Coverage, 4172,
     /* 101385 */   GIR_EraseRootFromParent_Done,
     /* 101386 */ // Label 1878: @101386
     /* 101386 */ GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(101444), // Rule ID 7040 //
     /* 101391 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101394 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101398 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101405 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101412 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101416 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 101423 */   // (atomic_load:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15861>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 101423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 101426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101428 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101433 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101438 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101442 */   GIR_RootConstrainSelectedInstOperands,
     /* 101443 */   // GIR_Coverage, 7040,
     /* 101443 */   GIR_EraseRootFromParent_Done,
     /* 101444 */ // Label 1879: @101444
     /* 101444 */ GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(101502), // Rule ID 7042 //
     /* 101449 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101452 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101456 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101463 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101470 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101474 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 101481 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15861>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 101484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101486 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101491 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101496 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101500 */   GIR_RootConstrainSelectedInstOperands,
     /* 101501 */   // GIR_Coverage, 7042,
     /* 101501 */   GIR_EraseRootFromParent_Done,
     /* 101502 */ // Label 1880: @101502
     /* 101502 */ GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(101560), // Rule ID 7052 //
     /* 101507 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101510 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101514 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101521 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101528 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101532 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 101539 */   // (atomic_load:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15869>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 101539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 101542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101549 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101554 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101558 */   GIR_RootConstrainSelectedInstOperands,
     /* 101559 */   // GIR_Coverage, 7052,
     /* 101559 */   GIR_EraseRootFromParent_Done,
     /* 101560 */ // Label 1881: @101560
     /* 101560 */ GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(101618), // Rule ID 7054 //
     /* 101565 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101568 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101572 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101579 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101586 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101590 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 101597 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15869>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 101600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101602 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101607 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101612 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101616 */   GIR_RootConstrainSelectedInstOperands,
     /* 101617 */   // GIR_Coverage, 7054,
     /* 101617 */   GIR_EraseRootFromParent_Done,
     /* 101618 */ // Label 1882: @101618
     /* 101618 */ GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(101676), // Rule ID 7060 //
     /* 101623 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101626 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101630 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 101637 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101644 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101648 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 101655 */   // (atomic_load:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_15877>>  =>  (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 101655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /* 101658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101660 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101665 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101670 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101674 */   GIR_RootConstrainSelectedInstOperands,
     /* 101675 */   // GIR_Coverage, 7060,
     /* 101675 */   GIR_EraseRootFromParent_Done,
     /* 101676 */ // Label 1883: @101676
     /* 101676 */ GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(101734), // Rule ID 7061 //
     /* 101681 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101684 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101688 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 101695 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101702 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101706 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 101713 */   // (atomic_load:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_15877>>  =>  (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 101716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101718 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101723 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101728 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101732 */   GIR_RootConstrainSelectedInstOperands,
     /* 101733 */   // GIR_Coverage, 7061,
     /* 101733 */   GIR_EraseRootFromParent_Done,
     /* 101734 */ // Label 1884: @101734
     /* 101734 */ GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(101795), // Rule ID 7416 //
     /* 101739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 101742 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101745 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101749 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101756 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101763 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101767 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 101774 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15850>>  =>  (LDAPURBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURBi),
     /* 101777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101779 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101784 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101789 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101793 */   GIR_RootConstrainSelectedInstOperands,
     /* 101794 */   // GIR_Coverage, 7416,
     /* 101794 */   GIR_EraseRootFromParent_Done,
     /* 101795 */ // Label 1885: @101795
     /* 101795 */ GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(101856), // Rule ID 7418 //
     /* 101800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 101803 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101806 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101810 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101817 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101824 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101828 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 101835 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15852>>  =>  (LDAPURHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURHi),
     /* 101838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101840 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101845 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101850 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101854 */   GIR_RootConstrainSelectedInstOperands,
     /* 101855 */   // GIR_Coverage, 7418,
     /* 101855 */   GIR_EraseRootFromParent_Done,
     /* 101856 */ // Label 1886: @101856
     /* 101856 */ GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(101917), // Rule ID 7420 //
     /* 101861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 101864 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101867 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101871 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 101878 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101885 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101889 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 101896 */   // (atomic_load:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_15854>>  =>  (LDAPURi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURi),
     /* 101899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101901 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101906 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101911 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101915 */   GIR_RootConstrainSelectedInstOperands,
     /* 101916 */   // GIR_Coverage, 7420,
     /* 101916 */   GIR_EraseRootFromParent_Done,
     /* 101917 */ // Label 1887: @101917
     /* 101917 */ GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(101961), // Rule ID 7026 //
     /* 101922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 101925 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101928 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101932 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101939 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101946 */   // MIs[0] ptr
     /* 101946 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101954 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15850>>  =>  (LDAPRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101954 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRB),
     /* 101959 */   GIR_RootConstrainSelectedInstOperands,
     /* 101960 */   // GIR_Coverage, 7026,
     /* 101960 */   GIR_Done,
     /* 101961 */ // Label 1888: @101961
     /* 101961 */ GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(102005), // Rule ID 7028 //
     /* 101966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 101969 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101972 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101976 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101983 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101990 */   // MIs[0] ptr
     /* 101990 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101998 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15852>>  =>  (LDAPRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101998 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRH),
     /* 102003 */   GIR_RootConstrainSelectedInstOperands,
     /* 102004 */   // GIR_Coverage, 7028,
     /* 102004 */   GIR_Done,
     /* 102005 */ // Label 1889: @102005
     /* 102005 */ GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(102049), // Rule ID 7030 //
     /* 102010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 102013 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102016 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102020 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 102027 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 102030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102034 */   // MIs[0] ptr
     /* 102034 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102042 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_15854>>  =>  (LDAPRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102042 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRW),
     /* 102047 */   GIR_RootConstrainSelectedInstOperands,
     /* 102048 */   // GIR_Coverage, 7030,
     /* 102048 */   GIR_Done,
     /* 102049 */ // Label 1890: @102049
     /* 102049 */ GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(102090), // Rule ID 7032 //
     /* 102054 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102057 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102061 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102068 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 102071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102075 */   // MIs[0] ptr
     /* 102075 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102083 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15858>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102083 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 102088 */   GIR_RootConstrainSelectedInstOperands,
     /* 102089 */   // GIR_Coverage, 7032,
     /* 102089 */   GIR_Done,
     /* 102090 */ // Label 1891: @102090
     /* 102090 */ GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(102131), // Rule ID 7034 //
     /* 102095 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102098 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102102 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102109 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 102112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102116 */   // MIs[0] ptr
     /* 102116 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102124 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15850>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102124 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 102129 */   GIR_RootConstrainSelectedInstOperands,
     /* 102130 */   // GIR_Coverage, 7034,
     /* 102130 */   GIR_Done,
     /* 102131 */ // Label 1892: @102131
     /* 102131 */ GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(102172), // Rule ID 7044 //
     /* 102136 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102139 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102143 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102150 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 102153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102157 */   // MIs[0] ptr
     /* 102157 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102165 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15866>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102165 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 102170 */   GIR_RootConstrainSelectedInstOperands,
     /* 102171 */   // GIR_Coverage, 7044,
     /* 102171 */   GIR_Done,
     /* 102172 */ // Label 1893: @102172
     /* 102172 */ GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(102213), // Rule ID 7046 //
     /* 102177 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102180 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102184 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102191 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 102194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102198 */   // MIs[0] ptr
     /* 102198 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102206 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15852>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102206 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 102211 */   GIR_RootConstrainSelectedInstOperands,
     /* 102212 */   // GIR_Coverage, 7046,
     /* 102212 */   GIR_Done,
     /* 102213 */ // Label 1894: @102213
     /* 102213 */ GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(102254), // Rule ID 7056 //
     /* 102218 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102221 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102225 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 102232 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 102235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102239 */   // MIs[0] ptr
     /* 102239 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102247 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_15874>>  =>  (LDARW:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102247 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARW),
     /* 102252 */   GIR_RootConstrainSelectedInstOperands,
     /* 102253 */   // GIR_Coverage, 7056,
     /* 102253 */   GIR_Done,
     /* 102254 */ // Label 1895: @102254
     /* 102254 */ GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(102295), // Rule ID 7057 //
     /* 102259 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102262 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102266 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 102273 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 102276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102280 */   // MIs[0] ptr
     /* 102280 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102288 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_15854>>  =>  (LDARW:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102288 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARW),
     /* 102293 */   GIR_RootConstrainSelectedInstOperands,
     /* 102294 */   // GIR_Coverage, 7057,
     /* 102294 */   GIR_Done,
     /* 102295 */ // Label 1896: @102295
     /* 102295 */ GIM_Reject,
     /* 102296 */ // Label 1825: @102296
     /* 102296 */ GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(102349), // Rule ID 235 //
     /* 102301 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102304 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102312 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102316 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 102323 */   // (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 102323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroW),
     /* 102326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102328 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102333 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102338 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102343 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102347 */   GIR_RootConstrainSelectedInstOperands,
     /* 102348 */   // GIR_Coverage, 235,
     /* 102348 */   GIR_EraseRootFromParent_Done,
     /* 102349 */ // Label 1897: @102349
     /* 102349 */ GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(102402), // Rule ID 236 //
     /* 102354 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102357 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102365 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102369 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 102376 */   // (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 102376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroX),
     /* 102379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102381 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102386 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102391 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102396 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102400 */   GIR_RootConstrainSelectedInstOperands,
     /* 102401 */   // GIR_Coverage, 236,
     /* 102401 */   GIR_EraseRootFromParent_Done,
     /* 102402 */ // Label 1898: @102402
     /* 102402 */ GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(102458), // Rule ID 243 //
     /* 102407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 102410 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102413 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102421 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102425 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 102432 */   // (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 102432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 102435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102437 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102442 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102447 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102452 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102456 */   GIR_RootConstrainSelectedInstOperands,
     /* 102457 */   // GIR_Coverage, 243,
     /* 102457 */   GIR_EraseRootFromParent_Done,
     /* 102458 */ // Label 1899: @102458
     /* 102458 */ GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(102514), // Rule ID 244 //
     /* 102463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 102466 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102469 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102477 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102481 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 102488 */   // (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 102488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 102491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102493 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102498 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102508 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102512 */   GIR_RootConstrainSelectedInstOperands,
     /* 102513 */   // GIR_Coverage, 244,
     /* 102513 */   GIR_EraseRootFromParent_Done,
     /* 102514 */ // Label 1900: @102514
     /* 102514 */ GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(102567), // Rule ID 4086 //
     /* 102519 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102522 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102530 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102534 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 102541 */   // (ld:{ *:[v1i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 102541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 102544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102551 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102561 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102565 */   GIR_RootConstrainSelectedInstOperands,
     /* 102566 */   // GIR_Coverage, 4086,
     /* 102566 */   GIR_EraseRootFromParent_Done,
     /* 102567 */ // Label 1901: @102567
     /* 102567 */ GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(102620), // Rule ID 4087 //
     /* 102572 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102575 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102583 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102587 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 102594 */   // (ld:{ *:[v1i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 102594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 102597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102599 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102604 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102609 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102614 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102618 */   GIR_RootConstrainSelectedInstOperands,
     /* 102619 */   // GIR_Coverage, 4087,
     /* 102619 */   GIR_EraseRootFromParent_Done,
     /* 102620 */ // Label 1902: @102620
     /* 102620 */ GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(102673), // Rule ID 4088 //
     /* 102625 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102628 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102636 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102640 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 102647 */   // (ld:{ *:[v1f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 102647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 102650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102652 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102657 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102662 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102667 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102671 */   GIR_RootConstrainSelectedInstOperands,
     /* 102672 */   // GIR_Coverage, 4088,
     /* 102672 */   GIR_EraseRootFromParent_Done,
     /* 102673 */ // Label 1903: @102673
     /* 102673 */ GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(102726), // Rule ID 4089 //
     /* 102678 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102681 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102689 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102693 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 102700 */   // (ld:{ *:[v1f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 102700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 102703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102710 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102715 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102720 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102724 */   GIR_RootConstrainSelectedInstOperands,
     /* 102725 */   // GIR_Coverage, 4089,
     /* 102725 */   GIR_EraseRootFromParent_Done,
     /* 102726 */ // Label 1904: @102726
     /* 102726 */ GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(102818), // Rule ID 4112 //
     /* 102731 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102734 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102738 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102749 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102753 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 102760 */   // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102760 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102763 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 102767 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102772 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102777 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102782 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102787 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102801 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102807 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102812 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102817 */   // GIR_Coverage, 4112,
     /* 102817 */   GIR_EraseRootFromParent_Done,
     /* 102818 */ // Label 1905: @102818
     /* 102818 */ GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(102910), // Rule ID 4113 //
     /* 102823 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102826 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102830 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102841 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102845 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 102852 */   // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102852 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102855 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 102859 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102864 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102869 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102874 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102879 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102883 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102893 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102899 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102904 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102909 */   // GIR_Coverage, 4113,
     /* 102909 */   GIR_EraseRootFromParent_Done,
     /* 102910 */ // Label 1906: @102910
     /* 102910 */ GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(103002), // Rule ID 4114 //
     /* 102915 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102918 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102922 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102933 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102937 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 102944 */   // (ld:{ *:[i64] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102944 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102947 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 102951 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102956 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102961 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102966 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102971 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102975 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102985 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102991 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102996 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103001 */   // GIR_Coverage, 4114,
     /* 103001 */   GIR_EraseRootFromParent_Done,
     /* 103002 */ // Label 1907: @103002
     /* 103002 */ GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(103094), // Rule ID 4115 //
     /* 103007 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103010 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103014 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 103021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103025 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103029 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 103036 */   // (ld:{ *:[i64] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 103036 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103039 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 103043 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103048 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103053 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103058 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103063 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103067 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103077 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103083 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103088 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103093 */   // GIR_Coverage, 4115,
     /* 103093 */   GIR_EraseRootFromParent_Done,
     /* 103094 */ // Label 1908: @103094
     /* 103094 */ GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(103186), // Rule ID 4116 //
     /* 103099 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103102 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103106 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 103113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103117 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103121 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 103128 */   // (ld:{ *:[i64] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 103128 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103131 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /* 103135 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103140 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103145 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103155 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103169 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103175 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103180 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103185 */   // GIR_Coverage, 4116,
     /* 103185 */   GIR_EraseRootFromParent_Done,
     /* 103186 */ // Label 1909: @103186
     /* 103186 */ GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(103278), // Rule ID 4117 //
     /* 103191 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103194 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103198 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 103205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103209 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103213 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 103220 */   // (ld:{ *:[i64] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 103220 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103223 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /* 103227 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103232 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103237 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103242 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103247 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103251 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103261 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103267 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103272 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103277 */   // GIR_Coverage, 4117,
     /* 103277 */   GIR_EraseRootFromParent_Done,
     /* 103278 */ // Label 1910: @103278
     /* 103278 */ GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(103370), // Rule ID 4118 //
     /* 103283 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103286 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103290 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103301 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103305 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 103312 */   // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 103312 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103315 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 103319 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103324 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103329 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103334 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103339 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103343 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103353 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103359 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103364 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103369 */   // GIR_Coverage, 4118,
     /* 103369 */   GIR_EraseRootFromParent_Done,
     /* 103370 */ // Label 1911: @103370
     /* 103370 */ GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(103462), // Rule ID 4119 //
     /* 103375 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103378 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103382 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103393 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103397 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 103404 */   // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 103404 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103407 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 103411 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103416 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103421 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103426 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103431 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103435 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103445 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103451 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103456 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103461 */   // GIR_Coverage, 4119,
     /* 103461 */   GIR_EraseRootFromParent_Done,
     /* 103462 */ // Label 1912: @103462
     /* 103462 */ GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(103510), // Rule ID 259 //
     /* 103467 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103470 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103478 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103482 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 103489 */   // (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 103489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXui),
     /* 103492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103494 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103499 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103504 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103508 */   GIR_RootConstrainSelectedInstOperands,
     /* 103509 */   // GIR_Coverage, 259,
     /* 103509 */   GIR_EraseRootFromParent_Done,
     /* 103510 */ // Label 1913: @103510
     /* 103510 */ GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(103561), // Rule ID 264 //
     /* 103515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 103518 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103521 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 103529 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103533 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 103540 */   // (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 103540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 103543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103545 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103550 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103555 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103559 */   GIR_RootConstrainSelectedInstOperands,
     /* 103560 */   // GIR_Coverage, 264,
     /* 103560 */   GIR_EraseRootFromParent_Done,
     /* 103561 */ // Label 1914: @103561
     /* 103561 */ GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(103624), // Rule ID 7064 //
     /* 103566 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 103569 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103573 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 103580 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 103583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103587 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103591 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 103598 */   // (atomic_load:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15885>>  =>  (LDRXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 103598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroW),
     /* 103601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103603 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103608 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103613 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103618 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103622 */   GIR_RootConstrainSelectedInstOperands,
     /* 103623 */   // GIR_Coverage, 7064,
     /* 103623 */   GIR_EraseRootFromParent_Done,
     /* 103624 */ // Label 1915: @103624
     /* 103624 */ GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(103687), // Rule ID 7065 //
     /* 103629 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 103632 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103636 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 103643 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 103646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103650 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103654 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 103661 */   // (atomic_load:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15885>>  =>  (LDRXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 103661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroX),
     /* 103664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103666 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103671 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103676 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103681 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103685 */   GIR_RootConstrainSelectedInstOperands,
     /* 103686 */   // GIR_Coverage, 7065,
     /* 103686 */   GIR_EraseRootFromParent_Done,
     /* 103687 */ // Label 1916: @103687
     /* 103687 */ GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(103735), // Rule ID 280 //
     /* 103692 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103695 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103703 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103707 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 103714 */   // (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 103714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURXi),
     /* 103717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103719 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103724 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103729 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103733 */   GIR_RootConstrainSelectedInstOperands,
     /* 103734 */   // GIR_Coverage, 280,
     /* 103734 */   GIR_EraseRootFromParent_Done,
     /* 103735 */ // Label 1917: @103735
     /* 103735 */ GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(103786), // Rule ID 285 //
     /* 103740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 103743 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103746 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 103754 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103758 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 103765 */   // (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 103765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 103768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103770 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103775 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103780 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103784 */   GIR_RootConstrainSelectedInstOperands,
     /* 103785 */   // GIR_Coverage, 285,
     /* 103785 */   GIR_EraseRootFromParent_Done,
     /* 103786 */ // Label 1918: @103786
     /* 103786 */ GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(103834), // Rule ID 4133 //
     /* 103791 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103794 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 103802 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103806 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 103813 */   // (ld:{ *:[v1f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 103813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 103816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103818 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103823 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103828 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103832 */   GIR_RootConstrainSelectedInstOperands,
     /* 103833 */   // GIR_Coverage, 4133,
     /* 103833 */   GIR_EraseRootFromParent_Done,
     /* 103834 */ // Label 1919: @103834
     /* 103834 */ GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(103882), // Rule ID 4134 //
     /* 103839 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103842 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 103850 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103854 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 103861 */   // (ld:{ *:[v1i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 103861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 103864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103866 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103871 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103876 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103880 */   GIR_RootConstrainSelectedInstOperands,
     /* 103881 */   // GIR_Coverage, 4134,
     /* 103881 */   GIR_EraseRootFromParent_Done,
     /* 103882 */ // Label 1920: @103882
     /* 103882 */ GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(103969), // Rule ID 4150 //
     /* 103887 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103890 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103894 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 103901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103905 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103909 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 103916 */   // (ld:{ *:[i64] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 103916 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103919 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /* 103923 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103928 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103933 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103938 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103942 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103952 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103958 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103963 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103968 */   // GIR_Coverage, 4150,
     /* 103968 */   GIR_EraseRootFromParent_Done,
     /* 103969 */ // Label 1921: @103969
     /* 103969 */ GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(104056), // Rule ID 4151 //
     /* 103974 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103977 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103981 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 103988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103992 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103996 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 104003 */   // (ld:{ *:[i64] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 104003 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104006 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 104010 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104015 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104020 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104025 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104029 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104039 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104045 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104050 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104055 */   // GIR_Coverage, 4151,
     /* 104055 */   GIR_EraseRootFromParent_Done,
     /* 104056 */ // Label 1922: @104056
     /* 104056 */ GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(104143), // Rule ID 4152 //
     /* 104061 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104064 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104068 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104079 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104083 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 104090 */   // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 104090 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104093 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 104097 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104102 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104107 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104112 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104116 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104126 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104132 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104137 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104142 */   // GIR_Coverage, 4152,
     /* 104142 */   GIR_EraseRootFromParent_Done,
     /* 104143 */ // Label 1923: @104143
     /* 104143 */ GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(104230), // Rule ID 4153 //
     /* 104148 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104151 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104155 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104166 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104170 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 104177 */   // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 104177 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104180 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 104184 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104189 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104194 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104199 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104203 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104213 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104219 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104224 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104229 */   // GIR_Coverage, 4153,
     /* 104229 */   GIR_EraseRootFromParent_Done,
     /* 104230 */ // Label 1924: @104230
     /* 104230 */ GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(104278), // Rule ID 4161 //
     /* 104235 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104238 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 104246 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104250 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 104257 */   // (ld:{ *:[v1f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 104257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 104260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104262 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104267 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104272 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104276 */   GIR_RootConstrainSelectedInstOperands,
     /* 104277 */   // GIR_Coverage, 4161,
     /* 104277 */   GIR_EraseRootFromParent_Done,
     /* 104278 */ // Label 1925: @104278
     /* 104278 */ GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(104326), // Rule ID 4162 //
     /* 104283 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104286 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 104294 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104298 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 104305 */   // (ld:{ *:[v1i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 104305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 104308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104310 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104315 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104320 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104324 */   GIR_RootConstrainSelectedInstOperands,
     /* 104325 */   // GIR_Coverage, 4162,
     /* 104325 */   GIR_EraseRootFromParent_Done,
     /* 104326 */ // Label 1926: @104326
     /* 104326 */ GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(104413), // Rule ID 4173 //
     /* 104331 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104334 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104338 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 104345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104349 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104353 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 104360 */   // (ld:{ *:[i64] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 104360 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104363 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 104367 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104372 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104377 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104382 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104396 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104402 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104407 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104412 */   // GIR_Coverage, 4173,
     /* 104412 */   GIR_EraseRootFromParent_Done,
     /* 104413 */ // Label 1927: @104413
     /* 104413 */ GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(104500), // Rule ID 4174 //
     /* 104418 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104421 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104425 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 104432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104436 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104440 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 104447 */   // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 104447 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104450 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 104454 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104459 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104464 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104469 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104473 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104483 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104489 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104494 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104499 */   // GIR_Coverage, 4174,
     /* 104499 */   GIR_EraseRootFromParent_Done,
     /* 104500 */ // Label 1928: @104500
     /* 104500 */ GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(104587), // Rule ID 4175 //
     /* 104505 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104508 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104512 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104523 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104527 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 104534 */   // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 104534 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104537 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 104541 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104551 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104556 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104560 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104570 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104576 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104581 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104586 */   // GIR_Coverage, 4175,
     /* 104586 */   GIR_EraseRootFromParent_Done,
     /* 104587 */ // Label 1929: @104587
     /* 104587 */ GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(104674), // Rule ID 4176 //
     /* 104592 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104595 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104599 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104610 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104614 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 104621 */   // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 104621 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104624 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 104628 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104638 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104643 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104647 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104657 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104663 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104668 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104673 */   // GIR_Coverage, 4176,
     /* 104673 */   GIR_EraseRootFromParent_Done,
     /* 104674 */ // Label 1930: @104674
     /* 104674 */ GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(104732), // Rule ID 7066 //
     /* 104679 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104682 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104686 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 104693 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 104696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104700 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104704 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 104711 */   // (atomic_load:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15885>>  =>  (LDRXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 104711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXui),
     /* 104714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104716 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104721 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104726 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104730 */   GIR_RootConstrainSelectedInstOperands,
     /* 104731 */   // GIR_Coverage, 7066,
     /* 104731 */   GIR_EraseRootFromParent_Done,
     /* 104732 */ // Label 1931: @104732
     /* 104732 */ GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(104790), // Rule ID 7067 //
     /* 104737 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104740 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104744 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 104751 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 104754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104758 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104762 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 104769 */   // (atomic_load:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15885>>  =>  (LDURXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 104769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURXi),
     /* 104772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104774 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104779 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104784 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104788 */   GIR_RootConstrainSelectedInstOperands,
     /* 104789 */   // GIR_Coverage, 7067,
     /* 104789 */   GIR_EraseRootFromParent_Done,
     /* 104790 */ // Label 1932: @104790
     /* 104790 */ GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(104851), // Rule ID 7421 //
     /* 104795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 104798 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104801 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104805 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 104812 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 104815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104819 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104823 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 104830 */   // (atomic_load:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15856>>  =>  (LDAPURXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 104830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURXi),
     /* 104833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104835 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104840 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104845 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104849 */   GIR_RootConstrainSelectedInstOperands,
     /* 104850 */   // GIR_Coverage, 7421,
     /* 104850 */   GIR_EraseRootFromParent_Done,
     /* 104851 */ // Label 1933: @104851
     /* 104851 */ GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(104882), // Rule ID 6409 //
     /* 104856 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104859 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 104867 */   // MIs[0] Rn
     /* 104867 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 104875 */   // (ld:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev1d:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 104875 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev1d),
     /* 104880 */   GIR_RootConstrainSelectedInstOperands,
     /* 104881 */   // GIR_Coverage, 6409,
     /* 104881 */   GIR_Done,
     /* 104882 */ // Label 1934: @104882
     /* 104882 */ GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(104926), // Rule ID 7031 //
     /* 104887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 104890 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104893 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104897 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 104904 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 104907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104911 */   // MIs[0] ptr
     /* 104911 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 104919 */   // (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15856>>  =>  (LDAPRX:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)
     /* 104919 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRX),
     /* 104924 */   GIR_RootConstrainSelectedInstOperands,
     /* 104925 */   // GIR_Coverage, 7031,
     /* 104925 */   GIR_Done,
     /* 104926 */ // Label 1935: @104926
     /* 104926 */ GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(104967), // Rule ID 7062 //
     /* 104931 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104934 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104938 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 104945 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 104948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104952 */   // MIs[0] ptr
     /* 104952 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 104960 */   // (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15882>>  =>  (LDARX:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)
     /* 104960 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARX),
     /* 104965 */   GIR_RootConstrainSelectedInstOperands,
     /* 104966 */   // GIR_Coverage, 7062,
     /* 104966 */   GIR_Done,
     /* 104967 */ // Label 1936: @104967
     /* 104967 */ GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(105008), // Rule ID 7063 //
     /* 104972 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104975 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104979 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 104986 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 104989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104993 */   // MIs[0] ptr
     /* 104993 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 105001 */   // (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15856>>  =>  (LDARX:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)
     /* 105001 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARX),
     /* 105006 */   GIR_RootConstrainSelectedInstOperands,
     /* 105007 */   // GIR_Coverage, 7063,
     /* 105007 */   GIR_Done,
     /* 105008 */ // Label 1937: @105008
     /* 105008 */ GIM_Reject,
     /* 105009 */ // Label 1826: @105009
     /* 105009 */ GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(105217),
     /* 105014 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105017 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 105025 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105029 */   GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(105070), // Rule ID 245 //
     /* 105034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 105037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 105044 */     // (ld:{ *:[f128] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 105044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 105047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105068 */     GIR_RootConstrainSelectedInstOperands,
     /* 105069 */     // GIR_Coverage, 245,
     /* 105069 */     GIR_EraseRootFromParent_Done,
     /* 105070 */   // Label 1939: @105070
     /* 105070 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(105111), // Rule ID 246 //
     /* 105075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 105078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 105085 */     // (ld:{ *:[f128] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 105085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 105088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105105 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105109 */     GIR_RootConstrainSelectedInstOperands,
     /* 105110 */     // GIR_Coverage, 246,
     /* 105110 */     GIR_EraseRootFromParent_Done,
     /* 105111 */   // Label 1940: @105111
     /* 105111 */   GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(105147), // Rule ID 265 //
     /* 105116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 105119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 105126 */     // (ld:{ *:[f128] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 105126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 105129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105145 */     GIR_RootConstrainSelectedInstOperands,
     /* 105146 */     // GIR_Coverage, 265,
     /* 105146 */     GIR_EraseRootFromParent_Done,
     /* 105147 */   // Label 1941: @105147
     /* 105147 */   GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(105183), // Rule ID 286 //
     /* 105152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 105155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 105162 */     // (ld:{ *:[f128] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 105162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 105165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105177 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105181 */     GIR_RootConstrainSelectedInstOperands,
     /* 105182 */     // GIR_Coverage, 286,
     /* 105182 */     GIR_EraseRootFromParent_Done,
     /* 105183 */   // Label 1942: @105183
     /* 105183 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(105216), // Rule ID 4142 //
     /* 105188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 105195 */     // (ld:{ *:[f128] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 105195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 105198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105214 */     GIR_RootConstrainSelectedInstOperands,
     /* 105215 */     // GIR_Coverage, 4142,
     /* 105215 */     GIR_EraseRootFromParent_Done,
     /* 105216 */   // Label 1943: @105216
     /* 105216 */   GIM_Reject,
     /* 105217 */ // Label 1938: @105217
     /* 105217 */ GIM_Reject,
     /* 105218 */ // Label 1827: @105218
     /* 105218 */ GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(105595),
     /* 105223 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105226 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 105234 */   GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(105279), // Rule ID 4076 //
     /* 105239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 105253 */     // (ld:{ *:[v2i32] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 105253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 105256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105277 */     GIR_RootConstrainSelectedInstOperands,
     /* 105278 */     // GIR_Coverage, 4076,
     /* 105278 */     GIR_EraseRootFromParent_Done,
     /* 105279 */   // Label 1945: @105279
     /* 105279 */   GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(105324), // Rule ID 4077 //
     /* 105284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 105298 */     // (ld:{ *:[v2i32] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 105298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 105301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105318 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105322 */     GIR_RootConstrainSelectedInstOperands,
     /* 105323 */     // GIR_Coverage, 4077,
     /* 105323 */     GIR_EraseRootFromParent_Done,
     /* 105324 */   // Label 1946: @105324
     /* 105324 */   GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(105369), // Rule ID 4078 //
     /* 105329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105332 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 105343 */     // (ld:{ *:[v2f32] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 105343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 105346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105363 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105367 */     GIR_RootConstrainSelectedInstOperands,
     /* 105368 */     // GIR_Coverage, 4078,
     /* 105368 */     GIR_EraseRootFromParent_Done,
     /* 105369 */   // Label 1947: @105369
     /* 105369 */   GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(105414), // Rule ID 4079 //
     /* 105374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 105388 */     // (ld:{ *:[v2f32] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 105388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 105391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105412 */     GIR_RootConstrainSelectedInstOperands,
     /* 105413 */     // GIR_Coverage, 4079,
     /* 105413 */     GIR_EraseRootFromParent_Done,
     /* 105414 */   // Label 1948: @105414
     /* 105414 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(105454), // Rule ID 4128 //
     /* 105419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 105433 */     // (ld:{ *:[v2f32] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 105433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 105436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105452 */     GIR_RootConstrainSelectedInstOperands,
     /* 105453 */     // GIR_Coverage, 4128,
     /* 105453 */     GIR_EraseRootFromParent_Done,
     /* 105454 */   // Label 1949: @105454
     /* 105454 */   GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(105494), // Rule ID 4131 //
     /* 105459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 105473 */     // (ld:{ *:[v2i32] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 105473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 105476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105488 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105492 */     GIR_RootConstrainSelectedInstOperands,
     /* 105493 */     // GIR_Coverage, 4131,
     /* 105493 */     GIR_EraseRootFromParent_Done,
     /* 105494 */   // Label 1950: @105494
     /* 105494 */   GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(105534), // Rule ID 4156 //
     /* 105499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 105513 */     // (ld:{ *:[v2f32] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 105516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105528 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105532 */     GIR_RootConstrainSelectedInstOperands,
     /* 105533 */     // GIR_Coverage, 4156,
     /* 105533 */     GIR_EraseRootFromParent_Done,
     /* 105534 */   // Label 1951: @105534
     /* 105534 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(105574), // Rule ID 4157 //
     /* 105539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 105553 */     // (ld:{ *:[v2i32] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 105556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105568 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105572 */     GIR_RootConstrainSelectedInstOperands,
     /* 105573 */     // GIR_Coverage, 4157,
     /* 105573 */     GIR_EraseRootFromParent_Done,
     /* 105574 */   // Label 1952: @105574
     /* 105574 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(105594), // Rule ID 6408 //
     /* 105579 */     // MIs[0] Rn
     /* 105579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 105587 */     // (ld:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev2s:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 105587 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev2s),
     /* 105592 */     GIR_RootConstrainSelectedInstOperands,
     /* 105593 */     // GIR_Coverage, 6408,
     /* 105593 */     GIR_Done,
     /* 105594 */   // Label 1953: @105594
     /* 105594 */   GIM_Reject,
     /* 105595 */ // Label 1944: @105595
     /* 105595 */ GIM_Reject,
     /* 105596 */ // Label 1828: @105596
     /* 105596 */ GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(105973),
     /* 105601 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105604 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 105612 */   GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(105657), // Rule ID 4090 //
     /* 105617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 105631 */     // (ld:{ *:[v2i64] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 105631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 105634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105655 */     GIR_RootConstrainSelectedInstOperands,
     /* 105656 */     // GIR_Coverage, 4090,
     /* 105656 */     GIR_EraseRootFromParent_Done,
     /* 105657 */   // Label 1955: @105657
     /* 105657 */   GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(105702), // Rule ID 4091 //
     /* 105662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 105676 */     // (ld:{ *:[v2i64] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 105676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 105679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105700 */     GIR_RootConstrainSelectedInstOperands,
     /* 105701 */     // GIR_Coverage, 4091,
     /* 105701 */     GIR_EraseRootFromParent_Done,
     /* 105702 */   // Label 1956: @105702
     /* 105702 */   GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(105747), // Rule ID 4092 //
     /* 105707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 105721 */     // (ld:{ *:[v2f64] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 105721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 105724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105745 */     GIR_RootConstrainSelectedInstOperands,
     /* 105746 */     // GIR_Coverage, 4092,
     /* 105746 */     GIR_EraseRootFromParent_Done,
     /* 105747 */   // Label 1957: @105747
     /* 105747 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(105792), // Rule ID 4093 //
     /* 105752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105755 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 105766 */     // (ld:{ *:[v2f64] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 105766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 105769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105790 */     GIR_RootConstrainSelectedInstOperands,
     /* 105791 */     // GIR_Coverage, 4093,
     /* 105791 */     GIR_EraseRootFromParent_Done,
     /* 105792 */   // Label 1958: @105792
     /* 105792 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(105832), // Rule ID 4136 //
     /* 105797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 105811 */     // (ld:{ *:[v2f64] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 105811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 105814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105830 */     GIR_RootConstrainSelectedInstOperands,
     /* 105831 */     // GIR_Coverage, 4136,
     /* 105831 */     GIR_EraseRootFromParent_Done,
     /* 105832 */   // Label 1959: @105832
     /* 105832 */   GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(105872), // Rule ID 4140 //
     /* 105837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 105851 */     // (ld:{ *:[v2i64] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 105851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 105854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105870 */     GIR_RootConstrainSelectedInstOperands,
     /* 105871 */     // GIR_Coverage, 4140,
     /* 105871 */     GIR_EraseRootFromParent_Done,
     /* 105872 */   // Label 1960: @105872
     /* 105872 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(105912), // Rule ID 4163 //
     /* 105877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 105891 */     // (ld:{ *:[v2f64] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 105894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105910 */     GIR_RootConstrainSelectedInstOperands,
     /* 105911 */     // GIR_Coverage, 4163,
     /* 105911 */     GIR_EraseRootFromParent_Done,
     /* 105912 */   // Label 1961: @105912
     /* 105912 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(105952), // Rule ID 4164 //
     /* 105917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 105931 */     // (ld:{ *:[v2i64] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 105934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105950 */     GIR_RootConstrainSelectedInstOperands,
     /* 105951 */     // GIR_Coverage, 4164,
     /* 105951 */     GIR_EraseRootFromParent_Done,
     /* 105952 */   // Label 1962: @105952
     /* 105952 */   GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(105972), // Rule ID 6405 //
     /* 105957 */     // MIs[0] Rn
     /* 105957 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 105965 */     // (ld:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 105965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev2d),
     /* 105970 */     GIR_RootConstrainSelectedInstOperands,
     /* 105971 */     // GIR_Coverage, 6405,
     /* 105971 */     GIR_Done,
     /* 105972 */   // Label 1963: @105972
     /* 105972 */   GIM_Reject,
     /* 105973 */ // Label 1954: @105973
     /* 105973 */ GIM_Reject,
     /* 105974 */ // Label 1829: @105974
     /* 105974 */ GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(106351),
     /* 105979 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105982 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 105990 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(106035), // Rule ID 4082 //
     /* 105995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 106009 */     // (ld:{ *:[v4i16] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 106009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 106012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106033 */     GIR_RootConstrainSelectedInstOperands,
     /* 106034 */     // GIR_Coverage, 4082,
     /* 106034 */     GIR_EraseRootFromParent_Done,
     /* 106035 */   // Label 1965: @106035
     /* 106035 */   GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(106080), // Rule ID 4083 //
     /* 106040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106043 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 106054 */     // (ld:{ *:[v4i16] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 106054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 106057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106074 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106078 */     GIR_RootConstrainSelectedInstOperands,
     /* 106079 */     // GIR_Coverage, 4083,
     /* 106079 */     GIR_EraseRootFromParent_Done,
     /* 106080 */   // Label 1966: @106080
     /* 106080 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(106125), // Rule ID 4084 //
     /* 106085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 106099 */     // (ld:{ *:[v4f16] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 106099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 106102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106119 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106123 */     GIR_RootConstrainSelectedInstOperands,
     /* 106124 */     // GIR_Coverage, 4084,
     /* 106124 */     GIR_EraseRootFromParent_Done,
     /* 106125 */   // Label 1967: @106125
     /* 106125 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(106170), // Rule ID 4085 //
     /* 106130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 106144 */     // (ld:{ *:[v4f16] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 106144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 106147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106168 */     GIR_RootConstrainSelectedInstOperands,
     /* 106169 */     // GIR_Coverage, 4085,
     /* 106169 */     GIR_EraseRootFromParent_Done,
     /* 106170 */   // Label 1968: @106170
     /* 106170 */   GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(106210), // Rule ID 4130 //
     /* 106175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 106189 */     // (ld:{ *:[v4i16] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 106189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 106192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106208 */     GIR_RootConstrainSelectedInstOperands,
     /* 106209 */     // GIR_Coverage, 4130,
     /* 106209 */     GIR_EraseRootFromParent_Done,
     /* 106210 */   // Label 1969: @106210
     /* 106210 */   GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(106250), // Rule ID 4132 //
     /* 106215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 106229 */     // (ld:{ *:[v4f16] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 106229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 106232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106248 */     GIR_RootConstrainSelectedInstOperands,
     /* 106249 */     // GIR_Coverage, 4132,
     /* 106249 */     GIR_EraseRootFromParent_Done,
     /* 106250 */   // Label 1970: @106250
     /* 106250 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(106290), // Rule ID 4158 //
     /* 106255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106258 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 106269 */     // (ld:{ *:[v4i16] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 106272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106288 */     GIR_RootConstrainSelectedInstOperands,
     /* 106289 */     // GIR_Coverage, 4158,
     /* 106289 */     GIR_EraseRootFromParent_Done,
     /* 106290 */   // Label 1971: @106290
     /* 106290 */   GIM_Try, /*On fail goto*//*Label 1972*/ GIMT_Encode4(106330), // Rule ID 4160 //
     /* 106295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 106309 */     // (ld:{ *:[v4f16] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 106312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106324 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106328 */     GIR_RootConstrainSelectedInstOperands,
     /* 106329 */     // GIR_Coverage, 4160,
     /* 106329 */     GIR_EraseRootFromParent_Done,
     /* 106330 */   // Label 1972: @106330
     /* 106330 */   GIM_Try, /*On fail goto*//*Label 1973*/ GIMT_Encode4(106350), // Rule ID 6407 //
     /* 106335 */     // MIs[0] Rn
     /* 106335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 106343 */     // (ld:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev4h:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 106343 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev4h),
     /* 106348 */     GIR_RootConstrainSelectedInstOperands,
     /* 106349 */     // GIR_Coverage, 6407,
     /* 106349 */     GIR_Done,
     /* 106350 */   // Label 1973: @106350
     /* 106350 */   GIM_Reject,
     /* 106351 */ // Label 1964: @106351
     /* 106351 */ GIM_Reject,
     /* 106352 */ // Label 1830: @106352
     /* 106352 */ GIM_Try, /*On fail goto*//*Label 1974*/ GIMT_Encode4(106729),
     /* 106357 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106360 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 106368 */   GIM_Try, /*On fail goto*//*Label 1975*/ GIMT_Encode4(106413), // Rule ID 4094 //
     /* 106373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 106387 */     // (ld:{ *:[v4i32] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 106387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 106390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106407 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106411 */     GIR_RootConstrainSelectedInstOperands,
     /* 106412 */     // GIR_Coverage, 4094,
     /* 106412 */     GIR_EraseRootFromParent_Done,
     /* 106413 */   // Label 1975: @106413
     /* 106413 */   GIM_Try, /*On fail goto*//*Label 1976*/ GIMT_Encode4(106458), // Rule ID 4095 //
     /* 106418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 106432 */     // (ld:{ *:[v4i32] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 106432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 106435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106456 */     GIR_RootConstrainSelectedInstOperands,
     /* 106457 */     // GIR_Coverage, 4095,
     /* 106457 */     GIR_EraseRootFromParent_Done,
     /* 106458 */   // Label 1976: @106458
     /* 106458 */   GIM_Try, /*On fail goto*//*Label 1977*/ GIMT_Encode4(106503), // Rule ID 4096 //
     /* 106463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 106477 */     // (ld:{ *:[v4f32] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 106477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 106480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106501 */     GIR_RootConstrainSelectedInstOperands,
     /* 106502 */     // GIR_Coverage, 4096,
     /* 106502 */     GIR_EraseRootFromParent_Done,
     /* 106503 */   // Label 1977: @106503
     /* 106503 */   GIM_Try, /*On fail goto*//*Label 1978*/ GIMT_Encode4(106548), // Rule ID 4097 //
     /* 106508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 106522 */     // (ld:{ *:[v4f32] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 106522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 106525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106546 */     GIR_RootConstrainSelectedInstOperands,
     /* 106547 */     // GIR_Coverage, 4097,
     /* 106547 */     GIR_EraseRootFromParent_Done,
     /* 106548 */   // Label 1978: @106548
     /* 106548 */   GIM_Try, /*On fail goto*//*Label 1979*/ GIMT_Encode4(106588), // Rule ID 4135 //
     /* 106553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 106567 */     // (ld:{ *:[v4f32] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 106567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 106570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106582 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106586 */     GIR_RootConstrainSelectedInstOperands,
     /* 106587 */     // GIR_Coverage, 4135,
     /* 106587 */     GIR_EraseRootFromParent_Done,
     /* 106588 */   // Label 1979: @106588
     /* 106588 */   GIM_Try, /*On fail goto*//*Label 1980*/ GIMT_Encode4(106628), // Rule ID 4139 //
     /* 106593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 106607 */     // (ld:{ *:[v4i32] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 106607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 106610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106626 */     GIR_RootConstrainSelectedInstOperands,
     /* 106627 */     // GIR_Coverage, 4139,
     /* 106627 */     GIR_EraseRootFromParent_Done,
     /* 106628 */   // Label 1980: @106628
     /* 106628 */   GIM_Try, /*On fail goto*//*Label 1981*/ GIMT_Encode4(106668), // Rule ID 4165 //
     /* 106633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 106647 */     // (ld:{ *:[v4f32] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 106650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106662 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106666 */     GIR_RootConstrainSelectedInstOperands,
     /* 106667 */     // GIR_Coverage, 4165,
     /* 106667 */     GIR_EraseRootFromParent_Done,
     /* 106668 */   // Label 1981: @106668
     /* 106668 */   GIM_Try, /*On fail goto*//*Label 1982*/ GIMT_Encode4(106708), // Rule ID 4166 //
     /* 106673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106676 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 106687 */     // (ld:{ *:[v4i32] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 106690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106702 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106706 */     GIR_RootConstrainSelectedInstOperands,
     /* 106707 */     // GIR_Coverage, 4166,
     /* 106707 */     GIR_EraseRootFromParent_Done,
     /* 106708 */   // Label 1982: @106708
     /* 106708 */   GIM_Try, /*On fail goto*//*Label 1983*/ GIMT_Encode4(106728), // Rule ID 6404 //
     /* 106713 */     // MIs[0] Rn
     /* 106713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 106721 */     // (ld:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 106721 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev4s),
     /* 106726 */     GIR_RootConstrainSelectedInstOperands,
     /* 106727 */     // GIR_Coverage, 6404,
     /* 106727 */     GIR_Done,
     /* 106728 */   // Label 1983: @106728
     /* 106728 */   GIM_Reject,
     /* 106729 */ // Label 1974: @106729
     /* 106729 */ GIM_Reject,
     /* 106730 */ // Label 1831: @106730
     /* 106730 */ GIM_Try, /*On fail goto*//*Label 1984*/ GIMT_Encode4(106937),
     /* 106735 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106738 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 106746 */   GIM_Try, /*On fail goto*//*Label 1985*/ GIMT_Encode4(106791), // Rule ID 4080 //
     /* 106751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 106765 */     // (ld:{ *:[v8i8] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 106765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 106768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106785 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106789 */     GIR_RootConstrainSelectedInstOperands,
     /* 106790 */     // GIR_Coverage, 4080,
     /* 106790 */     GIR_EraseRootFromParent_Done,
     /* 106791 */   // Label 1985: @106791
     /* 106791 */   GIM_Try, /*On fail goto*//*Label 1986*/ GIMT_Encode4(106836), // Rule ID 4081 //
     /* 106796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106799 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 106810 */     // (ld:{ *:[v8i8] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 106810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 106813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106834 */     GIR_RootConstrainSelectedInstOperands,
     /* 106835 */     // GIR_Coverage, 4081,
     /* 106835 */     GIR_EraseRootFromParent_Done,
     /* 106836 */   // Label 1986: @106836
     /* 106836 */   GIM_Try, /*On fail goto*//*Label 1987*/ GIMT_Encode4(106876), // Rule ID 4129 //
     /* 106841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 106855 */     // (ld:{ *:[v8i8] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 106855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 106858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106874 */     GIR_RootConstrainSelectedInstOperands,
     /* 106875 */     // GIR_Coverage, 4129,
     /* 106875 */     GIR_EraseRootFromParent_Done,
     /* 106876 */   // Label 1987: @106876
     /* 106876 */   GIM_Try, /*On fail goto*//*Label 1988*/ GIMT_Encode4(106916), // Rule ID 4159 //
     /* 106881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 106895 */     // (ld:{ *:[v8i8] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 106898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106910 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106914 */     GIR_RootConstrainSelectedInstOperands,
     /* 106915 */     // GIR_Coverage, 4159,
     /* 106915 */     GIR_EraseRootFromParent_Done,
     /* 106916 */   // Label 1988: @106916
     /* 106916 */   GIM_Try, /*On fail goto*//*Label 1989*/ GIMT_Encode4(106936), // Rule ID 6406 //
     /* 106921 */     // MIs[0] Rn
     /* 106921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 106929 */     // (ld:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev8b:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 106929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev8b),
     /* 106934 */     GIR_RootConstrainSelectedInstOperands,
     /* 106935 */     // GIR_Coverage, 6406,
     /* 106935 */     GIR_Done,
     /* 106936 */   // Label 1989: @106936
     /* 106936 */   GIM_Reject,
     /* 106937 */ // Label 1984: @106937
     /* 106937 */ GIM_Reject,
     /* 106938 */ // Label 1832: @106938
     /* 106938 */ GIM_Try, /*On fail goto*//*Label 1990*/ GIMT_Encode4(107315),
     /* 106943 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106946 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 106954 */   GIM_Try, /*On fail goto*//*Label 1991*/ GIMT_Encode4(106999), // Rule ID 4098 //
     /* 106959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 106973 */     // (ld:{ *:[v8i16] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 106973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 106976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106997 */     GIR_RootConstrainSelectedInstOperands,
     /* 106998 */     // GIR_Coverage, 4098,
     /* 106998 */     GIR_EraseRootFromParent_Done,
     /* 106999 */   // Label 1991: @106999
     /* 106999 */   GIM_Try, /*On fail goto*//*Label 1992*/ GIMT_Encode4(107044), // Rule ID 4099 //
     /* 107004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107007 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 107018 */     // (ld:{ *:[v8i16] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 107018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 107021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107038 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107042 */     GIR_RootConstrainSelectedInstOperands,
     /* 107043 */     // GIR_Coverage, 4099,
     /* 107043 */     GIR_EraseRootFromParent_Done,
     /* 107044 */   // Label 1992: @107044
     /* 107044 */   GIM_Try, /*On fail goto*//*Label 1993*/ GIMT_Encode4(107089), // Rule ID 4100 //
     /* 107049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 107063 */     // (ld:{ *:[v8f16] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 107063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 107066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107087 */     GIR_RootConstrainSelectedInstOperands,
     /* 107088 */     // GIR_Coverage, 4100,
     /* 107088 */     GIR_EraseRootFromParent_Done,
     /* 107089 */   // Label 1993: @107089
     /* 107089 */   GIM_Try, /*On fail goto*//*Label 1994*/ GIMT_Encode4(107134), // Rule ID 4101 //
     /* 107094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107097 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 107108 */     // (ld:{ *:[v8f16] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 107108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 107111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107128 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107132 */     GIR_RootConstrainSelectedInstOperands,
     /* 107133 */     // GIR_Coverage, 4101,
     /* 107133 */     GIR_EraseRootFromParent_Done,
     /* 107134 */   // Label 1994: @107134
     /* 107134 */   GIM_Try, /*On fail goto*//*Label 1995*/ GIMT_Encode4(107174), // Rule ID 4138 //
     /* 107139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 107153 */     // (ld:{ *:[v8i16] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 107153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 107156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107172 */     GIR_RootConstrainSelectedInstOperands,
     /* 107173 */     // GIR_Coverage, 4138,
     /* 107173 */     GIR_EraseRootFromParent_Done,
     /* 107174 */   // Label 1995: @107174
     /* 107174 */   GIM_Try, /*On fail goto*//*Label 1996*/ GIMT_Encode4(107214), // Rule ID 4141 //
     /* 107179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 107193 */     // (ld:{ *:[v8f16] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 107193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 107196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107212 */     GIR_RootConstrainSelectedInstOperands,
     /* 107213 */     // GIR_Coverage, 4141,
     /* 107213 */     GIR_EraseRootFromParent_Done,
     /* 107214 */   // Label 1996: @107214
     /* 107214 */   GIM_Try, /*On fail goto*//*Label 1997*/ GIMT_Encode4(107254), // Rule ID 4167 //
     /* 107219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 107233 */     // (ld:{ *:[v8i16] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 107233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 107236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107252 */     GIR_RootConstrainSelectedInstOperands,
     /* 107253 */     // GIR_Coverage, 4167,
     /* 107253 */     GIR_EraseRootFromParent_Done,
     /* 107254 */   // Label 1997: @107254
     /* 107254 */   GIM_Try, /*On fail goto*//*Label 1998*/ GIMT_Encode4(107294), // Rule ID 4169 //
     /* 107259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 107273 */     // (ld:{ *:[v8f16] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 107273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 107276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107292 */     GIR_RootConstrainSelectedInstOperands,
     /* 107293 */     // GIR_Coverage, 4169,
     /* 107293 */     GIR_EraseRootFromParent_Done,
     /* 107294 */   // Label 1998: @107294
     /* 107294 */   GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(107314), // Rule ID 6403 //
     /* 107299 */     // MIs[0] Rn
     /* 107299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107307 */     // (ld:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 107307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev8h),
     /* 107312 */     GIR_RootConstrainSelectedInstOperands,
     /* 107313 */     // GIR_Coverage, 6403,
     /* 107313 */     GIR_Done,
     /* 107314 */   // Label 1999: @107314
     /* 107314 */   GIM_Reject,
     /* 107315 */ // Label 1990: @107315
     /* 107315 */ GIM_Reject,
     /* 107316 */ // Label 1833: @107316
     /* 107316 */ GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(107523),
     /* 107321 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107324 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 107332 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(107377), // Rule ID 4102 //
     /* 107337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 107351 */     // (ld:{ *:[v16i8] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 107351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 107354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107371 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107375 */     GIR_RootConstrainSelectedInstOperands,
     /* 107376 */     // GIR_Coverage, 4102,
     /* 107376 */     GIR_EraseRootFromParent_Done,
     /* 107377 */   // Label 2001: @107377
     /* 107377 */   GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(107422), // Rule ID 4103 //
     /* 107382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 107396 */     // (ld:{ *:[v16i8] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 107396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 107399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107420 */     GIR_RootConstrainSelectedInstOperands,
     /* 107421 */     // GIR_Coverage, 4103,
     /* 107421 */     GIR_EraseRootFromParent_Done,
     /* 107422 */   // Label 2002: @107422
     /* 107422 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(107462), // Rule ID 4137 //
     /* 107427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 107441 */     // (ld:{ *:[v16i8] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 107441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 107444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107456 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107460 */     GIR_RootConstrainSelectedInstOperands,
     /* 107461 */     // GIR_Coverage, 4137,
     /* 107461 */     GIR_EraseRootFromParent_Done,
     /* 107462 */   // Label 2003: @107462
     /* 107462 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(107502), // Rule ID 4168 //
     /* 107467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 107481 */     // (ld:{ *:[v16i8] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 107481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 107484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107500 */     GIR_RootConstrainSelectedInstOperands,
     /* 107501 */     // GIR_Coverage, 4168,
     /* 107501 */     GIR_EraseRootFromParent_Done,
     /* 107502 */   // Label 2004: @107502
     /* 107502 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(107522), // Rule ID 6402 //
     /* 107507 */     // MIs[0] Rn
     /* 107507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107515 */     // (ld:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 107515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev16b),
     /* 107520 */     GIR_RootConstrainSelectedInstOperands,
     /* 107521 */     // GIR_Coverage, 6402,
     /* 107521 */     GIR_Done,
     /* 107522 */   // Label 2005: @107522
     /* 107522 */   GIM_Reject,
     /* 107523 */ // Label 2000: @107523
     /* 107523 */ GIM_Reject,
     /* 107524 */ // Label 1834: @107524
     /* 107524 */ GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(107587), // Rule ID 10946 //
     /* 107529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107532 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107535 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107543 */   // MIs[0] base
     /* 107543 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107551 */   // (ld:{ *:[nxv2f16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_D_IMM:{ *:[nxv2f16] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107551 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107554 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 107558 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107563 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107566 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_D_IMM),
     /* 107571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107573 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107576 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107581 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107585 */   GIR_RootConstrainSelectedInstOperands,
     /* 107586 */   // GIR_Coverage, 10946,
     /* 107586 */   GIR_EraseRootFromParent_Done,
     /* 107587 */ // Label 2006: @107587
     /* 107587 */ GIM_Reject,
     /* 107588 */ // Label 1835: @107588
     /* 107588 */ GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(107651), // Rule ID 10952 //
     /* 107593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107596 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107599 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107607 */   // MIs[0] base
     /* 107607 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107615 */   // (ld:{ *:[nxv2f32] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1W_D_IMM:{ *:[nxv2f32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107615 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107618 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 107622 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107627 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107630 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_D_IMM),
     /* 107635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107637 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107640 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107645 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107649 */   GIR_RootConstrainSelectedInstOperands,
     /* 107650 */   // GIR_Coverage, 10952,
     /* 107650 */   GIR_EraseRootFromParent_Done,
     /* 107651 */ // Label 2007: @107651
     /* 107651 */ GIM_Reject,
     /* 107652 */ // Label 1836: @107652
     /* 107652 */ GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(107825),
     /* 107657 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107660 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107668 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107672 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(107720), // Rule ID 10937 //
     /* 107677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107684 */     // (ld:{ *:[nxv2i64] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1D_IMM:{ *:[nxv2i64] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 107691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107696 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_IMM),
     /* 107704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107709 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107718 */     GIR_RootConstrainSelectedInstOperands,
     /* 107719 */     // GIR_Coverage, 10937,
     /* 107719 */     GIR_EraseRootFromParent_Done,
     /* 107720 */   // Label 2009: @107720
     /* 107720 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(107768), // Rule ID 10955 //
     /* 107725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107732 */     // (ld:{ *:[nxv2f64] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1D_IMM:{ *:[nxv2f64] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 107739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107744 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_IMM),
     /* 107752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107757 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107766 */     GIR_RootConstrainSelectedInstOperands,
     /* 107767 */     // GIR_Coverage, 10955,
     /* 107767 */     GIR_EraseRootFromParent_Done,
     /* 107768 */   // Label 2010: @107768
     /* 107768 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(107796), // Rule ID 10982 //
     /* 107773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 107776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107780 */     // (ld:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 107783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107785 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107794 */     GIR_RootConstrainSelectedInstOperands,
     /* 107795 */     // GIR_Coverage, 10982,
     /* 107795 */     GIR_EraseRootFromParent_Done,
     /* 107796 */   // Label 2011: @107796
     /* 107796 */   GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(107824), // Rule ID 10994 //
     /* 107801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 107804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107808 */     // (ld:{ *:[nxv2f64] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv2f64] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 107811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107813 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107822 */     GIR_RootConstrainSelectedInstOperands,
     /* 107823 */     // GIR_Coverage, 10994,
     /* 107823 */     GIR_EraseRootFromParent_Done,
     /* 107824 */   // Label 2012: @107824
     /* 107824 */   GIM_Reject,
     /* 107825 */ // Label 2008: @107825
     /* 107825 */ GIM_Reject,
     /* 107826 */ // Label 1837: @107826
     /* 107826 */ GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(107889), // Rule ID 10943 //
     /* 107831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107834 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107837 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107845 */   // MIs[0] base
     /* 107845 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107853 */   // (ld:{ *:[nxv4f16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_S_IMM:{ *:[nxv4f16] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107853 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107856 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 107860 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107865 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107868 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_S_IMM),
     /* 107873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107875 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107878 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107883 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107887 */   GIR_RootConstrainSelectedInstOperands,
     /* 107888 */   // GIR_Coverage, 10943,
     /* 107888 */   GIR_EraseRootFromParent_Done,
     /* 107889 */ // Label 2013: @107889
     /* 107889 */ GIM_Reject,
     /* 107890 */ // Label 1838: @107890
     /* 107890 */ GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(108063),
     /* 107895 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107898 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107906 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107910 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(107958), // Rule ID 10925 //
     /* 107915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107922 */     // (ld:{ *:[nxv4i32] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1W_IMM:{ *:[nxv4i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 107929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107934 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_IMM),
     /* 107942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107947 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107956 */     GIR_RootConstrainSelectedInstOperands,
     /* 107957 */     // GIR_Coverage, 10925,
     /* 107957 */     GIR_EraseRootFromParent_Done,
     /* 107958 */   // Label 2015: @107958
     /* 107958 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(108006), // Rule ID 10949 //
     /* 107963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107970 */     // (ld:{ *:[nxv4f32] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1W_IMM:{ *:[nxv4f32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 107977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107982 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_IMM),
     /* 107990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107995 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108000 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108004 */     GIR_RootConstrainSelectedInstOperands,
     /* 108005 */     // GIR_Coverage, 10949,
     /* 108005 */     GIR_EraseRootFromParent_Done,
     /* 108006 */   // Label 2016: @108006
     /* 108006 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(108034), // Rule ID 10978 //
     /* 108011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 108014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 108018 */     // (ld:{ *:[nxv4i32] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv4i32] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 108021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108023 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108032 */     GIR_RootConstrainSelectedInstOperands,
     /* 108033 */     // GIR_Coverage, 10978,
     /* 108033 */     GIR_EraseRootFromParent_Done,
     /* 108034 */   // Label 2017: @108034
     /* 108034 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(108062), // Rule ID 10990 //
     /* 108039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 108042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 108046 */     // (ld:{ *:[nxv4f32] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv4f32] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 108049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108051 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108060 */     GIR_RootConstrainSelectedInstOperands,
     /* 108061 */     // GIR_Coverage, 10990,
     /* 108061 */     GIR_EraseRootFromParent_Done,
     /* 108062 */   // Label 2018: @108062
     /* 108062 */   GIM_Reject,
     /* 108063 */ // Label 2014: @108063
     /* 108063 */ GIM_Reject,
     /* 108064 */ // Label 1839: @108064
     /* 108064 */ GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(108237),
     /* 108069 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108072 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 108080 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 108084 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(108132), // Rule ID 10904 //
     /* 108089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 108092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108096 */     // (ld:{ *:[nxv8i16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_IMM:{ *:[nxv8i16] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 108099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 108103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108108 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 108111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 108113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_IMM),
     /* 108116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108121 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108130 */     GIR_RootConstrainSelectedInstOperands,
     /* 108131 */     // GIR_Coverage, 10904,
     /* 108131 */     GIR_EraseRootFromParent_Done,
     /* 108132 */   // Label 2020: @108132
     /* 108132 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(108180), // Rule ID 10940 //
     /* 108137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 108140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108144 */     // (ld:{ *:[nxv8f16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_IMM:{ *:[nxv8f16] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 108147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 108151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108156 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 108159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 108161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_IMM),
     /* 108164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108169 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108174 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108178 */     GIR_RootConstrainSelectedInstOperands,
     /* 108179 */     // GIR_Coverage, 10940,
     /* 108179 */     GIR_EraseRootFromParent_Done,
     /* 108180 */   // Label 2021: @108180
     /* 108180 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(108208), // Rule ID 10974 //
     /* 108185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 108188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 108192 */     // (ld:{ *:[nxv8i16] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv8i16] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 108195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108197 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108202 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108206 */     GIR_RootConstrainSelectedInstOperands,
     /* 108207 */     // GIR_Coverage, 10974,
     /* 108207 */     GIR_EraseRootFromParent_Done,
     /* 108208 */   // Label 2022: @108208
     /* 108208 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(108236), // Rule ID 10986 //
     /* 108213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 108216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 108220 */     // (ld:{ *:[nxv8f16] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv8f16] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 108223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108225 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108230 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108234 */     GIR_RootConstrainSelectedInstOperands,
     /* 108235 */     // GIR_Coverage, 10986,
     /* 108235 */     GIR_EraseRootFromParent_Done,
     /* 108236 */   // Label 2023: @108236
     /* 108236 */   GIM_Reject,
     /* 108237 */ // Label 2019: @108237
     /* 108237 */ GIM_Reject,
     /* 108238 */ // Label 1840: @108238
     /* 108238 */ GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(108281), // Rule ID 2428 //
     /* 108243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 108246 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108249 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 108257 */   // MIs[0] base
     /* 108257 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 108261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108265 */   // (ld:{ *:[nxv16i1] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_PXI:{ *:[nxv16i1] } GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_PXI),
     /* 108268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pt]
     /* 108270 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108275 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108279 */   GIR_RootConstrainSelectedInstOperands,
     /* 108280 */   // GIR_Coverage, 2428,
     /* 108280 */   GIR_EraseRootFromParent_Done,
     /* 108281 */ // Label 2024: @108281
     /* 108281 */ GIM_Reject,
     /* 108282 */ // Label 1841: @108282
     /* 108282 */ GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(108379),
     /* 108287 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108290 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 108298 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 108302 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(108350), // Rule ID 10872 //
     /* 108307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 108310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108314 */     // (ld:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1B_IMM:{ *:[nxv16i8] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 108317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /* 108321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108326 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 108329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 108331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1B_IMM),
     /* 108334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108339 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108344 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108348 */     GIR_RootConstrainSelectedInstOperands,
     /* 108349 */     // GIR_Coverage, 10872,
     /* 108349 */     GIR_EraseRootFromParent_Done,
     /* 108350 */   // Label 2026: @108350
     /* 108350 */   GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(108378), // Rule ID 10970 //
     /* 108355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 108358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 108362 */     // (ld:{ *:[nxv16i8] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv16i8] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 108365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108367 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108376 */     GIR_RootConstrainSelectedInstOperands,
     /* 108377 */     // GIR_Coverage, 10970,
     /* 108377 */     GIR_EraseRootFromParent_Done,
     /* 108378 */   // Label 2027: @108378
     /* 108378 */   GIM_Reject,
     /* 108379 */ // Label 2025: @108379
     /* 108379 */ GIM_Reject,
     /* 108380 */ // Label 1842: @108380
     /* 108380 */ GIM_Reject,
     /* 108381 */ // Label 17: @108381
     /* 108381 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2030*/ GIMT_Encode4(109430),
     /* 108392 */ /*GILLT_s32*//*Label 2028*/ GIMT_Encode4(108400),
     /* 108396 */ /*GILLT_s64*//*Label 2029*/ GIMT_Encode4(108814),
     /* 108400 */ // Label 2028: @108400
     /* 108400 */ GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(108813),
     /* 108405 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108408 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(108461), // Rule ID 247 //
     /* 108413 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 108435 */     // (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 108435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHWroW),
     /* 108438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108459 */     GIR_RootConstrainSelectedInstOperands,
     /* 108460 */     // GIR_Coverage, 247,
     /* 108460 */     GIR_EraseRootFromParent_Done,
     /* 108461 */   // Label 2032: @108461
     /* 108461 */   GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(108514), // Rule ID 248 //
     /* 108466 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108477 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 108488 */     // (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 108488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHWroX),
     /* 108491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108508 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108512 */     GIR_RootConstrainSelectedInstOperands,
     /* 108513 */     // GIR_Coverage, 248,
     /* 108513 */     GIR_EraseRootFromParent_Done,
     /* 108514 */   // Label 2033: @108514
     /* 108514 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(108567), // Rule ID 251 //
     /* 108519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 108541 */     // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 108541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBWroW),
     /* 108544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108561 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108565 */     GIR_RootConstrainSelectedInstOperands,
     /* 108566 */     // GIR_Coverage, 251,
     /* 108566 */     GIR_EraseRootFromParent_Done,
     /* 108567 */   // Label 2034: @108567
     /* 108567 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(108620), // Rule ID 252 //
     /* 108572 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 108594 */     // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 108594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBWroX),
     /* 108597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108618 */     GIR_RootConstrainSelectedInstOperands,
     /* 108619 */     // GIR_Coverage, 252,
     /* 108619 */     GIR_EraseRootFromParent_Done,
     /* 108620 */   // Label 2035: @108620
     /* 108620 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(108668), // Rule ID 268 //
     /* 108625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 108647 */     // (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 108647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHWui),
     /* 108650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108662 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108666 */     GIR_RootConstrainSelectedInstOperands,
     /* 108667 */     // GIR_Coverage, 268,
     /* 108667 */     GIR_EraseRootFromParent_Done,
     /* 108668 */   // Label 2036: @108668
     /* 108668 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(108716), // Rule ID 270 //
     /* 108673 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108684 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 108695 */     // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 108695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBWui),
     /* 108698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108714 */     GIR_RootConstrainSelectedInstOperands,
     /* 108715 */     // GIR_Coverage, 270,
     /* 108715 */     GIR_EraseRootFromParent_Done,
     /* 108716 */   // Label 2037: @108716
     /* 108716 */   GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(108764), // Rule ID 289 //
     /* 108721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 108743 */     // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDURSHWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 108743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSHWi),
     /* 108746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108762 */     GIR_RootConstrainSelectedInstOperands,
     /* 108763 */     // GIR_Coverage, 289,
     /* 108763 */     GIR_EraseRootFromParent_Done,
     /* 108764 */   // Label 2038: @108764
     /* 108764 */   GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(108812), // Rule ID 291 //
     /* 108769 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 108791 */     // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDURSBWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 108791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSBWi),
     /* 108794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108810 */     GIR_RootConstrainSelectedInstOperands,
     /* 108811 */     // GIR_Coverage, 291,
     /* 108811 */     GIR_EraseRootFromParent_Done,
     /* 108812 */   // Label 2039: @108812
     /* 108812 */   GIM_Reject,
     /* 108813 */ // Label 2031: @108813
     /* 108813 */ GIM_Reject,
     /* 108814 */ // Label 2029: @108814
     /* 108814 */ GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(109429),
     /* 108819 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108822 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(108875), // Rule ID 249 //
     /* 108827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108838 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 108849 */     // (ld:{ *:[i64] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 108849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHXroW),
     /* 108852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108873 */     GIR_RootConstrainSelectedInstOperands,
     /* 108874 */     // GIR_Coverage, 249,
     /* 108874 */     GIR_EraseRootFromParent_Done,
     /* 108875 */   // Label 2041: @108875
     /* 108875 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(108928), // Rule ID 250 //
     /* 108880 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 108902 */     // (ld:{ *:[i64] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 108902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHXroX),
     /* 108905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108922 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108926 */     GIR_RootConstrainSelectedInstOperands,
     /* 108927 */     // GIR_Coverage, 250,
     /* 108927 */     GIR_EraseRootFromParent_Done,
     /* 108928 */   // Label 2042: @108928
     /* 108928 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(108981), // Rule ID 253 //
     /* 108933 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108944 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 108955 */     // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 108955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBXroW),
     /* 108958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108979 */     GIR_RootConstrainSelectedInstOperands,
     /* 108980 */     // GIR_Coverage, 253,
     /* 108980 */     GIR_EraseRootFromParent_Done,
     /* 108981 */   // Label 2043: @108981
     /* 108981 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(109034), // Rule ID 254 //
     /* 108986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 109008 */     // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 109008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBXroX),
     /* 109011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109032 */     GIR_RootConstrainSelectedInstOperands,
     /* 109033 */     // GIR_Coverage, 254,
     /* 109033 */     GIR_EraseRootFromParent_Done,
     /* 109034 */   // Label 2044: @109034
     /* 109034 */   GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(109087), // Rule ID 255 //
     /* 109039 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 109046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109050 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 109061 */     // (ld:{ *:[i64] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDRSWroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 109061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSWroW),
     /* 109064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109081 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109085 */     GIR_RootConstrainSelectedInstOperands,
     /* 109086 */     // GIR_Coverage, 255,
     /* 109086 */     GIR_EraseRootFromParent_Done,
     /* 109087 */   // Label 2045: @109087
     /* 109087 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(109140), // Rule ID 256 //
     /* 109092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 109099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 109114 */     // (ld:{ *:[i64] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDRSWroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 109114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSWroX),
     /* 109117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109138 */     GIR_RootConstrainSelectedInstOperands,
     /* 109139 */     // GIR_Coverage, 256,
     /* 109139 */     GIR_EraseRootFromParent_Done,
     /* 109140 */   // Label 2046: @109140
     /* 109140 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(109188), // Rule ID 269 //
     /* 109145 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 109167 */     // (ld:{ *:[i64] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 109167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHXui),
     /* 109170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109186 */     GIR_RootConstrainSelectedInstOperands,
     /* 109187 */     // GIR_Coverage, 269,
     /* 109187 */     GIR_EraseRootFromParent_Done,
     /* 109188 */   // Label 2047: @109188
     /* 109188 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(109236), // Rule ID 271 //
     /* 109193 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 109215 */     // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 109215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBXui),
     /* 109218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109230 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109234 */     GIR_RootConstrainSelectedInstOperands,
     /* 109235 */     // GIR_Coverage, 271,
     /* 109235 */     GIR_EraseRootFromParent_Done,
     /* 109236 */   // Label 2048: @109236
     /* 109236 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(109284), // Rule ID 272 //
     /* 109241 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 109248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 109263 */     // (ld:{ *:[i64] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDRSWui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 109263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSWui),
     /* 109266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109278 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109282 */     GIR_RootConstrainSelectedInstOperands,
     /* 109283 */     // GIR_Coverage, 272,
     /* 109283 */     GIR_EraseRootFromParent_Done,
     /* 109284 */   // Label 2049: @109284
     /* 109284 */   GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(109332), // Rule ID 290 //
     /* 109289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 109311 */     // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDURSHXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 109311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSHXi),
     /* 109314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109330 */     GIR_RootConstrainSelectedInstOperands,
     /* 109331 */     // GIR_Coverage, 290,
     /* 109331 */     GIR_EraseRootFromParent_Done,
     /* 109332 */   // Label 2050: @109332
     /* 109332 */   GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(109380), // Rule ID 292 //
     /* 109337 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 109359 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDURSBXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 109359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSBXi),
     /* 109362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109374 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109378 */     GIR_RootConstrainSelectedInstOperands,
     /* 109379 */     // GIR_Coverage, 292,
     /* 109379 */     GIR_EraseRootFromParent_Done,
     /* 109380 */   // Label 2051: @109380
     /* 109380 */   GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(109428), // Rule ID 293 //
     /* 109385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 109392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 109407 */     // (ld:{ *:[i64] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDURSWi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 109407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSWi),
     /* 109410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109422 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109426 */     GIR_RootConstrainSelectedInstOperands,
     /* 109427 */     // GIR_Coverage, 293,
     /* 109427 */     GIR_EraseRootFromParent_Done,
     /* 109428 */   // Label 2052: @109428
     /* 109428 */   GIM_Reject,
     /* 109429 */ // Label 2040: @109429
     /* 109429 */ GIM_Reject,
     /* 109430 */ // Label 2030: @109430
     /* 109430 */ GIM_Reject,
     /* 109431 */ // Label 18: @109431
     /* 109431 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2055*/ GIMT_Encode4(112479),
     /* 109442 */ /*GILLT_s32*//*Label 2053*/ GIMT_Encode4(109450),
     /* 109446 */ /*GILLT_s64*//*Label 2054*/ GIMT_Encode4(110989),
     /* 109450 */ // Label 2053: @109450
     /* 109450 */ GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(109506), // Rule ID 229 //
     /* 109455 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109458 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109469 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109473 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 109480 */   // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 109480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 109483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109485 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109490 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109495 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109500 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109504 */   GIR_RootConstrainSelectedInstOperands,
     /* 109505 */   // GIR_Coverage, 229,
     /* 109505 */   GIR_EraseRootFromParent_Done,
     /* 109506 */ // Label 2056: @109506
     /* 109506 */ GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(109562), // Rule ID 230 //
     /* 109511 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109514 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109525 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109529 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 109536 */   // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 109536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 109539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109541 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109551 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109556 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109560 */   GIR_RootConstrainSelectedInstOperands,
     /* 109561 */   // GIR_Coverage, 230,
     /* 109561 */   GIR_EraseRootFromParent_Done,
     /* 109562 */ // Label 2057: @109562
     /* 109562 */ GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(109618), // Rule ID 231 //
     /* 109567 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109570 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109581 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109585 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 109592 */   // (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 109592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 109595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109597 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109602 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109607 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109612 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109616 */   GIR_RootConstrainSelectedInstOperands,
     /* 109617 */   // GIR_Coverage, 231,
     /* 109617 */   GIR_EraseRootFromParent_Done,
     /* 109618 */ // Label 2058: @109618
     /* 109618 */ GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(109674), // Rule ID 232 //
     /* 109623 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109626 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109637 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109641 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 109648 */   // (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 109648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 109651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109653 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109658 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109663 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109668 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109672 */   GIR_RootConstrainSelectedInstOperands,
     /* 109673 */   // GIR_Coverage, 232,
     /* 109673 */   GIR_EraseRootFromParent_Done,
     /* 109674 */ // Label 2059: @109674
     /* 109674 */ GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(109730), // Rule ID 4126 //
     /* 109679 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109682 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109693 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109697 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 109704 */   // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 109704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 109707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109709 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109714 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109719 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109724 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109728 */   GIR_RootConstrainSelectedInstOperands,
     /* 109729 */   // GIR_Coverage, 4126,
     /* 109729 */   GIR_EraseRootFromParent_Done,
     /* 109730 */ // Label 2060: @109730
     /* 109730 */ GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(109786), // Rule ID 4127 //
     /* 109735 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109738 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109749 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109753 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 109760 */   // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 109760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 109763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109765 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109770 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109775 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109780 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109784 */   GIR_RootConstrainSelectedInstOperands,
     /* 109785 */   // GIR_Coverage, 4127,
     /* 109785 */   GIR_EraseRootFromParent_Done,
     /* 109786 */ // Label 2061: @109786
     /* 109786 */ GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(109837), // Rule ID 266 //
     /* 109791 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109794 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109805 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109809 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 109816 */   // (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 109816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 109819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109821 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109826 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109831 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109835 */   GIR_RootConstrainSelectedInstOperands,
     /* 109836 */   // GIR_Coverage, 266,
     /* 109836 */   GIR_EraseRootFromParent_Done,
     /* 109837 */ // Label 2062: @109837
     /* 109837 */ GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(109888), // Rule ID 267 //
     /* 109842 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109845 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109856 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109860 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 109867 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 109867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 109870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109872 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109877 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109882 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109886 */   GIR_RootConstrainSelectedInstOperands,
     /* 109887 */   // GIR_Coverage, 267,
     /* 109887 */   GIR_EraseRootFromParent_Done,
     /* 109888 */ // Label 2063: @109888
     /* 109888 */ GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(109947), // Rule ID 7037 //
     /* 109893 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109896 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109903 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109910 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109914 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 109921 */   // (atomic_load:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15861>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset)
     /* 109921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 109924 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109926 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109931 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109936 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 109941 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109945 */   GIR_RootConstrainSelectedInstOperands,
     /* 109946 */   // GIR_Coverage, 7037,
     /* 109946 */   GIR_EraseRootFromParent_Done,
     /* 109947 */ // Label 2064: @109947
     /* 109947 */ GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(110006), // Rule ID 7039 //
     /* 109952 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109955 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109962 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109969 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109973 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 109980 */   // (atomic_load:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15861>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset)
     /* 109980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 109983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109985 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109990 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109995 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 110000 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110004 */   GIR_RootConstrainSelectedInstOperands,
     /* 110005 */   // GIR_Coverage, 7039,
     /* 110005 */   GIR_EraseRootFromParent_Done,
     /* 110006 */ // Label 2065: @110006
     /* 110006 */ GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(110065), // Rule ID 7049 //
     /* 110011 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110014 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110021 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110028 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110032 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 110039 */   // (atomic_load:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15869>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 110039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 110042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110044 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110049 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110054 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110059 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110063 */   GIR_RootConstrainSelectedInstOperands,
     /* 110064 */   // GIR_Coverage, 7049,
     /* 110064 */   GIR_EraseRootFromParent_Done,
     /* 110065 */ // Label 2066: @110065
     /* 110065 */ GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(110124), // Rule ID 7051 //
     /* 110070 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110073 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110080 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110087 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110091 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 110098 */   // (atomic_load:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15869>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 110098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 110101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110103 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110108 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110113 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110118 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110122 */   GIR_RootConstrainSelectedInstOperands,
     /* 110123 */   // GIR_Coverage, 7051,
     /* 110123 */   GIR_EraseRootFromParent_Done,
     /* 110124 */ // Label 2067: @110124
     /* 110124 */ GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(110175), // Rule ID 287 //
     /* 110129 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110132 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110143 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110147 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 110154 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 110154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 110157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110159 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110164 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110169 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110173 */   GIR_RootConstrainSelectedInstOperands,
     /* 110174 */   // GIR_Coverage, 287,
     /* 110174 */   GIR_EraseRootFromParent_Done,
     /* 110175 */ // Label 2068: @110175
     /* 110175 */ GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(110226), // Rule ID 288 //
     /* 110180 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110183 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110194 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110198 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 110205 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 110205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 110208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110210 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110215 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110220 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110224 */   GIR_RootConstrainSelectedInstOperands,
     /* 110225 */   // GIR_Coverage, 288,
     /* 110225 */   GIR_EraseRootFromParent_Done,
     /* 110226 */ // Label 2069: @110226
     /* 110226 */ GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(110277), // Rule ID 4145 //
     /* 110231 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110234 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110245 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110249 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 110256 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 110256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 110259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110261 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110266 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110271 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110275 */   GIR_RootConstrainSelectedInstOperands,
     /* 110276 */   // GIR_Coverage, 4145,
     /* 110276 */   GIR_EraseRootFromParent_Done,
     /* 110277 */ // Label 2070: @110277
     /* 110277 */ GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(110328), // Rule ID 4177 //
     /* 110282 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110285 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110296 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110300 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 110307 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 110310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110322 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110326 */   GIR_RootConstrainSelectedInstOperands,
     /* 110327 */   // GIR_Coverage, 4177,
     /* 110327 */   GIR_EraseRootFromParent_Done,
     /* 110328 */ // Label 2071: @110328
     /* 110328 */ GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(110379), // Rule ID 4178 //
     /* 110333 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110336 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110347 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110351 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 110358 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 110361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110363 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110368 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110373 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110377 */   GIR_RootConstrainSelectedInstOperands,
     /* 110378 */   // GIR_Coverage, 4178,
     /* 110378 */   GIR_EraseRootFromParent_Done,
     /* 110379 */ // Label 2072: @110379
     /* 110379 */ GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(110430), // Rule ID 4179 //
     /* 110384 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110387 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110398 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110402 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 110409 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 110412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110414 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110419 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110424 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110428 */   GIR_RootConstrainSelectedInstOperands,
     /* 110429 */   // GIR_Coverage, 4179,
     /* 110429 */   GIR_EraseRootFromParent_Done,
     /* 110430 */ // Label 2073: @110430
     /* 110430 */ GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(110484), // Rule ID 7041 //
     /* 110435 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110438 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110445 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110452 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110456 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 110463 */   // (atomic_load:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15861>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 110463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 110466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110468 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110473 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110478 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110482 */   GIR_RootConstrainSelectedInstOperands,
     /* 110483 */   // GIR_Coverage, 7041,
     /* 110483 */   GIR_EraseRootFromParent_Done,
     /* 110484 */ // Label 2074: @110484
     /* 110484 */ GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(110538), // Rule ID 7043 //
     /* 110489 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110492 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110499 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110506 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110510 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 110517 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15861>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 110520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110522 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110527 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110532 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110536 */   GIR_RootConstrainSelectedInstOperands,
     /* 110537 */   // GIR_Coverage, 7043,
     /* 110537 */   GIR_EraseRootFromParent_Done,
     /* 110538 */ // Label 2075: @110538
     /* 110538 */ GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(110592), // Rule ID 7053 //
     /* 110543 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110546 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110553 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110560 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110564 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 110571 */   // (atomic_load:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15869>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 110571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 110574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110576 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110586 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110590 */   GIR_RootConstrainSelectedInstOperands,
     /* 110591 */   // GIR_Coverage, 7053,
     /* 110591 */   GIR_EraseRootFromParent_Done,
     /* 110592 */ // Label 2076: @110592
     /* 110592 */ GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(110646), // Rule ID 7055 //
     /* 110597 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110600 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110607 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110614 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110618 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 110625 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15869>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 110628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110635 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110640 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110644 */   GIR_RootConstrainSelectedInstOperands,
     /* 110645 */   // GIR_Coverage, 7055,
     /* 110645 */   GIR_EraseRootFromParent_Done,
     /* 110646 */ // Label 2077: @110646
     /* 110646 */ GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(110703), // Rule ID 7417 //
     /* 110651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 110654 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110657 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110664 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110671 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110675 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 110682 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15850>>  =>  (LDAPURBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURBi),
     /* 110685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110687 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110692 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110697 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110701 */   GIR_RootConstrainSelectedInstOperands,
     /* 110702 */   // GIR_Coverage, 7417,
     /* 110702 */   GIR_EraseRootFromParent_Done,
     /* 110703 */ // Label 2078: @110703
     /* 110703 */ GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(110760), // Rule ID 7419 //
     /* 110708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 110711 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110714 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110721 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110728 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110732 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 110739 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15852>>  =>  (LDAPURHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURHi),
     /* 110742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110744 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110749 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110754 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110758 */   GIR_RootConstrainSelectedInstOperands,
     /* 110759 */   // GIR_Coverage, 7419,
     /* 110759 */   GIR_EraseRootFromParent_Done,
     /* 110760 */ // Label 2079: @110760
     /* 110760 */ GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(110800), // Rule ID 7027 //
     /* 110765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 110768 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110771 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110778 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110785 */   // MIs[0] ptr
     /* 110785 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110793 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15850>>  =>  (LDAPRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 110793 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRB),
     /* 110798 */   GIR_RootConstrainSelectedInstOperands,
     /* 110799 */   // GIR_Coverage, 7027,
     /* 110799 */   GIR_Done,
     /* 110800 */ // Label 2080: @110800
     /* 110800 */ GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(110840), // Rule ID 7029 //
     /* 110805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 110808 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110811 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110818 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110825 */   // MIs[0] ptr
     /* 110825 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110833 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15852>>  =>  (LDAPRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 110833 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRH),
     /* 110838 */   GIR_RootConstrainSelectedInstOperands,
     /* 110839 */   // GIR_Coverage, 7029,
     /* 110839 */   GIR_Done,
     /* 110840 */ // Label 2081: @110840
     /* 110840 */ GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(110877), // Rule ID 7033 //
     /* 110845 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110848 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110855 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 110858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110862 */   // MIs[0] ptr
     /* 110862 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110870 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15858>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 110870 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 110875 */   GIR_RootConstrainSelectedInstOperands,
     /* 110876 */   // GIR_Coverage, 7033,
     /* 110876 */   GIR_Done,
     /* 110877 */ // Label 2082: @110877
     /* 110877 */ GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(110914), // Rule ID 7035 //
     /* 110882 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110885 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110892 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110899 */   // MIs[0] ptr
     /* 110899 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110907 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15850>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 110907 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 110912 */   GIR_RootConstrainSelectedInstOperands,
     /* 110913 */   // GIR_Coverage, 7035,
     /* 110913 */   GIR_Done,
     /* 110914 */ // Label 2083: @110914
     /* 110914 */ GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(110951), // Rule ID 7045 //
     /* 110919 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110922 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110929 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 110932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110936 */   // MIs[0] ptr
     /* 110936 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110944 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15866>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 110944 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 110949 */   GIR_RootConstrainSelectedInstOperands,
     /* 110950 */   // GIR_Coverage, 7045,
     /* 110950 */   GIR_Done,
     /* 110951 */ // Label 2084: @110951
     /* 110951 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(110988), // Rule ID 7047 //
     /* 110956 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110959 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110966 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110973 */   // MIs[0] ptr
     /* 110973 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110981 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15852>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 110981 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 110986 */   GIR_RootConstrainSelectedInstOperands,
     /* 110987 */   // GIR_Coverage, 7047,
     /* 110987 */   GIR_Done,
     /* 110988 */ // Label 2085: @110988
     /* 110988 */ GIM_Reject,
     /* 110989 */ // Label 2054: @110989
     /* 110989 */ GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(112478),
     /* 110994 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110997 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(111082), // Rule ID 4104 //
     /* 111002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 111024 */     // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 111031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111051 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111071 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111076 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111081 */     // GIR_Coverage, 4104,
     /* 111081 */     GIR_EraseRootFromParent_Done,
     /* 111082 */   // Label 2087: @111082
     /* 111082 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(111167), // Rule ID 4105 //
     /* 111087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 111109 */     // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 111116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111136 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111156 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111161 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111166 */     // GIR_Coverage, 4105,
     /* 111166 */     GIR_EraseRootFromParent_Done,
     /* 111167 */   // Label 2088: @111167
     /* 111167 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(111252), // Rule ID 4106 //
     /* 111172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 111179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 111194 */     // (ld:{ *:[i64] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 111201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111221 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111241 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111246 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111251 */     // GIR_Coverage, 4106,
     /* 111251 */     GIR_EraseRootFromParent_Done,
     /* 111252 */   // Label 2089: @111252
     /* 111252 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(111337), // Rule ID 4107 //
     /* 111257 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 111264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 111279 */     // (ld:{ *:[i64] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 111286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111306 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111326 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111331 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111336 */     // GIR_Coverage, 4107,
     /* 111336 */     GIR_EraseRootFromParent_Done,
     /* 111337 */   // Label 2090: @111337
     /* 111337 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(111422), // Rule ID 4108 //
     /* 111342 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 111349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111353 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 111364 */     // (ld:{ *:[i64] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /* 111371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111391 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111411 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111416 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111421 */     // GIR_Coverage, 4108,
     /* 111421 */     GIR_EraseRootFromParent_Done,
     /* 111422 */   // Label 2091: @111422
     /* 111422 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(111507), // Rule ID 4109 //
     /* 111427 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 111434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 111449 */     // (ld:{ *:[i64] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /* 111456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111476 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111496 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111501 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111506 */     // GIR_Coverage, 4109,
     /* 111506 */     GIR_EraseRootFromParent_Done,
     /* 111507 */   // Label 2092: @111507
     /* 111507 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(111592), // Rule ID 4110 //
     /* 111512 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111523 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 111534 */     // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 111541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111561 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111581 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111586 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111591 */     // GIR_Coverage, 4110,
     /* 111591 */     GIR_EraseRootFromParent_Done,
     /* 111592 */   // Label 2093: @111592
     /* 111592 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(111677), // Rule ID 4111 //
     /* 111597 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 111619 */     // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 111626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111646 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111666 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111671 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111676 */     // GIR_Coverage, 4111,
     /* 111676 */     GIR_EraseRootFromParent_Done,
     /* 111677 */   // Label 2094: @111677
     /* 111677 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(111757), // Rule ID 4143 //
     /* 111682 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111693 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 111704 */     // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 111704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 111711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111726 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111746 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111751 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111756 */     // GIR_Coverage, 4143,
     /* 111756 */     GIR_EraseRootFromParent_Done,
     /* 111757 */   // Label 2095: @111757
     /* 111757 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(111837), // Rule ID 4144 //
     /* 111762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 111769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 111784 */     // (ld:{ *:[i64] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 111784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 111791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111806 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111826 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111831 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111836 */     // GIR_Coverage, 4144,
     /* 111836 */     GIR_EraseRootFromParent_Done,
     /* 111837 */   // Label 2096: @111837
     /* 111837 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(111917), // Rule ID 4146 //
     /* 111842 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 111864 */     // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 111864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 111871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111886 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111906 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111911 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111916 */     // GIR_Coverage, 4146,
     /* 111916 */     GIR_EraseRootFromParent_Done,
     /* 111917 */   // Label 2097: @111917
     /* 111917 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(111997), // Rule ID 4154 //
     /* 111922 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 111929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111933 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 111944 */     // (ld:{ *:[i64] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 111944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /* 111951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111966 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111986 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111991 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111996 */     // GIR_Coverage, 4154,
     /* 111996 */     GIR_EraseRootFromParent_Done,
     /* 111997 */   // Label 2098: @111997
     /* 111997 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(112077), // Rule ID 4180 //
     /* 112002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 112009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 112024 */     // (ld:{ *:[i64] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 112024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 112027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 112031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112046 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 112066 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112071 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112076 */     // GIR_Coverage, 4180,
     /* 112076 */     GIR_EraseRootFromParent_Done,
     /* 112077 */   // Label 2099: @112077
     /* 112077 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(112157), // Rule ID 4181 //
     /* 112082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 112089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 112104 */     // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 112104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 112107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 112111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112126 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 112146 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112151 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112156 */     // GIR_Coverage, 4181,
     /* 112156 */     GIR_EraseRootFromParent_Done,
     /* 112157 */   // Label 2100: @112157
     /* 112157 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(112237), // Rule ID 4182 //
     /* 112162 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 112169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112173 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 112184 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 112184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 112187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 112191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112206 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 112226 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112231 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112236 */     // GIR_Coverage, 4182,
     /* 112236 */     GIR_EraseRootFromParent_Done,
     /* 112237 */   // Label 2101: @112237
     /* 112237 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(112317), // Rule ID 4183 //
     /* 112242 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 112249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112253 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 112264 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 112264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 112267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 112271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112286 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 112306 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112311 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112316 */     // GIR_Coverage, 4183,
     /* 112316 */     GIR_EraseRootFromParent_Done,
     /* 112317 */   // Label 2102: @112317
     /* 112317 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(112397), // Rule ID 4184 //
     /* 112322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 112329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 112344 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 112344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 112347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 112351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112366 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 112386 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112391 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112396 */     // GIR_Coverage, 4184,
     /* 112396 */     GIR_EraseRootFromParent_Done,
     /* 112397 */   // Label 2103: @112397
     /* 112397 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(112477), // Rule ID 4185 //
     /* 112402 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 112409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112413 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 112424 */     // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 112424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 112427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 112431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112446 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 112466 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112471 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112476 */     // GIR_Coverage, 4185,
     /* 112476 */     GIR_EraseRootFromParent_Done,
     /* 112477 */   // Label 2104: @112477
     /* 112477 */   GIM_Reject,
     /* 112478 */ // Label 2086: @112478
     /* 112478 */ GIM_Reject,
     /* 112479 */ // Label 2055: @112479
     /* 112479 */ GIM_Reject,
     /* 112480 */ // Label 19: @112480
     /* 112480 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(24), /*)*//*default:*//*Label 2125*/ GIMT_Encode4(126005),
     /* 112491 */ /*GILLT_s8*//*Label 2105*/ GIMT_Encode4(112587),
     /* 112495 */ /*GILLT_s16*//*Label 2106*/ GIMT_Encode4(112954),
     /* 112499 */ /*GILLT_s32*//*Label 2107*/ GIMT_Encode4(114093),
     /* 112503 */ /*GILLT_s64*//*Label 2108*/ GIMT_Encode4(118688),
     /* 112507 */ /*GILLT_s128*//*Label 2109*/ GIMT_Encode4(122457),
     /* 112511 */ /*GILLT_v2s32*//*Label 2110*/ GIMT_Encode4(122663),
     /* 112515 */ /*GILLT_v2s64*//*Label 2111*/ GIMT_Encode4(123069),
     /* 112519 */ /*GILLT_v4s16*//*Label 2112*/ GIMT_Encode4(123519),
     /* 112523 */ /*GILLT_v4s32*//*Label 2113*/ GIMT_Encode4(123925),
     /* 112527 */ /*GILLT_v8s8*//*Label 2114*/ GIMT_Encode4(124331),
     /* 112531 */ /*GILLT_v8s16*//*Label 2115*/ GIMT_Encode4(124551),
     /* 112535 */ /*GILLT_v16s8*//*Label 2116*/ GIMT_Encode4(124957), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 112547 */ /*GILLT_nxv2s16*//*Label 2117*/ GIMT_Encode4(125177),
     /* 112551 */ /*GILLT_nxv2s32*//*Label 2118*/ GIMT_Encode4(125237),
     /* 112555 */ /*GILLT_nxv2s64*//*Label 2119*/ GIMT_Encode4(125297), GIMT_Encode4(0),
     /* 112563 */ /*GILLT_nxv4s16*//*Label 2120*/ GIMT_Encode4(125467),
     /* 112567 */ /*GILLT_nxv4s32*//*Label 2121*/ GIMT_Encode4(125527), GIMT_Encode4(0),
     /* 112575 */ /*GILLT_nxv8s16*//*Label 2122*/ GIMT_Encode4(125697),
     /* 112579 */ /*GILLT_nxv16s1*//*Label 2123*/ GIMT_Encode4(125867),
     /* 112583 */ /*GILLT_nxv16s8*//*Label 2124*/ GIMT_Encode4(125911),
     /* 112587 */ // Label 2105: @112587
     /* 112587 */ GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(112953),
     /* 112592 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112595 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112599 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(112667), // Rule ID 13182 //
     /* 112604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 112616 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 112629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 112633 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 112637 */     // MIs[2] Operand 1
     /* 112637 */     // No operand predicates
     /* 112637 */     // MIs[0] Rn
     /* 112637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 112641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 112645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 112647 */     // (st (vector_extract:{ *:[i8] } VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i8 VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 112647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 112650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 112654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 112657 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 112659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 112665 */     GIR_RootConstrainSelectedInstOperands,
     /* 112666 */     // GIR_Coverage, 13182,
     /* 112666 */     GIR_EraseRootFromParent_Done,
     /* 112667 */   // Label 2127: @112667
     /* 112667 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(112766), // Rule ID 13183 //
     /* 112672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 112684 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 112697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 112701 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 112705 */     // MIs[2] Operand 1
     /* 112705 */     // No operand predicates
     /* 112705 */     // MIs[0] Rn
     /* 112705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 112709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 112713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 112715 */     // (st (vector_extract:{ *:[i8] } VecListOne64:{ *:[v8i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i8 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v8i8] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 112715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 112718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112727 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 112730 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 112734 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 112737 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112742 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 112750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 112756 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 112758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 112764 */     GIR_RootConstrainSelectedInstOperands,
     /* 112765 */     // GIR_Coverage, 13183,
     /* 112765 */     GIR_EraseRootFromParent_Done,
     /* 112766 */   // Label 2128: @112766
     /* 112766 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(112815), // Rule ID 303 //
     /* 112771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 112774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 112778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 112789 */     // (st FPR8Op:{ *:[i8] }:$Rt, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRBroW FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 112789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBroW),
     /* 112792 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 112794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112813 */     GIR_RootConstrainSelectedInstOperands,
     /* 112814 */     // GIR_Coverage, 303,
     /* 112814 */     GIR_EraseRootFromParent_Done,
     /* 112815 */   // Label 2129: @112815
     /* 112815 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(112864), // Rule ID 304 //
     /* 112820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 112823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 112827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 112838 */     // (st FPR8Op:{ *:[i8] }:$Rt, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRBroX FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 112838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBroX),
     /* 112841 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 112843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112862 */     GIR_RootConstrainSelectedInstOperands,
     /* 112863 */     // GIR_Coverage, 304,
     /* 112863 */     GIR_EraseRootFromParent_Done,
     /* 112864 */   // Label 2130: @112864
     /* 112864 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(112908), // Rule ID 313 //
     /* 112869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 112872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 112876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 112887 */     // (st FPR8Op:{ *:[i8] }:$Rt, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRBui FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 112887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBui),
     /* 112890 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 112892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112902 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112906 */     GIR_RootConstrainSelectedInstOperands,
     /* 112907 */     // GIR_Coverage, 313,
     /* 112907 */     GIR_EraseRootFromParent_Done,
     /* 112908 */   // Label 2131: @112908
     /* 112908 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(112952), // Rule ID 321 //
     /* 112913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 112916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 112920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 112931 */     // (st FPR8Op:{ *:[i8] }:$Rt, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURBi FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 112931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBi),
     /* 112934 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 112936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112950 */     GIR_RootConstrainSelectedInstOperands,
     /* 112951 */     // GIR_Coverage, 321,
     /* 112951 */     GIR_EraseRootFromParent_Done,
     /* 112952 */   // Label 2132: @112952
     /* 112952 */   GIM_Reject,
     /* 112953 */ // Label 2126: @112953
     /* 112953 */ GIM_Reject,
     /* 112954 */ // Label 2106: @112954
     /* 112954 */ GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(114092),
     /* 112959 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112962 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112966 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(113065), // Rule ID 4482 //
     /* 112971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112992 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 112996 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 113009 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroW (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 113009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113021 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113027 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113032 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 113040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113063 */     GIR_RootConstrainSelectedInstOperands,
     /* 113064 */     // GIR_Coverage, 4482,
     /* 113064 */     GIR_EraseRootFromParent_Done,
     /* 113065 */   // Label 2134: @113065
     /* 113065 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(113164), // Rule ID 4483 //
     /* 113070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 113082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113091 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 113108 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroX (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 113108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113120 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113126 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113131 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 113139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113162 */     GIR_RootConstrainSelectedInstOperands,
     /* 113163 */     // GIR_Coverage, 4483,
     /* 113163 */     GIR_EraseRootFromParent_Done,
     /* 113164 */   // Label 2135: @113164
     /* 113164 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(113263), // Rule ID 13180 //
     /* 113169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 113181 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113190 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 113207 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroW (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 113207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113219 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113225 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113230 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 113238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113261 */     GIR_RootConstrainSelectedInstOperands,
     /* 113262 */     // GIR_Coverage, 13180,
     /* 113262 */     GIR_EraseRootFromParent_Done,
     /* 113263 */   // Label 2136: @113263
     /* 113263 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(113362), // Rule ID 13181 //
     /* 113268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 113280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113289 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 113306 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroX (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 113306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113318 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113324 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113329 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 113337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113360 */     GIR_RootConstrainSelectedInstOperands,
     /* 113361 */     // GIR_Coverage, 13181,
     /* 113361 */     GIR_EraseRootFromParent_Done,
     /* 113362 */   // Label 2137: @113362
     /* 113362 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(113456), // Rule ID 4511 //
     /* 113367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 113379 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113388 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113392 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 113405 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHui (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 113405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113417 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113423 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113428 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 113436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113454 */     GIR_RootConstrainSelectedInstOperands,
     /* 113455 */     // GIR_Coverage, 4511,
     /* 113455 */     GIR_EraseRootFromParent_Done,
     /* 113456 */   // Label 2138: @113456
     /* 113456 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(113550), // Rule ID 4538 //
     /* 113461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 113473 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113482 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 113499 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURHi (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 113499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113511 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113517 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113522 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 113530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113548 */     GIR_RootConstrainSelectedInstOperands,
     /* 113549 */     // GIR_Coverage, 4538,
     /* 113549 */     GIR_EraseRootFromParent_Done,
     /* 113550 */   // Label 2139: @113550
     /* 113550 */   GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(113644), // Rule ID 13179 //
     /* 113555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 113567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113576 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 113593 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHui (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 113593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113605 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113611 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113616 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 113624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113642 */     GIR_RootConstrainSelectedInstOperands,
     /* 113643 */     // GIR_Coverage, 13179,
     /* 113643 */     GIR_EraseRootFromParent_Done,
     /* 113644 */   // Label 2140: @113644
     /* 113644 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(113738), // Rule ID 13185 //
     /* 113649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 113661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113670 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113674 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 113687 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURHi (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 113687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113699 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113705 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113710 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 113718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113736 */     GIR_RootConstrainSelectedInstOperands,
     /* 113737 */     // GIR_Coverage, 13185,
     /* 113737 */     GIR_EraseRootFromParent_Done,
     /* 113738 */   // Label 2141: @113738
     /* 113738 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(113806), // Rule ID 6469 //
     /* 113743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 113755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 113768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 113772 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 113776 */     // MIs[2] Operand 1
     /* 113776 */     // No operand predicates
     /* 113776 */     // MIs[0] Rn
     /* 113776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 113780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 113784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 113786 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i16 VecListOne128:{ *:[v8f16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 113786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 113789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 113793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 113796 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 113798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 113804 */     GIR_RootConstrainSelectedInstOperands,
     /* 113805 */     // GIR_Coverage, 6469,
     /* 113805 */     GIR_EraseRootFromParent_Done,
     /* 113806 */   // Label 2142: @113806
     /* 113806 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(113905), // Rule ID 6474 //
     /* 113811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 113823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 113836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 113840 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 113844 */     // MIs[2] Operand 1
     /* 113844 */     // No operand predicates
     /* 113844 */     // MIs[0] Rn
     /* 113844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 113848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 113852 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 113854 */     // (st (vector_extract:{ *:[f16] } VecListOne64:{ *:[v4f16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i16 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4f16] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 113854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 113857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 113861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113866 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 113869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 113873 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 113876 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113881 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 113889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 113895 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 113897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 113903 */     GIR_RootConstrainSelectedInstOperands,
     /* 113904 */     // GIR_Coverage, 6474,
     /* 113904 */     GIR_EraseRootFromParent_Done,
     /* 113905 */   // Label 2143: @113905
     /* 113905 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(113954), // Rule ID 305 //
     /* 113910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 113913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 113928 */     // (st FPR16Op:{ *:[f16] }:$Rt, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroW FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 113928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 113931 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 113933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113952 */     GIR_RootConstrainSelectedInstOperands,
     /* 113953 */     // GIR_Coverage, 305,
     /* 113953 */     GIR_EraseRootFromParent_Done,
     /* 113954 */   // Label 2144: @113954
     /* 113954 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(114003), // Rule ID 306 //
     /* 113959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 113962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 113977 */     // (st FPR16Op:{ *:[f16] }:$Rt, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroX FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 113977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 113980 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 113982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114001 */     GIR_RootConstrainSelectedInstOperands,
     /* 114002 */     // GIR_Coverage, 306,
     /* 114002 */     GIR_EraseRootFromParent_Done,
     /* 114003 */   // Label 2145: @114003
     /* 114003 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(114047), // Rule ID 314 //
     /* 114008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 114011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 114015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 114026 */     // (st FPR16Op:{ *:[f16] }:$Rt, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHui FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 114026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 114029 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 114031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114045 */     GIR_RootConstrainSelectedInstOperands,
     /* 114046 */     // GIR_Coverage, 314,
     /* 114046 */     GIR_EraseRootFromParent_Done,
     /* 114047 */   // Label 2146: @114047
     /* 114047 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(114091), // Rule ID 322 //
     /* 114052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 114055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 114059 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 114070 */     // (st FPR16Op:{ *:[f16] }:$Rt, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURHi FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 114070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 114073 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 114075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114089 */     GIR_RootConstrainSelectedInstOperands,
     /* 114090 */     // GIR_Coverage, 322,
     /* 114090 */     GIR_EraseRootFromParent_Done,
     /* 114091 */   // Label 2147: @114091
     /* 114091 */   GIM_Reject,
     /* 114092 */ // Label 2133: @114092
     /* 114092 */ GIM_Reject,
     /* 114093 */ // Label 2107: @114093
     /* 114093 */ GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(114206), // Rule ID 4480 //
     /* 114098 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114101 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114105 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 114112 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114116 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114120 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 114124 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114128 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114133 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114137 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114141 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114143 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 114150 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHroW (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 114150 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 114153 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114157 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114162 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 114168 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 114173 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 114181 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114184 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114189 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114194 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114199 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114204 */   GIR_RootConstrainSelectedInstOperands,
     /* 114205 */   // GIR_Coverage, 4480,
     /* 114205 */   GIR_EraseRootFromParent_Done,
     /* 114206 */ // Label 2148: @114206
     /* 114206 */ GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(114319), // Rule ID 4481 //
     /* 114211 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114214 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114218 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 114225 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114229 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114233 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 114237 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114241 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114246 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114250 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114254 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114256 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 114263 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHroX (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 114263 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 114266 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114270 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114275 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 114281 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 114286 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 114294 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114297 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114302 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114307 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114312 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114317 */   GIR_RootConstrainSelectedInstOperands,
     /* 114318 */   // GIR_Coverage, 4481,
     /* 114318 */   GIR_EraseRootFromParent_Done,
     /* 114319 */ // Label 2149: @114319
     /* 114319 */ GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(114425), // Rule ID 4484 //
     /* 114324 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114327 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114331 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114335 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114339 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114343 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114347 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114352 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114356 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114360 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114362 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 114369 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 114369 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114372 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114376 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114381 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114387 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114392 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 114400 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114403 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114408 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114413 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114418 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114423 */   GIR_RootConstrainSelectedInstOperands,
     /* 114424 */   // GIR_Coverage, 4484,
     /* 114424 */   GIR_EraseRootFromParent_Done,
     /* 114425 */ // Label 2150: @114425
     /* 114425 */ GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(114531), // Rule ID 4485 //
     /* 114430 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114433 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114437 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114441 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114445 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114449 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114453 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114458 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114462 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114466 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114468 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 114475 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 114475 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114478 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114482 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114487 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114493 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114498 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 114506 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114509 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114514 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114519 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114524 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114529 */   GIR_RootConstrainSelectedInstOperands,
     /* 114530 */   // GIR_Coverage, 4485,
     /* 114530 */   GIR_EraseRootFromParent_Done,
     /* 114531 */ // Label 2151: @114531
     /* 114531 */ GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(114637), // Rule ID 4486 //
     /* 114536 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114539 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114543 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114547 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114551 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114555 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114559 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114564 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114568 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114572 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114574 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 114581 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 114581 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114584 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114588 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114593 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114599 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114604 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 114612 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114615 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114620 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114630 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114635 */   GIR_RootConstrainSelectedInstOperands,
     /* 114636 */   // GIR_Coverage, 4486,
     /* 114636 */   GIR_EraseRootFromParent_Done,
     /* 114637 */ // Label 2152: @114637
     /* 114637 */ GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(114743), // Rule ID 4487 //
     /* 114642 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114645 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114649 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114653 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114657 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114661 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114665 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114670 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114678 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114680 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 114687 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 114687 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114690 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114694 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114699 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114705 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114710 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 114718 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114721 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114726 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114731 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114736 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114741 */   GIR_RootConstrainSelectedInstOperands,
     /* 114742 */   // GIR_Coverage, 4487,
     /* 114742 */   GIR_EraseRootFromParent_Done,
     /* 114743 */ // Label 2153: @114743
     /* 114743 */ GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(114849), // Rule ID 13187 //
     /* 114748 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114751 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114755 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114759 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114763 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 114767 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114771 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114776 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114780 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114784 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114786 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 114793 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 114793 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114796 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114800 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114805 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114811 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114816 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 114824 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114827 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114832 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114837 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114842 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114847 */   GIR_RootConstrainSelectedInstOperands,
     /* 114848 */   // GIR_Coverage, 13187,
     /* 114848 */   GIR_EraseRootFromParent_Done,
     /* 114849 */ // Label 2154: @114849
     /* 114849 */ GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(114955), // Rule ID 13188 //
     /* 114854 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114857 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114861 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114865 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114869 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 114873 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114877 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114882 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114886 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114890 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114892 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 114899 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 114899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114911 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114917 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114922 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 114930 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114933 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114938 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114943 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114948 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114953 */   GIR_RootConstrainSelectedInstOperands,
     /* 114954 */   // GIR_Coverage, 13188,
     /* 114954 */   GIR_EraseRootFromParent_Done,
     /* 114955 */ // Label 2155: @114955
     /* 114955 */ GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(115063), // Rule ID 4510 //
     /* 114960 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114963 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114967 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 114974 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114978 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114982 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 114986 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114990 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114995 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114999 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115003 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115005 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 115012 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHui (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 115012 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 115015 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115019 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115024 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 115030 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 115035 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 115043 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115046 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115051 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115056 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115061 */   GIR_RootConstrainSelectedInstOperands,
     /* 115062 */   // GIR_Coverage, 4510,
     /* 115062 */   GIR_EraseRootFromParent_Done,
     /* 115063 */ // Label 2156: @115063
     /* 115063 */ GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(115164), // Rule ID 4512 //
     /* 115068 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115071 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115075 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115079 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115083 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115087 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115091 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115096 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115100 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115104 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115106 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 115113 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 115113 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115116 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115120 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115125 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 115131 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115136 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 115144 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115147 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115152 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115157 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115162 */   GIR_RootConstrainSelectedInstOperands,
     /* 115163 */   // GIR_Coverage, 4512,
     /* 115163 */   GIR_EraseRootFromParent_Done,
     /* 115164 */ // Label 2157: @115164
     /* 115164 */ GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(115265), // Rule ID 4513 //
     /* 115169 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115172 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115176 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115180 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115184 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115188 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115192 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115197 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115201 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115205 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115207 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 115214 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 115214 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115217 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115221 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115226 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 115232 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115237 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 115245 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115248 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115253 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115258 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115263 */   GIR_RootConstrainSelectedInstOperands,
     /* 115264 */   // GIR_Coverage, 4513,
     /* 115264 */   GIR_EraseRootFromParent_Done,
     /* 115265 */ // Label 2158: @115265
     /* 115265 */ GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(115373), // Rule ID 4537 //
     /* 115270 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115273 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115277 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 115284 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115288 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115292 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 115296 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115300 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115305 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115309 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115313 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115315 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 115322 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STURHi (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 115322 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 115325 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115329 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115334 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 115340 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 115345 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 115353 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115356 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115361 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115366 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115371 */   GIR_RootConstrainSelectedInstOperands,
     /* 115372 */   // GIR_Coverage, 4537,
     /* 115372 */   GIR_EraseRootFromParent_Done,
     /* 115373 */ // Label 2159: @115373
     /* 115373 */ GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(115474), // Rule ID 4539 //
     /* 115378 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115381 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115385 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115389 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115393 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115397 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115401 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115406 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115410 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115414 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115416 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 115423 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 115423 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115426 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115430 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115435 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 115441 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115446 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 115454 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115457 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115462 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115467 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115472 */   GIR_RootConstrainSelectedInstOperands,
     /* 115473 */   // GIR_Coverage, 4539,
     /* 115473 */   GIR_EraseRootFromParent_Done,
     /* 115474 */ // Label 2160: @115474
     /* 115474 */ GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(115575), // Rule ID 4540 //
     /* 115479 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115482 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115486 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115490 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115494 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115498 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115502 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115507 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115511 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115515 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115517 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 115524 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 115524 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115527 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115531 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115536 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 115542 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115547 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 115555 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115558 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115563 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115568 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115573 */   GIR_RootConstrainSelectedInstOperands,
     /* 115574 */   // GIR_Coverage, 4540,
     /* 115574 */   GIR_EraseRootFromParent_Done,
     /* 115575 */ // Label 2161: @115575
     /* 115575 */ GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(115676), // Rule ID 13184 //
     /* 115580 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115583 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115587 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115591 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115595 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 115599 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115603 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115608 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115612 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115616 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115618 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 115625 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 115625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115637 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 115643 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115648 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 115656 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115664 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115669 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115674 */   GIR_RootConstrainSelectedInstOperands,
     /* 115675 */   // GIR_Coverage, 13184,
     /* 115675 */   GIR_EraseRootFromParent_Done,
     /* 115676 */ // Label 2162: @115676
     /* 115676 */ GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(115777), // Rule ID 13186 //
     /* 115681 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115684 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115688 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115692 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115696 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 115700 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115704 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115709 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115713 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115717 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115719 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 115726 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 115726 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115729 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115733 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115738 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 115744 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115749 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 115757 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115760 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115765 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115770 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115775 */   GIR_RootConstrainSelectedInstOperands,
     /* 115776 */   // GIR_Coverage, 13186,
     /* 115776 */   GIR_EraseRootFromParent_Done,
     /* 115777 */ // Label 2163: @115777
     /* 115777 */ GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(115859), // Rule ID 6463 //
     /* 115782 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115785 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115789 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 115796 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115800 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115804 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 115808 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115812 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115817 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115821 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115825 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 115829 */   // MIs[2] Operand 1
     /* 115829 */   // No operand predicates
     /* 115829 */   // MIs[0] Rn
     /* 115829 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115837 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115839 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (ST1i8 VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 115842 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115846 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 115849 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 115851 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115857 */   GIR_RootConstrainSelectedInstOperands,
     /* 115858 */   // GIR_Coverage, 6463,
     /* 115858 */   GIR_EraseRootFromParent_Done,
     /* 115859 */ // Label 2164: @115859
     /* 115859 */ GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(115941), // Rule ID 6464 //
     /* 115864 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115867 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115871 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 115878 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115882 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115886 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 115890 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115894 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115899 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115903 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115907 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 115911 */   // MIs[2] Operand 1
     /* 115911 */   // No operand predicates
     /* 115911 */   // MIs[0] Rn
     /* 115911 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115919 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115921 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (ST1i16 VecListOne128:{ *:[v8i16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 115924 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115928 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 115931 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 115933 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115939 */   GIR_RootConstrainSelectedInstOperands,
     /* 115940 */   // GIR_Coverage, 6464,
     /* 115940 */   GIR_EraseRootFromParent_Done,
     /* 115941 */ // Label 2165: @115941
     /* 115941 */ GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(116016), // Rule ID 6465 //
     /* 115946 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115949 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115953 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115957 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115961 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115965 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115969 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115974 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115978 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115982 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 115986 */   // MIs[2] Operand 1
     /* 115986 */   // No operand predicates
     /* 115986 */   // MIs[0] Rn
     /* 115986 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115994 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115996 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 VecListOne128:{ *:[v4i32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 115999 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 116003 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 116006 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 116008 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116014 */   GIR_RootConstrainSelectedInstOperands,
     /* 116015 */   // GIR_Coverage, 6465,
     /* 116015 */   GIR_EraseRootFromParent_Done,
     /* 116016 */ // Label 2166: @116016
     /* 116016 */ GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(116091), // Rule ID 6466 //
     /* 116021 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116024 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116028 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116032 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 116036 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 116040 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 116044 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 116049 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 116053 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116057 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 116061 */   // MIs[2] Operand 1
     /* 116061 */   // No operand predicates
     /* 116061 */   // MIs[0] Rn
     /* 116061 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 116065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 116069 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 116071 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 VecListOne128:{ *:[v4f32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 116071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 116074 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 116078 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 116081 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 116083 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116089 */   GIR_RootConstrainSelectedInstOperands,
     /* 116090 */   // GIR_Coverage, 6466,
     /* 116090 */   GIR_EraseRootFromParent_Done,
     /* 116091 */ // Label 2167: @116091
     /* 116091 */ GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(116204), // Rule ID 6470 //
     /* 116096 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116099 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116103 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 116110 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116114 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 116118 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 116122 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 116126 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116131 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 116135 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116139 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 116143 */   // MIs[2] Operand 1
     /* 116143 */   // No operand predicates
     /* 116143 */   // MIs[0] Rn
     /* 116143 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 116147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 116151 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 116153 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v8i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (ST1i8 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v8i8] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 116153 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 116156 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 116160 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116165 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 116168 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 116172 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 116175 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 116180 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 116188 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116191 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 116194 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 116196 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116202 */   GIR_RootConstrainSelectedInstOperands,
     /* 116203 */   // GIR_Coverage, 6470,
     /* 116203 */   GIR_EraseRootFromParent_Done,
     /* 116204 */ // Label 2168: @116204
     /* 116204 */ GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(116317), // Rule ID 6471 //
     /* 116209 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116212 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116216 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 116223 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116227 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 116231 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 116235 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 116239 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116244 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 116248 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116252 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 116256 */   // MIs[2] Operand 1
     /* 116256 */   // No operand predicates
     /* 116256 */   // MIs[0] Rn
     /* 116256 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 116260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 116264 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 116266 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v4i16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (ST1i16 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4i16] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 116266 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 116269 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 116273 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116278 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 116281 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 116285 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 116288 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 116293 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 116301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116304 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 116307 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 116309 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116315 */   GIR_RootConstrainSelectedInstOperands,
     /* 116316 */   // GIR_Coverage, 6471,
     /* 116316 */   GIR_EraseRootFromParent_Done,
     /* 116317 */ // Label 2169: @116317
     /* 116317 */ GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(116423), // Rule ID 6472 //
     /* 116322 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116325 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116329 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116333 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 116337 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 116341 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 116345 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116350 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 116354 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116358 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 116362 */   // MIs[2] Operand 1
     /* 116362 */   // No operand predicates
     /* 116362 */   // MIs[0] Rn
     /* 116362 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 116366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 116370 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 116372 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2i32] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 116372 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 116375 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 116379 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116384 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 116387 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 116391 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 116394 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 116399 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 116407 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116410 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 116413 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 116415 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116421 */   GIR_RootConstrainSelectedInstOperands,
     /* 116422 */   // GIR_Coverage, 6472,
     /* 116422 */   GIR_EraseRootFromParent_Done,
     /* 116423 */ // Label 2170: @116423
     /* 116423 */ GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(116529), // Rule ID 6473 //
     /* 116428 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116431 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116435 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116439 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 116443 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 116447 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 116451 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116456 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 116460 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116464 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 116468 */   // MIs[2] Operand 1
     /* 116468 */   // No operand predicates
     /* 116468 */   // MIs[0] Rn
     /* 116468 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 116472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 116476 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 116478 */   // (st (vector_extract:{ *:[f32] } VecListOne64:{ *:[v2f32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2f32] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 116478 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 116481 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 116485 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116490 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 116493 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 116497 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 116500 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 116505 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 116513 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116516 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 116519 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 116521 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116527 */   GIR_RootConstrainSelectedInstOperands,
     /* 116528 */   // GIR_Coverage, 6473,
     /* 116528 */   GIR_EraseRootFromParent_Done,
     /* 116529 */ // Label 2171: @116529
     /* 116529 */ GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(116589), // Rule ID 295 //
     /* 116534 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116537 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116541 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 116548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116552 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116556 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 116563 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroW GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 116563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroW),
     /* 116566 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116568 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116573 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116578 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116583 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116587 */   GIR_RootConstrainSelectedInstOperands,
     /* 116588 */   // GIR_Coverage, 295,
     /* 116588 */   GIR_EraseRootFromParent_Done,
     /* 116589 */ // Label 2172: @116589
     /* 116589 */ GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(116649), // Rule ID 296 //
     /* 116594 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116597 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116601 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 116608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116612 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116616 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 116623 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroX GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 116623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroX),
     /* 116626 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116628 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116638 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116643 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116647 */   GIR_RootConstrainSelectedInstOperands,
     /* 116648 */   // GIR_Coverage, 296,
     /* 116648 */   GIR_EraseRootFromParent_Done,
     /* 116649 */ // Label 2173: @116649
     /* 116649 */ GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(116709), // Rule ID 297 //
     /* 116654 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116657 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116661 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 116668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116672 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116676 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 116683 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroW GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 116683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroW),
     /* 116686 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116693 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116698 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116703 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116707 */   GIR_RootConstrainSelectedInstOperands,
     /* 116708 */   // GIR_Coverage, 297,
     /* 116708 */   GIR_EraseRootFromParent_Done,
     /* 116709 */ // Label 2174: @116709
     /* 116709 */ GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(116769), // Rule ID 298 //
     /* 116714 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116717 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116721 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 116728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116732 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116736 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 116743 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroX GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 116743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroX),
     /* 116746 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116748 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116753 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116758 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116763 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116767 */   GIR_RootConstrainSelectedInstOperands,
     /* 116768 */   // GIR_Coverage, 298,
     /* 116768 */   GIR_EraseRootFromParent_Done,
     /* 116769 */ // Label 2175: @116769
     /* 116769 */ GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(116822), // Rule ID 299 //
     /* 116774 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116777 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116785 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116789 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 116796 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRWroW GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 116796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroW),
     /* 116799 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116801 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116806 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116816 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116820 */   GIR_RootConstrainSelectedInstOperands,
     /* 116821 */   // GIR_Coverage, 299,
     /* 116821 */   GIR_EraseRootFromParent_Done,
     /* 116822 */ // Label 2176: @116822
     /* 116822 */ GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(116875), // Rule ID 300 //
     /* 116827 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116830 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116838 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116842 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 116849 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRWroX GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 116849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroX),
     /* 116852 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116854 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116859 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116864 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116869 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116873 */   GIR_RootConstrainSelectedInstOperands,
     /* 116874 */   // GIR_Coverage, 300,
     /* 116874 */   GIR_EraseRootFromParent_Done,
     /* 116875 */ // Label 2177: @116875
     /* 116875 */ GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(116931), // Rule ID 307 //
     /* 116880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 116883 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116886 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 116894 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116898 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 116905 */   // (st FPR32Op:{ *:[f32] }:$Rt, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 116905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 116908 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116910 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116920 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116925 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116929 */   GIR_RootConstrainSelectedInstOperands,
     /* 116930 */   // GIR_Coverage, 307,
     /* 116930 */   GIR_EraseRootFromParent_Done,
     /* 116931 */ // Label 2178: @116931
     /* 116931 */ GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(116987), // Rule ID 308 //
     /* 116936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 116939 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116942 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 116950 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116954 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 116961 */   // (st FPR32Op:{ *:[f32] }:$Rt, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 116961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 116964 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116966 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116971 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116976 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116981 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116985 */   GIR_RootConstrainSelectedInstOperands,
     /* 116986 */   // GIR_Coverage, 308,
     /* 116986 */   GIR_EraseRootFromParent_Done,
     /* 116987 */ // Label 2179: @116987
     /* 116987 */ GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(117039), // Rule ID 312 //
     /* 116992 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116995 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117003 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117007 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 117014 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRWui GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 117014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWui),
     /* 117017 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 117023 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117028 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117033 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117037 */   GIR_RootConstrainSelectedInstOperands,
     /* 117038 */   // GIR_Coverage, 312,
     /* 117038 */   GIR_EraseRootFromParent_Done,
     /* 117039 */ // Label 2180: @117039
     /* 117039 */ GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(117090), // Rule ID 315 //
     /* 117044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 117047 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117050 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 117058 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117062 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 117069 */   // (st FPR32Op:{ *:[f32] }:$Rt, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 117069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 117072 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117084 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117088 */   GIR_RootConstrainSelectedInstOperands,
     /* 117089 */   // GIR_Coverage, 315,
     /* 117089 */   GIR_EraseRootFromParent_Done,
     /* 117090 */ // Label 2181: @117090
     /* 117090 */ GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(117149), // Rule ID 317 //
     /* 117095 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117098 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117102 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 117109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117113 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117117 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 117124 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHui GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 117124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHui),
     /* 117127 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 117133 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117138 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117143 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117147 */   GIR_RootConstrainSelectedInstOperands,
     /* 117148 */   // GIR_Coverage, 317,
     /* 117148 */   GIR_EraseRootFromParent_Done,
     /* 117149 */ // Label 2182: @117149
     /* 117149 */ GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(117208), // Rule ID 318 //
     /* 117154 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117157 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117161 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117172 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117176 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 117183 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBui GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 117183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBui),
     /* 117186 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 117192 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117197 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117202 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117206 */   GIR_RootConstrainSelectedInstOperands,
     /* 117207 */   // GIR_Coverage, 318,
     /* 117207 */   GIR_EraseRootFromParent_Done,
     /* 117208 */ // Label 2183: @117208
     /* 117208 */ GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(117285), // Rule ID 7096 //
     /* 117213 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117216 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117223 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117226 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117230 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 117234 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 117238 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 117243 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117247 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117249 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 117256 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15914>>  =>  (STRSroW FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 117256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 117259 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 117263 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117268 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117273 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117278 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117283 */   GIR_RootConstrainSelectedInstOperands,
     /* 117284 */   // GIR_Coverage, 7096,
     /* 117284 */   GIR_EraseRootFromParent_Done,
     /* 117285 */ // Label 2184: @117285
     /* 117285 */ GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(117362), // Rule ID 7097 //
     /* 117290 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117293 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117300 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117303 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117307 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 117311 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 117315 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 117320 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117324 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117326 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 117333 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15914>>  =>  (STRSroX FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 117333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 117336 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 117340 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117345 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117350 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117355 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117360 */   GIR_RootConstrainSelectedInstOperands,
     /* 117361 */   // GIR_Coverage, 7097,
     /* 117361 */   GIR_EraseRootFromParent_Done,
     /* 117362 */ // Label 2185: @117362
     /* 117362 */ GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(117421), // Rule ID 7077 //
     /* 117367 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117370 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117377 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117384 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117388 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 117395 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15900>>  =>  (STRBBroW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 117395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroW),
     /* 117398 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117400 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117405 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117410 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117415 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117419 */   GIR_RootConstrainSelectedInstOperands,
     /* 117420 */   // GIR_Coverage, 7077,
     /* 117420 */   GIR_EraseRootFromParent_Done,
     /* 117421 */ // Label 2186: @117421
     /* 117421 */ GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(117480), // Rule ID 7078 //
     /* 117426 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117429 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117436 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117443 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117447 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 117454 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15900>>  =>  (STRBBroX GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 117454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroX),
     /* 117457 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117459 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117464 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117469 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117474 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117478 */   GIR_RootConstrainSelectedInstOperands,
     /* 117479 */   // GIR_Coverage, 7078,
     /* 117479 */   GIR_EraseRootFromParent_Done,
     /* 117480 */ // Label 2187: @117480
     /* 117480 */ GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(117539), // Rule ID 7082 //
     /* 117485 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117488 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 117495 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117502 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117506 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 117513 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15907>>  =>  (STRHHroW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 117513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroW),
     /* 117516 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117518 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117523 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117528 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117533 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117537 */   GIR_RootConstrainSelectedInstOperands,
     /* 117538 */   // GIR_Coverage, 7082,
     /* 117538 */   GIR_EraseRootFromParent_Done,
     /* 117539 */ // Label 2188: @117539
     /* 117539 */ GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(117598), // Rule ID 7083 //
     /* 117544 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117547 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 117554 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117561 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117565 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 117572 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15907>>  =>  (STRHHroX GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 117572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroX),
     /* 117575 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117577 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117582 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117587 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117592 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117596 */   GIR_RootConstrainSelectedInstOperands,
     /* 117597 */   // GIR_Coverage, 7083,
     /* 117597 */   GIR_EraseRootFromParent_Done,
     /* 117598 */ // Label 2189: @117598
     /* 117598 */ GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(117657), // Rule ID 7087 //
     /* 117603 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117606 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117613 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117620 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117624 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 117631 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15914>>  =>  (STRWroW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 117631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroW),
     /* 117634 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117636 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117641 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117646 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117651 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117655 */   GIR_RootConstrainSelectedInstOperands,
     /* 117656 */   // GIR_Coverage, 7087,
     /* 117656 */   GIR_EraseRootFromParent_Done,
     /* 117657 */ // Label 2190: @117657
     /* 117657 */ GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(117716), // Rule ID 7088 //
     /* 117662 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117665 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117672 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117679 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117683 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 117690 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15914>>  =>  (STRWroX GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 117690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroX),
     /* 117693 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117695 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117700 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117710 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117714 */   GIR_RootConstrainSelectedInstOperands,
     /* 117715 */   // GIR_Coverage, 7088,
     /* 117715 */   GIR_EraseRootFromParent_Done,
     /* 117716 */ // Label 2191: @117716
     /* 117716 */ GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(117788), // Rule ID 7098 //
     /* 117721 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117724 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117731 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117734 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117738 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 117742 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 117746 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 117751 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117755 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117757 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 117764 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15914>>  =>  (STRSui FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 117764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 117767 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 117771 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117776 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117781 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117786 */   GIR_RootConstrainSelectedInstOperands,
     /* 117787 */   // GIR_Coverage, 7098,
     /* 117787 */   GIR_EraseRootFromParent_Done,
     /* 117788 */ // Label 2192: @117788
     /* 117788 */ GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(117860), // Rule ID 7099 //
     /* 117793 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117796 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117803 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117806 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117810 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 117814 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 117818 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 117823 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117827 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117829 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 117836 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15914>>  =>  (STURSi FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 117839 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 117843 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117848 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117853 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117858 */   GIR_RootConstrainSelectedInstOperands,
     /* 117859 */   // GIR_Coverage, 7099,
     /* 117859 */   GIR_EraseRootFromParent_Done,
     /* 117860 */ // Label 2193: @117860
     /* 117860 */ GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(117912), // Rule ID 320 //
     /* 117865 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117868 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117876 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117880 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 117887 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURWi GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 117887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURWi),
     /* 117890 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 117896 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117901 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117906 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117910 */   GIR_RootConstrainSelectedInstOperands,
     /* 117911 */   // GIR_Coverage, 320,
     /* 117911 */   GIR_EraseRootFromParent_Done,
     /* 117912 */ // Label 2194: @117912
     /* 117912 */ GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(117963), // Rule ID 323 //
     /* 117917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 117920 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117923 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 117931 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117935 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 117942 */   // (st FPR32Op:{ *:[f32] }:$Rt, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 117942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 117945 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117947 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117952 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117957 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117961 */   GIR_RootConstrainSelectedInstOperands,
     /* 117962 */   // GIR_Coverage, 323,
     /* 117962 */   GIR_EraseRootFromParent_Done,
     /* 117963 */ // Label 2195: @117963
     /* 117963 */ GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(118022), // Rule ID 326 //
     /* 117968 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117971 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117975 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 117982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117986 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117990 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 117997 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STURHHi GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 117997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHHi),
     /* 118000 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 118006 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118011 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118016 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118020 */   GIR_RootConstrainSelectedInstOperands,
     /* 118021 */   // GIR_Coverage, 326,
     /* 118021 */   GIR_EraseRootFromParent_Done,
     /* 118022 */ // Label 2196: @118022
     /* 118022 */ GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(118081), // Rule ID 327 //
     /* 118027 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118030 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118034 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 118041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118045 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118049 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 118056 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STURBBi GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 118056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBBi),
     /* 118059 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 118065 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118070 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118075 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118079 */   GIR_RootConstrainSelectedInstOperands,
     /* 118080 */   // GIR_Coverage, 327,
     /* 118080 */   GIR_EraseRootFromParent_Done,
     /* 118081 */ // Label 2197: @118081
     /* 118081 */ GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(118135), // Rule ID 7079 //
     /* 118086 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118089 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 118096 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118103 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118107 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 118114 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15900>>  =>  (STRBBui GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 118114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBui),
     /* 118117 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118119 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118124 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118129 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118133 */   GIR_RootConstrainSelectedInstOperands,
     /* 118134 */   // GIR_Coverage, 7079,
     /* 118134 */   GIR_EraseRootFromParent_Done,
     /* 118135 */ // Label 2198: @118135
     /* 118135 */ GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(118189), // Rule ID 7080 //
     /* 118140 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118143 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 118150 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118157 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118161 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 118168 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15900>>  =>  (STURBBi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBBi),
     /* 118171 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118173 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118178 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118183 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118187 */   GIR_RootConstrainSelectedInstOperands,
     /* 118188 */   // GIR_Coverage, 7080,
     /* 118188 */   GIR_EraseRootFromParent_Done,
     /* 118189 */ // Label 2199: @118189
     /* 118189 */ GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(118243), // Rule ID 7084 //
     /* 118194 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118197 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 118204 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118211 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118215 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 118222 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15907>>  =>  (STRHHui GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 118222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHui),
     /* 118225 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118227 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118232 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118237 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118241 */   GIR_RootConstrainSelectedInstOperands,
     /* 118242 */   // GIR_Coverage, 7084,
     /* 118242 */   GIR_EraseRootFromParent_Done,
     /* 118243 */ // Label 2200: @118243
     /* 118243 */ GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(118297), // Rule ID 7085 //
     /* 118248 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118251 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 118258 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118265 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118269 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 118276 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15907>>  =>  (STURHHi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHHi),
     /* 118279 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118281 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118286 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118291 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118295 */   GIR_RootConstrainSelectedInstOperands,
     /* 118296 */   // GIR_Coverage, 7085,
     /* 118296 */   GIR_EraseRootFromParent_Done,
     /* 118297 */ // Label 2201: @118297
     /* 118297 */ GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(118351), // Rule ID 7089 //
     /* 118302 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118305 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 118312 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118319 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118323 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 118330 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15914>>  =>  (STRWui GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 118330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWui),
     /* 118333 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118335 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118340 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118345 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118349 */   GIR_RootConstrainSelectedInstOperands,
     /* 118350 */   // GIR_Coverage, 7089,
     /* 118350 */   GIR_EraseRootFromParent_Done,
     /* 118351 */ // Label 2202: @118351
     /* 118351 */ GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(118405), // Rule ID 7090 //
     /* 118356 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118359 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 118366 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118373 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118377 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 118384 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15914>>  =>  (STURWi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURWi),
     /* 118387 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118389 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118394 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118399 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118403 */   GIR_RootConstrainSelectedInstOperands,
     /* 118404 */   // GIR_Coverage, 7090,
     /* 118404 */   GIR_EraseRootFromParent_Done,
     /* 118405 */ // Label 2203: @118405
     /* 118405 */ GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(118462), // Rule ID 7422 //
     /* 118410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 118413 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118416 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 118423 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118430 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118434 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 118441 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15898>>  =>  (STLURBi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURBi),
     /* 118444 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118446 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118451 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118456 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118460 */   GIR_RootConstrainSelectedInstOperands,
     /* 118461 */   // GIR_Coverage, 7422,
     /* 118461 */   GIR_EraseRootFromParent_Done,
     /* 118462 */ // Label 2204: @118462
     /* 118462 */ GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(118519), // Rule ID 7423 //
     /* 118467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 118470 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118473 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 118480 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118487 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118491 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 118498 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15905>>  =>  (STLURHi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURHi),
     /* 118501 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118508 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118513 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118517 */   GIR_RootConstrainSelectedInstOperands,
     /* 118518 */   // GIR_Coverage, 7423,
     /* 118518 */   GIR_EraseRootFromParent_Done,
     /* 118519 */ // Label 2205: @118519
     /* 118519 */ GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(118576), // Rule ID 7424 //
     /* 118524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 118527 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118530 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 118537 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118544 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118548 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 118555 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15912>>  =>  (STLURWi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURWi),
     /* 118558 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118560 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118565 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118570 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118574 */   GIR_RootConstrainSelectedInstOperands,
     /* 118575 */   // GIR_Coverage, 7424,
     /* 118575 */   GIR_EraseRootFromParent_Done,
     /* 118576 */ // Label 2206: @118576
     /* 118576 */ GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(118613), // Rule ID 7076 //
     /* 118581 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118584 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 118591 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118598 */   // MIs[0] ptr
     /* 118598 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 118606 */   // (atomic_store GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15898>>  =>  (STLRB GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 118606 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRB),
     /* 118611 */   GIR_RootConstrainSelectedInstOperands,
     /* 118612 */   // GIR_Coverage, 7076,
     /* 118612 */   GIR_Done,
     /* 118613 */ // Label 2207: @118613
     /* 118613 */ GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(118650), // Rule ID 7081 //
     /* 118618 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118621 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 118628 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118635 */   // MIs[0] ptr
     /* 118635 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 118643 */   // (atomic_store GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15905>>  =>  (STLRH GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 118643 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRH),
     /* 118648 */   GIR_RootConstrainSelectedInstOperands,
     /* 118649 */   // GIR_Coverage, 7081,
     /* 118649 */   GIR_Done,
     /* 118650 */ // Label 2208: @118650
     /* 118650 */ GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(118687), // Rule ID 7086 //
     /* 118655 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118658 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 118665 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118672 */   // MIs[0] ptr
     /* 118672 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 118680 */   // (atomic_store GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15912>>  =>  (STLRW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 118680 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRW),
     /* 118685 */   GIR_RootConstrainSelectedInstOperands,
     /* 118686 */   // GIR_Coverage, 7086,
     /* 118686 */   GIR_Done,
     /* 118687 */ // Label 2209: @118687
     /* 118687 */ GIM_Reject,
     /* 118688 */ // Label 2108: @118688
     /* 118688 */ GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(118794), // Rule ID 4488 //
     /* 118693 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118696 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118700 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118704 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118708 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118712 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118716 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118721 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118725 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118729 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118731 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 118738 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 118738 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118741 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118745 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118750 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118756 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118761 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 118769 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118772 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118777 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118782 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118787 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118792 */   GIR_RootConstrainSelectedInstOperands,
     /* 118793 */   // GIR_Coverage, 4488,
     /* 118793 */   GIR_EraseRootFromParent_Done,
     /* 118794 */ // Label 2210: @118794
     /* 118794 */ GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(118900), // Rule ID 4489 //
     /* 118799 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118802 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118806 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118810 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118814 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118818 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118822 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118827 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118831 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118835 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118837 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 118844 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 118844 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118847 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118851 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118856 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118862 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118867 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 118875 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118878 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118883 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118888 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118893 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118898 */   GIR_RootConstrainSelectedInstOperands,
     /* 118899 */   // GIR_Coverage, 4489,
     /* 118899 */   GIR_EraseRootFromParent_Done,
     /* 118900 */ // Label 2211: @118900
     /* 118900 */ GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(119006), // Rule ID 4490 //
     /* 118905 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118908 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118912 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118916 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118920 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118924 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118928 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118933 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118937 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118941 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118943 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 118950 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 118950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118962 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118968 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118973 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 118981 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118984 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118989 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118999 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119004 */   GIR_RootConstrainSelectedInstOperands,
     /* 119005 */   // GIR_Coverage, 4490,
     /* 119005 */   GIR_EraseRootFromParent_Done,
     /* 119006 */ // Label 2212: @119006
     /* 119006 */ GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(119112), // Rule ID 4491 //
     /* 119011 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119014 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119018 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 119022 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 119026 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 119030 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 119034 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119039 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 119043 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119047 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119049 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 119056 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 119056 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119059 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119063 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119068 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 119074 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119079 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 119087 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119090 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119095 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119100 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119105 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119110 */   GIR_RootConstrainSelectedInstOperands,
     /* 119111 */   // GIR_Coverage, 4491,
     /* 119111 */   GIR_EraseRootFromParent_Done,
     /* 119112 */ // Label 2213: @119112
     /* 119112 */ GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(119213), // Rule ID 4514 //
     /* 119117 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119120 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119124 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 119128 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 119132 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 119136 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 119140 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119145 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 119149 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119153 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119155 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 119162 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 119162 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119165 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119169 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119174 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 119180 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119185 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 119193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119196 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119201 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119206 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119211 */   GIR_RootConstrainSelectedInstOperands,
     /* 119212 */   // GIR_Coverage, 4514,
     /* 119212 */   GIR_EraseRootFromParent_Done,
     /* 119213 */ // Label 2214: @119213
     /* 119213 */ GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(119314), // Rule ID 4515 //
     /* 119218 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119221 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119225 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 119229 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 119233 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 119237 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 119241 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119246 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 119250 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119254 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119256 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 119263 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 119263 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119266 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119270 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119275 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 119281 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119286 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 119294 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119297 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119302 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119307 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119312 */   GIR_RootConstrainSelectedInstOperands,
     /* 119313 */   // GIR_Coverage, 4515,
     /* 119313 */   GIR_EraseRootFromParent_Done,
     /* 119314 */ // Label 2215: @119314
     /* 119314 */ GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(119415), // Rule ID 4541 //
     /* 119319 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119322 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119326 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 119330 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 119334 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 119338 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 119342 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119347 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 119351 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119355 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119357 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 119364 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 119364 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119367 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119371 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119376 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 119382 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119387 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 119395 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119398 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119403 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119408 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119413 */   GIR_RootConstrainSelectedInstOperands,
     /* 119414 */   // GIR_Coverage, 4541,
     /* 119414 */   GIR_EraseRootFromParent_Done,
     /* 119415 */ // Label 2216: @119415
     /* 119415 */ GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(119516), // Rule ID 4542 //
     /* 119420 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119423 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119427 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 119431 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 119435 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 119439 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 119443 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119448 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 119452 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119456 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119458 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 119465 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 119465 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119468 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119472 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119477 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 119483 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119488 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 119496 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119499 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119504 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119509 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119514 */   GIR_RootConstrainSelectedInstOperands,
     /* 119515 */   // GIR_Coverage, 4542,
     /* 119515 */   GIR_EraseRootFromParent_Done,
     /* 119516 */ // Label 2217: @119516
     /* 119516 */ GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(119591), // Rule ID 6467 //
     /* 119521 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119524 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119528 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 119532 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 119536 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 119540 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 119544 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119549 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 119553 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119557 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 119561 */   // MIs[2] Operand 1
     /* 119561 */   // No operand predicates
     /* 119561 */   // MIs[0] Rn
     /* 119561 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 119565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 119569 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 119571 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i64 VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 119571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i64),
     /* 119574 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 119578 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 119581 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 119583 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 119589 */   GIR_RootConstrainSelectedInstOperands,
     /* 119590 */   // GIR_Coverage, 6467,
     /* 119590 */   GIR_EraseRootFromParent_Done,
     /* 119591 */ // Label 2218: @119591
     /* 119591 */ GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(119666), // Rule ID 6468 //
     /* 119596 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119599 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119603 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 119607 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 119611 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 119615 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 119619 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119624 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 119628 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119632 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 119636 */   // MIs[2] Operand 1
     /* 119636 */   // No operand predicates
     /* 119636 */   // MIs[0] Rn
     /* 119636 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 119640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 119644 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 119646 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i64 VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 119646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i64),
     /* 119649 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 119653 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 119656 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 119658 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 119664 */   GIR_RootConstrainSelectedInstOperands,
     /* 119665 */   // GIR_Coverage, 6468,
     /* 119665 */   GIR_EraseRootFromParent_Done,
     /* 119666 */ // Label 2219: @119666
     /* 119666 */ GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(119719), // Rule ID 301 //
     /* 119671 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119674 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119682 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119686 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 119693 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRXroW GPR64:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 119693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroW),
     /* 119696 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119698 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119703 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119708 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119713 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119717 */   GIR_RootConstrainSelectedInstOperands,
     /* 119718 */   // GIR_Coverage, 301,
     /* 119718 */   GIR_EraseRootFromParent_Done,
     /* 119719 */ // Label 2220: @119719
     /* 119719 */ GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(119772), // Rule ID 302 //
     /* 119724 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119727 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119735 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119739 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 119746 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRXroX GPR64:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 119746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroX),
     /* 119749 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119751 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119756 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119766 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119770 */   GIR_RootConstrainSelectedInstOperands,
     /* 119771 */   // GIR_Coverage, 302,
     /* 119771 */   GIR_EraseRootFromParent_Done,
     /* 119772 */ // Label 2221: @119772
     /* 119772 */ GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(119828), // Rule ID 309 //
     /* 119777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 119780 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119783 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119791 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119795 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 119802 */   // (st FPR64Op:{ *:[f64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 119802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 119805 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119812 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119817 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119822 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119826 */   GIR_RootConstrainSelectedInstOperands,
     /* 119827 */   // GIR_Coverage, 309,
     /* 119827 */   GIR_EraseRootFromParent_Done,
     /* 119828 */ // Label 2222: @119828
     /* 119828 */ GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(119884), // Rule ID 310 //
     /* 119833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 119836 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119839 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119847 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119851 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 119858 */   // (st FPR64Op:{ *:[f64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 119858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 119861 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119863 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119868 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119873 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119878 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119882 */   GIR_RootConstrainSelectedInstOperands,
     /* 119883 */   // GIR_Coverage, 310,
     /* 119883 */   GIR_EraseRootFromParent_Done,
     /* 119884 */ // Label 2223: @119884
     /* 119884 */ GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(119973), // Rule ID 4446 //
     /* 119889 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119892 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119896 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 119903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119907 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119911 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 119918 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroW (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 119918 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119921 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119925 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119930 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 119936 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 119941 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroW),
     /* 119949 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119952 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119957 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119962 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119967 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119971 */   GIR_RootConstrainSelectedInstOperands,
     /* 119972 */   // GIR_Coverage, 4446,
     /* 119972 */   GIR_EraseRootFromParent_Done,
     /* 119973 */ // Label 2224: @119973
     /* 119973 */ GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(120062), // Rule ID 4447 //
     /* 119978 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119981 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119985 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 119992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119996 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120000 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 120007 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroX (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 120007 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120010 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120014 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120019 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120025 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120030 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroX),
     /* 120038 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120041 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120046 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120051 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120056 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120060 */   GIR_RootConstrainSelectedInstOperands,
     /* 120061 */   // GIR_Coverage, 4447,
     /* 120061 */   GIR_EraseRootFromParent_Done,
     /* 120062 */ // Label 2225: @120062
     /* 120062 */ GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(120151), // Rule ID 4448 //
     /* 120067 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120070 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120074 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 120081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120085 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120089 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 120096 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroW (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 120096 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120099 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120103 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120108 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120114 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120119 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroW),
     /* 120127 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120130 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120135 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120140 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120145 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120149 */   GIR_RootConstrainSelectedInstOperands,
     /* 120150 */   // GIR_Coverage, 4448,
     /* 120150 */   GIR_EraseRootFromParent_Done,
     /* 120151 */ // Label 2226: @120151
     /* 120151 */ GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(120240), // Rule ID 4449 //
     /* 120156 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120159 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120163 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 120170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120174 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120178 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 120185 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroX (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 120185 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120188 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120192 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120197 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120203 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120208 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroX),
     /* 120216 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120219 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120224 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120229 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120234 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120238 */   GIR_RootConstrainSelectedInstOperands,
     /* 120239 */   // GIR_Coverage, 4449,
     /* 120239 */   GIR_EraseRootFromParent_Done,
     /* 120240 */ // Label 2227: @120240
     /* 120240 */ GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(120329), // Rule ID 4450 //
     /* 120245 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120248 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120252 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 120259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120263 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120267 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 120274 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STRWroW (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 120274 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120277 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120281 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120286 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120292 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120297 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroW),
     /* 120305 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120308 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120313 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120318 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120323 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120327 */   GIR_RootConstrainSelectedInstOperands,
     /* 120328 */   // GIR_Coverage, 4450,
     /* 120328 */   GIR_EraseRootFromParent_Done,
     /* 120329 */ // Label 2228: @120329
     /* 120329 */ GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(120418), // Rule ID 4451 //
     /* 120334 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120337 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120341 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 120348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120352 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120356 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 120363 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STRWroX (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 120363 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120366 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120370 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120375 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120381 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120386 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroX),
     /* 120394 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120397 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120402 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120407 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120412 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120416 */   GIR_RootConstrainSelectedInstOperands,
     /* 120417 */   // GIR_Coverage, 4451,
     /* 120417 */   GIR_EraseRootFromParent_Done,
     /* 120418 */ // Label 2229: @120418
     /* 120418 */ GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(120471), // Rule ID 4462 //
     /* 120423 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120426 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120434 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120438 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 120445 */   // (st FPR64:{ *:[v1i64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 120445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 120448 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120450 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120455 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120460 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120465 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120469 */   GIR_RootConstrainSelectedInstOperands,
     /* 120470 */   // GIR_Coverage, 4462,
     /* 120470 */   GIR_EraseRootFromParent_Done,
     /* 120471 */ // Label 2230: @120471
     /* 120471 */ GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(120524), // Rule ID 4463 //
     /* 120476 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120479 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120487 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120491 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 120498 */   // (st FPR64:{ *:[v1i64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 120498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 120501 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120508 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120513 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120518 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120522 */   GIR_RootConstrainSelectedInstOperands,
     /* 120523 */   // GIR_Coverage, 4463,
     /* 120523 */   GIR_EraseRootFromParent_Done,
     /* 120524 */ // Label 2231: @120524
     /* 120524 */ GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(120577), // Rule ID 4464 //
     /* 120529 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120532 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120540 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120544 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 120551 */   // (st FPR64:{ *:[v1f64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 120551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 120554 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120561 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120566 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120571 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120575 */   GIR_RootConstrainSelectedInstOperands,
     /* 120576 */   // GIR_Coverage, 4464,
     /* 120576 */   GIR_EraseRootFromParent_Done,
     /* 120577 */ // Label 2232: @120577
     /* 120577 */ GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(120630), // Rule ID 4465 //
     /* 120582 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120585 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120593 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120597 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 120604 */   // (st FPR64:{ *:[v1f64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 120604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 120607 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120609 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120614 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120624 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120628 */   GIR_RootConstrainSelectedInstOperands,
     /* 120629 */   // GIR_Coverage, 4465,
     /* 120629 */   GIR_EraseRootFromParent_Done,
     /* 120630 */ // Label 2233: @120630
     /* 120630 */ GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(120682), // Rule ID 311 //
     /* 120635 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120638 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120646 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120650 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 120657 */   // (st GPR64z:{ *:[i64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRXui GPR64z:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 120657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXui),
     /* 120660 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::XZR), // Rt
     /* 120666 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120671 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120676 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120680 */   GIR_RootConstrainSelectedInstOperands,
     /* 120681 */   // GIR_Coverage, 311,
     /* 120681 */   GIR_EraseRootFromParent_Done,
     /* 120682 */ // Label 2234: @120682
     /* 120682 */ GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(120733), // Rule ID 316 //
     /* 120687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 120690 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120693 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120701 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120705 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 120712 */   // (st FPR64Op:{ *:[f64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 120712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 120715 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120717 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120722 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120727 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120731 */   GIR_RootConstrainSelectedInstOperands,
     /* 120732 */   // GIR_Coverage, 316,
     /* 120732 */   GIR_EraseRootFromParent_Done,
     /* 120733 */ // Label 2235: @120733
     /* 120733 */ GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(120781), // Rule ID 4492 //
     /* 120738 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120741 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120749 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120753 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 120760 */   // (st FPR64:{ *:[v1i64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 120760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 120763 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120765 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120770 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120775 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120779 */   GIR_RootConstrainSelectedInstOperands,
     /* 120780 */   // GIR_Coverage, 4492,
     /* 120780 */   GIR_EraseRootFromParent_Done,
     /* 120781 */ // Label 2236: @120781
     /* 120781 */ GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(120829), // Rule ID 4493 //
     /* 120786 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120789 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120797 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120801 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 120808 */   // (st FPR64:{ *:[v1f64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 120808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 120811 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120813 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120818 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120823 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120827 */   GIR_RootConstrainSelectedInstOperands,
     /* 120828 */   // GIR_Coverage, 4493,
     /* 120828 */   GIR_EraseRootFromParent_Done,
     /* 120829 */ // Label 2237: @120829
     /* 120829 */ GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(120913), // Rule ID 4507 //
     /* 120834 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120837 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120841 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 120848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120852 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120856 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 120863 */   // (st GPR64:{ *:[i64] }:$Rt, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STRWui (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 120863 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120866 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120870 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120875 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120881 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120886 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWui),
     /* 120894 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120897 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120902 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120907 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120911 */   GIR_RootConstrainSelectedInstOperands,
     /* 120912 */   // GIR_Coverage, 4507,
     /* 120912 */   GIR_EraseRootFromParent_Done,
     /* 120913 */ // Label 2238: @120913
     /* 120913 */ GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(120997), // Rule ID 4508 //
     /* 120918 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120921 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120925 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 120932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120936 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120940 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 120947 */   // (st GPR64:{ *:[i64] }:$Rt, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHui (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 120947 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120950 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120954 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120959 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120965 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120970 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHui),
     /* 120978 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120981 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120986 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120991 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120995 */   GIR_RootConstrainSelectedInstOperands,
     /* 120996 */   // GIR_Coverage, 4508,
     /* 120996 */   GIR_EraseRootFromParent_Done,
     /* 120997 */ // Label 2239: @120997
     /* 120997 */ GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(121081), // Rule ID 4509 //
     /* 121002 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121005 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121009 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 121016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121020 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121024 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 121031 */   // (st GPR64:{ *:[i64] }:$Rt, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBui (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 121031 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121034 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121038 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121043 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 121049 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121054 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBui),
     /* 121062 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121065 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121070 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121075 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121079 */   GIR_RootConstrainSelectedInstOperands,
     /* 121080 */   // GIR_Coverage, 4509,
     /* 121080 */   GIR_EraseRootFromParent_Done,
     /* 121081 */ // Label 2240: @121081
     /* 121081 */ GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(121158), // Rule ID 7100 //
     /* 121086 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121089 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121096 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121099 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 121103 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 121107 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 121111 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121116 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121120 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121122 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 121129 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15921>>  =>  (STRDroW FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 121129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 121132 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 121136 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121141 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121151 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121156 */   GIR_RootConstrainSelectedInstOperands,
     /* 121157 */   // GIR_Coverage, 7100,
     /* 121157 */   GIR_EraseRootFromParent_Done,
     /* 121158 */ // Label 2241: @121158
     /* 121158 */ GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(121235), // Rule ID 7101 //
     /* 121163 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121166 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121173 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121176 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 121180 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 121184 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 121188 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121193 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121197 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121199 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 121206 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15921>>  =>  (STRDroX FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 121206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 121209 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 121213 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121218 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121223 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121228 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121233 */   GIR_RootConstrainSelectedInstOperands,
     /* 121234 */   // GIR_Coverage, 7101,
     /* 121234 */   GIR_EraseRootFromParent_Done,
     /* 121235 */ // Label 2242: @121235
     /* 121235 */ GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(121294), // Rule ID 7092 //
     /* 121240 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121243 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121250 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121257 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121261 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 121268 */   // (atomic_store GPR64:{ *:[i64] }:$val, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15921>>  =>  (STRXroW GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 121268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroW),
     /* 121271 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 121273 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121278 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121283 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121288 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121292 */   GIR_RootConstrainSelectedInstOperands,
     /* 121293 */   // GIR_Coverage, 7092,
     /* 121293 */   GIR_EraseRootFromParent_Done,
     /* 121294 */ // Label 2243: @121294
     /* 121294 */ GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(121353), // Rule ID 7093 //
     /* 121299 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121302 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121309 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121316 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121320 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 121327 */   // (atomic_store GPR64:{ *:[i64] }:$val, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15921>>  =>  (STRXroX GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 121327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroX),
     /* 121330 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 121332 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121337 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121342 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121347 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121351 */   GIR_RootConstrainSelectedInstOperands,
     /* 121352 */   // GIR_Coverage, 7093,
     /* 121352 */   GIR_EraseRootFromParent_Done,
     /* 121353 */ // Label 2244: @121353
     /* 121353 */ GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(121425), // Rule ID 7102 //
     /* 121358 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121361 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121368 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121371 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 121375 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 121379 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 121383 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121388 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121392 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121394 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 121401 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15921>>  =>  (STRDui FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 121401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 121404 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 121408 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121413 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121418 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121423 */   GIR_RootConstrainSelectedInstOperands,
     /* 121424 */   // GIR_Coverage, 7102,
     /* 121424 */   GIR_EraseRootFromParent_Done,
     /* 121425 */ // Label 2245: @121425
     /* 121425 */ GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(121497), // Rule ID 7103 //
     /* 121430 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121433 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121440 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121443 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 121447 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 121451 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 121455 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121460 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121464 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121466 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121473 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15921>>  =>  (STURDi FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 121476 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 121480 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121485 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121490 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121495 */   GIR_RootConstrainSelectedInstOperands,
     /* 121496 */   // GIR_Coverage, 7103,
     /* 121496 */   GIR_EraseRootFromParent_Done,
     /* 121497 */ // Label 2246: @121497
     /* 121497 */ GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(121594), // Rule ID 7414 //
     /* 121502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 121505 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121508 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121515 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121518 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 121522 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 121526 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 121530 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 121534 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 121538 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 121542 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 121546 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 121551 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 121555 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 121559 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 121563 */   // MIs[3] Operand 1
     /* 121563 */   // No operand predicates
     /* 121563 */   // MIs[0] Rn
     /* 121563 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121571 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 121573 */   // (atomic_store (bitconvert:{ *:[i64] } (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15919>>  =>  (STL1 VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 121573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STL1),
     /* 121576 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vt
     /* 121580 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 121583 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121585 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /* 121592 */   GIR_RootConstrainSelectedInstOperands,
     /* 121593 */   // GIR_Coverage, 7414,
     /* 121593 */   GIR_EraseRootFromParent_Done,
     /* 121594 */ // Label 2247: @121594
     /* 121594 */ GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(121646), // Rule ID 319 //
     /* 121599 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121602 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121610 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121614 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121621 */   // (st GPR64z:{ *:[i64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURXi GPR64z:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 121621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURXi),
     /* 121624 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::XZR), // Rt
     /* 121630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121635 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121640 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121644 */   GIR_RootConstrainSelectedInstOperands,
     /* 121645 */   // GIR_Coverage, 319,
     /* 121645 */   GIR_EraseRootFromParent_Done,
     /* 121646 */ // Label 2248: @121646
     /* 121646 */ GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(121697), // Rule ID 324 //
     /* 121651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 121654 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121657 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121665 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121669 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121676 */   // (st FPR64Op:{ *:[f64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 121676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 121679 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121681 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121686 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121691 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121695 */   GIR_RootConstrainSelectedInstOperands,
     /* 121696 */   // GIR_Coverage, 324,
     /* 121696 */   GIR_EraseRootFromParent_Done,
     /* 121697 */ // Label 2249: @121697
     /* 121697 */ GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(121751), // Rule ID 7094 //
     /* 121702 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121705 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121712 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121719 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121723 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 121730 */   // (atomic_store GPR64:{ *:[i64] }:$val, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15921>>  =>  (STRXui GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 121730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXui),
     /* 121733 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 121735 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121740 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121745 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121749 */   GIR_RootConstrainSelectedInstOperands,
     /* 121750 */   // GIR_Coverage, 7094,
     /* 121750 */   GIR_EraseRootFromParent_Done,
     /* 121751 */ // Label 2250: @121751
     /* 121751 */ GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(121805), // Rule ID 7095 //
     /* 121756 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121759 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121766 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121773 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121777 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121784 */   // (atomic_store GPR64:{ *:[i64] }:$val, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15921>>  =>  (STURXi GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURXi),
     /* 121787 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 121789 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121794 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121799 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121803 */   GIR_RootConstrainSelectedInstOperands,
     /* 121804 */   // GIR_Coverage, 7095,
     /* 121804 */   GIR_EraseRootFromParent_Done,
     /* 121805 */ // Label 2251: @121805
     /* 121805 */ GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(121862), // Rule ID 7425 //
     /* 121810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 121813 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121816 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121823 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121830 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121834 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121841 */   // (atomic_store GPR64:{ *:[i64] }:$val, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15919>>  =>  (STLURXi GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURXi),
     /* 121844 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 121846 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121851 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121856 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121860 */   GIR_RootConstrainSelectedInstOperands,
     /* 121861 */   // GIR_Coverage, 7425,
     /* 121861 */   GIR_EraseRootFromParent_Done,
     /* 121862 */ // Label 2252: @121862
     /* 121862 */ GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(121910), // Rule ID 4516 //
     /* 121867 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121870 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121878 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121882 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121889 */   // (st FPR64:{ *:[v1f64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 121892 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121894 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121899 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121904 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121908 */   GIR_RootConstrainSelectedInstOperands,
     /* 121909 */   // GIR_Coverage, 4516,
     /* 121909 */   GIR_EraseRootFromParent_Done,
     /* 121910 */ // Label 2253: @121910
     /* 121910 */ GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(121958), // Rule ID 4517 //
     /* 121915 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121918 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121926 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121930 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121937 */   // (st FPR64:{ *:[v1i64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 121940 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121942 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121947 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121952 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121956 */   GIR_RootConstrainSelectedInstOperands,
     /* 121957 */   // GIR_Coverage, 4517,
     /* 121957 */   GIR_EraseRootFromParent_Done,
     /* 121958 */ // Label 2254: @121958
     /* 121958 */ GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(122042), // Rule ID 4532 //
     /* 121963 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121966 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121970 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 121977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121981 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121985 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 121992 */   // (st GPR64:{ *:[i64] }:$Rt, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STURWi (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121992 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121995 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121999 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122004 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 122010 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122015 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURWi),
     /* 122023 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122026 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122031 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122036 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122040 */   GIR_RootConstrainSelectedInstOperands,
     /* 122041 */   // GIR_Coverage, 4532,
     /* 122041 */   GIR_EraseRootFromParent_Done,
     /* 122042 */ // Label 2255: @122042
     /* 122042 */ GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(122126), // Rule ID 4533 //
     /* 122047 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122050 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122054 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 122061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122065 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122069 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 122076 */   // (st GPR64:{ *:[i64] }:$Rt, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STURHHi (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122076 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 122079 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122083 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122088 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 122094 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122099 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHHi),
     /* 122107 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122110 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122115 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122120 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122124 */   GIR_RootConstrainSelectedInstOperands,
     /* 122125 */   // GIR_Coverage, 4533,
     /* 122125 */   GIR_EraseRootFromParent_Done,
     /* 122126 */ // Label 2256: @122126
     /* 122126 */ GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(122210), // Rule ID 4534 //
     /* 122131 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122134 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122138 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 122145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122149 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122153 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 122160 */   // (st GPR64:{ *:[i64] }:$Rt, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STURBBi (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122160 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 122163 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122167 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122172 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 122178 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122183 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBBi),
     /* 122191 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122194 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122199 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122204 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122208 */   GIR_RootConstrainSelectedInstOperands,
     /* 122209 */   // GIR_Coverage, 4534,
     /* 122209 */   GIR_EraseRootFromParent_Done,
     /* 122210 */ // Label 2257: @122210
     /* 122210 */ GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(122294), // Rule ID 7413 //
     /* 122215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 122218 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 122221 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 122228 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 122231 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 122235 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 122239 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 122243 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 122247 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122252 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 122256 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122260 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 122264 */   // MIs[2] Operand 1
     /* 122264 */   // No operand predicates
     /* 122264 */   // MIs[0] Rn
     /* 122264 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122272 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 122274 */   // (atomic_store (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15919>>  =>  (STL1 VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 122274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STL1),
     /* 122277 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 122281 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 122284 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122286 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 122292 */   GIR_RootConstrainSelectedInstOperands,
     /* 122293 */   // GIR_Coverage, 7413,
     /* 122293 */   GIR_EraseRootFromParent_Done,
     /* 122294 */ // Label 2258: @122294
     /* 122294 */ GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(122392), // Rule ID 7415 //
     /* 122299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 122302 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 122305 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 122312 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 122315 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 122319 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 122323 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 122327 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122332 */   // MIs[0] Rn
     /* 122332 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122340 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122342 */   // (atomic_store (bitconvert:{ *:[i64] } VecListOne64:{ *:[v1f64] }:$Vt), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15919>>  =>  (STL1 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, VecListOne64:{ *:[v1f64] }:$Vt, dsub:{ *:[i32] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn)
     /* 122342 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 122345 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 122349 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122354 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 122357 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 122361 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 122364 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122369 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STL1),
     /* 122377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122383 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122385 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 122390 */   GIR_RootConstrainSelectedInstOperands,
     /* 122391 */   // GIR_Coverage, 7415,
     /* 122391 */   GIR_EraseRootFromParent_Done,
     /* 122392 */ // Label 2259: @122392
     /* 122392 */ GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(122429), // Rule ID 7091 //
     /* 122397 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 122400 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 122407 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 122410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122414 */   // MIs[0] ptr
     /* 122414 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122422 */   // (atomic_store GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15919>>  =>  (STLRX GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 122422 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRX),
     /* 122427 */   GIR_RootConstrainSelectedInstOperands,
     /* 122428 */   // GIR_Coverage, 7091,
     /* 122428 */   GIR_Done,
     /* 122429 */ // Label 2260: @122429
     /* 122429 */ GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(122456), // Rule ID 6417 //
     /* 122434 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122437 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122441 */   // MIs[0] Rn
     /* 122441 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122449 */   // (st v1i64:{ *:[v1i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev1d v1i64:{ *:[v1i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 122449 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev1d),
     /* 122454 */   GIR_RootConstrainSelectedInstOperands,
     /* 122455 */   // GIR_Coverage, 6417,
     /* 122455 */   GIR_Done,
     /* 122456 */ // Label 2261: @122456
     /* 122456 */ GIM_Reject,
     /* 122457 */ // Label 2109: @122457
     /* 122457 */ GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(122662),
     /* 122462 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122465 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122473 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122477 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(122518), // Rule ID 4444 //
     /* 122482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSTRQro),
     /* 122485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 122492 */     // (st FPR128:{ *:[f128] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 122492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 122495 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122512 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122516 */     GIR_RootConstrainSelectedInstOperands,
     /* 122517 */     // GIR_Coverage, 4444,
     /* 122517 */     GIR_EraseRootFromParent_Done,
     /* 122518 */   // Label 2263: @122518
     /* 122518 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(122559), // Rule ID 4445 //
     /* 122523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSTRQro),
     /* 122526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 122533 */     // (st FPR128:{ *:[f128] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 122533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 122536 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122557 */     GIR_RootConstrainSelectedInstOperands,
     /* 122558 */     // GIR_Coverage, 4445,
     /* 122558 */     GIR_EraseRootFromParent_Done,
     /* 122559 */   // Label 2264: @122559
     /* 122559 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(122592), // Rule ID 4499 //
     /* 122564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 122571 */     // (st FPR128:{ *:[f128] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 122571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 122574 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122590 */     GIR_RootConstrainSelectedInstOperands,
     /* 122591 */     // GIR_Coverage, 4499,
     /* 122591 */     GIR_EraseRootFromParent_Done,
     /* 122592 */   // Label 2265: @122592
     /* 122592 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(122625), // Rule ID 4523 //
     /* 122597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 122604 */     // (st FPR128:{ *:[f128] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 122607 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122623 */     GIR_RootConstrainSelectedInstOperands,
     /* 122624 */     // GIR_Coverage, 4523,
     /* 122624 */     GIR_EraseRootFromParent_Done,
     /* 122625 */   // Label 2266: @122625
     /* 122625 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(122661), // Rule ID 325 //
     /* 122630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 122633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 122640 */     // (st FPR128Op:{ *:[f128] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128Op:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 122640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 122643 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122659 */     GIR_RootConstrainSelectedInstOperands,
     /* 122660 */     // GIR_Coverage, 325,
     /* 122660 */     GIR_EraseRootFromParent_Done,
     /* 122661 */   // Label 2267: @122661
     /* 122661 */   GIM_Reject,
     /* 122662 */ // Label 2262: @122662
     /* 122662 */ GIM_Reject,
     /* 122663 */ // Label 2110: @122663
     /* 122663 */ GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(123068),
     /* 122668 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122671 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122675 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(122724), // Rule ID 4452 //
     /* 122680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122687 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 122698 */     // (st FPR64:{ *:[v2i32] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 122698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 122701 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122722 */     GIR_RootConstrainSelectedInstOperands,
     /* 122723 */     // GIR_Coverage, 4452,
     /* 122723 */     GIR_EraseRootFromParent_Done,
     /* 122724 */   // Label 2269: @122724
     /* 122724 */   GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(122773), // Rule ID 4453 //
     /* 122729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 122747 */     // (st FPR64:{ *:[v2i32] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 122747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 122750 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122767 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122771 */     GIR_RootConstrainSelectedInstOperands,
     /* 122772 */     // GIR_Coverage, 4453,
     /* 122772 */     GIR_EraseRootFromParent_Done,
     /* 122773 */   // Label 2270: @122773
     /* 122773 */   GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(122822), // Rule ID 4454 //
     /* 122778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122785 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 122796 */     // (st FPR64:{ *:[v2f32] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 122796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 122799 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122820 */     GIR_RootConstrainSelectedInstOperands,
     /* 122821 */     // GIR_Coverage, 4454,
     /* 122821 */     GIR_EraseRootFromParent_Done,
     /* 122822 */   // Label 2271: @122822
     /* 122822 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(122871), // Rule ID 4455 //
     /* 122827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122834 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 122845 */     // (st FPR64:{ *:[v2f32] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 122845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 122848 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122869 */     GIR_RootConstrainSelectedInstOperands,
     /* 122870 */     // GIR_Coverage, 4455,
     /* 122870 */     GIR_EraseRootFromParent_Done,
     /* 122871 */   // Label 2272: @122871
     /* 122871 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(122915), // Rule ID 4494 //
     /* 122876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 122894 */     // (st FPR64:{ *:[v2f32] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 122894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 122897 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122913 */     GIR_RootConstrainSelectedInstOperands,
     /* 122914 */     // GIR_Coverage, 4494,
     /* 122914 */     GIR_EraseRootFromParent_Done,
     /* 122915 */   // Label 2273: @122915
     /* 122915 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(122959), // Rule ID 4497 //
     /* 122920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 122938 */     // (st FPR64:{ *:[v2i32] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 122938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 122941 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122957 */     GIR_RootConstrainSelectedInstOperands,
     /* 122958 */     // GIR_Coverage, 4497,
     /* 122958 */     GIR_EraseRootFromParent_Done,
     /* 122959 */   // Label 2274: @122959
     /* 122959 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(123003), // Rule ID 4518 //
     /* 122964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122971 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 122982 */     // (st FPR64:{ *:[v2f32] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 122985 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123001 */     GIR_RootConstrainSelectedInstOperands,
     /* 123002 */     // GIR_Coverage, 4518,
     /* 123002 */     GIR_EraseRootFromParent_Done,
     /* 123003 */   // Label 2275: @123003
     /* 123003 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(123047), // Rule ID 4521 //
     /* 123008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 123026 */     // (st FPR64:{ *:[v2i32] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 123029 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123045 */     GIR_RootConstrainSelectedInstOperands,
     /* 123046 */     // GIR_Coverage, 4521,
     /* 123046 */     GIR_EraseRootFromParent_Done,
     /* 123047 */   // Label 2276: @123047
     /* 123047 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(123067), // Rule ID 6416 //
     /* 123052 */     // MIs[0] Rn
     /* 123052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123060 */     // (st v2i32:{ *:[v2i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev2s v2i32:{ *:[v2i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 123060 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev2s),
     /* 123065 */     GIR_RootConstrainSelectedInstOperands,
     /* 123066 */     // GIR_Coverage, 6416,
     /* 123066 */     GIR_Done,
     /* 123067 */   // Label 2277: @123067
     /* 123067 */   GIM_Reject,
     /* 123068 */ // Label 2268: @123068
     /* 123068 */ GIM_Reject,
     /* 123069 */ // Label 2111: @123069
     /* 123069 */ GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(123518),
     /* 123074 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123077 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123081 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(123130), // Rule ID 4466 //
     /* 123086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 123104 */     // (st FPR128:{ *:[v2i64] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 123104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 123107 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123124 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123128 */     GIR_RootConstrainSelectedInstOperands,
     /* 123129 */     // GIR_Coverage, 4466,
     /* 123129 */     GIR_EraseRootFromParent_Done,
     /* 123130 */   // Label 2279: @123130
     /* 123130 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(123179), // Rule ID 4467 //
     /* 123135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 123153 */     // (st FPR128:{ *:[v2i64] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 123153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 123156 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123173 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123177 */     GIR_RootConstrainSelectedInstOperands,
     /* 123178 */     // GIR_Coverage, 4467,
     /* 123178 */     GIR_EraseRootFromParent_Done,
     /* 123179 */   // Label 2280: @123179
     /* 123179 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(123228), // Rule ID 4468 //
     /* 123184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 123202 */     // (st FPR128:{ *:[v2f64] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 123202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 123205 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123226 */     GIR_RootConstrainSelectedInstOperands,
     /* 123227 */     // GIR_Coverage, 4468,
     /* 123227 */     GIR_EraseRootFromParent_Done,
     /* 123228 */   // Label 2281: @123228
     /* 123228 */   GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(123277), // Rule ID 4469 //
     /* 123233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 123251 */     // (st FPR128:{ *:[v2f64] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 123251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 123254 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123275 */     GIR_RootConstrainSelectedInstOperands,
     /* 123276 */     // GIR_Coverage, 4469,
     /* 123276 */     GIR_EraseRootFromParent_Done,
     /* 123277 */   // Label 2282: @123277
     /* 123277 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(123321), // Rule ID 4501 //
     /* 123282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123289 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 123300 */     // (st FPR128:{ *:[v2f64] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 123300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 123303 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123319 */     GIR_RootConstrainSelectedInstOperands,
     /* 123320 */     // GIR_Coverage, 4501,
     /* 123320 */     GIR_EraseRootFromParent_Done,
     /* 123321 */   // Label 2283: @123321
     /* 123321 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(123365), // Rule ID 4505 //
     /* 123326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 123344 */     // (st FPR128:{ *:[v2i64] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 123344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 123347 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123363 */     GIR_RootConstrainSelectedInstOperands,
     /* 123364 */     // GIR_Coverage, 4505,
     /* 123364 */     GIR_EraseRootFromParent_Done,
     /* 123365 */   // Label 2284: @123365
     /* 123365 */   GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(123409), // Rule ID 4525 //
     /* 123370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 123388 */     // (st FPR128:{ *:[v2f64] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 123391 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123407 */     GIR_RootConstrainSelectedInstOperands,
     /* 123408 */     // GIR_Coverage, 4525,
     /* 123408 */     GIR_EraseRootFromParent_Done,
     /* 123409 */   // Label 2285: @123409
     /* 123409 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(123453), // Rule ID 4529 //
     /* 123414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 123432 */     // (st FPR128:{ *:[v2i64] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 123435 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123451 */     GIR_RootConstrainSelectedInstOperands,
     /* 123452 */     // GIR_Coverage, 4529,
     /* 123452 */     GIR_EraseRootFromParent_Done,
     /* 123453 */   // Label 2286: @123453
     /* 123453 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(123497), // Rule ID 4530 //
     /* 123458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 123476 */     // (st FPR128:{ *:[v2f64] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 123479 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123495 */     GIR_RootConstrainSelectedInstOperands,
     /* 123496 */     // GIR_Coverage, 4530,
     /* 123496 */     GIR_EraseRootFromParent_Done,
     /* 123497 */   // Label 2287: @123497
     /* 123497 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(123517), // Rule ID 6413 //
     /* 123502 */     // MIs[0] Rn
     /* 123502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123510 */     // (st v2i64:{ *:[v2i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev2d v2i64:{ *:[v2i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 123510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev2d),
     /* 123515 */     GIR_RootConstrainSelectedInstOperands,
     /* 123516 */     // GIR_Coverage, 6413,
     /* 123516 */     GIR_Done,
     /* 123517 */   // Label 2288: @123517
     /* 123517 */   GIM_Reject,
     /* 123518 */ // Label 2278: @123518
     /* 123518 */ GIM_Reject,
     /* 123519 */ // Label 2112: @123519
     /* 123519 */ GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(123924),
     /* 123524 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123527 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123531 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(123580), // Rule ID 4456 //
     /* 123536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123543 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 123554 */     // (st FPR64:{ *:[v4i16] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 123554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 123557 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123574 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123578 */     GIR_RootConstrainSelectedInstOperands,
     /* 123579 */     // GIR_Coverage, 4456,
     /* 123579 */     GIR_EraseRootFromParent_Done,
     /* 123580 */   // Label 2290: @123580
     /* 123580 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(123629), // Rule ID 4457 //
     /* 123585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 123603 */     // (st FPR64:{ *:[v4i16] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 123603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 123606 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123627 */     GIR_RootConstrainSelectedInstOperands,
     /* 123628 */     // GIR_Coverage, 4457,
     /* 123628 */     GIR_EraseRootFromParent_Done,
     /* 123629 */   // Label 2291: @123629
     /* 123629 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(123678), // Rule ID 4460 //
     /* 123634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 123652 */     // (st FPR64:{ *:[v4f16] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 123652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 123655 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123676 */     GIR_RootConstrainSelectedInstOperands,
     /* 123677 */     // GIR_Coverage, 4460,
     /* 123677 */     GIR_EraseRootFromParent_Done,
     /* 123678 */   // Label 2292: @123678
     /* 123678 */   GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(123727), // Rule ID 4461 //
     /* 123683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 123701 */     // (st FPR64:{ *:[v4f16] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 123701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 123704 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123725 */     GIR_RootConstrainSelectedInstOperands,
     /* 123726 */     // GIR_Coverage, 4461,
     /* 123726 */     GIR_EraseRootFromParent_Done,
     /* 123727 */   // Label 2293: @123727
     /* 123727 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(123771), // Rule ID 4496 //
     /* 123732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123739 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 123750 */     // (st FPR64:{ *:[v4i16] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 123750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 123753 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123769 */     GIR_RootConstrainSelectedInstOperands,
     /* 123770 */     // GIR_Coverage, 4496,
     /* 123770 */     GIR_EraseRootFromParent_Done,
     /* 123771 */   // Label 2294: @123771
     /* 123771 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(123815), // Rule ID 4498 //
     /* 123776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 123794 */     // (st FPR64:{ *:[v4f16] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 123794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 123797 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123813 */     GIR_RootConstrainSelectedInstOperands,
     /* 123814 */     // GIR_Coverage, 4498,
     /* 123814 */     GIR_EraseRootFromParent_Done,
     /* 123815 */   // Label 2295: @123815
     /* 123815 */   GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(123859), // Rule ID 4520 //
     /* 123820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 123838 */     // (st FPR64:{ *:[v4i16] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 123841 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123857 */     GIR_RootConstrainSelectedInstOperands,
     /* 123858 */     // GIR_Coverage, 4520,
     /* 123858 */     GIR_EraseRootFromParent_Done,
     /* 123859 */   // Label 2296: @123859
     /* 123859 */   GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(123903), // Rule ID 4522 //
     /* 123864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 123882 */     // (st FPR64:{ *:[v4f16] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 123885 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123901 */     GIR_RootConstrainSelectedInstOperands,
     /* 123902 */     // GIR_Coverage, 4522,
     /* 123902 */     GIR_EraseRootFromParent_Done,
     /* 123903 */   // Label 2297: @123903
     /* 123903 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(123923), // Rule ID 6415 //
     /* 123908 */     // MIs[0] Rn
     /* 123908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123916 */     // (st v4i16:{ *:[v4i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev4h v4i16:{ *:[v4i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 123916 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev4h),
     /* 123921 */     GIR_RootConstrainSelectedInstOperands,
     /* 123922 */     // GIR_Coverage, 6415,
     /* 123922 */     GIR_Done,
     /* 123923 */   // Label 2298: @123923
     /* 123923 */   GIM_Reject,
     /* 123924 */ // Label 2289: @123924
     /* 123924 */ GIM_Reject,
     /* 123925 */ // Label 2113: @123925
     /* 123925 */ GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(124330),
     /* 123930 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123933 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123937 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(123986), // Rule ID 4470 //
     /* 123942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123949 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 123960 */     // (st FPR128:{ *:[v4i32] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 123960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 123963 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123984 */     GIR_RootConstrainSelectedInstOperands,
     /* 123985 */     // GIR_Coverage, 4470,
     /* 123985 */     GIR_EraseRootFromParent_Done,
     /* 123986 */   // Label 2300: @123986
     /* 123986 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(124035), // Rule ID 4471 //
     /* 123991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 124009 */     // (st FPR128:{ *:[v4i32] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 124009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 124012 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124033 */     GIR_RootConstrainSelectedInstOperands,
     /* 124034 */     // GIR_Coverage, 4471,
     /* 124034 */     GIR_EraseRootFromParent_Done,
     /* 124035 */   // Label 2301: @124035
     /* 124035 */   GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(124084), // Rule ID 4472 //
     /* 124040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 124058 */     // (st FPR128:{ *:[v4f32] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 124058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 124061 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124078 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124082 */     GIR_RootConstrainSelectedInstOperands,
     /* 124083 */     // GIR_Coverage, 4472,
     /* 124083 */     GIR_EraseRootFromParent_Done,
     /* 124084 */   // Label 2302: @124084
     /* 124084 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(124133), // Rule ID 4473 //
     /* 124089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 124107 */     // (st FPR128:{ *:[v4f32] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 124107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 124110 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124127 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124131 */     GIR_RootConstrainSelectedInstOperands,
     /* 124132 */     // GIR_Coverage, 4473,
     /* 124132 */     GIR_EraseRootFromParent_Done,
     /* 124133 */   // Label 2303: @124133
     /* 124133 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(124177), // Rule ID 4500 //
     /* 124138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 124156 */     // (st FPR128:{ *:[v4f32] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 124156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 124159 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124175 */     GIR_RootConstrainSelectedInstOperands,
     /* 124176 */     // GIR_Coverage, 4500,
     /* 124176 */     GIR_EraseRootFromParent_Done,
     /* 124177 */   // Label 2304: @124177
     /* 124177 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(124221), // Rule ID 4504 //
     /* 124182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124189 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 124200 */     // (st FPR128:{ *:[v4i32] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 124200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 124203 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124219 */     GIR_RootConstrainSelectedInstOperands,
     /* 124220 */     // GIR_Coverage, 4504,
     /* 124220 */     GIR_EraseRootFromParent_Done,
     /* 124221 */   // Label 2305: @124221
     /* 124221 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(124265), // Rule ID 4524 //
     /* 124226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124233 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 124244 */     // (st FPR128:{ *:[v4f32] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 124244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 124247 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124263 */     GIR_RootConstrainSelectedInstOperands,
     /* 124264 */     // GIR_Coverage, 4524,
     /* 124264 */     GIR_EraseRootFromParent_Done,
     /* 124265 */   // Label 2306: @124265
     /* 124265 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(124309), // Rule ID 4528 //
     /* 124270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 124288 */     // (st FPR128:{ *:[v4i32] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 124288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 124291 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124303 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124307 */     GIR_RootConstrainSelectedInstOperands,
     /* 124308 */     // GIR_Coverage, 4528,
     /* 124308 */     GIR_EraseRootFromParent_Done,
     /* 124309 */   // Label 2307: @124309
     /* 124309 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(124329), // Rule ID 6412 //
     /* 124314 */     // MIs[0] Rn
     /* 124314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124322 */     // (st v4i32:{ *:[v4i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev4s v4i32:{ *:[v4i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 124322 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev4s),
     /* 124327 */     GIR_RootConstrainSelectedInstOperands,
     /* 124328 */     // GIR_Coverage, 6412,
     /* 124328 */     GIR_Done,
     /* 124329 */   // Label 2308: @124329
     /* 124329 */   GIM_Reject,
     /* 124330 */ // Label 2299: @124330
     /* 124330 */ GIM_Reject,
     /* 124331 */ // Label 2114: @124331
     /* 124331 */ GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(124550),
     /* 124336 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124339 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124343 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(124392), // Rule ID 4458 //
     /* 124348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 124355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 124366 */     // (st FPR64:{ *:[v8i8] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 124366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 124369 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124386 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124390 */     GIR_RootConstrainSelectedInstOperands,
     /* 124391 */     // GIR_Coverage, 4458,
     /* 124391 */     GIR_EraseRootFromParent_Done,
     /* 124392 */   // Label 2310: @124392
     /* 124392 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(124441), // Rule ID 4459 //
     /* 124397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 124404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 124415 */     // (st FPR64:{ *:[v8i8] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 124415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 124418 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124439 */     GIR_RootConstrainSelectedInstOperands,
     /* 124440 */     // GIR_Coverage, 4459,
     /* 124440 */     GIR_EraseRootFromParent_Done,
     /* 124441 */   // Label 2311: @124441
     /* 124441 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(124485), // Rule ID 4495 //
     /* 124446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 124453 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 124464 */     // (st FPR64:{ *:[v8i8] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 124464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 124467 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124483 */     GIR_RootConstrainSelectedInstOperands,
     /* 124484 */     // GIR_Coverage, 4495,
     /* 124484 */     GIR_EraseRootFromParent_Done,
     /* 124485 */   // Label 2312: @124485
     /* 124485 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(124529), // Rule ID 4519 //
     /* 124490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 124497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 124508 */     // (st FPR64:{ *:[v8i8] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 124508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 124511 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124523 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124527 */     GIR_RootConstrainSelectedInstOperands,
     /* 124528 */     // GIR_Coverage, 4519,
     /* 124528 */     GIR_EraseRootFromParent_Done,
     /* 124529 */   // Label 2313: @124529
     /* 124529 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(124549), // Rule ID 6414 //
     /* 124534 */     // MIs[0] Rn
     /* 124534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124542 */     // (st v8i8:{ *:[v8i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev8b v8i8:{ *:[v8i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 124542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev8b),
     /* 124547 */     GIR_RootConstrainSelectedInstOperands,
     /* 124548 */     // GIR_Coverage, 6414,
     /* 124548 */     GIR_Done,
     /* 124549 */   // Label 2314: @124549
     /* 124549 */   GIM_Reject,
     /* 124550 */ // Label 2309: @124550
     /* 124550 */ GIM_Reject,
     /* 124551 */ // Label 2115: @124551
     /* 124551 */ GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(124956),
     /* 124556 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124559 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124563 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(124612), // Rule ID 4474 //
     /* 124568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 124586 */     // (st FPR128:{ *:[v8i16] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 124586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 124589 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124610 */     GIR_RootConstrainSelectedInstOperands,
     /* 124611 */     // GIR_Coverage, 4474,
     /* 124611 */     GIR_EraseRootFromParent_Done,
     /* 124612 */   // Label 2316: @124612
     /* 124612 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(124661), // Rule ID 4475 //
     /* 124617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 124635 */     // (st FPR128:{ *:[v8i16] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 124635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 124638 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124659 */     GIR_RootConstrainSelectedInstOperands,
     /* 124660 */     // GIR_Coverage, 4475,
     /* 124660 */     GIR_EraseRootFromParent_Done,
     /* 124661 */   // Label 2317: @124661
     /* 124661 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(124710), // Rule ID 4478 //
     /* 124666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 124684 */     // (st FPR128:{ *:[v8f16] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 124684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 124687 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124708 */     GIR_RootConstrainSelectedInstOperands,
     /* 124709 */     // GIR_Coverage, 4478,
     /* 124709 */     GIR_EraseRootFromParent_Done,
     /* 124710 */   // Label 2318: @124710
     /* 124710 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(124759), // Rule ID 4479 //
     /* 124715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124722 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 124733 */     // (st FPR128:{ *:[v8f16] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 124733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 124736 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124753 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124757 */     GIR_RootConstrainSelectedInstOperands,
     /* 124758 */     // GIR_Coverage, 4479,
     /* 124758 */     GIR_EraseRootFromParent_Done,
     /* 124759 */   // Label 2319: @124759
     /* 124759 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(124803), // Rule ID 4503 //
     /* 124764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 124782 */     // (st FPR128:{ *:[v8i16] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 124782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 124785 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124801 */     GIR_RootConstrainSelectedInstOperands,
     /* 124802 */     // GIR_Coverage, 4503,
     /* 124802 */     GIR_EraseRootFromParent_Done,
     /* 124803 */   // Label 2320: @124803
     /* 124803 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(124847), // Rule ID 4506 //
     /* 124808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 124826 */     // (st FPR128:{ *:[v8f16] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 124826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 124829 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124841 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124845 */     GIR_RootConstrainSelectedInstOperands,
     /* 124846 */     // GIR_Coverage, 4506,
     /* 124846 */     GIR_EraseRootFromParent_Done,
     /* 124847 */   // Label 2321: @124847
     /* 124847 */   GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(124891), // Rule ID 4527 //
     /* 124852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124859 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 124870 */     // (st FPR128:{ *:[v8i16] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 124870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 124873 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124889 */     GIR_RootConstrainSelectedInstOperands,
     /* 124890 */     // GIR_Coverage, 4527,
     /* 124890 */     GIR_EraseRootFromParent_Done,
     /* 124891 */   // Label 2322: @124891
     /* 124891 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(124935), // Rule ID 4531 //
     /* 124896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 124914 */     // (st FPR128:{ *:[v8f16] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 124914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 124917 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124933 */     GIR_RootConstrainSelectedInstOperands,
     /* 124934 */     // GIR_Coverage, 4531,
     /* 124934 */     GIR_EraseRootFromParent_Done,
     /* 124935 */   // Label 2323: @124935
     /* 124935 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(124955), // Rule ID 6411 //
     /* 124940 */     // MIs[0] Rn
     /* 124940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124948 */     // (st v8i16:{ *:[v8i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev8h v8i16:{ *:[v8i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 124948 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev8h),
     /* 124953 */     GIR_RootConstrainSelectedInstOperands,
     /* 124954 */     // GIR_Coverage, 6411,
     /* 124954 */     GIR_Done,
     /* 124955 */   // Label 2324: @124955
     /* 124955 */   GIM_Reject,
     /* 124956 */ // Label 2315: @124956
     /* 124956 */ GIM_Reject,
     /* 124957 */ // Label 2116: @124957
     /* 124957 */ GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(125176),
     /* 124962 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124965 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124969 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(125018), // Rule ID 4476 //
     /* 124974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 124992 */     // (st FPR128:{ *:[v16i8] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 124992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 124995 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 125002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 125007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 125012 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125016 */     GIR_RootConstrainSelectedInstOperands,
     /* 125017 */     // GIR_Coverage, 4476,
     /* 125017 */     GIR_EraseRootFromParent_Done,
     /* 125018 */   // Label 2326: @125018
     /* 125018 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(125067), // Rule ID 4477 //
     /* 125023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 125026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 125030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 125041 */     // (st FPR128:{ *:[v16i8] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 125041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 125044 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 125046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 125051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 125056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 125061 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125065 */     GIR_RootConstrainSelectedInstOperands,
     /* 125066 */     // GIR_Coverage, 4477,
     /* 125066 */     GIR_EraseRootFromParent_Done,
     /* 125067 */   // Label 2327: @125067
     /* 125067 */   GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(125111), // Rule ID 4502 //
     /* 125072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 125075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 125079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 125090 */     // (st FPR128:{ *:[v16i8] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 125090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 125093 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 125095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 125100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 125105 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125109 */     GIR_RootConstrainSelectedInstOperands,
     /* 125110 */     // GIR_Coverage, 4502,
     /* 125110 */     GIR_EraseRootFromParent_Done,
     /* 125111 */   // Label 2328: @125111
     /* 125111 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(125155), // Rule ID 4526 //
     /* 125116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 125119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 125123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 125127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 125134 */     // (st FPR128:{ *:[v16i8] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 125134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 125137 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 125139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 125144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 125149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125153 */     GIR_RootConstrainSelectedInstOperands,
     /* 125154 */     // GIR_Coverage, 4526,
     /* 125154 */     GIR_EraseRootFromParent_Done,
     /* 125155 */   // Label 2329: @125155
     /* 125155 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(125175), // Rule ID 6410 //
     /* 125160 */     // MIs[0] Rn
     /* 125160 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125168 */     // (st v16i8:{ *:[v16i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev16b v16i8:{ *:[v16i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 125168 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev16b),
     /* 125173 */     GIR_RootConstrainSelectedInstOperands,
     /* 125174 */     // GIR_Coverage, 6410,
     /* 125174 */     GIR_Done,
     /* 125175 */   // Label 2330: @125175
     /* 125175 */   GIM_Reject,
     /* 125176 */ // Label 2325: @125176
     /* 125176 */ GIM_Reject,
     /* 125177 */ // Label 2117: @125177
     /* 125177 */ GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(125236), // Rule ID 10862 //
     /* 125182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125185 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125188 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125192 */   // MIs[0] base
     /* 125192 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125200 */   // (st nxv2f16:{ *:[nxv2f16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_D_IMM ZPR:{ *:[nxv2f16] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125200 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125203 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 125207 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125212 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125215 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_D_IMM),
     /* 125220 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125222 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125225 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125230 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125234 */   GIR_RootConstrainSelectedInstOperands,
     /* 125235 */   // GIR_Coverage, 10862,
     /* 125235 */   GIR_EraseRootFromParent_Done,
     /* 125236 */ // Label 2331: @125236
     /* 125236 */ GIM_Reject,
     /* 125237 */ // Label 2118: @125237
     /* 125237 */ GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(125296), // Rule ID 10868 //
     /* 125242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125245 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125248 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125252 */   // MIs[0] base
     /* 125252 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125260 */   // (st nxv2f32:{ *:[nxv2f32] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1W_D_IMM ZPR:{ *:[nxv2f32] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125260 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125263 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 125267 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125272 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125275 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_D_IMM),
     /* 125280 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125282 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125285 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125290 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125294 */   GIR_RootConstrainSelectedInstOperands,
     /* 125295 */   // GIR_Coverage, 10868,
     /* 125295 */   GIR_EraseRootFromParent_Done,
     /* 125296 */ // Label 2332: @125296
     /* 125296 */ GIM_Reject,
     /* 125297 */ // Label 2119: @125297
     /* 125297 */ GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(125466),
     /* 125302 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125305 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125309 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125313 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(125361), // Rule ID 10853 //
     /* 125318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125325 */     // (st nxv2i64:{ *:[nxv2i64] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1D_IMM ZPR:{ *:[nxv2i64] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 125332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125337 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_IMM),
     /* 125345 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125350 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125359 */     GIR_RootConstrainSelectedInstOperands,
     /* 125360 */     // GIR_Coverage, 10853,
     /* 125360 */     GIR_EraseRootFromParent_Done,
     /* 125361 */   // Label 2334: @125361
     /* 125361 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(125409), // Rule ID 10871 //
     /* 125366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125373 */     // (st nxv2f64:{ *:[nxv2f64] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1D_IMM ZPR:{ *:[nxv2f64] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 125380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125385 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_IMM),
     /* 125393 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125398 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125407 */     GIR_RootConstrainSelectedInstOperands,
     /* 125408 */     // GIR_Coverage, 10871,
     /* 125408 */     GIR_EraseRootFromParent_Done,
     /* 125409 */   // Label 2335: @125409
     /* 125409 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(125437), // Rule ID 10983 //
     /* 125414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125421 */     // (st nxv2i64:{ *:[nxv2i64] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv2i64] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125424 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125426 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125435 */     GIR_RootConstrainSelectedInstOperands,
     /* 125436 */     // GIR_Coverage, 10983,
     /* 125436 */     GIR_EraseRootFromParent_Done,
     /* 125437 */   // Label 2336: @125437
     /* 125437 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(125465), // Rule ID 10995 //
     /* 125442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125449 */     // (st nxv2f64:{ *:[nxv2f64] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv2f64] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125452 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125454 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125459 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125463 */     GIR_RootConstrainSelectedInstOperands,
     /* 125464 */     // GIR_Coverage, 10995,
     /* 125464 */     GIR_EraseRootFromParent_Done,
     /* 125465 */   // Label 2337: @125465
     /* 125465 */   GIM_Reject,
     /* 125466 */ // Label 2333: @125466
     /* 125466 */ GIM_Reject,
     /* 125467 */ // Label 2120: @125467
     /* 125467 */ GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(125526), // Rule ID 10859 //
     /* 125472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125475 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125478 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125482 */   // MIs[0] base
     /* 125482 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125490 */   // (st nxv4f16:{ *:[nxv4f16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_S_IMM ZPR:{ *:[nxv4f16] }:$val, (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125490 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125493 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 125497 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125502 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125505 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_S_IMM),
     /* 125510 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125512 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125515 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125520 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125524 */   GIR_RootConstrainSelectedInstOperands,
     /* 125525 */   // GIR_Coverage, 10859,
     /* 125525 */   GIR_EraseRootFromParent_Done,
     /* 125526 */ // Label 2338: @125526
     /* 125526 */ GIM_Reject,
     /* 125527 */ // Label 2121: @125527
     /* 125527 */ GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(125696),
     /* 125532 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125535 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125539 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125543 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(125591), // Rule ID 10847 //
     /* 125548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125555 */     // (st nxv4i32:{ *:[nxv4i32] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1W_IMM ZPR:{ *:[nxv4i32] }:$val, (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 125562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125567 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_IMM),
     /* 125575 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125580 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125585 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125589 */     GIR_RootConstrainSelectedInstOperands,
     /* 125590 */     // GIR_Coverage, 10847,
     /* 125590 */     GIR_EraseRootFromParent_Done,
     /* 125591 */   // Label 2340: @125591
     /* 125591 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(125639), // Rule ID 10865 //
     /* 125596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125603 */     // (st nxv4f32:{ *:[nxv4f32] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1W_IMM ZPR:{ *:[nxv4f32] }:$val, (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 125610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125615 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_IMM),
     /* 125623 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125628 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125633 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125637 */     GIR_RootConstrainSelectedInstOperands,
     /* 125638 */     // GIR_Coverage, 10865,
     /* 125638 */     GIR_EraseRootFromParent_Done,
     /* 125639 */   // Label 2341: @125639
     /* 125639 */   GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(125667), // Rule ID 10979 //
     /* 125644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125651 */     // (st nxv4i32:{ *:[nxv4i32] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv4i32] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125654 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125656 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125661 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125665 */     GIR_RootConstrainSelectedInstOperands,
     /* 125666 */     // GIR_Coverage, 10979,
     /* 125666 */     GIR_EraseRootFromParent_Done,
     /* 125667 */   // Label 2342: @125667
     /* 125667 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(125695), // Rule ID 10991 //
     /* 125672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125679 */     // (st nxv4f32:{ *:[nxv4f32] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv4f32] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125682 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125684 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125693 */     GIR_RootConstrainSelectedInstOperands,
     /* 125694 */     // GIR_Coverage, 10991,
     /* 125694 */     GIR_EraseRootFromParent_Done,
     /* 125695 */   // Label 2343: @125695
     /* 125695 */   GIM_Reject,
     /* 125696 */ // Label 2339: @125696
     /* 125696 */ GIM_Reject,
     /* 125697 */ // Label 2122: @125697
     /* 125697 */ GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(125866),
     /* 125702 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125705 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125709 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125713 */   GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(125761), // Rule ID 10838 //
     /* 125718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125725 */     // (st nxv8i16:{ *:[nxv8i16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_IMM ZPR:{ *:[nxv8i16] }:$val, (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 125732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125737 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_IMM),
     /* 125745 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125750 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125759 */     GIR_RootConstrainSelectedInstOperands,
     /* 125760 */     // GIR_Coverage, 10838,
     /* 125760 */     GIR_EraseRootFromParent_Done,
     /* 125761 */   // Label 2345: @125761
     /* 125761 */   GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(125809), // Rule ID 10856 //
     /* 125766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125773 */     // (st nxv8f16:{ *:[nxv8f16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_IMM ZPR:{ *:[nxv8f16] }:$val, (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 125780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125785 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_IMM),
     /* 125793 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125798 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125807 */     GIR_RootConstrainSelectedInstOperands,
     /* 125808 */     // GIR_Coverage, 10856,
     /* 125808 */     GIR_EraseRootFromParent_Done,
     /* 125809 */   // Label 2346: @125809
     /* 125809 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(125837), // Rule ID 10975 //
     /* 125814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125821 */     // (st nxv8i16:{ *:[nxv8i16] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv8i16] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125824 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125826 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125831 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125835 */     GIR_RootConstrainSelectedInstOperands,
     /* 125836 */     // GIR_Coverage, 10975,
     /* 125836 */     GIR_EraseRootFromParent_Done,
     /* 125837 */   // Label 2347: @125837
     /* 125837 */   GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(125865), // Rule ID 10987 //
     /* 125842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125849 */     // (st nxv8f16:{ *:[nxv8f16] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv8f16] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125852 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125854 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125863 */     GIR_RootConstrainSelectedInstOperands,
     /* 125864 */     // GIR_Coverage, 10987,
     /* 125864 */     GIR_EraseRootFromParent_Done,
     /* 125865 */   // Label 2348: @125865
     /* 125865 */   GIM_Reject,
     /* 125866 */ // Label 2344: @125866
     /* 125866 */ GIM_Reject,
     /* 125867 */ // Label 2123: @125867
     /* 125867 */ GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(125910), // Rule ID 2430 //
     /* 125872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125875 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125878 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 125886 */   // MIs[0] base
     /* 125886 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125894 */   // (st PPR:{ *:[nxv16i1] }:$Val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_PXI PPR:{ *:[nxv16i1] }:$Val, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_PXI),
     /* 125897 */   GIR_RootToRootCopy, /*OpIdx*/0, // Val
     /* 125899 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125904 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125908 */   GIR_RootConstrainSelectedInstOperands,
     /* 125909 */   // GIR_Coverage, 2430,
     /* 125909 */   GIR_EraseRootFromParent_Done,
     /* 125910 */ // Label 2349: @125910
     /* 125910 */ GIM_Reject,
     /* 125911 */ // Label 2124: @125911
     /* 125911 */ GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(126004),
     /* 125916 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125919 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125923 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125927 */   GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(125975), // Rule ID 10824 //
     /* 125932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125939 */     // (st nxv16i8:{ *:[nxv16i8] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1B_IMM ZPR:{ *:[nxv16i8] }:$val, (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /* 125946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125951 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1B_IMM),
     /* 125959 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125964 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125973 */     GIR_RootConstrainSelectedInstOperands,
     /* 125974 */     // GIR_Coverage, 10824,
     /* 125974 */     GIR_EraseRootFromParent_Done,
     /* 125975 */   // Label 2351: @125975
     /* 125975 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(126003), // Rule ID 10971 //
     /* 125980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125987 */     // (st nxv16i8:{ *:[nxv16i8] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv16i8] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125990 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125992 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126001 */     GIR_RootConstrainSelectedInstOperands,
     /* 126002 */     // GIR_Coverage, 10971,
     /* 126002 */     GIR_EraseRootFromParent_Done,
     /* 126003 */   // Label 2352: @126003
     /* 126003 */   GIM_Reject,
     /* 126004 */ // Label 2350: @126004
     /* 126004 */ GIM_Reject,
     /* 126005 */ // Label 2125: @126005
     /* 126005 */ GIM_Reject,
     /* 126006 */ // Label 20: @126006
     /* 126006 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2355*/ GIMT_Encode4(127356),
     /* 126017 */ /*GILLT_s32*//*Label 2353*/ GIMT_Encode4(126025),
     /* 126021 */ /*GILLT_s64*//*Label 2354*/ GIMT_Encode4(127043),
     /* 126025 */ // Label 2353: @126025
     /* 126025 */ GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(127042),
     /* 126030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 126033 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 126036 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(126091), // Rule ID 7314 //
     /* 126041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126044 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126051 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 126054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126058 */     // MIs[0] Rn
     /* 126058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126074 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (CASW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASW),
     /* 126077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126079 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126081 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126083 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126089 */     GIR_RootConstrainSelectedInstOperands,
     /* 126090 */     // GIR_Coverage, 7314,
     /* 126090 */     GIR_EraseRootFromParent_Done,
     /* 126091 */   // Label 2357: @126091
     /* 126091 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(126146), // Rule ID 7315 //
     /* 126096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126099 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126106 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 126109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126113 */     // MIs[0] Rn
     /* 126113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126129 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (CASAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAW),
     /* 126132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126136 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126138 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126144 */     GIR_RootConstrainSelectedInstOperands,
     /* 126145 */     // GIR_Coverage, 7315,
     /* 126145 */     GIR_EraseRootFromParent_Done,
     /* 126146 */   // Label 2358: @126146
     /* 126146 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(126201), // Rule ID 7316 //
     /* 126151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126154 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126161 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 126164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126168 */     // MIs[0] Rn
     /* 126168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126184 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (CASLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLW),
     /* 126187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126191 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126193 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126199 */     GIR_RootConstrainSelectedInstOperands,
     /* 126200 */     // GIR_Coverage, 7316,
     /* 126200 */     GIR_EraseRootFromParent_Done,
     /* 126201 */   // Label 2359: @126201
     /* 126201 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(126256), // Rule ID 7317 //
     /* 126206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126209 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126216 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 126219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126223 */     // MIs[0] Rn
     /* 126223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126239 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (CASALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALW),
     /* 126242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126248 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126254 */     GIR_RootConstrainSelectedInstOperands,
     /* 126255 */     // GIR_Coverage, 7317,
     /* 126255 */     GIR_EraseRootFromParent_Done,
     /* 126256 */   // Label 2360: @126256
     /* 126256 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(126311), // Rule ID 7318 //
     /* 126261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 126274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126278 */     // MIs[0] Rn
     /* 126278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126294 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (CASALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALW),
     /* 126297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126299 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126301 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126303 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126309 */     GIR_RootConstrainSelectedInstOperands,
     /* 126310 */     // GIR_Coverage, 7318,
     /* 126310 */     GIR_EraseRootFromParent_Done,
     /* 126311 */   // Label 2361: @126311
     /* 126311 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(126366), // Rule ID 7319 //
     /* 126316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 126329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126333 */     // MIs[0] Rn
     /* 126333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126349 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (CASH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASH),
     /* 126352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126356 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126358 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126364 */     GIR_RootConstrainSelectedInstOperands,
     /* 126365 */     // GIR_Coverage, 7319,
     /* 126365 */     GIR_EraseRootFromParent_Done,
     /* 126366 */   // Label 2362: @126366
     /* 126366 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(126421), // Rule ID 7320 //
     /* 126371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 126384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126388 */     // MIs[0] Rn
     /* 126388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126404 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (CASAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAH),
     /* 126407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126413 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126419 */     GIR_RootConstrainSelectedInstOperands,
     /* 126420 */     // GIR_Coverage, 7320,
     /* 126420 */     GIR_EraseRootFromParent_Done,
     /* 126421 */   // Label 2363: @126421
     /* 126421 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(126476), // Rule ID 7321 //
     /* 126426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126429 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126436 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 126439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126443 */     // MIs[0] Rn
     /* 126443 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126459 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (CASLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLH),
     /* 126462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126466 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126468 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126474 */     GIR_RootConstrainSelectedInstOperands,
     /* 126475 */     // GIR_Coverage, 7321,
     /* 126475 */     GIR_EraseRootFromParent_Done,
     /* 126476 */   // Label 2364: @126476
     /* 126476 */   GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(126531), // Rule ID 7322 //
     /* 126481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126484 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126491 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 126494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126498 */     // MIs[0] Rn
     /* 126498 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126514 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (CASALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALH),
     /* 126517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126519 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126521 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126523 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126529 */     GIR_RootConstrainSelectedInstOperands,
     /* 126530 */     // GIR_Coverage, 7322,
     /* 126530 */     GIR_EraseRootFromParent_Done,
     /* 126531 */   // Label 2365: @126531
     /* 126531 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(126586), // Rule ID 7323 //
     /* 126536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126539 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126546 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 126549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126553 */     // MIs[0] Rn
     /* 126553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126569 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (CASALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALH),
     /* 126572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126576 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126578 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126580 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126584 */     GIR_RootConstrainSelectedInstOperands,
     /* 126585 */     // GIR_Coverage, 7323,
     /* 126585 */     GIR_EraseRootFromParent_Done,
     /* 126586 */   // Label 2366: @126586
     /* 126586 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(126641), // Rule ID 7324 //
     /* 126591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126594 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126601 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 126604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126608 */     // MIs[0] Rn
     /* 126608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126624 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (CASB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASB),
     /* 126627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126631 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126633 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126639 */     GIR_RootConstrainSelectedInstOperands,
     /* 126640 */     // GIR_Coverage, 7324,
     /* 126640 */     GIR_EraseRootFromParent_Done,
     /* 126641 */   // Label 2367: @126641
     /* 126641 */   GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(126696), // Rule ID 7325 //
     /* 126646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126649 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126656 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 126659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126663 */     // MIs[0] Rn
     /* 126663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126679 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (CASAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAB),
     /* 126682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126688 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126690 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126694 */     GIR_RootConstrainSelectedInstOperands,
     /* 126695 */     // GIR_Coverage, 7325,
     /* 126695 */     GIR_EraseRootFromParent_Done,
     /* 126696 */   // Label 2368: @126696
     /* 126696 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(126751), // Rule ID 7326 //
     /* 126701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 126714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126718 */     // MIs[0] Rn
     /* 126718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126734 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (CASLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLB),
     /* 126737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126739 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126741 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126743 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126749 */     GIR_RootConstrainSelectedInstOperands,
     /* 126750 */     // GIR_Coverage, 7326,
     /* 126750 */     GIR_EraseRootFromParent_Done,
     /* 126751 */   // Label 2369: @126751
     /* 126751 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(126806), // Rule ID 7327 //
     /* 126756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126759 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126766 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 126769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126773 */     // MIs[0] Rn
     /* 126773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126789 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (CASALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALB),
     /* 126792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126796 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126798 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126804 */     GIR_RootConstrainSelectedInstOperands,
     /* 126805 */     // GIR_Coverage, 7327,
     /* 126805 */     GIR_EraseRootFromParent_Done,
     /* 126806 */   // Label 2370: @126806
     /* 126806 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(126861), // Rule ID 7328 //
     /* 126811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 126824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126828 */     // MIs[0] Rn
     /* 126828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126844 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (CASALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALB),
     /* 126847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126853 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126855 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126859 */     GIR_RootConstrainSelectedInstOperands,
     /* 126860 */     // GIR_Coverage, 7328,
     /* 126860 */     GIR_EraseRootFromParent_Done,
     /* 126861 */   // Label 2371: @126861
     /* 126861 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(126921), // Rule ID 13111 //
     /* 126866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 126869 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126880 */     // MIs[0] addr
     /* 126880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126896 */     // (atomic_cmp_swap:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>>  =>  (CMP_SWAP_8:{ *:[i32] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)
     /* 126896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_8),
     /* 126902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 126904 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 126909 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 126911 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 126913 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 126915 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126919 */     GIR_RootConstrainSelectedInstOperands,
     /* 126920 */     // GIR_Coverage, 13111,
     /* 126920 */     GIR_EraseRootFromParent_Done,
     /* 126921 */   // Label 2372: @126921
     /* 126921 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(126981), // Rule ID 13112 //
     /* 126926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 126929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126940 */     // MIs[0] addr
     /* 126940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126956 */     // (atomic_cmp_swap:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>>  =>  (CMP_SWAP_16:{ *:[i32] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)
     /* 126956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_16),
     /* 126962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 126964 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 126969 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 126971 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 126973 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 126975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126979 */     GIR_RootConstrainSelectedInstOperands,
     /* 126980 */     // GIR_Coverage, 13112,
     /* 126980 */     GIR_EraseRootFromParent_Done,
     /* 126981 */   // Label 2373: @126981
     /* 126981 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(127041), // Rule ID 13113 //
     /* 126986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 126989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127000 */     // MIs[0] addr
     /* 127000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127016 */     // (atomic_cmp_swap:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>>  =>  (CMP_SWAP_32:{ *:[i32] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)
     /* 127016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 127019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_32),
     /* 127022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 127024 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 127029 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 127031 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 127033 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 127035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127039 */     GIR_RootConstrainSelectedInstOperands,
     /* 127040 */     // GIR_Coverage, 13113,
     /* 127040 */     GIR_EraseRootFromParent_Done,
     /* 127041 */   // Label 2374: @127041
     /* 127041 */   GIM_Reject,
     /* 127042 */ // Label 2356: @127042
     /* 127042 */ GIM_Reject,
     /* 127043 */ // Label 2354: @127043
     /* 127043 */ GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(127355),
     /* 127048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 127051 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 127054 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 127061 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(127109), // Rule ID 2589 //
     /* 127066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127069 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127076 */     // MIs[0] Rn
     /* 127076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127092 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (CASX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 127092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASX),
     /* 127095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 127097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 127099 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 127101 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127107 */     GIR_RootConstrainSelectedInstOperands,
     /* 127108 */     // GIR_Coverage, 2589,
     /* 127108 */     GIR_EraseRootFromParent_Done,
     /* 127109 */   // Label 2376: @127109
     /* 127109 */   GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(127157), // Rule ID 2590 //
     /* 127114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127117 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127124 */     // MIs[0] Rn
     /* 127124 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127140 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (CASAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 127140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAX),
     /* 127143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 127145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 127147 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 127149 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127151 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127155 */     GIR_RootConstrainSelectedInstOperands,
     /* 127156 */     // GIR_Coverage, 2590,
     /* 127156 */     GIR_EraseRootFromParent_Done,
     /* 127157 */   // Label 2377: @127157
     /* 127157 */   GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(127205), // Rule ID 2591 //
     /* 127162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127172 */     // MIs[0] Rn
     /* 127172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127188 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (CASLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 127188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLX),
     /* 127191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 127193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 127195 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 127197 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127203 */     GIR_RootConstrainSelectedInstOperands,
     /* 127204 */     // GIR_Coverage, 2591,
     /* 127204 */     GIR_EraseRootFromParent_Done,
     /* 127205 */   // Label 2378: @127205
     /* 127205 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(127253), // Rule ID 2592 //
     /* 127210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127213 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127220 */     // MIs[0] Rn
     /* 127220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127236 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (CASALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 127236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALX),
     /* 127239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 127241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 127243 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 127245 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127251 */     GIR_RootConstrainSelectedInstOperands,
     /* 127252 */     // GIR_Coverage, 2592,
     /* 127252 */     GIR_EraseRootFromParent_Done,
     /* 127253 */   // Label 2379: @127253
     /* 127253 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(127301), // Rule ID 2593 //
     /* 127258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127268 */     // MIs[0] Rn
     /* 127268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127284 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (CASALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 127284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALX),
     /* 127287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 127289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 127291 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 127293 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127299 */     GIR_RootConstrainSelectedInstOperands,
     /* 127300 */     // GIR_Coverage, 2593,
     /* 127300 */     GIR_EraseRootFromParent_Done,
     /* 127301 */   // Label 2380: @127301
     /* 127301 */   GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(127354), // Rule ID 13114 //
     /* 127306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 127309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127313 */     // MIs[0] addr
     /* 127313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127329 */     // (atomic_cmp_swap:{ *:[i64] } GPR64:{ *:[i64] }:$addr, GPR64:{ *:[i64] }:$desired, GPR64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>>  =>  (CMP_SWAP_64:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR64:{ *:[i64] }:$desired, GPR64:{ *:[i64] }:$new)
     /* 127329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 127332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_64),
     /* 127335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 127337 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 127342 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 127344 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 127346 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 127348 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127352 */     GIR_RootConstrainSelectedInstOperands,
     /* 127353 */     // GIR_Coverage, 13114,
     /* 127353 */     GIR_EraseRootFromParent_Done,
     /* 127354 */   // Label 2381: @127354
     /* 127354 */   GIM_Reject,
     /* 127355 */ // Label 2375: @127355
     /* 127355 */ GIM_Reject,
     /* 127356 */ // Label 2355: @127356
     /* 127356 */ GIM_Reject,
     /* 127357 */ // Label 21: @127357
     /* 127357 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2384*/ GIMT_Encode4(128348),
     /* 127368 */ /*GILLT_s32*//*Label 2382*/ GIMT_Encode4(127376),
     /* 127372 */ /*GILLT_s64*//*Label 2383*/ GIMT_Encode4(128121),
     /* 127376 */ // Label 2382: @127376
     /* 127376 */ GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(128120),
     /* 127381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 127384 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(127433), // Rule ID 7299 //
     /* 127389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127392 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127399 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127406 */     // MIs[0] Rn
     /* 127406 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127418 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (SWPW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPW),
     /* 127421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127423 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127425 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127431 */     GIR_RootConstrainSelectedInstOperands,
     /* 127432 */     // GIR_Coverage, 7299,
     /* 127432 */     GIR_EraseRootFromParent_Done,
     /* 127433 */   // Label 2386: @127433
     /* 127433 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(127482), // Rule ID 7300 //
     /* 127438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127441 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127448 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127455 */     // MIs[0] Rn
     /* 127455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127467 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (SWPAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAW),
     /* 127470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127472 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127474 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127480 */     GIR_RootConstrainSelectedInstOperands,
     /* 127481 */     // GIR_Coverage, 7300,
     /* 127481 */     GIR_EraseRootFromParent_Done,
     /* 127482 */   // Label 2387: @127482
     /* 127482 */   GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(127531), // Rule ID 7301 //
     /* 127487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127490 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127497 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127504 */     // MIs[0] Rn
     /* 127504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127516 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (SWPLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLW),
     /* 127519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127521 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127523 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127529 */     GIR_RootConstrainSelectedInstOperands,
     /* 127530 */     // GIR_Coverage, 7301,
     /* 127530 */     GIR_EraseRootFromParent_Done,
     /* 127531 */   // Label 2388: @127531
     /* 127531 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(127580), // Rule ID 7302 //
     /* 127536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127539 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127546 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127553 */     // MIs[0] Rn
     /* 127553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127565 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (SWPALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALW),
     /* 127568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127570 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127572 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127574 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127578 */     GIR_RootConstrainSelectedInstOperands,
     /* 127579 */     // GIR_Coverage, 7302,
     /* 127579 */     GIR_EraseRootFromParent_Done,
     /* 127580 */   // Label 2389: @127580
     /* 127580 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(127629), // Rule ID 7303 //
     /* 127585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127588 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127595 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127602 */     // MIs[0] Rn
     /* 127602 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127614 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (SWPALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALW),
     /* 127617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127619 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127621 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127627 */     GIR_RootConstrainSelectedInstOperands,
     /* 127628 */     // GIR_Coverage, 7303,
     /* 127628 */     GIR_EraseRootFromParent_Done,
     /* 127629 */   // Label 2390: @127629
     /* 127629 */   GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(127678), // Rule ID 7304 //
     /* 127634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127637 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127644 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127651 */     // MIs[0] Rn
     /* 127651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127663 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (SWPH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPH),
     /* 127666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127670 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127676 */     GIR_RootConstrainSelectedInstOperands,
     /* 127677 */     // GIR_Coverage, 7304,
     /* 127677 */     GIR_EraseRootFromParent_Done,
     /* 127678 */   // Label 2391: @127678
     /* 127678 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(127727), // Rule ID 7305 //
     /* 127683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127686 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127693 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127700 */     // MIs[0] Rn
     /* 127700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127712 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (SWPAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAH),
     /* 127715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127719 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127725 */     GIR_RootConstrainSelectedInstOperands,
     /* 127726 */     // GIR_Coverage, 7305,
     /* 127726 */     GIR_EraseRootFromParent_Done,
     /* 127727 */   // Label 2392: @127727
     /* 127727 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(127776), // Rule ID 7306 //
     /* 127732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127735 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127742 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127749 */     // MIs[0] Rn
     /* 127749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127761 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (SWPLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLH),
     /* 127764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127768 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127770 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127774 */     GIR_RootConstrainSelectedInstOperands,
     /* 127775 */     // GIR_Coverage, 7306,
     /* 127775 */     GIR_EraseRootFromParent_Done,
     /* 127776 */   // Label 2393: @127776
     /* 127776 */   GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(127825), // Rule ID 7307 //
     /* 127781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127798 */     // MIs[0] Rn
     /* 127798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127810 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (SWPALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALH),
     /* 127813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127815 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127817 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127823 */     GIR_RootConstrainSelectedInstOperands,
     /* 127824 */     // GIR_Coverage, 7307,
     /* 127824 */     GIR_EraseRootFromParent_Done,
     /* 127825 */   // Label 2394: @127825
     /* 127825 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(127874), // Rule ID 7308 //
     /* 127830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127847 */     // MIs[0] Rn
     /* 127847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127859 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (SWPALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALH),
     /* 127862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127864 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127866 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127872 */     GIR_RootConstrainSelectedInstOperands,
     /* 127873 */     // GIR_Coverage, 7308,
     /* 127873 */     GIR_EraseRootFromParent_Done,
     /* 127874 */   // Label 2395: @127874
     /* 127874 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(127923), // Rule ID 7309 //
     /* 127879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127896 */     // MIs[0] Rn
     /* 127896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127908 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (SWPB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPB),
     /* 127911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127915 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127921 */     GIR_RootConstrainSelectedInstOperands,
     /* 127922 */     // GIR_Coverage, 7309,
     /* 127922 */     GIR_EraseRootFromParent_Done,
     /* 127923 */   // Label 2396: @127923
     /* 127923 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(127972), // Rule ID 7310 //
     /* 127928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127931 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127938 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127945 */     // MIs[0] Rn
     /* 127945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127957 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (SWPAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAB),
     /* 127960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127964 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127966 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127970 */     GIR_RootConstrainSelectedInstOperands,
     /* 127971 */     // GIR_Coverage, 7310,
     /* 127971 */     GIR_EraseRootFromParent_Done,
     /* 127972 */   // Label 2397: @127972
     /* 127972 */   GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(128021), // Rule ID 7311 //
     /* 127977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127980 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127987 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127994 */     // MIs[0] Rn
     /* 127994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128006 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (SWPLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLB),
     /* 128009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128011 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128013 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128015 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128019 */     GIR_RootConstrainSelectedInstOperands,
     /* 128020 */     // GIR_Coverage, 7311,
     /* 128020 */     GIR_EraseRootFromParent_Done,
     /* 128021 */   // Label 2398: @128021
     /* 128021 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(128070), // Rule ID 7312 //
     /* 128026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128029 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128036 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128043 */     // MIs[0] Rn
     /* 128043 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128055 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (SWPALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALB),
     /* 128058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128062 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128068 */     GIR_RootConstrainSelectedInstOperands,
     /* 128069 */     // GIR_Coverage, 7312,
     /* 128069 */     GIR_EraseRootFromParent_Done,
     /* 128070 */   // Label 2399: @128070
     /* 128070 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(128119), // Rule ID 7313 //
     /* 128075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128078 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128085 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128092 */     // MIs[0] Rn
     /* 128092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128104 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (SWPALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALB),
     /* 128107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128109 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128111 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128117 */     GIR_RootConstrainSelectedInstOperands,
     /* 128118 */     // GIR_Coverage, 7313,
     /* 128118 */     GIR_EraseRootFromParent_Done,
     /* 128119 */   // Label 2400: @128119
     /* 128119 */   GIM_Reject,
     /* 128120 */ // Label 2385: @128120
     /* 128120 */ GIM_Reject,
     /* 128121 */ // Label 2383: @128121
     /* 128121 */ GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(128347),
     /* 128126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 128129 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 128136 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(128178), // Rule ID 7294 //
     /* 128141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128144 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128151 */     // MIs[0] Rn
     /* 128151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128163 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (SWPX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPX),
     /* 128166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128170 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128176 */     GIR_RootConstrainSelectedInstOperands,
     /* 128177 */     // GIR_Coverage, 7294,
     /* 128177 */     GIR_EraseRootFromParent_Done,
     /* 128178 */   // Label 2402: @128178
     /* 128178 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(128220), // Rule ID 7295 //
     /* 128183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128186 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128193 */     // MIs[0] Rn
     /* 128193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128205 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (SWPAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAX),
     /* 128208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128212 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128218 */     GIR_RootConstrainSelectedInstOperands,
     /* 128219 */     // GIR_Coverage, 7295,
     /* 128219 */     GIR_EraseRootFromParent_Done,
     /* 128220 */   // Label 2403: @128220
     /* 128220 */   GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(128262), // Rule ID 7296 //
     /* 128225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128235 */     // MIs[0] Rn
     /* 128235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128247 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (SWPLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLX),
     /* 128250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128254 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128260 */     GIR_RootConstrainSelectedInstOperands,
     /* 128261 */     // GIR_Coverage, 7296,
     /* 128261 */     GIR_EraseRootFromParent_Done,
     /* 128262 */   // Label 2404: @128262
     /* 128262 */   GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(128304), // Rule ID 7297 //
     /* 128267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128270 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128277 */     // MIs[0] Rn
     /* 128277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128289 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (SWPALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALX),
     /* 128292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128296 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128298 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128302 */     GIR_RootConstrainSelectedInstOperands,
     /* 128303 */     // GIR_Coverage, 7297,
     /* 128303 */     GIR_EraseRootFromParent_Done,
     /* 128304 */   // Label 2405: @128304
     /* 128304 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(128346), // Rule ID 7298 //
     /* 128309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128312 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128319 */     // MIs[0] Rn
     /* 128319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128331 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (SWPALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALX),
     /* 128334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128338 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128344 */     GIR_RootConstrainSelectedInstOperands,
     /* 128345 */     // GIR_Coverage, 7298,
     /* 128345 */     GIR_EraseRootFromParent_Done,
     /* 128346 */   // Label 2406: @128346
     /* 128346 */   GIM_Reject,
     /* 128347 */ // Label 2401: @128347
     /* 128347 */ GIM_Reject,
     /* 128348 */ // Label 2384: @128348
     /* 128348 */ GIM_Reject,
     /* 128349 */ // Label 22: @128349
     /* 128349 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2409*/ GIMT_Encode4(129340),
     /* 128360 */ /*GILLT_s32*//*Label 2407*/ GIMT_Encode4(128368),
     /* 128364 */ /*GILLT_s64*//*Label 2408*/ GIMT_Encode4(129113),
     /* 128368 */ // Label 2407: @128368
     /* 128368 */ GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(129112),
     /* 128373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 128376 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(128425), // Rule ID 7139 //
     /* 128381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128398 */     // MIs[0] Rn
     /* 128398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128410 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (LDADDW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDW),
     /* 128413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128417 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128419 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128423 */     GIR_RootConstrainSelectedInstOperands,
     /* 128424 */     // GIR_Coverage, 7139,
     /* 128424 */     GIR_EraseRootFromParent_Done,
     /* 128425 */   // Label 2411: @128425
     /* 128425 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(128474), // Rule ID 7140 //
     /* 128430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128433 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128440 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128447 */     // MIs[0] Rn
     /* 128447 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128459 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (LDADDAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAW),
     /* 128462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128466 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128468 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128472 */     GIR_RootConstrainSelectedInstOperands,
     /* 128473 */     // GIR_Coverage, 7140,
     /* 128473 */     GIR_EraseRootFromParent_Done,
     /* 128474 */   // Label 2412: @128474
     /* 128474 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(128523), // Rule ID 7141 //
     /* 128479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128482 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128489 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128496 */     // MIs[0] Rn
     /* 128496 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128508 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (LDADDLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLW),
     /* 128511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128515 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128521 */     GIR_RootConstrainSelectedInstOperands,
     /* 128522 */     // GIR_Coverage, 7141,
     /* 128522 */     GIR_EraseRootFromParent_Done,
     /* 128523 */   // Label 2413: @128523
     /* 128523 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(128572), // Rule ID 7142 //
     /* 128528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128531 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128538 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128545 */     // MIs[0] Rn
     /* 128545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128557 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (LDADDALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 128560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128564 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128570 */     GIR_RootConstrainSelectedInstOperands,
     /* 128571 */     // GIR_Coverage, 7142,
     /* 128571 */     GIR_EraseRootFromParent_Done,
     /* 128572 */   // Label 2414: @128572
     /* 128572 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(128621), // Rule ID 7143 //
     /* 128577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128580 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128587 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128594 */     // MIs[0] Rn
     /* 128594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128606 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (LDADDALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 128609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128613 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128619 */     GIR_RootConstrainSelectedInstOperands,
     /* 128620 */     // GIR_Coverage, 7143,
     /* 128620 */     GIR_EraseRootFromParent_Done,
     /* 128621 */   // Label 2415: @128621
     /* 128621 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(128670), // Rule ID 7144 //
     /* 128626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128629 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128636 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128643 */     // MIs[0] Rn
     /* 128643 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128655 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (LDADDH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDH),
     /* 128658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128662 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128668 */     GIR_RootConstrainSelectedInstOperands,
     /* 128669 */     // GIR_Coverage, 7144,
     /* 128669 */     GIR_EraseRootFromParent_Done,
     /* 128670 */   // Label 2416: @128670
     /* 128670 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(128719), // Rule ID 7145 //
     /* 128675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128678 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128685 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128692 */     // MIs[0] Rn
     /* 128692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128704 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (LDADDAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAH),
     /* 128707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128709 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128711 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128717 */     GIR_RootConstrainSelectedInstOperands,
     /* 128718 */     // GIR_Coverage, 7145,
     /* 128718 */     GIR_EraseRootFromParent_Done,
     /* 128719 */   // Label 2417: @128719
     /* 128719 */   GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(128768), // Rule ID 7146 //
     /* 128724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128727 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128734 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128741 */     // MIs[0] Rn
     /* 128741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128753 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (LDADDLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLH),
     /* 128756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128760 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128766 */     GIR_RootConstrainSelectedInstOperands,
     /* 128767 */     // GIR_Coverage, 7146,
     /* 128767 */     GIR_EraseRootFromParent_Done,
     /* 128768 */   // Label 2418: @128768
     /* 128768 */   GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(128817), // Rule ID 7147 //
     /* 128773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128783 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128790 */     // MIs[0] Rn
     /* 128790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128802 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (LDADDALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 128805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128807 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128809 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128815 */     GIR_RootConstrainSelectedInstOperands,
     /* 128816 */     // GIR_Coverage, 7147,
     /* 128816 */     GIR_EraseRootFromParent_Done,
     /* 128817 */   // Label 2419: @128817
     /* 128817 */   GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(128866), // Rule ID 7148 //
     /* 128822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128825 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128832 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128839 */     // MIs[0] Rn
     /* 128839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128851 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (LDADDALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 128854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128856 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128858 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128860 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128864 */     GIR_RootConstrainSelectedInstOperands,
     /* 128865 */     // GIR_Coverage, 7148,
     /* 128865 */     GIR_EraseRootFromParent_Done,
     /* 128866 */   // Label 2420: @128866
     /* 128866 */   GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(128915), // Rule ID 7149 //
     /* 128871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128888 */     // MIs[0] Rn
     /* 128888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128900 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (LDADDB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDB),
     /* 128903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128907 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128913 */     GIR_RootConstrainSelectedInstOperands,
     /* 128914 */     // GIR_Coverage, 7149,
     /* 128914 */     GIR_EraseRootFromParent_Done,
     /* 128915 */   // Label 2421: @128915
     /* 128915 */   GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(128964), // Rule ID 7150 //
     /* 128920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128937 */     // MIs[0] Rn
     /* 128937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128949 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (LDADDAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAB),
     /* 128952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128956 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128958 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128962 */     GIR_RootConstrainSelectedInstOperands,
     /* 128963 */     // GIR_Coverage, 7150,
     /* 128963 */     GIR_EraseRootFromParent_Done,
     /* 128964 */   // Label 2422: @128964
     /* 128964 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(129013), // Rule ID 7151 //
     /* 128969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128972 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128979 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128986 */     // MIs[0] Rn
     /* 128986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128998 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (LDADDLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLB),
     /* 129001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129003 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129005 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129007 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129011 */     GIR_RootConstrainSelectedInstOperands,
     /* 129012 */     // GIR_Coverage, 7151,
     /* 129012 */     GIR_EraseRootFromParent_Done,
     /* 129013 */   // Label 2423: @129013
     /* 129013 */   GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(129062), // Rule ID 7152 //
     /* 129018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129021 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129028 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129035 */     // MIs[0] Rn
     /* 129035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129047 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (LDADDALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 129050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129054 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129060 */     GIR_RootConstrainSelectedInstOperands,
     /* 129061 */     // GIR_Coverage, 7152,
     /* 129061 */     GIR_EraseRootFromParent_Done,
     /* 129062 */   // Label 2424: @129062
     /* 129062 */   GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(129111), // Rule ID 7153 //
     /* 129067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129070 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129077 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129084 */     // MIs[0] Rn
     /* 129084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129096 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (LDADDALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 129099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129103 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129105 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129109 */     GIR_RootConstrainSelectedInstOperands,
     /* 129110 */     // GIR_Coverage, 7153,
     /* 129110 */     GIR_EraseRootFromParent_Done,
     /* 129111 */   // Label 2425: @129111
     /* 129111 */   GIM_Reject,
     /* 129112 */ // Label 2410: @129112
     /* 129112 */ GIM_Reject,
     /* 129113 */ // Label 2408: @129113
     /* 129113 */ GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(129339),
     /* 129118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 129121 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 129128 */   GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(129170), // Rule ID 2579 //
     /* 129133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129136 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129143 */     // MIs[0] Rn
     /* 129143 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129155 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (LDADDX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDX),
     /* 129158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129162 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129168 */     GIR_RootConstrainSelectedInstOperands,
     /* 129169 */     // GIR_Coverage, 2579,
     /* 129169 */     GIR_EraseRootFromParent_Done,
     /* 129170 */   // Label 2427: @129170
     /* 129170 */   GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(129212), // Rule ID 2580 //
     /* 129175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129178 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 129181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129185 */     // MIs[0] Rn
     /* 129185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129197 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (LDADDAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAX),
     /* 129200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129204 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129206 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129210 */     GIR_RootConstrainSelectedInstOperands,
     /* 129211 */     // GIR_Coverage, 2580,
     /* 129211 */     GIR_EraseRootFromParent_Done,
     /* 129212 */   // Label 2428: @129212
     /* 129212 */   GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(129254), // Rule ID 2581 //
     /* 129217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 129223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129227 */     // MIs[0] Rn
     /* 129227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129239 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (LDADDLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLX),
     /* 129242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129246 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129252 */     GIR_RootConstrainSelectedInstOperands,
     /* 129253 */     // GIR_Coverage, 2581,
     /* 129253 */     GIR_EraseRootFromParent_Done,
     /* 129254 */   // Label 2429: @129254
     /* 129254 */   GIM_Try, /*On fail goto*//*Label 2430*/ GIMT_Encode4(129296), // Rule ID 2582 //
     /* 129259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129262 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129269 */     // MIs[0] Rn
     /* 129269 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129281 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (LDADDALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 129284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129288 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129294 */     GIR_RootConstrainSelectedInstOperands,
     /* 129295 */     // GIR_Coverage, 2582,
     /* 129295 */     GIR_EraseRootFromParent_Done,
     /* 129296 */   // Label 2430: @129296
     /* 129296 */   GIM_Try, /*On fail goto*//*Label 2431*/ GIMT_Encode4(129338), // Rule ID 2583 //
     /* 129301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129311 */     // MIs[0] Rn
     /* 129311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129323 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (LDADDALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 129326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129330 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129332 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129336 */     GIR_RootConstrainSelectedInstOperands,
     /* 129337 */     // GIR_Coverage, 2583,
     /* 129337 */     GIR_EraseRootFromParent_Done,
     /* 129338 */   // Label 2431: @129338
     /* 129338 */   GIM_Reject,
     /* 129339 */ // Label 2426: @129339
     /* 129339 */ GIM_Reject,
     /* 129340 */ // Label 2409: @129340
     /* 129340 */ GIM_Reject,
     /* 129341 */ // Label 23: @129341
     /* 129341 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2434*/ GIMT_Encode4(130832),
     /* 129352 */ /*GILLT_s32*//*Label 2432*/ GIMT_Encode4(129360),
     /* 129356 */ /*GILLT_s64*//*Label 2433*/ GIMT_Encode4(130480),
     /* 129360 */ // Label 2432: @129360
     /* 129360 */ GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(130479),
     /* 129365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 129368 */   GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(129442), // Rule ID 7334 //
     /* 129373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129376 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129383 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129390 */     // MIs[0] Rn
     /* 129390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129402 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_monotonic>>  =>  (LDADDW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129414 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129420 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDW),
     /* 129429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129434 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129440 */     GIR_RootConstrainSelectedInstOperands,
     /* 129441 */     // GIR_Coverage, 7334,
     /* 129441 */     GIR_EraseRootFromParent_Done,
     /* 129442 */   // Label 2436: @129442
     /* 129442 */   GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(129516), // Rule ID 7335 //
     /* 129447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 129460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129464 */     // MIs[0] Rn
     /* 129464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129476 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_acquire>>  =>  (LDADDAW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129488 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129494 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAW),
     /* 129503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129508 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129514 */     GIR_RootConstrainSelectedInstOperands,
     /* 129515 */     // GIR_Coverage, 7335,
     /* 129515 */     GIR_EraseRootFromParent_Done,
     /* 129516 */   // Label 2437: @129516
     /* 129516 */   GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(129590), // Rule ID 7336 //
     /* 129521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 129534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129538 */     // MIs[0] Rn
     /* 129538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129550 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_release>>  =>  (LDADDLW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129562 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129568 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLW),
     /* 129577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129582 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129584 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129588 */     GIR_RootConstrainSelectedInstOperands,
     /* 129589 */     // GIR_Coverage, 7336,
     /* 129589 */     GIR_EraseRootFromParent_Done,
     /* 129590 */   // Label 2438: @129590
     /* 129590 */   GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(129664), // Rule ID 7337 //
     /* 129595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129612 */     // MIs[0] Rn
     /* 129612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129624 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_acq_rel>>  =>  (LDADDALW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129636 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129642 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 129651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129656 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129658 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129662 */     GIR_RootConstrainSelectedInstOperands,
     /* 129663 */     // GIR_Coverage, 7337,
     /* 129663 */     GIR_EraseRootFromParent_Done,
     /* 129664 */   // Label 2439: @129664
     /* 129664 */   GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(129738), // Rule ID 7338 //
     /* 129669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129686 */     // MIs[0] Rn
     /* 129686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129698 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_seq_cst>>  =>  (LDADDALW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129710 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129716 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 129725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129730 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129732 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129736 */     GIR_RootConstrainSelectedInstOperands,
     /* 129737 */     // GIR_Coverage, 7338,
     /* 129737 */     GIR_EraseRootFromParent_Done,
     /* 129738 */   // Label 2440: @129738
     /* 129738 */   GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(129812), // Rule ID 7339 //
     /* 129743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129746 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129753 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129760 */     // MIs[0] Rn
     /* 129760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129772 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_monotonic>>  =>  (LDADDH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129784 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129790 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDH),
     /* 129799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129804 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129810 */     GIR_RootConstrainSelectedInstOperands,
     /* 129811 */     // GIR_Coverage, 7339,
     /* 129811 */     GIR_EraseRootFromParent_Done,
     /* 129812 */   // Label 2441: @129812
     /* 129812 */   GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(129886), // Rule ID 7340 //
     /* 129817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129820 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129827 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 129830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129834 */     // MIs[0] Rn
     /* 129834 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129846 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_acquire>>  =>  (LDADDAH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129858 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129864 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAH),
     /* 129873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129878 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129884 */     GIR_RootConstrainSelectedInstOperands,
     /* 129885 */     // GIR_Coverage, 7340,
     /* 129885 */     GIR_EraseRootFromParent_Done,
     /* 129886 */   // Label 2442: @129886
     /* 129886 */   GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(129960), // Rule ID 7341 //
     /* 129891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129894 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129901 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 129904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129908 */     // MIs[0] Rn
     /* 129908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129920 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_release>>  =>  (LDADDLH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129932 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129938 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLH),
     /* 129947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129952 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129954 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129958 */     GIR_RootConstrainSelectedInstOperands,
     /* 129959 */     // GIR_Coverage, 7341,
     /* 129959 */     GIR_EraseRootFromParent_Done,
     /* 129960 */   // Label 2443: @129960
     /* 129960 */   GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(130034), // Rule ID 7342 //
     /* 129965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129968 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129975 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129982 */     // MIs[0] Rn
     /* 129982 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129994 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_acq_rel>>  =>  (LDADDALH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 130001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130006 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130012 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 130021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130026 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130032 */     GIR_RootConstrainSelectedInstOperands,
     /* 130033 */     // GIR_Coverage, 7342,
     /* 130033 */     GIR_EraseRootFromParent_Done,
     /* 130034 */   // Label 2444: @130034
     /* 130034 */   GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(130108), // Rule ID 7343 //
     /* 130039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130042 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 130049 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130056 */     // MIs[0] Rn
     /* 130056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130068 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_seq_cst>>  =>  (LDADDALH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 130075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130080 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130086 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 130095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130100 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130106 */     GIR_RootConstrainSelectedInstOperands,
     /* 130107 */     // GIR_Coverage, 7343,
     /* 130107 */     GIR_EraseRootFromParent_Done,
     /* 130108 */   // Label 2445: @130108
     /* 130108 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(130182), // Rule ID 7344 //
     /* 130113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130116 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130123 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 130126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130130 */     // MIs[0] Rn
     /* 130130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130142 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_monotonic>>  =>  (LDADDB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 130149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130154 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDB),
     /* 130169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130174 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130176 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130180 */     GIR_RootConstrainSelectedInstOperands,
     /* 130181 */     // GIR_Coverage, 7344,
     /* 130181 */     GIR_EraseRootFromParent_Done,
     /* 130182 */   // Label 2446: @130182
     /* 130182 */   GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(130256), // Rule ID 7345 //
     /* 130187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 130200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130204 */     // MIs[0] Rn
     /* 130204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130216 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_acquire>>  =>  (LDADDAB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 130223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130228 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130234 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAB),
     /* 130243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130248 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130254 */     GIR_RootConstrainSelectedInstOperands,
     /* 130255 */     // GIR_Coverage, 7345,
     /* 130255 */     GIR_EraseRootFromParent_Done,
     /* 130256 */   // Label 2447: @130256
     /* 130256 */   GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(130330), // Rule ID 7346 //
     /* 130261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 130274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130278 */     // MIs[0] Rn
     /* 130278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130290 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_release>>  =>  (LDADDLB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 130297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130302 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130308 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLB),
     /* 130317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130322 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130324 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130328 */     GIR_RootConstrainSelectedInstOperands,
     /* 130329 */     // GIR_Coverage, 7346,
     /* 130329 */     GIR_EraseRootFromParent_Done,
     /* 130330 */   // Label 2448: @130330
     /* 130330 */   GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(130404), // Rule ID 7347 //
     /* 130335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 130348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130352 */     // MIs[0] Rn
     /* 130352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130364 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_acq_rel>>  =>  (LDADDALB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 130371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130376 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130382 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 130391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130396 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130398 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130402 */     GIR_RootConstrainSelectedInstOperands,
     /* 130403 */     // GIR_Coverage, 7347,
     /* 130403 */     GIR_EraseRootFromParent_Done,
     /* 130404 */   // Label 2449: @130404
     /* 130404 */   GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(130478), // Rule ID 7348 //
     /* 130409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130426 */     // MIs[0] Rn
     /* 130426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130438 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_seq_cst>>  =>  (LDADDALB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 130445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130450 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130456 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 130465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130470 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130476 */     GIR_RootConstrainSelectedInstOperands,
     /* 130477 */     // GIR_Coverage, 7348,
     /* 130477 */     GIR_EraseRootFromParent_Done,
     /* 130478 */   // Label 2450: @130478
     /* 130478 */   GIM_Reject,
     /* 130479 */ // Label 2435: @130479
     /* 130479 */ GIM_Reject,
     /* 130480 */ // Label 2433: @130480
     /* 130480 */ GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(130831),
     /* 130485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 130488 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 130495 */   GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(130562), // Rule ID 7329 //
     /* 130500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130503 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 130506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130510 */     // MIs[0] Rn
     /* 130510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130522 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_monotonic>>  =>  (LDADDX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 130525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 130529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130534 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130540 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDX),
     /* 130549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130554 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130556 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130560 */     GIR_RootConstrainSelectedInstOperands,
     /* 130561 */     // GIR_Coverage, 7329,
     /* 130561 */     GIR_EraseRootFromParent_Done,
     /* 130562 */   // Label 2452: @130562
     /* 130562 */   GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(130629), // Rule ID 7330 //
     /* 130567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130570 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 130573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130577 */     // MIs[0] Rn
     /* 130577 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130589 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_acquire>>  =>  (LDADDAX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 130592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 130596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130601 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130607 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAX),
     /* 130616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130621 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130627 */     GIR_RootConstrainSelectedInstOperands,
     /* 130628 */     // GIR_Coverage, 7330,
     /* 130628 */     GIR_EraseRootFromParent_Done,
     /* 130629 */   // Label 2453: @130629
     /* 130629 */   GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(130696), // Rule ID 7331 //
     /* 130634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 130640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130644 */     // MIs[0] Rn
     /* 130644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130656 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_release>>  =>  (LDADDLX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 130659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 130663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130668 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130674 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLX),
     /* 130683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130688 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130690 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130694 */     GIR_RootConstrainSelectedInstOperands,
     /* 130695 */     // GIR_Coverage, 7331,
     /* 130695 */     GIR_EraseRootFromParent_Done,
     /* 130696 */   // Label 2454: @130696
     /* 130696 */   GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(130763), // Rule ID 7332 //
     /* 130701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130704 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 130707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130711 */     // MIs[0] Rn
     /* 130711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130723 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_acq_rel>>  =>  (LDADDALX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 130726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 130730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 130750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130755 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130761 */     GIR_RootConstrainSelectedInstOperands,
     /* 130762 */     // GIR_Coverage, 7332,
     /* 130762 */     GIR_EraseRootFromParent_Done,
     /* 130763 */   // Label 2455: @130763
     /* 130763 */   GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(130830), // Rule ID 7333 //
     /* 130768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130778 */     // MIs[0] Rn
     /* 130778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130790 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_seq_cst>>  =>  (LDADDALX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 130793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 130797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130802 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130808 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 130817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130822 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130828 */     GIR_RootConstrainSelectedInstOperands,
     /* 130829 */     // GIR_Coverage, 7333,
     /* 130829 */     GIR_EraseRootFromParent_Done,
     /* 130830 */   // Label 2456: @130830
     /* 130830 */   GIM_Reject,
     /* 130831 */ // Label 2451: @130831
     /* 130831 */ GIM_Reject,
     /* 130832 */ // Label 2434: @130832
     /* 130832 */ GIM_Reject,
     /* 130833 */ // Label 24: @130833
     /* 130833 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2459*/ GIMT_Encode4(132324),
     /* 130844 */ /*GILLT_s32*//*Label 2457*/ GIMT_Encode4(130852),
     /* 130848 */ /*GILLT_s64*//*Label 2458*/ GIMT_Encode4(131972),
     /* 130852 */ // Label 2457: @130852
     /* 130852 */ GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(131971),
     /* 130857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 130860 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(130934), // Rule ID 7354 //
     /* 130865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 130878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130882 */     // MIs[0] Rn
     /* 130882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130894 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (LDCLRW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130906 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130912 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRW),
     /* 130921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130926 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130932 */     GIR_RootConstrainSelectedInstOperands,
     /* 130933 */     // GIR_Coverage, 7354,
     /* 130933 */     GIR_EraseRootFromParent_Done,
     /* 130934 */   // Label 2461: @130934
     /* 130934 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(131008), // Rule ID 7355 //
     /* 130939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 130952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130956 */     // MIs[0] Rn
     /* 130956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130968 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (LDCLRAW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130980 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130986 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAW),
     /* 130995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131000 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131002 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131006 */     GIR_RootConstrainSelectedInstOperands,
     /* 131007 */     // GIR_Coverage, 7355,
     /* 131007 */     GIR_EraseRootFromParent_Done,
     /* 131008 */   // Label 2462: @131008
     /* 131008 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(131082), // Rule ID 7356 //
     /* 131013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131016 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131023 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131030 */     // MIs[0] Rn
     /* 131030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131042 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (LDCLRLW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131054 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLW),
     /* 131069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131074 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131080 */     GIR_RootConstrainSelectedInstOperands,
     /* 131081 */     // GIR_Coverage, 7356,
     /* 131081 */     GIR_EraseRootFromParent_Done,
     /* 131082 */   // Label 2463: @131082
     /* 131082 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(131156), // Rule ID 7357 //
     /* 131087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 131100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131104 */     // MIs[0] Rn
     /* 131104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131116 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (LDCLRALW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131128 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALW),
     /* 131143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131148 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131154 */     GIR_RootConstrainSelectedInstOperands,
     /* 131155 */     // GIR_Coverage, 7357,
     /* 131155 */     GIR_EraseRootFromParent_Done,
     /* 131156 */   // Label 2464: @131156
     /* 131156 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(131230), // Rule ID 7358 //
     /* 131161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 131174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131178 */     // MIs[0] Rn
     /* 131178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131190 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (LDCLRALW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131202 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131208 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALW),
     /* 131217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131222 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131228 */     GIR_RootConstrainSelectedInstOperands,
     /* 131229 */     // GIR_Coverage, 7358,
     /* 131229 */     GIR_EraseRootFromParent_Done,
     /* 131230 */   // Label 2465: @131230
     /* 131230 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(131304), // Rule ID 7359 //
     /* 131235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131252 */     // MIs[0] Rn
     /* 131252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131264 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (LDCLRH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131276 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131282 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRH),
     /* 131291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131296 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131298 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131302 */     GIR_RootConstrainSelectedInstOperands,
     /* 131303 */     // GIR_Coverage, 7359,
     /* 131303 */     GIR_EraseRootFromParent_Done,
     /* 131304 */   // Label 2466: @131304
     /* 131304 */   GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(131378), // Rule ID 7360 //
     /* 131309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131312 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131319 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131326 */     // MIs[0] Rn
     /* 131326 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131338 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (LDCLRAH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131350 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131356 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAH),
     /* 131365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131370 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131376 */     GIR_RootConstrainSelectedInstOperands,
     /* 131377 */     // GIR_Coverage, 7360,
     /* 131377 */     GIR_EraseRootFromParent_Done,
     /* 131378 */   // Label 2467: @131378
     /* 131378 */   GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(131452), // Rule ID 7361 //
     /* 131383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131386 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131393 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131400 */     // MIs[0] Rn
     /* 131400 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131412 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (LDCLRLH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLH),
     /* 131439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131444 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131450 */     GIR_RootConstrainSelectedInstOperands,
     /* 131451 */     // GIR_Coverage, 7361,
     /* 131451 */     GIR_EraseRootFromParent_Done,
     /* 131452 */   // Label 2468: @131452
     /* 131452 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(131526), // Rule ID 7362 //
     /* 131457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131460 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131467 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 131470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131474 */     // MIs[0] Rn
     /* 131474 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131486 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (LDCLRALH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131498 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131504 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALH),
     /* 131513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131518 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131520 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131524 */     GIR_RootConstrainSelectedInstOperands,
     /* 131525 */     // GIR_Coverage, 7362,
     /* 131525 */     GIR_EraseRootFromParent_Done,
     /* 131526 */   // Label 2469: @131526
     /* 131526 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(131600), // Rule ID 7363 //
     /* 131531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131534 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131541 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 131544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131548 */     // MIs[0] Rn
     /* 131548 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131560 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (LDCLRALH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131572 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131578 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALH),
     /* 131587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131592 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131598 */     GIR_RootConstrainSelectedInstOperands,
     /* 131599 */     // GIR_Coverage, 7363,
     /* 131599 */     GIR_EraseRootFromParent_Done,
     /* 131600 */   // Label 2470: @131600
     /* 131600 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(131674), // Rule ID 7364 //
     /* 131605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131608 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131615 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131622 */     // MIs[0] Rn
     /* 131622 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131634 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (LDCLRB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131646 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRB),
     /* 131661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131666 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131668 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131672 */     GIR_RootConstrainSelectedInstOperands,
     /* 131673 */     // GIR_Coverage, 7364,
     /* 131673 */     GIR_EraseRootFromParent_Done,
     /* 131674 */   // Label 2471: @131674
     /* 131674 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(131748), // Rule ID 7365 //
     /* 131679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131682 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131689 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131696 */     // MIs[0] Rn
     /* 131696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131708 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (LDCLRAB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131720 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131726 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAB),
     /* 131735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131740 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131746 */     GIR_RootConstrainSelectedInstOperands,
     /* 131747 */     // GIR_Coverage, 7365,
     /* 131747 */     GIR_EraseRootFromParent_Done,
     /* 131748 */   // Label 2472: @131748
     /* 131748 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(131822), // Rule ID 7366 //
     /* 131753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131770 */     // MIs[0] Rn
     /* 131770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131782 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (LDCLRLB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131794 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLB),
     /* 131809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131814 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131820 */     GIR_RootConstrainSelectedInstOperands,
     /* 131821 */     // GIR_Coverage, 7366,
     /* 131821 */     GIR_EraseRootFromParent_Done,
     /* 131822 */   // Label 2473: @131822
     /* 131822 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(131896), // Rule ID 7367 //
     /* 131827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 131840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131844 */     // MIs[0] Rn
     /* 131844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131856 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (LDCLRALB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131868 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALB),
     /* 131883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131888 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131894 */     GIR_RootConstrainSelectedInstOperands,
     /* 131895 */     // GIR_Coverage, 7367,
     /* 131895 */     GIR_EraseRootFromParent_Done,
     /* 131896 */   // Label 2474: @131896
     /* 131896 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(131970), // Rule ID 7368 //
     /* 131901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 131914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131918 */     // MIs[0] Rn
     /* 131918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131930 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (LDCLRALB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131942 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131948 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALB),
     /* 131957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131962 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131968 */     GIR_RootConstrainSelectedInstOperands,
     /* 131969 */     // GIR_Coverage, 7368,
     /* 131969 */     GIR_EraseRootFromParent_Done,
     /* 131970 */   // Label 2475: @131970
     /* 131970 */   GIM_Reject,
     /* 131971 */ // Label 2460: @131971
     /* 131971 */ GIM_Reject,
     /* 131972 */ // Label 2458: @131972
     /* 131972 */ GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(132323),
     /* 131977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 131980 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 131987 */   GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(132054), // Rule ID 7349 //
     /* 131992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131995 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132002 */     // MIs[0] Rn
     /* 132002 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132014 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (LDCLRX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 132014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 132017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 132021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132026 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 132032 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 132036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRX),
     /* 132041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 132046 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132052 */     GIR_RootConstrainSelectedInstOperands,
     /* 132053 */     // GIR_Coverage, 7349,
     /* 132053 */     GIR_EraseRootFromParent_Done,
     /* 132054 */   // Label 2477: @132054
     /* 132054 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(132121), // Rule ID 7350 //
     /* 132059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132062 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132069 */     // MIs[0] Rn
     /* 132069 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132081 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (LDCLRAX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 132081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 132084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 132088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 132099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 132103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAX),
     /* 132108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 132113 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132119 */     GIR_RootConstrainSelectedInstOperands,
     /* 132120 */     // GIR_Coverage, 7350,
     /* 132120 */     GIR_EraseRootFromParent_Done,
     /* 132121 */   // Label 2478: @132121
     /* 132121 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(132188), // Rule ID 7351 //
     /* 132126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132136 */     // MIs[0] Rn
     /* 132136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132148 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (LDCLRLX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 132148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 132151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 132155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132160 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 132166 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 132170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLX),
     /* 132175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 132180 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132186 */     GIR_RootConstrainSelectedInstOperands,
     /* 132187 */     // GIR_Coverage, 7351,
     /* 132187 */     GIR_EraseRootFromParent_Done,
     /* 132188 */   // Label 2479: @132188
     /* 132188 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(132255), // Rule ID 7352 //
     /* 132193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132196 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132203 */     // MIs[0] Rn
     /* 132203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132215 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (LDCLRALX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 132215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 132218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 132222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132227 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 132233 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 132237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALX),
     /* 132242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 132247 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132253 */     GIR_RootConstrainSelectedInstOperands,
     /* 132254 */     // GIR_Coverage, 7352,
     /* 132254 */     GIR_EraseRootFromParent_Done,
     /* 132255 */   // Label 2480: @132255
     /* 132255 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(132322), // Rule ID 7353 //
     /* 132260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132270 */     // MIs[0] Rn
     /* 132270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132282 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (LDCLRALX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 132282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 132285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 132289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 132300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 132304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALX),
     /* 132309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 132314 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132320 */     GIR_RootConstrainSelectedInstOperands,
     /* 132321 */     // GIR_Coverage, 7353,
     /* 132321 */     GIR_EraseRootFromParent_Done,
     /* 132322 */   // Label 2481: @132322
     /* 132322 */   GIM_Reject,
     /* 132323 */ // Label 2476: @132323
     /* 132323 */ GIM_Reject,
     /* 132324 */ // Label 2459: @132324
     /* 132324 */ GIM_Reject,
     /* 132325 */ // Label 25: @132325
     /* 132325 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2484*/ GIMT_Encode4(133316),
     /* 132336 */ /*GILLT_s32*//*Label 2482*/ GIMT_Encode4(132344),
     /* 132340 */ /*GILLT_s64*//*Label 2483*/ GIMT_Encode4(133089),
     /* 132344 */ // Label 2482: @132344
     /* 132344 */ GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(133088),
     /* 132349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 132352 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(132401), // Rule ID 7159 //
     /* 132357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132374 */     // MIs[0] Rn
     /* 132374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132386 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (LDSETW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETW),
     /* 132389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132391 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132393 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132399 */     GIR_RootConstrainSelectedInstOperands,
     /* 132400 */     // GIR_Coverage, 7159,
     /* 132400 */     GIR_EraseRootFromParent_Done,
     /* 132401 */   // Label 2486: @132401
     /* 132401 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(132450), // Rule ID 7160 //
     /* 132406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132423 */     // MIs[0] Rn
     /* 132423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132435 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (LDSETAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAW),
     /* 132438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132442 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132448 */     GIR_RootConstrainSelectedInstOperands,
     /* 132449 */     // GIR_Coverage, 7160,
     /* 132449 */     GIR_EraseRootFromParent_Done,
     /* 132450 */   // Label 2487: @132450
     /* 132450 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(132499), // Rule ID 7161 //
     /* 132455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132472 */     // MIs[0] Rn
     /* 132472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132484 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (LDSETLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLW),
     /* 132487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132491 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132497 */     GIR_RootConstrainSelectedInstOperands,
     /* 132498 */     // GIR_Coverage, 7161,
     /* 132498 */     GIR_EraseRootFromParent_Done,
     /* 132499 */   // Label 2488: @132499
     /* 132499 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(132548), // Rule ID 7162 //
     /* 132504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132507 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132514 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132521 */     // MIs[0] Rn
     /* 132521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132533 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (LDSETALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALW),
     /* 132536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132540 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132546 */     GIR_RootConstrainSelectedInstOperands,
     /* 132547 */     // GIR_Coverage, 7162,
     /* 132547 */     GIR_EraseRootFromParent_Done,
     /* 132548 */   // Label 2489: @132548
     /* 132548 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(132597), // Rule ID 7163 //
     /* 132553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132556 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132563 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132570 */     // MIs[0] Rn
     /* 132570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132582 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (LDSETALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALW),
     /* 132585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132589 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132591 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132595 */     GIR_RootConstrainSelectedInstOperands,
     /* 132596 */     // GIR_Coverage, 7163,
     /* 132596 */     GIR_EraseRootFromParent_Done,
     /* 132597 */   // Label 2490: @132597
     /* 132597 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(132646), // Rule ID 7164 //
     /* 132602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132605 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132612 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132619 */     // MIs[0] Rn
     /* 132619 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132631 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (LDSETH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETH),
     /* 132634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132638 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132640 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132644 */     GIR_RootConstrainSelectedInstOperands,
     /* 132645 */     // GIR_Coverage, 7164,
     /* 132645 */     GIR_EraseRootFromParent_Done,
     /* 132646 */   // Label 2491: @132646
     /* 132646 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(132695), // Rule ID 7165 //
     /* 132651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132654 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132661 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132668 */     // MIs[0] Rn
     /* 132668 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132680 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (LDSETAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAH),
     /* 132683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132687 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132693 */     GIR_RootConstrainSelectedInstOperands,
     /* 132694 */     // GIR_Coverage, 7165,
     /* 132694 */     GIR_EraseRootFromParent_Done,
     /* 132695 */   // Label 2492: @132695
     /* 132695 */   GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(132744), // Rule ID 7166 //
     /* 132700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132703 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132710 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132717 */     // MIs[0] Rn
     /* 132717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132729 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (LDSETLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLH),
     /* 132732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132736 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132742 */     GIR_RootConstrainSelectedInstOperands,
     /* 132743 */     // GIR_Coverage, 7166,
     /* 132743 */     GIR_EraseRootFromParent_Done,
     /* 132744 */   // Label 2493: @132744
     /* 132744 */   GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(132793), // Rule ID 7167 //
     /* 132749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132752 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132759 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132766 */     // MIs[0] Rn
     /* 132766 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132778 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (LDSETALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALH),
     /* 132781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132785 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132787 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132791 */     GIR_RootConstrainSelectedInstOperands,
     /* 132792 */     // GIR_Coverage, 7167,
     /* 132792 */     GIR_EraseRootFromParent_Done,
     /* 132793 */   // Label 2494: @132793
     /* 132793 */   GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(132842), // Rule ID 7168 //
     /* 132798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132801 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132808 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132815 */     // MIs[0] Rn
     /* 132815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132827 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (LDSETALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALH),
     /* 132830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132834 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132836 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132840 */     GIR_RootConstrainSelectedInstOperands,
     /* 132841 */     // GIR_Coverage, 7168,
     /* 132841 */     GIR_EraseRootFromParent_Done,
     /* 132842 */   // Label 2495: @132842
     /* 132842 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(132891), // Rule ID 7169 //
     /* 132847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132850 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132857 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132864 */     // MIs[0] Rn
     /* 132864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132876 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (LDSETB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETB),
     /* 132879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132883 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132889 */     GIR_RootConstrainSelectedInstOperands,
     /* 132890 */     // GIR_Coverage, 7169,
     /* 132890 */     GIR_EraseRootFromParent_Done,
     /* 132891 */   // Label 2496: @132891
     /* 132891 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(132940), // Rule ID 7170 //
     /* 132896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132899 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132906 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132913 */     // MIs[0] Rn
     /* 132913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132925 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (LDSETAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAB),
     /* 132928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132932 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132938 */     GIR_RootConstrainSelectedInstOperands,
     /* 132939 */     // GIR_Coverage, 7170,
     /* 132939 */     GIR_EraseRootFromParent_Done,
     /* 132940 */   // Label 2497: @132940
     /* 132940 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(132989), // Rule ID 7171 //
     /* 132945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132948 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132955 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132962 */     // MIs[0] Rn
     /* 132962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132974 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (LDSETLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLB),
     /* 132977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132979 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132981 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132987 */     GIR_RootConstrainSelectedInstOperands,
     /* 132988 */     // GIR_Coverage, 7171,
     /* 132988 */     GIR_EraseRootFromParent_Done,
     /* 132989 */   // Label 2498: @132989
     /* 132989 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(133038), // Rule ID 7172 //
     /* 132994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133011 */     // MIs[0] Rn
     /* 133011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133023 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (LDSETALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALB),
     /* 133026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133030 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133036 */     GIR_RootConstrainSelectedInstOperands,
     /* 133037 */     // GIR_Coverage, 7172,
     /* 133037 */     GIR_EraseRootFromParent_Done,
     /* 133038 */   // Label 2499: @133038
     /* 133038 */   GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(133087), // Rule ID 7173 //
     /* 133043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 133056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133060 */     // MIs[0] Rn
     /* 133060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133072 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (LDSETALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALB),
     /* 133075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133077 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133079 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133081 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133085 */     GIR_RootConstrainSelectedInstOperands,
     /* 133086 */     // GIR_Coverage, 7173,
     /* 133086 */     GIR_EraseRootFromParent_Done,
     /* 133087 */   // Label 2500: @133087
     /* 133087 */   GIM_Reject,
     /* 133088 */ // Label 2485: @133088
     /* 133088 */ GIM_Reject,
     /* 133089 */ // Label 2483: @133089
     /* 133089 */ GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(133315),
     /* 133094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 133097 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 133104 */   GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(133146), // Rule ID 7154 //
     /* 133109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133112 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 133115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133119 */     // MIs[0] Rn
     /* 133119 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133131 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (LDSETX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETX),
     /* 133134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133136 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133138 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133144 */     GIR_RootConstrainSelectedInstOperands,
     /* 133145 */     // GIR_Coverage, 7154,
     /* 133145 */     GIR_EraseRootFromParent_Done,
     /* 133146 */   // Label 2502: @133146
     /* 133146 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(133188), // Rule ID 7155 //
     /* 133151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 133157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133161 */     // MIs[0] Rn
     /* 133161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133173 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (LDSETAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAX),
     /* 133176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133180 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133186 */     GIR_RootConstrainSelectedInstOperands,
     /* 133187 */     // GIR_Coverage, 7155,
     /* 133187 */     GIR_EraseRootFromParent_Done,
     /* 133188 */   // Label 2503: @133188
     /* 133188 */   GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(133230), // Rule ID 7156 //
     /* 133193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133196 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 133199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133203 */     // MIs[0] Rn
     /* 133203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133215 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (LDSETLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLX),
     /* 133218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133222 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133228 */     GIR_RootConstrainSelectedInstOperands,
     /* 133229 */     // GIR_Coverage, 7156,
     /* 133229 */     GIR_EraseRootFromParent_Done,
     /* 133230 */   // Label 2504: @133230
     /* 133230 */   GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(133272), // Rule ID 7157 //
     /* 133235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133245 */     // MIs[0] Rn
     /* 133245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133257 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (LDSETALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALX),
     /* 133260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133264 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133270 */     GIR_RootConstrainSelectedInstOperands,
     /* 133271 */     // GIR_Coverage, 7157,
     /* 133271 */     GIR_EraseRootFromParent_Done,
     /* 133272 */   // Label 2505: @133272
     /* 133272 */   GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(133314), // Rule ID 7158 //
     /* 133277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 133283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133287 */     // MIs[0] Rn
     /* 133287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133299 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (LDSETALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALX),
     /* 133302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133306 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133312 */     GIR_RootConstrainSelectedInstOperands,
     /* 133313 */     // GIR_Coverage, 7158,
     /* 133313 */     GIR_EraseRootFromParent_Done,
     /* 133314 */   // Label 2506: @133314
     /* 133314 */   GIM_Reject,
     /* 133315 */ // Label 2501: @133315
     /* 133315 */ GIM_Reject,
     /* 133316 */ // Label 2484: @133316
     /* 133316 */ GIM_Reject,
     /* 133317 */ // Label 26: @133317
     /* 133317 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2509*/ GIMT_Encode4(134308),
     /* 133328 */ /*GILLT_s32*//*Label 2507*/ GIMT_Encode4(133336),
     /* 133332 */ /*GILLT_s64*//*Label 2508*/ GIMT_Encode4(134081),
     /* 133336 */ // Label 2507: @133336
     /* 133336 */ GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(134080),
     /* 133341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 133344 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(133393), // Rule ID 7179 //
     /* 133349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 133362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133366 */     // MIs[0] Rn
     /* 133366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133378 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (LDEORW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORW),
     /* 133381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133383 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133385 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133391 */     GIR_RootConstrainSelectedInstOperands,
     /* 133392 */     // GIR_Coverage, 7179,
     /* 133392 */     GIR_EraseRootFromParent_Done,
     /* 133393 */   // Label 2511: @133393
     /* 133393 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(133442), // Rule ID 7180 //
     /* 133398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 133411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133415 */     // MIs[0] Rn
     /* 133415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133427 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (LDEORAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAW),
     /* 133430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133434 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133440 */     GIR_RootConstrainSelectedInstOperands,
     /* 133441 */     // GIR_Coverage, 7180,
     /* 133441 */     GIR_EraseRootFromParent_Done,
     /* 133442 */   // Label 2512: @133442
     /* 133442 */   GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(133491), // Rule ID 7181 //
     /* 133447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 133460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133464 */     // MIs[0] Rn
     /* 133464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133476 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (LDEORLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLW),
     /* 133479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133481 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133483 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133489 */     GIR_RootConstrainSelectedInstOperands,
     /* 133490 */     // GIR_Coverage, 7181,
     /* 133490 */     GIR_EraseRootFromParent_Done,
     /* 133491 */   // Label 2513: @133491
     /* 133491 */   GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(133540), // Rule ID 7182 //
     /* 133496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133499 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133506 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133513 */     // MIs[0] Rn
     /* 133513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133525 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (LDEORALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALW),
     /* 133528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133532 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133538 */     GIR_RootConstrainSelectedInstOperands,
     /* 133539 */     // GIR_Coverage, 7182,
     /* 133539 */     GIR_EraseRootFromParent_Done,
     /* 133540 */   // Label 2514: @133540
     /* 133540 */   GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(133589), // Rule ID 7183 //
     /* 133545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133555 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 133558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133562 */     // MIs[0] Rn
     /* 133562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133574 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (LDEORALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALW),
     /* 133577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133579 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133581 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133587 */     GIR_RootConstrainSelectedInstOperands,
     /* 133588 */     // GIR_Coverage, 7183,
     /* 133588 */     GIR_EraseRootFromParent_Done,
     /* 133589 */   // Label 2515: @133589
     /* 133589 */   GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(133638), // Rule ID 7184 //
     /* 133594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133597 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133604 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 133607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133611 */     // MIs[0] Rn
     /* 133611 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133623 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (LDEORH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORH),
     /* 133626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133628 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133630 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133632 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133636 */     GIR_RootConstrainSelectedInstOperands,
     /* 133637 */     // GIR_Coverage, 7184,
     /* 133637 */     GIR_EraseRootFromParent_Done,
     /* 133638 */   // Label 2516: @133638
     /* 133638 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(133687), // Rule ID 7185 //
     /* 133643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133646 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133653 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 133656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133660 */     // MIs[0] Rn
     /* 133660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133672 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (LDEORAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAH),
     /* 133675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133679 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133685 */     GIR_RootConstrainSelectedInstOperands,
     /* 133686 */     // GIR_Coverage, 7185,
     /* 133686 */     GIR_EraseRootFromParent_Done,
     /* 133687 */   // Label 2517: @133687
     /* 133687 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(133736), // Rule ID 7186 //
     /* 133692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133695 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133702 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 133705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133709 */     // MIs[0] Rn
     /* 133709 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133721 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (LDEORLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLH),
     /* 133724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133728 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133734 */     GIR_RootConstrainSelectedInstOperands,
     /* 133735 */     // GIR_Coverage, 7186,
     /* 133735 */     GIR_EraseRootFromParent_Done,
     /* 133736 */   // Label 2518: @133736
     /* 133736 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(133785), // Rule ID 7187 //
     /* 133741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133744 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133751 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133758 */     // MIs[0] Rn
     /* 133758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133770 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (LDEORALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALH),
     /* 133773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133777 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133779 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133783 */     GIR_RootConstrainSelectedInstOperands,
     /* 133784 */     // GIR_Coverage, 7187,
     /* 133784 */     GIR_EraseRootFromParent_Done,
     /* 133785 */   // Label 2519: @133785
     /* 133785 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(133834), // Rule ID 7188 //
     /* 133790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133793 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133800 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 133803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133807 */     // MIs[0] Rn
     /* 133807 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133819 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (LDEORALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALH),
     /* 133822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133826 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133832 */     GIR_RootConstrainSelectedInstOperands,
     /* 133833 */     // GIR_Coverage, 7188,
     /* 133833 */     GIR_EraseRootFromParent_Done,
     /* 133834 */   // Label 2520: @133834
     /* 133834 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(133883), // Rule ID 7189 //
     /* 133839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133842 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133849 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 133852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133856 */     // MIs[0] Rn
     /* 133856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133868 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (LDEORB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORB),
     /* 133871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133873 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133875 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133881 */     GIR_RootConstrainSelectedInstOperands,
     /* 133882 */     // GIR_Coverage, 7189,
     /* 133882 */     GIR_EraseRootFromParent_Done,
     /* 133883 */   // Label 2521: @133883
     /* 133883 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(133932), // Rule ID 7190 //
     /* 133888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133891 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133898 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 133901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133905 */     // MIs[0] Rn
     /* 133905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133917 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (LDEORAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAB),
     /* 133920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133922 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133924 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133930 */     GIR_RootConstrainSelectedInstOperands,
     /* 133931 */     // GIR_Coverage, 7190,
     /* 133931 */     GIR_EraseRootFromParent_Done,
     /* 133932 */   // Label 2522: @133932
     /* 133932 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(133981), // Rule ID 7191 //
     /* 133937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133940 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133947 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 133950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133954 */     // MIs[0] Rn
     /* 133954 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133966 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (LDEORLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLB),
     /* 133969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133973 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133979 */     GIR_RootConstrainSelectedInstOperands,
     /* 133980 */     // GIR_Coverage, 7191,
     /* 133980 */     GIR_EraseRootFromParent_Done,
     /* 133981 */   // Label 2523: @133981
     /* 133981 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(134030), // Rule ID 7192 //
     /* 133986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134003 */     // MIs[0] Rn
     /* 134003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134015 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (LDEORALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALB),
     /* 134018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134022 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134028 */     GIR_RootConstrainSelectedInstOperands,
     /* 134029 */     // GIR_Coverage, 7192,
     /* 134029 */     GIR_EraseRootFromParent_Done,
     /* 134030 */   // Label 2524: @134030
     /* 134030 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(134079), // Rule ID 7193 //
     /* 134035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134038 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134045 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 134048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134052 */     // MIs[0] Rn
     /* 134052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134064 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (LDEORALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALB),
     /* 134067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134071 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134077 */     GIR_RootConstrainSelectedInstOperands,
     /* 134078 */     // GIR_Coverage, 7193,
     /* 134078 */     GIR_EraseRootFromParent_Done,
     /* 134079 */   // Label 2525: @134079
     /* 134079 */   GIM_Reject,
     /* 134080 */ // Label 2510: @134080
     /* 134080 */ GIM_Reject,
     /* 134081 */ // Label 2508: @134081
     /* 134081 */ GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(134307),
     /* 134086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134089 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 134096 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(134138), // Rule ID 7174 //
     /* 134101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134104 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 134107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134111 */     // MIs[0] Rn
     /* 134111 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134123 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (LDEORX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORX),
     /* 134126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134130 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134132 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134136 */     GIR_RootConstrainSelectedInstOperands,
     /* 134137 */     // GIR_Coverage, 7174,
     /* 134137 */     GIR_EraseRootFromParent_Done,
     /* 134138 */   // Label 2527: @134138
     /* 134138 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(134180), // Rule ID 7175 //
     /* 134143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134146 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 134149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134153 */     // MIs[0] Rn
     /* 134153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134165 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (LDEORAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAX),
     /* 134168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134172 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134174 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134178 */     GIR_RootConstrainSelectedInstOperands,
     /* 134179 */     // GIR_Coverage, 7175,
     /* 134179 */     GIR_EraseRootFromParent_Done,
     /* 134180 */   // Label 2528: @134180
     /* 134180 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(134222), // Rule ID 7176 //
     /* 134185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134188 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134195 */     // MIs[0] Rn
     /* 134195 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134207 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (LDEORLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLX),
     /* 134210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134214 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134216 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134220 */     GIR_RootConstrainSelectedInstOperands,
     /* 134221 */     // GIR_Coverage, 7176,
     /* 134221 */     GIR_EraseRootFromParent_Done,
     /* 134222 */   // Label 2529: @134222
     /* 134222 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(134264), // Rule ID 7177 //
     /* 134227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 134233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134237 */     // MIs[0] Rn
     /* 134237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134249 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (LDEORALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALX),
     /* 134252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134254 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134256 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134258 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134262 */     GIR_RootConstrainSelectedInstOperands,
     /* 134263 */     // GIR_Coverage, 7177,
     /* 134263 */     GIR_EraseRootFromParent_Done,
     /* 134264 */   // Label 2530: @134264
     /* 134264 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(134306), // Rule ID 7178 //
     /* 134269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134272 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 134275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134279 */     // MIs[0] Rn
     /* 134279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134291 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (LDEORALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALX),
     /* 134294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134298 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134304 */     GIR_RootConstrainSelectedInstOperands,
     /* 134305 */     // GIR_Coverage, 7178,
     /* 134305 */     GIR_EraseRootFromParent_Done,
     /* 134306 */   // Label 2531: @134306
     /* 134306 */   GIM_Reject,
     /* 134307 */ // Label 2526: @134307
     /* 134307 */ GIM_Reject,
     /* 134308 */ // Label 2509: @134308
     /* 134308 */ GIM_Reject,
     /* 134309 */ // Label 27: @134309
     /* 134309 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2534*/ GIMT_Encode4(135300),
     /* 134320 */ /*GILLT_s32*//*Label 2532*/ GIMT_Encode4(134328),
     /* 134324 */ /*GILLT_s64*//*Label 2533*/ GIMT_Encode4(135073),
     /* 134328 */ // Label 2532: @134328
     /* 134328 */ GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(135072),
     /* 134333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 134336 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(134385), // Rule ID 7219 //
     /* 134341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 134354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134358 */     // MIs[0] Rn
     /* 134358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134370 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (LDSMAXW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXW),
     /* 134373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134377 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134383 */     GIR_RootConstrainSelectedInstOperands,
     /* 134384 */     // GIR_Coverage, 7219,
     /* 134384 */     GIR_EraseRootFromParent_Done,
     /* 134385 */   // Label 2536: @134385
     /* 134385 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(134434), // Rule ID 7220 //
     /* 134390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 134403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134407 */     // MIs[0] Rn
     /* 134407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134419 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (LDSMAXAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAW),
     /* 134422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134426 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134432 */     GIR_RootConstrainSelectedInstOperands,
     /* 134433 */     // GIR_Coverage, 7220,
     /* 134433 */     GIR_EraseRootFromParent_Done,
     /* 134434 */   // Label 2537: @134434
     /* 134434 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(134483), // Rule ID 7221 //
     /* 134439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134456 */     // MIs[0] Rn
     /* 134456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134468 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (LDSMAXLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLW),
     /* 134471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134475 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134481 */     GIR_RootConstrainSelectedInstOperands,
     /* 134482 */     // GIR_Coverage, 7221,
     /* 134482 */     GIR_EraseRootFromParent_Done,
     /* 134483 */   // Label 2538: @134483
     /* 134483 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(134532), // Rule ID 7222 //
     /* 134488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 134501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134505 */     // MIs[0] Rn
     /* 134505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134517 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (LDSMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALW),
     /* 134520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134524 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134530 */     GIR_RootConstrainSelectedInstOperands,
     /* 134531 */     // GIR_Coverage, 7222,
     /* 134531 */     GIR_EraseRootFromParent_Done,
     /* 134532 */   // Label 2539: @134532
     /* 134532 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(134581), // Rule ID 7223 //
     /* 134537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 134550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134554 */     // MIs[0] Rn
     /* 134554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134566 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (LDSMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALW),
     /* 134569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134571 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134573 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134579 */     GIR_RootConstrainSelectedInstOperands,
     /* 134580 */     // GIR_Coverage, 7223,
     /* 134580 */     GIR_EraseRootFromParent_Done,
     /* 134581 */   // Label 2540: @134581
     /* 134581 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(134630), // Rule ID 7224 //
     /* 134586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134589 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134596 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 134599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134603 */     // MIs[0] Rn
     /* 134603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134615 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (LDSMAXH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXH),
     /* 134618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134620 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134622 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134628 */     GIR_RootConstrainSelectedInstOperands,
     /* 134629 */     // GIR_Coverage, 7224,
     /* 134629 */     GIR_EraseRootFromParent_Done,
     /* 134630 */   // Label 2541: @134630
     /* 134630 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(134679), // Rule ID 7225 //
     /* 134635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134638 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134645 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 134648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134652 */     // MIs[0] Rn
     /* 134652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134664 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (LDSMAXAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAH),
     /* 134667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134669 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134671 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134673 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134677 */     GIR_RootConstrainSelectedInstOperands,
     /* 134678 */     // GIR_Coverage, 7225,
     /* 134678 */     GIR_EraseRootFromParent_Done,
     /* 134679 */   // Label 2542: @134679
     /* 134679 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(134728), // Rule ID 7226 //
     /* 134684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134687 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134694 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134701 */     // MIs[0] Rn
     /* 134701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134713 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (LDSMAXLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLH),
     /* 134716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134720 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134722 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134726 */     GIR_RootConstrainSelectedInstOperands,
     /* 134727 */     // GIR_Coverage, 7226,
     /* 134727 */     GIR_EraseRootFromParent_Done,
     /* 134728 */   // Label 2543: @134728
     /* 134728 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(134777), // Rule ID 7227 //
     /* 134733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134736 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134743 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 134746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134750 */     // MIs[0] Rn
     /* 134750 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134762 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (LDSMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALH),
     /* 134765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134769 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134775 */     GIR_RootConstrainSelectedInstOperands,
     /* 134776 */     // GIR_Coverage, 7227,
     /* 134776 */     GIR_EraseRootFromParent_Done,
     /* 134777 */   // Label 2544: @134777
     /* 134777 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(134826), // Rule ID 7228 //
     /* 134782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134785 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134792 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 134795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134799 */     // MIs[0] Rn
     /* 134799 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134811 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (LDSMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALH),
     /* 134814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134818 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134824 */     GIR_RootConstrainSelectedInstOperands,
     /* 134825 */     // GIR_Coverage, 7228,
     /* 134825 */     GIR_EraseRootFromParent_Done,
     /* 134826 */   // Label 2545: @134826
     /* 134826 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(134875), // Rule ID 7229 //
     /* 134831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134834 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134841 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 134844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134848 */     // MIs[0] Rn
     /* 134848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134860 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (LDSMAXB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXB),
     /* 134863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134867 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134873 */     GIR_RootConstrainSelectedInstOperands,
     /* 134874 */     // GIR_Coverage, 7229,
     /* 134874 */     GIR_EraseRootFromParent_Done,
     /* 134875 */   // Label 2546: @134875
     /* 134875 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(134924), // Rule ID 7230 //
     /* 134880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134883 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134890 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 134893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134897 */     // MIs[0] Rn
     /* 134897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134909 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (LDSMAXAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAB),
     /* 134912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134914 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134916 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134922 */     GIR_RootConstrainSelectedInstOperands,
     /* 134923 */     // GIR_Coverage, 7230,
     /* 134923 */     GIR_EraseRootFromParent_Done,
     /* 134924 */   // Label 2547: @134924
     /* 134924 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(134973), // Rule ID 7231 //
     /* 134929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134932 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134939 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134946 */     // MIs[0] Rn
     /* 134946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134958 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (LDSMAXLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLB),
     /* 134961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134963 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134965 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134967 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134971 */     GIR_RootConstrainSelectedInstOperands,
     /* 134972 */     // GIR_Coverage, 7231,
     /* 134972 */     GIR_EraseRootFromParent_Done,
     /* 134973 */   // Label 2548: @134973
     /* 134973 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(135022), // Rule ID 7232 //
     /* 134978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134981 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134988 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 134991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134995 */     // MIs[0] Rn
     /* 134995 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135007 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (LDSMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALB),
     /* 135010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135014 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135016 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135020 */     GIR_RootConstrainSelectedInstOperands,
     /* 135021 */     // GIR_Coverage, 7232,
     /* 135021 */     GIR_EraseRootFromParent_Done,
     /* 135022 */   // Label 2549: @135022
     /* 135022 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(135071), // Rule ID 7233 //
     /* 135027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135030 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135037 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 135040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135044 */     // MIs[0] Rn
     /* 135044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135056 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (LDSMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALB),
     /* 135059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135063 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135065 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135069 */     GIR_RootConstrainSelectedInstOperands,
     /* 135070 */     // GIR_Coverage, 7233,
     /* 135070 */     GIR_EraseRootFromParent_Done,
     /* 135071 */   // Label 2550: @135071
     /* 135071 */   GIM_Reject,
     /* 135072 */ // Label 2535: @135072
     /* 135072 */ GIM_Reject,
     /* 135073 */ // Label 2533: @135073
     /* 135073 */ GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(135299),
     /* 135078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 135081 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 135088 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(135130), // Rule ID 7214 //
     /* 135093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135096 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 135099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135103 */     // MIs[0] Rn
     /* 135103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135115 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (LDSMAXX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXX),
     /* 135118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135122 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135124 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135128 */     GIR_RootConstrainSelectedInstOperands,
     /* 135129 */     // GIR_Coverage, 7214,
     /* 135129 */     GIR_EraseRootFromParent_Done,
     /* 135130 */   // Label 2552: @135130
     /* 135130 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(135172), // Rule ID 7215 //
     /* 135135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 135141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135145 */     // MIs[0] Rn
     /* 135145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135157 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (LDSMAXAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAX),
     /* 135160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135164 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135170 */     GIR_RootConstrainSelectedInstOperands,
     /* 135171 */     // GIR_Coverage, 7215,
     /* 135171 */     GIR_EraseRootFromParent_Done,
     /* 135172 */   // Label 2553: @135172
     /* 135172 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(135214), // Rule ID 7216 //
     /* 135177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135180 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 135183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135187 */     // MIs[0] Rn
     /* 135187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135199 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (LDSMAXLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLX),
     /* 135202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135206 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135212 */     GIR_RootConstrainSelectedInstOperands,
     /* 135213 */     // GIR_Coverage, 7216,
     /* 135213 */     GIR_EraseRootFromParent_Done,
     /* 135214 */   // Label 2554: @135214
     /* 135214 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(135256), // Rule ID 7217 //
     /* 135219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 135225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135229 */     // MIs[0] Rn
     /* 135229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135241 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (LDSMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALX),
     /* 135244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135248 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135254 */     GIR_RootConstrainSelectedInstOperands,
     /* 135255 */     // GIR_Coverage, 7217,
     /* 135255 */     GIR_EraseRootFromParent_Done,
     /* 135256 */   // Label 2555: @135256
     /* 135256 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(135298), // Rule ID 7218 //
     /* 135261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135264 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 135267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135271 */     // MIs[0] Rn
     /* 135271 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135283 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (LDSMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALX),
     /* 135286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135290 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135296 */     GIR_RootConstrainSelectedInstOperands,
     /* 135297 */     // GIR_Coverage, 7218,
     /* 135297 */     GIR_EraseRootFromParent_Done,
     /* 135298 */   // Label 2556: @135298
     /* 135298 */   GIM_Reject,
     /* 135299 */ // Label 2551: @135299
     /* 135299 */ GIM_Reject,
     /* 135300 */ // Label 2534: @135300
     /* 135300 */ GIM_Reject,
     /* 135301 */ // Label 28: @135301
     /* 135301 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2559*/ GIMT_Encode4(136292),
     /* 135312 */ /*GILLT_s32*//*Label 2557*/ GIMT_Encode4(135320),
     /* 135316 */ /*GILLT_s64*//*Label 2558*/ GIMT_Encode4(136065),
     /* 135320 */ // Label 2557: @135320
     /* 135320 */ GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(136064),
     /* 135325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 135328 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(135377), // Rule ID 7239 //
     /* 135333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 135346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135350 */     // MIs[0] Rn
     /* 135350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135362 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (LDSMINW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINW),
     /* 135365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135367 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135369 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135371 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135375 */     GIR_RootConstrainSelectedInstOperands,
     /* 135376 */     // GIR_Coverage, 7239,
     /* 135376 */     GIR_EraseRootFromParent_Done,
     /* 135377 */   // Label 2561: @135377
     /* 135377 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(135426), // Rule ID 7240 //
     /* 135382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 135395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135399 */     // MIs[0] Rn
     /* 135399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135411 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (LDSMINAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAW),
     /* 135414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135418 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135420 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135424 */     GIR_RootConstrainSelectedInstOperands,
     /* 135425 */     // GIR_Coverage, 7240,
     /* 135425 */     GIR_EraseRootFromParent_Done,
     /* 135426 */   // Label 2562: @135426
     /* 135426 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(135475), // Rule ID 7241 //
     /* 135431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 135444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135448 */     // MIs[0] Rn
     /* 135448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135460 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (LDSMINLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLW),
     /* 135463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135467 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135469 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135473 */     GIR_RootConstrainSelectedInstOperands,
     /* 135474 */     // GIR_Coverage, 7241,
     /* 135474 */     GIR_EraseRootFromParent_Done,
     /* 135475 */   // Label 2563: @135475
     /* 135475 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(135524), // Rule ID 7242 //
     /* 135480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 135493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135497 */     // MIs[0] Rn
     /* 135497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135509 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (LDSMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALW),
     /* 135512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135516 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135522 */     GIR_RootConstrainSelectedInstOperands,
     /* 135523 */     // GIR_Coverage, 7242,
     /* 135523 */     GIR_EraseRootFromParent_Done,
     /* 135524 */   // Label 2564: @135524
     /* 135524 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(135573), // Rule ID 7243 //
     /* 135529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 135542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135546 */     // MIs[0] Rn
     /* 135546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135558 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (LDSMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALW),
     /* 135561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135565 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135567 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135571 */     GIR_RootConstrainSelectedInstOperands,
     /* 135572 */     // GIR_Coverage, 7243,
     /* 135572 */     GIR_EraseRootFromParent_Done,
     /* 135573 */   // Label 2565: @135573
     /* 135573 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(135622), // Rule ID 7244 //
     /* 135578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135581 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135588 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 135591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135595 */     // MIs[0] Rn
     /* 135595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135607 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (LDSMINH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINH),
     /* 135610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135612 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135614 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135620 */     GIR_RootConstrainSelectedInstOperands,
     /* 135621 */     // GIR_Coverage, 7244,
     /* 135621 */     GIR_EraseRootFromParent_Done,
     /* 135622 */   // Label 2566: @135622
     /* 135622 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(135671), // Rule ID 7245 //
     /* 135627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 135640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135644 */     // MIs[0] Rn
     /* 135644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135656 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (LDSMINAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAH),
     /* 135659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135661 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135663 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135665 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135669 */     GIR_RootConstrainSelectedInstOperands,
     /* 135670 */     // GIR_Coverage, 7245,
     /* 135670 */     GIR_EraseRootFromParent_Done,
     /* 135671 */   // Label 2567: @135671
     /* 135671 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(135720), // Rule ID 7246 //
     /* 135676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135679 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135686 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 135689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135693 */     // MIs[0] Rn
     /* 135693 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135705 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (LDSMINLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLH),
     /* 135708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135712 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135718 */     GIR_RootConstrainSelectedInstOperands,
     /* 135719 */     // GIR_Coverage, 7246,
     /* 135719 */     GIR_EraseRootFromParent_Done,
     /* 135720 */   // Label 2568: @135720
     /* 135720 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(135769), // Rule ID 7247 //
     /* 135725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135728 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135735 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 135738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135742 */     // MIs[0] Rn
     /* 135742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135754 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (LDSMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALH),
     /* 135757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135759 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135761 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135767 */     GIR_RootConstrainSelectedInstOperands,
     /* 135768 */     // GIR_Coverage, 7247,
     /* 135768 */     GIR_EraseRootFromParent_Done,
     /* 135769 */   // Label 2569: @135769
     /* 135769 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(135818), // Rule ID 7248 //
     /* 135774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135777 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135784 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 135787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135791 */     // MIs[0] Rn
     /* 135791 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135803 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (LDSMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALH),
     /* 135806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135808 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135810 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135816 */     GIR_RootConstrainSelectedInstOperands,
     /* 135817 */     // GIR_Coverage, 7248,
     /* 135817 */     GIR_EraseRootFromParent_Done,
     /* 135818 */   // Label 2570: @135818
     /* 135818 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(135867), // Rule ID 7249 //
     /* 135823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135826 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135833 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 135836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135840 */     // MIs[0] Rn
     /* 135840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135852 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (LDSMINB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINB),
     /* 135855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135857 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135859 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135861 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135865 */     GIR_RootConstrainSelectedInstOperands,
     /* 135866 */     // GIR_Coverage, 7249,
     /* 135866 */     GIR_EraseRootFromParent_Done,
     /* 135867 */   // Label 2571: @135867
     /* 135867 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(135916), // Rule ID 7250 //
     /* 135872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135875 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135882 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 135885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135889 */     // MIs[0] Rn
     /* 135889 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135901 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (LDSMINAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAB),
     /* 135904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135908 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135910 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135914 */     GIR_RootConstrainSelectedInstOperands,
     /* 135915 */     // GIR_Coverage, 7250,
     /* 135915 */     GIR_EraseRootFromParent_Done,
     /* 135916 */   // Label 2572: @135916
     /* 135916 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(135965), // Rule ID 7251 //
     /* 135921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135924 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135931 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 135934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135938 */     // MIs[0] Rn
     /* 135938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135950 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (LDSMINLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLB),
     /* 135953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135957 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135963 */     GIR_RootConstrainSelectedInstOperands,
     /* 135964 */     // GIR_Coverage, 7251,
     /* 135964 */     GIR_EraseRootFromParent_Done,
     /* 135965 */   // Label 2573: @135965
     /* 135965 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(136014), // Rule ID 7252 //
     /* 135970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135973 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135980 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 135983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135987 */     // MIs[0] Rn
     /* 135987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135999 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (LDSMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALB),
     /* 136002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136006 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136012 */     GIR_RootConstrainSelectedInstOperands,
     /* 136013 */     // GIR_Coverage, 7252,
     /* 136013 */     GIR_EraseRootFromParent_Done,
     /* 136014 */   // Label 2574: @136014
     /* 136014 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(136063), // Rule ID 7253 //
     /* 136019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136022 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136029 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 136032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136036 */     // MIs[0] Rn
     /* 136036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136048 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (LDSMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALB),
     /* 136051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136055 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136061 */     GIR_RootConstrainSelectedInstOperands,
     /* 136062 */     // GIR_Coverage, 7253,
     /* 136062 */     GIR_EraseRootFromParent_Done,
     /* 136063 */   // Label 2575: @136063
     /* 136063 */   GIM_Reject,
     /* 136064 */ // Label 2560: @136064
     /* 136064 */ GIM_Reject,
     /* 136065 */ // Label 2558: @136065
     /* 136065 */ GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(136291),
     /* 136070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 136073 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 136080 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(136122), // Rule ID 7234 //
     /* 136085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 136091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136095 */     // MIs[0] Rn
     /* 136095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136107 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (LDSMINX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINX),
     /* 136110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136114 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136120 */     GIR_RootConstrainSelectedInstOperands,
     /* 136121 */     // GIR_Coverage, 7234,
     /* 136121 */     GIR_EraseRootFromParent_Done,
     /* 136122 */   // Label 2577: @136122
     /* 136122 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(136164), // Rule ID 7235 //
     /* 136127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 136133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136137 */     // MIs[0] Rn
     /* 136137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136149 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (LDSMINAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAX),
     /* 136152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136156 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136162 */     GIR_RootConstrainSelectedInstOperands,
     /* 136163 */     // GIR_Coverage, 7235,
     /* 136163 */     GIR_EraseRootFromParent_Done,
     /* 136164 */   // Label 2578: @136164
     /* 136164 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(136206), // Rule ID 7236 //
     /* 136169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136172 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 136175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136179 */     // MIs[0] Rn
     /* 136179 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136191 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (LDSMINLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLX),
     /* 136194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136198 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136204 */     GIR_RootConstrainSelectedInstOperands,
     /* 136205 */     // GIR_Coverage, 7236,
     /* 136205 */     GIR_EraseRootFromParent_Done,
     /* 136206 */   // Label 2579: @136206
     /* 136206 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(136248), // Rule ID 7237 //
     /* 136211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136221 */     // MIs[0] Rn
     /* 136221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136233 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (LDSMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALX),
     /* 136236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136240 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136242 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136246 */     GIR_RootConstrainSelectedInstOperands,
     /* 136247 */     // GIR_Coverage, 7237,
     /* 136247 */     GIR_EraseRootFromParent_Done,
     /* 136248 */   // Label 2580: @136248
     /* 136248 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(136290), // Rule ID 7238 //
     /* 136253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136256 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 136259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136263 */     // MIs[0] Rn
     /* 136263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136275 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (LDSMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALX),
     /* 136278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136282 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136288 */     GIR_RootConstrainSelectedInstOperands,
     /* 136289 */     // GIR_Coverage, 7238,
     /* 136289 */     GIR_EraseRootFromParent_Done,
     /* 136290 */   // Label 2581: @136290
     /* 136290 */   GIM_Reject,
     /* 136291 */ // Label 2576: @136291
     /* 136291 */ GIM_Reject,
     /* 136292 */ // Label 2559: @136292
     /* 136292 */ GIM_Reject,
     /* 136293 */ // Label 29: @136293
     /* 136293 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2584*/ GIMT_Encode4(137284),
     /* 136304 */ /*GILLT_s32*//*Label 2582*/ GIMT_Encode4(136312),
     /* 136308 */ /*GILLT_s64*//*Label 2583*/ GIMT_Encode4(137057),
     /* 136312 */ // Label 2582: @136312
     /* 136312 */ GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(137056),
     /* 136317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 136320 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(136369), // Rule ID 7259 //
     /* 136325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 136338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136342 */     // MIs[0] Rn
     /* 136342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136354 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (LDUMAXW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXW),
     /* 136357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136359 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136361 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136363 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136367 */     GIR_RootConstrainSelectedInstOperands,
     /* 136368 */     // GIR_Coverage, 7259,
     /* 136368 */     GIR_EraseRootFromParent_Done,
     /* 136369 */   // Label 2586: @136369
     /* 136369 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(136418), // Rule ID 7260 //
     /* 136374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 136387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136391 */     // MIs[0] Rn
     /* 136391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136403 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (LDUMAXAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAW),
     /* 136406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136410 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136412 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136416 */     GIR_RootConstrainSelectedInstOperands,
     /* 136417 */     // GIR_Coverage, 7260,
     /* 136417 */     GIR_EraseRootFromParent_Done,
     /* 136418 */   // Label 2587: @136418
     /* 136418 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(136467), // Rule ID 7261 //
     /* 136423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 136436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136440 */     // MIs[0] Rn
     /* 136440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136452 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (LDUMAXLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLW),
     /* 136455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136457 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136459 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136465 */     GIR_RootConstrainSelectedInstOperands,
     /* 136466 */     // GIR_Coverage, 7261,
     /* 136466 */     GIR_EraseRootFromParent_Done,
     /* 136467 */   // Label 2588: @136467
     /* 136467 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(136516), // Rule ID 7262 //
     /* 136472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136489 */     // MIs[0] Rn
     /* 136489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136501 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (LDUMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALW),
     /* 136504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136508 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136514 */     GIR_RootConstrainSelectedInstOperands,
     /* 136515 */     // GIR_Coverage, 7262,
     /* 136515 */     GIR_EraseRootFromParent_Done,
     /* 136516 */   // Label 2589: @136516
     /* 136516 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(136565), // Rule ID 7263 //
     /* 136521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 136534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136538 */     // MIs[0] Rn
     /* 136538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136550 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (LDUMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALW),
     /* 136553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136557 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136563 */     GIR_RootConstrainSelectedInstOperands,
     /* 136564 */     // GIR_Coverage, 7263,
     /* 136564 */     GIR_EraseRootFromParent_Done,
     /* 136565 */   // Label 2590: @136565
     /* 136565 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(136614), // Rule ID 7264 //
     /* 136570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 136583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136587 */     // MIs[0] Rn
     /* 136587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136599 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (LDUMAXH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXH),
     /* 136602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136604 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136606 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136608 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136612 */     GIR_RootConstrainSelectedInstOperands,
     /* 136613 */     // GIR_Coverage, 7264,
     /* 136613 */     GIR_EraseRootFromParent_Done,
     /* 136614 */   // Label 2591: @136614
     /* 136614 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(136663), // Rule ID 7265 //
     /* 136619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 136632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136636 */     // MIs[0] Rn
     /* 136636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136648 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (LDUMAXAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAH),
     /* 136651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136655 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136661 */     GIR_RootConstrainSelectedInstOperands,
     /* 136662 */     // GIR_Coverage, 7265,
     /* 136662 */     GIR_EraseRootFromParent_Done,
     /* 136663 */   // Label 2592: @136663
     /* 136663 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(136712), // Rule ID 7266 //
     /* 136668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 136681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136685 */     // MIs[0] Rn
     /* 136685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136697 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (LDUMAXLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLH),
     /* 136700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136704 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136710 */     GIR_RootConstrainSelectedInstOperands,
     /* 136711 */     // GIR_Coverage, 7266,
     /* 136711 */     GIR_EraseRootFromParent_Done,
     /* 136712 */   // Label 2593: @136712
     /* 136712 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(136761), // Rule ID 7267 //
     /* 136717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136720 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136727 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136734 */     // MIs[0] Rn
     /* 136734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136746 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (LDUMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALH),
     /* 136749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136753 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136759 */     GIR_RootConstrainSelectedInstOperands,
     /* 136760 */     // GIR_Coverage, 7267,
     /* 136760 */     GIR_EraseRootFromParent_Done,
     /* 136761 */   // Label 2594: @136761
     /* 136761 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(136810), // Rule ID 7268 //
     /* 136766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136769 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136776 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 136779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136783 */     // MIs[0] Rn
     /* 136783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136795 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (LDUMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALH),
     /* 136798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136802 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136808 */     GIR_RootConstrainSelectedInstOperands,
     /* 136809 */     // GIR_Coverage, 7268,
     /* 136809 */     GIR_EraseRootFromParent_Done,
     /* 136810 */   // Label 2595: @136810
     /* 136810 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(136859), // Rule ID 7269 //
     /* 136815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136818 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136825 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 136828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136832 */     // MIs[0] Rn
     /* 136832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136844 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (LDUMAXB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXB),
     /* 136847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136851 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136857 */     GIR_RootConstrainSelectedInstOperands,
     /* 136858 */     // GIR_Coverage, 7269,
     /* 136858 */     GIR_EraseRootFromParent_Done,
     /* 136859 */   // Label 2596: @136859
     /* 136859 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(136908), // Rule ID 7270 //
     /* 136864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136867 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136874 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 136877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136881 */     // MIs[0] Rn
     /* 136881 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136893 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (LDUMAXAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAB),
     /* 136896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136900 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136902 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136906 */     GIR_RootConstrainSelectedInstOperands,
     /* 136907 */     // GIR_Coverage, 7270,
     /* 136907 */     GIR_EraseRootFromParent_Done,
     /* 136908 */   // Label 2597: @136908
     /* 136908 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(136957), // Rule ID 7271 //
     /* 136913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136916 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136923 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 136926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136930 */     // MIs[0] Rn
     /* 136930 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136942 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (LDUMAXLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLB),
     /* 136945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136947 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136949 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136955 */     GIR_RootConstrainSelectedInstOperands,
     /* 136956 */     // GIR_Coverage, 7271,
     /* 136956 */     GIR_EraseRootFromParent_Done,
     /* 136957 */   // Label 2598: @136957
     /* 136957 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(137006), // Rule ID 7272 //
     /* 136962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136965 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136972 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136979 */     // MIs[0] Rn
     /* 136979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136991 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (LDUMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALB),
     /* 136994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136998 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137000 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137004 */     GIR_RootConstrainSelectedInstOperands,
     /* 137005 */     // GIR_Coverage, 7272,
     /* 137005 */     GIR_EraseRootFromParent_Done,
     /* 137006 */   // Label 2599: @137006
     /* 137006 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(137055), // Rule ID 7273 //
     /* 137011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137014 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 137021 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137028 */     // MIs[0] Rn
     /* 137028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137040 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (LDUMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALB),
     /* 137043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137047 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137049 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137053 */     GIR_RootConstrainSelectedInstOperands,
     /* 137054 */     // GIR_Coverage, 7273,
     /* 137054 */     GIR_EraseRootFromParent_Done,
     /* 137055 */   // Label 2600: @137055
     /* 137055 */   GIM_Reject,
     /* 137056 */ // Label 2585: @137056
     /* 137056 */ GIM_Reject,
     /* 137057 */ // Label 2583: @137057
     /* 137057 */ GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(137283),
     /* 137062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 137065 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 137072 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(137114), // Rule ID 7254 //
     /* 137077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 137083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137087 */     // MIs[0] Rn
     /* 137087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137099 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (LDUMAXX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXX),
     /* 137102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137106 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137112 */     GIR_RootConstrainSelectedInstOperands,
     /* 137113 */     // GIR_Coverage, 7254,
     /* 137113 */     GIR_EraseRootFromParent_Done,
     /* 137114 */   // Label 2602: @137114
     /* 137114 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(137156), // Rule ID 7255 //
     /* 137119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 137125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137129 */     // MIs[0] Rn
     /* 137129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137141 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (LDUMAXAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAX),
     /* 137144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137148 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137154 */     GIR_RootConstrainSelectedInstOperands,
     /* 137155 */     // GIR_Coverage, 7255,
     /* 137155 */     GIR_EraseRootFromParent_Done,
     /* 137156 */   // Label 2603: @137156
     /* 137156 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(137198), // Rule ID 7256 //
     /* 137161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137164 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 137167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137171 */     // MIs[0] Rn
     /* 137171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137183 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (LDUMAXLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLX),
     /* 137186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137190 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137192 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137196 */     GIR_RootConstrainSelectedInstOperands,
     /* 137197 */     // GIR_Coverage, 7256,
     /* 137197 */     GIR_EraseRootFromParent_Done,
     /* 137198 */   // Label 2604: @137198
     /* 137198 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(137240), // Rule ID 7257 //
     /* 137203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 137209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137213 */     // MIs[0] Rn
     /* 137213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137225 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (LDUMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALX),
     /* 137228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137232 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137238 */     GIR_RootConstrainSelectedInstOperands,
     /* 137239 */     // GIR_Coverage, 7257,
     /* 137239 */     GIR_EraseRootFromParent_Done,
     /* 137240 */   // Label 2605: @137240
     /* 137240 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(137282), // Rule ID 7258 //
     /* 137245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137248 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137255 */     // MIs[0] Rn
     /* 137255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137267 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (LDUMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALX),
     /* 137270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137274 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137280 */     GIR_RootConstrainSelectedInstOperands,
     /* 137281 */     // GIR_Coverage, 7258,
     /* 137281 */     GIR_EraseRootFromParent_Done,
     /* 137282 */   // Label 2606: @137282
     /* 137282 */   GIM_Reject,
     /* 137283 */ // Label 2601: @137283
     /* 137283 */ GIM_Reject,
     /* 137284 */ // Label 2584: @137284
     /* 137284 */ GIM_Reject,
     /* 137285 */ // Label 30: @137285
     /* 137285 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2609*/ GIMT_Encode4(138276),
     /* 137296 */ /*GILLT_s32*//*Label 2607*/ GIMT_Encode4(137304),
     /* 137300 */ /*GILLT_s64*//*Label 2608*/ GIMT_Encode4(138049),
     /* 137304 */ // Label 2607: @137304
     /* 137304 */ GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(138048),
     /* 137309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 137312 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(137361), // Rule ID 7279 //
     /* 137317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137320 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 137327 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 137330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137334 */     // MIs[0] Rn
     /* 137334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137346 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (LDUMINW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINW),
     /* 137349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137353 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137359 */     GIR_RootConstrainSelectedInstOperands,
     /* 137360 */     // GIR_Coverage, 7279,
     /* 137360 */     GIR_EraseRootFromParent_Done,
     /* 137361 */   // Label 2611: @137361
     /* 137361 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(137410), // Rule ID 7280 //
     /* 137366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 137376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 137379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137383 */     // MIs[0] Rn
     /* 137383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137395 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (LDUMINAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAW),
     /* 137398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137402 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137408 */     GIR_RootConstrainSelectedInstOperands,
     /* 137409 */     // GIR_Coverage, 7280,
     /* 137409 */     GIR_EraseRootFromParent_Done,
     /* 137410 */   // Label 2612: @137410
     /* 137410 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(137459), // Rule ID 7281 //
     /* 137415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 137425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 137428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137432 */     // MIs[0] Rn
     /* 137432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137444 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (LDUMINLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLW),
     /* 137447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137449 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137451 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137453 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137457 */     GIR_RootConstrainSelectedInstOperands,
     /* 137458 */     // GIR_Coverage, 7281,
     /* 137458 */     GIR_EraseRootFromParent_Done,
     /* 137459 */   // Label 2613: @137459
     /* 137459 */   GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(137508), // Rule ID 7282 //
     /* 137464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 137474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 137477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137481 */     // MIs[0] Rn
     /* 137481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137493 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (LDUMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALW),
     /* 137496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137500 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137506 */     GIR_RootConstrainSelectedInstOperands,
     /* 137507 */     // GIR_Coverage, 7282,
     /* 137507 */     GIR_EraseRootFromParent_Done,
     /* 137508 */   // Label 2614: @137508
     /* 137508 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(137557), // Rule ID 7283 //
     /* 137513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 137523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137530 */     // MIs[0] Rn
     /* 137530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137542 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (LDUMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALW),
     /* 137545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137547 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137549 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137555 */     GIR_RootConstrainSelectedInstOperands,
     /* 137556 */     // GIR_Coverage, 7283,
     /* 137556 */     GIR_EraseRootFromParent_Done,
     /* 137557 */   // Label 2615: @137557
     /* 137557 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(137606), // Rule ID 7284 //
     /* 137562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 137572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 137575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137579 */     // MIs[0] Rn
     /* 137579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137591 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (LDUMINH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINH),
     /* 137594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137598 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137604 */     GIR_RootConstrainSelectedInstOperands,
     /* 137605 */     // GIR_Coverage, 7284,
     /* 137605 */     GIR_EraseRootFromParent_Done,
     /* 137606 */   // Label 2616: @137606
     /* 137606 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(137655), // Rule ID 7285 //
     /* 137611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 137621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 137624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137628 */     // MIs[0] Rn
     /* 137628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137640 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (LDUMINAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAH),
     /* 137643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137647 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137649 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137653 */     GIR_RootConstrainSelectedInstOperands,
     /* 137654 */     // GIR_Coverage, 7285,
     /* 137654 */     GIR_EraseRootFromParent_Done,
     /* 137655 */   // Label 2617: @137655
     /* 137655 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(137704), // Rule ID 7286 //
     /* 137660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 137670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 137673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137677 */     // MIs[0] Rn
     /* 137677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137689 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (LDUMINLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLH),
     /* 137692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137694 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137696 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137702 */     GIR_RootConstrainSelectedInstOperands,
     /* 137703 */     // GIR_Coverage, 7286,
     /* 137703 */     GIR_EraseRootFromParent_Done,
     /* 137704 */   // Label 2618: @137704
     /* 137704 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(137753), // Rule ID 7287 //
     /* 137709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137712 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 137719 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 137722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137726 */     // MIs[0] Rn
     /* 137726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137738 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (LDUMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALH),
     /* 137741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137743 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137745 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137747 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137751 */     GIR_RootConstrainSelectedInstOperands,
     /* 137752 */     // GIR_Coverage, 7287,
     /* 137752 */     GIR_EraseRootFromParent_Done,
     /* 137753 */   // Label 2619: @137753
     /* 137753 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(137802), // Rule ID 7288 //
     /* 137758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137761 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 137768 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137775 */     // MIs[0] Rn
     /* 137775 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137787 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (LDUMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALH),
     /* 137790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137794 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137800 */     GIR_RootConstrainSelectedInstOperands,
     /* 137801 */     // GIR_Coverage, 7288,
     /* 137801 */     GIR_EraseRootFromParent_Done,
     /* 137802 */   // Label 2620: @137802
     /* 137802 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(137851), // Rule ID 7289 //
     /* 137807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137810 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 137817 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 137820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137824 */     // MIs[0] Rn
     /* 137824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137836 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (LDUMINB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINB),
     /* 137839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137843 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137849 */     GIR_RootConstrainSelectedInstOperands,
     /* 137850 */     // GIR_Coverage, 7289,
     /* 137850 */     GIR_EraseRootFromParent_Done,
     /* 137851 */   // Label 2621: @137851
     /* 137851 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(137900), // Rule ID 7290 //
     /* 137856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137859 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 137866 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 137869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137873 */     // MIs[0] Rn
     /* 137873 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137885 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (LDUMINAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAB),
     /* 137888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137892 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137898 */     GIR_RootConstrainSelectedInstOperands,
     /* 137899 */     // GIR_Coverage, 7290,
     /* 137899 */     GIR_EraseRootFromParent_Done,
     /* 137900 */   // Label 2622: @137900
     /* 137900 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(137949), // Rule ID 7291 //
     /* 137905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137908 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 137915 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 137918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137922 */     // MIs[0] Rn
     /* 137922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137934 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (LDUMINLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLB),
     /* 137937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137939 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137941 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137947 */     GIR_RootConstrainSelectedInstOperands,
     /* 137948 */     // GIR_Coverage, 7291,
     /* 137948 */     GIR_EraseRootFromParent_Done,
     /* 137949 */   // Label 2623: @137949
     /* 137949 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(137998), // Rule ID 7292 //
     /* 137954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137957 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 137964 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 137967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137971 */     // MIs[0] Rn
     /* 137971 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137983 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (LDUMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALB),
     /* 137986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137990 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137996 */     GIR_RootConstrainSelectedInstOperands,
     /* 137997 */     // GIR_Coverage, 7292,
     /* 137997 */     GIR_EraseRootFromParent_Done,
     /* 137998 */   // Label 2624: @137998
     /* 137998 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(138047), // Rule ID 7293 //
     /* 138003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 138006 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 138013 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 138020 */     // MIs[0] Rn
     /* 138020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 138028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 138032 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (LDUMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 138032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALB),
     /* 138035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138037 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138039 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138045 */     GIR_RootConstrainSelectedInstOperands,
     /* 138046 */     // GIR_Coverage, 7293,
     /* 138046 */     GIR_EraseRootFromParent_Done,
     /* 138047 */   // Label 2625: @138047
     /* 138047 */   GIM_Reject,
     /* 138048 */ // Label 2610: @138048
     /* 138048 */ GIM_Reject,
     /* 138049 */ // Label 2608: @138049
     /* 138049 */ GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(138275),
     /* 138054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 138057 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 138064 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(138106), // Rule ID 7274 //
     /* 138069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 138072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138079 */     // MIs[0] Rn
     /* 138079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 138087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138091 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (LDUMINX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 138091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINX),
     /* 138094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138098 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138104 */     GIR_RootConstrainSelectedInstOperands,
     /* 138105 */     // GIR_Coverage, 7274,
     /* 138105 */     GIR_EraseRootFromParent_Done,
     /* 138106 */   // Label 2627: @138106
     /* 138106 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(138148), // Rule ID 7275 //
     /* 138111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 138114 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 138117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138121 */     // MIs[0] Rn
     /* 138121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 138129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138133 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (LDUMINAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 138133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAX),
     /* 138136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138140 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138146 */     GIR_RootConstrainSelectedInstOperands,
     /* 138147 */     // GIR_Coverage, 7275,
     /* 138147 */     GIR_EraseRootFromParent_Done,
     /* 138148 */   // Label 2628: @138148
     /* 138148 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(138190), // Rule ID 7276 //
     /* 138153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 138156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 138159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138163 */     // MIs[0] Rn
     /* 138163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 138171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138175 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (LDUMINLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 138175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLX),
     /* 138178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138182 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138188 */     GIR_RootConstrainSelectedInstOperands,
     /* 138189 */     // GIR_Coverage, 7276,
     /* 138189 */     GIR_EraseRootFromParent_Done,
     /* 138190 */   // Label 2629: @138190
     /* 138190 */   GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(138232), // Rule ID 7277 //
     /* 138195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 138198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138205 */     // MIs[0] Rn
     /* 138205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 138213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138217 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (LDUMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 138217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALX),
     /* 138220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138224 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138226 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138230 */     GIR_RootConstrainSelectedInstOperands,
     /* 138231 */     // GIR_Coverage, 7277,
     /* 138231 */     GIR_EraseRootFromParent_Done,
     /* 138232 */   // Label 2630: @138232
     /* 138232 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(138274), // Rule ID 7278 //
     /* 138237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 138240 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138247 */     // MIs[0] Rn
     /* 138247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 138255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138259 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (LDUMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 138259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALX),
     /* 138262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138264 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138266 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138272 */     GIR_RootConstrainSelectedInstOperands,
     /* 138273 */     // GIR_Coverage, 7278,
     /* 138273 */     GIR_EraseRootFromParent_Done,
     /* 138274 */   // Label 2631: @138274
     /* 138274 */   GIM_Reject,
     /* 138275 */ // Label 2626: @138275
     /* 138275 */ GIM_Reject,
     /* 138276 */ // Label 2609: @138276
     /* 138276 */ GIM_Reject,
     /* 138277 */ // Label 31: @138277
     /* 138277 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 2635*/ GIMT_Encode4(138981),
     /* 138288 */ /*GILLT_s16*//*Label 2632*/ GIMT_Encode4(138300),
     /* 138292 */ /*GILLT_s32*//*Label 2633*/ GIMT_Encode4(138527),
     /* 138296 */ /*GILLT_s64*//*Label 2634*/ GIMT_Encode4(138754),
     /* 138300 */ // Label 2632: @138300
     /* 138300 */ GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(138526),
     /* 138305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 138308 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 138315 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(138357), // Rule ID 2584 //
     /* 138320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138323 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138330 */     // MIs[0] Rn
     /* 138330 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138342 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_monotonic>>  =>  (LDFADDH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDH),
     /* 138345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138347 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138349 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138355 */     GIR_RootConstrainSelectedInstOperands,
     /* 138356 */     // GIR_Coverage, 2584,
     /* 138356 */     GIR_EraseRootFromParent_Done,
     /* 138357 */   // Label 2637: @138357
     /* 138357 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(138399), // Rule ID 2585 //
     /* 138362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138365 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 138368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138372 */     // MIs[0] Rn
     /* 138372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138384 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_acquire>>  =>  (LDFADDAH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDAH),
     /* 138387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138389 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138391 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138397 */     GIR_RootConstrainSelectedInstOperands,
     /* 138398 */     // GIR_Coverage, 2585,
     /* 138398 */     GIR_EraseRootFromParent_Done,
     /* 138399 */   // Label 2638: @138399
     /* 138399 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(138441), // Rule ID 2586 //
     /* 138404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138407 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 138410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138414 */     // MIs[0] Rn
     /* 138414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138426 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_release>>  =>  (LDFADDLH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDLH),
     /* 138429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138431 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138433 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138439 */     GIR_RootConstrainSelectedInstOperands,
     /* 138440 */     // GIR_Coverage, 2586,
     /* 138440 */     GIR_EraseRootFromParent_Done,
     /* 138441 */   // Label 2639: @138441
     /* 138441 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(138483), // Rule ID 2587 //
     /* 138446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138456 */     // MIs[0] Rn
     /* 138456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138468 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_acq_rel>>  =>  (LDFADDALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALH),
     /* 138471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138475 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138481 */     GIR_RootConstrainSelectedInstOperands,
     /* 138482 */     // GIR_Coverage, 2587,
     /* 138482 */     GIR_EraseRootFromParent_Done,
     /* 138483 */   // Label 2640: @138483
     /* 138483 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(138525), // Rule ID 2588 //
     /* 138488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138491 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138498 */     // MIs[0] Rn
     /* 138498 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138510 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_seq_cst>>  =>  (LDFADDALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALH),
     /* 138513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138515 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138517 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138523 */     GIR_RootConstrainSelectedInstOperands,
     /* 138524 */     // GIR_Coverage, 2588,
     /* 138524 */     GIR_EraseRootFromParent_Done,
     /* 138525 */   // Label 2641: @138525
     /* 138525 */   GIM_Reject,
     /* 138526 */ // Label 2636: @138526
     /* 138526 */ GIM_Reject,
     /* 138527 */ // Label 2633: @138527
     /* 138527 */ GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(138753),
     /* 138532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 138535 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 138542 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(138584), // Rule ID 7369 //
     /* 138547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138557 */     // MIs[0] Rn
     /* 138557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138569 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_monotonic>>  =>  (LDFADDS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDS),
     /* 138572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138576 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138578 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138582 */     GIR_RootConstrainSelectedInstOperands,
     /* 138583 */     // GIR_Coverage, 7369,
     /* 138583 */     GIR_EraseRootFromParent_Done,
     /* 138584 */   // Label 2643: @138584
     /* 138584 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(138626), // Rule ID 7370 //
     /* 138589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138592 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 138595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138599 */     // MIs[0] Rn
     /* 138599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138611 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_acquire>>  =>  (LDFADDAS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDAS),
     /* 138614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138618 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138624 */     GIR_RootConstrainSelectedInstOperands,
     /* 138625 */     // GIR_Coverage, 7370,
     /* 138625 */     GIR_EraseRootFromParent_Done,
     /* 138626 */   // Label 2644: @138626
     /* 138626 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(138668), // Rule ID 7371 //
     /* 138631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138634 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 138637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138641 */     // MIs[0] Rn
     /* 138641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138653 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_release>>  =>  (LDFADDLS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDLS),
     /* 138656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138660 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138662 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138666 */     GIR_RootConstrainSelectedInstOperands,
     /* 138667 */     // GIR_Coverage, 7371,
     /* 138667 */     GIR_EraseRootFromParent_Done,
     /* 138668 */   // Label 2645: @138668
     /* 138668 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(138710), // Rule ID 7372 //
     /* 138673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138683 */     // MIs[0] Rn
     /* 138683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138695 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_acq_rel>>  =>  (LDFADDALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALS),
     /* 138698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138702 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138708 */     GIR_RootConstrainSelectedInstOperands,
     /* 138709 */     // GIR_Coverage, 7372,
     /* 138709 */     GIR_EraseRootFromParent_Done,
     /* 138710 */   // Label 2646: @138710
     /* 138710 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(138752), // Rule ID 7373 //
     /* 138715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138718 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138725 */     // MIs[0] Rn
     /* 138725 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138737 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_seq_cst>>  =>  (LDFADDALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALS),
     /* 138740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138744 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138750 */     GIR_RootConstrainSelectedInstOperands,
     /* 138751 */     // GIR_Coverage, 7373,
     /* 138751 */     GIR_EraseRootFromParent_Done,
     /* 138752 */   // Label 2647: @138752
     /* 138752 */   GIM_Reject,
     /* 138753 */ // Label 2642: @138753
     /* 138753 */ GIM_Reject,
     /* 138754 */ // Label 2634: @138754
     /* 138754 */ GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(138980),
     /* 138759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 138762 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 138769 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(138811), // Rule ID 7374 //
     /* 138774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138784 */     // MIs[0] Rn
     /* 138784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138796 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_monotonic>>  =>  (LDFADDD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDD),
     /* 138799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138803 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138805 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138809 */     GIR_RootConstrainSelectedInstOperands,
     /* 138810 */     // GIR_Coverage, 7374,
     /* 138810 */     GIR_EraseRootFromParent_Done,
     /* 138811 */   // Label 2649: @138811
     /* 138811 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(138853), // Rule ID 7375 //
     /* 138816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138819 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 138822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138826 */     // MIs[0] Rn
     /* 138826 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138838 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_acquire>>  =>  (LDFADDAD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDAD),
     /* 138841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138845 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138847 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138851 */     GIR_RootConstrainSelectedInstOperands,
     /* 138852 */     // GIR_Coverage, 7375,
     /* 138852 */     GIR_EraseRootFromParent_Done,
     /* 138853 */   // Label 2650: @138853
     /* 138853 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(138895), // Rule ID 7376 //
     /* 138858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 138864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138868 */     // MIs[0] Rn
     /* 138868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138880 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_release>>  =>  (LDFADDLD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDLD),
     /* 138883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138887 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138893 */     GIR_RootConstrainSelectedInstOperands,
     /* 138894 */     // GIR_Coverage, 7376,
     /* 138894 */     GIR_EraseRootFromParent_Done,
     /* 138895 */   // Label 2651: @138895
     /* 138895 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(138937), // Rule ID 7377 //
     /* 138900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138910 */     // MIs[0] Rn
     /* 138910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138922 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_acq_rel>>  =>  (LDFADDALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALD),
     /* 138925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138927 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138929 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138931 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138935 */     GIR_RootConstrainSelectedInstOperands,
     /* 138936 */     // GIR_Coverage, 7377,
     /* 138936 */     GIR_EraseRootFromParent_Done,
     /* 138937 */   // Label 2652: @138937
     /* 138937 */   GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(138979), // Rule ID 7378 //
     /* 138942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138945 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138952 */     // MIs[0] Rn
     /* 138952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138964 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_seq_cst>>  =>  (LDFADDALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALD),
     /* 138967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138971 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138977 */     GIR_RootConstrainSelectedInstOperands,
     /* 138978 */     // GIR_Coverage, 7378,
     /* 138978 */     GIR_EraseRootFromParent_Done,
     /* 138979 */   // Label 2653: @138979
     /* 138979 */   GIM_Reject,
     /* 138980 */ // Label 2648: @138980
     /* 138980 */ GIM_Reject,
     /* 138981 */ // Label 2635: @138981
     /* 138981 */ GIM_Reject,
     /* 138982 */ // Label 32: @138982
     /* 138982 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 2657*/ GIMT_Encode4(139686),
     /* 138993 */ /*GILLT_s16*//*Label 2654*/ GIMT_Encode4(139005),
     /* 138997 */ /*GILLT_s32*//*Label 2655*/ GIMT_Encode4(139232),
     /* 139001 */ /*GILLT_s64*//*Label 2656*/ GIMT_Encode4(139459),
     /* 139005 */ // Label 2654: @139005
     /* 139005 */ GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(139231),
     /* 139010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 139013 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 139020 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(139062), // Rule ID 7379 //
     /* 139025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139028 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 139031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139035 */     // MIs[0] Rn
     /* 139035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139047 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_monotonic>>  =>  (LDFMAXNMH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMH),
     /* 139050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139054 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139060 */     GIR_RootConstrainSelectedInstOperands,
     /* 139061 */     // GIR_Coverage, 7379,
     /* 139061 */     GIR_EraseRootFromParent_Done,
     /* 139062 */   // Label 2659: @139062
     /* 139062 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(139104), // Rule ID 7380 //
     /* 139067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139070 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 139073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139077 */     // MIs[0] Rn
     /* 139077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139089 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_acquire>>  =>  (LDFMAXNMAH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMAH),
     /* 139092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139096 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139098 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139102 */     GIR_RootConstrainSelectedInstOperands,
     /* 139103 */     // GIR_Coverage, 7380,
     /* 139103 */     GIR_EraseRootFromParent_Done,
     /* 139104 */   // Label 2660: @139104
     /* 139104 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(139146), // Rule ID 7381 //
     /* 139109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139112 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 139115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139119 */     // MIs[0] Rn
     /* 139119 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139131 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_release>>  =>  (LDFMAXNMLH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMLH),
     /* 139134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139136 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139138 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139144 */     GIR_RootConstrainSelectedInstOperands,
     /* 139145 */     // GIR_Coverage, 7381,
     /* 139145 */     GIR_EraseRootFromParent_Done,
     /* 139146 */   // Label 2661: @139146
     /* 139146 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(139188), // Rule ID 7382 //
     /* 139151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 139157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139161 */     // MIs[0] Rn
     /* 139161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139173 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_acq_rel>>  =>  (LDFMAXNMALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALH),
     /* 139176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139180 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139186 */     GIR_RootConstrainSelectedInstOperands,
     /* 139187 */     // GIR_Coverage, 7382,
     /* 139187 */     GIR_EraseRootFromParent_Done,
     /* 139188 */   // Label 2662: @139188
     /* 139188 */   GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(139230), // Rule ID 7383 //
     /* 139193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139196 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 139199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139203 */     // MIs[0] Rn
     /* 139203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139215 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_seq_cst>>  =>  (LDFMAXNMALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALH),
     /* 139218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139222 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139228 */     GIR_RootConstrainSelectedInstOperands,
     /* 139229 */     // GIR_Coverage, 7383,
     /* 139229 */     GIR_EraseRootFromParent_Done,
     /* 139230 */   // Label 2663: @139230
     /* 139230 */   GIM_Reject,
     /* 139231 */ // Label 2658: @139231
     /* 139231 */ GIM_Reject,
     /* 139232 */ // Label 2655: @139232
     /* 139232 */ GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(139458),
     /* 139237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 139240 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 139247 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(139289), // Rule ID 7384 //
     /* 139252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 139258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139262 */     // MIs[0] Rn
     /* 139262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139274 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_monotonic>>  =>  (LDFMAXNMS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMS),
     /* 139277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139279 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139281 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139287 */     GIR_RootConstrainSelectedInstOperands,
     /* 139288 */     // GIR_Coverage, 7384,
     /* 139288 */     GIR_EraseRootFromParent_Done,
     /* 139289 */   // Label 2665: @139289
     /* 139289 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(139331), // Rule ID 7385 //
     /* 139294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139297 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 139300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139304 */     // MIs[0] Rn
     /* 139304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139316 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_acquire>>  =>  (LDFMAXNMAS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMAS),
     /* 139319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139321 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139323 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139325 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139329 */     GIR_RootConstrainSelectedInstOperands,
     /* 139330 */     // GIR_Coverage, 7385,
     /* 139330 */     GIR_EraseRootFromParent_Done,
     /* 139331 */   // Label 2666: @139331
     /* 139331 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(139373), // Rule ID 7386 //
     /* 139336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139339 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 139342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139346 */     // MIs[0] Rn
     /* 139346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139358 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_release>>  =>  (LDFMAXNMLS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMLS),
     /* 139361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139363 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139365 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139371 */     GIR_RootConstrainSelectedInstOperands,
     /* 139372 */     // GIR_Coverage, 7386,
     /* 139372 */     GIR_EraseRootFromParent_Done,
     /* 139373 */   // Label 2667: @139373
     /* 139373 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(139415), // Rule ID 7387 //
     /* 139378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 139384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139388 */     // MIs[0] Rn
     /* 139388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139400 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_acq_rel>>  =>  (LDFMAXNMALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALS),
     /* 139403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139407 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139413 */     GIR_RootConstrainSelectedInstOperands,
     /* 139414 */     // GIR_Coverage, 7387,
     /* 139414 */     GIR_EraseRootFromParent_Done,
     /* 139415 */   // Label 2668: @139415
     /* 139415 */   GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(139457), // Rule ID 7388 //
     /* 139420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139423 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 139426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139430 */     // MIs[0] Rn
     /* 139430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139442 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_seq_cst>>  =>  (LDFMAXNMALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALS),
     /* 139445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139447 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139449 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139451 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139455 */     GIR_RootConstrainSelectedInstOperands,
     /* 139456 */     // GIR_Coverage, 7388,
     /* 139456 */     GIR_EraseRootFromParent_Done,
     /* 139457 */   // Label 2669: @139457
     /* 139457 */   GIM_Reject,
     /* 139458 */ // Label 2664: @139458
     /* 139458 */ GIM_Reject,
     /* 139459 */ // Label 2656: @139459
     /* 139459 */ GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(139685),
     /* 139464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 139467 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 139474 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(139516), // Rule ID 7389 //
     /* 139479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 139485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139489 */     // MIs[0] Rn
     /* 139489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139501 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_monotonic>>  =>  (LDFMAXNMD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMD),
     /* 139504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139508 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139514 */     GIR_RootConstrainSelectedInstOperands,
     /* 139515 */     // GIR_Coverage, 7389,
     /* 139515 */     GIR_EraseRootFromParent_Done,
     /* 139516 */   // Label 2671: @139516
     /* 139516 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(139558), // Rule ID 7390 //
     /* 139521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139524 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 139527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139531 */     // MIs[0] Rn
     /* 139531 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139543 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_acquire>>  =>  (LDFMAXNMAD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMAD),
     /* 139546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139550 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139556 */     GIR_RootConstrainSelectedInstOperands,
     /* 139557 */     // GIR_Coverage, 7390,
     /* 139557 */     GIR_EraseRootFromParent_Done,
     /* 139558 */   // Label 2672: @139558
     /* 139558 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(139600), // Rule ID 7391 //
     /* 139563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139566 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 139569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139573 */     // MIs[0] Rn
     /* 139573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139585 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_release>>  =>  (LDFMAXNMLD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMLD),
     /* 139588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139592 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139598 */     GIR_RootConstrainSelectedInstOperands,
     /* 139599 */     // GIR_Coverage, 7391,
     /* 139599 */     GIR_EraseRootFromParent_Done,
     /* 139600 */   // Label 2673: @139600
     /* 139600 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(139642), // Rule ID 7392 //
     /* 139605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 139611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139615 */     // MIs[0] Rn
     /* 139615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139627 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_acq_rel>>  =>  (LDFMAXNMALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALD),
     /* 139630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139632 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139634 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139640 */     GIR_RootConstrainSelectedInstOperands,
     /* 139641 */     // GIR_Coverage, 7392,
     /* 139641 */     GIR_EraseRootFromParent_Done,
     /* 139642 */   // Label 2674: @139642
     /* 139642 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(139684), // Rule ID 7393 //
     /* 139647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139650 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 139653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139657 */     // MIs[0] Rn
     /* 139657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139669 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_seq_cst>>  =>  (LDFMAXNMALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALD),
     /* 139672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139676 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139682 */     GIR_RootConstrainSelectedInstOperands,
     /* 139683 */     // GIR_Coverage, 7393,
     /* 139683 */     GIR_EraseRootFromParent_Done,
     /* 139684 */   // Label 2675: @139684
     /* 139684 */   GIM_Reject,
     /* 139685 */ // Label 2670: @139685
     /* 139685 */ GIM_Reject,
     /* 139686 */ // Label 2657: @139686
     /* 139686 */ GIM_Reject,
     /* 139687 */ // Label 33: @139687
     /* 139687 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 2679*/ GIMT_Encode4(140391),
     /* 139698 */ /*GILLT_s16*//*Label 2676*/ GIMT_Encode4(139710),
     /* 139702 */ /*GILLT_s32*//*Label 2677*/ GIMT_Encode4(139937),
     /* 139706 */ /*GILLT_s64*//*Label 2678*/ GIMT_Encode4(140164),
     /* 139710 */ // Label 2676: @139710
     /* 139710 */ GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(139936),
     /* 139715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 139718 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 139725 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(139767), // Rule ID 7394 //
     /* 139730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139733 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 139736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139740 */     // MIs[0] Rn
     /* 139740 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139752 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_monotonic>>  =>  (LDFMINNMH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMH),
     /* 139755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139759 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139765 */     GIR_RootConstrainSelectedInstOperands,
     /* 139766 */     // GIR_Coverage, 7394,
     /* 139766 */     GIR_EraseRootFromParent_Done,
     /* 139767 */   // Label 2681: @139767
     /* 139767 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(139809), // Rule ID 7395 //
     /* 139772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139775 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 139778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139782 */     // MIs[0] Rn
     /* 139782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139794 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_acquire>>  =>  (LDFMINNMAH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMAH),
     /* 139797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139799 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139801 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139807 */     GIR_RootConstrainSelectedInstOperands,
     /* 139808 */     // GIR_Coverage, 7395,
     /* 139808 */     GIR_EraseRootFromParent_Done,
     /* 139809 */   // Label 2682: @139809
     /* 139809 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(139851), // Rule ID 7396 //
     /* 139814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139817 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 139820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139824 */     // MIs[0] Rn
     /* 139824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139836 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_release>>  =>  (LDFMINNMLH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMLH),
     /* 139839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139843 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139849 */     GIR_RootConstrainSelectedInstOperands,
     /* 139850 */     // GIR_Coverage, 7396,
     /* 139850 */     GIR_EraseRootFromParent_Done,
     /* 139851 */   // Label 2683: @139851
     /* 139851 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(139893), // Rule ID 7397 //
     /* 139856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139859 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 139862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139866 */     // MIs[0] Rn
     /* 139866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139878 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_acq_rel>>  =>  (LDFMINNMALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALH),
     /* 139881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139883 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139885 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139891 */     GIR_RootConstrainSelectedInstOperands,
     /* 139892 */     // GIR_Coverage, 7397,
     /* 139892 */     GIR_EraseRootFromParent_Done,
     /* 139893 */   // Label 2684: @139893
     /* 139893 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(139935), // Rule ID 7398 //
     /* 139898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139901 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 139904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139908 */     // MIs[0] Rn
     /* 139908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139920 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_seq_cst>>  =>  (LDFMINNMALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALH),
     /* 139923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139927 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139933 */     GIR_RootConstrainSelectedInstOperands,
     /* 139934 */     // GIR_Coverage, 7398,
     /* 139934 */     GIR_EraseRootFromParent_Done,
     /* 139935 */   // Label 2685: @139935
     /* 139935 */   GIM_Reject,
     /* 139936 */ // Label 2680: @139936
     /* 139936 */ GIM_Reject,
     /* 139937 */ // Label 2677: @139937
     /* 139937 */ GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(140163),
     /* 139942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 139945 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 139952 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(139994), // Rule ID 7399 //
     /* 139957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 139963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139967 */     // MIs[0] Rn
     /* 139967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139979 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_monotonic>>  =>  (LDFMINNMS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMS),
     /* 139982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139984 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139986 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139992 */     GIR_RootConstrainSelectedInstOperands,
     /* 139993 */     // GIR_Coverage, 7399,
     /* 139993 */     GIR_EraseRootFromParent_Done,
     /* 139994 */   // Label 2687: @139994
     /* 139994 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(140036), // Rule ID 7400 //
     /* 139999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140002 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 140005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140009 */     // MIs[0] Rn
     /* 140009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140021 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_acquire>>  =>  (LDFMINNMAS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMAS),
     /* 140024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140028 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140034 */     GIR_RootConstrainSelectedInstOperands,
     /* 140035 */     // GIR_Coverage, 7400,
     /* 140035 */     GIR_EraseRootFromParent_Done,
     /* 140036 */   // Label 2688: @140036
     /* 140036 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(140078), // Rule ID 7401 //
     /* 140041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140044 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 140047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140051 */     // MIs[0] Rn
     /* 140051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140063 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_release>>  =>  (LDFMINNMLS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMLS),
     /* 140066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140070 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140076 */     GIR_RootConstrainSelectedInstOperands,
     /* 140077 */     // GIR_Coverage, 7401,
     /* 140077 */     GIR_EraseRootFromParent_Done,
     /* 140078 */   // Label 2689: @140078
     /* 140078 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(140120), // Rule ID 7402 //
     /* 140083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140086 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 140089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140093 */     // MIs[0] Rn
     /* 140093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140105 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_acq_rel>>  =>  (LDFMINNMALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALS),
     /* 140108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140112 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140118 */     GIR_RootConstrainSelectedInstOperands,
     /* 140119 */     // GIR_Coverage, 7402,
     /* 140119 */     GIR_EraseRootFromParent_Done,
     /* 140120 */   // Label 2690: @140120
     /* 140120 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(140162), // Rule ID 7403 //
     /* 140125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140128 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 140131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140135 */     // MIs[0] Rn
     /* 140135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140147 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_seq_cst>>  =>  (LDFMINNMALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALS),
     /* 140150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140154 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140160 */     GIR_RootConstrainSelectedInstOperands,
     /* 140161 */     // GIR_Coverage, 7403,
     /* 140161 */     GIR_EraseRootFromParent_Done,
     /* 140162 */   // Label 2691: @140162
     /* 140162 */   GIM_Reject,
     /* 140163 */ // Label 2686: @140163
     /* 140163 */ GIM_Reject,
     /* 140164 */ // Label 2678: @140164
     /* 140164 */ GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(140390),
     /* 140169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140172 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 140179 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(140221), // Rule ID 7404 //
     /* 140184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 140190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140194 */     // MIs[0] Rn
     /* 140194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140206 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_monotonic>>  =>  (LDFMINNMD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMD),
     /* 140209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140211 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140213 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140219 */     GIR_RootConstrainSelectedInstOperands,
     /* 140220 */     // GIR_Coverage, 7404,
     /* 140220 */     GIR_EraseRootFromParent_Done,
     /* 140221 */   // Label 2693: @140221
     /* 140221 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(140263), // Rule ID 7405 //
     /* 140226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140229 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 140232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140236 */     // MIs[0] Rn
     /* 140236 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140248 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_acquire>>  =>  (LDFMINNMAD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMAD),
     /* 140251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140255 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140257 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140261 */     GIR_RootConstrainSelectedInstOperands,
     /* 140262 */     // GIR_Coverage, 7405,
     /* 140262 */     GIR_EraseRootFromParent_Done,
     /* 140263 */   // Label 2694: @140263
     /* 140263 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(140305), // Rule ID 7406 //
     /* 140268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 140274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140278 */     // MIs[0] Rn
     /* 140278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140290 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_release>>  =>  (LDFMINNMLD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMLD),
     /* 140293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140297 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140299 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140303 */     GIR_RootConstrainSelectedInstOperands,
     /* 140304 */     // GIR_Coverage, 7406,
     /* 140304 */     GIR_EraseRootFromParent_Done,
     /* 140305 */   // Label 2695: @140305
     /* 140305 */   GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(140347), // Rule ID 7407 //
     /* 140310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140313 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 140316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140320 */     // MIs[0] Rn
     /* 140320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140332 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_acq_rel>>  =>  (LDFMINNMALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALD),
     /* 140335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140337 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140339 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140345 */     GIR_RootConstrainSelectedInstOperands,
     /* 140346 */     // GIR_Coverage, 7407,
     /* 140346 */     GIR_EraseRootFromParent_Done,
     /* 140347 */   // Label 2696: @140347
     /* 140347 */   GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(140389), // Rule ID 7408 //
     /* 140352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140355 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 140358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140362 */     // MIs[0] Rn
     /* 140362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140374 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_seq_cst>>  =>  (LDFMINNMALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALD),
     /* 140377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140379 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140381 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140387 */     GIR_RootConstrainSelectedInstOperands,
     /* 140388 */     // GIR_Coverage, 7408,
     /* 140388 */     GIR_EraseRootFromParent_Done,
     /* 140389 */   // Label 2697: @140389
     /* 140389 */   GIM_Reject,
     /* 140390 */ // Label 2692: @140390
     /* 140390 */ GIM_Reject,
     /* 140391 */ // Label 2679: @140391
     /* 140391 */ GIM_Reject,
     /* 140392 */ // Label 34: @140392
     /* 140392 */ GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(140419), // Rule ID 7024 //
     /* 140397 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140400 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /* 140404 */   // MIs[0] Operand 1
     /* 140404 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 140407 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (DMB 9:{ *:[i32] })
     /* 140407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DMB),
     /* 140410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 140413 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140417 */   GIR_RootConstrainSelectedInstOperands,
     /* 140418 */   // GIR_Coverage, 7024,
     /* 140418 */   GIR_EraseRootFromParent_Done,
     /* 140419 */ // Label 2698: @140419
     /* 140419 */ GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(140442), // Rule ID 7025 //
     /* 140424 */   // MIs[0] Operand 0
     /* 140424 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 140427 */   // MIs[0] Operand 1
     /* 140427 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 140430 */   // (atomic_fence (timm:{ *:[iPTR] }), (timm:{ *:[iPTR] }))  =>  (DMB 11:{ *:[i32] })
     /* 140430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DMB),
     /* 140433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/11,
     /* 140436 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140440 */   GIR_RootConstrainSelectedInstOperands,
     /* 140441 */   // GIR_Coverage, 7025,
     /* 140441 */   GIR_EraseRootFromParent_Done,
     /* 140442 */ // Label 2699: @140442
     /* 140442 */ GIM_Reject,
     /* 140443 */ // Label 35: @140443
     /* 140443 */ GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(152970),
     /* 140448 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 140451 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(140542), // Rule ID 6503 //
     /* 140456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFuseAES),
     /* 140459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesmc),
     /* 140464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 140467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 140470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 140482 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 140485 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aese),
     /* 140490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 140494 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 140498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140510 */     // (intrinsic_wo_chain:{ *:[v16i8] } 514:{ *:[iPTR] }, (intrinsic_wo_chain:{ *:[v16i8] } 512:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))  =>  (AESMCrrTied:{ *:[v16i8] } (AESErr:{ *:[v16i8] } V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))
     /* 140510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 140513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::AESErr),
     /* 140517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 140522 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 140526 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // src2
     /* 140530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 140532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESMCrrTied),
     /* 140535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 140540 */     GIR_RootConstrainSelectedInstOperands,
     /* 140541 */     // GIR_Coverage, 6503,
     /* 140541 */     GIR_EraseRootFromParent_Done,
     /* 140542 */   // Label 2701: @140542
     /* 140542 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(140633), // Rule ID 6504 //
     /* 140547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFuseAES),
     /* 140550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesimc),
     /* 140555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 140558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 140561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 140573 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 140576 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesd),
     /* 140581 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 140585 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 140589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140601 */     // (intrinsic_wo_chain:{ *:[v16i8] } 513:{ *:[iPTR] }, (intrinsic_wo_chain:{ *:[v16i8] } 511:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))  =>  (AESIMCrrTied:{ *:[v16i8] } (AESDrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))
     /* 140601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 140604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::AESDrr),
     /* 140608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 140613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 140617 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // src2
     /* 140621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 140623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESIMCrrTied),
     /* 140626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 140631 */     GIR_RootConstrainSelectedInstOperands,
     /* 140632 */     // GIR_Coverage, 6504,
     /* 140632 */     GIR_EraseRootFromParent_Done,
     /* 140633 */   // Label 2702: @140633
     /* 140633 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(140694), // Rule ID 4898 //
     /* 140638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvthf2fp),
     /* 140643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 140646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 140649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 140661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 140665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140670 */     // MIs[1] Operand 2
     /* 140670 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 140681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140683 */     // (intrinsic_wo_chain:{ *:[v4f32] } 767:{ *:[iPTR] }, (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] }))  =>  (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8i16] }:$Rn)
     /* 140683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 140686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 140692 */     GIR_RootConstrainSelectedInstOperands,
     /* 140693 */     // GIR_Coverage, 4898,
     /* 140693 */     GIR_EraseRootFromParent_Done,
     /* 140694 */   // Label 2703: @140694
     /* 140694 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(140734), // Rule ID 2651 //
     /* 140699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 140702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /* 140707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140714 */     // MIs[0] pattern
     /* 140714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 140717 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 140722 */     // (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTB_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 140722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTB_XPiI),
     /* 140725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140727 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 140729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 140732 */     GIR_RootConstrainSelectedInstOperands,
     /* 140733 */     // GIR_Coverage, 2651,
     /* 140733 */     GIR_EraseRootFromParent_Done,
     /* 140734 */   // Label 2704: @140734
     /* 140734 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(140774), // Rule ID 9915 //
     /* 140739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 140742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /* 140747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140754 */     // MIs[0] pattern
     /* 140754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 140757 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 140762 */     // (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTH_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 140762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTH_XPiI),
     /* 140765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140767 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 140769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 140772 */     GIR_RootConstrainSelectedInstOperands,
     /* 140773 */     // GIR_Coverage, 9915,
     /* 140773 */     GIR_EraseRootFromParent_Done,
     /* 140774 */   // Label 2705: @140774
     /* 140774 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(140814), // Rule ID 9918 //
     /* 140779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 140782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /* 140787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140794 */     // MIs[0] pattern
     /* 140794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 140797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 140802 */     // (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTW_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 140802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTW_XPiI),
     /* 140805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140807 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 140809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 140812 */     GIR_RootConstrainSelectedInstOperands,
     /* 140813 */     // GIR_Coverage, 9918,
     /* 140813 */     GIR_EraseRootFromParent_Done,
     /* 140814 */   // Label 2706: @140814
     /* 140814 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(140854), // Rule ID 9921 //
     /* 140819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 140822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /* 140827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140834 */     // MIs[0] pattern
     /* 140834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 140837 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 140842 */     // (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTD_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 140842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTD_XPiI),
     /* 140845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140847 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 140849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 140852 */     GIR_RootConstrainSelectedInstOperands,
     /* 140853 */     // GIR_Coverage, 9921,
     /* 140853 */     GIR_EraseRootFromParent_Done,
     /* 140854 */   // Label 2707: @140854
     /* 140854 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(140893), // Rule ID 66 //
     /* 140859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8_HasJS),
     /* 140862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_fjcvtzs),
     /* 140867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140881 */     // (intrinsic_wo_chain:{ *:[i32] } 546:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FJCVTZS:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 140881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FJCVTZS),
     /* 140884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 140891 */     GIR_RootConstrainSelectedInstOperands,
     /* 140892 */     // GIR_Coverage, 66,
     /* 140892 */     GIR_EraseRootFromParent_Done,
     /* 140893 */   // Label 2708: @140893
     /* 140893 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(140929), // Rule ID 346 //
     /* 140898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140920 */     // (intrinsic_wo_chain:{ *:[i32] } 583:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTASUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 140920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWHr),
     /* 140923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140927 */     GIR_RootConstrainSelectedInstOperands,
     /* 140928 */     // GIR_Coverage, 346,
     /* 140928 */     GIR_EraseRootFromParent_Done,
     /* 140929 */   // Label 2709: @140929
     /* 140929 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(140965), // Rule ID 347 //
     /* 140934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140956 */     // (intrinsic_wo_chain:{ *:[i64] } 583:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTASUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 140956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXHr),
     /* 140959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140963 */     GIR_RootConstrainSelectedInstOperands,
     /* 140964 */     // GIR_Coverage, 347,
     /* 140964 */     GIR_EraseRootFromParent_Done,
     /* 140965 */   // Label 2710: @140965
     /* 140965 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(141001), // Rule ID 348 //
     /* 140970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140992 */     // (intrinsic_wo_chain:{ *:[i32] } 583:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTASUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 140992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWSr),
     /* 140995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140999 */     GIR_RootConstrainSelectedInstOperands,
     /* 141000 */     // GIR_Coverage, 348,
     /* 141000 */     GIR_EraseRootFromParent_Done,
     /* 141001 */   // Label 2711: @141001
     /* 141001 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(141037), // Rule ID 349 //
     /* 141006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 141014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141028 */     // (intrinsic_wo_chain:{ *:[i64] } 583:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTASUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 141031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141035 */     GIR_RootConstrainSelectedInstOperands,
     /* 141036 */     // GIR_Coverage, 349,
     /* 141036 */     GIR_EraseRootFromParent_Done,
     /* 141037 */   // Label 2712: @141037
     /* 141037 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(141073), // Rule ID 350 //
     /* 141042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 141050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141064 */     // (intrinsic_wo_chain:{ *:[i32] } 583:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTASUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWDr),
     /* 141067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141071 */     GIR_RootConstrainSelectedInstOperands,
     /* 141072 */     // GIR_Coverage, 350,
     /* 141072 */     GIR_EraseRootFromParent_Done,
     /* 141073 */   // Label 2713: @141073
     /* 141073 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(141109), // Rule ID 351 //
     /* 141078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 141086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141100 */     // (intrinsic_wo_chain:{ *:[i64] } 583:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTASUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 141103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141107 */     GIR_RootConstrainSelectedInstOperands,
     /* 141108 */     // GIR_Coverage, 351,
     /* 141108 */     GIR_EraseRootFromParent_Done,
     /* 141109 */   // Label 2714: @141109
     /* 141109 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(141145), // Rule ID 352 //
     /* 141114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 141122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141136 */     // (intrinsic_wo_chain:{ *:[i32] } 584:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTAUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 141136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWHr),
     /* 141139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141141 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141143 */     GIR_RootConstrainSelectedInstOperands,
     /* 141144 */     // GIR_Coverage, 352,
     /* 141144 */     GIR_EraseRootFromParent_Done,
     /* 141145 */   // Label 2715: @141145
     /* 141145 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(141181), // Rule ID 353 //
     /* 141150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 141158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141172 */     // (intrinsic_wo_chain:{ *:[i64] } 584:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTAUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 141172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXHr),
     /* 141175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141179 */     GIR_RootConstrainSelectedInstOperands,
     /* 141180 */     // GIR_Coverage, 353,
     /* 141180 */     GIR_EraseRootFromParent_Done,
     /* 141181 */   // Label 2716: @141181
     /* 141181 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(141217), // Rule ID 354 //
     /* 141186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 141194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141208 */     // (intrinsic_wo_chain:{ *:[i32] } 584:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTAUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 141208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWSr),
     /* 141211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141215 */     GIR_RootConstrainSelectedInstOperands,
     /* 141216 */     // GIR_Coverage, 354,
     /* 141216 */     GIR_EraseRootFromParent_Done,
     /* 141217 */   // Label 2717: @141217
     /* 141217 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(141253), // Rule ID 355 //
     /* 141222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 141230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141244 */     // (intrinsic_wo_chain:{ *:[i64] } 584:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTAUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXSr),
     /* 141247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141249 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141251 */     GIR_RootConstrainSelectedInstOperands,
     /* 141252 */     // GIR_Coverage, 355,
     /* 141252 */     GIR_EraseRootFromParent_Done,
     /* 141253 */   // Label 2718: @141253
     /* 141253 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(141289), // Rule ID 356 //
     /* 141258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 141266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141280 */     // (intrinsic_wo_chain:{ *:[i32] } 584:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTAUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWDr),
     /* 141283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141287 */     GIR_RootConstrainSelectedInstOperands,
     /* 141288 */     // GIR_Coverage, 356,
     /* 141288 */     GIR_EraseRootFromParent_Done,
     /* 141289 */   // Label 2719: @141289
     /* 141289 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(141325), // Rule ID 357 //
     /* 141294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 141302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141316 */     // (intrinsic_wo_chain:{ *:[i64] } 584:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTAUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXDr),
     /* 141319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141321 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141323 */     GIR_RootConstrainSelectedInstOperands,
     /* 141324 */     // GIR_Coverage, 357,
     /* 141324 */     GIR_EraseRootFromParent_Done,
     /* 141325 */   // Label 2720: @141325
     /* 141325 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(141361), // Rule ID 358 //
     /* 141330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 141338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141352 */     // (intrinsic_wo_chain:{ *:[i32] } 585:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 141352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWHr),
     /* 141355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141359 */     GIR_RootConstrainSelectedInstOperands,
     /* 141360 */     // GIR_Coverage, 358,
     /* 141360 */     GIR_EraseRootFromParent_Done,
     /* 141361 */   // Label 2721: @141361
     /* 141361 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(141397), // Rule ID 359 //
     /* 141366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 141374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141388 */     // (intrinsic_wo_chain:{ *:[i64] } 585:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 141388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXHr),
     /* 141391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141395 */     GIR_RootConstrainSelectedInstOperands,
     /* 141396 */     // GIR_Coverage, 359,
     /* 141396 */     GIR_EraseRootFromParent_Done,
     /* 141397 */   // Label 2722: @141397
     /* 141397 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(141433), // Rule ID 360 //
     /* 141402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 141410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141424 */     // (intrinsic_wo_chain:{ *:[i32] } 585:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 141424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWSr),
     /* 141427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141429 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141431 */     GIR_RootConstrainSelectedInstOperands,
     /* 141432 */     // GIR_Coverage, 360,
     /* 141432 */     GIR_EraseRootFromParent_Done,
     /* 141433 */   // Label 2723: @141433
     /* 141433 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(141469), // Rule ID 361 //
     /* 141438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 141446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141460 */     // (intrinsic_wo_chain:{ *:[i64] } 585:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXSr),
     /* 141463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141467 */     GIR_RootConstrainSelectedInstOperands,
     /* 141468 */     // GIR_Coverage, 361,
     /* 141468 */     GIR_EraseRootFromParent_Done,
     /* 141469 */   // Label 2724: @141469
     /* 141469 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(141505), // Rule ID 362 //
     /* 141474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 141482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141496 */     // (intrinsic_wo_chain:{ *:[i32] } 585:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWDr),
     /* 141499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141501 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141503 */     GIR_RootConstrainSelectedInstOperands,
     /* 141504 */     // GIR_Coverage, 362,
     /* 141504 */     GIR_EraseRootFromParent_Done,
     /* 141505 */   // Label 2725: @141505
     /* 141505 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(141541), // Rule ID 363 //
     /* 141510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 141518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141532 */     // (intrinsic_wo_chain:{ *:[i64] } 585:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXDr),
     /* 141535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141539 */     GIR_RootConstrainSelectedInstOperands,
     /* 141540 */     // GIR_Coverage, 363,
     /* 141540 */     GIR_EraseRootFromParent_Done,
     /* 141541 */   // Label 2726: @141541
     /* 141541 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(141577), // Rule ID 364 //
     /* 141546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 141554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141568 */     // (intrinsic_wo_chain:{ *:[i32] } 586:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 141568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWHr),
     /* 141571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141575 */     GIR_RootConstrainSelectedInstOperands,
     /* 141576 */     // GIR_Coverage, 364,
     /* 141576 */     GIR_EraseRootFromParent_Done,
     /* 141577 */   // Label 2727: @141577
     /* 141577 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(141613), // Rule ID 365 //
     /* 141582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 141590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141604 */     // (intrinsic_wo_chain:{ *:[i64] } 586:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 141604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXHr),
     /* 141607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141611 */     GIR_RootConstrainSelectedInstOperands,
     /* 141612 */     // GIR_Coverage, 365,
     /* 141612 */     GIR_EraseRootFromParent_Done,
     /* 141613 */   // Label 2728: @141613
     /* 141613 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(141649), // Rule ID 366 //
     /* 141618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 141626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141640 */     // (intrinsic_wo_chain:{ *:[i32] } 586:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 141640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWSr),
     /* 141643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141647 */     GIR_RootConstrainSelectedInstOperands,
     /* 141648 */     // GIR_Coverage, 366,
     /* 141648 */     GIR_EraseRootFromParent_Done,
     /* 141649 */   // Label 2729: @141649
     /* 141649 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(141685), // Rule ID 367 //
     /* 141654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 141662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141676 */     // (intrinsic_wo_chain:{ *:[i64] } 586:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXSr),
     /* 141679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141681 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141683 */     GIR_RootConstrainSelectedInstOperands,
     /* 141684 */     // GIR_Coverage, 367,
     /* 141684 */     GIR_EraseRootFromParent_Done,
     /* 141685 */   // Label 2730: @141685
     /* 141685 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(141721), // Rule ID 368 //
     /* 141690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 141698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141712 */     // (intrinsic_wo_chain:{ *:[i32] } 586:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWDr),
     /* 141715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141719 */     GIR_RootConstrainSelectedInstOperands,
     /* 141720 */     // GIR_Coverage, 368,
     /* 141720 */     GIR_EraseRootFromParent_Done,
     /* 141721 */   // Label 2731: @141721
     /* 141721 */   GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(141757), // Rule ID 369 //
     /* 141726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 141734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141748 */     // (intrinsic_wo_chain:{ *:[i64] } 586:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXDr),
     /* 141751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141755 */     GIR_RootConstrainSelectedInstOperands,
     /* 141756 */     // GIR_Coverage, 369,
     /* 141756 */     GIR_EraseRootFromParent_Done,
     /* 141757 */   // Label 2732: @141757
     /* 141757 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(141793), // Rule ID 370 //
     /* 141762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 141770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141784 */     // (intrinsic_wo_chain:{ *:[i32] } 587:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 141784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUWHr),
     /* 141787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141791 */     GIR_RootConstrainSelectedInstOperands,
     /* 141792 */     // GIR_Coverage, 370,
     /* 141792 */     GIR_EraseRootFromParent_Done,
     /* 141793 */   // Label 2733: @141793
     /* 141793 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(141829), // Rule ID 371 //
     /* 141798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 141806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141820 */     // (intrinsic_wo_chain:{ *:[i64] } 587:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 141820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUXHr),
     /* 141823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141827 */     GIR_RootConstrainSelectedInstOperands,
     /* 141828 */     // GIR_Coverage, 371,
     /* 141828 */     GIR_EraseRootFromParent_Done,
     /* 141829 */   // Label 2734: @141829
     /* 141829 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(141865), // Rule ID 372 //
     /* 141834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 141842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141856 */     // (intrinsic_wo_chain:{ *:[i32] } 587:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 141856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUWSr),
     /* 141859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141863 */     GIR_RootConstrainSelectedInstOperands,
     /* 141864 */     // GIR_Coverage, 372,
     /* 141864 */     GIR_EraseRootFromParent_Done,
     /* 141865 */   // Label 2735: @141865
     /* 141865 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(141901), // Rule ID 373 //
     /* 141870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 141878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141892 */     // (intrinsic_wo_chain:{ *:[i64] } 587:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUXSr),
     /* 141895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141899 */     GIR_RootConstrainSelectedInstOperands,
     /* 141900 */     // GIR_Coverage, 373,
     /* 141900 */     GIR_EraseRootFromParent_Done,
     /* 141901 */   // Label 2736: @141901
     /* 141901 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(141937), // Rule ID 374 //
     /* 141906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 141914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141928 */     // (intrinsic_wo_chain:{ *:[i32] } 587:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUWDr),
     /* 141931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141935 */     GIR_RootConstrainSelectedInstOperands,
     /* 141936 */     // GIR_Coverage, 374,
     /* 141936 */     GIR_EraseRootFromParent_Done,
     /* 141937 */   // Label 2737: @141937
     /* 141937 */   GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(141973), // Rule ID 375 //
     /* 141942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 141950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141964 */     // (intrinsic_wo_chain:{ *:[i64] } 587:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUXDr),
     /* 141967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141971 */     GIR_RootConstrainSelectedInstOperands,
     /* 141972 */     // GIR_Coverage, 375,
     /* 141972 */     GIR_EraseRootFromParent_Done,
     /* 141973 */   // Label 2738: @141973
     /* 141973 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(142009), // Rule ID 376 //
     /* 141978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142000 */     // (intrinsic_wo_chain:{ *:[i32] } 588:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 142000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUWHr),
     /* 142003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142007 */     GIR_RootConstrainSelectedInstOperands,
     /* 142008 */     // GIR_Coverage, 376,
     /* 142008 */     GIR_EraseRootFromParent_Done,
     /* 142009 */   // Label 2739: @142009
     /* 142009 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(142045), // Rule ID 377 //
     /* 142014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 142017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 142022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 142028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142036 */     // (intrinsic_wo_chain:{ *:[i64] } 588:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 142036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUXHr),
     /* 142039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142041 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142043 */     GIR_RootConstrainSelectedInstOperands,
     /* 142044 */     // GIR_Coverage, 377,
     /* 142044 */     GIR_EraseRootFromParent_Done,
     /* 142045 */   // Label 2740: @142045
     /* 142045 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(142081), // Rule ID 378 //
     /* 142050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 142058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142072 */     // (intrinsic_wo_chain:{ *:[i32] } 588:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 142072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUWSr),
     /* 142075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142077 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142079 */     GIR_RootConstrainSelectedInstOperands,
     /* 142080 */     // GIR_Coverage, 378,
     /* 142080 */     GIR_EraseRootFromParent_Done,
     /* 142081 */   // Label 2741: @142081
     /* 142081 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(142117), // Rule ID 379 //
     /* 142086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 142094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142108 */     // (intrinsic_wo_chain:{ *:[i64] } 588:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 142108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUXSr),
     /* 142111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142115 */     GIR_RootConstrainSelectedInstOperands,
     /* 142116 */     // GIR_Coverage, 379,
     /* 142116 */     GIR_EraseRootFromParent_Done,
     /* 142117 */   // Label 2742: @142117
     /* 142117 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(142153), // Rule ID 380 //
     /* 142122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 142130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142144 */     // (intrinsic_wo_chain:{ *:[i32] } 588:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 142144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUWDr),
     /* 142147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142151 */     GIR_RootConstrainSelectedInstOperands,
     /* 142152 */     // GIR_Coverage, 380,
     /* 142152 */     GIR_EraseRootFromParent_Done,
     /* 142153 */   // Label 2743: @142153
     /* 142153 */   GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(142189), // Rule ID 381 //
     /* 142158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 142166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142180 */     // (intrinsic_wo_chain:{ *:[i64] } 588:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 142180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUXDr),
     /* 142183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142187 */     GIR_RootConstrainSelectedInstOperands,
     /* 142188 */     // GIR_Coverage, 381,
     /* 142188 */     GIR_EraseRootFromParent_Done,
     /* 142189 */   // Label 2744: @142189
     /* 142189 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(142225), // Rule ID 382 //
     /* 142194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 142197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 142202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 142208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142216 */     // (intrinsic_wo_chain:{ *:[i32] } 589:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 142216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWHr),
     /* 142219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142223 */     GIR_RootConstrainSelectedInstOperands,
     /* 142224 */     // GIR_Coverage, 382,
     /* 142224 */     GIR_EraseRootFromParent_Done,
     /* 142225 */   // Label 2745: @142225
     /* 142225 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(142261), // Rule ID 383 //
     /* 142230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 142233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 142238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 142244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142252 */     // (intrinsic_wo_chain:{ *:[i64] } 589:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 142252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXHr),
     /* 142255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142259 */     GIR_RootConstrainSelectedInstOperands,
     /* 142260 */     // GIR_Coverage, 383,
     /* 142260 */     GIR_EraseRootFromParent_Done,
     /* 142261 */   // Label 2746: @142261
     /* 142261 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(142297), // Rule ID 384 //
     /* 142266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 142274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142288 */     // (intrinsic_wo_chain:{ *:[i32] } 589:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 142288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWSr),
     /* 142291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142293 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142295 */     GIR_RootConstrainSelectedInstOperands,
     /* 142296 */     // GIR_Coverage, 384,
     /* 142296 */     GIR_EraseRootFromParent_Done,
     /* 142297 */   // Label 2747: @142297
     /* 142297 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(142333), // Rule ID 385 //
     /* 142302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 142310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142324 */     // (intrinsic_wo_chain:{ *:[i64] } 589:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 142324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXSr),
     /* 142327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142329 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142331 */     GIR_RootConstrainSelectedInstOperands,
     /* 142332 */     // GIR_Coverage, 385,
     /* 142332 */     GIR_EraseRootFromParent_Done,
     /* 142333 */   // Label 2748: @142333
     /* 142333 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(142369), // Rule ID 386 //
     /* 142338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 142346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142360 */     // (intrinsic_wo_chain:{ *:[i32] } 589:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 142360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWDr),
     /* 142363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142367 */     GIR_RootConstrainSelectedInstOperands,
     /* 142368 */     // GIR_Coverage, 386,
     /* 142368 */     GIR_EraseRootFromParent_Done,
     /* 142369 */   // Label 2749: @142369
     /* 142369 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(142405), // Rule ID 387 //
     /* 142374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 142382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142396 */     // (intrinsic_wo_chain:{ *:[i64] } 589:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 142396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXDr),
     /* 142399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142401 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142403 */     GIR_RootConstrainSelectedInstOperands,
     /* 142404 */     // GIR_Coverage, 387,
     /* 142404 */     GIR_EraseRootFromParent_Done,
     /* 142405 */   // Label 2750: @142405
     /* 142405 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(142441), // Rule ID 388 //
     /* 142410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 142413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 142418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 142424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142432 */     // (intrinsic_wo_chain:{ *:[i32] } 590:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 142432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWHr),
     /* 142435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142437 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142439 */     GIR_RootConstrainSelectedInstOperands,
     /* 142440 */     // GIR_Coverage, 388,
     /* 142440 */     GIR_EraseRootFromParent_Done,
     /* 142441 */   // Label 2751: @142441
     /* 142441 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(142477), // Rule ID 389 //
     /* 142446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 142449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 142454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 142460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142468 */     // (intrinsic_wo_chain:{ *:[i64] } 590:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 142468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXHr),
     /* 142471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142475 */     GIR_RootConstrainSelectedInstOperands,
     /* 142476 */     // GIR_Coverage, 389,
     /* 142476 */     GIR_EraseRootFromParent_Done,
     /* 142477 */   // Label 2752: @142477
     /* 142477 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(142513), // Rule ID 390 //
     /* 142482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 142490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142504 */     // (intrinsic_wo_chain:{ *:[i32] } 590:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 142504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWSr),
     /* 142507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142511 */     GIR_RootConstrainSelectedInstOperands,
     /* 142512 */     // GIR_Coverage, 390,
     /* 142512 */     GIR_EraseRootFromParent_Done,
     /* 142513 */   // Label 2753: @142513
     /* 142513 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(142549), // Rule ID 391 //
     /* 142518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 142526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142540 */     // (intrinsic_wo_chain:{ *:[i64] } 590:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 142540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXSr),
     /* 142543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142545 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142547 */     GIR_RootConstrainSelectedInstOperands,
     /* 142548 */     // GIR_Coverage, 391,
     /* 142548 */     GIR_EraseRootFromParent_Done,
     /* 142549 */   // Label 2754: @142549
     /* 142549 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(142585), // Rule ID 392 //
     /* 142554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 142562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142576 */     // (intrinsic_wo_chain:{ *:[i32] } 590:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 142576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWDr),
     /* 142579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142581 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142583 */     GIR_RootConstrainSelectedInstOperands,
     /* 142584 */     // GIR_Coverage, 392,
     /* 142584 */     GIR_EraseRootFromParent_Done,
     /* 142585 */   // Label 2755: @142585
     /* 142585 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(142621), // Rule ID 393 //
     /* 142590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 142598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142612 */     // (intrinsic_wo_chain:{ *:[i64] } 590:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 142612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXDr),
     /* 142615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142617 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142619 */     GIR_RootConstrainSelectedInstOperands,
     /* 142620 */     // GIR_Coverage, 393,
     /* 142620 */     GIR_EraseRootFromParent_Done,
     /* 142621 */   // Label 2756: @142621
     /* 142621 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(142657), // Rule ID 575 //
     /* 142626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32z),
     /* 142634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142648 */     // (intrinsic_wo_chain:{ *:[f32] } 548:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT32ZSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 142648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32ZSr),
     /* 142651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142655 */     GIR_RootConstrainSelectedInstOperands,
     /* 142656 */     // GIR_Coverage, 575,
     /* 142656 */     GIR_EraseRootFromParent_Done,
     /* 142657 */   // Label 2757: @142657
     /* 142657 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(142693), // Rule ID 576 //
     /* 142662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32z),
     /* 142670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142684 */     // (intrinsic_wo_chain:{ *:[f64] } 548:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT32ZDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 142684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32ZDr),
     /* 142687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142691 */     GIR_RootConstrainSelectedInstOperands,
     /* 142692 */     // GIR_Coverage, 576,
     /* 142692 */     GIR_EraseRootFromParent_Done,
     /* 142693 */   // Label 2758: @142693
     /* 142693 */   GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(142729), // Rule ID 577 //
     /* 142698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64z),
     /* 142706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142720 */     // (intrinsic_wo_chain:{ *:[f32] } 550:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT64ZSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 142720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64ZSr),
     /* 142723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142725 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142727 */     GIR_RootConstrainSelectedInstOperands,
     /* 142728 */     // GIR_Coverage, 577,
     /* 142728 */     GIR_EraseRootFromParent_Done,
     /* 142729 */   // Label 2759: @142729
     /* 142729 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(142765), // Rule ID 578 //
     /* 142734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64z),
     /* 142742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142756 */     // (intrinsic_wo_chain:{ *:[f64] } 550:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT64ZDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 142756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64ZDr),
     /* 142759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142763 */     GIR_RootConstrainSelectedInstOperands,
     /* 142764 */     // GIR_Coverage, 578,
     /* 142764 */     GIR_EraseRootFromParent_Done,
     /* 142765 */   // Label 2760: @142765
     /* 142765 */   GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(142801), // Rule ID 579 //
     /* 142770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32x),
     /* 142778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142792 */     // (intrinsic_wo_chain:{ *:[f32] } 547:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT32XSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 142792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32XSr),
     /* 142795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142797 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142799 */     GIR_RootConstrainSelectedInstOperands,
     /* 142800 */     // GIR_Coverage, 579,
     /* 142800 */     GIR_EraseRootFromParent_Done,
     /* 142801 */   // Label 2761: @142801
     /* 142801 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(142837), // Rule ID 580 //
     /* 142806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32x),
     /* 142814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142828 */     // (intrinsic_wo_chain:{ *:[f64] } 547:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT32XDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 142828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32XDr),
     /* 142831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142835 */     GIR_RootConstrainSelectedInstOperands,
     /* 142836 */     // GIR_Coverage, 580,
     /* 142836 */     GIR_EraseRootFromParent_Done,
     /* 142837 */   // Label 2762: @142837
     /* 142837 */   GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(142873), // Rule ID 581 //
     /* 142842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64x),
     /* 142850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142864 */     // (intrinsic_wo_chain:{ *:[f32] } 549:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT64XSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 142864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64XSr),
     /* 142867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142869 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142871 */     GIR_RootConstrainSelectedInstOperands,
     /* 142872 */     // GIR_Coverage, 581,
     /* 142872 */     GIR_EraseRootFromParent_Done,
     /* 142873 */   // Label 2763: @142873
     /* 142873 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(142909), // Rule ID 582 //
     /* 142878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64x),
     /* 142886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142900 */     // (intrinsic_wo_chain:{ *:[f64] } 549:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT64XDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 142900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64XDr),
     /* 142903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142907 */     GIR_RootConstrainSelectedInstOperands,
     /* 142908 */     // GIR_Coverage, 582,
     /* 142908 */     GIR_EraseRootFromParent_Done,
     /* 142909 */   // Label 2764: @142909
     /* 142909 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(142945), // Rule ID 710 //
     /* 142914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 142925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 142928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142936 */     // (intrinsic_wo_chain:{ *:[v8i8] } 575:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (CLSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 142936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv8i8),
     /* 142939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142943 */     GIR_RootConstrainSelectedInstOperands,
     /* 142944 */     // GIR_Coverage, 710,
     /* 142944 */     GIR_EraseRootFromParent_Done,
     /* 142945 */   // Label 2765: @142945
     /* 142945 */   GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(142981), // Rule ID 711 //
     /* 142950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 142961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 142964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142972 */     // (intrinsic_wo_chain:{ *:[v16i8] } 575:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (CLSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 142972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv16i8),
     /* 142975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142977 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142979 */     GIR_RootConstrainSelectedInstOperands,
     /* 142980 */     // GIR_Coverage, 711,
     /* 142980 */     GIR_EraseRootFromParent_Done,
     /* 142981 */   // Label 2766: @142981
     /* 142981 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(143017), // Rule ID 712 //
     /* 142986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 142997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143008 */     // (intrinsic_wo_chain:{ *:[v4i16] } 575:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (CLSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 143008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv4i16),
     /* 143011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143013 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143015 */     GIR_RootConstrainSelectedInstOperands,
     /* 143016 */     // GIR_Coverage, 712,
     /* 143016 */     GIR_EraseRootFromParent_Done,
     /* 143017 */   // Label 2767: @143017
     /* 143017 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(143053), // Rule ID 713 //
     /* 143022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 143030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143044 */     // (intrinsic_wo_chain:{ *:[v8i16] } 575:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (CLSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 143044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv8i16),
     /* 143047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143051 */     GIR_RootConstrainSelectedInstOperands,
     /* 143052 */     // GIR_Coverage, 713,
     /* 143052 */     GIR_EraseRootFromParent_Done,
     /* 143053 */   // Label 2768: @143053
     /* 143053 */   GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(143089), // Rule ID 714 //
     /* 143058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 143066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143080 */     // (intrinsic_wo_chain:{ *:[v2i32] } 575:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (CLSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 143080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv2i32),
     /* 143083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143087 */     GIR_RootConstrainSelectedInstOperands,
     /* 143088 */     // GIR_Coverage, 714,
     /* 143088 */     GIR_EraseRootFromParent_Done,
     /* 143089 */   // Label 2769: @143089
     /* 143089 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(143125), // Rule ID 715 //
     /* 143094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 143102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143116 */     // (intrinsic_wo_chain:{ *:[v4i32] } 575:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (CLSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 143116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv4i32),
     /* 143119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143123 */     GIR_RootConstrainSelectedInstOperands,
     /* 143124 */     // GIR_Coverage, 715,
     /* 143124 */     GIR_EraseRootFromParent_Done,
     /* 143125 */   // Label 2770: @143125
     /* 143125 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(143161), // Rule ID 796 //
     /* 143130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 143138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143152 */     // (intrinsic_wo_chain:{ *:[v4i16] } 583:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTASv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv4f16),
     /* 143155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143159 */     GIR_RootConstrainSelectedInstOperands,
     /* 143160 */     // GIR_Coverage, 796,
     /* 143160 */     GIR_EraseRootFromParent_Done,
     /* 143161 */   // Label 2771: @143161
     /* 143161 */   GIM_Try, /*On fail goto*//*Label 2772*/ GIMT_Encode4(143197), // Rule ID 797 //
     /* 143166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 143174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143188 */     // (intrinsic_wo_chain:{ *:[v8i16] } 583:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTASv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv8f16),
     /* 143191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143195 */     GIR_RootConstrainSelectedInstOperands,
     /* 143196 */     // GIR_Coverage, 797,
     /* 143196 */     GIR_EraseRootFromParent_Done,
     /* 143197 */   // Label 2772: @143197
     /* 143197 */   GIM_Try, /*On fail goto*//*Label 2773*/ GIMT_Encode4(143233), // Rule ID 798 //
     /* 143202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 143210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143224 */     // (intrinsic_wo_chain:{ *:[v2i32] } 583:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTASv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv2f32),
     /* 143227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143231 */     GIR_RootConstrainSelectedInstOperands,
     /* 143232 */     // GIR_Coverage, 798,
     /* 143232 */     GIR_EraseRootFromParent_Done,
     /* 143233 */   // Label 2773: @143233
     /* 143233 */   GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(143269), // Rule ID 799 //
     /* 143238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 143246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143260 */     // (intrinsic_wo_chain:{ *:[v4i32] } 583:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTASv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv4f32),
     /* 143263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143267 */     GIR_RootConstrainSelectedInstOperands,
     /* 143268 */     // GIR_Coverage, 799,
     /* 143268 */     GIR_EraseRootFromParent_Done,
     /* 143269 */   // Label 2774: @143269
     /* 143269 */   GIM_Try, /*On fail goto*//*Label 2775*/ GIMT_Encode4(143305), // Rule ID 800 //
     /* 143274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 143282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143296 */     // (intrinsic_wo_chain:{ *:[v2i64] } 583:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTASv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv2f64),
     /* 143299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143301 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143303 */     GIR_RootConstrainSelectedInstOperands,
     /* 143304 */     // GIR_Coverage, 800,
     /* 143304 */     GIR_EraseRootFromParent_Done,
     /* 143305 */   // Label 2775: @143305
     /* 143305 */   GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(143341), // Rule ID 801 //
     /* 143310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 143318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143332 */     // (intrinsic_wo_chain:{ *:[v4i16] } 584:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTAUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv4f16),
     /* 143335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143337 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143339 */     GIR_RootConstrainSelectedInstOperands,
     /* 143340 */     // GIR_Coverage, 801,
     /* 143340 */     GIR_EraseRootFromParent_Done,
     /* 143341 */   // Label 2776: @143341
     /* 143341 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(143377), // Rule ID 802 //
     /* 143346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 143354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143368 */     // (intrinsic_wo_chain:{ *:[v8i16] } 584:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTAUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv8f16),
     /* 143371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143375 */     GIR_RootConstrainSelectedInstOperands,
     /* 143376 */     // GIR_Coverage, 802,
     /* 143376 */     GIR_EraseRootFromParent_Done,
     /* 143377 */   // Label 2777: @143377
     /* 143377 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(143413), // Rule ID 803 //
     /* 143382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 143390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143404 */     // (intrinsic_wo_chain:{ *:[v2i32] } 584:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTAUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv2f32),
     /* 143407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143411 */     GIR_RootConstrainSelectedInstOperands,
     /* 143412 */     // GIR_Coverage, 803,
     /* 143412 */     GIR_EraseRootFromParent_Done,
     /* 143413 */   // Label 2778: @143413
     /* 143413 */   GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(143449), // Rule ID 804 //
     /* 143418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 143426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143440 */     // (intrinsic_wo_chain:{ *:[v4i32] } 584:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTAUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv4f32),
     /* 143443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143447 */     GIR_RootConstrainSelectedInstOperands,
     /* 143448 */     // GIR_Coverage, 804,
     /* 143448 */     GIR_EraseRootFromParent_Done,
     /* 143449 */   // Label 2779: @143449
     /* 143449 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(143485), // Rule ID 805 //
     /* 143454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 143462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143476 */     // (intrinsic_wo_chain:{ *:[v2i64] } 584:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTAUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv2f64),
     /* 143479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143481 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143483 */     GIR_RootConstrainSelectedInstOperands,
     /* 143484 */     // GIR_Coverage, 805,
     /* 143484 */     GIR_EraseRootFromParent_Done,
     /* 143485 */   // Label 2780: @143485
     /* 143485 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(143521), // Rule ID 806 //
     /* 143490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 143498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143512 */     // (intrinsic_wo_chain:{ *:[v4i16] } 585:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTMSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv4f16),
     /* 143515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143517 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143519 */     GIR_RootConstrainSelectedInstOperands,
     /* 143520 */     // GIR_Coverage, 806,
     /* 143520 */     GIR_EraseRootFromParent_Done,
     /* 143521 */   // Label 2781: @143521
     /* 143521 */   GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(143557), // Rule ID 807 //
     /* 143526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 143534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143548 */     // (intrinsic_wo_chain:{ *:[v8i16] } 585:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTMSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv8f16),
     /* 143551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143553 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143555 */     GIR_RootConstrainSelectedInstOperands,
     /* 143556 */     // GIR_Coverage, 807,
     /* 143556 */     GIR_EraseRootFromParent_Done,
     /* 143557 */   // Label 2782: @143557
     /* 143557 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(143593), // Rule ID 808 //
     /* 143562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 143570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143584 */     // (intrinsic_wo_chain:{ *:[v2i32] } 585:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTMSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv2f32),
     /* 143587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143591 */     GIR_RootConstrainSelectedInstOperands,
     /* 143592 */     // GIR_Coverage, 808,
     /* 143592 */     GIR_EraseRootFromParent_Done,
     /* 143593 */   // Label 2783: @143593
     /* 143593 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(143629), // Rule ID 809 //
     /* 143598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 143606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143620 */     // (intrinsic_wo_chain:{ *:[v4i32] } 585:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTMSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv4f32),
     /* 143623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143625 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143627 */     GIR_RootConstrainSelectedInstOperands,
     /* 143628 */     // GIR_Coverage, 809,
     /* 143628 */     GIR_EraseRootFromParent_Done,
     /* 143629 */   // Label 2784: @143629
     /* 143629 */   GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(143665), // Rule ID 810 //
     /* 143634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 143642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143656 */     // (intrinsic_wo_chain:{ *:[v2i64] } 585:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTMSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv2f64),
     /* 143659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143661 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143663 */     GIR_RootConstrainSelectedInstOperands,
     /* 143664 */     // GIR_Coverage, 810,
     /* 143664 */     GIR_EraseRootFromParent_Done,
     /* 143665 */   // Label 2785: @143665
     /* 143665 */   GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(143701), // Rule ID 811 //
     /* 143670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 143678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143692 */     // (intrinsic_wo_chain:{ *:[v4i16] } 586:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTMUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv4f16),
     /* 143695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143697 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143699 */     GIR_RootConstrainSelectedInstOperands,
     /* 143700 */     // GIR_Coverage, 811,
     /* 143700 */     GIR_EraseRootFromParent_Done,
     /* 143701 */   // Label 2786: @143701
     /* 143701 */   GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(143737), // Rule ID 812 //
     /* 143706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 143714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143728 */     // (intrinsic_wo_chain:{ *:[v8i16] } 586:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTMUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv8f16),
     /* 143731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143733 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143735 */     GIR_RootConstrainSelectedInstOperands,
     /* 143736 */     // GIR_Coverage, 812,
     /* 143736 */     GIR_EraseRootFromParent_Done,
     /* 143737 */   // Label 2787: @143737
     /* 143737 */   GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(143773), // Rule ID 813 //
     /* 143742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 143750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143764 */     // (intrinsic_wo_chain:{ *:[v2i32] } 586:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTMUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv2f32),
     /* 143767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143769 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143771 */     GIR_RootConstrainSelectedInstOperands,
     /* 143772 */     // GIR_Coverage, 813,
     /* 143772 */     GIR_EraseRootFromParent_Done,
     /* 143773 */   // Label 2788: @143773
     /* 143773 */   GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(143809), // Rule ID 814 //
     /* 143778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 143786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143800 */     // (intrinsic_wo_chain:{ *:[v4i32] } 586:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTMUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv4f32),
     /* 143803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143805 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143807 */     GIR_RootConstrainSelectedInstOperands,
     /* 143808 */     // GIR_Coverage, 814,
     /* 143808 */     GIR_EraseRootFromParent_Done,
     /* 143809 */   // Label 2789: @143809
     /* 143809 */   GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(143845), // Rule ID 815 //
     /* 143814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 143822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143836 */     // (intrinsic_wo_chain:{ *:[v2i64] } 586:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTMUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv2f64),
     /* 143839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143843 */     GIR_RootConstrainSelectedInstOperands,
     /* 143844 */     // GIR_Coverage, 815,
     /* 143844 */     GIR_EraseRootFromParent_Done,
     /* 143845 */   // Label 2790: @143845
     /* 143845 */   GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(143881), // Rule ID 816 //
     /* 143850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 143858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143872 */     // (intrinsic_wo_chain:{ *:[v4i16] } 587:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTNSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv4f16),
     /* 143875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143879 */     GIR_RootConstrainSelectedInstOperands,
     /* 143880 */     // GIR_Coverage, 816,
     /* 143880 */     GIR_EraseRootFromParent_Done,
     /* 143881 */   // Label 2791: @143881
     /* 143881 */   GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(143917), // Rule ID 817 //
     /* 143886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 143894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143908 */     // (intrinsic_wo_chain:{ *:[v8i16] } 587:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv8f16),
     /* 143911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143915 */     GIR_RootConstrainSelectedInstOperands,
     /* 143916 */     // GIR_Coverage, 817,
     /* 143916 */     GIR_EraseRootFromParent_Done,
     /* 143917 */   // Label 2792: @143917
     /* 143917 */   GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(143953), // Rule ID 818 //
     /* 143922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 143930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143944 */     // (intrinsic_wo_chain:{ *:[v2i32] } 587:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTNSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv2f32),
     /* 143947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143949 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143951 */     GIR_RootConstrainSelectedInstOperands,
     /* 143952 */     // GIR_Coverage, 818,
     /* 143952 */     GIR_EraseRootFromParent_Done,
     /* 143953 */   // Label 2793: @143953
     /* 143953 */   GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(143989), // Rule ID 819 //
     /* 143958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 143966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143980 */     // (intrinsic_wo_chain:{ *:[v4i32] } 587:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv4f32),
     /* 143983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143985 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143987 */     GIR_RootConstrainSelectedInstOperands,
     /* 143988 */     // GIR_Coverage, 819,
     /* 143988 */     GIR_EraseRootFromParent_Done,
     /* 143989 */   // Label 2794: @143989
     /* 143989 */   GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(144025), // Rule ID 820 //
     /* 143994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 144002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144016 */     // (intrinsic_wo_chain:{ *:[v2i64] } 587:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTNSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 144016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv2f64),
     /* 144019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144021 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144023 */     GIR_RootConstrainSelectedInstOperands,
     /* 144024 */     // GIR_Coverage, 820,
     /* 144024 */     GIR_EraseRootFromParent_Done,
     /* 144025 */   // Label 2795: @144025
     /* 144025 */   GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(144061), // Rule ID 821 //
     /* 144030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 144038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 144041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 144044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144052 */     // (intrinsic_wo_chain:{ *:[v4i16] } 588:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTNUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 144052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv4f16),
     /* 144055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144057 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144059 */     GIR_RootConstrainSelectedInstOperands,
     /* 144060 */     // GIR_Coverage, 821,
     /* 144060 */     GIR_EraseRootFromParent_Done,
     /* 144061 */   // Label 2796: @144061
     /* 144061 */   GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(144097), // Rule ID 822 //
     /* 144066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 144074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 144077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 144080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144088 */     // (intrinsic_wo_chain:{ *:[v8i16] } 588:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 144088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv8f16),
     /* 144091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144095 */     GIR_RootConstrainSelectedInstOperands,
     /* 144096 */     // GIR_Coverage, 822,
     /* 144096 */     GIR_EraseRootFromParent_Done,
     /* 144097 */   // Label 2797: @144097
     /* 144097 */   GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(144133), // Rule ID 823 //
     /* 144102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 144110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144124 */     // (intrinsic_wo_chain:{ *:[v2i32] } 588:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTNUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 144124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv2f32),
     /* 144127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144131 */     GIR_RootConstrainSelectedInstOperands,
     /* 144132 */     // GIR_Coverage, 823,
     /* 144132 */     GIR_EraseRootFromParent_Done,
     /* 144133 */   // Label 2798: @144133
     /* 144133 */   GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(144169), // Rule ID 824 //
     /* 144138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 144146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144160 */     // (intrinsic_wo_chain:{ *:[v4i32] } 588:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 144160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv4f32),
     /* 144163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144165 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144167 */     GIR_RootConstrainSelectedInstOperands,
     /* 144168 */     // GIR_Coverage, 824,
     /* 144168 */     GIR_EraseRootFromParent_Done,
     /* 144169 */   // Label 2799: @144169
     /* 144169 */   GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(144205), // Rule ID 825 //
     /* 144174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 144182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144196 */     // (intrinsic_wo_chain:{ *:[v2i64] } 588:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTNUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 144196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv2f64),
     /* 144199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144203 */     GIR_RootConstrainSelectedInstOperands,
     /* 144204 */     // GIR_Coverage, 825,
     /* 144204 */     GIR_EraseRootFromParent_Done,
     /* 144205 */   // Label 2800: @144205
     /* 144205 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(144241), // Rule ID 826 //
     /* 144210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 144218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 144221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 144224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144232 */     // (intrinsic_wo_chain:{ *:[v4i16] } 589:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTPSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 144232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv4f16),
     /* 144235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144237 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144239 */     GIR_RootConstrainSelectedInstOperands,
     /* 144240 */     // GIR_Coverage, 826,
     /* 144240 */     GIR_EraseRootFromParent_Done,
     /* 144241 */   // Label 2801: @144241
     /* 144241 */   GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(144277), // Rule ID 827 //
     /* 144246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 144254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 144257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 144260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144268 */     // (intrinsic_wo_chain:{ *:[v8i16] } 589:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTPSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 144268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv8f16),
     /* 144271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144273 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144275 */     GIR_RootConstrainSelectedInstOperands,
     /* 144276 */     // GIR_Coverage, 827,
     /* 144276 */     GIR_EraseRootFromParent_Done,
     /* 144277 */   // Label 2802: @144277
     /* 144277 */   GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(144313), // Rule ID 828 //
     /* 144282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 144290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144304 */     // (intrinsic_wo_chain:{ *:[v2i32] } 589:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTPSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 144304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv2f32),
     /* 144307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144309 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144311 */     GIR_RootConstrainSelectedInstOperands,
     /* 144312 */     // GIR_Coverage, 828,
     /* 144312 */     GIR_EraseRootFromParent_Done,
     /* 144313 */   // Label 2803: @144313
     /* 144313 */   GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(144349), // Rule ID 829 //
     /* 144318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 144326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144340 */     // (intrinsic_wo_chain:{ *:[v4i32] } 589:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTPSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 144340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv4f32),
     /* 144343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144347 */     GIR_RootConstrainSelectedInstOperands,
     /* 144348 */     // GIR_Coverage, 829,
     /* 144348 */     GIR_EraseRootFromParent_Done,
     /* 144349 */   // Label 2804: @144349
     /* 144349 */   GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(144385), // Rule ID 830 //
     /* 144354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 144362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144376 */     // (intrinsic_wo_chain:{ *:[v2i64] } 589:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTPSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 144376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv2f64),
     /* 144379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144383 */     GIR_RootConstrainSelectedInstOperands,
     /* 144384 */     // GIR_Coverage, 830,
     /* 144384 */     GIR_EraseRootFromParent_Done,
     /* 144385 */   // Label 2805: @144385
     /* 144385 */   GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(144421), // Rule ID 831 //
     /* 144390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 144398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 144401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 144404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144412 */     // (intrinsic_wo_chain:{ *:[v4i16] } 590:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTPUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 144412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv4f16),
     /* 144415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144417 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144419 */     GIR_RootConstrainSelectedInstOperands,
     /* 144420 */     // GIR_Coverage, 831,
     /* 144420 */     GIR_EraseRootFromParent_Done,
     /* 144421 */   // Label 2806: @144421
     /* 144421 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(144457), // Rule ID 832 //
     /* 144426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 144434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 144437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 144440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144448 */     // (intrinsic_wo_chain:{ *:[v8i16] } 590:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTPUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 144448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv8f16),
     /* 144451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144453 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144455 */     GIR_RootConstrainSelectedInstOperands,
     /* 144456 */     // GIR_Coverage, 832,
     /* 144456 */     GIR_EraseRootFromParent_Done,
     /* 144457 */   // Label 2807: @144457
     /* 144457 */   GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(144493), // Rule ID 833 //
     /* 144462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 144470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144484 */     // (intrinsic_wo_chain:{ *:[v2i32] } 590:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTPUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 144484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv2f32),
     /* 144487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144491 */     GIR_RootConstrainSelectedInstOperands,
     /* 144492 */     // GIR_Coverage, 833,
     /* 144492 */     GIR_EraseRootFromParent_Done,
     /* 144493 */   // Label 2808: @144493
     /* 144493 */   GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(144529), // Rule ID 834 //
     /* 144498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 144506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144520 */     // (intrinsic_wo_chain:{ *:[v4i32] } 590:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTPUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 144520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv4f32),
     /* 144523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144527 */     GIR_RootConstrainSelectedInstOperands,
     /* 144528 */     // GIR_Coverage, 834,
     /* 144528 */     GIR_EraseRootFromParent_Done,
     /* 144529 */   // Label 2809: @144529
     /* 144529 */   GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(144565), // Rule ID 835 //
     /* 144534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 144542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144556 */     // (intrinsic_wo_chain:{ *:[v2i64] } 590:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTPUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 144556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv2f64),
     /* 144559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144561 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144563 */     GIR_RootConstrainSelectedInstOperands,
     /* 144564 */     // GIR_Coverage, 835,
     /* 144564 */     GIR_EraseRootFromParent_Done,
     /* 144565 */   // Label 2810: @144565
     /* 144565 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(144601), // Rule ID 836 //
     /* 144570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtxn),
     /* 144578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144592 */     // (intrinsic_wo_chain:{ *:[v2f32] } 591:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTXNv2f32:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn)
     /* 144592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNv2f32),
     /* 144595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144597 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144599 */     GIR_RootConstrainSelectedInstOperands,
     /* 144600 */     // GIR_Coverage, 836,
     /* 144600 */     GIR_EraseRootFromParent_Done,
     /* 144601 */   // Label 2811: @144601
     /* 144601 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(144637), // Rule ID 863 //
     /* 144606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 144614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 144617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 144620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144628 */     // (intrinsic_wo_chain:{ *:[v4f16] } 632:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FRECPEv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 144628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv4f16),
     /* 144631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144633 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144635 */     GIR_RootConstrainSelectedInstOperands,
     /* 144636 */     // GIR_Coverage, 863,
     /* 144636 */     GIR_EraseRootFromParent_Done,
     /* 144637 */   // Label 2812: @144637
     /* 144637 */   GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(144673), // Rule ID 864 //
     /* 144642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 144650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 144653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 144656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144664 */     // (intrinsic_wo_chain:{ *:[v8f16] } 632:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FRECPEv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 144664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv8f16),
     /* 144667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144669 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144671 */     GIR_RootConstrainSelectedInstOperands,
     /* 144672 */     // GIR_Coverage, 864,
     /* 144672 */     GIR_EraseRootFromParent_Done,
     /* 144673 */   // Label 2813: @144673
     /* 144673 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(144709), // Rule ID 865 //
     /* 144678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 144686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144700 */     // (intrinsic_wo_chain:{ *:[v2f32] } 632:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRECPEv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 144700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv2f32),
     /* 144703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144707 */     GIR_RootConstrainSelectedInstOperands,
     /* 144708 */     // GIR_Coverage, 865,
     /* 144708 */     GIR_EraseRootFromParent_Done,
     /* 144709 */   // Label 2814: @144709
     /* 144709 */   GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(144745), // Rule ID 866 //
     /* 144714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 144722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144736 */     // (intrinsic_wo_chain:{ *:[v4f32] } 632:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRECPEv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 144736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv4f32),
     /* 144739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144741 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144743 */     GIR_RootConstrainSelectedInstOperands,
     /* 144744 */     // GIR_Coverage, 866,
     /* 144744 */     GIR_EraseRootFromParent_Done,
     /* 144745 */   // Label 2815: @144745
     /* 144745 */   GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(144781), // Rule ID 867 //
     /* 144750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 144758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144772 */     // (intrinsic_wo_chain:{ *:[v2f64] } 632:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRECPEv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 144772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv2f64),
     /* 144775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144777 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144779 */     GIR_RootConstrainSelectedInstOperands,
     /* 144780 */     // GIR_Coverage, 867,
     /* 144780 */     GIR_EraseRootFromParent_Done,
     /* 144781 */   // Label 2816: @144781
     /* 144781 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(144817), // Rule ID 938 //
     /* 144786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 144794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144808 */     // (intrinsic_wo_chain:{ *:[v2f32] } 636:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT32Zv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 144808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Zv2f32),
     /* 144811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144815 */     GIR_RootConstrainSelectedInstOperands,
     /* 144816 */     // GIR_Coverage, 938,
     /* 144816 */     GIR_EraseRootFromParent_Done,
     /* 144817 */   // Label 2817: @144817
     /* 144817 */   GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(144853), // Rule ID 939 //
     /* 144822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 144830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144844 */     // (intrinsic_wo_chain:{ *:[v4f32] } 636:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT32Zv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 144844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Zv4f32),
     /* 144847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144851 */     GIR_RootConstrainSelectedInstOperands,
     /* 144852 */     // GIR_Coverage, 939,
     /* 144852 */     GIR_EraseRootFromParent_Done,
     /* 144853 */   // Label 2818: @144853
     /* 144853 */   GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(144889), // Rule ID 940 //
     /* 144858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 144866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144880 */     // (intrinsic_wo_chain:{ *:[v2f64] } 636:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT32Zv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 144880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Zv2f64),
     /* 144883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144887 */     GIR_RootConstrainSelectedInstOperands,
     /* 144888 */     // GIR_Coverage, 940,
     /* 144888 */     GIR_EraseRootFromParent_Done,
     /* 144889 */   // Label 2819: @144889
     /* 144889 */   GIM_Try, /*On fail goto*//*Label 2820*/ GIMT_Encode4(144925), // Rule ID 941 //
     /* 144894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 144902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144916 */     // (intrinsic_wo_chain:{ *:[v2f32] } 638:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT64Zv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 144916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Zv2f32),
     /* 144919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144921 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144923 */     GIR_RootConstrainSelectedInstOperands,
     /* 144924 */     // GIR_Coverage, 941,
     /* 144924 */     GIR_EraseRootFromParent_Done,
     /* 144925 */   // Label 2820: @144925
     /* 144925 */   GIM_Try, /*On fail goto*//*Label 2821*/ GIMT_Encode4(144961), // Rule ID 942 //
     /* 144930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 144938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144952 */     // (intrinsic_wo_chain:{ *:[v4f32] } 638:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT64Zv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 144952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Zv4f32),
     /* 144955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144959 */     GIR_RootConstrainSelectedInstOperands,
     /* 144960 */     // GIR_Coverage, 942,
     /* 144960 */     GIR_EraseRootFromParent_Done,
     /* 144961 */   // Label 2821: @144961
     /* 144961 */   GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(144997), // Rule ID 943 //
     /* 144966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 144974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144988 */     // (intrinsic_wo_chain:{ *:[v2f64] } 638:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT64Zv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 144988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Zv2f64),
     /* 144991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144995 */     GIR_RootConstrainSelectedInstOperands,
     /* 144996 */     // GIR_Coverage, 943,
     /* 144996 */     GIR_EraseRootFromParent_Done,
     /* 144997 */   // Label 2822: @144997
     /* 144997 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(145033), // Rule ID 944 //
     /* 145002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 145005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 145010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145024 */     // (intrinsic_wo_chain:{ *:[v2f32] } 635:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT32Xv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 145024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Xv2f32),
     /* 145027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145031 */     GIR_RootConstrainSelectedInstOperands,
     /* 145032 */     // GIR_Coverage, 944,
     /* 145032 */     GIR_EraseRootFromParent_Done,
     /* 145033 */   // Label 2823: @145033
     /* 145033 */   GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(145069), // Rule ID 945 //
     /* 145038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 145041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 145046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145060 */     // (intrinsic_wo_chain:{ *:[v4f32] } 635:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT32Xv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 145060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Xv4f32),
     /* 145063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145067 */     GIR_RootConstrainSelectedInstOperands,
     /* 145068 */     // GIR_Coverage, 945,
     /* 145068 */     GIR_EraseRootFromParent_Done,
     /* 145069 */   // Label 2824: @145069
     /* 145069 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(145105), // Rule ID 946 //
     /* 145074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 145077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 145082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 145088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145096 */     // (intrinsic_wo_chain:{ *:[v2f64] } 635:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT32Xv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 145096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Xv2f64),
     /* 145099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145103 */     GIR_RootConstrainSelectedInstOperands,
     /* 145104 */     // GIR_Coverage, 946,
     /* 145104 */     GIR_EraseRootFromParent_Done,
     /* 145105 */   // Label 2825: @145105
     /* 145105 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(145141), // Rule ID 947 //
     /* 145110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 145113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 145118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145132 */     // (intrinsic_wo_chain:{ *:[v2f32] } 637:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT64Xv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 145132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Xv2f32),
     /* 145135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145137 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145139 */     GIR_RootConstrainSelectedInstOperands,
     /* 145140 */     // GIR_Coverage, 947,
     /* 145140 */     GIR_EraseRootFromParent_Done,
     /* 145141 */   // Label 2826: @145141
     /* 145141 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(145177), // Rule ID 948 //
     /* 145146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 145149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 145154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145168 */     // (intrinsic_wo_chain:{ *:[v4f32] } 637:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT64Xv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 145168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Xv4f32),
     /* 145171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145175 */     GIR_RootConstrainSelectedInstOperands,
     /* 145176 */     // GIR_Coverage, 948,
     /* 145176 */     GIR_EraseRootFromParent_Done,
     /* 145177 */   // Label 2827: @145177
     /* 145177 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(145213), // Rule ID 949 //
     /* 145182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 145185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 145190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 145196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145204 */     // (intrinsic_wo_chain:{ *:[v2f64] } 637:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT64Xv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 145204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Xv2f64),
     /* 145207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145209 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145211 */     GIR_RootConstrainSelectedInstOperands,
     /* 145212 */     // GIR_Coverage, 949,
     /* 145212 */     GIR_EraseRootFromParent_Done,
     /* 145213 */   // Label 2828: @145213
     /* 145213 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(145249), // Rule ID 950 //
     /* 145218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 145221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 145226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 145229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145240 */     // (intrinsic_wo_chain:{ *:[v4f16] } 639:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FRSQRTEv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 145240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv4f16),
     /* 145243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145247 */     GIR_RootConstrainSelectedInstOperands,
     /* 145248 */     // GIR_Coverage, 950,
     /* 145248 */     GIR_EraseRootFromParent_Done,
     /* 145249 */   // Label 2829: @145249
     /* 145249 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(145285), // Rule ID 951 //
     /* 145254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 145257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 145262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 145265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145276 */     // (intrinsic_wo_chain:{ *:[v8f16] } 639:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FRSQRTEv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 145276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv8f16),
     /* 145279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145283 */     GIR_RootConstrainSelectedInstOperands,
     /* 145284 */     // GIR_Coverage, 951,
     /* 145284 */     GIR_EraseRootFromParent_Done,
     /* 145285 */   // Label 2830: @145285
     /* 145285 */   GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(145321), // Rule ID 952 //
     /* 145290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 145298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145312 */     // (intrinsic_wo_chain:{ *:[v2f32] } 639:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRSQRTEv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 145312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv2f32),
     /* 145315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145319 */     GIR_RootConstrainSelectedInstOperands,
     /* 145320 */     // GIR_Coverage, 952,
     /* 145320 */     GIR_EraseRootFromParent_Done,
     /* 145321 */   // Label 2831: @145321
     /* 145321 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(145357), // Rule ID 953 //
     /* 145326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 145334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145348 */     // (intrinsic_wo_chain:{ *:[v4f32] } 639:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRSQRTEv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 145348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv4f32),
     /* 145351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145355 */     GIR_RootConstrainSelectedInstOperands,
     /* 145356 */     // GIR_Coverage, 953,
     /* 145356 */     GIR_EraseRootFromParent_Done,
     /* 145357 */   // Label 2832: @145357
     /* 145357 */   GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(145393), // Rule ID 954 //
     /* 145362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 145370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 145376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145384 */     // (intrinsic_wo_chain:{ *:[v2f64] } 639:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRSQRTEv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 145384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv2f64),
     /* 145387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145389 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145391 */     GIR_RootConstrainSelectedInstOperands,
     /* 145392 */     // GIR_Coverage, 954,
     /* 145392 */     GIR_EraseRootFromParent_Done,
     /* 145393 */   // Label 2833: @145393
     /* 145393 */   GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(145429), // Rule ID 1001 //
     /* 145398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 145406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 145409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 145412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145420 */     // (intrinsic_wo_chain:{ *:[v4i16] } 660:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 145420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i8_v4i16),
     /* 145423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145425 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145427 */     GIR_RootConstrainSelectedInstOperands,
     /* 145428 */     // GIR_Coverage, 1001,
     /* 145428 */     GIR_EraseRootFromParent_Done,
     /* 145429 */   // Label 2834: @145429
     /* 145429 */   GIM_Try, /*On fail goto*//*Label 2835*/ GIMT_Encode4(145465), // Rule ID 1003 //
     /* 145434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 145442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 145445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 145448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145456 */     // (intrinsic_wo_chain:{ *:[v8i16] } 660:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 145456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv16i8_v8i16),
     /* 145459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145463 */     GIR_RootConstrainSelectedInstOperands,
     /* 145464 */     // GIR_Coverage, 1003,
     /* 145464 */     GIR_EraseRootFromParent_Done,
     /* 145465 */   // Label 2835: @145465
     /* 145465 */   GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(145501), // Rule ID 1005 //
     /* 145470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 145478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145492 */     // (intrinsic_wo_chain:{ *:[v2i32] } 660:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 145492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i16_v2i32),
     /* 145495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145499 */     GIR_RootConstrainSelectedInstOperands,
     /* 145500 */     // GIR_Coverage, 1005,
     /* 145500 */     GIR_EraseRootFromParent_Done,
     /* 145501 */   // Label 2836: @145501
     /* 145501 */   GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(145537), // Rule ID 1007 //
     /* 145506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 145514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145528 */     // (intrinsic_wo_chain:{ *:[v4i32] } 660:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 145528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i16_v4i32),
     /* 145531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145535 */     GIR_RootConstrainSelectedInstOperands,
     /* 145536 */     // GIR_Coverage, 1007,
     /* 145536 */     GIR_EraseRootFromParent_Done,
     /* 145537 */   // Label 2837: @145537
     /* 145537 */   GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(145573), // Rule ID 1009 //
     /* 145542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 145550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 145553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145564 */     // (intrinsic_wo_chain:{ *:[v1i64] } 660:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (SADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 145564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv2i32_v1i64),
     /* 145567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145571 */     GIR_RootConstrainSelectedInstOperands,
     /* 145572 */     // GIR_Coverage, 1009,
     /* 145572 */     GIR_EraseRootFromParent_Done,
     /* 145573 */   // Label 2838: @145573
     /* 145573 */   GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(145609), // Rule ID 1011 //
     /* 145578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 145586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145600 */     // (intrinsic_wo_chain:{ *:[v2i64] } 660:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (SADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 145600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i32_v2i64),
     /* 145603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145607 */     GIR_RootConstrainSelectedInstOperands,
     /* 145608 */     // GIR_Coverage, 1011,
     /* 145608 */     GIR_EraseRootFromParent_Done,
     /* 145609 */   // Label 2839: @145609
     /* 145609 */   GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(145645), // Rule ID 1022 //
     /* 145614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 145625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 145628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145636 */     // (intrinsic_wo_chain:{ *:[v8i8] } 678:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SQABSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 145636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv8i8),
     /* 145639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145643 */     GIR_RootConstrainSelectedInstOperands,
     /* 145644 */     // GIR_Coverage, 1022,
     /* 145644 */     GIR_EraseRootFromParent_Done,
     /* 145645 */   // Label 2840: @145645
     /* 145645 */   GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(145681), // Rule ID 1023 //
     /* 145650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 145661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 145664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145672 */     // (intrinsic_wo_chain:{ *:[v16i8] } 678:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SQABSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 145672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv16i8),
     /* 145675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145679 */     GIR_RootConstrainSelectedInstOperands,
     /* 145680 */     // GIR_Coverage, 1023,
     /* 145680 */     GIR_EraseRootFromParent_Done,
     /* 145681 */   // Label 2841: @145681
     /* 145681 */   GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(145717), // Rule ID 1024 //
     /* 145686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 145697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145708 */     // (intrinsic_wo_chain:{ *:[v4i16] } 678:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SQABSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 145708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv4i16),
     /* 145711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145713 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145715 */     GIR_RootConstrainSelectedInstOperands,
     /* 145716 */     // GIR_Coverage, 1024,
     /* 145716 */     GIR_EraseRootFromParent_Done,
     /* 145717 */   // Label 2842: @145717
     /* 145717 */   GIM_Try, /*On fail goto*//*Label 2843*/ GIMT_Encode4(145753), // Rule ID 1025 //
     /* 145722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 145733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145744 */     // (intrinsic_wo_chain:{ *:[v8i16] } 678:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SQABSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 145744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv8i16),
     /* 145747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145749 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145751 */     GIR_RootConstrainSelectedInstOperands,
     /* 145752 */     // GIR_Coverage, 1025,
     /* 145752 */     GIR_EraseRootFromParent_Done,
     /* 145753 */   // Label 2843: @145753
     /* 145753 */   GIM_Try, /*On fail goto*//*Label 2844*/ GIMT_Encode4(145789), // Rule ID 1026 //
     /* 145758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145780 */     // (intrinsic_wo_chain:{ *:[v2i32] } 678:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (SQABSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 145780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv2i32),
     /* 145783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145787 */     GIR_RootConstrainSelectedInstOperands,
     /* 145788 */     // GIR_Coverage, 1026,
     /* 145788 */     GIR_EraseRootFromParent_Done,
     /* 145789 */   // Label 2844: @145789
     /* 145789 */   GIM_Try, /*On fail goto*//*Label 2845*/ GIMT_Encode4(145825), // Rule ID 1027 //
     /* 145794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145816 */     // (intrinsic_wo_chain:{ *:[v4i32] } 678:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (SQABSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 145816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv4i32),
     /* 145819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145823 */     GIR_RootConstrainSelectedInstOperands,
     /* 145824 */     // GIR_Coverage, 1027,
     /* 145824 */     GIR_EraseRootFromParent_Done,
     /* 145825 */   // Label 2845: @145825
     /* 145825 */   GIM_Try, /*On fail goto*//*Label 2846*/ GIMT_Encode4(145861), // Rule ID 1028 //
     /* 145830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 145844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145852 */     // (intrinsic_wo_chain:{ *:[v2i64] } 678:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (SQABSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 145852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv2i64),
     /* 145855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145857 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145859 */     GIR_RootConstrainSelectedInstOperands,
     /* 145860 */     // GIR_Coverage, 1028,
     /* 145860 */     GIR_EraseRootFromParent_Done,
     /* 145861 */   // Label 2846: @145861
     /* 145861 */   GIM_Try, /*On fail goto*//*Label 2847*/ GIMT_Encode4(145897), // Rule ID 1029 //
     /* 145866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 145877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 145880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145888 */     // (intrinsic_wo_chain:{ *:[v8i8] } 685:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SQNEGv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 145888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv8i8),
     /* 145891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145895 */     GIR_RootConstrainSelectedInstOperands,
     /* 145896 */     // GIR_Coverage, 1029,
     /* 145896 */     GIR_EraseRootFromParent_Done,
     /* 145897 */   // Label 2847: @145897
     /* 145897 */   GIM_Try, /*On fail goto*//*Label 2848*/ GIMT_Encode4(145933), // Rule ID 1030 //
     /* 145902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 145913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 145916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145924 */     // (intrinsic_wo_chain:{ *:[v16i8] } 685:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SQNEGv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 145924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv16i8),
     /* 145927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145931 */     GIR_RootConstrainSelectedInstOperands,
     /* 145932 */     // GIR_Coverage, 1030,
     /* 145932 */     GIR_EraseRootFromParent_Done,
     /* 145933 */   // Label 2848: @145933
     /* 145933 */   GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(145969), // Rule ID 1031 //
     /* 145938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 145949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145960 */     // (intrinsic_wo_chain:{ *:[v4i16] } 685:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SQNEGv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 145960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv4i16),
     /* 145963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145967 */     GIR_RootConstrainSelectedInstOperands,
     /* 145968 */     // GIR_Coverage, 1031,
     /* 145968 */     GIR_EraseRootFromParent_Done,
     /* 145969 */   // Label 2849: @145969
     /* 145969 */   GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(146005), // Rule ID 1032 //
     /* 145974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 145985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145996 */     // (intrinsic_wo_chain:{ *:[v8i16] } 685:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SQNEGv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 145996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv8i16),
     /* 145999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146001 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146003 */     GIR_RootConstrainSelectedInstOperands,
     /* 146004 */     // GIR_Coverage, 1032,
     /* 146004 */     GIR_EraseRootFromParent_Done,
     /* 146005 */   // Label 2850: @146005
     /* 146005 */   GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(146041), // Rule ID 1033 //
     /* 146010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 146018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 146021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 146024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146032 */     // (intrinsic_wo_chain:{ *:[v2i32] } 685:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (SQNEGv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 146032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv2i32),
     /* 146035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146037 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146039 */     GIR_RootConstrainSelectedInstOperands,
     /* 146040 */     // GIR_Coverage, 1033,
     /* 146040 */     GIR_EraseRootFromParent_Done,
     /* 146041 */   // Label 2851: @146041
     /* 146041 */   GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(146077), // Rule ID 1034 //
     /* 146046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 146054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 146057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146068 */     // (intrinsic_wo_chain:{ *:[v4i32] } 685:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (SQNEGv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 146068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv4i32),
     /* 146071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146075 */     GIR_RootConstrainSelectedInstOperands,
     /* 146076 */     // GIR_Coverage, 1034,
     /* 146076 */     GIR_EraseRootFromParent_Done,
     /* 146077 */   // Label 2852: @146077
     /* 146077 */   GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(146113), // Rule ID 1035 //
     /* 146082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 146090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 146093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 146096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146104 */     // (intrinsic_wo_chain:{ *:[v2i64] } 685:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (SQNEGv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 146104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv2i64),
     /* 146107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146109 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146111 */     GIR_RootConstrainSelectedInstOperands,
     /* 146112 */     // GIR_Coverage, 1035,
     /* 146112 */     GIR_EraseRootFromParent_Done,
     /* 146113 */   // Label 2853: @146113
     /* 146113 */   GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(146149), // Rule ID 1062 //
     /* 146118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 146126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 146129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 146132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146140 */     // (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (UADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 146140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i8_v4i16),
     /* 146143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146147 */     GIR_RootConstrainSelectedInstOperands,
     /* 146148 */     // GIR_Coverage, 1062,
     /* 146148 */     GIR_EraseRootFromParent_Done,
     /* 146149 */   // Label 2854: @146149
     /* 146149 */   GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(146185), // Rule ID 1064 //
     /* 146154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 146162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 146165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 146168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146176 */     // (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (UADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 146176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv16i8_v8i16),
     /* 146179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146181 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146183 */     GIR_RootConstrainSelectedInstOperands,
     /* 146184 */     // GIR_Coverage, 1064,
     /* 146184 */     GIR_EraseRootFromParent_Done,
     /* 146185 */   // Label 2855: @146185
     /* 146185 */   GIM_Try, /*On fail goto*//*Label 2856*/ GIMT_Encode4(146221), // Rule ID 1066 //
     /* 146190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 146198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 146201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146212 */     // (intrinsic_wo_chain:{ *:[v2i32] } 725:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (UADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 146212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i16_v2i32),
     /* 146215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146217 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146219 */     GIR_RootConstrainSelectedInstOperands,
     /* 146220 */     // GIR_Coverage, 1066,
     /* 146220 */     GIR_EraseRootFromParent_Done,
     /* 146221 */   // Label 2856: @146221
     /* 146221 */   GIM_Try, /*On fail goto*//*Label 2857*/ GIMT_Encode4(146257), // Rule ID 1068 //
     /* 146226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 146234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 146237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 146240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146248 */     // (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (UADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 146248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i16_v4i32),
     /* 146251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146255 */     GIR_RootConstrainSelectedInstOperands,
     /* 146256 */     // GIR_Coverage, 1068,
     /* 146256 */     GIR_EraseRootFromParent_Done,
     /* 146257 */   // Label 2857: @146257
     /* 146257 */   GIM_Try, /*On fail goto*//*Label 2858*/ GIMT_Encode4(146293), // Rule ID 1070 //
     /* 146262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 146270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 146273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 146276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146284 */     // (intrinsic_wo_chain:{ *:[v1i64] } 725:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (UADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 146284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv2i32_v1i64),
     /* 146287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146291 */     GIR_RootConstrainSelectedInstOperands,
     /* 146292 */     // GIR_Coverage, 1070,
     /* 146292 */     GIR_EraseRootFromParent_Done,
     /* 146293 */   // Label 2858: @146293
     /* 146293 */   GIM_Try, /*On fail goto*//*Label 2859*/ GIMT_Encode4(146329), // Rule ID 1072 //
     /* 146298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 146306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 146309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146320 */     // (intrinsic_wo_chain:{ *:[v2i64] } 725:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (UADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 146320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i32_v2i64),
     /* 146323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146327 */     GIR_RootConstrainSelectedInstOperands,
     /* 146328 */     // GIR_Coverage, 1072,
     /* 146328 */     GIR_EraseRootFromParent_Done,
     /* 146329 */   // Label 2859: @146329
     /* 146329 */   GIM_Try, /*On fail goto*//*Label 2860*/ GIMT_Encode4(146365), // Rule ID 1086 //
     /* 146334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urecpe),
     /* 146342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 146345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 146348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146356 */     // (intrinsic_wo_chain:{ *:[v2i32] } 746:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (URECPEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 146356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPEv2i32),
     /* 146359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146361 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146363 */     GIR_RootConstrainSelectedInstOperands,
     /* 146364 */     // GIR_Coverage, 1086,
     /* 146364 */     GIR_EraseRootFromParent_Done,
     /* 146365 */   // Label 2860: @146365
     /* 146365 */   GIM_Try, /*On fail goto*//*Label 2861*/ GIMT_Encode4(146401), // Rule ID 1087 //
     /* 146370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urecpe),
     /* 146378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 146381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146392 */     // (intrinsic_wo_chain:{ *:[v4i32] } 746:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (URECPEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 146392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPEv4i32),
     /* 146395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146399 */     GIR_RootConstrainSelectedInstOperands,
     /* 146400 */     // GIR_Coverage, 1087,
     /* 146400 */     GIR_EraseRootFromParent_Done,
     /* 146401 */   // Label 2861: @146401
     /* 146401 */   GIM_Try, /*On fail goto*//*Label 2862*/ GIMT_Encode4(146437), // Rule ID 1088 //
     /* 146406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ursqrte),
     /* 146414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 146417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 146420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146428 */     // (intrinsic_wo_chain:{ *:[v2i32] } 749:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (URSQRTEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 146428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTEv2i32),
     /* 146431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146435 */     GIR_RootConstrainSelectedInstOperands,
     /* 146436 */     // GIR_Coverage, 1088,
     /* 146436 */     GIR_EraseRootFromParent_Done,
     /* 146437 */   // Label 2862: @146437
     /* 146437 */   GIM_Try, /*On fail goto*//*Label 2863*/ GIMT_Encode4(146473), // Rule ID 1089 //
     /* 146442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ursqrte),
     /* 146450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 146453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146464 */     // (intrinsic_wo_chain:{ *:[v4i32] } 749:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (URSQRTEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 146464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTEv4i32),
     /* 146467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146469 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146471 */     GIR_RootConstrainSelectedInstOperands,
     /* 146472 */     // GIR_Coverage, 1089,
     /* 146472 */     GIR_EraseRootFromParent_Done,
     /* 146473 */   // Label 2863: @146473
     /* 146473 */   GIM_Try, /*On fail goto*//*Label 2864*/ GIMT_Encode4(146509), // Rule ID 1653 //
     /* 146478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fcvtxn),
     /* 146486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146500 */     // (intrinsic_wo_chain:{ *:[f32] } 786:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTXNv1i64:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 146500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNv1i64),
     /* 146503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146507 */     GIR_RootConstrainSelectedInstOperands,
     /* 146508 */     // GIR_Coverage, 1653,
     /* 146508 */     GIR_EraseRootFromParent_Done,
     /* 146509 */   // Label 2864: @146509
     /* 146509 */   GIM_Try, /*On fail goto*//*Label 2865*/ GIMT_Encode4(146545), // Rule ID 1659 //
     /* 146514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 146522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 146525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146536 */     // (intrinsic_wo_chain:{ *:[i64] } 678:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn)  =>  (SQABSv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /* 146536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv1i64),
     /* 146539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146541 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146543 */     GIR_RootConstrainSelectedInstOperands,
     /* 146544 */     // GIR_Coverage, 1659,
     /* 146544 */     GIR_EraseRootFromParent_Done,
     /* 146545 */   // Label 2865: @146545
     /* 146545 */   GIM_Try, /*On fail goto*//*Label 2866*/ GIMT_Encode4(146581), // Rule ID 1660 //
     /* 146550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 146558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 146564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146572 */     // (intrinsic_wo_chain:{ *:[i32] } 678:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn)  =>  (SQABSv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn)
     /* 146572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv1i32),
     /* 146575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146577 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146579 */     GIR_RootConstrainSelectedInstOperands,
     /* 146580 */     // GIR_Coverage, 1660,
     /* 146580 */     GIR_EraseRootFromParent_Done,
     /* 146581 */   // Label 2866: @146581
     /* 146581 */   GIM_Try, /*On fail goto*//*Label 2867*/ GIMT_Encode4(146617), // Rule ID 1661 //
     /* 146586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 146594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 146597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146608 */     // (intrinsic_wo_chain:{ *:[i64] } 685:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn)  =>  (SQNEGv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /* 146608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv1i64),
     /* 146611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146615 */     GIR_RootConstrainSelectedInstOperands,
     /* 146616 */     // GIR_Coverage, 1661,
     /* 146616 */     GIR_EraseRootFromParent_Done,
     /* 146617 */   // Label 2867: @146617
     /* 146617 */   GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(146653), // Rule ID 1662 //
     /* 146622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 146630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 146636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146644 */     // (intrinsic_wo_chain:{ *:[i32] } 685:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn)  =>  (SQNEGv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn)
     /* 146644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv1i32),
     /* 146647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146649 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146651 */     GIR_RootConstrainSelectedInstOperands,
     /* 146652 */     // GIR_Coverage, 1662,
     /* 146652 */     GIR_EraseRootFromParent_Done,
     /* 146653 */   // Label 2868: @146653
     /* 146653 */   GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(146689), // Rule ID 1663 //
     /* 146658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_scalar_sqxtn),
     /* 146666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146680 */     // (intrinsic_wo_chain:{ *:[f32] } 663:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (SQXTNv1i32:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 146680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNv1i32),
     /* 146683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146687 */     GIR_RootConstrainSelectedInstOperands,
     /* 146688 */     // GIR_Coverage, 1663,
     /* 146688 */     GIR_EraseRootFromParent_Done,
     /* 146689 */   // Label 2869: @146689
     /* 146689 */   GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(146725), // Rule ID 1664 //
     /* 146694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_scalar_sqxtun),
     /* 146702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146716 */     // (intrinsic_wo_chain:{ *:[f32] } 664:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (SQXTUNv1i32:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 146716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNv1i32),
     /* 146719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146723 */     GIR_RootConstrainSelectedInstOperands,
     /* 146724 */     // GIR_Coverage, 1664,
     /* 146724 */     GIR_EraseRootFromParent_Done,
     /* 146725 */   // Label 2870: @146725
     /* 146725 */   GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(146761), // Rule ID 1670 //
     /* 146730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_scalar_uqxtn),
     /* 146738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146752 */     // (intrinsic_wo_chain:{ *:[f32] } 665:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (UQXTNv1i32:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 146752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNv1i32),
     /* 146755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146759 */     GIR_RootConstrainSelectedInstOperands,
     /* 146760 */     // GIR_Coverage, 1670,
     /* 146760 */     GIR_EraseRootFromParent_Done,
     /* 146761 */   // Label 2871: @146761
     /* 146761 */   GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(146797), // Rule ID 1943 //
     /* 146766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 146774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146788 */     // (intrinsic_wo_chain:{ *:[f16] } 597:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMAXNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 146788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i16v),
     /* 146791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146793 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146795 */     GIR_RootConstrainSelectedInstOperands,
     /* 146796 */     // GIR_Coverage, 1943,
     /* 146796 */     GIR_EraseRootFromParent_Done,
     /* 146797 */   // Label 2872: @146797
     /* 146797 */   GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(146833), // Rule ID 1945 //
     /* 146802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 146810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 146816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146824 */     // (intrinsic_wo_chain:{ *:[f16] } 597:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMAXNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 146824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv8i16v),
     /* 146827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146829 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146831 */     GIR_RootConstrainSelectedInstOperands,
     /* 146832 */     // GIR_Coverage, 1945,
     /* 146832 */     GIR_EraseRootFromParent_Done,
     /* 146833 */   // Label 2873: @146833
     /* 146833 */   GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(146869), // Rule ID 1947 //
     /* 146838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 146846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146860 */     // (intrinsic_wo_chain:{ *:[f32] } 597:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMAXNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 146860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i32v),
     /* 146863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146867 */     GIR_RootConstrainSelectedInstOperands,
     /* 146868 */     // GIR_Coverage, 1947,
     /* 146868 */     GIR_EraseRootFromParent_Done,
     /* 146869 */   // Label 2874: @146869
     /* 146869 */   GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(146905), // Rule ID 1949 //
     /* 146874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 146882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146896 */     // (intrinsic_wo_chain:{ *:[f16] } 599:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMAXVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 146896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i16v),
     /* 146899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146901 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146903 */     GIR_RootConstrainSelectedInstOperands,
     /* 146904 */     // GIR_Coverage, 1949,
     /* 146904 */     GIR_EraseRootFromParent_Done,
     /* 146905 */   // Label 2875: @146905
     /* 146905 */   GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(146941), // Rule ID 1951 //
     /* 146910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 146918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 146924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146932 */     // (intrinsic_wo_chain:{ *:[f16] } 599:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMAXVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 146932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv8i16v),
     /* 146935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146937 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146939 */     GIR_RootConstrainSelectedInstOperands,
     /* 146940 */     // GIR_Coverage, 1951,
     /* 146940 */     GIR_EraseRootFromParent_Done,
     /* 146941 */   // Label 2876: @146941
     /* 146941 */   GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(146977), // Rule ID 1953 //
     /* 146946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 146954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146968 */     // (intrinsic_wo_chain:{ *:[f32] } 599:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMAXVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 146968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i32v),
     /* 146971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146975 */     GIR_RootConstrainSelectedInstOperands,
     /* 146976 */     // GIR_Coverage, 1953,
     /* 146976 */     GIR_EraseRootFromParent_Done,
     /* 146977 */   // Label 2877: @146977
     /* 146977 */   GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(147013), // Rule ID 1955 //
     /* 146982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 146990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 147000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147004 */     // (intrinsic_wo_chain:{ *:[f16] } 603:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMINNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 147004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i16v),
     /* 147007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147009 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147011 */     GIR_RootConstrainSelectedInstOperands,
     /* 147012 */     // GIR_Coverage, 1955,
     /* 147012 */     GIR_EraseRootFromParent_Done,
     /* 147013 */   // Label 2878: @147013
     /* 147013 */   GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(147049), // Rule ID 1957 //
     /* 147018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 147021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 147026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 147029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 147032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 147036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147040 */     // (intrinsic_wo_chain:{ *:[f16] } 603:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMINNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 147040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv8i16v),
     /* 147043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147047 */     GIR_RootConstrainSelectedInstOperands,
     /* 147048 */     // GIR_Coverage, 1957,
     /* 147048 */     GIR_EraseRootFromParent_Done,
     /* 147049 */   // Label 2879: @147049
     /* 147049 */   GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(147085), // Rule ID 1959 //
     /* 147054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 147062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 147068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147076 */     // (intrinsic_wo_chain:{ *:[f32] } 603:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMINNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 147076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i32v),
     /* 147079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147083 */     GIR_RootConstrainSelectedInstOperands,
     /* 147084 */     // GIR_Coverage, 1959,
     /* 147084 */     GIR_EraseRootFromParent_Done,
     /* 147085 */   // Label 2880: @147085
     /* 147085 */   GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(147121), // Rule ID 1961 //
     /* 147090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 147093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 147098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 147101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 147104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 147108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147112 */     // (intrinsic_wo_chain:{ *:[f16] } 605:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMINVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 147112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i16v),
     /* 147115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147117 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147119 */     GIR_RootConstrainSelectedInstOperands,
     /* 147120 */     // GIR_Coverage, 1961,
     /* 147120 */     GIR_EraseRootFromParent_Done,
     /* 147121 */   // Label 2881: @147121
     /* 147121 */   GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(147157), // Rule ID 1963 //
     /* 147126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 147129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 147134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 147137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 147140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 147144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147148 */     // (intrinsic_wo_chain:{ *:[f16] } 605:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMINVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 147148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINVv8i16v),
     /* 147151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147155 */     GIR_RootConstrainSelectedInstOperands,
     /* 147156 */     // GIR_Coverage, 1963,
     /* 147156 */     GIR_EraseRootFromParent_Done,
     /* 147157 */   // Label 2882: @147157
     /* 147157 */   GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(147193), // Rule ID 1965 //
     /* 147162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 147170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 147176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147184 */     // (intrinsic_wo_chain:{ *:[f32] } 605:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMINVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 147184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i32v),
     /* 147187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147191 */     GIR_RootConstrainSelectedInstOperands,
     /* 147192 */     // GIR_Coverage, 1965,
     /* 147192 */     GIR_EraseRootFromParent_Done,
     /* 147193 */   // Label 2883: @147193
     /* 147193 */   GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(147229), // Rule ID 2305 //
     /* 147198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 147201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesmc),
     /* 147206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 147209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 147212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147220 */     // (intrinsic_wo_chain:{ *:[v16i8] } 514:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (AESMCrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 147220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESMCrr),
     /* 147223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147227 */     GIR_RootConstrainSelectedInstOperands,
     /* 147228 */     // GIR_Coverage, 2305,
     /* 147228 */     GIR_EraseRootFromParent_Done,
     /* 147229 */   // Label 2884: @147229
     /* 147229 */   GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(147265), // Rule ID 2306 //
     /* 147234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 147237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesimc),
     /* 147242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 147245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 147248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147256 */     // (intrinsic_wo_chain:{ *:[v16i8] } 513:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (AESIMCrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 147256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESIMCrr),
     /* 147259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147263 */     GIR_RootConstrainSelectedInstOperands,
     /* 147264 */     // GIR_Coverage, 2306,
     /* 147264 */     GIR_EraseRootFromParent_Done,
     /* 147265 */   // Label 2885: @147265
     /* 147265 */   GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(147301), // Rule ID 2314 //
     /* 147270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 147273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1h),
     /* 147278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 147284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147292 */     // (intrinsic_wo_chain:{ *:[i32] } 521:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn)  =>  (SHA1Hrr:{ *:[i32] } FPR32:{ *:[i32] }:$Rn)
     /* 147292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Hrr),
     /* 147295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147297 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147299 */     GIR_RootConstrainSelectedInstOperands,
     /* 147300 */     // GIR_Coverage, 2314,
     /* 147300 */     GIR_EraseRootFromParent_Done,
     /* 147301 */   // Label 2886: @147301
     /* 147301 */   GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(147337), // Rule ID 2515 //
     /* 147306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 147314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147328 */     // (intrinsic_wo_chain:{ *:[v1i64] } 678:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn)  =>  (SQABSv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 147328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv1i64),
     /* 147331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147335 */     GIR_RootConstrainSelectedInstOperands,
     /* 147336 */     // GIR_Coverage, 2515,
     /* 147336 */     GIR_EraseRootFromParent_Done,
     /* 147337 */   // Label 2887: @147337
     /* 147337 */   GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(147376), // Rule ID 3548 //
     /* 147342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 147350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 147353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 147356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147364 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1627:{ *:[iPTR] }, ZPRAny:{ *:[nxv16i8] }:$Zn)  =>  (PMOV_PZI_B:{ *:[nxv16i1] } ZPRAny:{ *:[nxv16i8] }:$Zn, 0:{ *:[i32] })
     /* 147364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_B),
     /* 147367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 147369 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 147371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147374 */     GIR_RootConstrainSelectedInstOperands,
     /* 147375 */     // GIR_Coverage, 3548,
     /* 147375 */     GIR_EraseRootFromParent_Done,
     /* 147376 */   // Label 2888: @147376
     /* 147376 */   GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(147415), // Rule ID 3549 //
     /* 147381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 147389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 147392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 147395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147403 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1627:{ *:[iPTR] }, ZPRAny:{ *:[nxv8i16] }:$Zn)  =>  (PMOV_PZI_H:{ *:[nxv8i1] } ZPRAny:{ *:[nxv8i16] }:$Zn, 0:{ *:[i32] })
     /* 147403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_H),
     /* 147406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 147408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 147410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147413 */     GIR_RootConstrainSelectedInstOperands,
     /* 147414 */     // GIR_Coverage, 3549,
     /* 147414 */     GIR_EraseRootFromParent_Done,
     /* 147415 */   // Label 2889: @147415
     /* 147415 */   GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(147454), // Rule ID 3550 //
     /* 147420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 147428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 147431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 147434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147442 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1627:{ *:[iPTR] }, ZPRAny:{ *:[nxv4i32] }:$Zn)  =>  (PMOV_PZI_S:{ *:[nxv4i1] } ZPRAny:{ *:[nxv4i32] }:$Zn, 0:{ *:[i32] })
     /* 147442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_S),
     /* 147445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 147447 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 147449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147452 */     GIR_RootConstrainSelectedInstOperands,
     /* 147453 */     // GIR_Coverage, 3550,
     /* 147453 */     GIR_EraseRootFromParent_Done,
     /* 147454 */   // Label 2890: @147454
     /* 147454 */   GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(147493), // Rule ID 3551 //
     /* 147459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 147467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 147470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 147473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147481 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1627:{ *:[iPTR] }, ZPRAny:{ *:[nxv2i64] }:$Zn)  =>  (PMOV_PZI_D:{ *:[nxv2i1] } ZPRAny:{ *:[nxv2i64] }:$Zn, 0:{ *:[i32] })
     /* 147481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_D),
     /* 147484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 147486 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 147488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147491 */     GIR_RootConstrainSelectedInstOperands,
     /* 147492 */     // GIR_Coverage, 3551,
     /* 147492 */     GIR_EraseRootFromParent_Done,
     /* 147493 */   // Label 2891: @147493
     /* 147493 */   GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(147549), // Rule ID 3555 //
     /* 147498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 147506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 147509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 147512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147520 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1629:{ *:[iPTR] }, PPR8:{ *:[nxv16i1] }:$Pn)  =>  (PMOV_ZIP_B:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i64] }, PPR8:{ *:[nxv16i1] }:$Pn)
     /* 147520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 147523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 147527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 147534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_B),
     /* 147537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 147539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 147542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147545 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 147547 */     GIR_RootConstrainSelectedInstOperands,
     /* 147548 */     // GIR_Coverage, 3555,
     /* 147548 */     GIR_EraseRootFromParent_Done,
     /* 147549 */   // Label 2892: @147549
     /* 147549 */   GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(147605), // Rule ID 3556 //
     /* 147554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 147562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 147565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 147568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1629:{ *:[iPTR] }, PPR16:{ *:[nxv8i1] }:$Pn)  =>  (PMOV_ZIP_H:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i32] }, PPR16:{ *:[nxv8i1] }:$Pn)
     /* 147576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 147579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 147583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 147590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_H),
     /* 147593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 147595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 147598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147601 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 147603 */     GIR_RootConstrainSelectedInstOperands,
     /* 147604 */     // GIR_Coverage, 3556,
     /* 147604 */     GIR_EraseRootFromParent_Done,
     /* 147605 */   // Label 2893: @147605
     /* 147605 */   GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(147661), // Rule ID 3557 //
     /* 147610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 147618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 147621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 147624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1629:{ *:[iPTR] }, PPR32:{ *:[nxv4i1] }:$Pn)  =>  (PMOV_ZIP_S:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i32] }, PPR32:{ *:[nxv4i1] }:$Pn)
     /* 147632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 147635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 147639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 147646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_S),
     /* 147649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 147651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 147654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 147659 */     GIR_RootConstrainSelectedInstOperands,
     /* 147660 */     // GIR_Coverage, 3557,
     /* 147660 */     GIR_EraseRootFromParent_Done,
     /* 147661 */   // Label 2894: @147661
     /* 147661 */   GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(147717), // Rule ID 3558 //
     /* 147666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 147674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 147677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 147680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147688 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1629:{ *:[iPTR] }, PPR64:{ *:[nxv2i1] }:$Pn)  =>  (PMOV_ZIP_D:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i32] }, PPR64:{ *:[nxv2i1] }:$Pn)
     /* 147688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 147691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 147695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 147702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_D),
     /* 147705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 147707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 147710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147713 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 147715 */     GIR_RootConstrainSelectedInstOperands,
     /* 147716 */     // GIR_Coverage, 3558,
     /* 147716 */     GIR_EraseRootFromParent_Done,
     /* 147717 */   // Label 2895: @147717
     /* 147717 */   GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(147750), // Rule ID 4009 //
     /* 147722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_cls),
     /* 147727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 147733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 147737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 147741 */     // (intrinsic_wo_chain:{ *:[i32] } 501:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn)  =>  (CLSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 147741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSWr),
     /* 147744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147746 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147748 */     GIR_RootConstrainSelectedInstOperands,
     /* 147749 */     // GIR_Coverage, 4009,
     /* 147749 */     GIR_EraseRootFromParent_Done,
     /* 147750 */   // Label 2896: @147750
     /* 147750 */   GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(147815), // Rule ID 4010 //
     /* 147755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_cls64),
     /* 147760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 147770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 147774 */     // (intrinsic_wo_chain:{ *:[i32] } 502:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rm)  =>  (EXTRACT_SUBREG:{ *:[i32] } (CLSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rm), sub_32:{ *:[i32] })
     /* 147774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 147777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CLSXr),
     /* 147781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147786 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 147790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 147792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 147795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147797 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /* 147804 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 147809 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 147814 */     // GIR_Coverage, 4010,
     /* 147814 */     GIR_EraseRootFromParent_Done,
     /* 147815 */   // Label 2897: @147815
     /* 147815 */   GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(147848), // Rule ID 4780 //
     /* 147820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 147825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147839 */     // (intrinsic_wo_chain:{ *:[v1f64] } 636:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT32ZDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32ZDr),
     /* 147842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147844 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147846 */     GIR_RootConstrainSelectedInstOperands,
     /* 147847 */     // GIR_Coverage, 4780,
     /* 147847 */     GIR_EraseRootFromParent_Done,
     /* 147848 */   // Label 2898: @147848
     /* 147848 */   GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(147881), // Rule ID 4781 //
     /* 147853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 147858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147872 */     // (intrinsic_wo_chain:{ *:[v1f64] } 638:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT64ZDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64ZDr),
     /* 147875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147879 */     GIR_RootConstrainSelectedInstOperands,
     /* 147880 */     // GIR_Coverage, 4781,
     /* 147880 */     GIR_EraseRootFromParent_Done,
     /* 147881 */   // Label 2899: @147881
     /* 147881 */   GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(147914), // Rule ID 4782 //
     /* 147886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 147891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147905 */     // (intrinsic_wo_chain:{ *:[v1f64] } 635:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT32XDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32XDr),
     /* 147908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147912 */     GIR_RootConstrainSelectedInstOperands,
     /* 147913 */     // GIR_Coverage, 4782,
     /* 147913 */     GIR_EraseRootFromParent_Done,
     /* 147914 */   // Label 2900: @147914
     /* 147914 */   GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(147947), // Rule ID 4783 //
     /* 147919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 147924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147938 */     // (intrinsic_wo_chain:{ *:[v1f64] } 637:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT64XDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64XDr),
     /* 147941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147943 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147945 */     GIR_RootConstrainSelectedInstOperands,
     /* 147946 */     // GIR_Coverage, 4783,
     /* 147946 */     GIR_EraseRootFromParent_Done,
     /* 147947 */   // Label 2901: @147947
     /* 147947 */   GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(147980), // Rule ID 4897 //
     /* 147952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvthf2fp),
     /* 147957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 147960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 147963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147971 */     // (intrinsic_wo_chain:{ *:[v4f32] } 767:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (FCVTLv4i16:{ *:[v4f32] } V64:{ *:[v4i16] }:$Rn)
     /* 147971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 147974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147978 */     GIR_RootConstrainSelectedInstOperands,
     /* 147979 */     // GIR_Coverage, 4897,
     /* 147979 */     GIR_EraseRootFromParent_Done,
     /* 147980 */   // Label 2902: @147980
     /* 147980 */   GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(148013), // Rule ID 4907 //
     /* 147985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2hf),
     /* 147990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 147993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 147996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148004 */     // (intrinsic_wo_chain:{ *:[v4i16] } 764:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNv4i16:{ *:[v4i16] } V128:{ *:[v4f32] }:$Rn)
     /* 148004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 148007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148009 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148011 */     GIR_RootConstrainSelectedInstOperands,
     /* 148012 */     // GIR_Coverage, 4907,
     /* 148012 */     GIR_EraseRootFromParent_Done,
     /* 148013 */   // Label 2903: @148013
     /* 148013 */   GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(148049), // Rule ID 5249 //
     /* 148018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 148021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 148026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148040 */     // (intrinsic_wo_chain:{ *:[v1i64] } 685:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn)  =>  (SQNEGv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 148040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv1i64),
     /* 148043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148047 */     GIR_RootConstrainSelectedInstOperands,
     /* 148048 */     // GIR_Coverage, 5249,
     /* 148048 */     GIR_EraseRootFromParent_Done,
     /* 148049 */   // Label 2904: @148049
     /* 148049 */   GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(148082), // Rule ID 5252 //
     /* 148054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 148059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148073 */     // (intrinsic_wo_chain:{ *:[v1i64] } 583:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTASv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv1i64),
     /* 148076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148080 */     GIR_RootConstrainSelectedInstOperands,
     /* 148081 */     // GIR_Coverage, 5252,
     /* 148081 */     GIR_EraseRootFromParent_Done,
     /* 148082 */   // Label 2905: @148082
     /* 148082 */   GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(148115), // Rule ID 5253 //
     /* 148087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 148092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148106 */     // (intrinsic_wo_chain:{ *:[v1i64] } 584:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTAUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv1i64),
     /* 148109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148111 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148113 */     GIR_RootConstrainSelectedInstOperands,
     /* 148114 */     // GIR_Coverage, 5253,
     /* 148114 */     GIR_EraseRootFromParent_Done,
     /* 148115 */   // Label 2906: @148115
     /* 148115 */   GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(148148), // Rule ID 5254 //
     /* 148120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 148125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148139 */     // (intrinsic_wo_chain:{ *:[v1i64] } 585:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTMSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv1i64),
     /* 148142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148146 */     GIR_RootConstrainSelectedInstOperands,
     /* 148147 */     // GIR_Coverage, 5254,
     /* 148147 */     GIR_EraseRootFromParent_Done,
     /* 148148 */   // Label 2907: @148148
     /* 148148 */   GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(148181), // Rule ID 5255 //
     /* 148153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 148158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148172 */     // (intrinsic_wo_chain:{ *:[v1i64] } 586:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTMUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv1i64),
     /* 148175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148179 */     GIR_RootConstrainSelectedInstOperands,
     /* 148180 */     // GIR_Coverage, 5255,
     /* 148180 */     GIR_EraseRootFromParent_Done,
     /* 148181 */   // Label 2908: @148181
     /* 148181 */   GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(148214), // Rule ID 5256 //
     /* 148186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 148191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148205 */     // (intrinsic_wo_chain:{ *:[v1i64] } 587:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTNSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv1i64),
     /* 148208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148212 */     GIR_RootConstrainSelectedInstOperands,
     /* 148213 */     // GIR_Coverage, 5256,
     /* 148213 */     GIR_EraseRootFromParent_Done,
     /* 148214 */   // Label 2909: @148214
     /* 148214 */   GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(148247), // Rule ID 5257 //
     /* 148219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 148224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148238 */     // (intrinsic_wo_chain:{ *:[v1i64] } 588:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTNUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv1i64),
     /* 148241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148243 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148245 */     GIR_RootConstrainSelectedInstOperands,
     /* 148246 */     // GIR_Coverage, 5257,
     /* 148246 */     GIR_EraseRootFromParent_Done,
     /* 148247 */   // Label 2910: @148247
     /* 148247 */   GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(148280), // Rule ID 5258 //
     /* 148252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 148257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148271 */     // (intrinsic_wo_chain:{ *:[v1i64] } 589:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTPSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv1i64),
     /* 148274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148278 */     GIR_RootConstrainSelectedInstOperands,
     /* 148279 */     // GIR_Coverage, 5258,
     /* 148279 */     GIR_EraseRootFromParent_Done,
     /* 148280 */   // Label 2911: @148280
     /* 148280 */   GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(148313), // Rule ID 5259 //
     /* 148285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 148290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148304 */     // (intrinsic_wo_chain:{ *:[v1i64] } 590:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTPUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv1i64),
     /* 148307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148309 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148311 */     GIR_RootConstrainSelectedInstOperands,
     /* 148312 */     // GIR_Coverage, 5259,
     /* 148312 */     GIR_EraseRootFromParent_Done,
     /* 148313 */   // Label 2912: @148313
     /* 148313 */   GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(148346), // Rule ID 5260 //
     /* 148318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 148323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148337 */     // (intrinsic_wo_chain:{ *:[v1i64] } 592:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTZSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1i64),
     /* 148340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148342 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148344 */     GIR_RootConstrainSelectedInstOperands,
     /* 148345 */     // GIR_Coverage, 5260,
     /* 148345 */     GIR_EraseRootFromParent_Done,
     /* 148346 */   // Label 2913: @148346
     /* 148346 */   GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(148379), // Rule ID 5261 //
     /* 148351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 148356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148370 */     // (intrinsic_wo_chain:{ *:[v1i64] } 593:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTZUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1i64),
     /* 148373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148377 */     GIR_RootConstrainSelectedInstOperands,
     /* 148378 */     // GIR_Coverage, 5261,
     /* 148378 */     GIR_EraseRootFromParent_Done,
     /* 148379 */   // Label 2914: @148379
     /* 148379 */   GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(148412), // Rule ID 5262 //
     /* 148384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 148389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 148392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 148395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148403 */     // (intrinsic_wo_chain:{ *:[f16] } 632:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FRECPEv1f16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 148403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1f16),
     /* 148406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148410 */     GIR_RootConstrainSelectedInstOperands,
     /* 148411 */     // GIR_Coverage, 5262,
     /* 148411 */     GIR_EraseRootFromParent_Done,
     /* 148412 */   // Label 2915: @148412
     /* 148412 */   GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(148445), // Rule ID 5263 //
     /* 148417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 148422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 148428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148436 */     // (intrinsic_wo_chain:{ *:[f32] } 632:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRECPEv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 148436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1i32),
     /* 148439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148443 */     GIR_RootConstrainSelectedInstOperands,
     /* 148444 */     // GIR_Coverage, 5263,
     /* 148444 */     GIR_EraseRootFromParent_Done,
     /* 148445 */   // Label 2916: @148445
     /* 148445 */   GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(148478), // Rule ID 5264 //
     /* 148450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 148455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148469 */     // (intrinsic_wo_chain:{ *:[f64] } 632:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRECPEv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 148469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1i64),
     /* 148472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148476 */     GIR_RootConstrainSelectedInstOperands,
     /* 148477 */     // GIR_Coverage, 5264,
     /* 148477 */     GIR_EraseRootFromParent_Done,
     /* 148478 */   // Label 2917: @148478
     /* 148478 */   GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(148511), // Rule ID 5265 //
     /* 148483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 148488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148502 */     // (intrinsic_wo_chain:{ *:[v1f64] } 632:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRECPEv1i64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1i64),
     /* 148505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148507 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148509 */     GIR_RootConstrainSelectedInstOperands,
     /* 148510 */     // GIR_Coverage, 5265,
     /* 148510 */     GIR_EraseRootFromParent_Done,
     /* 148511 */   // Label 2918: @148511
     /* 148511 */   GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(148544), // Rule ID 5277 //
     /* 148516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpx),
     /* 148521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 148524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 148527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148535 */     // (intrinsic_wo_chain:{ *:[f16] } 634:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FRECPXv1f16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 148535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPXv1f16),
     /* 148538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148542 */     GIR_RootConstrainSelectedInstOperands,
     /* 148543 */     // GIR_Coverage, 5277,
     /* 148543 */     GIR_EraseRootFromParent_Done,
     /* 148544 */   // Label 2919: @148544
     /* 148544 */   GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(148577), // Rule ID 5278 //
     /* 148549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpx),
     /* 148554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 148560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148568 */     // (intrinsic_wo_chain:{ *:[f32] } 634:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRECPXv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 148568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPXv1i32),
     /* 148571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148575 */     GIR_RootConstrainSelectedInstOperands,
     /* 148576 */     // GIR_Coverage, 5278,
     /* 148576 */     GIR_EraseRootFromParent_Done,
     /* 148577 */   // Label 2920: @148577
     /* 148577 */   GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(148610), // Rule ID 5279 //
     /* 148582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpx),
     /* 148587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148601 */     // (intrinsic_wo_chain:{ *:[f64] } 634:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRECPXv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 148601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPXv1i64),
     /* 148604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148606 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148608 */     GIR_RootConstrainSelectedInstOperands,
     /* 148609 */     // GIR_Coverage, 5279,
     /* 148609 */     GIR_EraseRootFromParent_Done,
     /* 148610 */   // Label 2921: @148610
     /* 148610 */   GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(148643), // Rule ID 5280 //
     /* 148615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 148620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 148623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 148626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148634 */     // (intrinsic_wo_chain:{ *:[f16] } 639:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FRSQRTEv1f16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 148634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1f16),
     /* 148637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148639 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148641 */     GIR_RootConstrainSelectedInstOperands,
     /* 148642 */     // GIR_Coverage, 5280,
     /* 148642 */     GIR_EraseRootFromParent_Done,
     /* 148643 */   // Label 2922: @148643
     /* 148643 */   GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(148676), // Rule ID 5281 //
     /* 148648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 148653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 148659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148667 */     // (intrinsic_wo_chain:{ *:[f32] } 639:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRSQRTEv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 148667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1i32),
     /* 148670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148674 */     GIR_RootConstrainSelectedInstOperands,
     /* 148675 */     // GIR_Coverage, 5281,
     /* 148675 */     GIR_EraseRootFromParent_Done,
     /* 148676 */   // Label 2923: @148676
     /* 148676 */   GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(148709), // Rule ID 5282 //
     /* 148681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 148686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148700 */     // (intrinsic_wo_chain:{ *:[f64] } 639:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRSQRTEv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 148700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1i64),
     /* 148703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148707 */     GIR_RootConstrainSelectedInstOperands,
     /* 148708 */     // GIR_Coverage, 5282,
     /* 148708 */     GIR_EraseRootFromParent_Done,
     /* 148709 */   // Label 2924: @148709
     /* 148709 */   GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(148742), // Rule ID 5283 //
     /* 148714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 148719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148733 */     // (intrinsic_wo_chain:{ *:[v1f64] } 639:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRSQRTEv1i64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1i64),
     /* 148736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148740 */     GIR_RootConstrainSelectedInstOperands,
     /* 148741 */     // GIR_Coverage, 5283,
     /* 148741 */     GIR_EraseRootFromParent_Done,
     /* 148742 */   // Label 2925: @148742
     /* 148742 */   GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(148775), // Rule ID 5613 //
     /* 148747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddv),
     /* 148752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148766 */     // (intrinsic_wo_chain:{ *:[f32] } 580:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 148766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 148769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148773 */     GIR_RootConstrainSelectedInstOperands,
     /* 148774 */     // GIR_Coverage, 5613,
     /* 148774 */     GIR_EraseRootFromParent_Done,
     /* 148775 */   // Label 2926: @148775
     /* 148775 */   GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(148860), // Rule ID 5614 //
     /* 148780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddv),
     /* 148785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 148791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148799 */     // (intrinsic_wo_chain:{ *:[f32] } 580:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } (FADDPv4f32:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn), dsub:{ *:[i32] }))
     /* 148799 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 148802 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 148806 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148811 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 148815 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 148819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 148821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 148824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 148828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148833 */     GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 148840 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148845 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 148853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 148858 */     GIR_RootConstrainSelectedInstOperands,
     /* 148859 */     // GIR_Coverage, 5614,
     /* 148859 */     GIR_EraseRootFromParent_Done,
     /* 148860 */   // Label 2927: @148860
     /* 148860 */   GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(148893), // Rule ID 5615 //
     /* 148865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddv),
     /* 148870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 148876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148884 */     // (intrinsic_wo_chain:{ *:[f64] } 580:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FADDPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 148884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 148887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148891 */     GIR_RootConstrainSelectedInstOperands,
     /* 148892 */     // GIR_Coverage, 5615,
     /* 148892 */     GIR_EraseRootFromParent_Done,
     /* 148893 */   // Label 2928: @148893
     /* 148893 */   GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(148926), // Rule ID 5617 //
     /* 148898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 148903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148917 */     // (intrinsic_wo_chain:{ *:[f32] } 597:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMAXNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 148917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i32p),
     /* 148920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148922 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148924 */     GIR_RootConstrainSelectedInstOperands,
     /* 148925 */     // GIR_Coverage, 5617,
     /* 148925 */     GIR_EraseRootFromParent_Done,
     /* 148926 */   // Label 2929: @148926
     /* 148926 */   GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(148959), // Rule ID 5619 //
     /* 148931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 148936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 148942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148950 */     // (intrinsic_wo_chain:{ *:[f64] } 597:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMAXNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 148950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i64p),
     /* 148953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148957 */     GIR_RootConstrainSelectedInstOperands,
     /* 148958 */     // GIR_Coverage, 5619,
     /* 148958 */     GIR_EraseRootFromParent_Done,
     /* 148959 */   // Label 2930: @148959
     /* 148959 */   GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(148992), // Rule ID 5621 //
     /* 148964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 148969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148983 */     // (intrinsic_wo_chain:{ *:[f32] } 599:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMAXPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 148983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i32p),
     /* 148986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148990 */     GIR_RootConstrainSelectedInstOperands,
     /* 148991 */     // GIR_Coverage, 5621,
     /* 148991 */     GIR_EraseRootFromParent_Done,
     /* 148992 */   // Label 2931: @148992
     /* 148992 */   GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(149025), // Rule ID 5623 //
     /* 148997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 149002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 149005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 149008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149016 */     // (intrinsic_wo_chain:{ *:[f64] } 599:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMAXPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 149016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i64p),
     /* 149019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149021 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149023 */     GIR_RootConstrainSelectedInstOperands,
     /* 149024 */     // GIR_Coverage, 5623,
     /* 149024 */     GIR_EraseRootFromParent_Done,
     /* 149025 */   // Label 2932: @149025
     /* 149025 */   GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(149058), // Rule ID 5625 //
     /* 149030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 149035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 149041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149049 */     // (intrinsic_wo_chain:{ *:[f32] } 603:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMINNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 149049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i32p),
     /* 149052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149056 */     GIR_RootConstrainSelectedInstOperands,
     /* 149057 */     // GIR_Coverage, 5625,
     /* 149057 */     GIR_EraseRootFromParent_Done,
     /* 149058 */   // Label 2933: @149058
     /* 149058 */   GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(149091), // Rule ID 5627 //
     /* 149063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 149068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 149071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 149074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149082 */     // (intrinsic_wo_chain:{ *:[f64] } 603:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMINNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 149082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i64p),
     /* 149085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149087 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149089 */     GIR_RootConstrainSelectedInstOperands,
     /* 149090 */     // GIR_Coverage, 5627,
     /* 149090 */     GIR_EraseRootFromParent_Done,
     /* 149091 */   // Label 2934: @149091
     /* 149091 */   GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(149124), // Rule ID 5629 //
     /* 149096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 149101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 149107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149115 */     // (intrinsic_wo_chain:{ *:[f32] } 605:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMINPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 149115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i32p),
     /* 149118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149122 */     GIR_RootConstrainSelectedInstOperands,
     /* 149123 */     // GIR_Coverage, 5629,
     /* 149123 */     GIR_EraseRootFromParent_Done,
     /* 149124 */   // Label 2935: @149124
     /* 149124 */   GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(149157), // Rule ID 5631 //
     /* 149129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 149134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 149137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 149140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149148 */     // (intrinsic_wo_chain:{ *:[f64] } 605:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMINPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 149148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i64p),
     /* 149151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149155 */     GIR_RootConstrainSelectedInstOperands,
     /* 149156 */     // GIR_Coverage, 5631,
     /* 149156 */     GIR_EraseRootFromParent_Done,
     /* 149157 */   // Label 2936: @149157
     /* 149157 */   GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(149190), // Rule ID 13118 //
     /* 149162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 149173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149181 */     // (intrinsic_wo_chain:{ *:[i8] } 662:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 149181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 149184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149188 */     GIR_RootConstrainSelectedInstOperands,
     /* 149189 */     // GIR_Coverage, 13118,
     /* 149189 */     GIR_EraseRootFromParent_Done,
     /* 149190 */   // Label 2937: @149190
     /* 149190 */   GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(149223), // Rule ID 13120 //
     /* 149195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 149206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149214 */     // (intrinsic_wo_chain:{ *:[i8] } 662:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 149214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 149217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149219 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149221 */     GIR_RootConstrainSelectedInstOperands,
     /* 149222 */     // GIR_Coverage, 13120,
     /* 149222 */     GIR_EraseRootFromParent_Done,
     /* 149223 */   // Label 2938: @149223
     /* 149223 */   GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(149256), // Rule ID 13122 //
     /* 149228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 149239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149247 */     // (intrinsic_wo_chain:{ *:[i16] } 662:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 149247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 149250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149254 */     GIR_RootConstrainSelectedInstOperands,
     /* 149255 */     // GIR_Coverage, 13122,
     /* 149255 */     GIR_EraseRootFromParent_Done,
     /* 149256 */   // Label 2939: @149256
     /* 149256 */   GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(149289), // Rule ID 13124 //
     /* 149261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 149272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149280 */     // (intrinsic_wo_chain:{ *:[i16] } 662:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 149280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 149283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149287 */     GIR_RootConstrainSelectedInstOperands,
     /* 149288 */     // GIR_Coverage, 13124,
     /* 149288 */     GIR_EraseRootFromParent_Done,
     /* 149289 */   // Label 2940: @149289
     /* 149289 */   GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(149404), // Rule ID 13125 //
     /* 149294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 149305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149313 */     // (intrinsic_wo_chain:{ *:[i32] } 662:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 149313 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 149316 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i32v),
     /* 149320 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149325 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149331 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 149334 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149338 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 149348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149357 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149360 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149363 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 149366 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149371 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149376 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149386 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149393 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149398 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149403 */     // GIR_Coverage, 13125,
     /* 149403 */     GIR_EraseRootFromParent_Done,
     /* 149404 */   // Label 2941: @149404
     /* 149404 */   GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(149437), // Rule ID 13127 //
     /* 149409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 149420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149428 */     // (intrinsic_wo_chain:{ *:[i8] } 727:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 149428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 149431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149435 */     GIR_RootConstrainSelectedInstOperands,
     /* 149436 */     // GIR_Coverage, 13127,
     /* 149436 */     GIR_EraseRootFromParent_Done,
     /* 149437 */   // Label 2942: @149437
     /* 149437 */   GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(149470), // Rule ID 13129 //
     /* 149442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 149453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149461 */     // (intrinsic_wo_chain:{ *:[i8] } 727:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 149461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 149464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149468 */     GIR_RootConstrainSelectedInstOperands,
     /* 149469 */     // GIR_Coverage, 13129,
     /* 149469 */     GIR_EraseRootFromParent_Done,
     /* 149470 */   // Label 2943: @149470
     /* 149470 */   GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(149503), // Rule ID 13131 //
     /* 149475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 149486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149494 */     // (intrinsic_wo_chain:{ *:[i16] } 727:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 149494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 149497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149499 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149501 */     GIR_RootConstrainSelectedInstOperands,
     /* 149502 */     // GIR_Coverage, 13131,
     /* 149502 */     GIR_EraseRootFromParent_Done,
     /* 149503 */   // Label 2944: @149503
     /* 149503 */   GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(149536), // Rule ID 13133 //
     /* 149508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 149519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149527 */     // (intrinsic_wo_chain:{ *:[i16] } 727:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 149527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 149530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149532 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149534 */     GIR_RootConstrainSelectedInstOperands,
     /* 149535 */     // GIR_Coverage, 13133,
     /* 149535 */     GIR_EraseRootFromParent_Done,
     /* 149536 */   // Label 2945: @149536
     /* 149536 */   GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(149651), // Rule ID 13134 //
     /* 149541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 149552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149560 */     // (intrinsic_wo_chain:{ *:[i32] } 727:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 149560 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 149563 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i32v),
     /* 149567 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149572 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149578 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 149581 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149585 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 149595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149604 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149607 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149610 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 149613 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149618 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149623 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149633 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149640 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149645 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149650 */     // GIR_Coverage, 13134,
     /* 149650 */     GIR_EraseRootFromParent_Done,
     /* 149651 */   // Label 2946: @149651
     /* 149651 */   GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(149770), // Rule ID 13135 //
     /* 149656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 149667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149675 */     // (intrinsic_wo_chain:{ *:[i32] } 662:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 149675 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 149678 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 149682 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149687 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149691 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149697 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 149700 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149704 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 149714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149723 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149726 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149729 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 149732 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149737 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149742 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149752 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149759 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149764 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149769 */     // GIR_Coverage, 13135,
     /* 149769 */     GIR_EraseRootFromParent_Done,
     /* 149770 */   // Label 2947: @149770
     /* 149770 */   GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(149885), // Rule ID 13136 //
     /* 149775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 149783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 149786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149794 */     // (intrinsic_wo_chain:{ *:[i64] } 662:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (ADDPv2i64p:{ *:[i64] } V128:{ *:[v2i64] }:$Rn), dsub:{ *:[i32] }), dsub:{ *:[i32] })
     /* 149794 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 149797 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /* 149801 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149806 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149812 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /* 149815 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149819 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 149829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149838 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149841 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149844 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 149847 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149852 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149857 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149867 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 149874 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149879 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149884 */     // GIR_Coverage, 13136,
     /* 149884 */     GIR_EraseRootFromParent_Done,
     /* 149885 */   // Label 2948: @149885
     /* 149885 */   GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(150004), // Rule ID 13137 //
     /* 149890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 149901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149909 */     // (intrinsic_wo_chain:{ *:[i32] } 727:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 149909 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 149912 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 149916 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149921 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149925 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149931 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 149934 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149938 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 149948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149957 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149960 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149963 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 149966 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149971 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149976 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149986 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149993 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149998 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150003 */     // GIR_Coverage, 13137,
     /* 150003 */     GIR_EraseRootFromParent_Done,
     /* 150004 */   // Label 2949: @150004
     /* 150004 */   GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(150119), // Rule ID 13138 //
     /* 150009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 150014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 150017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 150020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150028 */     // (intrinsic_wo_chain:{ *:[i64] } 727:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (ADDPv2i64p:{ *:[i64] } V128:{ *:[v2i64] }:$Rn), dsub:{ *:[i32] }), dsub:{ *:[i32] })
     /* 150028 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 150031 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /* 150035 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150040 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150046 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /* 150049 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150053 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 150063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150072 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150075 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150078 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 150081 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150086 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150091 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150101 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 150108 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150113 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150118 */     // GIR_Coverage, 13138,
     /* 150118 */     GIR_EraseRootFromParent_Done,
     /* 150119 */   // Label 2950: @150119
     /* 150119 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(150152), // Rule ID 13140 //
     /* 150124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 150129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 150132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 150135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 150139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150143 */     // (intrinsic_wo_chain:{ *:[i8] } 672:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 150143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i8v),
     /* 150146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150150 */     GIR_RootConstrainSelectedInstOperands,
     /* 150151 */     // GIR_Coverage, 13140,
     /* 150151 */     GIR_EraseRootFromParent_Done,
     /* 150152 */   // Label 2951: @150152
     /* 150152 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(150185), // Rule ID 13142 //
     /* 150157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 150162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 150165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 150168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 150172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150176 */     // (intrinsic_wo_chain:{ *:[i8] } 672:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 150176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv16i8v),
     /* 150179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150181 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150183 */     GIR_RootConstrainSelectedInstOperands,
     /* 150184 */     // GIR_Coverage, 13142,
     /* 150184 */     GIR_EraseRootFromParent_Done,
     /* 150185 */   // Label 2952: @150185
     /* 150185 */   GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(150218), // Rule ID 13144 //
     /* 150190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 150195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 150201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150209 */     // (intrinsic_wo_chain:{ *:[i16] } 672:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 150209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i16v),
     /* 150212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150214 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150216 */     GIR_RootConstrainSelectedInstOperands,
     /* 150217 */     // GIR_Coverage, 13144,
     /* 150217 */     GIR_EraseRootFromParent_Done,
     /* 150218 */   // Label 2953: @150218
     /* 150218 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(150251), // Rule ID 13146 //
     /* 150223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 150228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 150234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150242 */     // (intrinsic_wo_chain:{ *:[i16] } 672:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 150242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i16v),
     /* 150245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150247 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150249 */     GIR_RootConstrainSelectedInstOperands,
     /* 150250 */     // GIR_Coverage, 13146,
     /* 150250 */     GIR_EraseRootFromParent_Done,
     /* 150251 */   // Label 2954: @150251
     /* 150251 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(150366), // Rule ID 13147 //
     /* 150256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 150261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 150267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150275 */     // (intrinsic_wo_chain:{ *:[i32] } 672:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150275 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 150278 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i32v),
     /* 150282 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150287 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150293 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150296 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150300 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150319 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150322 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150325 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 150328 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150333 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150338 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150348 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150355 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150360 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150365 */     // GIR_Coverage, 13147,
     /* 150365 */     GIR_EraseRootFromParent_Done,
     /* 150366 */   // Label 2955: @150366
     /* 150366 */   GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(150485), // Rule ID 13148 //
     /* 150371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 150376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 150382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150390 */     // (intrinsic_wo_chain:{ *:[i32] } 672:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150390 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 150393 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv2i32),
     /* 150397 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150402 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150406 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150412 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150415 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150419 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150438 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150441 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150444 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 150447 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150452 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150457 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150467 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150474 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150479 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150484 */     // GIR_Coverage, 13148,
     /* 150484 */     GIR_EraseRootFromParent_Done,
     /* 150485 */   // Label 2956: @150485
     /* 150485 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(150518), // Rule ID 13150 //
     /* 150490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 150495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 150498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 150501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 150505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150509 */     // (intrinsic_wo_chain:{ *:[i8] } 675:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 150509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i8v),
     /* 150512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150516 */     GIR_RootConstrainSelectedInstOperands,
     /* 150517 */     // GIR_Coverage, 13150,
     /* 150517 */     GIR_EraseRootFromParent_Done,
     /* 150518 */   // Label 2957: @150518
     /* 150518 */   GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(150551), // Rule ID 13152 //
     /* 150523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 150528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 150531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 150534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 150538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150542 */     // (intrinsic_wo_chain:{ *:[i8] } 675:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 150542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv16i8v),
     /* 150545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150547 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150549 */     GIR_RootConstrainSelectedInstOperands,
     /* 150550 */     // GIR_Coverage, 13152,
     /* 150550 */     GIR_EraseRootFromParent_Done,
     /* 150551 */   // Label 2958: @150551
     /* 150551 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(150584), // Rule ID 13154 //
     /* 150556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 150561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 150567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150575 */     // (intrinsic_wo_chain:{ *:[i16] } 675:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 150575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i16v),
     /* 150578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150582 */     GIR_RootConstrainSelectedInstOperands,
     /* 150583 */     // GIR_Coverage, 13154,
     /* 150583 */     GIR_EraseRootFromParent_Done,
     /* 150584 */   // Label 2959: @150584
     /* 150584 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(150617), // Rule ID 13156 //
     /* 150589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 150594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 150600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150608 */     // (intrinsic_wo_chain:{ *:[i16] } 675:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 150608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i16v),
     /* 150611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150615 */     GIR_RootConstrainSelectedInstOperands,
     /* 150616 */     // GIR_Coverage, 13156,
     /* 150616 */     GIR_EraseRootFromParent_Done,
     /* 150617 */   // Label 2960: @150617
     /* 150617 */   GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(150732), // Rule ID 13157 //
     /* 150622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 150627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 150633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150641 */     // (intrinsic_wo_chain:{ *:[i32] } 675:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150641 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 150644 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i32v),
     /* 150648 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150653 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150659 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150662 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150666 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150685 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150688 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150691 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 150694 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150699 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150704 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150714 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150721 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150726 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150731 */     // GIR_Coverage, 13157,
     /* 150731 */     GIR_EraseRootFromParent_Done,
     /* 150732 */   // Label 2961: @150732
     /* 150732 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(150851), // Rule ID 13158 //
     /* 150737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 150742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 150748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150756 */     // (intrinsic_wo_chain:{ *:[i32] } 675:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150756 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 150759 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINPv2i32),
     /* 150763 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150768 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150772 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150778 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150781 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150785 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150804 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150807 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150810 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 150813 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150818 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150823 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150833 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150840 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150845 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150850 */     // GIR_Coverage, 13158,
     /* 150850 */     GIR_EraseRootFromParent_Done,
     /* 150851 */   // Label 2962: @150851
     /* 150851 */   GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(150884), // Rule ID 13160 //
     /* 150856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 150864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 150867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 150871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150875 */     // (intrinsic_wo_chain:{ *:[i8] } 733:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (UMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 150875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i8v),
     /* 150878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150882 */     GIR_RootConstrainSelectedInstOperands,
     /* 150883 */     // GIR_Coverage, 13160,
     /* 150883 */     GIR_EraseRootFromParent_Done,
     /* 150884 */   // Label 2963: @150884
     /* 150884 */   GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(150917), // Rule ID 13162 //
     /* 150889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 150897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 150900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 150904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150908 */     // (intrinsic_wo_chain:{ *:[i8] } 733:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (UMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 150908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv16i8v),
     /* 150911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150915 */     GIR_RootConstrainSelectedInstOperands,
     /* 150916 */     // GIR_Coverage, 13162,
     /* 150916 */     GIR_EraseRootFromParent_Done,
     /* 150917 */   // Label 2964: @150917
     /* 150917 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(150950), // Rule ID 13164 //
     /* 150922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 150933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150941 */     // (intrinsic_wo_chain:{ *:[i16] } 733:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (UMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 150941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i16v),
     /* 150944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150946 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150948 */     GIR_RootConstrainSelectedInstOperands,
     /* 150949 */     // GIR_Coverage, 13164,
     /* 150949 */     GIR_EraseRootFromParent_Done,
     /* 150950 */   // Label 2965: @150950
     /* 150950 */   GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(150983), // Rule ID 13166 //
     /* 150955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 150966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150974 */     // (intrinsic_wo_chain:{ *:[i16] } 733:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (UMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 150974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i16v),
     /* 150977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150979 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150981 */     GIR_RootConstrainSelectedInstOperands,
     /* 150982 */     // GIR_Coverage, 13166,
     /* 150982 */     GIR_EraseRootFromParent_Done,
     /* 150983 */   // Label 2966: @150983
     /* 150983 */   GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(151098), // Rule ID 13167 //
     /* 150988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 150999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151007 */     // (intrinsic_wo_chain:{ *:[i32] } 733:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 151007 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 151010 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i32v),
     /* 151014 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151019 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 151023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 151025 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 151028 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 151032 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 151039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 151042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 151046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151051 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 151054 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 151057 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 151060 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151065 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151070 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 151078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151080 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 151087 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151092 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151097 */     // GIR_Coverage, 13167,
     /* 151097 */     GIR_EraseRootFromParent_Done,
     /* 151098 */   // Label 2967: @151098
     /* 151098 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(151217), // Rule ID 13168 //
     /* 151103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 151108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 151114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151122 */     // (intrinsic_wo_chain:{ *:[i32] } 733:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 151122 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 151125 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv2i32),
     /* 151129 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151134 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 151138 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 151142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 151144 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 151147 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 151151 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 151158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 151161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 151165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151170 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 151173 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 151176 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 151179 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151184 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151189 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 151197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151199 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 151206 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151211 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151216 */     // GIR_Coverage, 13168,
     /* 151216 */     GIR_EraseRootFromParent_Done,
     /* 151217 */   // Label 2968: @151217
     /* 151217 */   GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(151250), // Rule ID 13170 //
     /* 151222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 151227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 151230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 151233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 151237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151241 */     // (intrinsic_wo_chain:{ *:[i8] } 736:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (UMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 151241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i8v),
     /* 151244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151248 */     GIR_RootConstrainSelectedInstOperands,
     /* 151249 */     // GIR_Coverage, 13170,
     /* 151249 */     GIR_EraseRootFromParent_Done,
     /* 151250 */   // Label 2969: @151250
     /* 151250 */   GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(151283), // Rule ID 13172 //
     /* 151255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 151260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 151263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 151266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 151270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151274 */     // (intrinsic_wo_chain:{ *:[i8] } 736:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (UMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 151274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv16i8v),
     /* 151277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151279 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151281 */     GIR_RootConstrainSelectedInstOperands,
     /* 151282 */     // GIR_Coverage, 13172,
     /* 151282 */     GIR_EraseRootFromParent_Done,
     /* 151283 */   // Label 2970: @151283
     /* 151283 */   GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(151316), // Rule ID 13174 //
     /* 151288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 151293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 151296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 151299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 151303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151307 */     // (intrinsic_wo_chain:{ *:[i16] } 736:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (UMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 151307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i16v),
     /* 151310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151314 */     GIR_RootConstrainSelectedInstOperands,
     /* 151315 */     // GIR_Coverage, 13174,
     /* 151315 */     GIR_EraseRootFromParent_Done,
     /* 151316 */   // Label 2971: @151316
     /* 151316 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(151349), // Rule ID 13176 //
     /* 151321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 151326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 151329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 151332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 151336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151340 */     // (intrinsic_wo_chain:{ *:[i16] } 736:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (UMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 151340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i16v),
     /* 151343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151347 */     GIR_RootConstrainSelectedInstOperands,
     /* 151348 */     // GIR_Coverage, 13176,
     /* 151348 */     GIR_EraseRootFromParent_Done,
     /* 151349 */   // Label 2972: @151349
     /* 151349 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(151464), // Rule ID 13177 //
     /* 151354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 151359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 151365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151373 */     // (intrinsic_wo_chain:{ *:[i32] } 736:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 151373 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 151376 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i32v),
     /* 151380 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151385 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 151389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 151391 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 151394 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 151398 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 151405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 151408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 151412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151417 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 151420 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 151423 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 151426 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151431 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151436 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 151444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151446 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 151453 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151458 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151463 */     // GIR_Coverage, 13177,
     /* 151463 */     GIR_EraseRootFromParent_Done,
     /* 151464 */   // Label 2973: @151464
     /* 151464 */   GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(151583), // Rule ID 13178 //
     /* 151469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 151474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 151480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151488 */     // (intrinsic_wo_chain:{ *:[i32] } 736:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 151488 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 151491 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMINPv2i32),
     /* 151495 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151500 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 151504 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 151508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 151510 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 151513 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 151517 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 151524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 151527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 151531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151536 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 151539 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 151542 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 151545 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151550 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151555 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 151563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151565 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 151572 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151577 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151582 */     // GIR_Coverage, 13178,
     /* 151582 */     GIR_EraseRootFromParent_Done,
     /* 151583 */   // Label 2974: @151583
     /* 151583 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(151615), // Rule ID 2393 //
     /* 151588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rev_b16),
     /* 151596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 151599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 151602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151606 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1669:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn)  =>  (REV_PP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn)
     /* 151606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV_PP_H),
     /* 151609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 151613 */     GIR_RootConstrainSelectedInstOperands,
     /* 151614 */     // GIR_Coverage, 2393,
     /* 151614 */     GIR_EraseRootFromParent_Done,
     /* 151615 */   // Label 2975: @151615
     /* 151615 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(151647), // Rule ID 2394 //
     /* 151620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rev_b32),
     /* 151628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 151631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 151634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151638 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1670:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn)  =>  (REV_PP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn)
     /* 151638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV_PP_S),
     /* 151641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151643 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 151645 */     GIR_RootConstrainSelectedInstOperands,
     /* 151646 */     // GIR_Coverage, 2394,
     /* 151646 */     GIR_EraseRootFromParent_Done,
     /* 151647 */   // Label 2976: @151647
     /* 151647 */   GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(151679), // Rule ID 2395 //
     /* 151652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rev_b64),
     /* 151660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 151663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 151666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151670 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1671:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn)  =>  (REV_PP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn)
     /* 151670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV_PP_D),
     /* 151673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 151677 */     GIR_RootConstrainSelectedInstOperands,
     /* 151678 */     // GIR_Coverage, 2395,
     /* 151678 */     GIR_EraseRootFromParent_Done,
     /* 151679 */   // Label 2977: @151679
     /* 151679 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(151711), // Rule ID 3093 //
     /* 151684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 151687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnb),
     /* 151692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 151695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 151698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151702 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1851:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (SQXTNB_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1)
     /* 151702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNB_ZZ_B),
     /* 151705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151707 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151709 */     GIR_RootConstrainSelectedInstOperands,
     /* 151710 */     // GIR_Coverage, 3093,
     /* 151710 */     GIR_EraseRootFromParent_Done,
     /* 151711 */   // Label 2978: @151711
     /* 151711 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(151743), // Rule ID 3094 //
     /* 151716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 151719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnb),
     /* 151724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 151727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 151730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151734 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1851:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (SQXTNB_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1)
     /* 151734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNB_ZZ_H),
     /* 151737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151739 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151741 */     GIR_RootConstrainSelectedInstOperands,
     /* 151742 */     // GIR_Coverage, 3094,
     /* 151742 */     GIR_EraseRootFromParent_Done,
     /* 151743 */   // Label 2979: @151743
     /* 151743 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(151775), // Rule ID 3095 //
     /* 151748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 151751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnb),
     /* 151756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 151759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 151762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1851:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (SQXTNB_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1)
     /* 151766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNB_ZZ_S),
     /* 151769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151773 */     GIR_RootConstrainSelectedInstOperands,
     /* 151774 */     // GIR_Coverage, 3095,
     /* 151774 */     GIR_EraseRootFromParent_Done,
     /* 151775 */   // Label 2980: @151775
     /* 151775 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(151807), // Rule ID 3349 //
     /* 151780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpklo),
     /* 151788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 151791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 151794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151798 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1661:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (PUNPKLO_PP:{ *:[nxv8i1] } ?:{ *:[nxv16i1] }:$Op1)
     /* 151798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 151801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151803 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151805 */     GIR_RootConstrainSelectedInstOperands,
     /* 151806 */     // GIR_Coverage, 3349,
     /* 151806 */     GIR_EraseRootFromParent_Done,
     /* 151807 */   // Label 2981: @151807
     /* 151807 */   GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(151839), // Rule ID 3350 //
     /* 151812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpklo),
     /* 151820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 151823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 151826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151830 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1661:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (PUNPKLO_PP:{ *:[nxv4i1] } ?:{ *:[nxv8i1] }:$Op1)
     /* 151830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 151833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151837 */     GIR_RootConstrainSelectedInstOperands,
     /* 151838 */     // GIR_Coverage, 3350,
     /* 151838 */     GIR_EraseRootFromParent_Done,
     /* 151839 */   // Label 2982: @151839
     /* 151839 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(151871), // Rule ID 3351 //
     /* 151844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpklo),
     /* 151852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 151855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 151858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151862 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1661:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (PUNPKLO_PP:{ *:[nxv2i1] } ?:{ *:[nxv4i1] }:$Op1)
     /* 151862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 151865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151867 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151869 */     GIR_RootConstrainSelectedInstOperands,
     /* 151870 */     // GIR_Coverage, 3351,
     /* 151870 */     GIR_EraseRootFromParent_Done,
     /* 151871 */   // Label 2983: @151871
     /* 151871 */   GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(151903), // Rule ID 3430 //
     /* 151876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SSVE_FEXPA),
     /* 151879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fexpa_x),
     /* 151884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 151887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 151890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151894 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1422:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (FEXPA_ZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i16] }:$Op1)
     /* 151894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FEXPA_ZZ_H),
     /* 151897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151899 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151901 */     GIR_RootConstrainSelectedInstOperands,
     /* 151902 */     // GIR_Coverage, 3430,
     /* 151902 */     GIR_EraseRootFromParent_Done,
     /* 151903 */   // Label 2984: @151903
     /* 151903 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(151935), // Rule ID 3431 //
     /* 151908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SSVE_FEXPA),
     /* 151911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fexpa_x),
     /* 151916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 151919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 151922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151926 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1422:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (FEXPA_ZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i32] }:$Op1)
     /* 151926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FEXPA_ZZ_S),
     /* 151929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151931 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151933 */     GIR_RootConstrainSelectedInstOperands,
     /* 151934 */     // GIR_Coverage, 3431,
     /* 151934 */     GIR_EraseRootFromParent_Done,
     /* 151935 */   // Label 2985: @151935
     /* 151935 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(151967), // Rule ID 3432 //
     /* 151940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SSVE_FEXPA),
     /* 151943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fexpa_x),
     /* 151948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 151951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 151954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151958 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1422:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (FEXPA_ZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i64] }:$Op1)
     /* 151958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FEXPA_ZZ_D),
     /* 151961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151963 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151965 */     GIR_RootConstrainSelectedInstOperands,
     /* 151966 */     // GIR_Coverage, 3432,
     /* 151966 */     GIR_EraseRootFromParent_Done,
     /* 151967 */   // Label 2986: @151967
     /* 151967 */   GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(151999), // Rule ID 3458 //
     /* 151972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 151975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aesmc),
     /* 151980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 151983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 151986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151990 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1261:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (AESMC_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1)
     /* 151990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESMC_ZZ_B),
     /* 151993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 151995 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151997 */     GIR_RootConstrainSelectedInstOperands,
     /* 151998 */     // GIR_Coverage, 3458,
     /* 151998 */     GIR_EraseRootFromParent_Done,
     /* 151999 */   // Label 2987: @151999
     /* 151999 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(152031), // Rule ID 4625 //
     /* 152004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 152007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 152018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 152022 */     // (intrinsic_wo_chain:{ *:[i32] } 592:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } ?:{ *:[f16] }:$Rn)
     /* 152022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /* 152025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152029 */     GIR_RootConstrainSelectedInstOperands,
     /* 152030 */     // GIR_Coverage, 4625,
     /* 152030 */     GIR_EraseRootFromParent_Done,
     /* 152031 */   // Label 2988: @152031
     /* 152031 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(152063), // Rule ID 4626 //
     /* 152036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 152039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 152047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 152050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 152054 */     // (intrinsic_wo_chain:{ *:[i64] } 592:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } ?:{ *:[f16] }:$Rn)
     /* 152054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /* 152057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152059 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152061 */     GIR_RootConstrainSelectedInstOperands,
     /* 152062 */     // GIR_Coverage, 4626,
     /* 152062 */     GIR_EraseRootFromParent_Done,
     /* 152063 */   // Label 2989: @152063
     /* 152063 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(152092), // Rule ID 4627 //
     /* 152068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 152083 */     // (intrinsic_wo_chain:{ *:[i32] } 592:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } ?:{ *:[f32] }:$Rn)
     /* 152083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 152086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152090 */     GIR_RootConstrainSelectedInstOperands,
     /* 152091 */     // GIR_Coverage, 4627,
     /* 152091 */     GIR_EraseRootFromParent_Done,
     /* 152092 */   // Label 2990: @152092
     /* 152092 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(152121), // Rule ID 4628 //
     /* 152097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 152105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 152112 */     // (intrinsic_wo_chain:{ *:[i64] } 592:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } ?:{ *:[f32] }:$Rn)
     /* 152112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 152115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152117 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152119 */     GIR_RootConstrainSelectedInstOperands,
     /* 152120 */     // GIR_Coverage, 4628,
     /* 152120 */     GIR_EraseRootFromParent_Done,
     /* 152121 */   // Label 2991: @152121
     /* 152121 */   GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(152150), // Rule ID 4629 //
     /* 152126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 152137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 152141 */     // (intrinsic_wo_chain:{ *:[i32] } 592:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } ?:{ *:[f64] }:$Rn)
     /* 152141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 152144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152148 */     GIR_RootConstrainSelectedInstOperands,
     /* 152149 */     // GIR_Coverage, 4629,
     /* 152149 */     GIR_EraseRootFromParent_Done,
     /* 152150 */   // Label 2992: @152150
     /* 152150 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(152179), // Rule ID 4630 //
     /* 152155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 152163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 152166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 152170 */     // (intrinsic_wo_chain:{ *:[i64] } 592:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } ?:{ *:[f64] }:$Rn)
     /* 152170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 152173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152177 */     GIR_RootConstrainSelectedInstOperands,
     /* 152178 */     // GIR_Coverage, 4630,
     /* 152178 */     GIR_EraseRootFromParent_Done,
     /* 152179 */   // Label 2993: @152179
     /* 152179 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(152211), // Rule ID 4637 //
     /* 152184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 152187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 152198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 152202 */     // (intrinsic_wo_chain:{ *:[i32] } 593:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUWHr:{ *:[i32] } ?:{ *:[f16] }:$Rn)
     /* 152202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWHr),
     /* 152205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152207 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152209 */     GIR_RootConstrainSelectedInstOperands,
     /* 152210 */     // GIR_Coverage, 4637,
     /* 152210 */     GIR_EraseRootFromParent_Done,
     /* 152211 */   // Label 2994: @152211
     /* 152211 */   GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(152243), // Rule ID 4638 //
     /* 152216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 152219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 152227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 152230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 152234 */     // (intrinsic_wo_chain:{ *:[i64] } 593:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUXHr:{ *:[i64] } ?:{ *:[f16] }:$Rn)
     /* 152234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXHr),
     /* 152237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152241 */     GIR_RootConstrainSelectedInstOperands,
     /* 152242 */     // GIR_Coverage, 4638,
     /* 152242 */     GIR_EraseRootFromParent_Done,
     /* 152243 */   // Label 2995: @152243
     /* 152243 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(152272), // Rule ID 4639 //
     /* 152248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 152263 */     // (intrinsic_wo_chain:{ *:[i32] } 593:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUWSr:{ *:[i32] } ?:{ *:[f32] }:$Rn)
     /* 152263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 152266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152270 */     GIR_RootConstrainSelectedInstOperands,
     /* 152271 */     // GIR_Coverage, 4639,
     /* 152271 */     GIR_EraseRootFromParent_Done,
     /* 152272 */   // Label 2996: @152272
     /* 152272 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(152301), // Rule ID 4640 //
     /* 152277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 152285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 152292 */     // (intrinsic_wo_chain:{ *:[i64] } 593:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUXSr:{ *:[i64] } ?:{ *:[f32] }:$Rn)
     /* 152292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 152295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152297 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152299 */     GIR_RootConstrainSelectedInstOperands,
     /* 152300 */     // GIR_Coverage, 4640,
     /* 152300 */     GIR_EraseRootFromParent_Done,
     /* 152301 */   // Label 2997: @152301
     /* 152301 */   GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(152330), // Rule ID 4641 //
     /* 152306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 152317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 152321 */     // (intrinsic_wo_chain:{ *:[i32] } 593:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUWDr:{ *:[i32] } ?:{ *:[f64] }:$Rn)
     /* 152321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 152324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152326 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152328 */     GIR_RootConstrainSelectedInstOperands,
     /* 152329 */     // GIR_Coverage, 4641,
     /* 152329 */     GIR_EraseRootFromParent_Done,
     /* 152330 */   // Label 2998: @152330
     /* 152330 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(152359), // Rule ID 4642 //
     /* 152335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 152343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 152346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 152350 */     // (intrinsic_wo_chain:{ *:[i64] } 593:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUXDr:{ *:[i64] } ?:{ *:[f64] }:$Rn)
     /* 152350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 152353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152355 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152357 */     GIR_RootConstrainSelectedInstOperands,
     /* 152358 */     // GIR_Coverage, 4642,
     /* 152358 */     GIR_EraseRootFromParent_Done,
     /* 152359 */   // Label 2999: @152359
     /* 152359 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(152388), // Rule ID 4937 //
     /* 152364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 152372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 152375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152379 */     // (intrinsic_wo_chain:{ *:[v4i16] } 592:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZSv4f16:{ *:[v4i16] } ?:{ *:[v4f16] }:$Rn)
     /* 152379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f16),
     /* 152382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152384 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152386 */     GIR_RootConstrainSelectedInstOperands,
     /* 152387 */     // GIR_Coverage, 4937,
     /* 152387 */     GIR_EraseRootFromParent_Done,
     /* 152388 */   // Label 3000: @152388
     /* 152388 */   GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(152417), // Rule ID 4938 //
     /* 152393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 152401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 152404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152408 */     // (intrinsic_wo_chain:{ *:[v8i16] } 592:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZSv8f16:{ *:[v8i16] } ?:{ *:[v8f16] }:$Rn)
     /* 152408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8f16),
     /* 152411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152415 */     GIR_RootConstrainSelectedInstOperands,
     /* 152416 */     // GIR_Coverage, 4938,
     /* 152416 */     GIR_EraseRootFromParent_Done,
     /* 152417 */   // Label 3001: @152417
     /* 152417 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(152446), // Rule ID 4939 //
     /* 152422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 152430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 152433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152437 */     // (intrinsic_wo_chain:{ *:[v2i32] } 592:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZSv2f32:{ *:[v2i32] } ?:{ *:[v2f32] }:$Rn)
     /* 152437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f32),
     /* 152440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152442 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152444 */     GIR_RootConstrainSelectedInstOperands,
     /* 152445 */     // GIR_Coverage, 4939,
     /* 152445 */     GIR_EraseRootFromParent_Done,
     /* 152446 */   // Label 3002: @152446
     /* 152446 */   GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(152475), // Rule ID 4940 //
     /* 152451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 152459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 152462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152466 */     // (intrinsic_wo_chain:{ *:[v4i32] } 592:{ *:[iPTR] }, v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZSv4f32:{ *:[v4i32] } ?:{ *:[v4f32] }:$Rn)
     /* 152466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f32),
     /* 152469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152471 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152473 */     GIR_RootConstrainSelectedInstOperands,
     /* 152474 */     // GIR_Coverage, 4940,
     /* 152474 */     GIR_EraseRootFromParent_Done,
     /* 152475 */   // Label 3003: @152475
     /* 152475 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(152504), // Rule ID 4941 //
     /* 152480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 152488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 152491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152495 */     // (intrinsic_wo_chain:{ *:[v2i64] } 592:{ *:[iPTR] }, v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZSv2f64:{ *:[v2i64] } ?:{ *:[v2f64] }:$Rn)
     /* 152495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 152498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152502 */     GIR_RootConstrainSelectedInstOperands,
     /* 152503 */     // GIR_Coverage, 4941,
     /* 152503 */     GIR_EraseRootFromParent_Done,
     /* 152504 */   // Label 3004: @152504
     /* 152504 */   GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(152533), // Rule ID 4942 //
     /* 152509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 152517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 152520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152524 */     // (intrinsic_wo_chain:{ *:[v4i16] } 593:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZUv4f16:{ *:[v4i16] } ?:{ *:[v4f16] }:$Rn)
     /* 152524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f16),
     /* 152527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152531 */     GIR_RootConstrainSelectedInstOperands,
     /* 152532 */     // GIR_Coverage, 4942,
     /* 152532 */     GIR_EraseRootFromParent_Done,
     /* 152533 */   // Label 3005: @152533
     /* 152533 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(152562), // Rule ID 4943 //
     /* 152538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 152546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 152549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152553 */     // (intrinsic_wo_chain:{ *:[v8i16] } 593:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZUv8f16:{ *:[v8i16] } ?:{ *:[v8f16] }:$Rn)
     /* 152553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8f16),
     /* 152556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152560 */     GIR_RootConstrainSelectedInstOperands,
     /* 152561 */     // GIR_Coverage, 4943,
     /* 152561 */     GIR_EraseRootFromParent_Done,
     /* 152562 */   // Label 3006: @152562
     /* 152562 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(152591), // Rule ID 4944 //
     /* 152567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 152575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 152578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152582 */     // (intrinsic_wo_chain:{ *:[v2i32] } 593:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZUv2f32:{ *:[v2i32] } ?:{ *:[v2f32] }:$Rn)
     /* 152582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f32),
     /* 152585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152589 */     GIR_RootConstrainSelectedInstOperands,
     /* 152590 */     // GIR_Coverage, 4944,
     /* 152590 */     GIR_EraseRootFromParent_Done,
     /* 152591 */   // Label 3007: @152591
     /* 152591 */   GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(152620), // Rule ID 4945 //
     /* 152596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 152604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 152607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152611 */     // (intrinsic_wo_chain:{ *:[v4i32] } 593:{ *:[iPTR] }, v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZUv4f32:{ *:[v4i32] } ?:{ *:[v4f32] }:$Rn)
     /* 152611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f32),
     /* 152614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152618 */     GIR_RootConstrainSelectedInstOperands,
     /* 152619 */     // GIR_Coverage, 4945,
     /* 152619 */     GIR_EraseRootFromParent_Done,
     /* 152620 */   // Label 3008: @152620
     /* 152620 */   GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(152649), // Rule ID 4946 //
     /* 152625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 152633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 152636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152640 */     // (intrinsic_wo_chain:{ *:[v2i64] } 593:{ *:[iPTR] }, v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZUv2f64:{ *:[v2i64] } ?:{ *:[v2f64] }:$Rn)
     /* 152640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 152643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152647 */     GIR_RootConstrainSelectedInstOperands,
     /* 152648 */     // GIR_Coverage, 4946,
     /* 152648 */     GIR_EraseRootFromParent_Done,
     /* 152649 */   // Label 3009: @152649
     /* 152649 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(152681), // Rule ID 8393 //
     /* 152654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 152657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpkhi),
     /* 152662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 152665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 152668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 152672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1660:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (PUNPKHI_PP:{ *:[nxv8i1] } ?:{ *:[nxv16i1] }:$Op1)
     /* 152672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 152675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 152677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152679 */     GIR_RootConstrainSelectedInstOperands,
     /* 152680 */     // GIR_Coverage, 8393,
     /* 152680 */     GIR_EraseRootFromParent_Done,
     /* 152681 */   // Label 3010: @152681
     /* 152681 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(152713), // Rule ID 8394 //
     /* 152686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 152689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpkhi),
     /* 152694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 152697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 152700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 152704 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1660:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (PUNPKHI_PP:{ *:[nxv4i1] } ?:{ *:[nxv8i1] }:$Op1)
     /* 152704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 152707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 152709 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152711 */     GIR_RootConstrainSelectedInstOperands,
     /* 152712 */     // GIR_Coverage, 8394,
     /* 152712 */     GIR_EraseRootFromParent_Done,
     /* 152713 */   // Label 3011: @152713
     /* 152713 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(152745), // Rule ID 8395 //
     /* 152718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 152721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpkhi),
     /* 152726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 152729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 152732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 152736 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1660:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (PUNPKHI_PP:{ *:[nxv2i1] } ?:{ *:[nxv4i1] }:$Op1)
     /* 152736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 152739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 152741 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152743 */     GIR_RootConstrainSelectedInstOperands,
     /* 152744 */     // GIR_Coverage, 8395,
     /* 152744 */     GIR_EraseRootFromParent_Done,
     /* 152745 */   // Label 3012: @152745
     /* 152745 */   GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(152777), // Rule ID 11804 //
     /* 152750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 152753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnb),
     /* 152758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 152761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 152764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152768 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2044:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (UQXTNB_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1)
     /* 152768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNB_ZZ_B),
     /* 152771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 152773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152775 */     GIR_RootConstrainSelectedInstOperands,
     /* 152776 */     // GIR_Coverage, 11804,
     /* 152776 */     GIR_EraseRootFromParent_Done,
     /* 152777 */   // Label 3013: @152777
     /* 152777 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(152809), // Rule ID 11805 //
     /* 152782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 152785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnb),
     /* 152790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 152793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 152796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152800 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2044:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (UQXTNB_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1)
     /* 152800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNB_ZZ_H),
     /* 152803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 152805 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152807 */     GIR_RootConstrainSelectedInstOperands,
     /* 152808 */     // GIR_Coverage, 11805,
     /* 152808 */     GIR_EraseRootFromParent_Done,
     /* 152809 */   // Label 3014: @152809
     /* 152809 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(152841), // Rule ID 11806 //
     /* 152814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 152817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnb),
     /* 152822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 152825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 152828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152832 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2044:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (UQXTNB_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1)
     /* 152832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNB_ZZ_S),
     /* 152835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 152837 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152839 */     GIR_RootConstrainSelectedInstOperands,
     /* 152840 */     // GIR_Coverage, 11806,
     /* 152840 */     GIR_EraseRootFromParent_Done,
     /* 152841 */   // Label 3015: @152841
     /* 152841 */   GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(152873), // Rule ID 11807 //
     /* 152846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 152849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunb),
     /* 152854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 152857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 152860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152864 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1853:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (SQXTUNB_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1)
     /* 152864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNB_ZZ_B),
     /* 152867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 152869 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152871 */     GIR_RootConstrainSelectedInstOperands,
     /* 152872 */     // GIR_Coverage, 11807,
     /* 152872 */     GIR_EraseRootFromParent_Done,
     /* 152873 */   // Label 3016: @152873
     /* 152873 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(152905), // Rule ID 11808 //
     /* 152878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 152881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunb),
     /* 152886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 152889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 152892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1853:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (SQXTUNB_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1)
     /* 152896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNB_ZZ_H),
     /* 152899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 152901 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152903 */     GIR_RootConstrainSelectedInstOperands,
     /* 152904 */     // GIR_Coverage, 11808,
     /* 152904 */     GIR_EraseRootFromParent_Done,
     /* 152905 */   // Label 3017: @152905
     /* 152905 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(152937), // Rule ID 11809 //
     /* 152910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 152913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunb),
     /* 152918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 152921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 152924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1853:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (SQXTUNB_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1)
     /* 152928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNB_ZZ_S),
     /* 152931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 152933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152935 */     GIR_RootConstrainSelectedInstOperands,
     /* 152936 */     // GIR_Coverage, 11809,
     /* 152936 */     GIR_EraseRootFromParent_Done,
     /* 152937 */   // Label 3018: @152937
     /* 152937 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(152969), // Rule ID 11964 //
     /* 152942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 152945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aesimc),
     /* 152950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 152953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 152956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152960 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1260:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (AESIMC_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1)
     /* 152960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESIMC_ZZ_B),
     /* 152963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 152965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152967 */     GIR_RootConstrainSelectedInstOperands,
     /* 152968 */     // GIR_Coverage, 11964,
     /* 152968 */     GIR_EraseRootFromParent_Done,
     /* 152969 */   // Label 3019: @152969
     /* 152969 */   GIM_Reject,
     /* 152970 */ // Label 2700: @152970
     /* 152970 */ GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(199284),
     /* 152975 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 152978 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(153162), // Rule ID 2568 //
     /* 152983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 152991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 153000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 153016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153020 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153032 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 153035 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153040 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153044 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153048 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153053 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 153057 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153061 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153065 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 153069 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153073 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153077 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 153081 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153086 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /* 153090 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153094 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153098 */     // MIs[5] Operand 1
     /* 153098 */     // No operand predicates
     /* 153098 */     // MIs[3] Operand 2
     /* 153098 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /* 153109 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 153113 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /* 153115 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), 0:{ *:[i64] }))  =>  (SQDMLALv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 153115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 153118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 153122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 153127 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 153133 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 153138 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i32_indexed),
     /* 153146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 153153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /* 153157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/5, // idx
     /* 153160 */     GIR_RootConstrainSelectedInstOperands,
     /* 153161 */     // GIR_Coverage, 2568,
     /* 153161 */     GIR_EraseRootFromParent_Done,
     /* 153162 */   // Label 3021: @153162
     /* 153162 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(153346), // Rule ID 6273 //
     /* 153167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 153175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 153178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 153181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 153184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 153200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153216 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 153219 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153224 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153228 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153232 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153237 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 153241 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153245 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153249 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 153253 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153257 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153261 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 153265 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153270 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /* 153274 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153278 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153282 */     // MIs[5] Operand 1
     /* 153282 */     // No operand predicates
     /* 153282 */     // MIs[3] Operand 2
     /* 153282 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /* 153293 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 153297 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /* 153299 */     // (intrinsic_wo_chain:{ *:[i32] } 698:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), 0:{ *:[i64] }))  =>  (SQDMLSLv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 153299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 153302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 153306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 153311 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 153317 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 153322 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i32_indexed),
     /* 153330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 153337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /* 153341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/5, // idx
     /* 153344 */     GIR_RootConstrainSelectedInstOperands,
     /* 153345 */     // GIR_Coverage, 6273,
     /* 153345 */     GIR_EraseRootFromParent_Done,
     /* 153346 */   // Label 3022: @153346
     /* 153346 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(153486), // Rule ID 2057 //
     /* 153351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 153359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 153362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 153365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 153368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153384 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153387 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153396 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153412 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153416 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153420 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153424 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153428 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153433 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153437 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153441 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153445 */     // MIs[4] Operand 1
     /* 153445 */     // No operand predicates
     /* 153445 */     // MIs[2] Operand 2
     /* 153445 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 153456 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153458 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 153465 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SQDMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv8i16_indexed),
     /* 153468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 153477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153484 */     GIR_RootConstrainSelectedInstOperands,
     /* 153485 */     // GIR_Coverage, 2057,
     /* 153485 */     GIR_EraseRootFromParent_Done,
     /* 153486 */   // Label 3023: @153486
     /* 153486 */   GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(153626), // Rule ID 2064 //
     /* 153491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 153499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 153502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 153505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 153508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153524 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153527 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153536 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153552 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153556 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153560 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153564 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153568 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153573 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153577 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153581 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153585 */     // MIs[4] Operand 1
     /* 153585 */     // No operand predicates
     /* 153585 */     // MIs[2] Operand 2
     /* 153585 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 153596 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153598 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 153605 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SQDMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv8i16_indexed),
     /* 153608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 153617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153624 */     GIR_RootConstrainSelectedInstOperands,
     /* 153625 */     // GIR_Coverage, 2064,
     /* 153625 */     GIR_EraseRootFromParent_Done,
     /* 153626 */   // Label 3024: @153626
     /* 153626 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(153766), // Rule ID 2060 //
     /* 153631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 153639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 153642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 153645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 153648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153664 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153667 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 153676 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 153680 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153684 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153688 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153692 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153696 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 153700 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153704 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153708 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153713 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153717 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153721 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 153725 */     // MIs[4] Operand 1
     /* 153725 */     // No operand predicates
     /* 153725 */     // MIs[2] Operand 2
     /* 153725 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 153736 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153738 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 153745 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SQDMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i32_indexed),
     /* 153748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 153757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153764 */     GIR_RootConstrainSelectedInstOperands,
     /* 153765 */     // GIR_Coverage, 2060,
     /* 153765 */     GIR_EraseRootFromParent_Done,
     /* 153766 */   // Label 3025: @153766
     /* 153766 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(153906), // Rule ID 2067 //
     /* 153771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 153779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 153782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 153785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 153788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153804 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153807 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 153816 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 153820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 153840 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153844 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153848 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153853 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153857 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153861 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 153865 */     // MIs[4] Operand 1
     /* 153865 */     // No operand predicates
     /* 153865 */     // MIs[2] Operand 2
     /* 153865 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 153876 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153878 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 153885 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SQDMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i32_indexed),
     /* 153888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 153897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153904 */     GIR_RootConstrainSelectedInstOperands,
     /* 153905 */     // GIR_Coverage, 2067,
     /* 153905 */     GIR_EraseRootFromParent_Done,
     /* 153906 */   // Label 3026: @153906
     /* 153906 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(154043), // Rule ID 2055 //
     /* 153911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 153919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 153922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 153925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 153928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153944 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153947 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153956 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153973 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153977 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153981 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153985 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153989 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153993 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153998 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 154002 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154006 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 154010 */     // MIs[4] Operand 1
     /* 154010 */     // No operand predicates
     /* 154010 */     // MIs[2] Operand 2
     /* 154010 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 154021 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 154023 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i16_indexed),
     /* 154026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 154034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 154038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 154041 */     GIR_RootConstrainSelectedInstOperands,
     /* 154042 */     // GIR_Coverage, 2055,
     /* 154042 */     GIR_EraseRootFromParent_Done,
     /* 154043 */   // Label 3027: @154043
     /* 154043 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(154180), // Rule ID 2062 //
     /* 154048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 154056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 154059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 154062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 154065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154081 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 154084 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 154093 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 154097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 154106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154114 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 154118 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 154122 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154126 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 154130 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 154135 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 154139 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154143 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 154147 */     // MIs[4] Operand 1
     /* 154147 */     // No operand predicates
     /* 154147 */     // MIs[2] Operand 2
     /* 154147 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 154158 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 154160 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i16_indexed),
     /* 154163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154165 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 154171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 154175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 154178 */     GIR_RootConstrainSelectedInstOperands,
     /* 154179 */     // GIR_Coverage, 2062,
     /* 154179 */     GIR_EraseRootFromParent_Done,
     /* 154180 */   // Label 3028: @154180
     /* 154180 */   GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(154317), // Rule ID 2058 //
     /* 154185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 154193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 154196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 154199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 154202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154218 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 154221 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154230 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154239 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 154243 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154247 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154251 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 154255 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154259 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154263 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 154267 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154272 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 154276 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154280 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154284 */     // MIs[4] Operand 1
     /* 154284 */     // No operand predicates
     /* 154284 */     // MIs[2] Operand 2
     /* 154284 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 154295 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 154297 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv2i32_indexed),
     /* 154300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 154308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 154312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 154315 */     GIR_RootConstrainSelectedInstOperands,
     /* 154316 */     // GIR_Coverage, 2058,
     /* 154316 */     GIR_EraseRootFromParent_Done,
     /* 154317 */   // Label 3029: @154317
     /* 154317 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(154454), // Rule ID 2065 //
     /* 154322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 154330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 154333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 154336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 154339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154355 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 154358 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154367 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 154380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154388 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 154392 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154396 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154400 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 154404 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154409 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 154413 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154417 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154421 */     // MIs[4] Operand 1
     /* 154421 */     // No operand predicates
     /* 154421 */     // MIs[2] Operand 2
     /* 154421 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 154432 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 154434 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv2i32_indexed),
     /* 154437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154439 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 154445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 154449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 154452 */     GIR_RootConstrainSelectedInstOperands,
     /* 154453 */     // GIR_Coverage, 2065,
     /* 154453 */     GIR_EraseRootFromParent_Done,
     /* 154454 */   // Label 3030: @154454
     /* 154454 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(154615), // Rule ID 2569 //
     /* 154459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 154467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 154470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 154473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 154476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 154492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154496 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 154504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154508 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 154511 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154516 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 154520 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 154524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154529 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 154533 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 154537 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154541 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 154545 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 154550 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 154554 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154558 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 154562 */     // MIs[4] Operand 1
     /* 154562 */     // No operand predicates
     /* 154562 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 154566 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 154568 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), 0:{ *:[i64] }))  =>  (SQDMLALv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 154568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 154571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 154575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 154580 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 154586 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 154591 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i32_indexed),
     /* 154599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154601 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 154606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 154610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 154613 */     GIR_RootConstrainSelectedInstOperands,
     /* 154614 */     // GIR_Coverage, 2569,
     /* 154614 */     GIR_EraseRootFromParent_Done,
     /* 154615 */   // Label 3031: @154615
     /* 154615 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(154776), // Rule ID 6274 //
     /* 154620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 154628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 154631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 154634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 154637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 154653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 154665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154669 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 154672 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154677 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 154681 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 154685 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154690 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 154694 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 154698 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154702 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 154706 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 154711 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 154715 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154719 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 154723 */     // MIs[4] Operand 1
     /* 154723 */     // No operand predicates
     /* 154723 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 154727 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 154729 */     // (intrinsic_wo_chain:{ *:[i32] } 698:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), 0:{ *:[i64] }))  =>  (SQDMLSLv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 154729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 154732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 154736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 154741 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 154747 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 154752 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i32_indexed),
     /* 154760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 154767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 154771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 154774 */     GIR_RootConstrainSelectedInstOperands,
     /* 154775 */     // GIR_Coverage, 6274,
     /* 154775 */     GIR_EraseRootFromParent_Done,
     /* 154776 */   // Label 3032: @154776
     /* 154776 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(154886), // Rule ID 2085 //
     /* 154781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 154792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 154795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 154798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 154818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 154822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154826 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 154830 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 154835 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 154839 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154843 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 154847 */     // MIs[3] Operand 1
     /* 154847 */     // No operand predicates
     /* 154847 */     // MIs[1] Operand 2
     /* 154847 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 154858 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 154860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 154867 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }))  =>  (SQDMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv8i16_indexed),
     /* 154870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 154877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 154881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 154884 */     GIR_RootConstrainSelectedInstOperands,
     /* 154885 */     // GIR_Coverage, 2085,
     /* 154885 */     GIR_EraseRootFromParent_Done,
     /* 154886 */   // Label 3033: @154886
     /* 154886 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(154996), // Rule ID 2088 //
     /* 154891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 154902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 154928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154936 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 154940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154945 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 154949 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154953 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154957 */     // MIs[3] Operand 1
     /* 154957 */     // No operand predicates
     /* 154957 */     // MIs[1] Operand 2
     /* 154957 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 154968 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 154970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 154977 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }))  =>  (SQDMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i32_indexed),
     /* 154980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 154987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 154991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 154994 */     GIR_RootConstrainSelectedInstOperands,
     /* 154995 */     // GIR_Coverage, 2088,
     /* 154995 */     GIR_EraseRootFromParent_Done,
     /* 154996 */   // Label 3034: @154996
     /* 154996 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(155085), // Rule ID 1743 //
     /* 155001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 155009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 155012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 155015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 155018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 155034 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 155037 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 155042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 155046 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 155050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155052 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 155059 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 155066 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SQDMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 155066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv8i16_v4i32),
     /* 155069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155071 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 155078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 155083 */     GIR_RootConstrainSelectedInstOperands,
     /* 155084 */     // GIR_Coverage, 1743,
     /* 155084 */     GIR_EraseRootFromParent_Done,
     /* 155085 */   // Label 3035: @155085
     /* 155085 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(155174), // Rule ID 1745 //
     /* 155090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 155098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 155101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 155104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 155107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 155123 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 155126 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 155131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 155135 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 155139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155141 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 155148 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 155155 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SQDMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 155155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i32_v2i64),
     /* 155158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 155167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 155172 */     GIR_RootConstrainSelectedInstOperands,
     /* 155173 */     // GIR_Coverage, 1745,
     /* 155173 */     GIR_EraseRootFromParent_Done,
     /* 155174 */   // Label 3036: @155174
     /* 155174 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(155263), // Rule ID 1747 //
     /* 155179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 155187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 155190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 155193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 155196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 155212 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 155215 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 155220 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 155224 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 155228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155230 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 155237 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 155244 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SQDMLSLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 155244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv8i16_v4i32),
     /* 155247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155249 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 155256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 155261 */     GIR_RootConstrainSelectedInstOperands,
     /* 155262 */     // GIR_Coverage, 1747,
     /* 155262 */     GIR_EraseRootFromParent_Done,
     /* 155263 */   // Label 3037: @155263
     /* 155263 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(155352), // Rule ID 1749 //
     /* 155268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 155276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 155279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 155282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 155285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 155301 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 155304 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 155309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 155313 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 155317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155319 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 155326 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 155333 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SQDMLSLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 155333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i32_v2i64),
     /* 155336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 155345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 155350 */     GIR_RootConstrainSelectedInstOperands,
     /* 155351 */     // GIR_Coverage, 1749,
     /* 155351 */     GIR_EraseRootFromParent_Done,
     /* 155352 */   // Label 3038: @155352
     /* 155352 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(155474), // Rule ID 6925 //
     /* 155357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 155362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 155365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 155368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 155371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155392 */     // MIs[1] Operand 2
     /* 155392 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 155403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155411 */     // MIs[2] Rn
     /* 155411 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 155416 */     // MIs[2] Operand 2
     /* 155416 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 155427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155429 */     // (intrinsic_wo_chain:{ *:[v2i32] } 570:{ *:[iPTR] }, (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (ADDPv4i32:{ *:[f128] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /* 155429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 155432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /* 155436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155441 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155456 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 155463 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155468 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155473 */     // GIR_Coverage, 6925,
     /* 155473 */     GIR_EraseRootFromParent_Done,
     /* 155474 */   // Label 3039: @155474
     /* 155474 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(155596), // Rule ID 6927 //
     /* 155479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 155484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 155487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 155490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 155493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 155509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155514 */     // MIs[1] Operand 2
     /* 155514 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 155525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155533 */     // MIs[2] Rn
     /* 155533 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 155538 */     // MIs[2] Operand 2
     /* 155538 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 155549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155551 */     // (intrinsic_wo_chain:{ *:[v4i16] } 570:{ *:[iPTR] }, (extract_subvector:{ *:[v4i16] } FPR128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } FPR128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (ADDPv8i16:{ *:[f128] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rn), dsub:{ *:[i32] })
     /* 155551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 155554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /* 155558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155567 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155578 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 155585 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155590 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155595 */     // GIR_Coverage, 6927,
     /* 155595 */     GIR_EraseRootFromParent_Done,
     /* 155596 */   // Label 3040: @155596
     /* 155596 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(155718), // Rule ID 6929 //
     /* 155601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 155606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 155609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 155612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 155615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 155631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155636 */     // MIs[1] Operand 2
     /* 155636 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 155647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155655 */     // MIs[2] Rn
     /* 155655 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 155660 */     // MIs[2] Operand 2
     /* 155660 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /* 155671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155673 */     // (intrinsic_wo_chain:{ *:[v8i8] } 570:{ *:[iPTR] }, (extract_subvector:{ *:[v8i8] } FPR128:{ *:[v16i8] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v8i8] } FPR128:{ *:[v16i8] }:$Rn, 8:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (ADDPv16i8:{ *:[f128] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rn), dsub:{ *:[i32] })
     /* 155673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 155676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /* 155680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155700 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 155707 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155712 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155717 */     // GIR_Coverage, 6929,
     /* 155717 */     GIR_EraseRootFromParent_Done,
     /* 155718 */   // Label 3041: @155718
     /* 155718 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(155840), // Rule ID 6931 //
     /* 155723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 155728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 155731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 155734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 155737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155758 */     // MIs[1] Operand 2
     /* 155758 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 155769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155777 */     // MIs[2] Rn
     /* 155777 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 155782 */     // MIs[2] Operand 2
     /* 155782 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 155793 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155795 */     // (intrinsic_wo_chain:{ *:[v2f32] } 579:{ *:[iPTR] }, (extract_subvector:{ *:[v2f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2f32] } FPR128:{ *:[v4f32] }:$Rn, 2:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (FADDPv4f32:{ *:[f128] } ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rn), dsub:{ *:[i32] })
     /* 155795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 155798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 155802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155807 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155811 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155822 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 155829 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155834 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155839 */     // GIR_Coverage, 6931,
     /* 155839 */     GIR_EraseRootFromParent_Done,
     /* 155840 */   // Label 3042: @155840
     /* 155840 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(155962), // Rule ID 6933 //
     /* 155845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 155850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 155853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 155856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 155859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 155875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155880 */     // MIs[1] Operand 2
     /* 155880 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 155891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155899 */     // MIs[2] Rn
     /* 155899 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 155904 */     // MIs[2] Operand 2
     /* 155904 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 155915 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155917 */     // (intrinsic_wo_chain:{ *:[v4f16] } 579:{ *:[iPTR] }, (extract_subvector:{ *:[v4f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4f16] } FPR128:{ *:[v8f16] }:$Rn, 4:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (FADDPv8f16:{ *:[f128] } ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rn), dsub:{ *:[i32] })
     /* 155917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 155920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 155924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155929 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155944 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 155951 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155956 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155961 */     // GIR_Coverage, 6933,
     /* 155961 */     GIR_EraseRootFromParent_Done,
     /* 155962 */   // Label 3043: @155962
     /* 155962 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(156145), // Rule ID 2567 //
     /* 155967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 155975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 155978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 155981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156008 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156012 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 156016 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 156019 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 156024 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 156028 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 156032 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156042 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 156046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156048 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (SQDMLALv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v4i16] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 156048 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 156051 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 156055 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 156062 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 156065 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 156069 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156074 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 156077 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /* 156081 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 156084 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156089 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156094 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 156102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156111 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 156117 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156122 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i32_indexed),
     /* 156130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156132 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 156134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 156140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156143 */     GIR_RootConstrainSelectedInstOperands,
     /* 156144 */     // GIR_Coverage, 2567,
     /* 156144 */     GIR_EraseRootFromParent_Done,
     /* 156145 */   // Label 3044: @156145
     /* 156145 */   GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(156328), // Rule ID 6272 //
     /* 156150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 156158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 156161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 156164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 156199 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 156202 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 156207 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 156211 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 156215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156225 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 156229 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156231 */     // (intrinsic_wo_chain:{ *:[i32] } 698:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (SQDMLSLv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v4i16] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 156231 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 156234 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 156238 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 156245 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 156248 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 156252 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156257 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 156260 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /* 156264 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 156267 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156272 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156277 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 156285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156294 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 156300 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156305 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i32_indexed),
     /* 156313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 156317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 156323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156326 */     GIR_RootConstrainSelectedInstOperands,
     /* 156327 */     // GIR_Coverage, 6272,
     /* 156327 */     GIR_EraseRootFromParent_Done,
     /* 156328 */   // Label 3045: @156328
     /* 156328 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(156432), // Rule ID 13429 //
     /* 156333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 156336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 156344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 156347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 156350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 156362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 156374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156378 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 156387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156395 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 156399 */     // MIs[3] Operand 1
     /* 156399 */     // No operand predicates
     /* 156399 */     // MIs[1] Operand 2
     /* 156399 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 156410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156414 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156416 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4f16] }:$Rn)  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 156416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 156419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156421 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 156423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156430 */     GIR_RootConstrainSelectedInstOperands,
     /* 156431 */     // GIR_Coverage, 13429,
     /* 156431 */     GIR_EraseRootFromParent_Done,
     /* 156432 */   // Label 3046: @156432
     /* 156432 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(156536), // Rule ID 13432 //
     /* 156437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 156448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 156451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 156454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 156466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 156478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156482 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156491 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156495 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156499 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 156503 */     // MIs[3] Operand 1
     /* 156503 */     // No operand predicates
     /* 156503 */     // MIs[1] Operand 2
     /* 156503 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 156514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156518 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156520 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2f32] }:$Rn)  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 156520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 156523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156525 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 156527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156534 */     GIR_RootConstrainSelectedInstOperands,
     /* 156535 */     // GIR_Coverage, 13432,
     /* 156535 */     GIR_EraseRootFromParent_Done,
     /* 156536 */   // Label 3047: @156536
     /* 156536 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(156667), // Rule ID 2524 //
     /* 156541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 156544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 156552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 156555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 156558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156583 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 156587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 156591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156599 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156603 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156608 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156612 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156616 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 156620 */     // MIs[3] Operand 1
     /* 156620 */     // No operand predicates
     /* 156620 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156622 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 156622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 156625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156634 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 156640 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156645 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 156653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156665 */     GIR_RootConstrainSelectedInstOperands,
     /* 156666 */     // GIR_Coverage, 2524,
     /* 156666 */     GIR_EraseRootFromParent_Done,
     /* 156667 */   // Label 3048: @156667
     /* 156667 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(156798), // Rule ID 2525 //
     /* 156672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 156683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 156686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156714 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 156718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 156722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156730 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156739 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156743 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156747 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 156751 */     // MIs[3] Operand 1
     /* 156751 */     // No operand predicates
     /* 156751 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156753 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 156753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 156756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156765 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 156771 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156776 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 156784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156796 */     GIR_RootConstrainSelectedInstOperands,
     /* 156797 */     // GIR_Coverage, 2525,
     /* 156797 */     GIR_EraseRootFromParent_Done,
     /* 156798 */   // Label 3049: @156798
     /* 156798 */   GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(156929), // Rule ID 2526 //
     /* 156803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 156820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 156836 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156845 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 156849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 156853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 156861 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156865 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156870 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156874 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156878 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 156882 */     // MIs[3] Operand 1
     /* 156882 */     // No operand predicates
     /* 156882 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156884 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULXv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 156884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 156887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156896 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 156902 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156907 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 156915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156927 */     GIR_RootConstrainSelectedInstOperands,
     /* 156928 */     // GIR_Coverage, 2526,
     /* 156928 */     GIR_EraseRootFromParent_Done,
     /* 156929 */   // Label 3050: @156929
     /* 156929 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(157060), // Rule ID 13615 //
     /* 156934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 156937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 156945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 156948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 156951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 156980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156984 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 156988 */     // MIs[2] Operand 1
     /* 156988 */     // No operand predicates
     /* 156988 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 156992 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156996 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157000 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 157004 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157009 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 157013 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157015 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FMULXv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 157015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 157018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 157022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157027 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 157033 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157038 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 157046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 157051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 157055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 157058 */     GIR_RootConstrainSelectedInstOperands,
     /* 157059 */     // GIR_Coverage, 13615,
     /* 157059 */     GIR_EraseRootFromParent_Done,
     /* 157060 */   // Label 3051: @157060
     /* 157060 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(157191), // Rule ID 13616 //
     /* 157065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 157073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 157076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 157079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 157082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 157094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157098 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 157102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 157111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157115 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157119 */     // MIs[2] Operand 1
     /* 157119 */     // No operand predicates
     /* 157119 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 157123 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 157127 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157131 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 157135 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157140 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 157144 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157146 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FMULXv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 157146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 157149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 157153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157158 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 157164 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157169 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 157177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 157182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 157186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 157189 */     GIR_RootConstrainSelectedInstOperands,
     /* 157190 */     // GIR_Coverage, 13616,
     /* 157190 */     GIR_EraseRootFromParent_Done,
     /* 157191 */   // Label 3052: @157191
     /* 157191 */   GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(157322), // Rule ID 13617 //
     /* 157196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 157204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 157207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 157210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 157213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 157225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 157229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 157233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 157242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157246 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 157250 */     // MIs[2] Operand 1
     /* 157250 */     // No operand predicates
     /* 157250 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 157254 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 157258 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 157262 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 157266 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157271 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 157275 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157277 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FMULXv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 157277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 157280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 157284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157289 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 157295 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157300 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 157308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 157313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 157317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 157320 */     GIR_RootConstrainSelectedInstOperands,
     /* 157321 */     // GIR_Coverage, 13617,
     /* 157321 */     GIR_EraseRootFromParent_Done,
     /* 157322 */   // Label 3053: @157322
     /* 157322 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(157436), // Rule ID 2056 //
     /* 157327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 157335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 157338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 157341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 157344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 157360 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 157363 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 157368 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 157372 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 157376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 157385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 157389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157393 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 157402 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157406 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157410 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 157414 */     // MIs[3] Operand 1
     /* 157414 */     // No operand predicates
     /* 157414 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157416 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SQDMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i16_indexed),
     /* 157419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157421 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157434 */     GIR_RootConstrainSelectedInstOperands,
     /* 157435 */     // GIR_Coverage, 2056,
     /* 157435 */     GIR_EraseRootFromParent_Done,
     /* 157436 */   // Label 3054: @157436
     /* 157436 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(157550), // Rule ID 2063 //
     /* 157441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 157449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 157452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 157455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 157458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 157474 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 157477 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 157482 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 157486 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 157490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 157499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 157503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157507 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 157516 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157520 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157524 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 157528 */     // MIs[3] Operand 1
     /* 157528 */     // No operand predicates
     /* 157528 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157530 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SQDMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i16_indexed),
     /* 157533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157548 */     GIR_RootConstrainSelectedInstOperands,
     /* 157549 */     // GIR_Coverage, 2063,
     /* 157549 */     GIR_EraseRootFromParent_Done,
     /* 157550 */   // Label 3055: @157550
     /* 157550 */   GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(157664), // Rule ID 2059 //
     /* 157555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 157563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 157566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 157569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 157572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 157588 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 157591 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 157596 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 157600 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 157604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 157613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 157617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157621 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157630 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157634 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157638 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157642 */     // MIs[3] Operand 1
     /* 157642 */     // No operand predicates
     /* 157642 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157644 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv2i32_indexed),
     /* 157647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157649 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157662 */     GIR_RootConstrainSelectedInstOperands,
     /* 157663 */     // GIR_Coverage, 2059,
     /* 157663 */     GIR_EraseRootFromParent_Done,
     /* 157664 */   // Label 3056: @157664
     /* 157664 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(157778), // Rule ID 2066 //
     /* 157669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 157677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 157680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 157683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 157686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 157702 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 157705 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 157710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 157714 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 157718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 157727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 157731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157735 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157744 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157748 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157752 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157756 */     // MIs[3] Operand 1
     /* 157756 */     // No operand predicates
     /* 157756 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157758 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv2i32_indexed),
     /* 157761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157763 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157776 */     GIR_RootConstrainSelectedInstOperands,
     /* 157777 */     // GIR_Coverage, 2066,
     /* 157777 */     GIR_EraseRootFromParent_Done,
     /* 157778 */   // Label 3057: @157778
     /* 157778 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(157892), // Rule ID 2061 //
     /* 157783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 157791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 157794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 157797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 157800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 157816 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 157819 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 157824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 157828 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 157832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 157841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 157845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157849 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157858 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157862 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157866 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157870 */     // MIs[3] Operand 1
     /* 157870 */     // No operand predicates
     /* 157870 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157872 */     // (intrinsic_wo_chain:{ *:[i64] } 679:{ *:[iPTR] }, FPR64Op:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLALv1i64_indexed:{ *:[i64] } FPR64Op:{ *:[i64] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i64_indexed),
     /* 157875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157890 */     GIR_RootConstrainSelectedInstOperands,
     /* 157891 */     // GIR_Coverage, 2061,
     /* 157891 */     GIR_EraseRootFromParent_Done,
     /* 157892 */   // Label 3058: @157892
     /* 157892 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(158006), // Rule ID 2068 //
     /* 157897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 157905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 157908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 157911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 157914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 157930 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 157933 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 157938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 157942 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 157946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 157955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 157959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157963 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157980 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157984 */     // MIs[3] Operand 1
     /* 157984 */     // No operand predicates
     /* 157984 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157986 */     // (intrinsic_wo_chain:{ *:[i64] } 698:{ *:[iPTR] }, FPR64Op:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLSLv1i64_indexed:{ *:[i64] } FPR64Op:{ *:[i64] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i64_indexed),
     /* 157989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158004 */     GIR_RootConstrainSelectedInstOperands,
     /* 158005 */     // GIR_Coverage, 2068,
     /* 158005 */     GIR_EraseRootFromParent_Done,
     /* 158006 */   // Label 3059: @158006
     /* 158006 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(158110), // Rule ID 1987 //
     /* 158011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 158014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 158019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 158022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 158025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 158028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 158056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158060 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 158069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158077 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 158081 */     // MIs[3] Operand 1
     /* 158081 */     // No operand predicates
     /* 158081 */     // MIs[1] Operand 2
     /* 158081 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158092 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158094 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 158097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158099 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158108 */     GIR_RootConstrainSelectedInstOperands,
     /* 158109 */     // GIR_Coverage, 1987,
     /* 158109 */     GIR_EraseRootFromParent_Done,
     /* 158110 */   // Label 3060: @158110
     /* 158110 */   GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(158214), // Rule ID 2017 //
     /* 158115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 158123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 158126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 158129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 158132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 158160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158164 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 158173 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158177 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158181 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 158185 */     // MIs[3] Operand 1
     /* 158185 */     // No operand predicates
     /* 158185 */     // MIs[1] Operand 2
     /* 158185 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158196 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158198 */     // (intrinsic_wo_chain:{ *:[v4i16] } 680:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i16_indexed),
     /* 158201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158212 */     GIR_RootConstrainSelectedInstOperands,
     /* 158213 */     // GIR_Coverage, 2017,
     /* 158213 */     GIR_EraseRootFromParent_Done,
     /* 158214 */   // Label 3061: @158214
     /* 158214 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(158318), // Rule ID 2024 //
     /* 158219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 158227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 158230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 158233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 158236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 158264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158268 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 158277 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158281 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158285 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 158289 */     // MIs[3] Operand 1
     /* 158289 */     // No operand predicates
     /* 158289 */     // MIs[1] Operand 2
     /* 158289 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158300 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158302 */     // (intrinsic_wo_chain:{ *:[v4i16] } 688:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i16_indexed),
     /* 158305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158307 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158316 */     GIR_RootConstrainSelectedInstOperands,
     /* 158317 */     // GIR_Coverage, 2024,
     /* 158317 */     GIR_EraseRootFromParent_Done,
     /* 158318 */   // Label 3062: @158318
     /* 158318 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(158422), // Rule ID 2083 //
     /* 158323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 158331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 158334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 158337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 158340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 158368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158372 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 158381 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158385 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158389 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 158393 */     // MIs[3] Operand 1
     /* 158393 */     // No operand predicates
     /* 158393 */     // MIs[1] Operand 2
     /* 158393 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158404 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158406 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i16_indexed),
     /* 158409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158411 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158420 */     GIR_RootConstrainSelectedInstOperands,
     /* 158421 */     // GIR_Coverage, 2083,
     /* 158421 */     GIR_EraseRootFromParent_Done,
     /* 158422 */   // Label 3063: @158422
     /* 158422 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(158526), // Rule ID 1990 //
     /* 158427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 158435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 158438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 158441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 158444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 158472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158476 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158485 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158489 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158493 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 158497 */     // MIs[3] Operand 1
     /* 158497 */     // No operand predicates
     /* 158497 */     // MIs[1] Operand 2
     /* 158497 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158508 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158510 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 158513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158515 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158524 */     GIR_RootConstrainSelectedInstOperands,
     /* 158525 */     // GIR_Coverage, 1990,
     /* 158525 */     GIR_EraseRootFromParent_Done,
     /* 158526 */   // Label 3064: @158526
     /* 158526 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(158630), // Rule ID 2020 //
     /* 158531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 158539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 158542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 158545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 158548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 158576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158580 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158589 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158593 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158597 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 158601 */     // MIs[3] Operand 1
     /* 158601 */     // No operand predicates
     /* 158601 */     // MIs[1] Operand 2
     /* 158601 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158612 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158614 */     // (intrinsic_wo_chain:{ *:[v2i32] } 680:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv2i32_indexed),
     /* 158617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158619 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158628 */     GIR_RootConstrainSelectedInstOperands,
     /* 158629 */     // GIR_Coverage, 2020,
     /* 158629 */     GIR_EraseRootFromParent_Done,
     /* 158630 */   // Label 3065: @158630
     /* 158630 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(158734), // Rule ID 2027 //
     /* 158635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 158643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 158646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 158649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 158652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 158680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158684 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158693 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158697 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158701 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 158705 */     // MIs[3] Operand 1
     /* 158705 */     // No operand predicates
     /* 158705 */     // MIs[1] Operand 2
     /* 158705 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158716 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158718 */     // (intrinsic_wo_chain:{ *:[v2i32] } 688:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv2i32_indexed),
     /* 158721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158723 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158732 */     GIR_RootConstrainSelectedInstOperands,
     /* 158733 */     // GIR_Coverage, 2027,
     /* 158733 */     GIR_EraseRootFromParent_Done,
     /* 158734 */   // Label 3066: @158734
     /* 158734 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(158838), // Rule ID 2086 //
     /* 158739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 158747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 158750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 158753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 158756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 158784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158788 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158792 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158797 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158801 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158805 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 158809 */     // MIs[3] Operand 1
     /* 158809 */     // No operand predicates
     /* 158809 */     // MIs[1] Operand 2
     /* 158809 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158820 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158822 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv2i32_indexed),
     /* 158825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158827 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158836 */     GIR_RootConstrainSelectedInstOperands,
     /* 158837 */     // GIR_Coverage, 2086,
     /* 158837 */     GIR_EraseRootFromParent_Done,
     /* 158838 */   // Label 3067: @158838
     /* 158838 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(158895), // Rule ID 1751 //
     /* 158843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 158851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 158854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 158857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 158860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 158871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 158878 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (SQDMULLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 158878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv8i16_v4i32),
     /* 158881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 158888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 158893 */     GIR_RootConstrainSelectedInstOperands,
     /* 158894 */     // GIR_Coverage, 1751,
     /* 158894 */     GIR_EraseRootFromParent_Done,
     /* 158895 */   // Label 3068: @158895
     /* 158895 */   GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(158952), // Rule ID 1753 //
     /* 158900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 158908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 158911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 158914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 158917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 158928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 158935 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (SQDMULLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 158935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i32_v2i64),
     /* 158938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 158945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 158950 */     GIR_RootConstrainSelectedInstOperands,
     /* 158951 */     // GIR_Coverage, 1753,
     /* 158951 */     GIR_EraseRootFromParent_Done,
     /* 158952 */   // Label 3069: @158952
     /* 158952 */   GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(159062), // Rule ID 6291 //
     /* 158957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 158962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 158965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 158968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 158971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 158983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 158987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 158991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158996 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 159007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 159011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159015 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 159019 */     // MIs[2] Operand 1
     /* 159019 */     // No operand predicates
     /* 159019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 159021 */     // (intrinsic_wo_chain:{ *:[f16] } 766:{ *:[iPTR] }, (and:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, 65535:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (UCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 159021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 159024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159033 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 159039 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159044 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFh),
     /* 159052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 159060 */     GIR_RootConstrainSelectedInstOperands,
     /* 159061 */     // GIR_Coverage, 6291,
     /* 159061 */     GIR_EraseRootFromParent_Done,
     /* 159062 */   // Label 3070: @159062
     /* 159062 */   GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(159159), // Rule ID 13886 //
     /* 159067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 159070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 159078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 159081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 159084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 159100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159109 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 159113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159119 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rn)  =>  (FMULX16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 159119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 159122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159131 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 159137 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159142 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX16),
     /* 159150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159157 */     GIR_RootConstrainSelectedInstOperands,
     /* 159158 */     // GIR_Coverage, 13886,
     /* 159158 */     GIR_EraseRootFromParent_Done,
     /* 159159 */   // Label 3071: @159159
     /* 159159 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(159256), // Rule ID 13887 //
     /* 159164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 159167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 159175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 159178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 159197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159206 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 159210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159216 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rn)  =>  (FMULX32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 159216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 159219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159228 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 159234 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159239 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX32),
     /* 159247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159249 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159254 */     GIR_RootConstrainSelectedInstOperands,
     /* 159255 */     // GIR_Coverage, 13887,
     /* 159255 */     GIR_EraseRootFromParent_Done,
     /* 159256 */   // Label 3072: @159256
     /* 159256 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(159353), // Rule ID 13888 //
     /* 159261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 159264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 159272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 159275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 159278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 159294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159303 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 159307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159313 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rn)  =>  (FMULX64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 159313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 159316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159325 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 159331 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159336 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 159344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159346 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159351 */     GIR_RootConstrainSelectedInstOperands,
     /* 159352 */     // GIR_Coverage, 13888,
     /* 159352 */     GIR_EraseRootFromParent_Done,
     /* 159353 */   // Label 3073: @159353
     /* 159353 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(159436), // Rule ID 1742 //
     /* 159358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 159366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 159369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 159372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 159375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 159391 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 159394 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 159399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 159403 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 159407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159419 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SQDMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 159419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i16_v4i32),
     /* 159422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 159426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 159430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 159434 */     GIR_RootConstrainSelectedInstOperands,
     /* 159435 */     // GIR_Coverage, 1742,
     /* 159435 */     GIR_EraseRootFromParent_Done,
     /* 159436 */   // Label 3074: @159436
     /* 159436 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(159519), // Rule ID 1744 //
     /* 159441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 159449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 159452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 159455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 159458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 159474 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 159477 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 159482 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 159486 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 159490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159495 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159502 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SQDMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 159502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv2i32_v2i64),
     /* 159505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159507 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 159509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 159513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 159517 */     GIR_RootConstrainSelectedInstOperands,
     /* 159518 */     // GIR_Coverage, 1744,
     /* 159518 */     GIR_EraseRootFromParent_Done,
     /* 159519 */   // Label 3075: @159519
     /* 159519 */   GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(159602), // Rule ID 1746 //
     /* 159524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 159532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 159535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 159538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 159541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 159557 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 159560 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 159565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 159569 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 159573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159585 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SQDMLSLv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 159585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i16_v4i32),
     /* 159588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 159592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 159596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 159600 */     GIR_RootConstrainSelectedInstOperands,
     /* 159601 */     // GIR_Coverage, 1746,
     /* 159601 */     GIR_EraseRootFromParent_Done,
     /* 159602 */   // Label 3076: @159602
     /* 159602 */   GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(159685), // Rule ID 1748 //
     /* 159607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 159615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 159618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 159621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 159624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 159640 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 159643 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 159648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 159652 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 159656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159668 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SQDMLSLv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 159668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv2i32_v2i64),
     /* 159671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 159675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 159679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 159683 */     GIR_RootConstrainSelectedInstOperands,
     /* 159684 */     // GIR_Coverage, 1748,
     /* 159684 */     GIR_EraseRootFromParent_Done,
     /* 159685 */   // Label 3077: @159685
     /* 159685 */   GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(159765), // Rule ID 5237 //
     /* 159690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 159695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 159698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 159701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 159704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 159720 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 159723 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 159728 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 159732 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 159736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159748 */     // (intrinsic_wo_chain:{ *:[i64] } 679:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm))  =>  (SQDMLALi32:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 159748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALi32),
     /* 159751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 159755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 159759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 159763 */     GIR_RootConstrainSelectedInstOperands,
     /* 159764 */     // GIR_Coverage, 5237,
     /* 159764 */     GIR_EraseRootFromParent_Done,
     /* 159765 */   // Label 3078: @159765
     /* 159765 */   GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(159845), // Rule ID 5238 //
     /* 159770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 159775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 159778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 159781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 159784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 159800 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 159803 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 159808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 159812 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 159816 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159828 */     // (intrinsic_wo_chain:{ *:[i64] } 698:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm))  =>  (SQDMLSLi32:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 159828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLi32),
     /* 159831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 159835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 159839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 159843 */     GIR_RootConstrainSelectedInstOperands,
     /* 159844 */     // GIR_Coverage, 5238,
     /* 159844 */     GIR_EraseRootFromParent_Done,
     /* 159845 */   // Label 3079: @159845
     /* 159845 */   GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(159942), // Rule ID 5234 //
     /* 159850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 159853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 159861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 159864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 159867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 159887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159896 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 159900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159902 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }))  =>  (FMULX16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 159902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 159905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159914 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 159920 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159925 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX16),
     /* 159933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159940 */     GIR_RootConstrainSelectedInstOperands,
     /* 159941 */     // GIR_Coverage, 5234,
     /* 159941 */     GIR_EraseRootFromParent_Done,
     /* 159942 */   // Label 3080: @159942
     /* 159942 */   GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(160039), // Rule ID 5235 //
     /* 159947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 159950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 159958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 159961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 159984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159993 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 159997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159999 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }))  =>  (FMULX32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 159999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 160002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 160006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 160011 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 160017 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 160022 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX32),
     /* 160030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160032 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 160037 */     GIR_RootConstrainSelectedInstOperands,
     /* 160038 */     // GIR_Coverage, 5235,
     /* 160038 */     GIR_EraseRootFromParent_Done,
     /* 160039 */   // Label 3081: @160039
     /* 160039 */   GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(160136), // Rule ID 5236 //
     /* 160044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 160047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 160055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 160058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 160061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 160077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 160081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160090 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 160094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160096 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }))  =>  (FMULX64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 160096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 160099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 160103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 160108 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 160114 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160119 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 160127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 160134 */     GIR_RootConstrainSelectedInstOperands,
     /* 160135 */     // GIR_Coverage, 5236,
     /* 160135 */     GIR_EraseRootFromParent_Done,
     /* 160136 */   // Label 3082: @160136
     /* 160136 */   GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(160217), // Rule ID 13430 //
     /* 160141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 160152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 160155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 160158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160191 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160195 */     // MIs[2] Operand 1
     /* 160195 */     // No operand predicates
     /* 160195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160199 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160201 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn)  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 160204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160215 */     GIR_RootConstrainSelectedInstOperands,
     /* 160216 */     // GIR_Coverage, 13430,
     /* 160216 */     GIR_EraseRootFromParent_Done,
     /* 160217 */   // Label 3083: @160217
     /* 160217 */   GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(160298), // Rule ID 13431 //
     /* 160222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 160233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 160236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 160239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160272 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160276 */     // MIs[2] Operand 1
     /* 160276 */     // No operand predicates
     /* 160276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160282 */     // (intrinsic_wo_chain:{ *:[v8f16] } 610:{ *:[iPTR] }, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn)  =>  (FMULXv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv8i16_indexed),
     /* 160285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160287 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160296 */     GIR_RootConstrainSelectedInstOperands,
     /* 160297 */     // GIR_Coverage, 13431,
     /* 160297 */     GIR_EraseRootFromParent_Done,
     /* 160298 */   // Label 3084: @160298
     /* 160298 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(160379), // Rule ID 13433 //
     /* 160303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 160314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 160317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 160320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 160332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 160336 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160353 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 160357 */     // MIs[2] Operand 1
     /* 160357 */     // No operand predicates
     /* 160357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160363 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn)  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 160366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160377 */     GIR_RootConstrainSelectedInstOperands,
     /* 160378 */     // GIR_Coverage, 13433,
     /* 160378 */     GIR_EraseRootFromParent_Done,
     /* 160379 */   // Label 3085: @160379
     /* 160379 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(160460), // Rule ID 13434 //
     /* 160384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 160395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 160398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 160401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 160413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 160417 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160434 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 160438 */     // MIs[2] Operand 1
     /* 160438 */     // No operand predicates
     /* 160438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160444 */     // (intrinsic_wo_chain:{ *:[v4f32] } 610:{ *:[iPTR] }, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn)  =>  (FMULXv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i32_indexed),
     /* 160447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160449 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160458 */     GIR_RootConstrainSelectedInstOperands,
     /* 160459 */     // GIR_Coverage, 13434,
     /* 160459 */     GIR_EraseRootFromParent_Done,
     /* 160460 */   // Label 3086: @160460
     /* 160460 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(160541), // Rule ID 13435 //
     /* 160465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 160476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 160479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 160482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 160494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 160498 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160515 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 160519 */     // MIs[2] Operand 1
     /* 160519 */     // No operand predicates
     /* 160519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160523 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160525 */     // (intrinsic_wo_chain:{ *:[v2f64] } 610:{ *:[iPTR] }, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn)  =>  (FMULXv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i64_indexed),
     /* 160528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160530 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160539 */     GIR_RootConstrainSelectedInstOperands,
     /* 160540 */     // GIR_Coverage, 13435,
     /* 160540 */     GIR_EraseRootFromParent_Done,
     /* 160541 */   // Label 3087: @160541
     /* 160541 */   GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(160622), // Rule ID 13436 //
     /* 160546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 160557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 160560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 160563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 160567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 160575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160596 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160600 */     // MIs[2] Operand 1
     /* 160600 */     // No operand predicates
     /* 160600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 160604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160606 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16Op:{ *:[f16] }:$Rn)  =>  (FMULXv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 160609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160611 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160620 */     GIR_RootConstrainSelectedInstOperands,
     /* 160621 */     // GIR_Coverage, 13436,
     /* 160621 */     GIR_EraseRootFromParent_Done,
     /* 160622 */   // Label 3088: @160622
     /* 160622 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(160703), // Rule ID 13437 //
     /* 160627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 160638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 160641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 160648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 160656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 160660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160677 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 160681 */     // MIs[2] Operand 1
     /* 160681 */     // No operand predicates
     /* 160681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 160685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160687 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32Op:{ *:[f32] }:$Rn)  =>  (FMULXv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 160690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160692 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160701 */     GIR_RootConstrainSelectedInstOperands,
     /* 160702 */     // GIR_Coverage, 13437,
     /* 160702 */     GIR_EraseRootFromParent_Done,
     /* 160703 */   // Label 3089: @160703
     /* 160703 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(160784), // Rule ID 13438 //
     /* 160708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 160719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 160722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 160725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 160737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 160741 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160758 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 160762 */     // MIs[2] Operand 1
     /* 160762 */     // No operand predicates
     /* 160762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160768 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64Op:{ *:[f64] }:$Rn)  =>  (FMULXv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 160771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160773 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160782 */     GIR_RootConstrainSelectedInstOperands,
     /* 160783 */     // GIR_Coverage, 13438,
     /* 160783 */     GIR_EraseRootFromParent_Done,
     /* 160784 */   // Label 3090: @160784
     /* 160784 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(160890), // Rule ID 6288 //
     /* 160789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 160794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 160797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 160800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 160807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 160815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 160819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 160824 */     // MIs[1] Operand 2
     /* 160824 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 160835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 160839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160843 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 160847 */     // MIs[2] Operand 1
     /* 160847 */     // No operand predicates
     /* 160847 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160849 */     // (intrinsic_wo_chain:{ *:[f16] } 765:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 160849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 160852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 160856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 160861 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 160867 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 160872 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 160877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFh),
     /* 160880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 160885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 160888 */     GIR_RootConstrainSelectedInstOperands,
     /* 160889 */     // GIR_Coverage, 6288,
     /* 160889 */     GIR_EraseRootFromParent_Done,
     /* 160890 */   // Label 3091: @160890
     /* 160890 */   GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(160971), // Rule ID 1988 //
     /* 160895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 160906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 160909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 160912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160949 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160953 */     // MIs[2] Operand 1
     /* 160953 */     // No operand predicates
     /* 160953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160955 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 160958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160969 */     GIR_RootConstrainSelectedInstOperands,
     /* 160970 */     // GIR_Coverage, 1988,
     /* 160970 */     GIR_EraseRootFromParent_Done,
     /* 160971 */   // Label 3092: @160971
     /* 160971 */   GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(161052), // Rule ID 1989 //
     /* 160976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 160987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 160990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 160993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 161009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 161013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 161022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161030 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 161034 */     // MIs[2] Operand 1
     /* 161034 */     // No operand predicates
     /* 161034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161036 */     // (intrinsic_wo_chain:{ *:[v8f16] } 610:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv8i16_indexed),
     /* 161039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161041 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161050 */     GIR_RootConstrainSelectedInstOperands,
     /* 161051 */     // GIR_Coverage, 1989,
     /* 161051 */     GIR_EraseRootFromParent_Done,
     /* 161052 */   // Label 3093: @161052
     /* 161052 */   GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(161133), // Rule ID 2018 //
     /* 161057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 161065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 161068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 161071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 161074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 161090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 161094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 161103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161111 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 161115 */     // MIs[2] Operand 1
     /* 161115 */     // No operand predicates
     /* 161115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161117 */     // (intrinsic_wo_chain:{ *:[v4i16] } 680:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i16_indexed),
     /* 161120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161131 */     GIR_RootConstrainSelectedInstOperands,
     /* 161132 */     // GIR_Coverage, 2018,
     /* 161132 */     GIR_EraseRootFromParent_Done,
     /* 161133 */   // Label 3094: @161133
     /* 161133 */   GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(161214), // Rule ID 2019 //
     /* 161138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 161146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 161149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 161152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 161155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 161171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 161175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 161184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161192 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 161196 */     // MIs[2] Operand 1
     /* 161196 */     // No operand predicates
     /* 161196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161198 */     // (intrinsic_wo_chain:{ *:[v8i16] } 680:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQDMULHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv8i16_indexed),
     /* 161201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161212 */     GIR_RootConstrainSelectedInstOperands,
     /* 161213 */     // GIR_Coverage, 2019,
     /* 161213 */     GIR_EraseRootFromParent_Done,
     /* 161214 */   // Label 3095: @161214
     /* 161214 */   GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(161295), // Rule ID 2025 //
     /* 161219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 161227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 161230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 161233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 161236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 161252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 161256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 161265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161273 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 161277 */     // MIs[2] Operand 1
     /* 161277 */     // No operand predicates
     /* 161277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161279 */     // (intrinsic_wo_chain:{ *:[v4i16] } 688:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i16_indexed),
     /* 161282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161284 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161293 */     GIR_RootConstrainSelectedInstOperands,
     /* 161294 */     // GIR_Coverage, 2025,
     /* 161294 */     GIR_EraseRootFromParent_Done,
     /* 161295 */   // Label 3096: @161295
     /* 161295 */   GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(161376), // Rule ID 2026 //
     /* 161300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 161308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 161311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 161314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 161317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 161333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 161337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 161346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161354 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 161358 */     // MIs[2] Operand 1
     /* 161358 */     // No operand predicates
     /* 161358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161360 */     // (intrinsic_wo_chain:{ *:[v8i16] } 688:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMULHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv8i16_indexed),
     /* 161363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161374 */     GIR_RootConstrainSelectedInstOperands,
     /* 161375 */     // GIR_Coverage, 2026,
     /* 161375 */     GIR_EraseRootFromParent_Done,
     /* 161376 */   // Label 3097: @161376
     /* 161376 */   GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(161457), // Rule ID 2084 //
     /* 161381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 161389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 161392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 161395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 161398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 161414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 161418 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 161427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161435 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 161439 */     // MIs[2] Operand 1
     /* 161439 */     // No operand predicates
     /* 161439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161441 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQDMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i16_indexed),
     /* 161444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161455 */     GIR_RootConstrainSelectedInstOperands,
     /* 161456 */     // GIR_Coverage, 2084,
     /* 161456 */     GIR_EraseRootFromParent_Done,
     /* 161457 */   // Label 3098: @161457
     /* 161457 */   GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(161538), // Rule ID 1991 //
     /* 161462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 161470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 161473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 161476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 161479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161499 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161516 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161520 */     // MIs[2] Operand 1
     /* 161520 */     // No operand predicates
     /* 161520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161522 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 161525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161527 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161536 */     GIR_RootConstrainSelectedInstOperands,
     /* 161537 */     // GIR_Coverage, 1991,
     /* 161537 */     GIR_EraseRootFromParent_Done,
     /* 161538 */   // Label 3099: @161538
     /* 161538 */   GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(161619), // Rule ID 1992 //
     /* 161543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 161551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 161554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 161557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 161560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161580 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161597 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161601 */     // MIs[2] Operand 1
     /* 161601 */     // No operand predicates
     /* 161601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161603 */     // (intrinsic_wo_chain:{ *:[v4f32] } 610:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i32_indexed),
     /* 161606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161617 */     GIR_RootConstrainSelectedInstOperands,
     /* 161618 */     // GIR_Coverage, 1992,
     /* 161618 */     GIR_EraseRootFromParent_Done,
     /* 161619 */   // Label 3100: @161619
     /* 161619 */   GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(161700), // Rule ID 2021 //
     /* 161624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 161632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 161635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 161638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 161641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161678 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161682 */     // MIs[2] Operand 1
     /* 161682 */     // No operand predicates
     /* 161682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161684 */     // (intrinsic_wo_chain:{ *:[v2i32] } 680:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv2i32_indexed),
     /* 161687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161698 */     GIR_RootConstrainSelectedInstOperands,
     /* 161699 */     // GIR_Coverage, 2021,
     /* 161699 */     GIR_EraseRootFromParent_Done,
     /* 161700 */   // Label 3101: @161700
     /* 161700 */   GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(161781), // Rule ID 2022 //
     /* 161705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 161713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 161716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 161719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 161722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161759 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161763 */     // MIs[2] Operand 1
     /* 161763 */     // No operand predicates
     /* 161763 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161765 */     // (intrinsic_wo_chain:{ *:[v4i32] } 680:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i32_indexed),
     /* 161768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161779 */     GIR_RootConstrainSelectedInstOperands,
     /* 161780 */     // GIR_Coverage, 2022,
     /* 161780 */     GIR_EraseRootFromParent_Done,
     /* 161781 */   // Label 3102: @161781
     /* 161781 */   GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(161862), // Rule ID 2028 //
     /* 161786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 161794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 161797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 161800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 161803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161840 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161844 */     // MIs[2] Operand 1
     /* 161844 */     // No operand predicates
     /* 161844 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161846 */     // (intrinsic_wo_chain:{ *:[v2i32] } 688:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv2i32_indexed),
     /* 161849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161851 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161860 */     GIR_RootConstrainSelectedInstOperands,
     /* 161861 */     // GIR_Coverage, 2028,
     /* 161861 */     GIR_EraseRootFromParent_Done,
     /* 161862 */   // Label 3103: @161862
     /* 161862 */   GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(161943), // Rule ID 2029 //
     /* 161867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 161875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 161878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 161881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 161884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161921 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161925 */     // MIs[2] Operand 1
     /* 161925 */     // No operand predicates
     /* 161925 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161927 */     // (intrinsic_wo_chain:{ *:[v4i32] } 688:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMULHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i32_indexed),
     /* 161930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161941 */     GIR_RootConstrainSelectedInstOperands,
     /* 161942 */     // GIR_Coverage, 2029,
     /* 161942 */     GIR_EraseRootFromParent_Done,
     /* 161943 */   // Label 3104: @161943
     /* 161943 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(162024), // Rule ID 2087 //
     /* 161948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 161956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 161959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 161962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 161965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162002 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 162006 */     // MIs[2] Operand 1
     /* 162006 */     // No operand predicates
     /* 162006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162008 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 162008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv2i32_indexed),
     /* 162011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162013 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 162019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162022 */     GIR_RootConstrainSelectedInstOperands,
     /* 162023 */     // GIR_Coverage, 2087,
     /* 162023 */     GIR_EraseRootFromParent_Done,
     /* 162024 */   // Label 3105: @162024
     /* 162024 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(162105), // Rule ID 1993 //
     /* 162029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 162037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 162040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 162043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 162046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 162062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 162066 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 162070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 162079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162083 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 162087 */     // MIs[2] Operand 1
     /* 162087 */     // No operand predicates
     /* 162087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162089 */     // (intrinsic_wo_chain:{ *:[v2f64] } 610:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULXv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 162089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i64_indexed),
     /* 162092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 162100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162103 */     GIR_RootConstrainSelectedInstOperands,
     /* 162104 */     // GIR_Coverage, 1993,
     /* 162104 */     GIR_EraseRootFromParent_Done,
     /* 162105 */   // Label 3106: @162105
     /* 162105 */   GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(162186), // Rule ID 1994 //
     /* 162110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 162113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 162118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 162121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 162124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 162127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 162131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 162135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 162143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 162147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 162151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 162156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 162160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162164 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 162168 */     // MIs[2] Operand 1
     /* 162168 */     // No operand predicates
     /* 162168 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162170 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, FPR16Op:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 162170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 162173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 162181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162184 */     GIR_RootConstrainSelectedInstOperands,
     /* 162185 */     // GIR_Coverage, 1994,
     /* 162185 */     GIR_EraseRootFromParent_Done,
     /* 162186 */   // Label 3107: @162186
     /* 162186 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(162267), // Rule ID 1995 //
     /* 162191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 162199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 162205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 162224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 162228 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 162232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 162241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162245 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 162249 */     // MIs[2] Operand 1
     /* 162249 */     // No operand predicates
     /* 162249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162251 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, FPR32Op:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 162251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 162254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 162262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162265 */     GIR_RootConstrainSelectedInstOperands,
     /* 162266 */     // GIR_Coverage, 1995,
     /* 162266 */     GIR_EraseRootFromParent_Done,
     /* 162267 */   // Label 3108: @162267
     /* 162267 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(162348), // Rule ID 1996 //
     /* 162272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 162280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 162289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 162305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 162309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 162313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 162322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162326 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 162330 */     // MIs[2] Operand 1
     /* 162330 */     // No operand predicates
     /* 162330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162332 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, FPR64Op:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULXv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 162332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 162335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162337 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 162343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162346 */     GIR_RootConstrainSelectedInstOperands,
     /* 162347 */     // GIR_Coverage, 1996,
     /* 162347 */     GIR_EraseRootFromParent_Done,
     /* 162348 */   // Label 3109: @162348
     /* 162348 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(162429), // Rule ID 2023 //
     /* 162353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 162361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 162367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 162386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 162390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 162394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 162403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162407 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 162411 */     // MIs[2] Operand 1
     /* 162411 */     // No operand predicates
     /* 162411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162413 */     // (intrinsic_wo_chain:{ *:[i32] } 680:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 162413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv1i32_indexed),
     /* 162416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 162424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162427 */     GIR_RootConstrainSelectedInstOperands,
     /* 162428 */     // GIR_Coverage, 2023,
     /* 162428 */     GIR_EraseRootFromParent_Done,
     /* 162429 */   // Label 3110: @162429
     /* 162429 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(162510), // Rule ID 2030 //
     /* 162434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 162442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 162448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 162467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 162471 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 162475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 162484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162488 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 162492 */     // MIs[2] Operand 1
     /* 162492 */     // No operand predicates
     /* 162492 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162494 */     // (intrinsic_wo_chain:{ *:[i32] } 688:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMULHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 162494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv1i32_indexed),
     /* 162497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162499 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 162505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162508 */     GIR_RootConstrainSelectedInstOperands,
     /* 162509 */     // GIR_Coverage, 2030,
     /* 162509 */     GIR_EraseRootFromParent_Done,
     /* 162510 */   // Label 3111: @162510
     /* 162510 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(162588), // Rule ID 6275 //
     /* 162515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 162520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 162526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 162545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 162549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 162553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 162562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162566 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 162570 */     // MIs[2] Operand 1
     /* 162570 */     // No operand predicates
     /* 162570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162572 */     // (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Vm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULLv1i64_indexed:{ *:[i64] } FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Vm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 162572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv1i64_indexed),
     /* 162575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162577 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /* 162583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162586 */     GIR_RootConstrainSelectedInstOperands,
     /* 162587 */     // GIR_Coverage, 6275,
     /* 162587 */     GIR_EraseRootFromParent_Done,
     /* 162588 */   // Label 3112: @162588
     /* 162588 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(162648), // Rule ID 6341 //
     /* 162593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 162598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 162601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 162604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162615 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 8,
     /* 162619 */     // (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vn, 8:{ *:[i32] })  =>  (RADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Vn, (MOVIv2d_ns:{ *:[v8i16] } 0:{ *:[i32] }))
     /* 162619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 162622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 162626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 162631 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 162634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 162636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v8i8),
     /* 162639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 162643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 162646 */     GIR_RootConstrainSelectedInstOperands,
     /* 162647 */     // GIR_Coverage, 6341,
     /* 162647 */     GIR_EraseRootFromParent_Done,
     /* 162648 */   // Label 3113: @162648
     /* 162648 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(162708), // Rule ID 6342 //
     /* 162653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 162658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 162661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 162664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162675 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 16,
     /* 162679 */     // (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, 16:{ *:[i32] })  =>  (RADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vn, (MOVIv2d_ns:{ *:[v4i32] } 0:{ *:[i32] }))
     /* 162679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 162682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 162686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 162691 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 162694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 162696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v4i16),
     /* 162699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 162703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 162706 */     GIR_RootConstrainSelectedInstOperands,
     /* 162707 */     // GIR_Coverage, 6342,
     /* 162707 */     GIR_EraseRootFromParent_Done,
     /* 162708 */   // Label 3114: @162708
     /* 162708 */   GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(162768), // Rule ID 6343 //
     /* 162713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 162718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 162721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 162724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162735 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 32,
     /* 162739 */     // (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, 32:{ *:[i32] })  =>  (RADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vn, (MOVIv2d_ns:{ *:[v2i64] } 0:{ *:[i32] }))
     /* 162739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 162742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 162746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 162751 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 162754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 162756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v2i32),
     /* 162759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 162763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 162766 */     GIR_RootConstrainSelectedInstOperands,
     /* 162767 */     // GIR_Coverage, 6343,
     /* 162767 */     GIR_EraseRootFromParent_Done,
     /* 162768 */   // Label 3115: @162768
     /* 162768 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(162815), // Rule ID 3897 //
     /* 162773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 162776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 162781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162795 */     // MIs[0] Operand 3
     /* 162795 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 162806 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 0:{ *:[i32] })  =>  (XPACI:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 162806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACI),
     /* 162809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162811 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 162813 */     GIR_RootConstrainSelectedInstOperands,
     /* 162814 */     // GIR_Coverage, 3897,
     /* 162814 */     GIR_EraseRootFromParent_Done,
     /* 162815 */   // Label 3116: @162815
     /* 162815 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(162862), // Rule ID 3898 //
     /* 162820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 162823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 162828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162842 */     // MIs[0] Operand 3
     /* 162842 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 162853 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 1:{ *:[i32] })  =>  (XPACI:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 162853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACI),
     /* 162856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 162860 */     GIR_RootConstrainSelectedInstOperands,
     /* 162861 */     // GIR_Coverage, 3898,
     /* 162861 */     GIR_EraseRootFromParent_Done,
     /* 162862 */   // Label 3117: @162862
     /* 162862 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(162909), // Rule ID 3899 //
     /* 162867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 162870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 162875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162889 */     // MIs[0] Operand 3
     /* 162889 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 162900 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 2:{ *:[i32] })  =>  (XPACD:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 162900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACD),
     /* 162903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 162907 */     GIR_RootConstrainSelectedInstOperands,
     /* 162908 */     // GIR_Coverage, 3899,
     /* 162908 */     GIR_EraseRootFromParent_Done,
     /* 162909 */   // Label 3118: @162909
     /* 162909 */   GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(162956), // Rule ID 3900 //
     /* 162914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 162917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 162922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162936 */     // MIs[0] Operand 3
     /* 162936 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 162947 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 3:{ *:[i32] })  =>  (XPACD:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 162947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACD),
     /* 162950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 162954 */     GIR_RootConstrainSelectedInstOperands,
     /* 162955 */     // GIR_Coverage, 3900,
     /* 162955 */     GIR_EraseRootFromParent_Done,
     /* 162956 */   // Label 3119: @162956
     /* 162956 */   GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(163002), // Rule ID 3544 //
     /* 162961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 162964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 162969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 162972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 162975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 162979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 162983 */     // MIs[0] Idx
     /* 162983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 162986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_0),
     /* 162991 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1626:{ *:[iPTR] }, ZPRAny:{ *:[nxv16i8] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_0>>:$Idx)  =>  (PMOV_PZI_B:{ *:[nxv16i1] } ZPRAny:{ *:[nxv16i8] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_0>>:$Idx)
     /* 162991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_B),
     /* 162994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 162996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 162998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 163000 */     GIR_RootConstrainSelectedInstOperands,
     /* 163001 */     // GIR_Coverage, 3544,
     /* 163001 */     GIR_EraseRootFromParent_Done,
     /* 163002 */   // Label 3120: @163002
     /* 163002 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(163048), // Rule ID 3545 //
     /* 163007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 163010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 163015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 163018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 163021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 163025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 163029 */     // MIs[0] Idx
     /* 163029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 163032 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 163037 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1626:{ *:[iPTR] }, ZPRAny:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Idx)  =>  (PMOV_PZI_H:{ *:[nxv8i1] } ZPRAny:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Idx)
     /* 163037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_H),
     /* 163040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 163042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 163044 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 163046 */     GIR_RootConstrainSelectedInstOperands,
     /* 163047 */     // GIR_Coverage, 3545,
     /* 163047 */     GIR_EraseRootFromParent_Done,
     /* 163048 */   // Label 3121: @163048
     /* 163048 */   GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(163094), // Rule ID 3546 //
     /* 163053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 163056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 163061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 163064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 163067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 163071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 163075 */     // MIs[0] Idx
     /* 163075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 163078 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 163083 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1626:{ *:[iPTR] }, ZPRAny:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Idx)  =>  (PMOV_PZI_S:{ *:[nxv4i1] } ZPRAny:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Idx)
     /* 163083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_S),
     /* 163086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 163088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 163090 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 163092 */     GIR_RootConstrainSelectedInstOperands,
     /* 163093 */     // GIR_Coverage, 3546,
     /* 163093 */     GIR_EraseRootFromParent_Done,
     /* 163094 */   // Label 3122: @163094
     /* 163094 */   GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(163140), // Rule ID 3547 //
     /* 163099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 163102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 163107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 163110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 163113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 163117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 163121 */     // MIs[0] Idx
     /* 163121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 163124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 163129 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1626:{ *:[iPTR] }, ZPRAny:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Idx)  =>  (PMOV_PZI_D:{ *:[nxv2i1] } ZPRAny:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Idx)
     /* 163129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_D),
     /* 163132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 163134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 163136 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 163138 */     GIR_RootConstrainSelectedInstOperands,
     /* 163139 */     // GIR_Coverage, 3547,
     /* 163139 */     GIR_EraseRootFromParent_Done,
     /* 163140 */   // Label 3123: @163140
     /* 163140 */   GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(163196), // Rule ID 2109 //
     /* 163145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshrn),
     /* 163153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163182 */     // MIs[1] Operand 1
     /* 163182 */     // No operand predicates
     /* 163182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163184 */     // (intrinsic_wo_chain:{ *:[i32] } 692:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQRSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNs),
     /* 163187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163194 */     GIR_RootConstrainSelectedInstOperands,
     /* 163195 */     // GIR_Coverage, 2109,
     /* 163195 */     GIR_EraseRootFromParent_Done,
     /* 163196 */   // Label 3124: @163196
     /* 163196 */   GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(163252), // Rule ID 2110 //
     /* 163201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshrun),
     /* 163209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163238 */     // MIs[1] Operand 1
     /* 163238 */     // No operand predicates
     /* 163238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163240 */     // (intrinsic_wo_chain:{ *:[i32] } 693:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQRSHRUNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNs),
     /* 163243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163250 */     GIR_RootConstrainSelectedInstOperands,
     /* 163251 */     // GIR_Coverage, 2110,
     /* 163251 */     GIR_EraseRootFromParent_Done,
     /* 163252 */   // Label 3125: @163252
     /* 163252 */   GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(163308), // Rule ID 2115 //
     /* 163257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshrn),
     /* 163265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163294 */     // MIs[1] Operand 1
     /* 163294 */     // No operand predicates
     /* 163294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163296 */     // (intrinsic_wo_chain:{ *:[i32] } 696:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNs),
     /* 163299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163301 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163306 */     GIR_RootConstrainSelectedInstOperands,
     /* 163307 */     // GIR_Coverage, 2115,
     /* 163307 */     GIR_EraseRootFromParent_Done,
     /* 163308 */   // Label 3126: @163308
     /* 163308 */   GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(163364), // Rule ID 2116 //
     /* 163313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshrun),
     /* 163321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163350 */     // MIs[1] Operand 1
     /* 163350 */     // No operand predicates
     /* 163350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163352 */     // (intrinsic_wo_chain:{ *:[i32] } 697:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQSHRUNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNs),
     /* 163355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163362 */     GIR_RootConstrainSelectedInstOperands,
     /* 163363 */     // GIR_Coverage, 2116,
     /* 163363 */     GIR_EraseRootFromParent_Done,
     /* 163364 */   // Label 3127: @163364
     /* 163364 */   GIM_Try, /*On fail goto*//*Label 3128*/ GIMT_Encode4(163420), // Rule ID 2123 //
     /* 163369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshrn),
     /* 163377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163406 */     // MIs[1] Operand 1
     /* 163406 */     // No operand predicates
     /* 163406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163408 */     // (intrinsic_wo_chain:{ *:[i32] } 741:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (UQRSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNs),
     /* 163411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163418 */     GIR_RootConstrainSelectedInstOperands,
     /* 163419 */     // GIR_Coverage, 2123,
     /* 163419 */     GIR_EraseRootFromParent_Done,
     /* 163420 */   // Label 3128: @163420
     /* 163420 */   GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(163476), // Rule ID 2126 //
     /* 163425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshrn),
     /* 163433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163462 */     // MIs[1] Operand 1
     /* 163462 */     // No operand predicates
     /* 163462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163464 */     // (intrinsic_wo_chain:{ *:[i32] } 743:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (UQSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNs),
     /* 163467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163469 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163474 */     GIR_RootConstrainSelectedInstOperands,
     /* 163475 */     // GIR_Coverage, 2126,
     /* 163475 */     GIR_EraseRootFromParent_Done,
     /* 163476 */   // Label 3129: @163476
     /* 163476 */   GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(163532), // Rule ID 2148 //
     /* 163481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 163489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 163492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 163495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /* 163518 */     // MIs[1] Operand 1
     /* 163518 */     // No operand predicates
     /* 163518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163520 */     // (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)  =>  (RSHRNv8i8_shift:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv8i8_shift),
     /* 163523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163530 */     GIR_RootConstrainSelectedInstOperands,
     /* 163531 */     // GIR_Coverage, 2148,
     /* 163531 */     GIR_EraseRootFromParent_Done,
     /* 163532 */   // Label 3130: @163532
     /* 163532 */   GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(163588), // Rule ID 2150 //
     /* 163537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 163545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 163548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 163551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /* 163574 */     // MIs[1] Operand 1
     /* 163574 */     // No operand predicates
     /* 163574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163576 */     // (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)  =>  (RSHRNv4i16_shift:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv4i16_shift),
     /* 163579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163581 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163586 */     GIR_RootConstrainSelectedInstOperands,
     /* 163587 */     // GIR_Coverage, 2150,
     /* 163587 */     GIR_EraseRootFromParent_Done,
     /* 163588 */   // Label 3131: @163588
     /* 163588 */   GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(163644), // Rule ID 2152 //
     /* 163593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 163601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 163604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 163607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /* 163630 */     // MIs[1] Operand 1
     /* 163630 */     // No operand predicates
     /* 163630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163632 */     // (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)  =>  (RSHRNv2i32_shift:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv2i32_shift),
     /* 163635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163637 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163642 */     GIR_RootConstrainSelectedInstOperands,
     /* 163643 */     // GIR_Coverage, 2152,
     /* 163643 */     GIR_EraseRootFromParent_Done,
     /* 163644 */   // Label 3132: @163644
     /* 163644 */   GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(163697), // Rule ID 6276 //
     /* 163649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 163654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 163660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163683 */     // MIs[1] Operand 1
     /* 163683 */     // No operand predicates
     /* 163683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163685 */     // (intrinsic_wo_chain:{ *:[i32] } 762:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (FCVTZSs:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 163685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSs),
     /* 163688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163695 */     GIR_RootConstrainSelectedInstOperands,
     /* 163696 */     // GIR_Coverage, 6276,
     /* 163696 */     GIR_EraseRootFromParent_Done,
     /* 163697 */   // Label 3133: @163697
     /* 163697 */   GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(163750), // Rule ID 6277 //
     /* 163702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 163707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 163713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163736 */     // MIs[1] Operand 1
     /* 163736 */     // No operand predicates
     /* 163736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163738 */     // (intrinsic_wo_chain:{ *:[i32] } 763:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (FCVTZUs:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 163738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUs),
     /* 163741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163743 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163748 */     GIR_RootConstrainSelectedInstOperands,
     /* 163749 */     // GIR_Coverage, 6277,
     /* 163749 */     GIR_EraseRootFromParent_Done,
     /* 163750 */   // Label 3134: @163750
     /* 163750 */   GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(163803), // Rule ID 6278 //
     /* 163755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 163760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163789 */     // MIs[1] Operand 1
     /* 163789 */     // No operand predicates
     /* 163789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163791 */     // (intrinsic_wo_chain:{ *:[i64] } 762:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZSd:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSd),
     /* 163794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163801 */     GIR_RootConstrainSelectedInstOperands,
     /* 163802 */     // GIR_Coverage, 6278,
     /* 163802 */     GIR_EraseRootFromParent_Done,
     /* 163803 */   // Label 3135: @163803
     /* 163803 */   GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(163856), // Rule ID 6279 //
     /* 163808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 163813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163842 */     // MIs[1] Operand 1
     /* 163842 */     // No operand predicates
     /* 163842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163844 */     // (intrinsic_wo_chain:{ *:[i64] } 763:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZUd:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUd),
     /* 163847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163854 */     GIR_RootConstrainSelectedInstOperands,
     /* 163855 */     // GIR_Coverage, 6279,
     /* 163855 */     GIR_EraseRootFromParent_Done,
     /* 163856 */   // Label 3136: @163856
     /* 163856 */   GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(163909), // Rule ID 6280 //
     /* 163861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 163866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163895 */     // MIs[1] Operand 1
     /* 163895 */     // No operand predicates
     /* 163895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163897 */     // (intrinsic_wo_chain:{ *:[v1i64] } 762:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZSd:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSd),
     /* 163900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163907 */     GIR_RootConstrainSelectedInstOperands,
     /* 163908 */     // GIR_Coverage, 6280,
     /* 163908 */     GIR_EraseRootFromParent_Done,
     /* 163909 */   // Label 3137: @163909
     /* 163909 */   GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(163962), // Rule ID 6281 //
     /* 163914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 163919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163948 */     // MIs[1] Operand 1
     /* 163948 */     // No operand predicates
     /* 163948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163950 */     // (intrinsic_wo_chain:{ *:[v1i64] } 763:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZUd:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUd),
     /* 163953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163960 */     GIR_RootConstrainSelectedInstOperands,
     /* 163961 */     // GIR_Coverage, 6281,
     /* 163961 */     GIR_EraseRootFromParent_Done,
     /* 163962 */   // Label 3138: @163962
     /* 163962 */   GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(164015), // Rule ID 6282 //
     /* 163967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 163972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 163978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 164001 */     // MIs[1] Operand 1
     /* 164001 */     // No operand predicates
     /* 164001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164003 */     // (intrinsic_wo_chain:{ *:[f32] } 766:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (UCVTFs:{ *:[f32] } FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 164003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFs),
     /* 164006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164013 */     GIR_RootConstrainSelectedInstOperands,
     /* 164014 */     // GIR_Coverage, 6282,
     /* 164014 */     GIR_EraseRootFromParent_Done,
     /* 164015 */   // Label 3139: @164015
     /* 164015 */   GIM_Try, /*On fail goto*//*Label 3140*/ GIMT_Encode4(164068), // Rule ID 6283 //
     /* 164020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 164025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 164028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 164031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 164054 */     // MIs[1] Operand 1
     /* 164054 */     // No operand predicates
     /* 164054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164056 */     // (intrinsic_wo_chain:{ *:[f64] } 766:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (UCVTFd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 164056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFd),
     /* 164059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164066 */     GIR_RootConstrainSelectedInstOperands,
     /* 164067 */     // GIR_Coverage, 6283,
     /* 164067 */     GIR_EraseRootFromParent_Done,
     /* 164068 */   // Label 3140: @164068
     /* 164068 */   GIM_Try, /*On fail goto*//*Label 3141*/ GIMT_Encode4(164121), // Rule ID 6284 //
     /* 164073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 164078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 164081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 164084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 164107 */     // MIs[1] Operand 1
     /* 164107 */     // No operand predicates
     /* 164107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164109 */     // (intrinsic_wo_chain:{ *:[v1f64] } 765:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SCVTFd:{ *:[v1f64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 164109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFd),
     /* 164112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164119 */     GIR_RootConstrainSelectedInstOperands,
     /* 164120 */     // GIR_Coverage, 6284,
     /* 164120 */     GIR_EraseRootFromParent_Done,
     /* 164121 */   // Label 3141: @164121
     /* 164121 */   GIM_Try, /*On fail goto*//*Label 3142*/ GIMT_Encode4(164174), // Rule ID 6285 //
     /* 164126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 164131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 164134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 164137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 164160 */     // MIs[1] Operand 1
     /* 164160 */     // No operand predicates
     /* 164160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164162 */     // (intrinsic_wo_chain:{ *:[f64] } 765:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SCVTFd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 164162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFd),
     /* 164165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164167 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164172 */     GIR_RootConstrainSelectedInstOperands,
     /* 164173 */     // GIR_Coverage, 6285,
     /* 164173 */     GIR_EraseRootFromParent_Done,
     /* 164174 */   // Label 3142: @164174
     /* 164174 */   GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(164227), // Rule ID 6286 //
     /* 164179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 164184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 164187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 164190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 164213 */     // MIs[1] Operand 1
     /* 164213 */     // No operand predicates
     /* 164213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164215 */     // (intrinsic_wo_chain:{ *:[v1f64] } 766:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (UCVTFd:{ *:[v1f64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 164215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFd),
     /* 164218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164225 */     GIR_RootConstrainSelectedInstOperands,
     /* 164226 */     // GIR_Coverage, 6286,
     /* 164226 */     GIR_EraseRootFromParent_Done,
     /* 164227 */   // Label 3143: @164227
     /* 164227 */   GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(164280), // Rule ID 6287 //
     /* 164232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 164237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 164240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 164243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 164266 */     // MIs[1] Operand 1
     /* 164266 */     // No operand predicates
     /* 164266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164268 */     // (intrinsic_wo_chain:{ *:[f32] } 765:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SCVTFs:{ *:[f32] } FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 164268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFs),
     /* 164271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164273 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164278 */     GIR_RootConstrainSelectedInstOperands,
     /* 164279 */     // GIR_Coverage, 6287,
     /* 164279 */     GIR_EraseRootFromParent_Done,
     /* 164280 */   // Label 3144: @164280
     /* 164280 */   GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(164362), // Rule ID 6289 //
     /* 164285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 164290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 164293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 164296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 164319 */     // MIs[1] Operand 1
     /* 164319 */     // No operand predicates
     /* 164319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164321 */     // (intrinsic_wo_chain:{ *:[f16] } 765:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 164321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 164324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 164328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164333 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 164339 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164344 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFh),
     /* 164352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164360 */     GIR_RootConstrainSelectedInstOperands,
     /* 164361 */     // GIR_Coverage, 6289,
     /* 164361 */     GIR_EraseRootFromParent_Done,
     /* 164362 */   // Label 3145: @164362
     /* 164362 */   GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(164444), // Rule ID 6290 //
     /* 164367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 164372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 164375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 164378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 164401 */     // MIs[1] Operand 1
     /* 164401 */     // No operand predicates
     /* 164401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164403 */     // (intrinsic_wo_chain:{ *:[f16] } 765:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 164403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 164406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 164410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164415 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 164421 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164426 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFh),
     /* 164434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164442 */     GIR_RootConstrainSelectedInstOperands,
     /* 164443 */     // GIR_Coverage, 6290,
     /* 164443 */     GIR_EraseRootFromParent_Done,
     /* 164444 */   // Label 3146: @164444
     /* 164444 */   GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(164526), // Rule ID 6292 //
     /* 164449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 164454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 164457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 164460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 164483 */     // MIs[1] Operand 1
     /* 164483 */     // No operand predicates
     /* 164483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164485 */     // (intrinsic_wo_chain:{ *:[f16] } 766:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (UCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 164485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 164488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 164492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164497 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 164503 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164508 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFh),
     /* 164516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164524 */     GIR_RootConstrainSelectedInstOperands,
     /* 164525 */     // GIR_Coverage, 6292,
     /* 164525 */     GIR_EraseRootFromParent_Done,
     /* 164526 */   // Label 3147: @164526
     /* 164526 */   GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(164608), // Rule ID 6293 //
     /* 164531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 164536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 164539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 164542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 164565 */     // MIs[1] Operand 1
     /* 164565 */     // No operand predicates
     /* 164565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164567 */     // (intrinsic_wo_chain:{ *:[f16] } 766:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (UCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 164567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 164570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 164574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164579 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 164585 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164590 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFh),
     /* 164598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164606 */     GIR_RootConstrainSelectedInstOperands,
     /* 164607 */     // GIR_Coverage, 6293,
     /* 164607 */     GIR_EraseRootFromParent_Done,
     /* 164608 */   // Label 3148: @164608
     /* 164608 */   GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(164714), // Rule ID 6294 //
     /* 164613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 164618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 164621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 164624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 164647 */     // MIs[1] Operand 1
     /* 164647 */     // No operand predicates
     /* 164647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164649 */     // (intrinsic_wo_chain:{ *:[i32] } 762:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FCVTZSh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), hsub:{ *:[i32] })
     /* 164649 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 164652 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSh),
     /* 164656 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164661 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 164665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 164668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 164670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 164673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 164677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 164684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 164687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 164695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 164698 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164703 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164708 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164713 */     // GIR_Coverage, 6294,
     /* 164713 */     GIR_EraseRootFromParent_Done,
     /* 164714 */   // Label 3149: @164714
     /* 164714 */   GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(164820), // Rule ID 6295 //
     /* 164719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 164724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 164727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 164730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 164753 */     // MIs[1] Operand 1
     /* 164753 */     // No operand predicates
     /* 164753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164755 */     // (intrinsic_wo_chain:{ *:[i64] } 762:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (FCVTZSh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), hsub:{ *:[i32] })
     /* 164755 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 164758 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSh),
     /* 164762 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164767 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 164771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 164774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 164776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 164779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 164783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 164790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 164793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 164801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 164804 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164809 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164814 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164819 */     // GIR_Coverage, 6295,
     /* 164819 */     GIR_EraseRootFromParent_Done,
     /* 164820 */   // Label 3150: @164820
     /* 164820 */   GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(164926), // Rule ID 6296 //
     /* 164825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 164830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 164833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 164836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 164859 */     // MIs[1] Operand 1
     /* 164859 */     // No operand predicates
     /* 164859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164861 */     // (intrinsic_wo_chain:{ *:[i32] } 763:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FCVTZUh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), hsub:{ *:[i32] })
     /* 164861 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 164864 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUh),
     /* 164868 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164873 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 164877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 164880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 164882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 164885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 164889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 164896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 164899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 164907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 164910 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164915 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164920 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164925 */     // GIR_Coverage, 6296,
     /* 164925 */     GIR_EraseRootFromParent_Done,
     /* 164926 */   // Label 3151: @164926
     /* 164926 */   GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(165032), // Rule ID 6297 //
     /* 164931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 164936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 164939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 164942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 164965 */     // MIs[1] Operand 1
     /* 164965 */     // No operand predicates
     /* 164965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164967 */     // (intrinsic_wo_chain:{ *:[i64] } 763:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (FCVTZUh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), hsub:{ *:[i32] })
     /* 164967 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 164970 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUh),
     /* 164974 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164979 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 164983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 164986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 164988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 164991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 164995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 165000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 165002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 165005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 165010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 165013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 165016 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165021 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165026 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 165031 */     // GIR_Coverage, 6297,
     /* 165031 */     GIR_EraseRootFromParent_Done,
     /* 165032 */   // Label 3152: @165032
     /* 165032 */   GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(165090), // Rule ID 6986 //
     /* 165037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_blend),
     /* 165042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 165045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 165048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 165051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 165055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 165059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 165063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 165067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm64_0_65535),
     /* 165071 */     // MIs[1] Operand 1
     /* 165071 */     // No operand predicates
     /* 165071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165073 */     // (intrinsic_wo_chain:{ *:[i64] } 294:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_imm64_0_65535>>:$imm)  =>  (MOVKXi:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, (trunc_imm:{ *:[i32] } (imm:{ *:[i64] })<<P:Predicate_imm64_0_65535>>:$imm), 48:{ *:[i32] })
     /* 165073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MOVKXi),
     /* 165076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 165080 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // imm
     /* 165085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 165088 */     GIR_RootConstrainSelectedInstOperands,
     /* 165089 */     // GIR_Coverage, 6986,
     /* 165089 */     GIR_EraseRootFromParent_Done,
     /* 165090 */   // Label 3153: @165090
     /* 165090 */   GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(165132), // Rule ID 3045 //
     /* 165095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllb),
     /* 165103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 165109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165113 */     // MIs[0] Op2
     /* 165113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 165121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1864:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (SSHLLB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 165121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLB_ZZI_H),
     /* 165124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165130 */     GIR_RootConstrainSelectedInstOperands,
     /* 165131 */     // GIR_Coverage, 3045,
     /* 165131 */     GIR_EraseRootFromParent_Done,
     /* 165132 */   // Label 3154: @165132
     /* 165132 */   GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(165174), // Rule ID 3046 //
     /* 165137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllb),
     /* 165145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165155 */     // MIs[0] Op2
     /* 165155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 165163 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1864:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (SSHLLB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 165163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLB_ZZI_S),
     /* 165166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165172 */     GIR_RootConstrainSelectedInstOperands,
     /* 165173 */     // GIR_Coverage, 3046,
     /* 165173 */     GIR_EraseRootFromParent_Done,
     /* 165174 */   // Label 3155: @165174
     /* 165174 */   GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(165216), // Rule ID 3047 //
     /* 165179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllb),
     /* 165187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 165190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165197 */     // MIs[0] Op2
     /* 165197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 165205 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1864:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (SSHLLB_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 165205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLB_ZZI_D),
     /* 165208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165214 */     GIR_RootConstrainSelectedInstOperands,
     /* 165215 */     // GIR_Coverage, 3047,
     /* 165215 */     GIR_EraseRootFromParent_Done,
     /* 165216 */   // Label 3156: @165216
     /* 165216 */   GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(165258), // Rule ID 3081 //
     /* 165221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunb),
     /* 165229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165239 */     // MIs[0] Op2
     /* 165239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165242 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165247 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1845:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQSHRUNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNB_ZZI_B),
     /* 165250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165256 */     GIR_RootConstrainSelectedInstOperands,
     /* 165257 */     // GIR_Coverage, 3081,
     /* 165257 */     GIR_EraseRootFromParent_Done,
     /* 165258 */   // Label 3157: @165258
     /* 165258 */   GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(165300), // Rule ID 3082 //
     /* 165263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunb),
     /* 165271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165281 */     // MIs[0] Op2
     /* 165281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165289 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1845:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQSHRUNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNB_ZZI_H),
     /* 165292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165298 */     GIR_RootConstrainSelectedInstOperands,
     /* 165299 */     // GIR_Coverage, 3082,
     /* 165299 */     GIR_EraseRootFromParent_Done,
     /* 165300 */   // Label 3158: @165300
     /* 165300 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(165342), // Rule ID 3083 //
     /* 165305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunb),
     /* 165313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165323 */     // MIs[0] Op2
     /* 165323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165326 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165331 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1845:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQSHRUNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNB_ZZI_S),
     /* 165334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165340 */     GIR_RootConstrainSelectedInstOperands,
     /* 165341 */     // GIR_Coverage, 3083,
     /* 165341 */     GIR_EraseRootFromParent_Done,
     /* 165342 */   // Label 3159: @165342
     /* 165342 */   GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(165384), // Rule ID 3530 //
     /* 165347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 165361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165365 */     // MIs[0] Op2
     /* 165365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165368 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 165373 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1345:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Op2)  =>  (DUPQ_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Op2)
     /* 165373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_B),
     /* 165376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165382 */     GIR_RootConstrainSelectedInstOperands,
     /* 165383 */     // GIR_Coverage, 3530,
     /* 165383 */     GIR_EraseRootFromParent_Done,
     /* 165384 */   // Label 3160: @165384
     /* 165384 */   GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(165426), // Rule ID 3531 //
     /* 165389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165407 */     // MIs[0] Op2
     /* 165407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165410 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 165415 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1345:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)  =>  (DUPQ_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)
     /* 165415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_H),
     /* 165418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165424 */     GIR_RootConstrainSelectedInstOperands,
     /* 165425 */     // GIR_Coverage, 3531,
     /* 165425 */     GIR_EraseRootFromParent_Done,
     /* 165426 */   // Label 3161: @165426
     /* 165426 */   GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(165468), // Rule ID 3532 //
     /* 165431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165449 */     // MIs[0] Op2
     /* 165449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165452 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 165457 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1345:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)  =>  (DUPQ_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)
     /* 165457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_S),
     /* 165460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165466 */     GIR_RootConstrainSelectedInstOperands,
     /* 165467 */     // GIR_Coverage, 3532,
     /* 165467 */     GIR_EraseRootFromParent_Done,
     /* 165468 */   // Label 3162: @165468
     /* 165468 */   GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(165510), // Rule ID 3533 //
     /* 165473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 165484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165491 */     // MIs[0] Op2
     /* 165491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 165499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1345:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)  =>  (DUPQ_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)
     /* 165499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_D),
     /* 165502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165506 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165508 */     GIR_RootConstrainSelectedInstOperands,
     /* 165509 */     // GIR_Coverage, 3533,
     /* 165509 */     GIR_EraseRootFromParent_Done,
     /* 165510 */   // Label 3163: @165510
     /* 165510 */   GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(165552), // Rule ID 3534 //
     /* 165515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165533 */     // MIs[0] Op2
     /* 165533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 165541 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1345:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)  =>  (DUPQ_ZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)
     /* 165541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_H),
     /* 165544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165548 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165550 */     GIR_RootConstrainSelectedInstOperands,
     /* 165551 */     // GIR_Coverage, 3534,
     /* 165551 */     GIR_EraseRootFromParent_Done,
     /* 165552 */   // Label 3164: @165552
     /* 165552 */   GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(165594), // Rule ID 3535 //
     /* 165557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165575 */     // MIs[0] Op2
     /* 165575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165578 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 165583 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1345:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)  =>  (DUPQ_ZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)
     /* 165583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_S),
     /* 165586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165592 */     GIR_RootConstrainSelectedInstOperands,
     /* 165593 */     // GIR_Coverage, 3535,
     /* 165593 */     GIR_EraseRootFromParent_Done,
     /* 165594 */   // Label 3165: @165594
     /* 165594 */   GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(165636), // Rule ID 3536 //
     /* 165599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 165610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165617 */     // MIs[0] Op2
     /* 165617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165620 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 165625 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1345:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)  =>  (DUPQ_ZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)
     /* 165625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_D),
     /* 165628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165634 */     GIR_RootConstrainSelectedInstOperands,
     /* 165635 */     // GIR_Coverage, 3536,
     /* 165635 */     GIR_EraseRootFromParent_Done,
     /* 165636 */   // Label 3166: @165636
     /* 165636 */   GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(165678), // Rule ID 11741 //
     /* 165641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunb),
     /* 165649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165659 */     // MIs[0] Op2
     /* 165659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165667 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1839:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQRSHRUNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNB_ZZI_B),
     /* 165670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165676 */     GIR_RootConstrainSelectedInstOperands,
     /* 165677 */     // GIR_Coverage, 11741,
     /* 165677 */     GIR_EraseRootFromParent_Done,
     /* 165678 */   // Label 3167: @165678
     /* 165678 */   GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(165720), // Rule ID 11742 //
     /* 165683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunb),
     /* 165691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165701 */     // MIs[0] Op2
     /* 165701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165704 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165709 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1839:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQRSHRUNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNB_ZZI_H),
     /* 165712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165716 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165718 */     GIR_RootConstrainSelectedInstOperands,
     /* 165719 */     // GIR_Coverage, 11742,
     /* 165719 */     GIR_EraseRootFromParent_Done,
     /* 165720 */   // Label 3168: @165720
     /* 165720 */   GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(165762), // Rule ID 11743 //
     /* 165725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunb),
     /* 165733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165743 */     // MIs[0] Op2
     /* 165743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165746 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1839:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQRSHRUNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNB_ZZI_S),
     /* 165754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165756 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165758 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165760 */     GIR_RootConstrainSelectedInstOperands,
     /* 165761 */     // GIR_Coverage, 11743,
     /* 165761 */     GIR_EraseRootFromParent_Done,
     /* 165762 */   // Label 3169: @165762
     /* 165762 */   GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(165804), // Rule ID 11744 //
     /* 165767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnb),
     /* 165775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165785 */     // MIs[0] Op2
     /* 165785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165793 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1718:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNB_ZZI_B),
     /* 165796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165802 */     GIR_RootConstrainSelectedInstOperands,
     /* 165803 */     // GIR_Coverage, 11744,
     /* 165803 */     GIR_EraseRootFromParent_Done,
     /* 165804 */   // Label 3170: @165804
     /* 165804 */   GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(165846), // Rule ID 11745 //
     /* 165809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnb),
     /* 165817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165827 */     // MIs[0] Op2
     /* 165827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165835 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1718:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNB_ZZI_H),
     /* 165838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165844 */     GIR_RootConstrainSelectedInstOperands,
     /* 165845 */     // GIR_Coverage, 11745,
     /* 165845 */     GIR_EraseRootFromParent_Done,
     /* 165846 */   // Label 3171: @165846
     /* 165846 */   GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(165888), // Rule ID 11746 //
     /* 165851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnb),
     /* 165859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165869 */     // MIs[0] Op2
     /* 165869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1718:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNB_ZZI_S),
     /* 165880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165882 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165884 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165886 */     GIR_RootConstrainSelectedInstOperands,
     /* 165887 */     // GIR_Coverage, 11746,
     /* 165887 */     GIR_EraseRootFromParent_Done,
     /* 165888 */   // Label 3172: @165888
     /* 165888 */   GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(165930), // Rule ID 11748 //
     /* 165893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnb),
     /* 165901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165911 */     // MIs[0] Op2
     /* 165911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165914 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165919 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1676:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (RSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNB_ZZI_B),
     /* 165922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165928 */     GIR_RootConstrainSelectedInstOperands,
     /* 165929 */     // GIR_Coverage, 11748,
     /* 165929 */     GIR_EraseRootFromParent_Done,
     /* 165930 */   // Label 3173: @165930
     /* 165930 */   GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(165972), // Rule ID 11750 //
     /* 165935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnb),
     /* 165943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165953 */     // MIs[0] Op2
     /* 165953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165961 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1676:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (RSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNB_ZZI_H),
     /* 165964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165970 */     GIR_RootConstrainSelectedInstOperands,
     /* 165971 */     // GIR_Coverage, 11750,
     /* 165971 */     GIR_EraseRootFromParent_Done,
     /* 165972 */   // Label 3174: @165972
     /* 165972 */   GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(166014), // Rule ID 11752 //
     /* 165977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnb),
     /* 165985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165995 */     // MIs[0] Op2
     /* 165995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165998 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 166003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1676:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (RSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 166003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNB_ZZI_S),
     /* 166006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166012 */     GIR_RootConstrainSelectedInstOperands,
     /* 166013 */     // GIR_Coverage, 11752,
     /* 166013 */     GIR_EraseRootFromParent_Done,
     /* 166014 */   // Label 3175: @166014
     /* 166014 */   GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(166056), // Rule ID 11753 //
     /* 166019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnb),
     /* 166027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 166030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 166033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166037 */     // MIs[0] Op2
     /* 166037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 166045 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1843:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 166045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNB_ZZI_B),
     /* 166048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166054 */     GIR_RootConstrainSelectedInstOperands,
     /* 166055 */     // GIR_Coverage, 11753,
     /* 166055 */     GIR_EraseRootFromParent_Done,
     /* 166056 */   // Label 3176: @166056
     /* 166056 */   GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(166098), // Rule ID 11754 //
     /* 166061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnb),
     /* 166069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166079 */     // MIs[0] Op2
     /* 166079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166082 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 166087 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1843:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 166087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNB_ZZI_H),
     /* 166090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166096 */     GIR_RootConstrainSelectedInstOperands,
     /* 166097 */     // GIR_Coverage, 11754,
     /* 166097 */     GIR_EraseRootFromParent_Done,
     /* 166098 */   // Label 3177: @166098
     /* 166098 */   GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(166140), // Rule ID 11755 //
     /* 166103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnb),
     /* 166111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 166117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166121 */     // MIs[0] Op2
     /* 166121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 166129 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1843:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 166129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNB_ZZI_S),
     /* 166132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166136 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166138 */     GIR_RootConstrainSelectedInstOperands,
     /* 166139 */     // GIR_Coverage, 11755,
     /* 166139 */     GIR_EraseRootFromParent_Done,
     /* 166140 */   // Label 3178: @166140
     /* 166140 */   GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(166182), // Rule ID 11756 //
     /* 166145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnb),
     /* 166153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 166156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 166159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166163 */     // MIs[0] Op2
     /* 166163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 166171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1833:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQRSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 166171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNB_ZZI_B),
     /* 166174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166180 */     GIR_RootConstrainSelectedInstOperands,
     /* 166181 */     // GIR_Coverage, 11756,
     /* 166181 */     GIR_EraseRootFromParent_Done,
     /* 166182 */   // Label 3179: @166182
     /* 166182 */   GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(166224), // Rule ID 11757 //
     /* 166187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnb),
     /* 166195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166205 */     // MIs[0] Op2
     /* 166205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 166213 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1833:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQRSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 166213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNB_ZZI_H),
     /* 166216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166222 */     GIR_RootConstrainSelectedInstOperands,
     /* 166223 */     // GIR_Coverage, 11757,
     /* 166223 */     GIR_EraseRootFromParent_Done,
     /* 166224 */   // Label 3180: @166224
     /* 166224 */   GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(166266), // Rule ID 11758 //
     /* 166229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnb),
     /* 166237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 166243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166247 */     // MIs[0] Op2
     /* 166247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 166255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1833:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQRSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 166255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNB_ZZI_S),
     /* 166258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166264 */     GIR_RootConstrainSelectedInstOperands,
     /* 166265 */     // GIR_Coverage, 11758,
     /* 166265 */     GIR_EraseRootFromParent_Done,
     /* 166266 */   // Label 3181: @166266
     /* 166266 */   GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(166308), // Rule ID 11759 //
     /* 166271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnb),
     /* 166279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 166282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 166285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166289 */     // MIs[0] Op2
     /* 166289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 166297 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2038:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (UQSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 166297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNB_ZZI_B),
     /* 166300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166306 */     GIR_RootConstrainSelectedInstOperands,
     /* 166307 */     // GIR_Coverage, 11759,
     /* 166307 */     GIR_EraseRootFromParent_Done,
     /* 166308 */   // Label 3182: @166308
     /* 166308 */   GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(166350), // Rule ID 11760 //
     /* 166313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnb),
     /* 166321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166331 */     // MIs[0] Op2
     /* 166331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 166339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2038:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (UQSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 166339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNB_ZZI_H),
     /* 166342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166344 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166346 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166348 */     GIR_RootConstrainSelectedInstOperands,
     /* 166349 */     // GIR_Coverage, 11760,
     /* 166349 */     GIR_EraseRootFromParent_Done,
     /* 166350 */   // Label 3183: @166350
     /* 166350 */   GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(166392), // Rule ID 11761 //
     /* 166355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnb),
     /* 166363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 166369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166373 */     // MIs[0] Op2
     /* 166373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166376 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 166381 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2038:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (UQSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 166381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNB_ZZI_S),
     /* 166384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166386 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166388 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166390 */     GIR_RootConstrainSelectedInstOperands,
     /* 166391 */     // GIR_Coverage, 11761,
     /* 166391 */     GIR_EraseRootFromParent_Done,
     /* 166392 */   // Label 3184: @166392
     /* 166392 */   GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(166434), // Rule ID 11762 //
     /* 166397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnb),
     /* 166405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 166408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 166411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166415 */     // MIs[0] Op2
     /* 166415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166418 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 166423 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2035:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (UQRSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 166423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNB_ZZI_B),
     /* 166426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166432 */     GIR_RootConstrainSelectedInstOperands,
     /* 166433 */     // GIR_Coverage, 11762,
     /* 166433 */     GIR_EraseRootFromParent_Done,
     /* 166434 */   // Label 3185: @166434
     /* 166434 */   GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(166476), // Rule ID 11763 //
     /* 166439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnb),
     /* 166447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166457 */     // MIs[0] Op2
     /* 166457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166460 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 166465 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2035:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (UQRSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 166465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNB_ZZI_H),
     /* 166468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166472 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166474 */     GIR_RootConstrainSelectedInstOperands,
     /* 166475 */     // GIR_Coverage, 11763,
     /* 166475 */     GIR_EraseRootFromParent_Done,
     /* 166476 */   // Label 3186: @166476
     /* 166476 */   GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(166518), // Rule ID 11764 //
     /* 166481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnb),
     /* 166489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 166495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166499 */     // MIs[0] Op2
     /* 166499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 166507 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2035:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (UQRSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 166507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNB_ZZI_S),
     /* 166510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166512 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166514 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166516 */     GIR_RootConstrainSelectedInstOperands,
     /* 166517 */     // GIR_Coverage, 11764,
     /* 166517 */     GIR_EraseRootFromParent_Done,
     /* 166518 */   // Label 3187: @166518
     /* 166518 */   GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(166560), // Rule ID 11822 //
     /* 166523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllt),
     /* 166531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 166537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166541 */     // MIs[0] Op2
     /* 166541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 166549 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1865:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (SSHLLT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 166549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLT_ZZI_H),
     /* 166552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166556 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166558 */     GIR_RootConstrainSelectedInstOperands,
     /* 166559 */     // GIR_Coverage, 11822,
     /* 166559 */     GIR_EraseRootFromParent_Done,
     /* 166560 */   // Label 3188: @166560
     /* 166560 */   GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(166602), // Rule ID 11823 //
     /* 166565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllt),
     /* 166573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 166579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166583 */     // MIs[0] Op2
     /* 166583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166586 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 166591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1865:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (SSHLLT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 166591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLT_ZZI_S),
     /* 166594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166598 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166600 */     GIR_RootConstrainSelectedInstOperands,
     /* 166601 */     // GIR_Coverage, 11823,
     /* 166601 */     GIR_EraseRootFromParent_Done,
     /* 166602 */   // Label 3189: @166602
     /* 166602 */   GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(166644), // Rule ID 11824 //
     /* 166607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllt),
     /* 166615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 166618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166625 */     // MIs[0] Op2
     /* 166625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166628 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 166633 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1865:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (SSHLLT_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 166633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLT_ZZI_D),
     /* 166636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166642 */     GIR_RootConstrainSelectedInstOperands,
     /* 166643 */     // GIR_Coverage, 11824,
     /* 166643 */     GIR_EraseRootFromParent_Done,
     /* 166644 */   // Label 3190: @166644
     /* 166644 */   GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(166686), // Rule ID 11825 //
     /* 166649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllb),
     /* 166657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 166663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166667 */     // MIs[0] Op2
     /* 166667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 166675 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2058:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (USHLLB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 166675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLB_ZZI_H),
     /* 166678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166682 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166684 */     GIR_RootConstrainSelectedInstOperands,
     /* 166685 */     // GIR_Coverage, 11825,
     /* 166685 */     GIR_EraseRootFromParent_Done,
     /* 166686 */   // Label 3191: @166686
     /* 166686 */   GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(166728), // Rule ID 11826 //
     /* 166691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllb),
     /* 166699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 166705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166709 */     // MIs[0] Op2
     /* 166709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166712 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 166717 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2058:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (USHLLB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 166717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLB_ZZI_S),
     /* 166720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166726 */     GIR_RootConstrainSelectedInstOperands,
     /* 166727 */     // GIR_Coverage, 11826,
     /* 166727 */     GIR_EraseRootFromParent_Done,
     /* 166728 */   // Label 3192: @166728
     /* 166728 */   GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(166770), // Rule ID 11827 //
     /* 166733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllb),
     /* 166741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 166744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166751 */     // MIs[0] Op2
     /* 166751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166754 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 166759 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2058:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (USHLLB_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 166759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLB_ZZI_D),
     /* 166762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166766 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166768 */     GIR_RootConstrainSelectedInstOperands,
     /* 166769 */     // GIR_Coverage, 11827,
     /* 166769 */     GIR_EraseRootFromParent_Done,
     /* 166770 */   // Label 3193: @166770
     /* 166770 */   GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(166812), // Rule ID 11828 //
     /* 166775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllt),
     /* 166783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 166789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166793 */     // MIs[0] Op2
     /* 166793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166796 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 166801 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2059:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (USHLLT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 166801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLT_ZZI_H),
     /* 166804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166810 */     GIR_RootConstrainSelectedInstOperands,
     /* 166811 */     // GIR_Coverage, 11828,
     /* 166811 */     GIR_EraseRootFromParent_Done,
     /* 166812 */   // Label 3194: @166812
     /* 166812 */   GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(166854), // Rule ID 11829 //
     /* 166817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllt),
     /* 166825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 166831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166835 */     // MIs[0] Op2
     /* 166835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 166843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2059:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (USHLLT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 166843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLT_ZZI_S),
     /* 166846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166850 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166852 */     GIR_RootConstrainSelectedInstOperands,
     /* 166853 */     // GIR_Coverage, 11829,
     /* 166853 */     GIR_EraseRootFromParent_Done,
     /* 166854 */   // Label 3195: @166854
     /* 166854 */   GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(166896), // Rule ID 11830 //
     /* 166859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllt),
     /* 166867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 166870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166877 */     // MIs[0] Op2
     /* 166877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 166885 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2059:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (USHLLT_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 166885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLT_ZZI_D),
     /* 166888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166892 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166894 */     GIR_RootConstrainSelectedInstOperands,
     /* 166895 */     // GIR_Coverage, 11830,
     /* 166895 */     GIR_EraseRootFromParent_Done,
     /* 166896 */   // Label 3196: @166896
     /* 166896 */   GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(166948), // Rule ID 2132 //
     /* 166901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 166904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 166909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 166912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 166915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166934 */     // MIs[1] Operand 1
     /* 166934 */     // No operand predicates
     /* 166934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166936 */     // (intrinsic_wo_chain:{ *:[v4i16] } 762:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv4i16_shift:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4i16_shift),
     /* 166939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166946 */     GIR_RootConstrainSelectedInstOperands,
     /* 166947 */     // GIR_Coverage, 2132,
     /* 166947 */     GIR_EraseRootFromParent_Done,
     /* 166948 */   // Label 3197: @166948
     /* 166948 */   GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(167000), // Rule ID 2133 //
     /* 166953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 166956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 166961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 166964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 166967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166986 */     // MIs[1] Operand 1
     /* 166986 */     // No operand predicates
     /* 166986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166988 */     // (intrinsic_wo_chain:{ *:[v8i16] } 762:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv8i16_shift:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8i16_shift),
     /* 166991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166998 */     GIR_RootConstrainSelectedInstOperands,
     /* 166999 */     // GIR_Coverage, 2133,
     /* 166999 */     GIR_EraseRootFromParent_Done,
     /* 167000 */   // Label 3198: @167000
     /* 167000 */   GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(167052), // Rule ID 2134 //
     /* 167005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 167013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 167016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 167019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167038 */     // MIs[1] Operand 1
     /* 167038 */     // No operand predicates
     /* 167038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167040 */     // (intrinsic_wo_chain:{ *:[v2i32] } 762:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv2i32_shift:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2i32_shift),
     /* 167043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167050 */     GIR_RootConstrainSelectedInstOperands,
     /* 167051 */     // GIR_Coverage, 2134,
     /* 167051 */     GIR_EraseRootFromParent_Done,
     /* 167052 */   // Label 3199: @167052
     /* 167052 */   GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(167104), // Rule ID 2135 //
     /* 167057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 167065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167090 */     // MIs[1] Operand 1
     /* 167090 */     // No operand predicates
     /* 167090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167092 */     // (intrinsic_wo_chain:{ *:[v4i32] } 762:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv4i32_shift:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4i32_shift),
     /* 167095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167102 */     GIR_RootConstrainSelectedInstOperands,
     /* 167103 */     // GIR_Coverage, 2135,
     /* 167103 */     GIR_EraseRootFromParent_Done,
     /* 167104 */   // Label 3200: @167104
     /* 167104 */   GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(167156), // Rule ID 2136 //
     /* 167109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 167117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 167120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 167123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167142 */     // MIs[1] Operand 1
     /* 167142 */     // No operand predicates
     /* 167142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167144 */     // (intrinsic_wo_chain:{ *:[v2i64] } 762:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv2i64_shift:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2i64_shift),
     /* 167147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167154 */     GIR_RootConstrainSelectedInstOperands,
     /* 167155 */     // GIR_Coverage, 2136,
     /* 167155 */     GIR_EraseRootFromParent_Done,
     /* 167156 */   // Label 3201: @167156
     /* 167156 */   GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(167208), // Rule ID 2137 //
     /* 167161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 167164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 167169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 167172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 167175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167194 */     // MIs[1] Operand 1
     /* 167194 */     // No operand predicates
     /* 167194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167196 */     // (intrinsic_wo_chain:{ *:[v4i16] } 763:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv4i16_shift:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4i16_shift),
     /* 167199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167206 */     GIR_RootConstrainSelectedInstOperands,
     /* 167207 */     // GIR_Coverage, 2137,
     /* 167207 */     GIR_EraseRootFromParent_Done,
     /* 167208 */   // Label 3202: @167208
     /* 167208 */   GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(167260), // Rule ID 2138 //
     /* 167213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 167216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 167221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 167224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 167227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167246 */     // MIs[1] Operand 1
     /* 167246 */     // No operand predicates
     /* 167246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167248 */     // (intrinsic_wo_chain:{ *:[v8i16] } 763:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv8i16_shift:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8i16_shift),
     /* 167251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167258 */     GIR_RootConstrainSelectedInstOperands,
     /* 167259 */     // GIR_Coverage, 2138,
     /* 167259 */     GIR_EraseRootFromParent_Done,
     /* 167260 */   // Label 3203: @167260
     /* 167260 */   GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(167312), // Rule ID 2139 //
     /* 167265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 167273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 167276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 167279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167298 */     // MIs[1] Operand 1
     /* 167298 */     // No operand predicates
     /* 167298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167300 */     // (intrinsic_wo_chain:{ *:[v2i32] } 763:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv2i32_shift:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2i32_shift),
     /* 167303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167310 */     GIR_RootConstrainSelectedInstOperands,
     /* 167311 */     // GIR_Coverage, 2139,
     /* 167311 */     GIR_EraseRootFromParent_Done,
     /* 167312 */   // Label 3204: @167312
     /* 167312 */   GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(167364), // Rule ID 2140 //
     /* 167317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 167325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167350 */     // MIs[1] Operand 1
     /* 167350 */     // No operand predicates
     /* 167350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167352 */     // (intrinsic_wo_chain:{ *:[v4i32] } 763:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv4i32_shift:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4i32_shift),
     /* 167355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167362 */     GIR_RootConstrainSelectedInstOperands,
     /* 167363 */     // GIR_Coverage, 2140,
     /* 167363 */     GIR_EraseRootFromParent_Done,
     /* 167364 */   // Label 3205: @167364
     /* 167364 */   GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(167416), // Rule ID 2141 //
     /* 167369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 167377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 167380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 167383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167402 */     // MIs[1] Operand 1
     /* 167402 */     // No operand predicates
     /* 167402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167404 */     // (intrinsic_wo_chain:{ *:[v2i64] } 763:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv2i64_shift:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2i64_shift),
     /* 167407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167414 */     GIR_RootConstrainSelectedInstOperands,
     /* 167415 */     // GIR_Coverage, 2141,
     /* 167415 */     GIR_EraseRootFromParent_Done,
     /* 167416 */   // Label 3206: @167416
     /* 167416 */   GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(167468), // Rule ID 2142 //
     /* 167421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 167424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 167429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 167432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 167435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167454 */     // MIs[1] Operand 1
     /* 167454 */     // No operand predicates
     /* 167454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167456 */     // (intrinsic_wo_chain:{ *:[v4f16] } 765:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv4i16_shift:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4i16_shift),
     /* 167459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167466 */     GIR_RootConstrainSelectedInstOperands,
     /* 167467 */     // GIR_Coverage, 2142,
     /* 167467 */     GIR_EraseRootFromParent_Done,
     /* 167468 */   // Label 3207: @167468
     /* 167468 */   GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(167520), // Rule ID 2143 //
     /* 167473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 167476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 167481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 167484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 167487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167506 */     // MIs[1] Operand 1
     /* 167506 */     // No operand predicates
     /* 167506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167508 */     // (intrinsic_wo_chain:{ *:[v8f16] } 765:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv8i16_shift:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv8i16_shift),
     /* 167511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167518 */     GIR_RootConstrainSelectedInstOperands,
     /* 167519 */     // GIR_Coverage, 2143,
     /* 167519 */     GIR_EraseRootFromParent_Done,
     /* 167520 */   // Label 3208: @167520
     /* 167520 */   GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(167572), // Rule ID 2144 //
     /* 167525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 167533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 167536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 167539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167558 */     // MIs[1] Operand 1
     /* 167558 */     // No operand predicates
     /* 167558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167560 */     // (intrinsic_wo_chain:{ *:[v2f32] } 765:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv2i32_shift:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2i32_shift),
     /* 167563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167570 */     GIR_RootConstrainSelectedInstOperands,
     /* 167571 */     // GIR_Coverage, 2144,
     /* 167571 */     GIR_EraseRootFromParent_Done,
     /* 167572 */   // Label 3209: @167572
     /* 167572 */   GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(167624), // Rule ID 2145 //
     /* 167577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 167585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167610 */     // MIs[1] Operand 1
     /* 167610 */     // No operand predicates
     /* 167610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167612 */     // (intrinsic_wo_chain:{ *:[v4f32] } 765:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv4i32_shift:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4i32_shift),
     /* 167615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167617 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167622 */     GIR_RootConstrainSelectedInstOperands,
     /* 167623 */     // GIR_Coverage, 2145,
     /* 167623 */     GIR_EraseRootFromParent_Done,
     /* 167624 */   // Label 3210: @167624
     /* 167624 */   GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(167676), // Rule ID 2146 //
     /* 167629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 167637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 167640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 167643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167662 */     // MIs[1] Operand 1
     /* 167662 */     // No operand predicates
     /* 167662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167664 */     // (intrinsic_wo_chain:{ *:[v2f64] } 765:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv2i64_shift:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2i64_shift),
     /* 167667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167669 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167674 */     GIR_RootConstrainSelectedInstOperands,
     /* 167675 */     // GIR_Coverage, 2146,
     /* 167675 */     GIR_EraseRootFromParent_Done,
     /* 167676 */   // Label 3211: @167676
     /* 167676 */   GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(167728), // Rule ID 2244 //
     /* 167681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 167684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 167689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 167692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 167695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167714 */     // MIs[1] Operand 1
     /* 167714 */     // No operand predicates
     /* 167714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167716 */     // (intrinsic_wo_chain:{ *:[v4f16] } 766:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv4i16_shift:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4i16_shift),
     /* 167719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167726 */     GIR_RootConstrainSelectedInstOperands,
     /* 167727 */     // GIR_Coverage, 2244,
     /* 167727 */     GIR_EraseRootFromParent_Done,
     /* 167728 */   // Label 3212: @167728
     /* 167728 */   GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(167780), // Rule ID 2245 //
     /* 167733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 167736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 167741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 167744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 167747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167766 */     // MIs[1] Operand 1
     /* 167766 */     // No operand predicates
     /* 167766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167768 */     // (intrinsic_wo_chain:{ *:[v8f16] } 766:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv8i16_shift:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv8i16_shift),
     /* 167771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167778 */     GIR_RootConstrainSelectedInstOperands,
     /* 167779 */     // GIR_Coverage, 2245,
     /* 167779 */     GIR_EraseRootFromParent_Done,
     /* 167780 */   // Label 3213: @167780
     /* 167780 */   GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(167832), // Rule ID 2246 //
     /* 167785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 167793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 167796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 167799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167818 */     // MIs[1] Operand 1
     /* 167818 */     // No operand predicates
     /* 167818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167820 */     // (intrinsic_wo_chain:{ *:[v2f32] } 766:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv2i32_shift:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2i32_shift),
     /* 167823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167830 */     GIR_RootConstrainSelectedInstOperands,
     /* 167831 */     // GIR_Coverage, 2246,
     /* 167831 */     GIR_EraseRootFromParent_Done,
     /* 167832 */   // Label 3214: @167832
     /* 167832 */   GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(167884), // Rule ID 2247 //
     /* 167837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 167845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167870 */     // MIs[1] Operand 1
     /* 167870 */     // No operand predicates
     /* 167870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167872 */     // (intrinsic_wo_chain:{ *:[v4f32] } 766:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv4i32_shift:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4i32_shift),
     /* 167875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167882 */     GIR_RootConstrainSelectedInstOperands,
     /* 167883 */     // GIR_Coverage, 2247,
     /* 167883 */     GIR_EraseRootFromParent_Done,
     /* 167884 */   // Label 3215: @167884
     /* 167884 */   GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(167936), // Rule ID 2248 //
     /* 167889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 167897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 167900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 167903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167922 */     // MIs[1] Operand 1
     /* 167922 */     // No operand predicates
     /* 167922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167924 */     // (intrinsic_wo_chain:{ *:[v2f64] } 766:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv2i64_shift:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2i64_shift),
     /* 167927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167934 */     GIR_RootConstrainSelectedInstOperands,
     /* 167935 */     // GIR_Coverage, 2248,
     /* 167935 */     GIR_EraseRootFromParent_Done,
     /* 167936 */   // Label 3216: @167936
     /* 167936 */   GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(167981), // Rule ID 63 //
     /* 167941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 167944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign_generic),
     /* 167949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 167952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 167955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 167958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 167962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 167966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 167970 */     // (intrinsic_wo_chain:{ *:[i64] } 297:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)  =>  (PACGA:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)
     /* 167970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACGA),
     /* 167973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167979 */     GIR_RootConstrainSelectedInstOperands,
     /* 167980 */     // GIR_Coverage, 63,
     /* 167980 */     GIR_EraseRootFromParent_Done,
     /* 167981 */   // Label 3217: @167981
     /* 167981 */   GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(168026), // Rule ID 129 //
     /* 167986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32b),
     /* 167994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 168000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 168003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168015 */     // (intrinsic_wo_chain:{ *:[i32] } 503:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32Brr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 168015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Brr),
     /* 168018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168024 */     GIR_RootConstrainSelectedInstOperands,
     /* 168025 */     // GIR_Coverage, 129,
     /* 168025 */     GIR_EraseRootFromParent_Done,
     /* 168026 */   // Label 3218: @168026
     /* 168026 */   GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(168071), // Rule ID 130 //
     /* 168031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 168034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32h),
     /* 168039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 168042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 168045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 168048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168060 */     // (intrinsic_wo_chain:{ *:[i32] } 508:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32Hrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 168060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Hrr),
     /* 168063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168067 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168069 */     GIR_RootConstrainSelectedInstOperands,
     /* 168070 */     // GIR_Coverage, 130,
     /* 168070 */     GIR_EraseRootFromParent_Done,
     /* 168071 */   // Label 3219: @168071
     /* 168071 */   GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(168116), // Rule ID 131 //
     /* 168076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 168079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32w),
     /* 168084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 168087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 168090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 168093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168105 */     // (intrinsic_wo_chain:{ *:[i32] } 509:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32Wrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 168105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Wrr),
     /* 168108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168114 */     GIR_RootConstrainSelectedInstOperands,
     /* 168115 */     // GIR_Coverage, 131,
     /* 168115 */     GIR_EraseRootFromParent_Done,
     /* 168116 */   // Label 3220: @168116
     /* 168116 */   GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(168161), // Rule ID 132 //
     /* 168121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 168124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32x),
     /* 168129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 168132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 168135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 168138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 168150 */     // (intrinsic_wo_chain:{ *:[i32] } 510:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (CRC32Xrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 168150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Xrr),
     /* 168153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168157 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168159 */     GIR_RootConstrainSelectedInstOperands,
     /* 168160 */     // GIR_Coverage, 132,
     /* 168160 */     GIR_EraseRootFromParent_Done,
     /* 168161 */   // Label 3221: @168161
     /* 168161 */   GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(168206), // Rule ID 133 //
     /* 168166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 168169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32cb),
     /* 168174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 168177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 168180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 168183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168195 */     // (intrinsic_wo_chain:{ *:[i32] } 504:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32CBrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 168195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CBrr),
     /* 168198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168202 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168204 */     GIR_RootConstrainSelectedInstOperands,
     /* 168205 */     // GIR_Coverage, 133,
     /* 168205 */     GIR_EraseRootFromParent_Done,
     /* 168206 */   // Label 3222: @168206
     /* 168206 */   GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(168251), // Rule ID 134 //
     /* 168211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 168214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32ch),
     /* 168219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 168222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 168225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 168228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168240 */     // (intrinsic_wo_chain:{ *:[i32] } 505:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32CHrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 168240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CHrr),
     /* 168243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168247 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168249 */     GIR_RootConstrainSelectedInstOperands,
     /* 168250 */     // GIR_Coverage, 134,
     /* 168250 */     GIR_EraseRootFromParent_Done,
     /* 168251 */   // Label 3223: @168251
     /* 168251 */   GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(168296), // Rule ID 135 //
     /* 168256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 168259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32cw),
     /* 168264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 168267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 168270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 168273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168285 */     // (intrinsic_wo_chain:{ *:[i32] } 506:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32CWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 168285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CWrr),
     /* 168288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168292 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168294 */     GIR_RootConstrainSelectedInstOperands,
     /* 168295 */     // GIR_Coverage, 135,
     /* 168295 */     GIR_EraseRootFromParent_Done,
     /* 168296 */   // Label 3224: @168296
     /* 168296 */   GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(168341), // Rule ID 136 //
     /* 168301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 168304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32cx),
     /* 168309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 168312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 168315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 168318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 168330 */     // (intrinsic_wo_chain:{ *:[i32] } 507:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (CRC32CXrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 168330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CXrr),
     /* 168333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168337 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168339 */     GIR_RootConstrainSelectedInstOperands,
     /* 168340 */     // GIR_Coverage, 136,
     /* 168340 */     GIR_EraseRootFromParent_Done,
     /* 168341 */   // Label 3225: @168341
     /* 168341 */   GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(168386), // Rule ID 1042 //
     /* 168346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 168357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 168360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 168363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168375 */     // (intrinsic_wo_chain:{ *:[v8i8] } 715:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)  =>  (SUQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /* 168375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv8i8),
     /* 168378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168384 */     GIR_RootConstrainSelectedInstOperands,
     /* 168385 */     // GIR_Coverage, 1042,
     /* 168385 */     GIR_EraseRootFromParent_Done,
     /* 168386 */   // Label 3226: @168386
     /* 168386 */   GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(168431), // Rule ID 1043 //
     /* 168391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 168402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 168405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 168408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168420 */     // (intrinsic_wo_chain:{ *:[v16i8] } 715:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (SUQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 168420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv16i8),
     /* 168423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168425 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168427 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168429 */     GIR_RootConstrainSelectedInstOperands,
     /* 168430 */     // GIR_Coverage, 1043,
     /* 168430 */     GIR_EraseRootFromParent_Done,
     /* 168431 */   // Label 3227: @168431
     /* 168431 */   GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(168476), // Rule ID 1044 //
     /* 168436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168465 */     // (intrinsic_wo_chain:{ *:[v4i16] } 715:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)  =>  (SUQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /* 168465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv4i16),
     /* 168468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168472 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168474 */     GIR_RootConstrainSelectedInstOperands,
     /* 168475 */     // GIR_Coverage, 1044,
     /* 168475 */     GIR_EraseRootFromParent_Done,
     /* 168476 */   // Label 3228: @168476
     /* 168476 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(168521), // Rule ID 1045 //
     /* 168481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168510 */     // (intrinsic_wo_chain:{ *:[v8i16] } 715:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)  =>  (SUQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /* 168510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv8i16),
     /* 168513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168515 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168517 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168519 */     GIR_RootConstrainSelectedInstOperands,
     /* 168520 */     // GIR_Coverage, 1045,
     /* 168520 */     GIR_EraseRootFromParent_Done,
     /* 168521 */   // Label 3229: @168521
     /* 168521 */   GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(168566), // Rule ID 1046 //
     /* 168526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168555 */     // (intrinsic_wo_chain:{ *:[v2i32] } 715:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)  =>  (SUQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /* 168555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv2i32),
     /* 168558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168564 */     GIR_RootConstrainSelectedInstOperands,
     /* 168565 */     // GIR_Coverage, 1046,
     /* 168565 */     GIR_EraseRootFromParent_Done,
     /* 168566 */   // Label 3230: @168566
     /* 168566 */   GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(168611), // Rule ID 1047 //
     /* 168571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 168582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 168585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 168588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168600 */     // (intrinsic_wo_chain:{ *:[v4i32] } 715:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (SUQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 168600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv4i32),
     /* 168603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168607 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168609 */     GIR_RootConstrainSelectedInstOperands,
     /* 168610 */     // GIR_Coverage, 1047,
     /* 168610 */     GIR_EraseRootFromParent_Done,
     /* 168611 */   // Label 3231: @168611
     /* 168611 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(168656), // Rule ID 1048 //
     /* 168616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 168627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 168630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 168633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168645 */     // (intrinsic_wo_chain:{ *:[v2i64] } 715:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)  =>  (SUQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)
     /* 168645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv2i64),
     /* 168648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168654 */     GIR_RootConstrainSelectedInstOperands,
     /* 168655 */     // GIR_Coverage, 1048,
     /* 168655 */     GIR_EraseRootFromParent_Done,
     /* 168656 */   // Label 3232: @168656
     /* 168656 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(168701), // Rule ID 1090 //
     /* 168661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 168672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 168675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 168678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168690 */     // (intrinsic_wo_chain:{ *:[v8i8] } 754:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)  =>  (USQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /* 168690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv8i8),
     /* 168693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168695 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168699 */     GIR_RootConstrainSelectedInstOperands,
     /* 168700 */     // GIR_Coverage, 1090,
     /* 168700 */     GIR_EraseRootFromParent_Done,
     /* 168701 */   // Label 3233: @168701
     /* 168701 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(168746), // Rule ID 1091 //
     /* 168706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 168717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 168720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 168723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168735 */     // (intrinsic_wo_chain:{ *:[v16i8] } 754:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (USQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 168735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv16i8),
     /* 168738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168744 */     GIR_RootConstrainSelectedInstOperands,
     /* 168745 */     // GIR_Coverage, 1091,
     /* 168745 */     GIR_EraseRootFromParent_Done,
     /* 168746 */   // Label 3234: @168746
     /* 168746 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(168791), // Rule ID 1092 //
     /* 168751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168780 */     // (intrinsic_wo_chain:{ *:[v4i16] } 754:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)  =>  (USQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /* 168780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv4i16),
     /* 168783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168789 */     GIR_RootConstrainSelectedInstOperands,
     /* 168790 */     // GIR_Coverage, 1092,
     /* 168790 */     GIR_EraseRootFromParent_Done,
     /* 168791 */   // Label 3235: @168791
     /* 168791 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(168836), // Rule ID 1093 //
     /* 168796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168825 */     // (intrinsic_wo_chain:{ *:[v8i16] } 754:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)  =>  (USQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /* 168825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv8i16),
     /* 168828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168832 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168834 */     GIR_RootConstrainSelectedInstOperands,
     /* 168835 */     // GIR_Coverage, 1093,
     /* 168835 */     GIR_EraseRootFromParent_Done,
     /* 168836 */   // Label 3236: @168836
     /* 168836 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(168881), // Rule ID 1094 //
     /* 168841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168870 */     // (intrinsic_wo_chain:{ *:[v2i32] } 754:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)  =>  (USQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /* 168870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv2i32),
     /* 168873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168875 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168877 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168879 */     GIR_RootConstrainSelectedInstOperands,
     /* 168880 */     // GIR_Coverage, 1094,
     /* 168880 */     GIR_EraseRootFromParent_Done,
     /* 168881 */   // Label 3237: @168881
     /* 168881 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(168926), // Rule ID 1095 //
     /* 168886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 168897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 168900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 168903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168915 */     // (intrinsic_wo_chain:{ *:[v4i32] } 754:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (USQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 168915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv4i32),
     /* 168918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168922 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168924 */     GIR_RootConstrainSelectedInstOperands,
     /* 168925 */     // GIR_Coverage, 1095,
     /* 168925 */     GIR_EraseRootFromParent_Done,
     /* 168926 */   // Label 3238: @168926
     /* 168926 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(168971), // Rule ID 1096 //
     /* 168931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 168942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 168945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 168948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168960 */     // (intrinsic_wo_chain:{ *:[v2i64] } 754:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)  =>  (USQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)
     /* 168960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv2i64),
     /* 168963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168967 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168969 */     GIR_RootConstrainSelectedInstOperands,
     /* 168970 */     // GIR_Coverage, 1096,
     /* 168970 */     GIR_EraseRootFromParent_Done,
     /* 168971 */   // Label 3239: @168971
     /* 168971 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(169016), // Rule ID 1108 //
     /* 168976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 168987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 168990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 168993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169005 */     // (intrinsic_wo_chain:{ *:[v8i8] } 570:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ADDPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 169005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i8),
     /* 169008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169010 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169012 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169014 */     GIR_RootConstrainSelectedInstOperands,
     /* 169015 */     // GIR_Coverage, 1108,
     /* 169015 */     GIR_EraseRootFromParent_Done,
     /* 169016 */   // Label 3240: @169016
     /* 169016 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(169061), // Rule ID 1110 //
     /* 169021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 169029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 169032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 169035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 169038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169050 */     // (intrinsic_wo_chain:{ *:[v16i8] } 570:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ADDPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 169050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /* 169053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169059 */     GIR_RootConstrainSelectedInstOperands,
     /* 169060 */     // GIR_Coverage, 1110,
     /* 169060 */     GIR_EraseRootFromParent_Done,
     /* 169061 */   // Label 3241: @169061
     /* 169061 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(169106), // Rule ID 1112 //
     /* 169066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 169074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169095 */     // (intrinsic_wo_chain:{ *:[v4i16] } 570:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ADDPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 169095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i16),
     /* 169098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169100 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169102 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169104 */     GIR_RootConstrainSelectedInstOperands,
     /* 169105 */     // GIR_Coverage, 1112,
     /* 169105 */     GIR_EraseRootFromParent_Done,
     /* 169106 */   // Label 3242: @169106
     /* 169106 */   GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(169151), // Rule ID 1114 //
     /* 169111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 169119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169140 */     // (intrinsic_wo_chain:{ *:[v8i16] } 570:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ADDPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 169140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /* 169143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169147 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169149 */     GIR_RootConstrainSelectedInstOperands,
     /* 169150 */     // GIR_Coverage, 1114,
     /* 169150 */     GIR_EraseRootFromParent_Done,
     /* 169151 */   // Label 3243: @169151
     /* 169151 */   GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(169196), // Rule ID 1116 //
     /* 169156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 169164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169185 */     // (intrinsic_wo_chain:{ *:[v2i32] } 570:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ADDPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 169185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 169188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169194 */     GIR_RootConstrainSelectedInstOperands,
     /* 169195 */     // GIR_Coverage, 1116,
     /* 169195 */     GIR_EraseRootFromParent_Done,
     /* 169196 */   // Label 3244: @169196
     /* 169196 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(169241), // Rule ID 1118 //
     /* 169201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 169209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169230 */     // (intrinsic_wo_chain:{ *:[v4i32] } 570:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ADDPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 169230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /* 169233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169235 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169239 */     GIR_RootConstrainSelectedInstOperands,
     /* 169240 */     // GIR_Coverage, 1118,
     /* 169240 */     GIR_EraseRootFromParent_Done,
     /* 169241 */   // Label 3245: @169241
     /* 169241 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(169286), // Rule ID 1120 //
     /* 169246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 169254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169275 */     // (intrinsic_wo_chain:{ *:[v2i64] } 570:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ADDPv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 169275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64),
     /* 169278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169284 */     GIR_RootConstrainSelectedInstOperands,
     /* 169285 */     // GIR_Coverage, 1120,
     /* 169285 */     GIR_EraseRootFromParent_Done,
     /* 169286 */   // Label 3246: @169286
     /* 169286 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(169331), // Rule ID 1163 //
     /* 169291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 169299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169320 */     // (intrinsic_wo_chain:{ *:[v4f16] } 576:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FABDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f16),
     /* 169323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169327 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169329 */     GIR_RootConstrainSelectedInstOperands,
     /* 169330 */     // GIR_Coverage, 1163,
     /* 169330 */     GIR_EraseRootFromParent_Done,
     /* 169331 */   // Label 3247: @169331
     /* 169331 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(169376), // Rule ID 1164 //
     /* 169336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 169344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169365 */     // (intrinsic_wo_chain:{ *:[v8f16] } 576:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FABDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 169365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv8f16),
     /* 169368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169374 */     GIR_RootConstrainSelectedInstOperands,
     /* 169375 */     // GIR_Coverage, 1164,
     /* 169375 */     GIR_EraseRootFromParent_Done,
     /* 169376 */   // Label 3248: @169376
     /* 169376 */   GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(169421), // Rule ID 1165 //
     /* 169381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 169389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169410 */     // (intrinsic_wo_chain:{ *:[v2f32] } 576:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FABDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 169410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f32),
     /* 169413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169419 */     GIR_RootConstrainSelectedInstOperands,
     /* 169420 */     // GIR_Coverage, 1165,
     /* 169420 */     GIR_EraseRootFromParent_Done,
     /* 169421 */   // Label 3249: @169421
     /* 169421 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(169466), // Rule ID 1166 //
     /* 169426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 169434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169455 */     // (intrinsic_wo_chain:{ *:[v4f32] } 576:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FABDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 169455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f32),
     /* 169458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169462 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169464 */     GIR_RootConstrainSelectedInstOperands,
     /* 169465 */     // GIR_Coverage, 1166,
     /* 169465 */     GIR_EraseRootFromParent_Done,
     /* 169466 */   // Label 3250: @169466
     /* 169466 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(169511), // Rule ID 1167 //
     /* 169471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 169479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169500 */     // (intrinsic_wo_chain:{ *:[v2f64] } 576:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FABDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 169500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f64),
     /* 169503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169507 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169509 */     GIR_RootConstrainSelectedInstOperands,
     /* 169510 */     // GIR_Coverage, 1167,
     /* 169510 */     GIR_EraseRootFromParent_Done,
     /* 169511 */   // Label 3251: @169511
     /* 169511 */   GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(169556), // Rule ID 1169 //
     /* 169516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 169524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169545 */     // (intrinsic_wo_chain:{ *:[v4i16] } 577:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FACGEv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f16),
     /* 169548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169554 */     GIR_RootConstrainSelectedInstOperands,
     /* 169555 */     // GIR_Coverage, 1169,
     /* 169555 */     GIR_EraseRootFromParent_Done,
     /* 169556 */   // Label 3252: @169556
     /* 169556 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(169601), // Rule ID 1171 //
     /* 169561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 169569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169590 */     // (intrinsic_wo_chain:{ *:[v8i16] } 577:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FACGEv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 169590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv8f16),
     /* 169593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169597 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169599 */     GIR_RootConstrainSelectedInstOperands,
     /* 169600 */     // GIR_Coverage, 1171,
     /* 169600 */     GIR_EraseRootFromParent_Done,
     /* 169601 */   // Label 3253: @169601
     /* 169601 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(169646), // Rule ID 1173 //
     /* 169606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 169614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169635 */     // (intrinsic_wo_chain:{ *:[v2i32] } 577:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FACGEv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 169635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f32),
     /* 169638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169644 */     GIR_RootConstrainSelectedInstOperands,
     /* 169645 */     // GIR_Coverage, 1173,
     /* 169645 */     GIR_EraseRootFromParent_Done,
     /* 169646 */   // Label 3254: @169646
     /* 169646 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(169691), // Rule ID 1175 //
     /* 169651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 169659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169680 */     // (intrinsic_wo_chain:{ *:[v4i32] } 577:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FACGEv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 169680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f32),
     /* 169683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169689 */     GIR_RootConstrainSelectedInstOperands,
     /* 169690 */     // GIR_Coverage, 1175,
     /* 169690 */     GIR_EraseRootFromParent_Done,
     /* 169691 */   // Label 3255: @169691
     /* 169691 */   GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(169736), // Rule ID 1177 //
     /* 169696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 169704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169725 */     // (intrinsic_wo_chain:{ *:[v2i64] } 577:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FACGEv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 169725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f64),
     /* 169728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169732 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169734 */     GIR_RootConstrainSelectedInstOperands,
     /* 169735 */     // GIR_Coverage, 1177,
     /* 169735 */     GIR_EraseRootFromParent_Done,
     /* 169736 */   // Label 3256: @169736
     /* 169736 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(169781), // Rule ID 1179 //
     /* 169741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 169749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169770 */     // (intrinsic_wo_chain:{ *:[v4i16] } 578:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FACGTv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f16),
     /* 169773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169777 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169779 */     GIR_RootConstrainSelectedInstOperands,
     /* 169780 */     // GIR_Coverage, 1179,
     /* 169780 */     GIR_EraseRootFromParent_Done,
     /* 169781 */   // Label 3257: @169781
     /* 169781 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(169826), // Rule ID 1181 //
     /* 169786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 169794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169815 */     // (intrinsic_wo_chain:{ *:[v8i16] } 578:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FACGTv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 169815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv8f16),
     /* 169818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169822 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169824 */     GIR_RootConstrainSelectedInstOperands,
     /* 169825 */     // GIR_Coverage, 1181,
     /* 169825 */     GIR_EraseRootFromParent_Done,
     /* 169826 */   // Label 3258: @169826
     /* 169826 */   GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(169871), // Rule ID 1183 //
     /* 169831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 169839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169860 */     // (intrinsic_wo_chain:{ *:[v2i32] } 578:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FACGTv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 169860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f32),
     /* 169863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169867 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169869 */     GIR_RootConstrainSelectedInstOperands,
     /* 169870 */     // GIR_Coverage, 1183,
     /* 169870 */     GIR_EraseRootFromParent_Done,
     /* 169871 */   // Label 3259: @169871
     /* 169871 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(169916), // Rule ID 1185 //
     /* 169876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 169884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169905 */     // (intrinsic_wo_chain:{ *:[v4i32] } 578:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FACGTv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 169905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f32),
     /* 169908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169914 */     GIR_RootConstrainSelectedInstOperands,
     /* 169915 */     // GIR_Coverage, 1185,
     /* 169915 */     GIR_EraseRootFromParent_Done,
     /* 169916 */   // Label 3260: @169916
     /* 169916 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(169961), // Rule ID 1187 //
     /* 169921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 169929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169950 */     // (intrinsic_wo_chain:{ *:[v2i64] } 578:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FACGTv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 169950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f64),
     /* 169953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169957 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169959 */     GIR_RootConstrainSelectedInstOperands,
     /* 169960 */     // GIR_Coverage, 1187,
     /* 169960 */     GIR_EraseRootFromParent_Done,
     /* 169961 */   // Label 3261: @169961
     /* 169961 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(170006), // Rule ID 1189 //
     /* 169966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 169974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169995 */     // (intrinsic_wo_chain:{ *:[v4f16] } 579:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FADDPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f16),
     /* 169998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170004 */     GIR_RootConstrainSelectedInstOperands,
     /* 170005 */     // GIR_Coverage, 1189,
     /* 170005 */     GIR_EraseRootFromParent_Done,
     /* 170006 */   // Label 3262: @170006
     /* 170006 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(170051), // Rule ID 1191 //
     /* 170011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 170019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170040 */     // (intrinsic_wo_chain:{ *:[v8f16] } 579:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FADDPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 170043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170049 */     GIR_RootConstrainSelectedInstOperands,
     /* 170050 */     // GIR_Coverage, 1191,
     /* 170050 */     GIR_EraseRootFromParent_Done,
     /* 170051 */   // Label 3263: @170051
     /* 170051 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(170096), // Rule ID 1193 //
     /* 170056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 170064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170085 */     // (intrinsic_wo_chain:{ *:[v2f32] } 579:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FADDPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f32),
     /* 170088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170094 */     GIR_RootConstrainSelectedInstOperands,
     /* 170095 */     // GIR_Coverage, 1193,
     /* 170095 */     GIR_EraseRootFromParent_Done,
     /* 170096 */   // Label 3264: @170096
     /* 170096 */   GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(170141), // Rule ID 1195 //
     /* 170101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 170109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170130 */     // (intrinsic_wo_chain:{ *:[v4f32] } 579:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FADDPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 170130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 170133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170135 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170137 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170139 */     GIR_RootConstrainSelectedInstOperands,
     /* 170140 */     // GIR_Coverage, 1195,
     /* 170140 */     GIR_EraseRootFromParent_Done,
     /* 170141 */   // Label 3265: @170141
     /* 170141 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(170186), // Rule ID 1197 //
     /* 170146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 170154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170175 */     // (intrinsic_wo_chain:{ *:[v2f64] } 579:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FADDPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 170175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f64),
     /* 170178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170184 */     GIR_RootConstrainSelectedInstOperands,
     /* 170185 */     // GIR_Coverage, 1197,
     /* 170185 */     GIR_EraseRootFromParent_Done,
     /* 170186 */   // Label 3266: @170186
     /* 170186 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(170231), // Rule ID 1233 //
     /* 170191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 170199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170220 */     // (intrinsic_wo_chain:{ *:[v4f16] } 596:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXNMPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 170220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv4f16),
     /* 170223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170229 */     GIR_RootConstrainSelectedInstOperands,
     /* 170230 */     // GIR_Coverage, 1233,
     /* 170230 */     GIR_EraseRootFromParent_Done,
     /* 170231 */   // Label 3267: @170231
     /* 170231 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(170276), // Rule ID 1234 //
     /* 170236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 170244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170265 */     // (intrinsic_wo_chain:{ *:[v8f16] } 596:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXNMPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv8f16),
     /* 170268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170270 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170272 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170274 */     GIR_RootConstrainSelectedInstOperands,
     /* 170275 */     // GIR_Coverage, 1234,
     /* 170275 */     GIR_EraseRootFromParent_Done,
     /* 170276 */   // Label 3268: @170276
     /* 170276 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(170321), // Rule ID 1235 //
     /* 170281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 170289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170310 */     // (intrinsic_wo_chain:{ *:[v2f32] } 596:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXNMPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2f32),
     /* 170313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170317 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170319 */     GIR_RootConstrainSelectedInstOperands,
     /* 170320 */     // GIR_Coverage, 1235,
     /* 170320 */     GIR_EraseRootFromParent_Done,
     /* 170321 */   // Label 3269: @170321
     /* 170321 */   GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(170366), // Rule ID 1236 //
     /* 170326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 170334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170355 */     // (intrinsic_wo_chain:{ *:[v4f32] } 596:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXNMPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 170355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv4f32),
     /* 170358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170362 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170364 */     GIR_RootConstrainSelectedInstOperands,
     /* 170365 */     // GIR_Coverage, 1236,
     /* 170365 */     GIR_EraseRootFromParent_Done,
     /* 170366 */   // Label 3270: @170366
     /* 170366 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(170411), // Rule ID 1237 //
     /* 170371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 170379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170400 */     // (intrinsic_wo_chain:{ *:[v2f64] } 596:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXNMPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 170400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2f64),
     /* 170403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170409 */     GIR_RootConstrainSelectedInstOperands,
     /* 170410 */     // GIR_Coverage, 1237,
     /* 170410 */     GIR_EraseRootFromParent_Done,
     /* 170411 */   // Label 3271: @170411
     /* 170411 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(170456), // Rule ID 1248 //
     /* 170416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 170424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170445 */     // (intrinsic_wo_chain:{ *:[v4f16] } 598:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 170445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv4f16),
     /* 170448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170450 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170452 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170454 */     GIR_RootConstrainSelectedInstOperands,
     /* 170455 */     // GIR_Coverage, 1248,
     /* 170455 */     GIR_EraseRootFromParent_Done,
     /* 170456 */   // Label 3272: @170456
     /* 170456 */   GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(170501), // Rule ID 1249 //
     /* 170461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 170469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170490 */     // (intrinsic_wo_chain:{ *:[v8f16] } 598:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv8f16),
     /* 170493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170495 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170497 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170499 */     GIR_RootConstrainSelectedInstOperands,
     /* 170500 */     // GIR_Coverage, 1249,
     /* 170500 */     GIR_EraseRootFromParent_Done,
     /* 170501 */   // Label 3273: @170501
     /* 170501 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(170546), // Rule ID 1250 //
     /* 170506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 170514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170535 */     // (intrinsic_wo_chain:{ *:[v2f32] } 598:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2f32),
     /* 170538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170544 */     GIR_RootConstrainSelectedInstOperands,
     /* 170545 */     // GIR_Coverage, 1250,
     /* 170545 */     GIR_EraseRootFromParent_Done,
     /* 170546 */   // Label 3274: @170546
     /* 170546 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(170591), // Rule ID 1251 //
     /* 170551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 170559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170580 */     // (intrinsic_wo_chain:{ *:[v4f32] } 598:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 170580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv4f32),
     /* 170583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170585 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170587 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170589 */     GIR_RootConstrainSelectedInstOperands,
     /* 170590 */     // GIR_Coverage, 1251,
     /* 170590 */     GIR_EraseRootFromParent_Done,
     /* 170591 */   // Label 3275: @170591
     /* 170591 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(170636), // Rule ID 1252 //
     /* 170596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 170604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170625 */     // (intrinsic_wo_chain:{ *:[v2f64] } 598:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 170625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2f64),
     /* 170628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170634 */     GIR_RootConstrainSelectedInstOperands,
     /* 170635 */     // GIR_Coverage, 1252,
     /* 170635 */     GIR_EraseRootFromParent_Done,
     /* 170636 */   // Label 3276: @170636
     /* 170636 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(170681), // Rule ID 1263 //
     /* 170641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 170649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170670 */     // (intrinsic_wo_chain:{ *:[v4f16] } 602:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINNMPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 170670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv4f16),
     /* 170673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170677 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170679 */     GIR_RootConstrainSelectedInstOperands,
     /* 170680 */     // GIR_Coverage, 1263,
     /* 170680 */     GIR_EraseRootFromParent_Done,
     /* 170681 */   // Label 3277: @170681
     /* 170681 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(170726), // Rule ID 1264 //
     /* 170686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 170694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170715 */     // (intrinsic_wo_chain:{ *:[v8f16] } 602:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINNMPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv8f16),
     /* 170718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170724 */     GIR_RootConstrainSelectedInstOperands,
     /* 170725 */     // GIR_Coverage, 1264,
     /* 170725 */     GIR_EraseRootFromParent_Done,
     /* 170726 */   // Label 3278: @170726
     /* 170726 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(170771), // Rule ID 1265 //
     /* 170731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 170739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170760 */     // (intrinsic_wo_chain:{ *:[v2f32] } 602:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINNMPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2f32),
     /* 170763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170765 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170767 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170769 */     GIR_RootConstrainSelectedInstOperands,
     /* 170770 */     // GIR_Coverage, 1265,
     /* 170770 */     GIR_EraseRootFromParent_Done,
     /* 170771 */   // Label 3279: @170771
     /* 170771 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(170816), // Rule ID 1266 //
     /* 170776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 170784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170805 */     // (intrinsic_wo_chain:{ *:[v4f32] } 602:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINNMPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 170805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv4f32),
     /* 170808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170814 */     GIR_RootConstrainSelectedInstOperands,
     /* 170815 */     // GIR_Coverage, 1266,
     /* 170815 */     GIR_EraseRootFromParent_Done,
     /* 170816 */   // Label 3280: @170816
     /* 170816 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(170861), // Rule ID 1267 //
     /* 170821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 170829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170850 */     // (intrinsic_wo_chain:{ *:[v2f64] } 602:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINNMPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 170850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2f64),
     /* 170853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170855 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170857 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170859 */     GIR_RootConstrainSelectedInstOperands,
     /* 170860 */     // GIR_Coverage, 1267,
     /* 170860 */     GIR_EraseRootFromParent_Done,
     /* 170861 */   // Label 3281: @170861
     /* 170861 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(170906), // Rule ID 1278 //
     /* 170866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 170874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170895 */     // (intrinsic_wo_chain:{ *:[v4f16] } 604:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 170895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv4f16),
     /* 170898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170902 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170904 */     GIR_RootConstrainSelectedInstOperands,
     /* 170905 */     // GIR_Coverage, 1278,
     /* 170905 */     GIR_EraseRootFromParent_Done,
     /* 170906 */   // Label 3282: @170906
     /* 170906 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(170951), // Rule ID 1279 //
     /* 170911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 170919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170940 */     // (intrinsic_wo_chain:{ *:[v8f16] } 604:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv8f16),
     /* 170943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170947 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170949 */     GIR_RootConstrainSelectedInstOperands,
     /* 170950 */     // GIR_Coverage, 1279,
     /* 170950 */     GIR_EraseRootFromParent_Done,
     /* 170951 */   // Label 3283: @170951
     /* 170951 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(170996), // Rule ID 1280 //
     /* 170956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 170964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170985 */     // (intrinsic_wo_chain:{ *:[v2f32] } 604:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2f32),
     /* 170988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170992 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170994 */     GIR_RootConstrainSelectedInstOperands,
     /* 170995 */     // GIR_Coverage, 1280,
     /* 170995 */     GIR_EraseRootFromParent_Done,
     /* 170996 */   // Label 3284: @170996
     /* 170996 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(171041), // Rule ID 1281 //
     /* 171001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 171009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 171012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 171015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 171018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171030 */     // (intrinsic_wo_chain:{ *:[v4f32] } 604:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 171030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv4f32),
     /* 171033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171037 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171039 */     GIR_RootConstrainSelectedInstOperands,
     /* 171040 */     // GIR_Coverage, 1281,
     /* 171040 */     GIR_EraseRootFromParent_Done,
     /* 171041 */   // Label 3285: @171041
     /* 171041 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(171086), // Rule ID 1282 //
     /* 171046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 171054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 171057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 171060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 171063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171075 */     // (intrinsic_wo_chain:{ *:[v2f64] } 604:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 171075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2f64),
     /* 171078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171084 */     GIR_RootConstrainSelectedInstOperands,
     /* 171085 */     // GIR_Coverage, 1282,
     /* 171085 */     GIR_EraseRootFromParent_Done,
     /* 171086 */   // Label 3286: @171086
     /* 171086 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(171131), // Rule ID 1313 //
     /* 171091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 171094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 171099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 171102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 171105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 171108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171120 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMULXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 171120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4f16),
     /* 171123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171129 */     GIR_RootConstrainSelectedInstOperands,
     /* 171130 */     // GIR_Coverage, 1313,
     /* 171130 */     GIR_EraseRootFromParent_Done,
     /* 171131 */   // Label 3287: @171131
     /* 171131 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(171176), // Rule ID 1314 //
     /* 171136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 171139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 171144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 171147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 171150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 171153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171165 */     // (intrinsic_wo_chain:{ *:[v8f16] } 610:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMULXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 171165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv8f16),
     /* 171168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171174 */     GIR_RootConstrainSelectedInstOperands,
     /* 171175 */     // GIR_Coverage, 1314,
     /* 171175 */     GIR_EraseRootFromParent_Done,
     /* 171176 */   // Label 3288: @171176
     /* 171176 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(171221), // Rule ID 1315 //
     /* 171181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 171189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 171192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 171195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 171198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171210 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMULXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 171210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2f32),
     /* 171213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171219 */     GIR_RootConstrainSelectedInstOperands,
     /* 171220 */     // GIR_Coverage, 1315,
     /* 171220 */     GIR_EraseRootFromParent_Done,
     /* 171221 */   // Label 3289: @171221
     /* 171221 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(171266), // Rule ID 1316 //
     /* 171226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 171234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 171237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 171240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 171243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171255 */     // (intrinsic_wo_chain:{ *:[v4f32] } 610:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMULXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 171255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4f32),
     /* 171258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171264 */     GIR_RootConstrainSelectedInstOperands,
     /* 171265 */     // GIR_Coverage, 1316,
     /* 171265 */     GIR_EraseRootFromParent_Done,
     /* 171266 */   // Label 3290: @171266
     /* 171266 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(171311), // Rule ID 1317 //
     /* 171271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 171279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 171282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 171285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 171288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171300 */     // (intrinsic_wo_chain:{ *:[v2f64] } 610:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMULXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 171300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2f64),
     /* 171303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171309 */     GIR_RootConstrainSelectedInstOperands,
     /* 171310 */     // GIR_Coverage, 1317,
     /* 171310 */     GIR_EraseRootFromParent_Done,
     /* 171311 */   // Label 3291: @171311
     /* 171311 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(171356), // Rule ID 1328 //
     /* 171316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 171319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 171327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 171330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 171333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171345 */     // (intrinsic_wo_chain:{ *:[v4f16] } 633:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FRECPSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 171345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv4f16),
     /* 171348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171354 */     GIR_RootConstrainSelectedInstOperands,
     /* 171355 */     // GIR_Coverage, 1328,
     /* 171355 */     GIR_EraseRootFromParent_Done,
     /* 171356 */   // Label 3292: @171356
     /* 171356 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(171401), // Rule ID 1329 //
     /* 171361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 171364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 171372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 171375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 171378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171390 */     // (intrinsic_wo_chain:{ *:[v8f16] } 633:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FRECPSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 171390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv8f16),
     /* 171393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171395 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171397 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171399 */     GIR_RootConstrainSelectedInstOperands,
     /* 171400 */     // GIR_Coverage, 1329,
     /* 171400 */     GIR_EraseRootFromParent_Done,
     /* 171401 */   // Label 3293: @171401
     /* 171401 */   GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(171446), // Rule ID 1330 //
     /* 171406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 171417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 171420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 171423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171435 */     // (intrinsic_wo_chain:{ *:[v2f32] } 633:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FRECPSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 171435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv2f32),
     /* 171438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171444 */     GIR_RootConstrainSelectedInstOperands,
     /* 171445 */     // GIR_Coverage, 1330,
     /* 171445 */     GIR_EraseRootFromParent_Done,
     /* 171446 */   // Label 3294: @171446
     /* 171446 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(171491), // Rule ID 1331 //
     /* 171451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 171462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 171465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 171468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171480 */     // (intrinsic_wo_chain:{ *:[v4f32] } 633:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FRECPSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 171480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv4f32),
     /* 171483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171487 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171489 */     GIR_RootConstrainSelectedInstOperands,
     /* 171490 */     // GIR_Coverage, 1331,
     /* 171490 */     GIR_EraseRootFromParent_Done,
     /* 171491 */   // Label 3295: @171491
     /* 171491 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(171536), // Rule ID 1332 //
     /* 171496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 171507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 171510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 171513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171525 */     // (intrinsic_wo_chain:{ *:[v2f64] } 633:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FRECPSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 171525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv2f64),
     /* 171528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171534 */     GIR_RootConstrainSelectedInstOperands,
     /* 171535 */     // GIR_Coverage, 1332,
     /* 171535 */     GIR_EraseRootFromParent_Done,
     /* 171536 */   // Label 3296: @171536
     /* 171536 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(171581), // Rule ID 1333 //
     /* 171541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 171544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 171552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 171555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 171558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171570 */     // (intrinsic_wo_chain:{ *:[v4f16] } 640:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FRSQRTSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 171570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv4f16),
     /* 171573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171577 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171579 */     GIR_RootConstrainSelectedInstOperands,
     /* 171580 */     // GIR_Coverage, 1333,
     /* 171580 */     GIR_EraseRootFromParent_Done,
     /* 171581 */   // Label 3297: @171581
     /* 171581 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(171626), // Rule ID 1334 //
     /* 171586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 171589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 171597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 171600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 171603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171615 */     // (intrinsic_wo_chain:{ *:[v8f16] } 640:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FRSQRTSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 171615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv8f16),
     /* 171618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171620 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171622 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171624 */     GIR_RootConstrainSelectedInstOperands,
     /* 171625 */     // GIR_Coverage, 1334,
     /* 171625 */     GIR_EraseRootFromParent_Done,
     /* 171626 */   // Label 3298: @171626
     /* 171626 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(171671), // Rule ID 1335 //
     /* 171631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 171642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 171645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 171648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171660 */     // (intrinsic_wo_chain:{ *:[v2f32] } 640:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FRSQRTSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 171660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv2f32),
     /* 171663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171667 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171669 */     GIR_RootConstrainSelectedInstOperands,
     /* 171670 */     // GIR_Coverage, 1335,
     /* 171670 */     GIR_EraseRootFromParent_Done,
     /* 171671 */   // Label 3299: @171671
     /* 171671 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(171716), // Rule ID 1336 //
     /* 171676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 171687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 171690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 171693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171705 */     // (intrinsic_wo_chain:{ *:[v4f32] } 640:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FRSQRTSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 171705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv4f32),
     /* 171708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171714 */     GIR_RootConstrainSelectedInstOperands,
     /* 171715 */     // GIR_Coverage, 1336,
     /* 171715 */     GIR_EraseRootFromParent_Done,
     /* 171716 */   // Label 3300: @171716
     /* 171716 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(171761), // Rule ID 1337 //
     /* 171721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 171732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 171735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 171738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171750 */     // (intrinsic_wo_chain:{ *:[v2f64] } 640:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FRSQRTSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 171750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv2f64),
     /* 171753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171755 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171757 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171759 */     GIR_RootConstrainSelectedInstOperands,
     /* 171760 */     // GIR_Coverage, 1337,
     /* 171760 */     GIR_EraseRootFromParent_Done,
     /* 171761 */   // Label 3301: @171761
     /* 171761 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(171806), // Rule ID 1354 //
     /* 171766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_pmul),
     /* 171774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 171777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 171780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 171783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171795 */     // (intrinsic_wo_chain:{ *:[v8i8] } 653:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (PMULv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 171795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULv8i8),
     /* 171798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171802 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171804 */     GIR_RootConstrainSelectedInstOperands,
     /* 171805 */     // GIR_Coverage, 1354,
     /* 171805 */     GIR_EraseRootFromParent_Done,
     /* 171806 */   // Label 3302: @171806
     /* 171806 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(171851), // Rule ID 1355 //
     /* 171811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_pmul),
     /* 171819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 171822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 171825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 171828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171840 */     // (intrinsic_wo_chain:{ *:[v16i8] } 653:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (PMULv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 171840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULv16i8),
     /* 171843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171847 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171849 */     GIR_RootConstrainSelectedInstOperands,
     /* 171850 */     // GIR_Coverage, 1355,
     /* 171850 */     GIR_EraseRootFromParent_Done,
     /* 171851 */   // Label 3303: @171851
     /* 171851 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(171896), // Rule ID 1369 //
     /* 171856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 171867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 171870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 171873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171885 */     // (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SABDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 171885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv8i8),
     /* 171888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171892 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171894 */     GIR_RootConstrainSelectedInstOperands,
     /* 171895 */     // GIR_Coverage, 1369,
     /* 171895 */     GIR_EraseRootFromParent_Done,
     /* 171896 */   // Label 3304: @171896
     /* 171896 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(171941), // Rule ID 1371 //
     /* 171901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 171912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 171915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 171918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171930 */     // (intrinsic_wo_chain:{ *:[v16i8] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SABDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 171930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv16i8),
     /* 171933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171937 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171939 */     GIR_RootConstrainSelectedInstOperands,
     /* 171940 */     // GIR_Coverage, 1371,
     /* 171940 */     GIR_EraseRootFromParent_Done,
     /* 171941 */   // Label 3305: @171941
     /* 171941 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(171986), // Rule ID 1373 //
     /* 171946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 171957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 171960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 171963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171975 */     // (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SABDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 171975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv4i16),
     /* 171978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171984 */     GIR_RootConstrainSelectedInstOperands,
     /* 171985 */     // GIR_Coverage, 1373,
     /* 171985 */     GIR_EraseRootFromParent_Done,
     /* 171986 */   // Label 3306: @171986
     /* 171986 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(172031), // Rule ID 1375 //
     /* 171991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 172002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172020 */     // (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SABDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv8i16),
     /* 172023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172027 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172029 */     GIR_RootConstrainSelectedInstOperands,
     /* 172030 */     // GIR_Coverage, 1375,
     /* 172030 */     GIR_EraseRootFromParent_Done,
     /* 172031 */   // Label 3307: @172031
     /* 172031 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(172076), // Rule ID 1377 //
     /* 172036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 172044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172065 */     // (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SABDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv2i32),
     /* 172068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172074 */     GIR_RootConstrainSelectedInstOperands,
     /* 172075 */     // GIR_Coverage, 1377,
     /* 172075 */     GIR_EraseRootFromParent_Done,
     /* 172076 */   // Label 3308: @172076
     /* 172076 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(172121), // Rule ID 1379 //
     /* 172081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 172089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172110 */     // (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SABDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv4i32),
     /* 172113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172115 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172117 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172119 */     GIR_RootConstrainSelectedInstOperands,
     /* 172120 */     // GIR_Coverage, 1379,
     /* 172120 */     GIR_EraseRootFromParent_Done,
     /* 172121 */   // Label 3309: @172121
     /* 172121 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(172166), // Rule ID 1386 //
     /* 172126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 172134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 172140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 172143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172155 */     // (intrinsic_wo_chain:{ *:[v8i8] } 669:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SHSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 172155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv8i8),
     /* 172158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172164 */     GIR_RootConstrainSelectedInstOperands,
     /* 172165 */     // GIR_Coverage, 1386,
     /* 172165 */     GIR_EraseRootFromParent_Done,
     /* 172166 */   // Label 3310: @172166
     /* 172166 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(172211), // Rule ID 1387 //
     /* 172171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 172179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 172182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 172185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 172188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172200 */     // (intrinsic_wo_chain:{ *:[v16i8] } 669:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SHSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 172200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv16i8),
     /* 172203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172207 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172209 */     GIR_RootConstrainSelectedInstOperands,
     /* 172210 */     // GIR_Coverage, 1387,
     /* 172210 */     GIR_EraseRootFromParent_Done,
     /* 172211 */   // Label 3311: @172211
     /* 172211 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(172256), // Rule ID 1388 //
     /* 172216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 172224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 172230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 172233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172245 */     // (intrinsic_wo_chain:{ *:[v4i16] } 669:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SHSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 172245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv4i16),
     /* 172248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172250 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172252 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172254 */     GIR_RootConstrainSelectedInstOperands,
     /* 172255 */     // GIR_Coverage, 1388,
     /* 172255 */     GIR_EraseRootFromParent_Done,
     /* 172256 */   // Label 3312: @172256
     /* 172256 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(172301), // Rule ID 1389 //
     /* 172261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 172269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 172272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172290 */     // (intrinsic_wo_chain:{ *:[v8i16] } 669:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SHSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv8i16),
     /* 172293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172297 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172299 */     GIR_RootConstrainSelectedInstOperands,
     /* 172300 */     // GIR_Coverage, 1389,
     /* 172300 */     GIR_EraseRootFromParent_Done,
     /* 172301 */   // Label 3313: @172301
     /* 172301 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(172346), // Rule ID 1390 //
     /* 172306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 172314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172335 */     // (intrinsic_wo_chain:{ *:[v2i32] } 669:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SHSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv2i32),
     /* 172338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172344 */     GIR_RootConstrainSelectedInstOperands,
     /* 172345 */     // GIR_Coverage, 1390,
     /* 172345 */     GIR_EraseRootFromParent_Done,
     /* 172346 */   // Label 3314: @172346
     /* 172346 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(172391), // Rule ID 1391 //
     /* 172351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 172359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172380 */     // (intrinsic_wo_chain:{ *:[v4i32] } 669:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv4i32),
     /* 172383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172387 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172389 */     GIR_RootConstrainSelectedInstOperands,
     /* 172390 */     // GIR_Coverage, 1391,
     /* 172390 */     GIR_EraseRootFromParent_Done,
     /* 172391 */   // Label 3315: @172391
     /* 172391 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(172436), // Rule ID 1392 //
     /* 172396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 172404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 172410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 172413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172425 */     // (intrinsic_wo_chain:{ *:[v8i8] } 671:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMAXPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 172425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv8i8),
     /* 172428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172430 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172432 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172434 */     GIR_RootConstrainSelectedInstOperands,
     /* 172435 */     // GIR_Coverage, 1392,
     /* 172435 */     GIR_EraseRootFromParent_Done,
     /* 172436 */   // Label 3316: @172436
     /* 172436 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(172481), // Rule ID 1393 //
     /* 172441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 172449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 172452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 172455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 172458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172470 */     // (intrinsic_wo_chain:{ *:[v16i8] } 671:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMAXPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 172470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv16i8),
     /* 172473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172477 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172479 */     GIR_RootConstrainSelectedInstOperands,
     /* 172480 */     // GIR_Coverage, 1393,
     /* 172480 */     GIR_EraseRootFromParent_Done,
     /* 172481 */   // Label 3317: @172481
     /* 172481 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(172526), // Rule ID 1394 //
     /* 172486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 172494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 172500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 172503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172515 */     // (intrinsic_wo_chain:{ *:[v4i16] } 671:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMAXPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 172515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv4i16),
     /* 172518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172524 */     GIR_RootConstrainSelectedInstOperands,
     /* 172525 */     // GIR_Coverage, 1394,
     /* 172525 */     GIR_EraseRootFromParent_Done,
     /* 172526 */   // Label 3318: @172526
     /* 172526 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(172571), // Rule ID 1395 //
     /* 172531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 172539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 172542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172560 */     // (intrinsic_wo_chain:{ *:[v8i16] } 671:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMAXPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv8i16),
     /* 172563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172567 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172569 */     GIR_RootConstrainSelectedInstOperands,
     /* 172570 */     // GIR_Coverage, 1395,
     /* 172570 */     GIR_EraseRootFromParent_Done,
     /* 172571 */   // Label 3319: @172571
     /* 172571 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(172616), // Rule ID 1396 //
     /* 172576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 172584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172605 */     // (intrinsic_wo_chain:{ *:[v2i32] } 671:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMAXPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv2i32),
     /* 172608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172614 */     GIR_RootConstrainSelectedInstOperands,
     /* 172615 */     // GIR_Coverage, 1396,
     /* 172615 */     GIR_EraseRootFromParent_Done,
     /* 172616 */   // Label 3320: @172616
     /* 172616 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(172661), // Rule ID 1397 //
     /* 172621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 172629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172650 */     // (intrinsic_wo_chain:{ *:[v4i32] } 671:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMAXPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv4i32),
     /* 172653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172655 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172657 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172659 */     GIR_RootConstrainSelectedInstOperands,
     /* 172660 */     // GIR_Coverage, 1397,
     /* 172660 */     GIR_EraseRootFromParent_Done,
     /* 172661 */   // Label 3321: @172661
     /* 172661 */   GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(172706), // Rule ID 1404 //
     /* 172666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 172674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 172680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 172683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172695 */     // (intrinsic_wo_chain:{ *:[v8i8] } 674:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMINPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 172695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv8i8),
     /* 172698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172704 */     GIR_RootConstrainSelectedInstOperands,
     /* 172705 */     // GIR_Coverage, 1404,
     /* 172705 */     GIR_EraseRootFromParent_Done,
     /* 172706 */   // Label 3322: @172706
     /* 172706 */   GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(172751), // Rule ID 1405 //
     /* 172711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 172719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 172722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 172725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 172728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172740 */     // (intrinsic_wo_chain:{ *:[v16i8] } 674:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMINPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 172740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv16i8),
     /* 172743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172747 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172749 */     GIR_RootConstrainSelectedInstOperands,
     /* 172750 */     // GIR_Coverage, 1405,
     /* 172750 */     GIR_EraseRootFromParent_Done,
     /* 172751 */   // Label 3323: @172751
     /* 172751 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(172796), // Rule ID 1406 //
     /* 172756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 172764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 172770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 172773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172785 */     // (intrinsic_wo_chain:{ *:[v4i16] } 674:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMINPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 172785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv4i16),
     /* 172788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172794 */     GIR_RootConstrainSelectedInstOperands,
     /* 172795 */     // GIR_Coverage, 1406,
     /* 172795 */     GIR_EraseRootFromParent_Done,
     /* 172796 */   // Label 3324: @172796
     /* 172796 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(172841), // Rule ID 1407 //
     /* 172801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 172809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 172812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172830 */     // (intrinsic_wo_chain:{ *:[v8i16] } 674:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMINPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv8i16),
     /* 172833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172837 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172839 */     GIR_RootConstrainSelectedInstOperands,
     /* 172840 */     // GIR_Coverage, 1407,
     /* 172840 */     GIR_EraseRootFromParent_Done,
     /* 172841 */   // Label 3325: @172841
     /* 172841 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(172886), // Rule ID 1408 //
     /* 172846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 172854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172875 */     // (intrinsic_wo_chain:{ *:[v2i32] } 674:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMINPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv2i32),
     /* 172878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172884 */     GIR_RootConstrainSelectedInstOperands,
     /* 172885 */     // GIR_Coverage, 1408,
     /* 172885 */     GIR_EraseRootFromParent_Done,
     /* 172886 */   // Label 3326: @172886
     /* 172886 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(172931), // Rule ID 1409 //
     /* 172891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 172899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172920 */     // (intrinsic_wo_chain:{ *:[v4i32] } 674:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMINPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv4i32),
     /* 172923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172927 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172929 */     GIR_RootConstrainSelectedInstOperands,
     /* 172930 */     // GIR_Coverage, 1409,
     /* 172930 */     GIR_EraseRootFromParent_Done,
     /* 172931 */   // Label 3327: @172931
     /* 172931 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(172976), // Rule ID 1416 //
     /* 172936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 172950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 172953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172965 */     // (intrinsic_wo_chain:{ *:[v8i8] } 679:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 172965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i8),
     /* 172968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172974 */     GIR_RootConstrainSelectedInstOperands,
     /* 172975 */     // GIR_Coverage, 1416,
     /* 172975 */     GIR_EraseRootFromParent_Done,
     /* 172976 */   // Label 3328: @172976
     /* 172976 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(173021), // Rule ID 1417 //
     /* 172981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 172992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 172995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 172998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173010 */     // (intrinsic_wo_chain:{ *:[v16i8] } 679:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 173010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv16i8),
     /* 173013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173015 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173017 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173019 */     GIR_RootConstrainSelectedInstOperands,
     /* 173020 */     // GIR_Coverage, 1417,
     /* 173020 */     GIR_EraseRootFromParent_Done,
     /* 173021 */   // Label 3329: @173021
     /* 173021 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(173066), // Rule ID 1418 //
     /* 173026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 173034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173055 */     // (intrinsic_wo_chain:{ *:[v4i16] } 679:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 173055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i16),
     /* 173058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173062 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173064 */     GIR_RootConstrainSelectedInstOperands,
     /* 173065 */     // GIR_Coverage, 1418,
     /* 173065 */     GIR_EraseRootFromParent_Done,
     /* 173066 */   // Label 3330: @173066
     /* 173066 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(173111), // Rule ID 1419 //
     /* 173071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 173079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173100 */     // (intrinsic_wo_chain:{ *:[v8i16] } 679:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 173100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i16),
     /* 173103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173107 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173109 */     GIR_RootConstrainSelectedInstOperands,
     /* 173110 */     // GIR_Coverage, 1419,
     /* 173110 */     GIR_EraseRootFromParent_Done,
     /* 173111 */   // Label 3331: @173111
     /* 173111 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(173156), // Rule ID 1420 //
     /* 173116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 173124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173145 */     // (intrinsic_wo_chain:{ *:[v2i32] } 679:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 173145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i32),
     /* 173148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173154 */     GIR_RootConstrainSelectedInstOperands,
     /* 173155 */     // GIR_Coverage, 1420,
     /* 173155 */     GIR_EraseRootFromParent_Done,
     /* 173156 */   // Label 3332: @173156
     /* 173156 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(173201), // Rule ID 1421 //
     /* 173161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 173169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173190 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i32),
     /* 173193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173195 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173197 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173199 */     GIR_RootConstrainSelectedInstOperands,
     /* 173200 */     // GIR_Coverage, 1421,
     /* 173200 */     GIR_EraseRootFromParent_Done,
     /* 173201 */   // Label 3333: @173201
     /* 173201 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(173246), // Rule ID 1422 //
     /* 173206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 173214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 173217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 173220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 173223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173235 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 173235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i64),
     /* 173238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173244 */     GIR_RootConstrainSelectedInstOperands,
     /* 173245 */     // GIR_Coverage, 1422,
     /* 173245 */     GIR_EraseRootFromParent_Done,
     /* 173246 */   // Label 3334: @173246
     /* 173246 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(173291), // Rule ID 1423 //
     /* 173251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 173259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173280 */     // (intrinsic_wo_chain:{ *:[v4i16] } 680:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQDMULHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 173280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i16),
     /* 173283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173287 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173289 */     GIR_RootConstrainSelectedInstOperands,
     /* 173290 */     // GIR_Coverage, 1423,
     /* 173290 */     GIR_EraseRootFromParent_Done,
     /* 173291 */   // Label 3335: @173291
     /* 173291 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(173336), // Rule ID 1424 //
     /* 173296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 173304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173325 */     // (intrinsic_wo_chain:{ *:[v8i16] } 680:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQDMULHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 173325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv8i16),
     /* 173328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173334 */     GIR_RootConstrainSelectedInstOperands,
     /* 173335 */     // GIR_Coverage, 1424,
     /* 173335 */     GIR_EraseRootFromParent_Done,
     /* 173336 */   // Label 3336: @173336
     /* 173336 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(173381), // Rule ID 1425 //
     /* 173341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 173349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173370 */     // (intrinsic_wo_chain:{ *:[v2i32] } 680:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQDMULHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 173370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv2i32),
     /* 173373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173379 */     GIR_RootConstrainSelectedInstOperands,
     /* 173380 */     // GIR_Coverage, 1425,
     /* 173380 */     GIR_EraseRootFromParent_Done,
     /* 173381 */   // Label 3337: @173381
     /* 173381 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(173426), // Rule ID 1426 //
     /* 173386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 173394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173415 */     // (intrinsic_wo_chain:{ *:[v4i32] } 680:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQDMULHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i32),
     /* 173418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173424 */     GIR_RootConstrainSelectedInstOperands,
     /* 173425 */     // GIR_Coverage, 1426,
     /* 173425 */     GIR_EraseRootFromParent_Done,
     /* 173426 */   // Label 3338: @173426
     /* 173426 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(173471), // Rule ID 1427 //
     /* 173431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 173439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173460 */     // (intrinsic_wo_chain:{ *:[v4i16] } 688:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRDMULHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 173460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i16),
     /* 173463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173467 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173469 */     GIR_RootConstrainSelectedInstOperands,
     /* 173470 */     // GIR_Coverage, 1427,
     /* 173470 */     GIR_EraseRootFromParent_Done,
     /* 173471 */   // Label 3339: @173471
     /* 173471 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(173516), // Rule ID 1428 //
     /* 173476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 173484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173505 */     // (intrinsic_wo_chain:{ *:[v8i16] } 688:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRDMULHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 173505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv8i16),
     /* 173508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173514 */     GIR_RootConstrainSelectedInstOperands,
     /* 173515 */     // GIR_Coverage, 1428,
     /* 173515 */     GIR_EraseRootFromParent_Done,
     /* 173516 */   // Label 3340: @173516
     /* 173516 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(173561), // Rule ID 1429 //
     /* 173521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 173529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173550 */     // (intrinsic_wo_chain:{ *:[v2i32] } 688:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRDMULHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 173550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv2i32),
     /* 173553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173557 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173559 */     GIR_RootConstrainSelectedInstOperands,
     /* 173560 */     // GIR_Coverage, 1429,
     /* 173560 */     GIR_EraseRootFromParent_Done,
     /* 173561 */   // Label 3341: @173561
     /* 173561 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(173606), // Rule ID 1430 //
     /* 173566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 173574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173595 */     // (intrinsic_wo_chain:{ *:[v4i32] } 688:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRDMULHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i32),
     /* 173598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173604 */     GIR_RootConstrainSelectedInstOperands,
     /* 173605 */     // GIR_Coverage, 1430,
     /* 173605 */     GIR_EraseRootFromParent_Done,
     /* 173606 */   // Label 3342: @173606
     /* 173606 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(173651), // Rule ID 1431 //
     /* 173611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 173622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 173625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 173628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173640 */     // (intrinsic_wo_chain:{ *:[v8i8] } 691:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQRSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 173640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv8i8),
     /* 173643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173647 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173649 */     GIR_RootConstrainSelectedInstOperands,
     /* 173650 */     // GIR_Coverage, 1431,
     /* 173650 */     GIR_EraseRootFromParent_Done,
     /* 173651 */   // Label 3343: @173651
     /* 173651 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(173696), // Rule ID 1432 //
     /* 173656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 173667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 173670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 173673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173685 */     // (intrinsic_wo_chain:{ *:[v16i8] } 691:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQRSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 173685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv16i8),
     /* 173688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173692 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173694 */     GIR_RootConstrainSelectedInstOperands,
     /* 173695 */     // GIR_Coverage, 1432,
     /* 173695 */     GIR_EraseRootFromParent_Done,
     /* 173696 */   // Label 3344: @173696
     /* 173696 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(173741), // Rule ID 1433 //
     /* 173701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173730 */     // (intrinsic_wo_chain:{ *:[v4i16] } 691:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 173730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv4i16),
     /* 173733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173735 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173737 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173739 */     GIR_RootConstrainSelectedInstOperands,
     /* 173740 */     // GIR_Coverage, 1433,
     /* 173740 */     GIR_EraseRootFromParent_Done,
     /* 173741 */   // Label 3345: @173741
     /* 173741 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(173786), // Rule ID 1434 //
     /* 173746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173775 */     // (intrinsic_wo_chain:{ *:[v8i16] } 691:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 173775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv8i16),
     /* 173778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173780 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173782 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173784 */     GIR_RootConstrainSelectedInstOperands,
     /* 173785 */     // GIR_Coverage, 1434,
     /* 173785 */     GIR_EraseRootFromParent_Done,
     /* 173786 */   // Label 3346: @173786
     /* 173786 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(173831), // Rule ID 1435 //
     /* 173791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173820 */     // (intrinsic_wo_chain:{ *:[v2i32] } 691:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 173820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv2i32),
     /* 173823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173827 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173829 */     GIR_RootConstrainSelectedInstOperands,
     /* 173830 */     // GIR_Coverage, 1435,
     /* 173830 */     GIR_EraseRootFromParent_Done,
     /* 173831 */   // Label 3347: @173831
     /* 173831 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(173876), // Rule ID 1436 //
     /* 173836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173865 */     // (intrinsic_wo_chain:{ *:[v4i32] } 691:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv4i32),
     /* 173868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173872 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173874 */     GIR_RootConstrainSelectedInstOperands,
     /* 173875 */     // GIR_Coverage, 1436,
     /* 173875 */     GIR_EraseRootFromParent_Done,
     /* 173876 */   // Label 3348: @173876
     /* 173876 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(173921), // Rule ID 1437 //
     /* 173881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 173892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 173895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 173898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173910 */     // (intrinsic_wo_chain:{ *:[v2i64] } 691:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQRSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 173910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv2i64),
     /* 173913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173915 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173917 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173919 */     GIR_RootConstrainSelectedInstOperands,
     /* 173920 */     // GIR_Coverage, 1437,
     /* 173920 */     GIR_EraseRootFromParent_Done,
     /* 173921 */   // Label 3349: @173921
     /* 173921 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(173966), // Rule ID 1438 //
     /* 173926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 173937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 173940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 173943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173955 */     // (intrinsic_wo_chain:{ *:[v8i8] } 694:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 173955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv8i8),
     /* 173958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173964 */     GIR_RootConstrainSelectedInstOperands,
     /* 173965 */     // GIR_Coverage, 1438,
     /* 173965 */     GIR_EraseRootFromParent_Done,
     /* 173966 */   // Label 3350: @173966
     /* 173966 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(174011), // Rule ID 1439 //
     /* 173971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 173982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 173985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 173988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174000 */     // (intrinsic_wo_chain:{ *:[v16i8] } 694:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 174000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv16i8),
     /* 174003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174009 */     GIR_RootConstrainSelectedInstOperands,
     /* 174010 */     // GIR_Coverage, 1439,
     /* 174010 */     GIR_EraseRootFromParent_Done,
     /* 174011 */   // Label 3351: @174011
     /* 174011 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(174056), // Rule ID 1440 //
     /* 174016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 174024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174045 */     // (intrinsic_wo_chain:{ *:[v4i16] } 694:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 174045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv4i16),
     /* 174048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174054 */     GIR_RootConstrainSelectedInstOperands,
     /* 174055 */     // GIR_Coverage, 1440,
     /* 174055 */     GIR_EraseRootFromParent_Done,
     /* 174056 */   // Label 3352: @174056
     /* 174056 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(174101), // Rule ID 1441 //
     /* 174061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 174069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 174072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 174075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 174078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174090 */     // (intrinsic_wo_chain:{ *:[v8i16] } 694:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 174090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv8i16),
     /* 174093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174095 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174097 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174099 */     GIR_RootConstrainSelectedInstOperands,
     /* 174100 */     // GIR_Coverage, 1441,
     /* 174100 */     GIR_EraseRootFromParent_Done,
     /* 174101 */   // Label 3353: @174101
     /* 174101 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(174146), // Rule ID 1442 //
     /* 174106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 174114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 174117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 174120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 174123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174135 */     // (intrinsic_wo_chain:{ *:[v2i32] } 694:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 174135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv2i32),
     /* 174138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174144 */     GIR_RootConstrainSelectedInstOperands,
     /* 174145 */     // GIR_Coverage, 1442,
     /* 174145 */     GIR_EraseRootFromParent_Done,
     /* 174146 */   // Label 3354: @174146
     /* 174146 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(174191), // Rule ID 1443 //
     /* 174151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 174159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174180 */     // (intrinsic_wo_chain:{ *:[v4i32] } 694:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 174180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv4i32),
     /* 174183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174187 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174189 */     GIR_RootConstrainSelectedInstOperands,
     /* 174190 */     // GIR_Coverage, 1443,
     /* 174190 */     GIR_EraseRootFromParent_Done,
     /* 174191 */   // Label 3355: @174191
     /* 174191 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(174236), // Rule ID 1444 //
     /* 174196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 174204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 174207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 174210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 174213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174225 */     // (intrinsic_wo_chain:{ *:[v2i64] } 694:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 174225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv2i64),
     /* 174228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174234 */     GIR_RootConstrainSelectedInstOperands,
     /* 174235 */     // GIR_Coverage, 1444,
     /* 174235 */     GIR_EraseRootFromParent_Done,
     /* 174236 */   // Label 3356: @174236
     /* 174236 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(174281), // Rule ID 1445 //
     /* 174241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 174252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 174255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 174258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174270 */     // (intrinsic_wo_chain:{ *:[v8i8] } 698:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 174270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i8),
     /* 174273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174275 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174277 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174279 */     GIR_RootConstrainSelectedInstOperands,
     /* 174280 */     // GIR_Coverage, 1445,
     /* 174280 */     GIR_EraseRootFromParent_Done,
     /* 174281 */   // Label 3357: @174281
     /* 174281 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(174326), // Rule ID 1446 //
     /* 174286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 174297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 174300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 174303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174315 */     // (intrinsic_wo_chain:{ *:[v16i8] } 698:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 174315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv16i8),
     /* 174318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174322 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174324 */     GIR_RootConstrainSelectedInstOperands,
     /* 174325 */     // GIR_Coverage, 1446,
     /* 174325 */     GIR_EraseRootFromParent_Done,
     /* 174326 */   // Label 3358: @174326
     /* 174326 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(174371), // Rule ID 1447 //
     /* 174331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174360 */     // (intrinsic_wo_chain:{ *:[v4i16] } 698:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 174360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i16),
     /* 174363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174367 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174369 */     GIR_RootConstrainSelectedInstOperands,
     /* 174370 */     // GIR_Coverage, 1447,
     /* 174370 */     GIR_EraseRootFromParent_Done,
     /* 174371 */   // Label 3359: @174371
     /* 174371 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(174416), // Rule ID 1448 //
     /* 174376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 174387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 174390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 174393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174405 */     // (intrinsic_wo_chain:{ *:[v8i16] } 698:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 174405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i16),
     /* 174408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174410 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174412 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174414 */     GIR_RootConstrainSelectedInstOperands,
     /* 174415 */     // GIR_Coverage, 1448,
     /* 174415 */     GIR_EraseRootFromParent_Done,
     /* 174416 */   // Label 3360: @174416
     /* 174416 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(174461), // Rule ID 1449 //
     /* 174421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 174432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 174435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 174438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174450 */     // (intrinsic_wo_chain:{ *:[v2i32] } 698:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 174450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i32),
     /* 174453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174457 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174459 */     GIR_RootConstrainSelectedInstOperands,
     /* 174460 */     // GIR_Coverage, 1449,
     /* 174460 */     GIR_EraseRootFromParent_Done,
     /* 174461 */   // Label 3361: @174461
     /* 174461 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(174506), // Rule ID 1450 //
     /* 174466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174495 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 174495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i32),
     /* 174498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174504 */     GIR_RootConstrainSelectedInstOperands,
     /* 174505 */     // GIR_Coverage, 1450,
     /* 174505 */     GIR_EraseRootFromParent_Done,
     /* 174506 */   // Label 3362: @174506
     /* 174506 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(174551), // Rule ID 1451 //
     /* 174511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 174522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 174525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 174528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174540 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 174540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i64),
     /* 174543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174545 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174547 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174549 */     GIR_RootConstrainSelectedInstOperands,
     /* 174550 */     // GIR_Coverage, 1451,
     /* 174550 */     GIR_EraseRootFromParent_Done,
     /* 174551 */   // Label 3363: @174551
     /* 174551 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(174596), // Rule ID 1458 //
     /* 174556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 174567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 174570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 174573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174585 */     // (intrinsic_wo_chain:{ *:[v8i8] } 702:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SRSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 174585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv8i8),
     /* 174588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174592 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174594 */     GIR_RootConstrainSelectedInstOperands,
     /* 174595 */     // GIR_Coverage, 1458,
     /* 174595 */     GIR_EraseRootFromParent_Done,
     /* 174596 */   // Label 3364: @174596
     /* 174596 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(174641), // Rule ID 1459 //
     /* 174601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 174612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 174615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 174618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174630 */     // (intrinsic_wo_chain:{ *:[v16i8] } 702:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SRSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 174630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv16i8),
     /* 174633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174635 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174637 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174639 */     GIR_RootConstrainSelectedInstOperands,
     /* 174640 */     // GIR_Coverage, 1459,
     /* 174640 */     GIR_EraseRootFromParent_Done,
     /* 174641 */   // Label 3365: @174641
     /* 174641 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(174686), // Rule ID 1460 //
     /* 174646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174675 */     // (intrinsic_wo_chain:{ *:[v4i16] } 702:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SRSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 174675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv4i16),
     /* 174678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174682 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174684 */     GIR_RootConstrainSelectedInstOperands,
     /* 174685 */     // GIR_Coverage, 1460,
     /* 174685 */     GIR_EraseRootFromParent_Done,
     /* 174686 */   // Label 3366: @174686
     /* 174686 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(174731), // Rule ID 1461 //
     /* 174691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 174702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 174705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 174708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174720 */     // (intrinsic_wo_chain:{ *:[v8i16] } 702:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SRSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 174720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv8i16),
     /* 174723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174725 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174727 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174729 */     GIR_RootConstrainSelectedInstOperands,
     /* 174730 */     // GIR_Coverage, 1461,
     /* 174730 */     GIR_EraseRootFromParent_Done,
     /* 174731 */   // Label 3367: @174731
     /* 174731 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(174776), // Rule ID 1462 //
     /* 174736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 174747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 174750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 174753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174765 */     // (intrinsic_wo_chain:{ *:[v2i32] } 702:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SRSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 174765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv2i32),
     /* 174768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174774 */     GIR_RootConstrainSelectedInstOperands,
     /* 174775 */     // GIR_Coverage, 1462,
     /* 174775 */     GIR_EraseRootFromParent_Done,
     /* 174776 */   // Label 3368: @174776
     /* 174776 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(174821), // Rule ID 1463 //
     /* 174781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174810 */     // (intrinsic_wo_chain:{ *:[v4i32] } 702:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SRSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 174810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv4i32),
     /* 174813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174815 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174817 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174819 */     GIR_RootConstrainSelectedInstOperands,
     /* 174820 */     // GIR_Coverage, 1463,
     /* 174820 */     GIR_EraseRootFromParent_Done,
     /* 174821 */   // Label 3369: @174821
     /* 174821 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(174866), // Rule ID 1464 //
     /* 174826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 174837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 174840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 174843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174855 */     // (intrinsic_wo_chain:{ *:[v2i64] } 702:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SRSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 174855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv2i64),
     /* 174858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174864 */     GIR_RootConstrainSelectedInstOperands,
     /* 174865 */     // GIR_Coverage, 1464,
     /* 174865 */     GIR_EraseRootFromParent_Done,
     /* 174866 */   // Label 3370: @174866
     /* 174866 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(174911), // Rule ID 1465 //
     /* 174871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 174882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 174885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 174888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174900 */     // (intrinsic_wo_chain:{ *:[v8i8] } 703:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 174900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv8i8),
     /* 174903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174907 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174909 */     GIR_RootConstrainSelectedInstOperands,
     /* 174910 */     // GIR_Coverage, 1465,
     /* 174910 */     GIR_EraseRootFromParent_Done,
     /* 174911 */   // Label 3371: @174911
     /* 174911 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(174956), // Rule ID 1466 //
     /* 174916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 174927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 174930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 174933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174945 */     // (intrinsic_wo_chain:{ *:[v16i8] } 703:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 174945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv16i8),
     /* 174948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174954 */     GIR_RootConstrainSelectedInstOperands,
     /* 174955 */     // GIR_Coverage, 1466,
     /* 174955 */     GIR_EraseRootFromParent_Done,
     /* 174956 */   // Label 3372: @174956
     /* 174956 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(175001), // Rule ID 1467 //
     /* 174961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174990 */     // (intrinsic_wo_chain:{ *:[v4i16] } 703:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 174990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv4i16),
     /* 174993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174995 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174997 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174999 */     GIR_RootConstrainSelectedInstOperands,
     /* 175000 */     // GIR_Coverage, 1467,
     /* 175000 */     GIR_EraseRootFromParent_Done,
     /* 175001 */   // Label 3373: @175001
     /* 175001 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(175046), // Rule ID 1468 //
     /* 175006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 175014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 175017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 175020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 175023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175035 */     // (intrinsic_wo_chain:{ *:[v8i16] } 703:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 175035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv8i16),
     /* 175038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175044 */     GIR_RootConstrainSelectedInstOperands,
     /* 175045 */     // GIR_Coverage, 1468,
     /* 175045 */     GIR_EraseRootFromParent_Done,
     /* 175046 */   // Label 3374: @175046
     /* 175046 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(175091), // Rule ID 1469 //
     /* 175051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 175059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 175062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 175065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 175068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175080 */     // (intrinsic_wo_chain:{ *:[v2i32] } 703:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 175080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv2i32),
     /* 175083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175087 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175089 */     GIR_RootConstrainSelectedInstOperands,
     /* 175090 */     // GIR_Coverage, 1469,
     /* 175090 */     GIR_EraseRootFromParent_Done,
     /* 175091 */   // Label 3375: @175091
     /* 175091 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(175136), // Rule ID 1470 //
     /* 175096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 175104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 175107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 175110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 175113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175125 */     // (intrinsic_wo_chain:{ *:[v4i32] } 703:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 175125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv4i32),
     /* 175128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175134 */     GIR_RootConstrainSelectedInstOperands,
     /* 175135 */     // GIR_Coverage, 1470,
     /* 175135 */     GIR_EraseRootFromParent_Done,
     /* 175136 */   // Label 3376: @175136
     /* 175136 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(175181), // Rule ID 1471 //
     /* 175141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 175149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 175152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 175155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 175158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175170 */     // (intrinsic_wo_chain:{ *:[v2i64] } 703:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 175170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv2i64),
     /* 175173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175177 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175179 */     GIR_RootConstrainSelectedInstOperands,
     /* 175180 */     // GIR_Coverage, 1471,
     /* 175180 */     GIR_EraseRootFromParent_Done,
     /* 175181 */   // Label 3377: @175181
     /* 175181 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(175226), // Rule ID 1492 //
     /* 175186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 175194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 175197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 175200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 175203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175215 */     // (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UABDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 175215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv8i8),
     /* 175218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175222 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175224 */     GIR_RootConstrainSelectedInstOperands,
     /* 175225 */     // GIR_Coverage, 1492,
     /* 175225 */     GIR_EraseRootFromParent_Done,
     /* 175226 */   // Label 3378: @175226
     /* 175226 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(175271), // Rule ID 1494 //
     /* 175231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 175239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 175242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 175245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 175248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175260 */     // (intrinsic_wo_chain:{ *:[v16i8] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UABDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 175260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv16i8),
     /* 175263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175269 */     GIR_RootConstrainSelectedInstOperands,
     /* 175270 */     // GIR_Coverage, 1494,
     /* 175270 */     GIR_EraseRootFromParent_Done,
     /* 175271 */   // Label 3379: @175271
     /* 175271 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(175316), // Rule ID 1496 //
     /* 175276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 175284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 175287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 175290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 175293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175305 */     // (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UABDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 175305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv4i16),
     /* 175308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175312 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175314 */     GIR_RootConstrainSelectedInstOperands,
     /* 175315 */     // GIR_Coverage, 1496,
     /* 175315 */     GIR_EraseRootFromParent_Done,
     /* 175316 */   // Label 3380: @175316
     /* 175316 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(175361), // Rule ID 1498 //
     /* 175321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 175329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 175332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 175335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 175338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175350 */     // (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UABDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 175350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv8i16),
     /* 175353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175355 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175357 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175359 */     GIR_RootConstrainSelectedInstOperands,
     /* 175360 */     // GIR_Coverage, 1498,
     /* 175360 */     GIR_EraseRootFromParent_Done,
     /* 175361 */   // Label 3381: @175361
     /* 175361 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(175406), // Rule ID 1500 //
     /* 175366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 175374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 175377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 175380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 175383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175395 */     // (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UABDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 175395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv2i32),
     /* 175398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175404 */     GIR_RootConstrainSelectedInstOperands,
     /* 175405 */     // GIR_Coverage, 1500,
     /* 175405 */     GIR_EraseRootFromParent_Done,
     /* 175406 */   // Label 3382: @175406
     /* 175406 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(175451), // Rule ID 1502 //
     /* 175411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 175419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 175422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 175425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 175428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175440 */     // (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UABDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 175440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv4i32),
     /* 175443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175447 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175449 */     GIR_RootConstrainSelectedInstOperands,
     /* 175450 */     // GIR_Coverage, 1502,
     /* 175450 */     GIR_EraseRootFromParent_Done,
     /* 175451 */   // Label 3383: @175451
     /* 175451 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(175496), // Rule ID 1509 //
     /* 175456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 175464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 175467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 175470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 175473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175485 */     // (intrinsic_wo_chain:{ *:[v8i8] } 730:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UHSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 175485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv8i8),
     /* 175488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175494 */     GIR_RootConstrainSelectedInstOperands,
     /* 175495 */     // GIR_Coverage, 1509,
     /* 175495 */     GIR_EraseRootFromParent_Done,
     /* 175496 */   // Label 3384: @175496
     /* 175496 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(175541), // Rule ID 1510 //
     /* 175501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 175509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 175512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 175515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 175518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175530 */     // (intrinsic_wo_chain:{ *:[v16i8] } 730:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UHSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 175530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv16i8),
     /* 175533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175537 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175539 */     GIR_RootConstrainSelectedInstOperands,
     /* 175540 */     // GIR_Coverage, 1510,
     /* 175540 */     GIR_EraseRootFromParent_Done,
     /* 175541 */   // Label 3385: @175541
     /* 175541 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(175586), // Rule ID 1511 //
     /* 175546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 175554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 175557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 175560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 175563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175575 */     // (intrinsic_wo_chain:{ *:[v4i16] } 730:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UHSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 175575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv4i16),
     /* 175578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175584 */     GIR_RootConstrainSelectedInstOperands,
     /* 175585 */     // GIR_Coverage, 1511,
     /* 175585 */     GIR_EraseRootFromParent_Done,
     /* 175586 */   // Label 3386: @175586
     /* 175586 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(175631), // Rule ID 1512 //
     /* 175591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 175599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 175602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 175605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 175608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175620 */     // (intrinsic_wo_chain:{ *:[v8i16] } 730:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UHSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 175620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv8i16),
     /* 175623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175625 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175627 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175629 */     GIR_RootConstrainSelectedInstOperands,
     /* 175630 */     // GIR_Coverage, 1512,
     /* 175630 */     GIR_EraseRootFromParent_Done,
     /* 175631 */   // Label 3387: @175631
     /* 175631 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(175676), // Rule ID 1513 //
     /* 175636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 175644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 175647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 175650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 175653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175665 */     // (intrinsic_wo_chain:{ *:[v2i32] } 730:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UHSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 175665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv2i32),
     /* 175668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175672 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175674 */     GIR_RootConstrainSelectedInstOperands,
     /* 175675 */     // GIR_Coverage, 1513,
     /* 175675 */     GIR_EraseRootFromParent_Done,
     /* 175676 */   // Label 3388: @175676
     /* 175676 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(175721), // Rule ID 1514 //
     /* 175681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 175689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 175692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 175695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 175698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175710 */     // (intrinsic_wo_chain:{ *:[v4i32] } 730:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UHSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 175710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv4i32),
     /* 175713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175715 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175717 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175719 */     GIR_RootConstrainSelectedInstOperands,
     /* 175720 */     // GIR_Coverage, 1514,
     /* 175720 */     GIR_EraseRootFromParent_Done,
     /* 175721 */   // Label 3389: @175721
     /* 175721 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(175766), // Rule ID 1515 //
     /* 175726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 175734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 175737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 175740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 175743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175755 */     // (intrinsic_wo_chain:{ *:[v8i8] } 732:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMAXPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 175755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv8i8),
     /* 175758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175760 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175762 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175764 */     GIR_RootConstrainSelectedInstOperands,
     /* 175765 */     // GIR_Coverage, 1515,
     /* 175765 */     GIR_EraseRootFromParent_Done,
     /* 175766 */   // Label 3390: @175766
     /* 175766 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(175811), // Rule ID 1516 //
     /* 175771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 175779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 175782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 175785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 175788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175800 */     // (intrinsic_wo_chain:{ *:[v16i8] } 732:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMAXPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 175800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv16i8),
     /* 175803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175805 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175807 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175809 */     GIR_RootConstrainSelectedInstOperands,
     /* 175810 */     // GIR_Coverage, 1516,
     /* 175810 */     GIR_EraseRootFromParent_Done,
     /* 175811 */   // Label 3391: @175811
     /* 175811 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(175856), // Rule ID 1517 //
     /* 175816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 175824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 175827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 175830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 175833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175845 */     // (intrinsic_wo_chain:{ *:[v4i16] } 732:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMAXPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 175845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv4i16),
     /* 175848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175854 */     GIR_RootConstrainSelectedInstOperands,
     /* 175855 */     // GIR_Coverage, 1517,
     /* 175855 */     GIR_EraseRootFromParent_Done,
     /* 175856 */   // Label 3392: @175856
     /* 175856 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(175901), // Rule ID 1518 //
     /* 175861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 175869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 175872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 175875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 175878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175890 */     // (intrinsic_wo_chain:{ *:[v8i16] } 732:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMAXPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 175890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv8i16),
     /* 175893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175895 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175897 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175899 */     GIR_RootConstrainSelectedInstOperands,
     /* 175900 */     // GIR_Coverage, 1518,
     /* 175900 */     GIR_EraseRootFromParent_Done,
     /* 175901 */   // Label 3393: @175901
     /* 175901 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(175946), // Rule ID 1519 //
     /* 175906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 175914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 175917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 175920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 175923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175935 */     // (intrinsic_wo_chain:{ *:[v2i32] } 732:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMAXPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 175935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv2i32),
     /* 175938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175940 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175942 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175944 */     GIR_RootConstrainSelectedInstOperands,
     /* 175945 */     // GIR_Coverage, 1519,
     /* 175945 */     GIR_EraseRootFromParent_Done,
     /* 175946 */   // Label 3394: @175946
     /* 175946 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(175991), // Rule ID 1520 //
     /* 175951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 175959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 175962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 175965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 175968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175980 */     // (intrinsic_wo_chain:{ *:[v4i32] } 732:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMAXPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 175980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv4i32),
     /* 175983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175985 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175987 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175989 */     GIR_RootConstrainSelectedInstOperands,
     /* 175990 */     // GIR_Coverage, 1520,
     /* 175990 */     GIR_EraseRootFromParent_Done,
     /* 175991 */   // Label 3395: @175991
     /* 175991 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(176036), // Rule ID 1527 //
     /* 175996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 176004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 176007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 176010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 176013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176025 */     // (intrinsic_wo_chain:{ *:[v8i8] } 735:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMINPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 176025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv8i8),
     /* 176028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176032 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176034 */     GIR_RootConstrainSelectedInstOperands,
     /* 176035 */     // GIR_Coverage, 1527,
     /* 176035 */     GIR_EraseRootFromParent_Done,
     /* 176036 */   // Label 3396: @176036
     /* 176036 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(176081), // Rule ID 1528 //
     /* 176041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 176049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 176052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 176055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 176058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176070 */     // (intrinsic_wo_chain:{ *:[v16i8] } 735:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMINPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 176070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv16i8),
     /* 176073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176075 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176077 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176079 */     GIR_RootConstrainSelectedInstOperands,
     /* 176080 */     // GIR_Coverage, 1528,
     /* 176080 */     GIR_EraseRootFromParent_Done,
     /* 176081 */   // Label 3397: @176081
     /* 176081 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(176126), // Rule ID 1529 //
     /* 176086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 176094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 176097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 176100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 176103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176115 */     // (intrinsic_wo_chain:{ *:[v4i16] } 735:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMINPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 176115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv4i16),
     /* 176118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176124 */     GIR_RootConstrainSelectedInstOperands,
     /* 176125 */     // GIR_Coverage, 1529,
     /* 176125 */     GIR_EraseRootFromParent_Done,
     /* 176126 */   // Label 3398: @176126
     /* 176126 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(176171), // Rule ID 1530 //
     /* 176131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 176139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 176142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 176145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 176148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176160 */     // (intrinsic_wo_chain:{ *:[v8i16] } 735:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMINPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 176160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv8i16),
     /* 176163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176165 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176167 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176169 */     GIR_RootConstrainSelectedInstOperands,
     /* 176170 */     // GIR_Coverage, 1530,
     /* 176170 */     GIR_EraseRootFromParent_Done,
     /* 176171 */   // Label 3399: @176171
     /* 176171 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(176216), // Rule ID 1531 //
     /* 176176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 176184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 176187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 176190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 176193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176205 */     // (intrinsic_wo_chain:{ *:[v2i32] } 735:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMINPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 176205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv2i32),
     /* 176208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176214 */     GIR_RootConstrainSelectedInstOperands,
     /* 176215 */     // GIR_Coverage, 1531,
     /* 176215 */     GIR_EraseRootFromParent_Done,
     /* 176216 */   // Label 3400: @176216
     /* 176216 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(176261), // Rule ID 1532 //
     /* 176221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 176229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 176232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 176235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 176238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176250 */     // (intrinsic_wo_chain:{ *:[v4i32] } 735:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMINPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 176250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv4i32),
     /* 176253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176255 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176257 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176259 */     GIR_RootConstrainSelectedInstOperands,
     /* 176260 */     // GIR_Coverage, 1532,
     /* 176260 */     GIR_EraseRootFromParent_Done,
     /* 176261 */   // Label 3401: @176261
     /* 176261 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(176306), // Rule ID 1539 //
     /* 176266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 176277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 176280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 176283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176295 */     // (intrinsic_wo_chain:{ *:[v8i8] } 739:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 176295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i8),
     /* 176298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176302 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176304 */     GIR_RootConstrainSelectedInstOperands,
     /* 176305 */     // GIR_Coverage, 1539,
     /* 176305 */     GIR_EraseRootFromParent_Done,
     /* 176306 */   // Label 3402: @176306
     /* 176306 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(176351), // Rule ID 1540 //
     /* 176311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 176322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 176325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 176328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176340 */     // (intrinsic_wo_chain:{ *:[v16i8] } 739:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 176340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv16i8),
     /* 176343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176347 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176349 */     GIR_RootConstrainSelectedInstOperands,
     /* 176350 */     // GIR_Coverage, 1540,
     /* 176350 */     GIR_EraseRootFromParent_Done,
     /* 176351 */   // Label 3403: @176351
     /* 176351 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(176396), // Rule ID 1541 //
     /* 176356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 176367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 176370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 176373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176385 */     // (intrinsic_wo_chain:{ *:[v4i16] } 739:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 176385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i16),
     /* 176388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176394 */     GIR_RootConstrainSelectedInstOperands,
     /* 176395 */     // GIR_Coverage, 1541,
     /* 176395 */     GIR_EraseRootFromParent_Done,
     /* 176396 */   // Label 3404: @176396
     /* 176396 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(176441), // Rule ID 1542 //
     /* 176401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 176412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 176415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 176418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176430 */     // (intrinsic_wo_chain:{ *:[v8i16] } 739:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 176430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i16),
     /* 176433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176437 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176439 */     GIR_RootConstrainSelectedInstOperands,
     /* 176440 */     // GIR_Coverage, 1542,
     /* 176440 */     GIR_EraseRootFromParent_Done,
     /* 176441 */   // Label 3405: @176441
     /* 176441 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(176486), // Rule ID 1543 //
     /* 176446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 176457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 176460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 176463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176475 */     // (intrinsic_wo_chain:{ *:[v2i32] } 739:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 176475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i32),
     /* 176478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176482 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176484 */     GIR_RootConstrainSelectedInstOperands,
     /* 176485 */     // GIR_Coverage, 1543,
     /* 176485 */     GIR_EraseRootFromParent_Done,
     /* 176486 */   // Label 3406: @176486
     /* 176486 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(176531), // Rule ID 1544 //
     /* 176491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 176502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 176505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 176508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176520 */     // (intrinsic_wo_chain:{ *:[v4i32] } 739:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 176520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i32),
     /* 176523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176527 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176529 */     GIR_RootConstrainSelectedInstOperands,
     /* 176530 */     // GIR_Coverage, 1544,
     /* 176530 */     GIR_EraseRootFromParent_Done,
     /* 176531 */   // Label 3407: @176531
     /* 176531 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(176576), // Rule ID 1545 //
     /* 176536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 176547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 176550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 176553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176565 */     // (intrinsic_wo_chain:{ *:[v2i64] } 739:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 176565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i64),
     /* 176568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176570 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176572 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176574 */     GIR_RootConstrainSelectedInstOperands,
     /* 176575 */     // GIR_Coverage, 1545,
     /* 176575 */     GIR_EraseRootFromParent_Done,
     /* 176576 */   // Label 3408: @176576
     /* 176576 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(176621), // Rule ID 1546 //
     /* 176581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 176592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 176595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 176598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176610 */     // (intrinsic_wo_chain:{ *:[v8i8] } 740:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQRSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 176610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv8i8),
     /* 176613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176617 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176619 */     GIR_RootConstrainSelectedInstOperands,
     /* 176620 */     // GIR_Coverage, 1546,
     /* 176620 */     GIR_EraseRootFromParent_Done,
     /* 176621 */   // Label 3409: @176621
     /* 176621 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(176666), // Rule ID 1547 //
     /* 176626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 176637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 176640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 176643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176655 */     // (intrinsic_wo_chain:{ *:[v16i8] } 740:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQRSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 176655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv16i8),
     /* 176658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176662 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176664 */     GIR_RootConstrainSelectedInstOperands,
     /* 176665 */     // GIR_Coverage, 1547,
     /* 176665 */     GIR_EraseRootFromParent_Done,
     /* 176666 */   // Label 3410: @176666
     /* 176666 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(176711), // Rule ID 1548 //
     /* 176671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 176682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 176685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 176688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176700 */     // (intrinsic_wo_chain:{ *:[v4i16] } 740:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQRSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 176700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv4i16),
     /* 176703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176709 */     GIR_RootConstrainSelectedInstOperands,
     /* 176710 */     // GIR_Coverage, 1548,
     /* 176710 */     GIR_EraseRootFromParent_Done,
     /* 176711 */   // Label 3411: @176711
     /* 176711 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(176756), // Rule ID 1549 //
     /* 176716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 176727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 176730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 176733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176745 */     // (intrinsic_wo_chain:{ *:[v8i16] } 740:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQRSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 176745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv8i16),
     /* 176748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176754 */     GIR_RootConstrainSelectedInstOperands,
     /* 176755 */     // GIR_Coverage, 1549,
     /* 176755 */     GIR_EraseRootFromParent_Done,
     /* 176756 */   // Label 3412: @176756
     /* 176756 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(176801), // Rule ID 1550 //
     /* 176761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 176772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 176775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 176778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176790 */     // (intrinsic_wo_chain:{ *:[v2i32] } 740:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQRSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 176790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv2i32),
     /* 176793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176797 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176799 */     GIR_RootConstrainSelectedInstOperands,
     /* 176800 */     // GIR_Coverage, 1550,
     /* 176800 */     GIR_EraseRootFromParent_Done,
     /* 176801 */   // Label 3413: @176801
     /* 176801 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(176846), // Rule ID 1551 //
     /* 176806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 176817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 176820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 176823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176835 */     // (intrinsic_wo_chain:{ *:[v4i32] } 740:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQRSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 176835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv4i32),
     /* 176838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176844 */     GIR_RootConstrainSelectedInstOperands,
     /* 176845 */     // GIR_Coverage, 1551,
     /* 176845 */     GIR_EraseRootFromParent_Done,
     /* 176846 */   // Label 3414: @176846
     /* 176846 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(176891), // Rule ID 1552 //
     /* 176851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 176862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 176865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 176868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176880 */     // (intrinsic_wo_chain:{ *:[v2i64] } 740:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQRSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 176880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv2i64),
     /* 176883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176887 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176889 */     GIR_RootConstrainSelectedInstOperands,
     /* 176890 */     // GIR_Coverage, 1552,
     /* 176890 */     GIR_EraseRootFromParent_Done,
     /* 176891 */   // Label 3415: @176891
     /* 176891 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(176936), // Rule ID 1553 //
     /* 176896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 176907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 176910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 176913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176925 */     // (intrinsic_wo_chain:{ *:[v8i8] } 742:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 176925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv8i8),
     /* 176928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176932 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176934 */     GIR_RootConstrainSelectedInstOperands,
     /* 176935 */     // GIR_Coverage, 1553,
     /* 176935 */     GIR_EraseRootFromParent_Done,
     /* 176936 */   // Label 3416: @176936
     /* 176936 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(176981), // Rule ID 1554 //
     /* 176941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 176952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 176955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 176958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176970 */     // (intrinsic_wo_chain:{ *:[v16i8] } 742:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 176970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv16i8),
     /* 176973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176979 */     GIR_RootConstrainSelectedInstOperands,
     /* 176980 */     // GIR_Coverage, 1554,
     /* 176980 */     GIR_EraseRootFromParent_Done,
     /* 176981 */   // Label 3417: @176981
     /* 176981 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(177026), // Rule ID 1555 //
     /* 176986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 176997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 177000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 177003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177015 */     // (intrinsic_wo_chain:{ *:[v4i16] } 742:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 177015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv4i16),
     /* 177018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177024 */     GIR_RootConstrainSelectedInstOperands,
     /* 177025 */     // GIR_Coverage, 1555,
     /* 177025 */     GIR_EraseRootFromParent_Done,
     /* 177026 */   // Label 3418: @177026
     /* 177026 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(177071), // Rule ID 1556 //
     /* 177031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 177039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 177042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 177045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 177048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177060 */     // (intrinsic_wo_chain:{ *:[v8i16] } 742:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 177060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv8i16),
     /* 177063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177067 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177069 */     GIR_RootConstrainSelectedInstOperands,
     /* 177070 */     // GIR_Coverage, 1556,
     /* 177070 */     GIR_EraseRootFromParent_Done,
     /* 177071 */   // Label 3419: @177071
     /* 177071 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(177116), // Rule ID 1557 //
     /* 177076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 177084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 177087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 177090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 177093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177105 */     // (intrinsic_wo_chain:{ *:[v2i32] } 742:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 177105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv2i32),
     /* 177108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177114 */     GIR_RootConstrainSelectedInstOperands,
     /* 177115 */     // GIR_Coverage, 1557,
     /* 177115 */     GIR_EraseRootFromParent_Done,
     /* 177116 */   // Label 3420: @177116
     /* 177116 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(177161), // Rule ID 1558 //
     /* 177121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 177129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 177132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 177135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 177138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177150 */     // (intrinsic_wo_chain:{ *:[v4i32] } 742:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 177150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv4i32),
     /* 177153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177157 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177159 */     GIR_RootConstrainSelectedInstOperands,
     /* 177160 */     // GIR_Coverage, 1558,
     /* 177160 */     GIR_EraseRootFromParent_Done,
     /* 177161 */   // Label 3421: @177161
     /* 177161 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(177206), // Rule ID 1559 //
     /* 177166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 177174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 177177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 177180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 177183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177195 */     // (intrinsic_wo_chain:{ *:[v2i64] } 742:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 177195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv2i64),
     /* 177198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177202 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177204 */     GIR_RootConstrainSelectedInstOperands,
     /* 177205 */     // GIR_Coverage, 1559,
     /* 177205 */     GIR_EraseRootFromParent_Done,
     /* 177206 */   // Label 3422: @177206
     /* 177206 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(177251), // Rule ID 1560 //
     /* 177211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 177222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 177225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 177228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177240 */     // (intrinsic_wo_chain:{ *:[v8i8] } 744:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 177240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i8),
     /* 177243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177247 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177249 */     GIR_RootConstrainSelectedInstOperands,
     /* 177250 */     // GIR_Coverage, 1560,
     /* 177250 */     GIR_EraseRootFromParent_Done,
     /* 177251 */   // Label 3423: @177251
     /* 177251 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(177296), // Rule ID 1561 //
     /* 177256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 177267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 177270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 177273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177285 */     // (intrinsic_wo_chain:{ *:[v16i8] } 744:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 177285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv16i8),
     /* 177288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177292 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177294 */     GIR_RootConstrainSelectedInstOperands,
     /* 177295 */     // GIR_Coverage, 1561,
     /* 177295 */     GIR_EraseRootFromParent_Done,
     /* 177296 */   // Label 3424: @177296
     /* 177296 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(177341), // Rule ID 1562 //
     /* 177301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 177312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 177315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 177318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177330 */     // (intrinsic_wo_chain:{ *:[v4i16] } 744:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 177330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i16),
     /* 177333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177337 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177339 */     GIR_RootConstrainSelectedInstOperands,
     /* 177340 */     // GIR_Coverage, 1562,
     /* 177340 */     GIR_EraseRootFromParent_Done,
     /* 177341 */   // Label 3425: @177341
     /* 177341 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(177386), // Rule ID 1563 //
     /* 177346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 177357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 177360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 177363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177375 */     // (intrinsic_wo_chain:{ *:[v8i16] } 744:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 177375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i16),
     /* 177378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177384 */     GIR_RootConstrainSelectedInstOperands,
     /* 177385 */     // GIR_Coverage, 1563,
     /* 177385 */     GIR_EraseRootFromParent_Done,
     /* 177386 */   // Label 3426: @177386
     /* 177386 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(177431), // Rule ID 1564 //
     /* 177391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 177402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 177405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 177408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177420 */     // (intrinsic_wo_chain:{ *:[v2i32] } 744:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 177420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i32),
     /* 177423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177425 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177427 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177429 */     GIR_RootConstrainSelectedInstOperands,
     /* 177430 */     // GIR_Coverage, 1564,
     /* 177430 */     GIR_EraseRootFromParent_Done,
     /* 177431 */   // Label 3427: @177431
     /* 177431 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(177476), // Rule ID 1565 //
     /* 177436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 177447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 177450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 177453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177465 */     // (intrinsic_wo_chain:{ *:[v4i32] } 744:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 177465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i32),
     /* 177468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177472 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177474 */     GIR_RootConstrainSelectedInstOperands,
     /* 177475 */     // GIR_Coverage, 1565,
     /* 177475 */     GIR_EraseRootFromParent_Done,
     /* 177476 */   // Label 3428: @177476
     /* 177476 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(177521), // Rule ID 1566 //
     /* 177481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 177492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 177495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 177498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177510 */     // (intrinsic_wo_chain:{ *:[v2i64] } 744:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 177510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i64),
     /* 177513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177515 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177517 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177519 */     GIR_RootConstrainSelectedInstOperands,
     /* 177520 */     // GIR_Coverage, 1566,
     /* 177520 */     GIR_EraseRootFromParent_Done,
     /* 177521 */   // Label 3429: @177521
     /* 177521 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(177566), // Rule ID 1573 //
     /* 177526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 177537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 177540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 177543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177555 */     // (intrinsic_wo_chain:{ *:[v8i8] } 748:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (URSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 177555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv8i8),
     /* 177558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177564 */     GIR_RootConstrainSelectedInstOperands,
     /* 177565 */     // GIR_Coverage, 1573,
     /* 177565 */     GIR_EraseRootFromParent_Done,
     /* 177566 */   // Label 3430: @177566
     /* 177566 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(177611), // Rule ID 1574 //
     /* 177571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 177582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 177585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 177588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177600 */     // (intrinsic_wo_chain:{ *:[v16i8] } 748:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (URSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 177600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv16i8),
     /* 177603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177607 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177609 */     GIR_RootConstrainSelectedInstOperands,
     /* 177610 */     // GIR_Coverage, 1574,
     /* 177610 */     GIR_EraseRootFromParent_Done,
     /* 177611 */   // Label 3431: @177611
     /* 177611 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(177656), // Rule ID 1575 //
     /* 177616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 177627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 177630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 177633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177645 */     // (intrinsic_wo_chain:{ *:[v4i16] } 748:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (URSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 177645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv4i16),
     /* 177648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177654 */     GIR_RootConstrainSelectedInstOperands,
     /* 177655 */     // GIR_Coverage, 1575,
     /* 177655 */     GIR_EraseRootFromParent_Done,
     /* 177656 */   // Label 3432: @177656
     /* 177656 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(177701), // Rule ID 1576 //
     /* 177661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 177672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 177675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 177678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177690 */     // (intrinsic_wo_chain:{ *:[v8i16] } 748:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (URSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 177690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv8i16),
     /* 177693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177695 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177699 */     GIR_RootConstrainSelectedInstOperands,
     /* 177700 */     // GIR_Coverage, 1576,
     /* 177700 */     GIR_EraseRootFromParent_Done,
     /* 177701 */   // Label 3433: @177701
     /* 177701 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(177746), // Rule ID 1577 //
     /* 177706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 177717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 177720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 177723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177735 */     // (intrinsic_wo_chain:{ *:[v2i32] } 748:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (URSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 177735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv2i32),
     /* 177738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177744 */     GIR_RootConstrainSelectedInstOperands,
     /* 177745 */     // GIR_Coverage, 1577,
     /* 177745 */     GIR_EraseRootFromParent_Done,
     /* 177746 */   // Label 3434: @177746
     /* 177746 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(177791), // Rule ID 1578 //
     /* 177751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 177762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 177765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 177768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177780 */     // (intrinsic_wo_chain:{ *:[v4i32] } 748:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (URSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 177780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv4i32),
     /* 177783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177789 */     GIR_RootConstrainSelectedInstOperands,
     /* 177790 */     // GIR_Coverage, 1578,
     /* 177790 */     GIR_EraseRootFromParent_Done,
     /* 177791 */   // Label 3435: @177791
     /* 177791 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(177836), // Rule ID 1579 //
     /* 177796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 177807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 177810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 177813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177825 */     // (intrinsic_wo_chain:{ *:[v2i64] } 748:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (URSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 177825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv2i64),
     /* 177828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177832 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177834 */     GIR_RootConstrainSelectedInstOperands,
     /* 177835 */     // GIR_Coverage, 1579,
     /* 177835 */     GIR_EraseRootFromParent_Done,
     /* 177836 */   // Label 3436: @177836
     /* 177836 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(177881), // Rule ID 1580 //
     /* 177841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 177852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 177855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 177858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177870 */     // (intrinsic_wo_chain:{ *:[v8i8] } 751:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (USHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 177870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv8i8),
     /* 177873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177875 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177877 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177879 */     GIR_RootConstrainSelectedInstOperands,
     /* 177880 */     // GIR_Coverage, 1580,
     /* 177880 */     GIR_EraseRootFromParent_Done,
     /* 177881 */   // Label 3437: @177881
     /* 177881 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(177926), // Rule ID 1581 //
     /* 177886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 177897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 177900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 177903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177915 */     // (intrinsic_wo_chain:{ *:[v16i8] } 751:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (USHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 177915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv16i8),
     /* 177918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177922 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177924 */     GIR_RootConstrainSelectedInstOperands,
     /* 177925 */     // GIR_Coverage, 1581,
     /* 177925 */     GIR_EraseRootFromParent_Done,
     /* 177926 */   // Label 3438: @177926
     /* 177926 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(177971), // Rule ID 1582 //
     /* 177931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 177942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 177945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 177948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177960 */     // (intrinsic_wo_chain:{ *:[v4i16] } 751:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (USHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 177960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv4i16),
     /* 177963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177967 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177969 */     GIR_RootConstrainSelectedInstOperands,
     /* 177970 */     // GIR_Coverage, 1582,
     /* 177970 */     GIR_EraseRootFromParent_Done,
     /* 177971 */   // Label 3439: @177971
     /* 177971 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(178016), // Rule ID 1583 //
     /* 177976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 177987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 177990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 177993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178005 */     // (intrinsic_wo_chain:{ *:[v8i16] } 751:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (USHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 178005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv8i16),
     /* 178008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178010 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178012 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178014 */     GIR_RootConstrainSelectedInstOperands,
     /* 178015 */     // GIR_Coverage, 1583,
     /* 178015 */     GIR_EraseRootFromParent_Done,
     /* 178016 */   // Label 3440: @178016
     /* 178016 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(178061), // Rule ID 1584 //
     /* 178021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 178029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 178032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 178035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 178038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178050 */     // (intrinsic_wo_chain:{ *:[v2i32] } 751:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (USHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 178050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv2i32),
     /* 178053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178059 */     GIR_RootConstrainSelectedInstOperands,
     /* 178060 */     // GIR_Coverage, 1584,
     /* 178060 */     GIR_EraseRootFromParent_Done,
     /* 178061 */   // Label 3441: @178061
     /* 178061 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(178106), // Rule ID 1585 //
     /* 178066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 178074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 178077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 178080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 178083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178095 */     // (intrinsic_wo_chain:{ *:[v4i32] } 751:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (USHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 178095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv4i32),
     /* 178098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178100 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178102 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178104 */     GIR_RootConstrainSelectedInstOperands,
     /* 178105 */     // GIR_Coverage, 1585,
     /* 178105 */     GIR_EraseRootFromParent_Done,
     /* 178106 */   // Label 3442: @178106
     /* 178106 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(178151), // Rule ID 1586 //
     /* 178111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 178119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 178122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 178125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 178128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178140 */     // (intrinsic_wo_chain:{ *:[v2i64] } 751:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (USHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 178140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv2i64),
     /* 178143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178147 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178149 */     GIR_RootConstrainSelectedInstOperands,
     /* 178150 */     // GIR_Coverage, 1586,
     /* 178150 */     GIR_EraseRootFromParent_Done,
     /* 178151 */   // Label 3443: @178151
     /* 178151 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(178196), // Rule ID 1614 //
     /* 178156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 178164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178185 */     // (intrinsic_wo_chain:{ *:[f64] } 785:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FABD64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 178185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 178188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178194 */     GIR_RootConstrainSelectedInstOperands,
     /* 178195 */     // GIR_Coverage, 1614,
     /* 178195 */     GIR_EraseRootFromParent_Done,
     /* 178196 */   // Label 3444: @178196
     /* 178196 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(178241), // Rule ID 1615 //
     /* 178201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 178209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178230 */     // (intrinsic_wo_chain:{ *:[f32] } 785:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FABD32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 178230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD32),
     /* 178233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178235 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178239 */     GIR_RootConstrainSelectedInstOperands,
     /* 178240 */     // GIR_Coverage, 1615,
     /* 178240 */     GIR_EraseRootFromParent_Done,
     /* 178241 */   // Label 3445: @178241
     /* 178241 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(178286), // Rule ID 1616 //
     /* 178246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 178249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 178254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 178257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 178260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 178263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178275 */     // (intrinsic_wo_chain:{ *:[f16] } 785:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FABD16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 178275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD16),
     /* 178278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178284 */     GIR_RootConstrainSelectedInstOperands,
     /* 178285 */     // GIR_Coverage, 1616,
     /* 178285 */     GIR_EraseRootFromParent_Done,
     /* 178286 */   // Label 3446: @178286
     /* 178286 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(178331), // Rule ID 1617 //
     /* 178291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 178299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178320 */     // (intrinsic_wo_chain:{ *:[i64] } 577:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FACGE64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 178320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE64),
     /* 178323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178327 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178329 */     GIR_RootConstrainSelectedInstOperands,
     /* 178330 */     // GIR_Coverage, 1617,
     /* 178330 */     GIR_EraseRootFromParent_Done,
     /* 178331 */   // Label 3447: @178331
     /* 178331 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(178376), // Rule ID 1618 //
     /* 178336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 178344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178365 */     // (intrinsic_wo_chain:{ *:[i32] } 577:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FACGE32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 178365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE32),
     /* 178368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178374 */     GIR_RootConstrainSelectedInstOperands,
     /* 178375 */     // GIR_Coverage, 1618,
     /* 178375 */     GIR_EraseRootFromParent_Done,
     /* 178376 */   // Label 3448: @178376
     /* 178376 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(178421), // Rule ID 1619 //
     /* 178381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 178389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178410 */     // (intrinsic_wo_chain:{ *:[i64] } 578:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FACGT64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 178410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT64),
     /* 178413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178419 */     GIR_RootConstrainSelectedInstOperands,
     /* 178420 */     // GIR_Coverage, 1619,
     /* 178420 */     GIR_EraseRootFromParent_Done,
     /* 178421 */   // Label 3449: @178421
     /* 178421 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(178466), // Rule ID 1620 //
     /* 178426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 178434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178455 */     // (intrinsic_wo_chain:{ *:[i32] } 578:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FACGT32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 178455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT32),
     /* 178458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178462 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178464 */     GIR_RootConstrainSelectedInstOperands,
     /* 178465 */     // GIR_Coverage, 1620,
     /* 178465 */     GIR_EraseRootFromParent_Done,
     /* 178466 */   // Label 3450: @178466
     /* 178466 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(178511), // Rule ID 1627 //
     /* 178471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 178474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 178479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178500 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMULX64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 178500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 178503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178507 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178509 */     GIR_RootConstrainSelectedInstOperands,
     /* 178510 */     // GIR_Coverage, 1627,
     /* 178510 */     GIR_EraseRootFromParent_Done,
     /* 178511 */   // Label 3451: @178511
     /* 178511 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(178556), // Rule ID 1628 //
     /* 178516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 178519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 178524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178545 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMULX32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 178545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX32),
     /* 178548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178554 */     GIR_RootConstrainSelectedInstOperands,
     /* 178555 */     // GIR_Coverage, 1628,
     /* 178555 */     GIR_EraseRootFromParent_Done,
     /* 178556 */   // Label 3452: @178556
     /* 178556 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(178601), // Rule ID 1629 //
     /* 178561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 178564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 178569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 178572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 178575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 178578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178590 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMULX16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 178590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX16),
     /* 178593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178597 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178599 */     GIR_RootConstrainSelectedInstOperands,
     /* 178600 */     // GIR_Coverage, 1629,
     /* 178600 */     GIR_EraseRootFromParent_Done,
     /* 178601 */   // Label 3453: @178601
     /* 178601 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(178646), // Rule ID 1630 //
     /* 178606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 178609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 178614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178635 */     // (intrinsic_wo_chain:{ *:[f64] } 633:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FRECPS64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 178635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS64),
     /* 178638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178644 */     GIR_RootConstrainSelectedInstOperands,
     /* 178645 */     // GIR_Coverage, 1630,
     /* 178645 */     GIR_EraseRootFromParent_Done,
     /* 178646 */   // Label 3454: @178646
     /* 178646 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(178691), // Rule ID 1631 //
     /* 178651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 178654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 178659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178680 */     // (intrinsic_wo_chain:{ *:[f32] } 633:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FRECPS32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 178680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS32),
     /* 178683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178689 */     GIR_RootConstrainSelectedInstOperands,
     /* 178690 */     // GIR_Coverage, 1631,
     /* 178690 */     GIR_EraseRootFromParent_Done,
     /* 178691 */   // Label 3455: @178691
     /* 178691 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(178736), // Rule ID 1632 //
     /* 178696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 178699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 178704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 178707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 178710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 178713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178725 */     // (intrinsic_wo_chain:{ *:[f16] } 633:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FRECPS16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 178725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS16),
     /* 178728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178732 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178734 */     GIR_RootConstrainSelectedInstOperands,
     /* 178735 */     // GIR_Coverage, 1632,
     /* 178735 */     GIR_EraseRootFromParent_Done,
     /* 178736 */   // Label 3456: @178736
     /* 178736 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(178781), // Rule ID 1633 //
     /* 178741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 178744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 178749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178770 */     // (intrinsic_wo_chain:{ *:[f64] } 640:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FRSQRTS64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 178770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS64),
     /* 178773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178777 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178779 */     GIR_RootConstrainSelectedInstOperands,
     /* 178780 */     // GIR_Coverage, 1633,
     /* 178780 */     GIR_EraseRootFromParent_Done,
     /* 178781 */   // Label 3457: @178781
     /* 178781 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(178826), // Rule ID 1634 //
     /* 178786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 178789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 178794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178815 */     // (intrinsic_wo_chain:{ *:[f32] } 640:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FRSQRTS32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 178815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS32),
     /* 178818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178822 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178824 */     GIR_RootConstrainSelectedInstOperands,
     /* 178825 */     // GIR_Coverage, 1634,
     /* 178825 */     GIR_EraseRootFromParent_Done,
     /* 178826 */   // Label 3458: @178826
     /* 178826 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(178871), // Rule ID 1635 //
     /* 178831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 178834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 178839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 178842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 178845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 178848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178860 */     // (intrinsic_wo_chain:{ *:[f16] } 640:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FRSQRTS16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 178860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS16),
     /* 178863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178867 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178869 */     GIR_RootConstrainSelectedInstOperands,
     /* 178870 */     // GIR_Coverage, 1635,
     /* 178870 */     GIR_EraseRootFromParent_Done,
     /* 178871 */   // Label 3459: @178871
     /* 178871 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(178916), // Rule ID 1636 //
     /* 178876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 178884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178905 */     // (intrinsic_wo_chain:{ *:[v1i64] } 679:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv1i64),
     /* 178908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178914 */     GIR_RootConstrainSelectedInstOperands,
     /* 178915 */     // GIR_Coverage, 1636,
     /* 178915 */     GIR_EraseRootFromParent_Done,
     /* 178916 */   // Label 3460: @178916
     /* 178916 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(178961), // Rule ID 1637 //
     /* 178921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 178929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178950 */     // (intrinsic_wo_chain:{ *:[i32] } 680:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQDMULHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 178950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv1i32),
     /* 178953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178957 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178959 */     GIR_RootConstrainSelectedInstOperands,
     /* 178960 */     // GIR_Coverage, 1637,
     /* 178960 */     GIR_EraseRootFromParent_Done,
     /* 178961 */   // Label 3461: @178961
     /* 178961 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(179006), // Rule ID 1638 //
     /* 178966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 178974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178995 */     // (intrinsic_wo_chain:{ *:[i32] } 688:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRDMULHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 178995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv1i32),
     /* 178998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179004 */     GIR_RootConstrainSelectedInstOperands,
     /* 179005 */     // GIR_Coverage, 1638,
     /* 179005 */     GIR_EraseRootFromParent_Done,
     /* 179006 */   // Label 3462: @179006
     /* 179006 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(179051), // Rule ID 1639 //
     /* 179011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 179019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179040 */     // (intrinsic_wo_chain:{ *:[v1i64] } 691:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQRSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv1i64),
     /* 179043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179049 */     GIR_RootConstrainSelectedInstOperands,
     /* 179050 */     // GIR_Coverage, 1639,
     /* 179050 */     GIR_EraseRootFromParent_Done,
     /* 179051 */   // Label 3463: @179051
     /* 179051 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(179096), // Rule ID 1640 //
     /* 179056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 179064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179085 */     // (intrinsic_wo_chain:{ *:[v1i64] } 694:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv1i64),
     /* 179088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179094 */     GIR_RootConstrainSelectedInstOperands,
     /* 179095 */     // GIR_Coverage, 1640,
     /* 179095 */     GIR_EraseRootFromParent_Done,
     /* 179096 */   // Label 3464: @179096
     /* 179096 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(179141), // Rule ID 1641 //
     /* 179101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 179109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179130 */     // (intrinsic_wo_chain:{ *:[v1i64] } 698:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQSUBv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv1i64),
     /* 179133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179135 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179137 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179139 */     GIR_RootConstrainSelectedInstOperands,
     /* 179140 */     // GIR_Coverage, 1641,
     /* 179140 */     GIR_EraseRootFromParent_Done,
     /* 179141 */   // Label 3465: @179141
     /* 179141 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(179186), // Rule ID 1642 //
     /* 179146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 179154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179175 */     // (intrinsic_wo_chain:{ *:[v1i64] } 702:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SRSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv1i64),
     /* 179178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179184 */     GIR_RootConstrainSelectedInstOperands,
     /* 179185 */     // GIR_Coverage, 1642,
     /* 179185 */     GIR_EraseRootFromParent_Done,
     /* 179186 */   // Label 3466: @179186
     /* 179186 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(179231), // Rule ID 1643 //
     /* 179191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 179199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179220 */     // (intrinsic_wo_chain:{ *:[v1i64] } 703:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv1i64),
     /* 179223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179229 */     GIR_RootConstrainSelectedInstOperands,
     /* 179230 */     // GIR_Coverage, 1643,
     /* 179230 */     GIR_EraseRootFromParent_Done,
     /* 179231 */   // Label 3467: @179231
     /* 179231 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(179276), // Rule ID 1645 //
     /* 179236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 179244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179265 */     // (intrinsic_wo_chain:{ *:[v1i64] } 739:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv1i64),
     /* 179268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179270 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179272 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179274 */     GIR_RootConstrainSelectedInstOperands,
     /* 179275 */     // GIR_Coverage, 1645,
     /* 179275 */     GIR_EraseRootFromParent_Done,
     /* 179276 */   // Label 3468: @179276
     /* 179276 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(179321), // Rule ID 1646 //
     /* 179281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 179289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179310 */     // (intrinsic_wo_chain:{ *:[v1i64] } 740:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQRSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv1i64),
     /* 179313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179317 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179319 */     GIR_RootConstrainSelectedInstOperands,
     /* 179320 */     // GIR_Coverage, 1646,
     /* 179320 */     GIR_EraseRootFromParent_Done,
     /* 179321 */   // Label 3469: @179321
     /* 179321 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(179366), // Rule ID 1647 //
     /* 179326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 179334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179355 */     // (intrinsic_wo_chain:{ *:[v1i64] } 742:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv1i64),
     /* 179358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179362 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179364 */     GIR_RootConstrainSelectedInstOperands,
     /* 179365 */     // GIR_Coverage, 1647,
     /* 179365 */     GIR_EraseRootFromParent_Done,
     /* 179366 */   // Label 3470: @179366
     /* 179366 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(179411), // Rule ID 1648 //
     /* 179371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 179379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179400 */     // (intrinsic_wo_chain:{ *:[v1i64] } 744:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQSUBv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv1i64),
     /* 179403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179409 */     GIR_RootConstrainSelectedInstOperands,
     /* 179410 */     // GIR_Coverage, 1648,
     /* 179410 */     GIR_EraseRootFromParent_Done,
     /* 179411 */   // Label 3471: @179411
     /* 179411 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(179456), // Rule ID 1649 //
     /* 179416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 179424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179445 */     // (intrinsic_wo_chain:{ *:[v1i64] } 748:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (URSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv1i64),
     /* 179448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179450 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179452 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179454 */     GIR_RootConstrainSelectedInstOperands,
     /* 179455 */     // GIR_Coverage, 1649,
     /* 179455 */     GIR_EraseRootFromParent_Done,
     /* 179456 */   // Label 3472: @179456
     /* 179456 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(179501), // Rule ID 1650 //
     /* 179461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 179469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179490 */     // (intrinsic_wo_chain:{ *:[v1i64] } 751:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (USHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv1i64),
     /* 179493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179495 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179497 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179499 */     GIR_RootConstrainSelectedInstOperands,
     /* 179500 */     // GIR_Coverage, 1650,
     /* 179500 */     GIR_EraseRootFromParent_Done,
     /* 179501 */   // Label 3473: @179501
     /* 179501 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(179546), // Rule ID 1651 //
     /* 179506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 179514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 179520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 179523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179535 */     // (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQDMULLi32:{ *:[i64] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 179535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLi32),
     /* 179538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179544 */     GIR_RootConstrainSelectedInstOperands,
     /* 179545 */     // GIR_Coverage, 1651,
     /* 179545 */     GIR_EraseRootFromParent_Done,
     /* 179546 */   // Label 3474: @179546
     /* 179546 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(179591), // Rule ID 1665 //
     /* 179551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 179559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179580 */     // (intrinsic_wo_chain:{ *:[i64] } 715:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)  =>  (SUQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)
     /* 179580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv1i64),
     /* 179583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179585 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 179587 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 179589 */     GIR_RootConstrainSelectedInstOperands,
     /* 179590 */     // GIR_Coverage, 1665,
     /* 179590 */     GIR_EraseRootFromParent_Done,
     /* 179591 */   // Label 3475: @179591
     /* 179591 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(179636), // Rule ID 1666 //
     /* 179596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 179604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 179607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 179610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 179613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179625 */     // (intrinsic_wo_chain:{ *:[i32] } 715:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)  =>  (SUQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)
     /* 179625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv1i32),
     /* 179628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 179632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 179634 */     GIR_RootConstrainSelectedInstOperands,
     /* 179635 */     // GIR_Coverage, 1666,
     /* 179635 */     GIR_EraseRootFromParent_Done,
     /* 179636 */   // Label 3476: @179636
     /* 179636 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(179681), // Rule ID 1671 //
     /* 179641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 179649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179670 */     // (intrinsic_wo_chain:{ *:[i64] } 754:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)  =>  (USQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)
     /* 179670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv1i64),
     /* 179673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 179677 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 179679 */     GIR_RootConstrainSelectedInstOperands,
     /* 179680 */     // GIR_Coverage, 1671,
     /* 179680 */     GIR_EraseRootFromParent_Done,
     /* 179681 */   // Label 3477: @179681
     /* 179681 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(179726), // Rule ID 1672 //
     /* 179686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 179694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 179697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 179700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 179703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179715 */     // (intrinsic_wo_chain:{ *:[i32] } 754:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)  =>  (USQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)
     /* 179715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv1i32),
     /* 179718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 179722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 179724 */     GIR_RootConstrainSelectedInstOperands,
     /* 179725 */     // GIR_Coverage, 1672,
     /* 179725 */     GIR_EraseRootFromParent_Done,
     /* 179726 */   // Label 3478: @179726
     /* 179726 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(179771), // Rule ID 1673 //
     /* 179731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /* 179739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 179742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 179745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 179748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179760 */     // (intrinsic_wo_chain:{ *:[v8i8] } 569:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 179760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v8i8),
     /* 179763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179765 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179767 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179769 */     GIR_RootConstrainSelectedInstOperands,
     /* 179770 */     // GIR_Coverage, 1673,
     /* 179770 */     GIR_EraseRootFromParent_Done,
     /* 179771 */   // Label 3479: @179771
     /* 179771 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(179816), // Rule ID 1674 //
     /* 179776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /* 179784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 179787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 179790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 179793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179805 */     // (intrinsic_wo_chain:{ *:[v4i16] } 569:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 179805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v4i16),
     /* 179808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179814 */     GIR_RootConstrainSelectedInstOperands,
     /* 179815 */     // GIR_Coverage, 1674,
     /* 179815 */     GIR_EraseRootFromParent_Done,
     /* 179816 */   // Label 3480: @179816
     /* 179816 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(179861), // Rule ID 1675 //
     /* 179821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /* 179829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 179832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 179835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 179838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179850 */     // (intrinsic_wo_chain:{ *:[v2i32] } 569:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 179850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v2i32),
     /* 179853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179855 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179857 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179859 */     GIR_RootConstrainSelectedInstOperands,
     /* 179860 */     // GIR_Coverage, 1675,
     /* 179860 */     GIR_EraseRootFromParent_Done,
     /* 179861 */   // Label 3481: @179861
     /* 179861 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(179906), // Rule ID 1676 //
     /* 179866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /* 179874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 179877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 179880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 179883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179895 */     // (intrinsic_wo_chain:{ *:[v8i8] } 714:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 179895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v8i8),
     /* 179898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179902 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179904 */     GIR_RootConstrainSelectedInstOperands,
     /* 179905 */     // GIR_Coverage, 1676,
     /* 179905 */     GIR_EraseRootFromParent_Done,
     /* 179906 */   // Label 3482: @179906
     /* 179906 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(179951), // Rule ID 1677 //
     /* 179911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /* 179919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 179922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 179925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 179928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179940 */     // (intrinsic_wo_chain:{ *:[v4i16] } 714:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 179940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v4i16),
     /* 179943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179947 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179949 */     GIR_RootConstrainSelectedInstOperands,
     /* 179950 */     // GIR_Coverage, 1677,
     /* 179950 */     GIR_EraseRootFromParent_Done,
     /* 179951 */   // Label 3483: @179951
     /* 179951 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(179996), // Rule ID 1678 //
     /* 179956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /* 179964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 179967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 179970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 179973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179985 */     // (intrinsic_wo_chain:{ *:[v2i32] } 714:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 179985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v2i32),
     /* 179988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179992 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179994 */     GIR_RootConstrainSelectedInstOperands,
     /* 179995 */     // GIR_Coverage, 1678,
     /* 179995 */     GIR_EraseRootFromParent_Done,
     /* 179996 */   // Label 3484: @179996
     /* 179996 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(180041), // Rule ID 1679 //
     /* 180001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /* 180009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 180012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 180015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 180018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180030 */     // (intrinsic_wo_chain:{ *:[v8i8] } 656:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (RADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 180030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v8i8),
     /* 180033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180037 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180039 */     GIR_RootConstrainSelectedInstOperands,
     /* 180040 */     // GIR_Coverage, 1679,
     /* 180040 */     GIR_EraseRootFromParent_Done,
     /* 180041 */   // Label 3485: @180041
     /* 180041 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(180086), // Rule ID 1680 //
     /* 180046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /* 180054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 180057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180075 */     // (intrinsic_wo_chain:{ *:[v4i16] } 656:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (RADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 180075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v4i16),
     /* 180078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180084 */     GIR_RootConstrainSelectedInstOperands,
     /* 180085 */     // GIR_Coverage, 1680,
     /* 180085 */     GIR_EraseRootFromParent_Done,
     /* 180086 */   // Label 3486: @180086
     /* 180086 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(180131), // Rule ID 1681 //
     /* 180091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /* 180099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 180102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 180105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 180108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180120 */     // (intrinsic_wo_chain:{ *:[v2i32] } 656:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (RADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 180120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v2i32),
     /* 180123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180129 */     GIR_RootConstrainSelectedInstOperands,
     /* 180130 */     // GIR_Coverage, 1681,
     /* 180130 */     GIR_EraseRootFromParent_Done,
     /* 180131 */   // Label 3487: @180131
     /* 180131 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(180176), // Rule ID 1682 //
     /* 180136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /* 180144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 180147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 180150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 180153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180165 */     // (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (RSUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 180165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv8i16_v8i8),
     /* 180168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180174 */     GIR_RootConstrainSelectedInstOperands,
     /* 180175 */     // GIR_Coverage, 1682,
     /* 180175 */     GIR_EraseRootFromParent_Done,
     /* 180176 */   // Label 3488: @180176
     /* 180176 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(180221), // Rule ID 1683 //
     /* 180181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /* 180189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 180192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180210 */     // (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (RSUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 180210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv4i32_v4i16),
     /* 180213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180219 */     GIR_RootConstrainSelectedInstOperands,
     /* 180220 */     // GIR_Coverage, 1683,
     /* 180220 */     GIR_EraseRootFromParent_Done,
     /* 180221 */   // Label 3489: @180221
     /* 180221 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(180266), // Rule ID 1684 //
     /* 180226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /* 180234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 180237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 180240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 180243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180255 */     // (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (RSUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 180255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv2i64_v2i32),
     /* 180258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180264 */     GIR_RootConstrainSelectedInstOperands,
     /* 180265 */     // GIR_Coverage, 1684,
     /* 180265 */     GIR_EraseRootFromParent_Done,
     /* 180266 */   // Label 3490: @180266
     /* 180266 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(180311), // Rule ID 1750 //
     /* 180271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 180279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 180285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 180288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180300 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQDMULLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 180300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i16_v4i32),
     /* 180303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180309 */     GIR_RootConstrainSelectedInstOperands,
     /* 180310 */     // GIR_Coverage, 1750,
     /* 180310 */     GIR_EraseRootFromParent_Done,
     /* 180311 */   // Label 3491: @180311
     /* 180311 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(180356), // Rule ID 1752 //
     /* 180316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 180324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 180327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 180330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 180333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180345 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQDMULLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 180345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv2i32_v2i64),
     /* 180348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180354 */     GIR_RootConstrainSelectedInstOperands,
     /* 180355 */     // GIR_Coverage, 1752,
     /* 180355 */     GIR_EraseRootFromParent_Done,
     /* 180356 */   // Label 3492: @180356
     /* 180356 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(180401), // Rule ID 2303 //
     /* 180361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 180364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aese),
     /* 180369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 180372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 180375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 180378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180390 */     // (intrinsic_wo_chain:{ *:[v16i8] } 512:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (AESErr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 180390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESErr),
     /* 180393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180395 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 180397 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 180399 */     GIR_RootConstrainSelectedInstOperands,
     /* 180400 */     // GIR_Coverage, 2303,
     /* 180400 */     GIR_EraseRootFromParent_Done,
     /* 180401 */   // Label 3493: @180401
     /* 180401 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(180446), // Rule ID 2304 //
     /* 180406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 180409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesd),
     /* 180414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 180417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 180420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 180423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180435 */     // (intrinsic_wo_chain:{ *:[v16i8] } 511:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (AESDrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 180435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESDrr),
     /* 180438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 180442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 180444 */     GIR_RootConstrainSelectedInstOperands,
     /* 180445 */     // GIR_Coverage, 2304,
     /* 180445 */     GIR_EraseRootFromParent_Done,
     /* 180446 */   // Label 3494: @180446
     /* 180446 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(180491), // Rule ID 2315 //
     /* 180451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 180454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1su1),
     /* 180459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180480 */     // (intrinsic_wo_chain:{ *:[v4i32] } 525:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (SHA1SU1rr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 180480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1SU1rr),
     /* 180483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 180487 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 180489 */     GIR_RootConstrainSelectedInstOperands,
     /* 180490 */     // GIR_Coverage, 2315,
     /* 180490 */     GIR_EraseRootFromParent_Done,
     /* 180491 */   // Label 3495: @180491
     /* 180491 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(180536), // Rule ID 2316 //
     /* 180496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 180499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256su0),
     /* 180504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180525 */     // (intrinsic_wo_chain:{ *:[v4i32] } 528:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (SHA256SU0rr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 180525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256SU0rr),
     /* 180528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 180532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 180534 */     GIR_RootConstrainSelectedInstOperands,
     /* 180535 */     // GIR_Coverage, 2316,
     /* 180535 */     GIR_EraseRootFromParent_Done,
     /* 180536 */   // Label 3496: @180536
     /* 180536 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(180581), // Rule ID 2339 //
     /* 180541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 180544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 180549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 180552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 180555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 180558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180570 */     // (intrinsic_wo_chain:{ *:[v4f16] } 631:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (FSCALEv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 180570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv4f16),
     /* 180573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180577 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180579 */     GIR_RootConstrainSelectedInstOperands,
     /* 180580 */     // GIR_Coverage, 2339,
     /* 180580 */     GIR_EraseRootFromParent_Done,
     /* 180581 */   // Label 3497: @180581
     /* 180581 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(180626), // Rule ID 2340 //
     /* 180586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 180589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 180594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 180597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 180600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 180603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180615 */     // (intrinsic_wo_chain:{ *:[v8f16] } 631:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (FSCALEv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 180615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv8f16),
     /* 180618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180620 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180622 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180624 */     GIR_RootConstrainSelectedInstOperands,
     /* 180625 */     // GIR_Coverage, 2340,
     /* 180625 */     GIR_EraseRootFromParent_Done,
     /* 180626 */   // Label 3498: @180626
     /* 180626 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(180671), // Rule ID 2341 //
     /* 180631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 180634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 180639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 180642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 180645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 180648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180660 */     // (intrinsic_wo_chain:{ *:[v2f32] } 631:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (FSCALEv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 180660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv2f32),
     /* 180663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180667 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180669 */     GIR_RootConstrainSelectedInstOperands,
     /* 180670 */     // GIR_Coverage, 2341,
     /* 180670 */     GIR_EraseRootFromParent_Done,
     /* 180671 */   // Label 3499: @180671
     /* 180671 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(180716), // Rule ID 2342 //
     /* 180676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 180679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 180684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180705 */     // (intrinsic_wo_chain:{ *:[v4f32] } 631:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (FSCALEv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 180705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv4f32),
     /* 180708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180714 */     GIR_RootConstrainSelectedInstOperands,
     /* 180715 */     // GIR_Coverage, 2342,
     /* 180715 */     GIR_EraseRootFromParent_Done,
     /* 180716 */   // Label 3500: @180716
     /* 180716 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(180761), // Rule ID 2343 //
     /* 180721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 180724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 180729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 180732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 180735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 180738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180750 */     // (intrinsic_wo_chain:{ *:[v2f64] } 631:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (FSCALEv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 180750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv2f64),
     /* 180753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180755 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180757 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180759 */     GIR_RootConstrainSelectedInstOperands,
     /* 180760 */     // GIR_Coverage, 2343,
     /* 180760 */     GIR_EraseRootFromParent_Done,
     /* 180761 */   // Label 3501: @180761
     /* 180761 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(180806), // Rule ID 2344 //
     /* 180766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 180774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 180777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 180780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 180783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180795 */     // (intrinsic_wo_chain:{ *:[v4f16] } 581:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FAMAXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 180795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f16),
     /* 180798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180802 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180804 */     GIR_RootConstrainSelectedInstOperands,
     /* 180805 */     // GIR_Coverage, 2344,
     /* 180805 */     GIR_EraseRootFromParent_Done,
     /* 180806 */   // Label 3502: @180806
     /* 180806 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(180851), // Rule ID 2347 //
     /* 180811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 180819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 180822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 180825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 180828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180840 */     // (intrinsic_wo_chain:{ *:[v8f16] } 581:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FAMAXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 180840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv8f16),
     /* 180843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180847 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180849 */     GIR_RootConstrainSelectedInstOperands,
     /* 180850 */     // GIR_Coverage, 2347,
     /* 180850 */     GIR_EraseRootFromParent_Done,
     /* 180851 */   // Label 3503: @180851
     /* 180851 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(180896), // Rule ID 2350 //
     /* 180856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 180864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 180867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 180870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 180873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180885 */     // (intrinsic_wo_chain:{ *:[v2f32] } 581:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FAMAXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 180885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f32),
     /* 180888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180892 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180894 */     GIR_RootConstrainSelectedInstOperands,
     /* 180895 */     // GIR_Coverage, 2350,
     /* 180895 */     GIR_EraseRootFromParent_Done,
     /* 180896 */   // Label 3504: @180896
     /* 180896 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(180941), // Rule ID 2353 //
     /* 180901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 180909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180930 */     // (intrinsic_wo_chain:{ *:[v4f32] } 581:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FAMAXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 180930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f32),
     /* 180933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180937 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180939 */     GIR_RootConstrainSelectedInstOperands,
     /* 180940 */     // GIR_Coverage, 2353,
     /* 180940 */     GIR_EraseRootFromParent_Done,
     /* 180941 */   // Label 3505: @180941
     /* 180941 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(180986), // Rule ID 2356 //
     /* 180946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 180954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 180957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 180960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 180963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180975 */     // (intrinsic_wo_chain:{ *:[v2f64] } 581:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FAMAXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 180975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f64),
     /* 180978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180984 */     GIR_RootConstrainSelectedInstOperands,
     /* 180985 */     // GIR_Coverage, 2356,
     /* 180985 */     GIR_EraseRootFromParent_Done,
     /* 180986 */   // Label 3506: @180986
     /* 180986 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(181031), // Rule ID 2359 //
     /* 180991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 180999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 181002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 181005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 181008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181020 */     // (intrinsic_wo_chain:{ *:[v4f16] } 582:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FAMINv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 181020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f16),
     /* 181023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181027 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181029 */     GIR_RootConstrainSelectedInstOperands,
     /* 181030 */     // GIR_Coverage, 2359,
     /* 181030 */     GIR_EraseRootFromParent_Done,
     /* 181031 */   // Label 3507: @181031
     /* 181031 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(181076), // Rule ID 2362 //
     /* 181036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 181039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 181044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 181047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 181050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 181053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181065 */     // (intrinsic_wo_chain:{ *:[v8f16] } 582:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FAMINv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 181065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv8f16),
     /* 181068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181074 */     GIR_RootConstrainSelectedInstOperands,
     /* 181075 */     // GIR_Coverage, 2362,
     /* 181075 */     GIR_EraseRootFromParent_Done,
     /* 181076 */   // Label 3508: @181076
     /* 181076 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(181121), // Rule ID 2365 //
     /* 181081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 181084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 181089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 181092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 181095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 181098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181110 */     // (intrinsic_wo_chain:{ *:[v2f32] } 582:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FAMINv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 181110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f32),
     /* 181113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181115 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181117 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181119 */     GIR_RootConstrainSelectedInstOperands,
     /* 181120 */     // GIR_Coverage, 2365,
     /* 181120 */     GIR_EraseRootFromParent_Done,
     /* 181121 */   // Label 3509: @181121
     /* 181121 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(181166), // Rule ID 2368 //
     /* 181126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 181129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 181134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 181137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 181140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 181143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181155 */     // (intrinsic_wo_chain:{ *:[v4f32] } 582:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FAMINv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 181155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f32),
     /* 181158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181164 */     GIR_RootConstrainSelectedInstOperands,
     /* 181165 */     // GIR_Coverage, 2368,
     /* 181165 */     GIR_EraseRootFromParent_Done,
     /* 181166 */   // Label 3510: @181166
     /* 181166 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(181211), // Rule ID 2371 //
     /* 181171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 181174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 181179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 181182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 181185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 181188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181200 */     // (intrinsic_wo_chain:{ *:[v2f64] } 582:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FAMINv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 181200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f64),
     /* 181203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181207 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181209 */     GIR_RootConstrainSelectedInstOperands,
     /* 181210 */     // GIR_Coverage, 2371,
     /* 181210 */     GIR_EraseRootFromParent_Done,
     /* 181211 */   // Label 3511: @181211
     /* 181211 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(181256), // Rule ID 2508 //
     /* 181216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 181224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181245 */     // (intrinsic_wo_chain:{ *:[i64] } 679:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 181245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv1i64),
     /* 181248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181250 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181252 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181254 */     GIR_RootConstrainSelectedInstOperands,
     /* 181255 */     // GIR_Coverage, 2508,
     /* 181255 */     GIR_EraseRootFromParent_Done,
     /* 181256 */   // Label 3512: @181256
     /* 181256 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(181301), // Rule ID 2509 //
     /* 181261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 181269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 181282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 181286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 181290 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 181290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv1i32),
     /* 181293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181297 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181299 */     GIR_RootConstrainSelectedInstOperands,
     /* 181300 */     // GIR_Coverage, 2509,
     /* 181300 */     GIR_EraseRootFromParent_Done,
     /* 181301 */   // Label 3513: @181301
     /* 181301 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(181346), // Rule ID 2510 //
     /* 181306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 181314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181335 */     // (intrinsic_wo_chain:{ *:[v1f64] } 785:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FABD64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 181335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 181338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181344 */     GIR_RootConstrainSelectedInstOperands,
     /* 181345 */     // GIR_Coverage, 2510,
     /* 181345 */     GIR_EraseRootFromParent_Done,
     /* 181346 */   // Label 3514: @181346
     /* 181346 */   GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(181391), // Rule ID 2511 //
     /* 181351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 181359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181380 */     // (intrinsic_wo_chain:{ *:[v1i64] } 577:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FACGE64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 181380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE64),
     /* 181383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181387 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181389 */     GIR_RootConstrainSelectedInstOperands,
     /* 181390 */     // GIR_Coverage, 2511,
     /* 181390 */     GIR_EraseRootFromParent_Done,
     /* 181391 */   // Label 3515: @181391
     /* 181391 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(181436), // Rule ID 2516 //
     /* 181396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 181404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181425 */     // (intrinsic_wo_chain:{ *:[v1i64] } 715:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)  =>  (SUQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)
     /* 181425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv1i64),
     /* 181428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181430 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 181432 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 181434 */     GIR_RootConstrainSelectedInstOperands,
     /* 181435 */     // GIR_Coverage, 2516,
     /* 181435 */     GIR_EraseRootFromParent_Done,
     /* 181436 */   // Label 3516: @181436
     /* 181436 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(181481), // Rule ID 2634 //
     /* 181441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 181449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 181458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181470 */     // (intrinsic_wo_chain:{ *:[i32] } 2025:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQINCP_WP_B:{ *:[i32] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 181470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_B),
     /* 181473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181475 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181477 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181479 */     GIR_RootConstrainSelectedInstOperands,
     /* 181480 */     // GIR_Coverage, 2634,
     /* 181480 */     GIR_EraseRootFromParent_Done,
     /* 181481 */   // Label 3517: @181481
     /* 181481 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(181526), // Rule ID 2635 //
     /* 181486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 181494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 181503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181515 */     // (intrinsic_wo_chain:{ *:[i32] } 2025:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQINCP_WP_H:{ *:[i32] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 181515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_H),
     /* 181518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181520 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181524 */     GIR_RootConstrainSelectedInstOperands,
     /* 181525 */     // GIR_Coverage, 2635,
     /* 181525 */     GIR_EraseRootFromParent_Done,
     /* 181526 */   // Label 3518: @181526
     /* 181526 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(181571), // Rule ID 2636 //
     /* 181531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 181539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 181548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181560 */     // (intrinsic_wo_chain:{ *:[i32] } 2025:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQINCP_WP_S:{ *:[i32] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 181560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_S),
     /* 181563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181565 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181567 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181569 */     GIR_RootConstrainSelectedInstOperands,
     /* 181570 */     // GIR_Coverage, 2636,
     /* 181570 */     GIR_EraseRootFromParent_Done,
     /* 181571 */   // Label 3519: @181571
     /* 181571 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(181616), // Rule ID 2637 //
     /* 181576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 181584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 181593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181605 */     // (intrinsic_wo_chain:{ *:[i32] } 2025:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQINCP_WP_D:{ *:[i32] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 181605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_D),
     /* 181608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181612 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181614 */     GIR_RootConstrainSelectedInstOperands,
     /* 181615 */     // GIR_Coverage, 2637,
     /* 181615 */     GIR_EraseRootFromParent_Done,
     /* 181616 */   // Label 3520: @181616
     /* 181616 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(181661), // Rule ID 2638 //
     /* 181621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 181629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 181638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181650 */     // (intrinsic_wo_chain:{ *:[i64] } 1815:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (SQINCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 181650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_B),
     /* 181653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181655 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181659 */     GIR_RootConstrainSelectedInstOperands,
     /* 181660 */     // GIR_Coverage, 2638,
     /* 181660 */     GIR_EraseRootFromParent_Done,
     /* 181661 */   // Label 3521: @181661
     /* 181661 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(181706), // Rule ID 2639 //
     /* 181666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 181674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 181683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181695 */     // (intrinsic_wo_chain:{ *:[i64] } 1815:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (SQINCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 181695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_H),
     /* 181698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181704 */     GIR_RootConstrainSelectedInstOperands,
     /* 181705 */     // GIR_Coverage, 2639,
     /* 181705 */     GIR_EraseRootFromParent_Done,
     /* 181706 */   // Label 3522: @181706
     /* 181706 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(181751), // Rule ID 2640 //
     /* 181711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 181719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 181728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181740 */     // (intrinsic_wo_chain:{ *:[i64] } 1815:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (SQINCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 181740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_S),
     /* 181743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181745 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181749 */     GIR_RootConstrainSelectedInstOperands,
     /* 181750 */     // GIR_Coverage, 2640,
     /* 181750 */     GIR_EraseRootFromParent_Done,
     /* 181751 */   // Label 3523: @181751
     /* 181751 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(181796), // Rule ID 2641 //
     /* 181756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 181764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 181773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181785 */     // (intrinsic_wo_chain:{ *:[i64] } 1815:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (SQINCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 181785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_D),
     /* 181788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181790 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181794 */     GIR_RootConstrainSelectedInstOperands,
     /* 181795 */     // GIR_Coverage, 2641,
     /* 181795 */     GIR_EraseRootFromParent_Done,
     /* 181796 */   // Label 3524: @181796
     /* 181796 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(181841), // Rule ID 3815 //
     /* 181801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 181804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512su0),
     /* 181809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 181812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 181815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 181818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181830 */     // (intrinsic_wo_chain:{ *:[v2i64] } 532:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512SU0:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 181830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512SU0),
     /* 181833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 181835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 181837 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 181839 */     GIR_RootConstrainSelectedInstOperands,
     /* 181840 */     // GIR_Coverage, 3815,
     /* 181840 */     GIR_EraseRootFromParent_Done,
     /* 181841 */   // Label 3525: @181841
     /* 181841 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(181886), // Rule ID 3843 //
     /* 181846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 181849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_rax1),
     /* 181854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 181857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 181860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 181863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181875 */     // (intrinsic_wo_chain:{ *:[v2i64] } 519:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (RAX1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 181875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RAX1),
     /* 181878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 181880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 181882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 181884 */     GIR_RootConstrainSelectedInstOperands,
     /* 181885 */     // GIR_Coverage, 3843,
     /* 181885 */     GIR_EraseRootFromParent_Done,
     /* 181886 */   // Label 3526: @181886
     /* 181886 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(181931), // Rule ID 3853 //
     /* 181891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 181894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm4ekey),
     /* 181899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 181902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 181905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 181908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181920 */     // (intrinsic_wo_chain:{ *:[v4i32] } 542:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM4ENCKEY:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 181920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4ENCKEY),
     /* 181923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 181925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 181927 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 181929 */     GIR_RootConstrainSelectedInstOperands,
     /* 181930 */     // GIR_Coverage, 3853,
     /* 181930 */     GIR_EraseRootFromParent_Done,
     /* 181931 */   // Label 3527: @181931
     /* 181931 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(181976), // Rule ID 3854 //
     /* 181936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 181939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm4e),
     /* 181944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 181947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 181950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 181953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181965 */     // (intrinsic_wo_chain:{ *:[v4i32] } 541:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM4E:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 181965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4E),
     /* 181968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 181970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 181972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 181974 */     GIR_RootConstrainSelectedInstOperands,
     /* 181975 */     // GIR_Coverage, 3854,
     /* 181975 */     GIR_EraseRootFromParent_Done,
     /* 181976 */   // Label 3528: @181976
     /* 181976 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(182024), // Rule ID 3855 //
     /* 181981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 181984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 181989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 181992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 181995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 181998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182010 */     // (intrinsic_wo_chain:{ *:[v4f16] } 756:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, 0:{ *:[i32] })
     /* 182010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f16),
     /* 182013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182015 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182017 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182022 */     GIR_RootConstrainSelectedInstOperands,
     /* 182023 */     // GIR_Coverage, 3855,
     /* 182023 */     GIR_EraseRootFromParent_Done,
     /* 182024 */   // Label 3529: @182024
     /* 182024 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(182072), // Rule ID 3856 //
     /* 182029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 182032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 182037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 182040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 182043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 182046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182058 */     // (intrinsic_wo_chain:{ *:[v4f16] } 755:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, 1:{ *:[i32] })
     /* 182058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f16),
     /* 182061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182063 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182065 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 182070 */     GIR_RootConstrainSelectedInstOperands,
     /* 182071 */     // GIR_Coverage, 3856,
     /* 182071 */     GIR_EraseRootFromParent_Done,
     /* 182072 */   // Label 3530: @182072
     /* 182072 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(182120), // Rule ID 3857 //
     /* 182077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 182080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 182085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 182088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 182091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 182094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182106 */     // (intrinsic_wo_chain:{ *:[v8f16] } 756:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, 0:{ *:[i32] })
     /* 182106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv8f16),
     /* 182109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182111 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182113 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182118 */     GIR_RootConstrainSelectedInstOperands,
     /* 182119 */     // GIR_Coverage, 3857,
     /* 182119 */     GIR_EraseRootFromParent_Done,
     /* 182120 */   // Label 3531: @182120
     /* 182120 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(182168), // Rule ID 3858 //
     /* 182125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 182128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 182133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 182136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 182139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 182142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182154 */     // (intrinsic_wo_chain:{ *:[v8f16] } 755:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, 1:{ *:[i32] })
     /* 182154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv8f16),
     /* 182157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182159 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 182166 */     GIR_RootConstrainSelectedInstOperands,
     /* 182167 */     // GIR_Coverage, 3858,
     /* 182167 */     GIR_EraseRootFromParent_Done,
     /* 182168 */   // Label 3532: @182168
     /* 182168 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(182216), // Rule ID 3859 //
     /* 182173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 182176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 182181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 182184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 182187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 182190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182202 */     // (intrinsic_wo_chain:{ *:[v2f32] } 756:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, 0:{ *:[i32] })
     /* 182202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f32),
     /* 182205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182207 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182209 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182214 */     GIR_RootConstrainSelectedInstOperands,
     /* 182215 */     // GIR_Coverage, 3859,
     /* 182215 */     GIR_EraseRootFromParent_Done,
     /* 182216 */   // Label 3533: @182216
     /* 182216 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(182264), // Rule ID 3860 //
     /* 182221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 182224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 182229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 182232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 182235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 182238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182250 */     // (intrinsic_wo_chain:{ *:[v2f32] } 755:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, 1:{ *:[i32] })
     /* 182250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f32),
     /* 182253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182255 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182257 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 182262 */     GIR_RootConstrainSelectedInstOperands,
     /* 182263 */     // GIR_Coverage, 3860,
     /* 182263 */     GIR_EraseRootFromParent_Done,
     /* 182264 */   // Label 3534: @182264
     /* 182264 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(182312), // Rule ID 3861 //
     /* 182269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 182272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 182277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 182280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 182283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 182286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182298 */     // (intrinsic_wo_chain:{ *:[v4f32] } 756:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, 0:{ *:[i32] })
     /* 182298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f32),
     /* 182301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182303 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182305 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182310 */     GIR_RootConstrainSelectedInstOperands,
     /* 182311 */     // GIR_Coverage, 3861,
     /* 182311 */     GIR_EraseRootFromParent_Done,
     /* 182312 */   // Label 3535: @182312
     /* 182312 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(182360), // Rule ID 3862 //
     /* 182317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 182320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 182325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 182328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 182331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 182334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182346 */     // (intrinsic_wo_chain:{ *:[v4f32] } 755:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, 1:{ *:[i32] })
     /* 182346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f32),
     /* 182349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182353 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 182358 */     GIR_RootConstrainSelectedInstOperands,
     /* 182359 */     // GIR_Coverage, 3862,
     /* 182359 */     GIR_EraseRootFromParent_Done,
     /* 182360 */   // Label 3536: @182360
     /* 182360 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(182408), // Rule ID 3863 //
     /* 182365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 182368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 182373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 182376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 182379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 182382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182394 */     // (intrinsic_wo_chain:{ *:[v2f64] } 756:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, 0:{ *:[i32] })
     /* 182394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f64),
     /* 182397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182399 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182401 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182406 */     GIR_RootConstrainSelectedInstOperands,
     /* 182407 */     // GIR_Coverage, 3863,
     /* 182407 */     GIR_EraseRootFromParent_Done,
     /* 182408 */   // Label 3537: @182408
     /* 182408 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(182456), // Rule ID 3864 //
     /* 182413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 182416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 182421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 182424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 182427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 182430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182442 */     // (intrinsic_wo_chain:{ *:[v2f64] } 755:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, 1:{ *:[i32] })
     /* 182442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f64),
     /* 182445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182447 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182449 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 182454 */     GIR_RootConstrainSelectedInstOperands,
     /* 182455 */     // GIR_Coverage, 3864,
     /* 182455 */     GIR_EraseRootFromParent_Done,
     /* 182456 */   // Label 3538: @182456
     /* 182456 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(182498), // Rule ID 3929 //
     /* 182461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_udiv),
     /* 182466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 182479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 182483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 182487 */     // (intrinsic_wo_chain:{ *:[i32] } 2169:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 182487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVWr),
     /* 182490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182492 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182494 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182496 */     GIR_RootConstrainSelectedInstOperands,
     /* 182497 */     // GIR_Coverage, 3929,
     /* 182497 */     GIR_EraseRootFromParent_Done,
     /* 182498 */   // Label 3539: @182498
     /* 182498 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(182540), // Rule ID 3930 //
     /* 182503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_udiv),
     /* 182508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 182521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 182525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 182529 */     // (intrinsic_wo_chain:{ *:[i64] } 2169:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 182529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVXr),
     /* 182532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182536 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182538 */     GIR_RootConstrainSelectedInstOperands,
     /* 182539 */     // GIR_Coverage, 3930,
     /* 182539 */     GIR_EraseRootFromParent_Done,
     /* 182540 */   // Label 3540: @182540
     /* 182540 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(182582), // Rule ID 3931 //
     /* 182545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sdiv),
     /* 182550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 182563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 182567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 182571 */     // (intrinsic_wo_chain:{ *:[i32] } 779:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 182571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVWr),
     /* 182574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182580 */     GIR_RootConstrainSelectedInstOperands,
     /* 182581 */     // GIR_Coverage, 3931,
     /* 182581 */     GIR_EraseRootFromParent_Done,
     /* 182582 */   // Label 3541: @182582
     /* 182582 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(182624), // Rule ID 3932 //
     /* 182587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sdiv),
     /* 182592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 182605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 182609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 182613 */     // (intrinsic_wo_chain:{ *:[i64] } 779:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 182613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVXr),
     /* 182616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182620 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182622 */     GIR_RootConstrainSelectedInstOperands,
     /* 182623 */     // GIR_Coverage, 3932,
     /* 182623 */     GIR_EraseRootFromParent_Done,
     /* 182624 */   // Label 3542: @182624
     /* 182624 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(182666), // Rule ID 5207 //
     /* 182629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 182634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182655 */     // (intrinsic_wo_chain:{ *:[v1f64] } 576:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FABD64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 182655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 182658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182662 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182664 */     GIR_RootConstrainSelectedInstOperands,
     /* 182665 */     // GIR_Coverage, 5207,
     /* 182665 */     GIR_EraseRootFromParent_Done,
     /* 182666 */   // Label 3543: @182666
     /* 182666 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(182711), // Rule ID 5211 //
     /* 182671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 182679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182700 */     // (intrinsic_wo_chain:{ *:[v1i64] } 578:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FACGT64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 182700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT64),
     /* 182703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182709 */     GIR_RootConstrainSelectedInstOperands,
     /* 182710 */     // GIR_Coverage, 5211,
     /* 182710 */     GIR_EraseRootFromParent_Done,
     /* 182711 */   // Label 3544: @182711
     /* 182711 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(182756), // Rule ID 5215 //
     /* 182716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 182724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182745 */     // (intrinsic_wo_chain:{ *:[v1f64] } 610:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMULX64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 182745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 182748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182754 */     GIR_RootConstrainSelectedInstOperands,
     /* 182755 */     // GIR_Coverage, 5215,
     /* 182755 */     GIR_EraseRootFromParent_Done,
     /* 182756 */   // Label 3545: @182756
     /* 182756 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(182801), // Rule ID 5216 //
     /* 182761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 182769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182790 */     // (intrinsic_wo_chain:{ *:[v1f64] } 633:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FRECPS64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 182790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS64),
     /* 182793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182797 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182799 */     GIR_RootConstrainSelectedInstOperands,
     /* 182800 */     // GIR_Coverage, 5216,
     /* 182800 */     GIR_EraseRootFromParent_Done,
     /* 182801 */   // Label 3546: @182801
     /* 182801 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(182846), // Rule ID 5217 //
     /* 182806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 182814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182835 */     // (intrinsic_wo_chain:{ *:[v1f64] } 640:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FRSQRTS64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 182835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS64),
     /* 182838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182844 */     GIR_RootConstrainSelectedInstOperands,
     /* 182845 */     // GIR_Coverage, 5217,
     /* 182845 */     GIR_EraseRootFromParent_Done,
     /* 182846 */   // Label 3547: @182846
     /* 182846 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(182891), // Rule ID 5218 //
     /* 182851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 182859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182880 */     // (intrinsic_wo_chain:{ *:[i64] } 691:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQRSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv1i64),
     /* 182883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182887 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182889 */     GIR_RootConstrainSelectedInstOperands,
     /* 182890 */     // GIR_Coverage, 5218,
     /* 182890 */     GIR_EraseRootFromParent_Done,
     /* 182891 */   // Label 3548: @182891
     /* 182891 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(182936), // Rule ID 5219 //
     /* 182896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 182904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182925 */     // (intrinsic_wo_chain:{ *:[i32] } 691:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 182925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv1i32),
     /* 182928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182932 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182934 */     GIR_RootConstrainSelectedInstOperands,
     /* 182935 */     // GIR_Coverage, 5219,
     /* 182935 */     GIR_EraseRootFromParent_Done,
     /* 182936 */   // Label 3549: @182936
     /* 182936 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(182981), // Rule ID 5220 //
     /* 182941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 182949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182970 */     // (intrinsic_wo_chain:{ *:[i64] } 694:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv1i64),
     /* 182973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182979 */     GIR_RootConstrainSelectedInstOperands,
     /* 182980 */     // GIR_Coverage, 5220,
     /* 182980 */     GIR_EraseRootFromParent_Done,
     /* 182981 */   // Label 3550: @182981
     /* 182981 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(183026), // Rule ID 5221 //
     /* 182986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 182994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 183003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183015 */     // (intrinsic_wo_chain:{ *:[i32] } 694:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 183015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv1i32),
     /* 183018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183024 */     GIR_RootConstrainSelectedInstOperands,
     /* 183025 */     // GIR_Coverage, 5221,
     /* 183025 */     GIR_EraseRootFromParent_Done,
     /* 183026 */   // Label 3551: @183026
     /* 183026 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(183071), // Rule ID 5222 //
     /* 183031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 183039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183060 */     // (intrinsic_wo_chain:{ *:[i64] } 698:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQSUBv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv1i64),
     /* 183063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183067 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183069 */     GIR_RootConstrainSelectedInstOperands,
     /* 183070 */     // GIR_Coverage, 5222,
     /* 183070 */     GIR_EraseRootFromParent_Done,
     /* 183071 */   // Label 3552: @183071
     /* 183071 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(183116), // Rule ID 5223 //
     /* 183076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 183084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 183093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183105 */     // (intrinsic_wo_chain:{ *:[i32] } 698:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQSUBv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 183105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv1i32),
     /* 183108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183114 */     GIR_RootConstrainSelectedInstOperands,
     /* 183115 */     // GIR_Coverage, 5223,
     /* 183115 */     GIR_EraseRootFromParent_Done,
     /* 183116 */   // Label 3553: @183116
     /* 183116 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(183161), // Rule ID 5224 //
     /* 183121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 183129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183150 */     // (intrinsic_wo_chain:{ *:[i64] } 739:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv1i64),
     /* 183153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183157 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183159 */     GIR_RootConstrainSelectedInstOperands,
     /* 183160 */     // GIR_Coverage, 5224,
     /* 183160 */     GIR_EraseRootFromParent_Done,
     /* 183161 */   // Label 3554: @183161
     /* 183161 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(183206), // Rule ID 5225 //
     /* 183166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 183174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 183183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183195 */     // (intrinsic_wo_chain:{ *:[i32] } 739:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 183195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv1i32),
     /* 183198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183202 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183204 */     GIR_RootConstrainSelectedInstOperands,
     /* 183205 */     // GIR_Coverage, 5225,
     /* 183205 */     GIR_EraseRootFromParent_Done,
     /* 183206 */   // Label 3555: @183206
     /* 183206 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(183251), // Rule ID 5226 //
     /* 183211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 183219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183240 */     // (intrinsic_wo_chain:{ *:[i64] } 740:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQRSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv1i64),
     /* 183243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183247 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183249 */     GIR_RootConstrainSelectedInstOperands,
     /* 183250 */     // GIR_Coverage, 5226,
     /* 183250 */     GIR_EraseRootFromParent_Done,
     /* 183251 */   // Label 3556: @183251
     /* 183251 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(183296), // Rule ID 5227 //
     /* 183256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 183264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 183273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183285 */     // (intrinsic_wo_chain:{ *:[i32] } 740:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQRSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 183285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv1i32),
     /* 183288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183292 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183294 */     GIR_RootConstrainSelectedInstOperands,
     /* 183295 */     // GIR_Coverage, 5227,
     /* 183295 */     GIR_EraseRootFromParent_Done,
     /* 183296 */   // Label 3557: @183296
     /* 183296 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(183341), // Rule ID 5228 //
     /* 183301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 183309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183330 */     // (intrinsic_wo_chain:{ *:[i64] } 742:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv1i64),
     /* 183333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183337 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183339 */     GIR_RootConstrainSelectedInstOperands,
     /* 183340 */     // GIR_Coverage, 5228,
     /* 183340 */     GIR_EraseRootFromParent_Done,
     /* 183341 */   // Label 3558: @183341
     /* 183341 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(183386), // Rule ID 5229 //
     /* 183346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 183354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 183363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183375 */     // (intrinsic_wo_chain:{ *:[i32] } 742:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 183375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv1i32),
     /* 183378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183384 */     GIR_RootConstrainSelectedInstOperands,
     /* 183385 */     // GIR_Coverage, 5229,
     /* 183385 */     GIR_EraseRootFromParent_Done,
     /* 183386 */   // Label 3559: @183386
     /* 183386 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(183431), // Rule ID 5230 //
     /* 183391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 183399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183420 */     // (intrinsic_wo_chain:{ *:[i64] } 744:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQSUBv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv1i64),
     /* 183423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183425 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183427 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183429 */     GIR_RootConstrainSelectedInstOperands,
     /* 183430 */     // GIR_Coverage, 5230,
     /* 183430 */     GIR_EraseRootFromParent_Done,
     /* 183431 */   // Label 3560: @183431
     /* 183431 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(183476), // Rule ID 5231 //
     /* 183436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 183444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 183453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183465 */     // (intrinsic_wo_chain:{ *:[i32] } 744:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQSUBv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 183465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv1i32),
     /* 183468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183472 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183474 */     GIR_RootConstrainSelectedInstOperands,
     /* 183475 */     // GIR_Coverage, 5231,
     /* 183475 */     GIR_EraseRootFromParent_Done,
     /* 183476 */   // Label 3561: @183476
     /* 183476 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(183521), // Rule ID 5250 //
     /* 183481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 183489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183510 */     // (intrinsic_wo_chain:{ *:[v1i64] } 754:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)  =>  (USQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)
     /* 183510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv1i64),
     /* 183513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183515 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 183517 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 183519 */     GIR_RootConstrainSelectedInstOperands,
     /* 183520 */     // GIR_Coverage, 5250,
     /* 183520 */     GIR_EraseRootFromParent_Done,
     /* 183521 */   // Label 3562: @183521
     /* 183521 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(183563), // Rule ID 5584 //
     /* 183526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbl1),
     /* 183531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 183534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 183537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 183540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 183548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183552 */     // (intrinsic_wo_chain:{ *:[v8i8] } 716:{ *:[iPTR] }, VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)  =>  (TBLv8i8One:{ *:[v8i8] } VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)
     /* 183552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLv8i8One),
     /* 183555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 183557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183559 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ri
     /* 183561 */     GIR_RootConstrainSelectedInstOperands,
     /* 183562 */     // GIR_Coverage, 5584,
     /* 183562 */     GIR_EraseRootFromParent_Done,
     /* 183563 */   // Label 3563: @183563
     /* 183563 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(183605), // Rule ID 5585 //
     /* 183568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbl1),
     /* 183573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 183576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 183579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 183582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 183586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 183590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 183594 */     // (intrinsic_wo_chain:{ *:[v16i8] } 716:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)  =>  (TBLv16i8One:{ *:[v16i8] } V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)
     /* 183594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLv16i8One),
     /* 183597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 183599 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ri
     /* 183601 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 183603 */     GIR_RootConstrainSelectedInstOperands,
     /* 183604 */     // GIR_Coverage, 5585,
     /* 183604 */     GIR_EraseRootFromParent_Done,
     /* 183605 */   // Label 3564: @183605
     /* 183605 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(183702), // Rule ID 6298 //
     /* 183610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 183615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 183621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 183624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 183632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 183636 */     // (intrinsic_wo_chain:{ *:[i32] } 577:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FACGE16:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm), hsub:{ *:[i32] })
     /* 183636 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 183639 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FACGE16),
     /* 183643 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183648 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 183652 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 183656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 183658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 183661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 183665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 183672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 183675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 183680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 183683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 183686 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183691 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183696 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 183701 */     // GIR_Coverage, 6298,
     /* 183701 */     GIR_EraseRootFromParent_Done,
     /* 183702 */   // Label 3565: @183702
     /* 183702 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(183799), // Rule ID 6299 //
     /* 183707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 183712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 183718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 183721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 183729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 183733 */     // (intrinsic_wo_chain:{ *:[i32] } 578:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FACGT16:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm), hsub:{ *:[i32] })
     /* 183733 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 183736 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FACGT16),
     /* 183740 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183745 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 183749 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 183753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 183755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 183758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 183762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 183769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 183772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 183777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 183780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 183783 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183788 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183793 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 183798 */     // GIR_Coverage, 6299,
     /* 183798 */     GIR_EraseRootFromParent_Done,
     /* 183799 */   // Label 3566: @183799
     /* 183799 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(183841), // Rule ID 6944 //
     /* 183804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 183809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183830 */     // (intrinsic_wo_chain:{ *:[i64] } 703:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv1i64),
     /* 183833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183837 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183839 */     GIR_RootConstrainSelectedInstOperands,
     /* 183840 */     // GIR_Coverage, 6944,
     /* 183840 */     GIR_EraseRootFromParent_Done,
     /* 183841 */   // Label 3567: @183841
     /* 183841 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(183883), // Rule ID 6945 //
     /* 183846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 183851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183872 */     // (intrinsic_wo_chain:{ *:[i64] } 751:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (USHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv1i64),
     /* 183875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183881 */     GIR_RootConstrainSelectedInstOperands,
     /* 183882 */     // GIR_Coverage, 6945,
     /* 183882 */     GIR_EraseRootFromParent_Done,
     /* 183883 */   // Label 3568: @183883
     /* 183883 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(183925), // Rule ID 6946 //
     /* 183888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 183893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183914 */     // (intrinsic_wo_chain:{ *:[i64] } 702:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SRSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv1i64),
     /* 183917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183919 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183921 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183923 */     GIR_RootConstrainSelectedInstOperands,
     /* 183924 */     // GIR_Coverage, 6946,
     /* 183924 */     GIR_EraseRootFromParent_Done,
     /* 183925 */   // Label 3569: @183925
     /* 183925 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(183967), // Rule ID 6947 //
     /* 183930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 183935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183956 */     // (intrinsic_wo_chain:{ *:[i64] } 748:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (URSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv1i64),
     /* 183959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183963 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183965 */     GIR_RootConstrainSelectedInstOperands,
     /* 183966 */     // GIR_Coverage, 6947,
     /* 183966 */     GIR_EraseRootFromParent_Done,
     /* 183967 */   // Label 3570: @183967
     /* 183967 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(184015), // Rule ID 6987 //
     /* 183972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_blend),
     /* 183977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183998 */     // (intrinsic_wo_chain:{ *:[i64] } 294:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, GPR64:{ *:[i64] }:$Rn)  =>  (BFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64:{ *:[i64] }:$Rn, 16:{ *:[i64] }, 15:{ *:[i64] })
     /* 183998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BFMXri),
     /* 184001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 184003 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 184005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 184007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 184010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 184013 */     GIR_RootConstrainSelectedInstOperands,
     /* 184014 */     // GIR_Coverage, 6987,
     /* 184014 */     GIR_EraseRootFromParent_Done,
     /* 184015 */   // Label 3571: @184015
     /* 184015 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(184060), // Rule ID 10015 //
     /* 184020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 184028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184049 */     // (intrinsic_wo_chain:{ *:[i64] } 2026:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQINCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_B),
     /* 184052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184054 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184056 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184058 */     GIR_RootConstrainSelectedInstOperands,
     /* 184059 */     // GIR_Coverage, 10015,
     /* 184059 */     GIR_EraseRootFromParent_Done,
     /* 184060 */   // Label 3572: @184060
     /* 184060 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(184105), // Rule ID 10016 //
     /* 184065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 184073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 184082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184094 */     // (intrinsic_wo_chain:{ *:[i64] } 2026:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQINCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_H),
     /* 184097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184099 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184103 */     GIR_RootConstrainSelectedInstOperands,
     /* 184104 */     // GIR_Coverage, 10016,
     /* 184104 */     GIR_EraseRootFromParent_Done,
     /* 184105 */   // Label 3573: @184105
     /* 184105 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(184150), // Rule ID 10017 //
     /* 184110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 184118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 184127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184139 */     // (intrinsic_wo_chain:{ *:[i64] } 2026:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQINCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_S),
     /* 184142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184144 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184148 */     GIR_RootConstrainSelectedInstOperands,
     /* 184149 */     // GIR_Coverage, 10017,
     /* 184149 */     GIR_EraseRootFromParent_Done,
     /* 184150 */   // Label 3574: @184150
     /* 184150 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(184195), // Rule ID 10018 //
     /* 184155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 184163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 184172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184184 */     // (intrinsic_wo_chain:{ *:[i64] } 2026:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQINCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_D),
     /* 184187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184191 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184193 */     GIR_RootConstrainSelectedInstOperands,
     /* 184194 */     // GIR_Coverage, 10018,
     /* 184194 */     GIR_EraseRootFromParent_Done,
     /* 184195 */   // Label 3575: @184195
     /* 184195 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(184240), // Rule ID 10027 //
     /* 184200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 184208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184229 */     // (intrinsic_wo_chain:{ *:[i64] } 1781:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (SQDECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_B),
     /* 184232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184238 */     GIR_RootConstrainSelectedInstOperands,
     /* 184239 */     // GIR_Coverage, 10027,
     /* 184239 */     GIR_EraseRootFromParent_Done,
     /* 184240 */   // Label 3576: @184240
     /* 184240 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(184285), // Rule ID 10028 //
     /* 184245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 184253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 184262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184274 */     // (intrinsic_wo_chain:{ *:[i64] } 1781:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (SQDECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_H),
     /* 184277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184279 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184283 */     GIR_RootConstrainSelectedInstOperands,
     /* 184284 */     // GIR_Coverage, 10028,
     /* 184284 */     GIR_EraseRootFromParent_Done,
     /* 184285 */   // Label 3577: @184285
     /* 184285 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(184330), // Rule ID 10029 //
     /* 184290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 184298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 184307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184319 */     // (intrinsic_wo_chain:{ *:[i64] } 1781:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (SQDECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_S),
     /* 184322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184326 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184328 */     GIR_RootConstrainSelectedInstOperands,
     /* 184329 */     // GIR_Coverage, 10029,
     /* 184329 */     GIR_EraseRootFromParent_Done,
     /* 184330 */   // Label 3578: @184330
     /* 184330 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(184375), // Rule ID 10030 //
     /* 184335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 184343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 184352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184364 */     // (intrinsic_wo_chain:{ *:[i64] } 1781:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (SQDECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_D),
     /* 184367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184369 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184371 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184373 */     GIR_RootConstrainSelectedInstOperands,
     /* 184374 */     // GIR_Coverage, 10030,
     /* 184374 */     GIR_EraseRootFromParent_Done,
     /* 184375 */   // Label 3579: @184375
     /* 184375 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(184420), // Rule ID 10031 //
     /* 184380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 184388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 184391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 184394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184409 */     // (intrinsic_wo_chain:{ *:[i32] } 2011:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQDECP_WP_B:{ *:[i32] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 184409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_B),
     /* 184412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184414 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184418 */     GIR_RootConstrainSelectedInstOperands,
     /* 184419 */     // GIR_Coverage, 10031,
     /* 184419 */     GIR_EraseRootFromParent_Done,
     /* 184420 */   // Label 3580: @184420
     /* 184420 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(184465), // Rule ID 10032 //
     /* 184425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 184433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 184436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 184439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 184442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184454 */     // (intrinsic_wo_chain:{ *:[i32] } 2011:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQDECP_WP_H:{ *:[i32] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 184454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_H),
     /* 184457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184459 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184463 */     GIR_RootConstrainSelectedInstOperands,
     /* 184464 */     // GIR_Coverage, 10032,
     /* 184464 */     GIR_EraseRootFromParent_Done,
     /* 184465 */   // Label 3581: @184465
     /* 184465 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(184510), // Rule ID 10033 //
     /* 184470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 184478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 184481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 184484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 184487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184499 */     // (intrinsic_wo_chain:{ *:[i32] } 2011:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQDECP_WP_S:{ *:[i32] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 184499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_S),
     /* 184502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184504 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184508 */     GIR_RootConstrainSelectedInstOperands,
     /* 184509 */     // GIR_Coverage, 10033,
     /* 184509 */     GIR_EraseRootFromParent_Done,
     /* 184510 */   // Label 3582: @184510
     /* 184510 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(184555), // Rule ID 10034 //
     /* 184515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 184523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 184526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 184529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 184532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184544 */     // (intrinsic_wo_chain:{ *:[i32] } 2011:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQDECP_WP_D:{ *:[i32] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 184544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_D),
     /* 184547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184549 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184551 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184553 */     GIR_RootConstrainSelectedInstOperands,
     /* 184554 */     // GIR_Coverage, 10034,
     /* 184554 */     GIR_EraseRootFromParent_Done,
     /* 184555 */   // Label 3583: @184555
     /* 184555 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(184600), // Rule ID 10035 //
     /* 184560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 184568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184589 */     // (intrinsic_wo_chain:{ *:[i64] } 2012:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQDECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_B),
     /* 184592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184598 */     GIR_RootConstrainSelectedInstOperands,
     /* 184599 */     // GIR_Coverage, 10035,
     /* 184599 */     GIR_EraseRootFromParent_Done,
     /* 184600 */   // Label 3584: @184600
     /* 184600 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(184645), // Rule ID 10036 //
     /* 184605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 184613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 184622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184634 */     // (intrinsic_wo_chain:{ *:[i64] } 2012:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQDECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_H),
     /* 184637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184639 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184643 */     GIR_RootConstrainSelectedInstOperands,
     /* 184644 */     // GIR_Coverage, 10036,
     /* 184644 */     GIR_EraseRootFromParent_Done,
     /* 184645 */   // Label 3585: @184645
     /* 184645 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(184690), // Rule ID 10037 //
     /* 184650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 184658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 184667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184679 */     // (intrinsic_wo_chain:{ *:[i64] } 2012:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQDECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_S),
     /* 184682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184684 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184688 */     GIR_RootConstrainSelectedInstOperands,
     /* 184689 */     // GIR_Coverage, 10037,
     /* 184689 */     GIR_EraseRootFromParent_Done,
     /* 184690 */   // Label 3586: @184690
     /* 184690 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(184735), // Rule ID 10038 //
     /* 184695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 184703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 184712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184724 */     // (intrinsic_wo_chain:{ *:[i64] } 2012:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQDECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_D),
     /* 184727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184729 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184731 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184733 */     GIR_RootConstrainSelectedInstOperands,
     /* 184734 */     // GIR_Coverage, 10038,
     /* 184734 */     GIR_EraseRootFromParent_Done,
     /* 184735 */   // Label 3587: @184735
     /* 184735 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(184781), // Rule ID 138 //
     /* 184740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 184743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_gmi),
     /* 184748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 184754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184758 */     // MIs[0] Rn
     /* 184758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 184762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 184766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184770 */     // (intrinsic_wo_chain:{ *:[i64] } 555:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (GMI:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 184770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::GMI),
     /* 184773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 184775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184777 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 184779 */     GIR_RootConstrainSelectedInstOperands,
     /* 184780 */     // GIR_Coverage, 138,
     /* 184780 */     GIR_EraseRootFromParent_Done,
     /* 184781 */   // Label 3588: @184781
     /* 184781 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(184828), // Rule ID 139 //
     /* 184786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 184789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_subp),
     /* 184794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184801 */     // MIs[0] Rn
     /* 184801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 184805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 184809 */     // MIs[0] Rm
     /* 184809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 184813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 184817 */     // (intrinsic_wo_chain:{ *:[i64] } 1242:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)  =>  (SUBP:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)
     /* 184817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBP),
     /* 184820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 184822 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184824 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 184826 */     GIR_RootConstrainSelectedInstOperands,
     /* 184827 */     // GIR_Coverage, 139,
     /* 184827 */     GIR_EraseRootFromParent_Done,
     /* 184828 */   // Label 3589: @184828
     /* 184828 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(184865), // Rule ID 2399 //
     /* 184833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1_b16),
     /* 184841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184854 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2151:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_H),
     /* 184857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184859 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184861 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184863 */     GIR_RootConstrainSelectedInstOperands,
     /* 184864 */     // GIR_Coverage, 2399,
     /* 184864 */     GIR_EraseRootFromParent_Done,
     /* 184865 */   // Label 3590: @184865
     /* 184865 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(184902), // Rule ID 2400 //
     /* 184870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1_b32),
     /* 184878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184891 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2152:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_S),
     /* 184894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184900 */     GIR_RootConstrainSelectedInstOperands,
     /* 184901 */     // GIR_Coverage, 2400,
     /* 184901 */     GIR_EraseRootFromParent_Done,
     /* 184902 */   // Label 3591: @184902
     /* 184902 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(184939), // Rule ID 2401 //
     /* 184907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1_b64),
     /* 184915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184928 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2153:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_D),
     /* 184931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184935 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184937 */     GIR_RootConstrainSelectedInstOperands,
     /* 184938 */     // GIR_Coverage, 2401,
     /* 184938 */     GIR_EraseRootFromParent_Done,
     /* 184939 */   // Label 3592: @184939
     /* 184939 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(184976), // Rule ID 2403 //
     /* 184944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2_b16),
     /* 184952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184965 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2156:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_H),
     /* 184968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184974 */     GIR_RootConstrainSelectedInstOperands,
     /* 184975 */     // GIR_Coverage, 2403,
     /* 184975 */     GIR_EraseRootFromParent_Done,
     /* 184976 */   // Label 3593: @184976
     /* 184976 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(185013), // Rule ID 2404 //
     /* 184981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2_b32),
     /* 184989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185002 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2157:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_S),
     /* 185005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185009 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185011 */     GIR_RootConstrainSelectedInstOperands,
     /* 185012 */     // GIR_Coverage, 2404,
     /* 185012 */     GIR_EraseRootFromParent_Done,
     /* 185013 */   // Label 3594: @185013
     /* 185013 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(185050), // Rule ID 2405 //
     /* 185018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2_b64),
     /* 185026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185039 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2158:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_D),
     /* 185042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185048 */     GIR_RootConstrainSelectedInstOperands,
     /* 185049 */     // GIR_Coverage, 2405,
     /* 185049 */     GIR_EraseRootFromParent_Done,
     /* 185050 */   // Label 3595: @185050
     /* 185050 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(185087), // Rule ID 2407 //
     /* 185055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1_b16),
     /* 185063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185076 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2077:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_H),
     /* 185079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185083 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185085 */     GIR_RootConstrainSelectedInstOperands,
     /* 185086 */     // GIR_Coverage, 2407,
     /* 185086 */     GIR_EraseRootFromParent_Done,
     /* 185087 */   // Label 3596: @185087
     /* 185087 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(185124), // Rule ID 2408 //
     /* 185092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1_b32),
     /* 185100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185113 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2078:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_S),
     /* 185116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185122 */     GIR_RootConstrainSelectedInstOperands,
     /* 185123 */     // GIR_Coverage, 2408,
     /* 185123 */     GIR_EraseRootFromParent_Done,
     /* 185124 */   // Label 3597: @185124
     /* 185124 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(185161), // Rule ID 2409 //
     /* 185129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1_b64),
     /* 185137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185150 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2079:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_D),
     /* 185153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185157 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185159 */     GIR_RootConstrainSelectedInstOperands,
     /* 185160 */     // GIR_Coverage, 2409,
     /* 185160 */     GIR_EraseRootFromParent_Done,
     /* 185161 */   // Label 3598: @185161
     /* 185161 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(185198), // Rule ID 2411 //
     /* 185166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2_b16),
     /* 185174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185187 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2082:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_H),
     /* 185190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185192 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185194 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185196 */     GIR_RootConstrainSelectedInstOperands,
     /* 185197 */     // GIR_Coverage, 2411,
     /* 185197 */     GIR_EraseRootFromParent_Done,
     /* 185198 */   // Label 3599: @185198
     /* 185198 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(185235), // Rule ID 2412 //
     /* 185203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2_b32),
     /* 185211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185224 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2083:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_S),
     /* 185227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185231 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185233 */     GIR_RootConstrainSelectedInstOperands,
     /* 185234 */     // GIR_Coverage, 2412,
     /* 185234 */     GIR_EraseRootFromParent_Done,
     /* 185235 */   // Label 3600: @185235
     /* 185235 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(185272), // Rule ID 2413 //
     /* 185240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2_b64),
     /* 185248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185261 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2084:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_D),
     /* 185264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185270 */     GIR_RootConstrainSelectedInstOperands,
     /* 185271 */     // GIR_Coverage, 2413,
     /* 185271 */     GIR_EraseRootFromParent_Done,
     /* 185272 */   // Label 3601: @185272
     /* 185272 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(185309), // Rule ID 2415 //
     /* 185277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1_b16),
     /* 185285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185298 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1921:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_H),
     /* 185301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185303 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185305 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185307 */     GIR_RootConstrainSelectedInstOperands,
     /* 185308 */     // GIR_Coverage, 2415,
     /* 185308 */     GIR_EraseRootFromParent_Done,
     /* 185309 */   // Label 3602: @185309
     /* 185309 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(185346), // Rule ID 2416 //
     /* 185314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1_b32),
     /* 185322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185335 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1922:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_S),
     /* 185338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185344 */     GIR_RootConstrainSelectedInstOperands,
     /* 185345 */     // GIR_Coverage, 2416,
     /* 185345 */     GIR_EraseRootFromParent_Done,
     /* 185346 */   // Label 3603: @185346
     /* 185346 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(185383), // Rule ID 2417 //
     /* 185351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1_b64),
     /* 185359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1923:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_D),
     /* 185375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185377 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185379 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185381 */     GIR_RootConstrainSelectedInstOperands,
     /* 185382 */     // GIR_Coverage, 2417,
     /* 185382 */     GIR_EraseRootFromParent_Done,
     /* 185383 */   // Label 3604: @185383
     /* 185383 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(185420), // Rule ID 2419 //
     /* 185388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2_b16),
     /* 185396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185409 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1926:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_H),
     /* 185412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185418 */     GIR_RootConstrainSelectedInstOperands,
     /* 185419 */     // GIR_Coverage, 2419,
     /* 185419 */     GIR_EraseRootFromParent_Done,
     /* 185420 */   // Label 3605: @185420
     /* 185420 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(185457), // Rule ID 2420 //
     /* 185425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2_b32),
     /* 185433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185446 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1927:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_S),
     /* 185449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185451 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185453 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185455 */     GIR_RootConstrainSelectedInstOperands,
     /* 185456 */     // GIR_Coverage, 2420,
     /* 185456 */     GIR_EraseRootFromParent_Done,
     /* 185457 */   // Label 3606: @185457
     /* 185457 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(185494), // Rule ID 2421 //
     /* 185462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2_b64),
     /* 185470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185483 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1928:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_D),
     /* 185486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185492 */     GIR_RootConstrainSelectedInstOperands,
     /* 185493 */     // GIR_Coverage, 2421,
     /* 185493 */     GIR_EraseRootFromParent_Done,
     /* 185494 */   // Label 3607: @185494
     /* 185494 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(185531), // Rule ID 2422 //
     /* 185499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 185502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_histseg),
     /* 185507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 185510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185520 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1546:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (HISTSEG_ZZZ:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)
     /* 185520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HISTSEG_ZZZ),
     /* 185523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 185527 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 185529 */     GIR_RootConstrainSelectedInstOperands,
     /* 185530 */     // GIR_Coverage, 2422,
     /* 185530 */     GIR_EraseRootFromParent_Done,
     /* 185531 */   // Label 3608: @185531
     /* 185531 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(185571), // Rule ID 2621 //
     /* 185536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pfirst),
     /* 185544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185557 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1625:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (PFIRST_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 185557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PFIRST_B),
     /* 185560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 185562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185564 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 185569 */     GIR_RootConstrainSelectedInstOperands,
     /* 185570 */     // GIR_Coverage, 2621,
     /* 185570 */     GIR_EraseRootFromParent_Done,
     /* 185571 */   // Label 3609: @185571
     /* 185571 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(185611), // Rule ID 2622 //
     /* 185576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 185584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185597 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1633:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (PNEXT_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 185597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_B),
     /* 185600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 185602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185604 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 185609 */     GIR_RootConstrainSelectedInstOperands,
     /* 185610 */     // GIR_Coverage, 2622,
     /* 185610 */     GIR_EraseRootFromParent_Done,
     /* 185611 */   // Label 3610: @185611
     /* 185611 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(185651), // Rule ID 2623 //
     /* 185616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 185624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 185627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 185630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 185633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185637 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1633:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (PNEXT_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 185637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_H),
     /* 185640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 185642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 185649 */     GIR_RootConstrainSelectedInstOperands,
     /* 185650 */     // GIR_Coverage, 2623,
     /* 185650 */     GIR_EraseRootFromParent_Done,
     /* 185651 */   // Label 3611: @185651
     /* 185651 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(185691), // Rule ID 2624 //
     /* 185656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 185664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 185667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 185670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 185673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185677 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1633:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (PNEXT_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 185677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_S),
     /* 185680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 185682 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185684 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 185689 */     GIR_RootConstrainSelectedInstOperands,
     /* 185690 */     // GIR_Coverage, 2624,
     /* 185690 */     GIR_EraseRootFromParent_Done,
     /* 185691 */   // Label 3612: @185691
     /* 185691 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(185731), // Rule ID 2625 //
     /* 185696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 185704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 185707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 185710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 185713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185717 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1633:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (PNEXT_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 185717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_D),
     /* 185720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 185722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 185729 */     GIR_RootConstrainSelectedInstOperands,
     /* 185730 */     // GIR_Coverage, 2625,
     /* 185730 */     GIR_EraseRootFromParent_Done,
     /* 185731 */   // Label 3613: @185731
     /* 185731 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(185768), // Rule ID 2642 //
     /* 185736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp),
     /* 185744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 185753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185757 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1813:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (SQINCP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 185757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_ZP_H),
     /* 185760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 185762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185764 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185766 */     GIR_RootConstrainSelectedInstOperands,
     /* 185767 */     // GIR_Coverage, 2642,
     /* 185767 */     GIR_EraseRootFromParent_Done,
     /* 185768 */   // Label 3614: @185768
     /* 185768 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(185805), // Rule ID 2643 //
     /* 185773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp),
     /* 185781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 185790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1813:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (SQINCP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 185794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_ZP_S),
     /* 185797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 185799 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185801 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185803 */     GIR_RootConstrainSelectedInstOperands,
     /* 185804 */     // GIR_Coverage, 2643,
     /* 185804 */     GIR_EraseRootFromParent_Done,
     /* 185805 */   // Label 3615: @185805
     /* 185805 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(185842), // Rule ID 2644 //
     /* 185810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp),
     /* 185818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 185824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 185827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185831 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1813:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (SQINCP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 185831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_ZP_D),
     /* 185834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 185836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185840 */     GIR_RootConstrainSelectedInstOperands,
     /* 185841 */     // GIR_Coverage, 2644,
     /* 185841 */     GIR_EraseRootFromParent_Done,
     /* 185842 */   // Label 3616: @185842
     /* 185842 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(185879), // Rule ID 2645 //
     /* 185847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 185855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 185858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 185868 */     // (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (CNTP_XPP_B:{ *:[i64] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 185868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_B),
     /* 185871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 185873 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185875 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185877 */     GIR_RootConstrainSelectedInstOperands,
     /* 185878 */     // GIR_Coverage, 2645,
     /* 185878 */     GIR_EraseRootFromParent_Done,
     /* 185879 */   // Label 3617: @185879
     /* 185879 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(185916), // Rule ID 2646 //
     /* 185884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 185892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 185895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 185898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 185901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 185905 */     // (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (CNTP_XPP_H:{ *:[i64] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 185905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_H),
     /* 185908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 185910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185914 */     GIR_RootConstrainSelectedInstOperands,
     /* 185915 */     // GIR_Coverage, 2646,
     /* 185915 */     GIR_EraseRootFromParent_Done,
     /* 185916 */   // Label 3618: @185916
     /* 185916 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(185953), // Rule ID 2647 //
     /* 185921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 185929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 185932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 185935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 185938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 185942 */     // (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (CNTP_XPP_S:{ *:[i64] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 185942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_S),
     /* 185945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 185947 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185949 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185951 */     GIR_RootConstrainSelectedInstOperands,
     /* 185952 */     // GIR_Coverage, 2647,
     /* 185952 */     GIR_EraseRootFromParent_Done,
     /* 185953 */   // Label 3619: @185953
     /* 185953 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(185990), // Rule ID 2648 //
     /* 185958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 185966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 185969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 185972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 185975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 185979 */     // (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (CNTP_XPP_D:{ *:[i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 185979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_D),
     /* 185982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 185984 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185986 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185988 */     GIR_RootConstrainSelectedInstOperands,
     /* 185989 */     // GIR_Coverage, 2648,
     /* 185989 */     GIR_EraseRootFromParent_Done,
     /* 185990 */   // Label 3620: @185990
     /* 185990 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(186027), // Rule ID 2826 //
     /* 185995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 185998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftsmul_x),
     /* 186003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186016 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1543:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (FTSMUL_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSMUL_ZZZ_H),
     /* 186019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186021 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186023 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186025 */     GIR_RootConstrainSelectedInstOperands,
     /* 186026 */     // GIR_Coverage, 2826,
     /* 186026 */     GIR_EraseRootFromParent_Done,
     /* 186027 */   // Label 3621: @186027
     /* 186027 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(186064), // Rule ID 2827 //
     /* 186032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 186035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftsmul_x),
     /* 186040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186053 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1543:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (FTSMUL_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSMUL_ZZZ_S),
     /* 186056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186058 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186060 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186062 */     GIR_RootConstrainSelectedInstOperands,
     /* 186063 */     // GIR_Coverage, 2827,
     /* 186063 */     GIR_EraseRootFromParent_Done,
     /* 186064 */   // Label 3622: @186064
     /* 186064 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(186101), // Rule ID 2828 //
     /* 186069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 186072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftsmul_x),
     /* 186077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186090 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1543:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (FTSMUL_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSMUL_ZZZ_D),
     /* 186093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186095 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186097 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186099 */     GIR_RootConstrainSelectedInstOperands,
     /* 186100 */     // GIR_Coverage, 2828,
     /* 186100 */     GIR_EraseRootFromParent_Done,
     /* 186101 */   // Label 3623: @186101
     /* 186101 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(186138), // Rule ID 2999 //
     /* 186106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 186114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186127 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1795:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQDMULH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_B),
     /* 186130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186132 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186134 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186136 */     GIR_RootConstrainSelectedInstOperands,
     /* 186137 */     // GIR_Coverage, 2999,
     /* 186137 */     GIR_EraseRootFromParent_Done,
     /* 186138 */   // Label 3624: @186138
     /* 186138 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(186175), // Rule ID 3000 //
     /* 186143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 186151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186164 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1795:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQDMULH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_H),
     /* 186167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186169 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186171 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186173 */     GIR_RootConstrainSelectedInstOperands,
     /* 186174 */     // GIR_Coverage, 3000,
     /* 186174 */     GIR_EraseRootFromParent_Done,
     /* 186175 */   // Label 3625: @186175
     /* 186175 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(186212), // Rule ID 3001 //
     /* 186180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 186188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186201 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1795:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQDMULH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_S),
     /* 186204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186210 */     GIR_RootConstrainSelectedInstOperands,
     /* 186211 */     // GIR_Coverage, 3001,
     /* 186211 */     GIR_EraseRootFromParent_Done,
     /* 186212 */   // Label 3626: @186212
     /* 186212 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(186249), // Rule ID 3002 //
     /* 186217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 186225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186238 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1795:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQDMULH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_D),
     /* 186241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186243 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186245 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186247 */     GIR_RootConstrainSelectedInstOperands,
     /* 186248 */     // GIR_Coverage, 3002,
     /* 186248 */     GIR_EraseRootFromParent_Done,
     /* 186249 */   // Label 3627: @186249
     /* 186249 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(186286), // Rule ID 3003 //
     /* 186254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmul),
     /* 186262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186275 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1630:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (PMUL_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMUL_ZZZ_B),
     /* 186278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186284 */     GIR_RootConstrainSelectedInstOperands,
     /* 186285 */     // GIR_Coverage, 3003,
     /* 186285 */     GIR_EraseRootFromParent_Done,
     /* 186286 */   // Label 3628: @186286
     /* 186286 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(186323), // Rule ID 3025 //
     /* 186291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlb),
     /* 186299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186312 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1688:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SADDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLB_ZZZ_H),
     /* 186315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186319 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186321 */     GIR_RootConstrainSelectedInstOperands,
     /* 186322 */     // GIR_Coverage, 3025,
     /* 186322 */     GIR_EraseRootFromParent_Done,
     /* 186323 */   // Label 3629: @186323
     /* 186323 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(186360), // Rule ID 3026 //
     /* 186328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlb),
     /* 186336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186349 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1688:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SADDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLB_ZZZ_S),
     /* 186352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186356 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186358 */     GIR_RootConstrainSelectedInstOperands,
     /* 186359 */     // GIR_Coverage, 3026,
     /* 186359 */     GIR_EraseRootFromParent_Done,
     /* 186360 */   // Label 3630: @186360
     /* 186360 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(186397), // Rule ID 3027 //
     /* 186365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlb),
     /* 186373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1688:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SADDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLB_ZZZ_D),
     /* 186389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186391 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186393 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186395 */     GIR_RootConstrainSelectedInstOperands,
     /* 186396 */     // GIR_Coverage, 3027,
     /* 186396 */     GIR_EraseRootFromParent_Done,
     /* 186397 */   // Label 3631: @186397
     /* 186397 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(186434), // Rule ID 3031 //
     /* 186402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 186405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullb_pair),
     /* 186410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186423 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1631:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (PMULLB_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLB_ZZZ_Q),
     /* 186426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186432 */     GIR_RootConstrainSelectedInstOperands,
     /* 186433 */     // GIR_Coverage, 3031,
     /* 186433 */     GIR_EraseRootFromParent_Done,
     /* 186434 */   // Label 3632: @186434
     /* 186434 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(186471), // Rule ID 3032 //
     /* 186439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullb_pair),
     /* 186447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186460 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1631:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (PMULLB_ZZZ_H:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLB_ZZZ_H),
     /* 186463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186467 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186469 */     GIR_RootConstrainSelectedInstOperands,
     /* 186470 */     // GIR_Coverage, 3032,
     /* 186470 */     GIR_EraseRootFromParent_Done,
     /* 186471 */   // Label 3633: @186471
     /* 186471 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(186508), // Rule ID 3033 //
     /* 186476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullb_pair),
     /* 186484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1631:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (PMULLB_ZZZ_D:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLB_ZZZ_D),
     /* 186500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186502 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186504 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186506 */     GIR_RootConstrainSelectedInstOperands,
     /* 186507 */     // GIR_Coverage, 3033,
     /* 186507 */     GIR_EraseRootFromParent_Done,
     /* 186508 */   // Label 3634: @186508
     /* 186508 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(186545), // Rule ID 3034 //
     /* 186513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 186516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 186521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186534 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1273:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BEXT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_B),
     /* 186537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186539 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186541 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186543 */     GIR_RootConstrainSelectedInstOperands,
     /* 186544 */     // GIR_Coverage, 3034,
     /* 186544 */     GIR_EraseRootFromParent_Done,
     /* 186545 */   // Label 3635: @186545
     /* 186545 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(186582), // Rule ID 3035 //
     /* 186550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 186553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 186558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186571 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1273:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BEXT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_H),
     /* 186574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186580 */     GIR_RootConstrainSelectedInstOperands,
     /* 186581 */     // GIR_Coverage, 3035,
     /* 186581 */     GIR_EraseRootFromParent_Done,
     /* 186582 */   // Label 3636: @186582
     /* 186582 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(186619), // Rule ID 3036 //
     /* 186587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 186590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 186595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1273:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BEXT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_S),
     /* 186611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186615 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186617 */     GIR_RootConstrainSelectedInstOperands,
     /* 186618 */     // GIR_Coverage, 3036,
     /* 186618 */     GIR_EraseRootFromParent_Done,
     /* 186619 */   // Label 3637: @186619
     /* 186619 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(186656), // Rule ID 3037 //
     /* 186624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 186627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 186632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186645 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1273:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BEXT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_D),
     /* 186648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186654 */     GIR_RootConstrainSelectedInstOperands,
     /* 186655 */     // GIR_Coverage, 3037,
     /* 186655 */     GIR_EraseRootFromParent_Done,
     /* 186656 */   // Label 3638: @186656
     /* 186656 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(186693), // Rule ID 3038 //
     /* 186661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlbt),
     /* 186669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186682 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1689:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SADDLBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLBT_ZZZ_H),
     /* 186685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186687 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186689 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186691 */     GIR_RootConstrainSelectedInstOperands,
     /* 186692 */     // GIR_Coverage, 3038,
     /* 186692 */     GIR_EraseRootFromParent_Done,
     /* 186693 */   // Label 3639: @186693
     /* 186693 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(186730), // Rule ID 3039 //
     /* 186698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlbt),
     /* 186706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186719 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1689:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SADDLBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLBT_ZZZ_S),
     /* 186722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186724 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186726 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186728 */     GIR_RootConstrainSelectedInstOperands,
     /* 186729 */     // GIR_Coverage, 3039,
     /* 186729 */     GIR_EraseRootFromParent_Done,
     /* 186730 */   // Label 3640: @186730
     /* 186730 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(186767), // Rule ID 3040 //
     /* 186735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlbt),
     /* 186743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1689:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SADDLBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLBT_ZZZ_D),
     /* 186759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186763 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186765 */     GIR_RootConstrainSelectedInstOperands,
     /* 186766 */     // GIR_Coverage, 3040,
     /* 186766 */     GIR_EraseRootFromParent_Done,
     /* 186767 */   // Label 3641: @186767
     /* 186767 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(186804), // Rule ID 3087 //
     /* 186772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnb),
     /* 186780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186793 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1250:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ADDHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNB_ZZZ_B),
     /* 186796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186802 */     GIR_RootConstrainSelectedInstOperands,
     /* 186803 */     // GIR_Coverage, 3087,
     /* 186803 */     GIR_EraseRootFromParent_Done,
     /* 186804 */   // Label 3642: @186804
     /* 186804 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(186841), // Rule ID 3088 //
     /* 186809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnb),
     /* 186817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186830 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1250:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADDHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNB_ZZZ_H),
     /* 186833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186837 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186839 */     GIR_RootConstrainSelectedInstOperands,
     /* 186840 */     // GIR_Coverage, 3088,
     /* 186840 */     GIR_EraseRootFromParent_Done,
     /* 186841 */   // Label 3643: @186841
     /* 186841 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(186878), // Rule ID 3089 //
     /* 186846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnb),
     /* 186854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1250:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADDHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNB_ZZZ_S),
     /* 186870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186872 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186874 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186876 */     GIR_RootConstrainSelectedInstOperands,
     /* 186877 */     // GIR_Coverage, 3089,
     /* 186877 */     GIR_EraseRootFromParent_Done,
     /* 186878 */   // Label 3644: @186878
     /* 186878 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(186915), // Rule ID 3096 //
     /* 186883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnt),
     /* 186891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186904 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1852:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQXTNT_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNT_ZZ_B),
     /* 186907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186909 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186911 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186913 */     GIR_RootConstrainSelectedInstOperands,
     /* 186914 */     // GIR_Coverage, 3096,
     /* 186914 */     GIR_EraseRootFromParent_Done,
     /* 186915 */   // Label 3645: @186915
     /* 186915 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(186952), // Rule ID 3097 //
     /* 186920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnt),
     /* 186928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186941 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1852:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQXTNT_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNT_ZZ_H),
     /* 186944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186946 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186948 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186950 */     GIR_RootConstrainSelectedInstOperands,
     /* 186951 */     // GIR_Coverage, 3097,
     /* 186951 */     GIR_EraseRootFromParent_Done,
     /* 186952 */   // Label 3646: @186952
     /* 186952 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(186989), // Rule ID 3098 //
     /* 186957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnt),
     /* 186965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1852:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQXTNT_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNT_ZZ_S),
     /* 186981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186985 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186987 */     GIR_RootConstrainSelectedInstOperands,
     /* 186988 */     // GIR_Coverage, 3098,
     /* 186988 */     GIR_EraseRootFromParent_Done,
     /* 186989 */   // Label 3647: @186989
     /* 186989 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(187029), // Rule ID 3202 //
     /* 186994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 187002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 187005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187015 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2132:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_B),
     /* 187018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187027 */     GIR_RootConstrainSelectedInstOperands,
     /* 187028 */     // GIR_Coverage, 3202,
     /* 187028 */     GIR_EraseRootFromParent_Done,
     /* 187029 */   // Label 3648: @187029
     /* 187029 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(187069), // Rule ID 3203 //
     /* 187034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 187042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 187045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187055 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2132:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_H),
     /* 187058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187062 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187067 */     GIR_RootConstrainSelectedInstOperands,
     /* 187068 */     // GIR_Coverage, 3203,
     /* 187068 */     GIR_EraseRootFromParent_Done,
     /* 187069 */   // Label 3649: @187069
     /* 187069 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(187109), // Rule ID 3204 //
     /* 187074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 187082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 187085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187095 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2132:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_S),
     /* 187098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187100 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187102 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187107 */     GIR_RootConstrainSelectedInstOperands,
     /* 187108 */     // GIR_Coverage, 3204,
     /* 187108 */     GIR_EraseRootFromParent_Done,
     /* 187109 */   // Label 3650: @187109
     /* 187109 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(187149), // Rule ID 3205 //
     /* 187114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 187122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 187125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187135 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2132:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_D),
     /* 187138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187147 */     GIR_RootConstrainSelectedInstOperands,
     /* 187148 */     // GIR_Coverage, 3205,
     /* 187148 */     GIR_EraseRootFromParent_Done,
     /* 187149 */   // Label 3651: @187149
     /* 187149 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(187189), // Rule ID 3210 //
     /* 187154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 187162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 187165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 187168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 187171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187175 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2132:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 187175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_B),
     /* 187178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187187 */     GIR_RootConstrainSelectedInstOperands,
     /* 187188 */     // GIR_Coverage, 3210,
     /* 187188 */     GIR_EraseRootFromParent_Done,
     /* 187189 */   // Label 3652: @187189
     /* 187189 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(187229), // Rule ID 3211 //
     /* 187194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 187202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 187205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 187208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 187211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187215 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2132:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 187215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_H),
     /* 187218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187222 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187227 */     GIR_RootConstrainSelectedInstOperands,
     /* 187228 */     // GIR_Coverage, 3211,
     /* 187228 */     GIR_EraseRootFromParent_Done,
     /* 187229 */   // Label 3653: @187229
     /* 187229 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(187269), // Rule ID 3212 //
     /* 187234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 187242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 187245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 187248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 187251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187255 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2132:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 187255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_S),
     /* 187258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187267 */     GIR_RootConstrainSelectedInstOperands,
     /* 187268 */     // GIR_Coverage, 3212,
     /* 187268 */     GIR_EraseRootFromParent_Done,
     /* 187269 */   // Label 3654: @187269
     /* 187269 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(187309), // Rule ID 3213 //
     /* 187274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 187282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 187285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 187288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 187291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187295 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2132:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 187295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_D),
     /* 187298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187302 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187307 */     GIR_RootConstrainSelectedInstOperands,
     /* 187308 */     // GIR_Coverage, 3213,
     /* 187308 */     GIR_EraseRootFromParent_Done,
     /* 187309 */   // Label 3655: @187309
     /* 187309 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(187346), // Rule ID 3402 //
     /* 187314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 187317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 187322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 187328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187335 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1341:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (COMPACT_ZPZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_S),
     /* 187338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187344 */     GIR_RootConstrainSelectedInstOperands,
     /* 187345 */     // GIR_Coverage, 3402,
     /* 187345 */     GIR_EraseRootFromParent_Done,
     /* 187346 */   // Label 3656: @187346
     /* 187346 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(187383), // Rule ID 3403 //
     /* 187351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 187354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 187359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 187365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187372 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1341:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (COMPACT_ZPZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 187372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_S),
     /* 187375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187377 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187379 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187381 */     GIR_RootConstrainSelectedInstOperands,
     /* 187382 */     // GIR_Coverage, 3403,
     /* 187382 */     GIR_EraseRootFromParent_Done,
     /* 187383 */   // Label 3657: @187383
     /* 187383 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(187420), // Rule ID 3404 //
     /* 187388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 187391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 187396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 187402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1341:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (COMPACT_ZPZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_D),
     /* 187412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187418 */     GIR_RootConstrainSelectedInstOperands,
     /* 187419 */     // GIR_Coverage, 3404,
     /* 187419 */     GIR_EraseRootFromParent_Done,
     /* 187420 */   // Label 3658: @187420
     /* 187420 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(187457), // Rule ID 3405 //
     /* 187425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 187428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 187433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 187439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187446 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1341:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (COMPACT_ZPZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 187446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_D),
     /* 187449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187451 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187453 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187455 */     GIR_RootConstrainSelectedInstOperands,
     /* 187456 */     // GIR_Coverage, 3405,
     /* 187456 */     GIR_EraseRootFromParent_Done,
     /* 187457 */   // Label 3659: @187457
     /* 187457 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(187494), // Rule ID 3427 //
     /* 187462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 187465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftssel_x),
     /* 187470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187483 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1544:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (FTSSEL_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSSEL_ZZZ_H),
     /* 187486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187492 */     GIR_RootConstrainSelectedInstOperands,
     /* 187493 */     // GIR_Coverage, 3427,
     /* 187493 */     GIR_EraseRootFromParent_Done,
     /* 187494 */   // Label 3660: @187494
     /* 187494 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(187531), // Rule ID 3428 //
     /* 187499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 187502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftssel_x),
     /* 187507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187520 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1544:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (FTSSEL_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSSEL_ZZZ_S),
     /* 187523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187527 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187529 */     GIR_RootConstrainSelectedInstOperands,
     /* 187530 */     // GIR_Coverage, 3428,
     /* 187530 */     GIR_EraseRootFromParent_Done,
     /* 187531 */   // Label 3661: @187531
     /* 187531 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(187568), // Rule ID 3429 //
     /* 187536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 187539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftssel_x),
     /* 187544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187557 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1544:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (FTSSEL_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSSEL_ZZZ_D),
     /* 187560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187564 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187566 */     GIR_RootConstrainSelectedInstOperands,
     /* 187567 */     // GIR_Coverage, 3429,
     /* 187567 */     GIR_EraseRootFromParent_Done,
     /* 187568 */   // Label 3662: @187568
     /* 187568 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(187605), // Rule ID 3451 //
     /* 187573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brka_z),
     /* 187581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 187584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 187587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 187590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187594 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1294:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (BRKA_PPzP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 187594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKA_PPzP),
     /* 187597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187599 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187601 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187603 */     GIR_RootConstrainSelectedInstOperands,
     /* 187604 */     // GIR_Coverage, 3451,
     /* 187604 */     GIR_EraseRootFromParent_Done,
     /* 187605 */   // Label 3663: @187605
     /* 187605 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(187642), // Rule ID 3456 //
     /* 187610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2SM4),
     /* 187613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sm4ekey),
     /* 187618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187631 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1724:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SM4EKEY_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4EKEY_ZZZ_S),
     /* 187634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187640 */     GIR_RootConstrainSelectedInstOperands,
     /* 187641 */     // GIR_Coverage, 3456,
     /* 187641 */     GIR_EraseRootFromParent_Done,
     /* 187642 */   // Label 3664: @187642
     /* 187642 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(187679), // Rule ID 3457 //
     /* 187647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 187650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aese),
     /* 187655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 187658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 187661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 187664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187668 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1259:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (AESE_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 187668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESE_ZZZ_B),
     /* 187671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 187673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187675 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187677 */     GIR_RootConstrainSelectedInstOperands,
     /* 187678 */     // GIR_Coverage, 3457,
     /* 187678 */     GIR_EraseRootFromParent_Done,
     /* 187679 */   // Label 3665: @187679
     /* 187679 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(187716), // Rule ID 3466 //
     /* 187684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 187695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 187698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 187701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187705 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2154:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 187705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187714 */     GIR_RootConstrainSelectedInstOperands,
     /* 187715 */     // GIR_Coverage, 3466,
     /* 187715 */     GIR_EraseRootFromParent_Done,
     /* 187716 */   // Label 3666: @187716
     /* 187716 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(187753), // Rule ID 3467 //
     /* 187721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187742 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2154:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187749 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187751 */     GIR_RootConstrainSelectedInstOperands,
     /* 187752 */     // GIR_Coverage, 3467,
     /* 187752 */     GIR_EraseRootFromParent_Done,
     /* 187753 */   // Label 3667: @187753
     /* 187753 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(187790), // Rule ID 3468 //
     /* 187758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187779 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2154:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 187779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187786 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187788 */     GIR_RootConstrainSelectedInstOperands,
     /* 187789 */     // GIR_Coverage, 3468,
     /* 187789 */     GIR_EraseRootFromParent_Done,
     /* 187790 */   // Label 3668: @187790
     /* 187790 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(187827), // Rule ID 3469 //
     /* 187795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187816 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2154:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187823 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187825 */     GIR_RootConstrainSelectedInstOperands,
     /* 187826 */     // GIR_Coverage, 3469,
     /* 187826 */     GIR_EraseRootFromParent_Done,
     /* 187827 */   // Label 3669: @187827
     /* 187827 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(187864), // Rule ID 3470 //
     /* 187832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187853 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2154:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 187853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187862 */     GIR_RootConstrainSelectedInstOperands,
     /* 187863 */     // GIR_Coverage, 3470,
     /* 187863 */     GIR_EraseRootFromParent_Done,
     /* 187864 */   // Label 3670: @187864
     /* 187864 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(187901), // Rule ID 3471 //
     /* 187869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187890 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2154:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187895 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187897 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187899 */     GIR_RootConstrainSelectedInstOperands,
     /* 187900 */     // GIR_Coverage, 3471,
     /* 187900 */     GIR_EraseRootFromParent_Done,
     /* 187901 */   // Label 3671: @187901
     /* 187901 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(187938), // Rule ID 3472 //
     /* 187906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187927 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2154:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 187927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187934 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187936 */     GIR_RootConstrainSelectedInstOperands,
     /* 187937 */     // GIR_Coverage, 3472,
     /* 187937 */     GIR_EraseRootFromParent_Done,
     /* 187938 */   // Label 3672: @187938
     /* 187938 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(187975), // Rule ID 3527 //
     /* 187943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddqv),
     /* 187951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 187954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 187957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187964 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1367:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FADDQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 187964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDQV_H),
     /* 187967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187971 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187973 */     GIR_RootConstrainSelectedInstOperands,
     /* 187974 */     // GIR_Coverage, 3527,
     /* 187974 */     GIR_EraseRootFromParent_Done,
     /* 187975 */   // Label 3673: @187975
     /* 187975 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(188012), // Rule ID 3528 //
     /* 187980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddqv),
     /* 187988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 187991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 187994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 188001 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1367:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FADDQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 188001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDQV_S),
     /* 188004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 188006 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188008 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188010 */     GIR_RootConstrainSelectedInstOperands,
     /* 188011 */     // GIR_Coverage, 3528,
     /* 188011 */     GIR_EraseRootFromParent_Done,
     /* 188012 */   // Label 3674: @188012
     /* 188012 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(188049), // Rule ID 3529 //
     /* 188017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddqv),
     /* 188025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 188028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 188031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 188038 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1367:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FADDQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 188038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDQV_D),
     /* 188041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 188043 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188045 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188047 */     GIR_RootConstrainSelectedInstOperands,
     /* 188048 */     // GIR_Coverage, 3529,
     /* 188048 */     GIR_EraseRootFromParent_Done,
     /* 188049 */   // Label 3675: @188049
     /* 188049 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(188086), // Rule ID 3559 //
     /* 188054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 188062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 188065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 188068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 188071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 188075 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1618:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ORQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 188075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_B),
     /* 188078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 188080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188084 */     GIR_RootConstrainSelectedInstOperands,
     /* 188085 */     // GIR_Coverage, 3559,
     /* 188085 */     GIR_EraseRootFromParent_Done,
     /* 188086 */   // Label 3676: @188086
     /* 188086 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(188123), // Rule ID 3560 //
     /* 188091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 188099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 188102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 188105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 188108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 188112 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1618:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ORQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 188112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_H),
     /* 188115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 188117 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188119 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188121 */     GIR_RootConstrainSelectedInstOperands,
     /* 188122 */     // GIR_Coverage, 3560,
     /* 188122 */     GIR_EraseRootFromParent_Done,
     /* 188123 */   // Label 3677: @188123
     /* 188123 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(188160), // Rule ID 3561 //
     /* 188128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 188136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 188139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 188142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 188149 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1618:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ORQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_S),
     /* 188152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 188154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188156 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188158 */     GIR_RootConstrainSelectedInstOperands,
     /* 188159 */     // GIR_Coverage, 3561,
     /* 188159 */     GIR_EraseRootFromParent_Done,
     /* 188160 */   // Label 3678: @188160
     /* 188160 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(188197), // Rule ID 3562 //
     /* 188165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 188173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 188176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 188179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 188186 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1618:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ORQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_D),
     /* 188189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 188191 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188193 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188195 */     GIR_RootConstrainSelectedInstOperands,
     /* 188196 */     // GIR_Coverage, 3562,
     /* 188196 */     GIR_EraseRootFromParent_Done,
     /* 188197 */   // Label 3679: @188197
     /* 188197 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(188234), // Rule ID 3563 //
     /* 188202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 188213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 188216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 188219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188223 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2162:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIPQ1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 188223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_B),
     /* 188226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188232 */     GIR_RootConstrainSelectedInstOperands,
     /* 188233 */     // GIR_Coverage, 3563,
     /* 188233 */     GIR_EraseRootFromParent_Done,
     /* 188234 */   // Label 3680: @188234
     /* 188234 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(188271), // Rule ID 3564 //
     /* 188239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 188250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 188253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 188256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188260 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2162:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIPQ1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 188260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_H),
     /* 188263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188269 */     GIR_RootConstrainSelectedInstOperands,
     /* 188270 */     // GIR_Coverage, 3564,
     /* 188270 */     GIR_EraseRootFromParent_Done,
     /* 188271 */   // Label 3681: @188271
     /* 188271 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(188308), // Rule ID 3565 //
     /* 188276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188297 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2162:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIPQ1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_S),
     /* 188300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188306 */     GIR_RootConstrainSelectedInstOperands,
     /* 188307 */     // GIR_Coverage, 3565,
     /* 188307 */     GIR_EraseRootFromParent_Done,
     /* 188308 */   // Label 3682: @188308
     /* 188308 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(188345), // Rule ID 3566 //
     /* 188313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2162:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIPQ1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_D),
     /* 188337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188339 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188341 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188343 */     GIR_RootConstrainSelectedInstOperands,
     /* 188344 */     // GIR_Coverage, 3566,
     /* 188344 */     GIR_EraseRootFromParent_Done,
     /* 188345 */   // Label 3683: @188345
     /* 188345 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(188382), // Rule ID 3567 //
     /* 188350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 188361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 188364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 188367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188371 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2162:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIPQ1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 188371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_H),
     /* 188374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188376 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188378 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188380 */     GIR_RootConstrainSelectedInstOperands,
     /* 188381 */     // GIR_Coverage, 3567,
     /* 188381 */     GIR_EraseRootFromParent_Done,
     /* 188382 */   // Label 3684: @188382
     /* 188382 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(188419), // Rule ID 3568 //
     /* 188387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188408 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2162:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIPQ1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 188408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_S),
     /* 188411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188415 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188417 */     GIR_RootConstrainSelectedInstOperands,
     /* 188418 */     // GIR_Coverage, 3568,
     /* 188418 */     GIR_EraseRootFromParent_Done,
     /* 188419 */   // Label 3685: @188419
     /* 188419 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(188456), // Rule ID 3569 //
     /* 188424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188445 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2162:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIPQ1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 188445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_D),
     /* 188448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188450 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188452 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188454 */     GIR_RootConstrainSelectedInstOperands,
     /* 188455 */     // GIR_Coverage, 3569,
     /* 188455 */     GIR_EraseRootFromParent_Done,
     /* 188456 */   // Label 3686: @188456
     /* 188456 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(188493), // Rule ID 3570 //
     /* 188461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 188472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 188475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 188478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188482 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1917:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TBLQ_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 188482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_B),
     /* 188485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188487 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188489 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188491 */     GIR_RootConstrainSelectedInstOperands,
     /* 188492 */     // GIR_Coverage, 3570,
     /* 188492 */     GIR_EraseRootFromParent_Done,
     /* 188493 */   // Label 3687: @188493
     /* 188493 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(188530), // Rule ID 3571 //
     /* 188498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 188509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 188512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 188515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188519 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1917:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TBLQ_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 188519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_H),
     /* 188522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188526 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188528 */     GIR_RootConstrainSelectedInstOperands,
     /* 188529 */     // GIR_Coverage, 3571,
     /* 188529 */     GIR_EraseRootFromParent_Done,
     /* 188530 */   // Label 3688: @188530
     /* 188530 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(188567), // Rule ID 3572 //
     /* 188535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1917:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TBLQ_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_S),
     /* 188559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188561 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188563 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188565 */     GIR_RootConstrainSelectedInstOperands,
     /* 188566 */     // GIR_Coverage, 3572,
     /* 188566 */     GIR_EraseRootFromParent_Done,
     /* 188567 */   // Label 3689: @188567
     /* 188567 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(188604), // Rule ID 3573 //
     /* 188572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188593 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1917:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TBLQ_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_D),
     /* 188596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188598 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188600 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188602 */     GIR_RootConstrainSelectedInstOperands,
     /* 188603 */     // GIR_Coverage, 3573,
     /* 188603 */     GIR_EraseRootFromParent_Done,
     /* 188604 */   // Label 3690: @188604
     /* 188604 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(188641), // Rule ID 3574 //
     /* 188609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 188620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 188623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 188626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188630 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1917:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TBLQ_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 188630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_H),
     /* 188633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188635 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188637 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188639 */     GIR_RootConstrainSelectedInstOperands,
     /* 188640 */     // GIR_Coverage, 3574,
     /* 188640 */     GIR_EraseRootFromParent_Done,
     /* 188641 */   // Label 3691: @188641
     /* 188641 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(188678), // Rule ID 3575 //
     /* 188646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188667 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1917:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TBLQ_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_S),
     /* 188670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188676 */     GIR_RootConstrainSelectedInstOperands,
     /* 188677 */     // GIR_Coverage, 3575,
     /* 188677 */     GIR_EraseRootFromParent_Done,
     /* 188678 */   // Label 3692: @188678
     /* 188678 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(188715), // Rule ID 3576 //
     /* 188683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188704 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1917:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TBLQ_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_D),
     /* 188707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188709 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188711 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188713 */     GIR_RootConstrainSelectedInstOperands,
     /* 188714 */     // GIR_Coverage, 3576,
     /* 188714 */     GIR_EraseRootFromParent_Done,
     /* 188715 */   // Label 3693: @188715
     /* 188715 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(188752), // Rule ID 8398 //
     /* 188720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkb_z),
     /* 188728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 188734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 188737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188741 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1296:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (BRKB_PPzP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 188741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKB_PPzP),
     /* 188744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188746 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188748 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188750 */     GIR_RootConstrainSelectedInstOperands,
     /* 188751 */     // GIR_Coverage, 8398,
     /* 188751 */     GIR_EraseRootFromParent_Done,
     /* 188752 */   // Label 3694: @188752
     /* 188752 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(188789), // Rule ID 8874 //
     /* 188757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrb),
     /* 188765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188778 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1254:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_0:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_0),
     /* 188781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188785 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188787 */     GIR_RootConstrainSelectedInstOperands,
     /* 188788 */     // GIR_Coverage, 8874,
     /* 188788 */     GIR_EraseRootFromParent_Done,
     /* 188789 */   // Label 3695: @188789
     /* 188789 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(188826), // Rule ID 8875 //
     /* 188794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrh),
     /* 188802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1256:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_1:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_1),
     /* 188818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188822 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188824 */     GIR_RootConstrainSelectedInstOperands,
     /* 188825 */     // GIR_Coverage, 8875,
     /* 188825 */     GIR_EraseRootFromParent_Done,
     /* 188826 */   // Label 3696: @188826
     /* 188826 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(188863), // Rule ID 8876 //
     /* 188831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrw),
     /* 188839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1257:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_2),
     /* 188855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188857 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188859 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188861 */     GIR_RootConstrainSelectedInstOperands,
     /* 188862 */     // GIR_Coverage, 8876,
     /* 188862 */     GIR_EraseRootFromParent_Done,
     /* 188863 */   // Label 3697: @188863
     /* 188863 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(188900), // Rule ID 8877 //
     /* 188868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrd),
     /* 188876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188889 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1255:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_3:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_3),
     /* 188892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188898 */     GIR_RootConstrainSelectedInstOperands,
     /* 188899 */     // GIR_Coverage, 8877,
     /* 188899 */     GIR_EraseRootFromParent_Done,
     /* 188900 */   // Label 3698: @188900
     /* 188900 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(188937), // Rule ID 8878 //
     /* 188905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrb),
     /* 188913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188926 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1254:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_0),
     /* 188929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188931 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188933 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188935 */     GIR_RootConstrainSelectedInstOperands,
     /* 188936 */     // GIR_Coverage, 8878,
     /* 188936 */     GIR_EraseRootFromParent_Done,
     /* 188937 */   // Label 3699: @188937
     /* 188937 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(188974), // Rule ID 8879 //
     /* 188942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrh),
     /* 188950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188963 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1256:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_1:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_1),
     /* 188966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188970 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188972 */     GIR_RootConstrainSelectedInstOperands,
     /* 188973 */     // GIR_Coverage, 8879,
     /* 188973 */     GIR_EraseRootFromParent_Done,
     /* 188974 */   // Label 3700: @188974
     /* 188974 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(189011), // Rule ID 8880 //
     /* 188979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrw),
     /* 188987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189000 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1257:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 189000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_2),
     /* 189003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189009 */     GIR_RootConstrainSelectedInstOperands,
     /* 189010 */     // GIR_Coverage, 8880,
     /* 189010 */     GIR_EraseRootFromParent_Done,
     /* 189011 */   // Label 3701: @189011
     /* 189011 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(189048), // Rule ID 8881 //
     /* 189016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 189019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrd),
     /* 189024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 189027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 189030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189037 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1255:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_3:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 189037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_3),
     /* 189040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189044 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189046 */     GIR_RootConstrainSelectedInstOperands,
     /* 189047 */     // GIR_Coverage, 8881,
     /* 189047 */     GIR_EraseRootFromParent_Done,
     /* 189048 */   // Label 3702: @189048
     /* 189048 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(189088), // Rule ID 9881 //
     /* 189053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 189061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 189064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189074 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2114:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_B),
     /* 189077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189079 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189081 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189086 */     GIR_RootConstrainSelectedInstOperands,
     /* 189087 */     // GIR_Coverage, 9881,
     /* 189087 */     GIR_EraseRootFromParent_Done,
     /* 189088 */   // Label 3703: @189088
     /* 189088 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(189128), // Rule ID 9882 //
     /* 189093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 189101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 189104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189114 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2114:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_H),
     /* 189117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189119 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189121 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189126 */     GIR_RootConstrainSelectedInstOperands,
     /* 189127 */     // GIR_Coverage, 9882,
     /* 189127 */     GIR_EraseRootFromParent_Done,
     /* 189128 */   // Label 3704: @189128
     /* 189128 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(189168), // Rule ID 9883 //
     /* 189133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 189141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 189144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189154 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2114:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_S),
     /* 189157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189159 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189166 */     GIR_RootConstrainSelectedInstOperands,
     /* 189167 */     // GIR_Coverage, 9883,
     /* 189167 */     GIR_EraseRootFromParent_Done,
     /* 189168 */   // Label 3705: @189168
     /* 189168 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(189208), // Rule ID 9884 //
     /* 189173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 189181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189194 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2114:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_D),
     /* 189197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189199 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189201 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189206 */     GIR_RootConstrainSelectedInstOperands,
     /* 189207 */     // GIR_Coverage, 9884,
     /* 189207 */     GIR_EraseRootFromParent_Done,
     /* 189208 */   // Label 3706: @189208
     /* 189208 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(189248), // Rule ID 9885 //
     /* 189213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 189224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189234 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2120:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_B),
     /* 189237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189241 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189246 */     GIR_RootConstrainSelectedInstOperands,
     /* 189247 */     // GIR_Coverage, 9885,
     /* 189247 */     GIR_EraseRootFromParent_Done,
     /* 189248 */   // Label 3707: @189248
     /* 189248 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(189288), // Rule ID 9886 //
     /* 189253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 189264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189274 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2120:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_H),
     /* 189277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189279 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189281 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189286 */     GIR_RootConstrainSelectedInstOperands,
     /* 189287 */     // GIR_Coverage, 9886,
     /* 189287 */     GIR_EraseRootFromParent_Done,
     /* 189288 */   // Label 3708: @189288
     /* 189288 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(189328), // Rule ID 9887 //
     /* 189293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 189304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189314 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2120:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_S),
     /* 189317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189319 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189321 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189326 */     GIR_RootConstrainSelectedInstOperands,
     /* 189327 */     // GIR_Coverage, 9887,
     /* 189327 */     GIR_EraseRootFromParent_Done,
     /* 189328 */   // Label 3709: @189328
     /* 189328 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(189368), // Rule ID 9888 //
     /* 189333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189354 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2120:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_D),
     /* 189357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189359 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189361 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189366 */     GIR_RootConstrainSelectedInstOperands,
     /* 189367 */     // GIR_Coverage, 9888,
     /* 189367 */     GIR_EraseRootFromParent_Done,
     /* 189368 */   // Label 3710: @189368
     /* 189368 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(189408), // Rule ID 9893 //
     /* 189373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 189384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189394 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2126:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_B),
     /* 189397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189399 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189401 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189406 */     GIR_RootConstrainSelectedInstOperands,
     /* 189407 */     // GIR_Coverage, 9893,
     /* 189407 */     GIR_EraseRootFromParent_Done,
     /* 189408 */   // Label 3711: @189408
     /* 189408 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(189448), // Rule ID 9894 //
     /* 189413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 189424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189434 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2126:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_H),
     /* 189437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189439 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189441 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189446 */     GIR_RootConstrainSelectedInstOperands,
     /* 189447 */     // GIR_Coverage, 9894,
     /* 189447 */     GIR_EraseRootFromParent_Done,
     /* 189448 */   // Label 3712: @189448
     /* 189448 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(189488), // Rule ID 9895 //
     /* 189453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 189464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189474 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2126:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_S),
     /* 189477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189479 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189481 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189486 */     GIR_RootConstrainSelectedInstOperands,
     /* 189487 */     // GIR_Coverage, 9895,
     /* 189487 */     GIR_EraseRootFromParent_Done,
     /* 189488 */   // Label 3713: @189488
     /* 189488 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(189528), // Rule ID 9896 //
     /* 189493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189514 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2126:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_D),
     /* 189517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189519 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189521 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189526 */     GIR_RootConstrainSelectedInstOperands,
     /* 189527 */     // GIR_Coverage, 9896,
     /* 189527 */     GIR_EraseRootFromParent_Done,
     /* 189528 */   // Label 3714: @189528
     /* 189528 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(189568), // Rule ID 9897 //
     /* 189533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 189541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 189544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189554 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2114:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_B),
     /* 189557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189559 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189561 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189566 */     GIR_RootConstrainSelectedInstOperands,
     /* 189567 */     // GIR_Coverage, 9897,
     /* 189567 */     GIR_EraseRootFromParent_Done,
     /* 189568 */   // Label 3715: @189568
     /* 189568 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(189608), // Rule ID 9898 //
     /* 189573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 189581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 189584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189594 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2114:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_H),
     /* 189597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189599 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189601 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189606 */     GIR_RootConstrainSelectedInstOperands,
     /* 189607 */     // GIR_Coverage, 9898,
     /* 189607 */     GIR_EraseRootFromParent_Done,
     /* 189608 */   // Label 3716: @189608
     /* 189608 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(189648), // Rule ID 9899 //
     /* 189613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 189621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 189624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189634 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2114:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_S),
     /* 189637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189639 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189641 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189646 */     GIR_RootConstrainSelectedInstOperands,
     /* 189647 */     // GIR_Coverage, 9899,
     /* 189647 */     GIR_EraseRootFromParent_Done,
     /* 189648 */   // Label 3717: @189648
     /* 189648 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(189688), // Rule ID 9900 //
     /* 189653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 189661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189674 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2114:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_D),
     /* 189677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189679 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189681 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189686 */     GIR_RootConstrainSelectedInstOperands,
     /* 189687 */     // GIR_Coverage, 9900,
     /* 189687 */     GIR_EraseRootFromParent_Done,
     /* 189688 */   // Label 3718: @189688
     /* 189688 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(189728), // Rule ID 9901 //
     /* 189693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 189704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189714 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2120:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_B),
     /* 189717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189719 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189721 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189726 */     GIR_RootConstrainSelectedInstOperands,
     /* 189727 */     // GIR_Coverage, 9901,
     /* 189727 */     GIR_EraseRootFromParent_Done,
     /* 189728 */   // Label 3719: @189728
     /* 189728 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(189768), // Rule ID 9902 //
     /* 189733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 189744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189754 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2120:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_H),
     /* 189757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189759 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189761 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189766 */     GIR_RootConstrainSelectedInstOperands,
     /* 189767 */     // GIR_Coverage, 9902,
     /* 189767 */     GIR_EraseRootFromParent_Done,
     /* 189768 */   // Label 3720: @189768
     /* 189768 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(189808), // Rule ID 9903 //
     /* 189773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 189784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189794 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2120:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_S),
     /* 189797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189799 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189801 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189806 */     GIR_RootConstrainSelectedInstOperands,
     /* 189807 */     // GIR_Coverage, 9903,
     /* 189807 */     GIR_EraseRootFromParent_Done,
     /* 189808 */   // Label 3721: @189808
     /* 189808 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(189848), // Rule ID 9904 //
     /* 189813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189834 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2120:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_D),
     /* 189837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189839 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189841 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189846 */     GIR_RootConstrainSelectedInstOperands,
     /* 189847 */     // GIR_Coverage, 9904,
     /* 189847 */     GIR_EraseRootFromParent_Done,
     /* 189848 */   // Label 3722: @189848
     /* 189848 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(189888), // Rule ID 9909 //
     /* 189853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 189864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189874 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2126:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_B),
     /* 189877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189881 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189886 */     GIR_RootConstrainSelectedInstOperands,
     /* 189887 */     // GIR_Coverage, 9909,
     /* 189887 */     GIR_EraseRootFromParent_Done,
     /* 189888 */   // Label 3723: @189888
     /* 189888 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(189928), // Rule ID 9910 //
     /* 189893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 189904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189914 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2126:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_H),
     /* 189917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189919 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189921 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189926 */     GIR_RootConstrainSelectedInstOperands,
     /* 189927 */     // GIR_Coverage, 9910,
     /* 189927 */     GIR_EraseRootFromParent_Done,
     /* 189928 */   // Label 3724: @189928
     /* 189928 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(189968), // Rule ID 9911 //
     /* 189933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 189944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189954 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2126:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 189957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189959 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189961 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189966 */     GIR_RootConstrainSelectedInstOperands,
     /* 189967 */     // GIR_Coverage, 9911,
     /* 189967 */     GIR_EraseRootFromParent_Done,
     /* 189968 */   // Label 3725: @189968
     /* 189968 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(190008), // Rule ID 9912 //
     /* 189973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189994 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2126:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 189997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189999 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190001 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 190006 */     GIR_RootConstrainSelectedInstOperands,
     /* 190007 */     // GIR_Coverage, 9912,
     /* 190007 */     GIR_EraseRootFromParent_Done,
     /* 190008 */   // Label 3726: @190008
     /* 190008 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(190045), // Rule ID 10071 //
     /* 190013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp),
     /* 190021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 190030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2024:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UQINCP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 190034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_ZP_H),
     /* 190037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190039 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190041 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190043 */     GIR_RootConstrainSelectedInstOperands,
     /* 190044 */     // GIR_Coverage, 10071,
     /* 190044 */     GIR_EraseRootFromParent_Done,
     /* 190045 */   // Label 3727: @190045
     /* 190045 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(190082), // Rule ID 10072 //
     /* 190050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp),
     /* 190058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 190067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2024:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UQINCP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 190071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_ZP_S),
     /* 190074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190080 */     GIR_RootConstrainSelectedInstOperands,
     /* 190081 */     // GIR_Coverage, 10072,
     /* 190081 */     GIR_EraseRootFromParent_Done,
     /* 190082 */   // Label 3728: @190082
     /* 190082 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(190119), // Rule ID 10073 //
     /* 190087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp),
     /* 190095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 190104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190108 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2024:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UQINCP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 190108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_ZP_D),
     /* 190111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190115 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190117 */     GIR_RootConstrainSelectedInstOperands,
     /* 190118 */     // GIR_Coverage, 10073,
     /* 190118 */     GIR_EraseRootFromParent_Done,
     /* 190119 */   // Label 3729: @190119
     /* 190119 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(190156), // Rule ID 10074 //
     /* 190124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp),
     /* 190132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 190141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190145 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1779:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (SQDECP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 190145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_ZP_H),
     /* 190148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190154 */     GIR_RootConstrainSelectedInstOperands,
     /* 190155 */     // GIR_Coverage, 10074,
     /* 190155 */     GIR_EraseRootFromParent_Done,
     /* 190156 */   // Label 3730: @190156
     /* 190156 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(190193), // Rule ID 10075 //
     /* 190161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp),
     /* 190169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 190178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190182 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1779:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (SQDECP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 190182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_ZP_S),
     /* 190185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190191 */     GIR_RootConstrainSelectedInstOperands,
     /* 190192 */     // GIR_Coverage, 10075,
     /* 190192 */     GIR_EraseRootFromParent_Done,
     /* 190193 */   // Label 3731: @190193
     /* 190193 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(190230), // Rule ID 10076 //
     /* 190198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp),
     /* 190206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 190215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190219 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1779:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (SQDECP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 190219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_ZP_D),
     /* 190222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190226 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190228 */     GIR_RootConstrainSelectedInstOperands,
     /* 190229 */     // GIR_Coverage, 10076,
     /* 190229 */     GIR_EraseRootFromParent_Done,
     /* 190230 */   // Label 3732: @190230
     /* 190230 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(190267), // Rule ID 10077 //
     /* 190235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp),
     /* 190243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 190252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190256 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2010:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UQDECP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 190256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_ZP_H),
     /* 190259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190263 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190265 */     GIR_RootConstrainSelectedInstOperands,
     /* 190266 */     // GIR_Coverage, 10077,
     /* 190266 */     GIR_EraseRootFromParent_Done,
     /* 190267 */   // Label 3733: @190267
     /* 190267 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(190304), // Rule ID 10078 //
     /* 190272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp),
     /* 190280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 190289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190293 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2010:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UQDECP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 190293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_ZP_S),
     /* 190296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190302 */     GIR_RootConstrainSelectedInstOperands,
     /* 190303 */     // GIR_Coverage, 10078,
     /* 190303 */     GIR_EraseRootFromParent_Done,
     /* 190304 */   // Label 3734: @190304
     /* 190304 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(190341), // Rule ID 10079 //
     /* 190309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp),
     /* 190317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 190326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2010:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UQDECP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 190330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_ZP_D),
     /* 190333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190337 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190339 */     GIR_RootConstrainSelectedInstOperands,
     /* 190340 */     // GIR_Coverage, 10079,
     /* 190340 */     GIR_EraseRootFromParent_Done,
     /* 190341 */   // Label 3735: @190341
     /* 190341 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(190378), // Rule ID 11267 //
     /* 190346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 190357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190367 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2159:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190376 */     GIR_RootConstrainSelectedInstOperands,
     /* 190377 */     // GIR_Coverage, 11267,
     /* 190377 */     GIR_EraseRootFromParent_Done,
     /* 190378 */   // Label 3736: @190378
     /* 190378 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(190415), // Rule ID 11268 //
     /* 190383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190404 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2159:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190413 */     GIR_RootConstrainSelectedInstOperands,
     /* 190414 */     // GIR_Coverage, 11268,
     /* 190414 */     GIR_EraseRootFromParent_Done,
     /* 190415 */   // Label 3737: @190415
     /* 190415 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(190452), // Rule ID 11269 //
     /* 190420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190441 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2159:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 190441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190450 */     GIR_RootConstrainSelectedInstOperands,
     /* 190451 */     // GIR_Coverage, 11269,
     /* 190451 */     GIR_EraseRootFromParent_Done,
     /* 190452 */   // Label 3738: @190452
     /* 190452 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(190489), // Rule ID 11270 //
     /* 190457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190478 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2159:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190483 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190485 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190487 */     GIR_RootConstrainSelectedInstOperands,
     /* 190488 */     // GIR_Coverage, 11270,
     /* 190488 */     GIR_EraseRootFromParent_Done,
     /* 190489 */   // Label 3739: @190489
     /* 190489 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(190526), // Rule ID 11271 //
     /* 190494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190515 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2159:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 190515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190524 */     GIR_RootConstrainSelectedInstOperands,
     /* 190525 */     // GIR_Coverage, 11271,
     /* 190525 */     GIR_EraseRootFromParent_Done,
     /* 190526 */   // Label 3740: @190526
     /* 190526 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(190563), // Rule ID 11272 //
     /* 190531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2159:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190559 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190561 */     GIR_RootConstrainSelectedInstOperands,
     /* 190562 */     // GIR_Coverage, 11272,
     /* 190562 */     GIR_EraseRootFromParent_Done,
     /* 190563 */   // Label 3741: @190563
     /* 190563 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(190600), // Rule ID 11273 //
     /* 190568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190589 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2159:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 190589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190594 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190596 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190598 */     GIR_RootConstrainSelectedInstOperands,
     /* 190599 */     // GIR_Coverage, 11273,
     /* 190599 */     GIR_EraseRootFromParent_Done,
     /* 190600 */   // Label 3742: @190600
     /* 190600 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(190637), // Rule ID 11274 //
     /* 190605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 190616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190626 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2080:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190633 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190635 */     GIR_RootConstrainSelectedInstOperands,
     /* 190636 */     // GIR_Coverage, 11274,
     /* 190636 */     GIR_EraseRootFromParent_Done,
     /* 190637 */   // Label 3743: @190637
     /* 190637 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(190674), // Rule ID 11275 //
     /* 190642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190663 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2080:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190670 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190672 */     GIR_RootConstrainSelectedInstOperands,
     /* 190673 */     // GIR_Coverage, 11275,
     /* 190673 */     GIR_EraseRootFromParent_Done,
     /* 190674 */   // Label 3744: @190674
     /* 190674 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(190711), // Rule ID 11276 //
     /* 190679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190700 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2080:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 190700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190709 */     GIR_RootConstrainSelectedInstOperands,
     /* 190710 */     // GIR_Coverage, 11276,
     /* 190710 */     GIR_EraseRootFromParent_Done,
     /* 190711 */   // Label 3745: @190711
     /* 190711 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(190748), // Rule ID 11277 //
     /* 190716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190737 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2080:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190746 */     GIR_RootConstrainSelectedInstOperands,
     /* 190747 */     // GIR_Coverage, 11277,
     /* 190747 */     GIR_EraseRootFromParent_Done,
     /* 190748 */   // Label 3746: @190748
     /* 190748 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(190785), // Rule ID 11278 //
     /* 190753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190774 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2080:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 190774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190779 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190781 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190783 */     GIR_RootConstrainSelectedInstOperands,
     /* 190784 */     // GIR_Coverage, 11278,
     /* 190784 */     GIR_EraseRootFromParent_Done,
     /* 190785 */   // Label 3747: @190785
     /* 190785 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(190822), // Rule ID 11279 //
     /* 190790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2080:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190818 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190820 */     GIR_RootConstrainSelectedInstOperands,
     /* 190821 */     // GIR_Coverage, 11279,
     /* 190821 */     GIR_EraseRootFromParent_Done,
     /* 190822 */   // Label 3748: @190822
     /* 190822 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(190859), // Rule ID 11280 //
     /* 190827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190848 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2080:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 190848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190855 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190857 */     GIR_RootConstrainSelectedInstOperands,
     /* 190858 */     // GIR_Coverage, 11280,
     /* 190858 */     GIR_EraseRootFromParent_Done,
     /* 190859 */   // Label 3749: @190859
     /* 190859 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(190896), // Rule ID 11281 //
     /* 190864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 190875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190885 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2085:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190892 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190894 */     GIR_RootConstrainSelectedInstOperands,
     /* 190895 */     // GIR_Coverage, 11281,
     /* 190895 */     GIR_EraseRootFromParent_Done,
     /* 190896 */   // Label 3750: @190896
     /* 190896 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(190933), // Rule ID 11282 //
     /* 190901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190922 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2085:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190927 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190929 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190931 */     GIR_RootConstrainSelectedInstOperands,
     /* 190932 */     // GIR_Coverage, 11282,
     /* 190932 */     GIR_EraseRootFromParent_Done,
     /* 190933 */   // Label 3751: @190933
     /* 190933 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(190970), // Rule ID 11283 //
     /* 190938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190959 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2085:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 190959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190966 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190968 */     GIR_RootConstrainSelectedInstOperands,
     /* 190969 */     // GIR_Coverage, 11283,
     /* 190969 */     GIR_EraseRootFromParent_Done,
     /* 190970 */   // Label 3752: @190970
     /* 190970 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(191007), // Rule ID 11284 //
     /* 190975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2085:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191001 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191003 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191005 */     GIR_RootConstrainSelectedInstOperands,
     /* 191006 */     // GIR_Coverage, 11284,
     /* 191006 */     GIR_EraseRootFromParent_Done,
     /* 191007 */   // Label 3753: @191007
     /* 191007 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(191044), // Rule ID 11285 //
     /* 191012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 191020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191033 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2085:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 191033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 191036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191038 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191040 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191042 */     GIR_RootConstrainSelectedInstOperands,
     /* 191043 */     // GIR_Coverage, 11285,
     /* 191043 */     GIR_EraseRootFromParent_Done,
     /* 191044 */   // Label 3754: @191044
     /* 191044 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(191081), // Rule ID 11286 //
     /* 191049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 191057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191070 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2085:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 191070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 191073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191075 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191077 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191079 */     GIR_RootConstrainSelectedInstOperands,
     /* 191080 */     // GIR_Coverage, 11286,
     /* 191080 */     GIR_EraseRootFromParent_Done,
     /* 191081 */   // Label 3755: @191081
     /* 191081 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(191118), // Rule ID 11287 //
     /* 191086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 191094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191107 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2085:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 191107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 191110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191116 */     GIR_RootConstrainSelectedInstOperands,
     /* 191117 */     // GIR_Coverage, 11287,
     /* 191117 */     GIR_EraseRootFromParent_Done,
     /* 191118 */   // Label 3756: @191118
     /* 191118 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(191155), // Rule ID 11288 //
     /* 191123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 191131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 191134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191144 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1924:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191151 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191153 */     GIR_RootConstrainSelectedInstOperands,
     /* 191154 */     // GIR_Coverage, 11288,
     /* 191154 */     GIR_EraseRootFromParent_Done,
     /* 191155 */   // Label 3757: @191155
     /* 191155 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(191192), // Rule ID 11289 //
     /* 191160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 191168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191181 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1924:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191188 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191190 */     GIR_RootConstrainSelectedInstOperands,
     /* 191191 */     // GIR_Coverage, 11289,
     /* 191191 */     GIR_EraseRootFromParent_Done,
     /* 191192 */   // Label 3758: @191192
     /* 191192 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(191229), // Rule ID 11290 //
     /* 191197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 191205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191218 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1924:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 191218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191223 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191225 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191227 */     GIR_RootConstrainSelectedInstOperands,
     /* 191228 */     // GIR_Coverage, 11290,
     /* 191228 */     GIR_EraseRootFromParent_Done,
     /* 191229 */   // Label 3759: @191229
     /* 191229 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(191266), // Rule ID 11291 //
     /* 191234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 191242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1924:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191264 */     GIR_RootConstrainSelectedInstOperands,
     /* 191265 */     // GIR_Coverage, 11291,
     /* 191265 */     GIR_EraseRootFromParent_Done,
     /* 191266 */   // Label 3760: @191266
     /* 191266 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(191303), // Rule ID 11292 //
     /* 191271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 191279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191292 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1924:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 191292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191297 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191299 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191301 */     GIR_RootConstrainSelectedInstOperands,
     /* 191302 */     // GIR_Coverage, 11292,
     /* 191302 */     GIR_EraseRootFromParent_Done,
     /* 191303 */   // Label 3761: @191303
     /* 191303 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(191340), // Rule ID 11293 //
     /* 191308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 191316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191329 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1924:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 191329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191334 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191336 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191338 */     GIR_RootConstrainSelectedInstOperands,
     /* 191339 */     // GIR_Coverage, 11293,
     /* 191339 */     GIR_EraseRootFromParent_Done,
     /* 191340 */   // Label 3762: @191340
     /* 191340 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(191377), // Rule ID 11294 //
     /* 191345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 191353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191366 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1924:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 191366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191371 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191373 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191375 */     GIR_RootConstrainSelectedInstOperands,
     /* 191376 */     // GIR_Coverage, 11294,
     /* 191376 */     GIR_EraseRootFromParent_Done,
     /* 191377 */   // Label 3763: @191377
     /* 191377 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(191414), // Rule ID 11295 //
     /* 191382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 191393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191403 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1929:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191410 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191412 */     GIR_RootConstrainSelectedInstOperands,
     /* 191413 */     // GIR_Coverage, 11295,
     /* 191413 */     GIR_EraseRootFromParent_Done,
     /* 191414 */   // Label 3764: @191414
     /* 191414 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(191451), // Rule ID 11296 //
     /* 191419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191440 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1929:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191447 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191449 */     GIR_RootConstrainSelectedInstOperands,
     /* 191450 */     // GIR_Coverage, 11296,
     /* 191450 */     GIR_EraseRootFromParent_Done,
     /* 191451 */   // Label 3765: @191451
     /* 191451 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(191488), // Rule ID 11297 //
     /* 191456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191477 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1929:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 191477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191486 */     GIR_RootConstrainSelectedInstOperands,
     /* 191487 */     // GIR_Coverage, 11297,
     /* 191487 */     GIR_EraseRootFromParent_Done,
     /* 191488 */   // Label 3766: @191488
     /* 191488 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(191525), // Rule ID 11298 //
     /* 191493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1929:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191519 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191521 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191523 */     GIR_RootConstrainSelectedInstOperands,
     /* 191524 */     // GIR_Coverage, 11298,
     /* 191524 */     GIR_EraseRootFromParent_Done,
     /* 191525 */   // Label 3767: @191525
     /* 191525 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(191562), // Rule ID 11299 //
     /* 191530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191551 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1929:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 191551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191560 */     GIR_RootConstrainSelectedInstOperands,
     /* 191561 */     // GIR_Coverage, 11299,
     /* 191561 */     GIR_EraseRootFromParent_Done,
     /* 191562 */   // Label 3768: @191562
     /* 191562 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(191599), // Rule ID 11300 //
     /* 191567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191588 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1929:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 191588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191593 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191595 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191597 */     GIR_RootConstrainSelectedInstOperands,
     /* 191598 */     // GIR_Coverage, 11300,
     /* 191598 */     GIR_EraseRootFromParent_Done,
     /* 191599 */   // Label 3769: @191599
     /* 191599 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(191636), // Rule ID 11301 //
     /* 191604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191625 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1929:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 191625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191634 */     GIR_RootConstrainSelectedInstOperands,
     /* 191635 */     // GIR_Coverage, 11301,
     /* 191635 */     GIR_EraseRootFromParent_Done,
     /* 191636 */   // Label 3770: @191636
     /* 191636 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(191673), // Rule ID 11321 //
     /* 191641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 191649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 191652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191662 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1826:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQRDMULH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_B),
     /* 191665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191667 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191669 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191671 */     GIR_RootConstrainSelectedInstOperands,
     /* 191672 */     // GIR_Coverage, 11321,
     /* 191672 */     GIR_EraseRootFromParent_Done,
     /* 191673 */   // Label 3771: @191673
     /* 191673 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(191710), // Rule ID 11322 //
     /* 191678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 191686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1826:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQRDMULH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_H),
     /* 191702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191704 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191706 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191708 */     GIR_RootConstrainSelectedInstOperands,
     /* 191709 */     // GIR_Coverage, 11322,
     /* 191709 */     GIR_EraseRootFromParent_Done,
     /* 191710 */   // Label 3772: @191710
     /* 191710 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(191747), // Rule ID 11323 //
     /* 191715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 191723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1826:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQRDMULH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_S),
     /* 191739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191741 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191743 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191745 */     GIR_RootConstrainSelectedInstOperands,
     /* 191746 */     // GIR_Coverage, 11323,
     /* 191746 */     GIR_EraseRootFromParent_Done,
     /* 191747 */   // Label 3773: @191747
     /* 191747 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(191784), // Rule ID 11324 //
     /* 191752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 191760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191773 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1826:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQRDMULH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 191773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_D),
     /* 191776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191782 */     GIR_RootConstrainSelectedInstOperands,
     /* 191783 */     // GIR_Coverage, 11324,
     /* 191783 */     GIR_EraseRootFromParent_Done,
     /* 191784 */   // Label 3774: @191784
     /* 191784 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(191821), // Rule ID 11612 //
     /* 191789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlt),
     /* 191797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191810 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1690:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SADDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLT_ZZZ_H),
     /* 191813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191815 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191817 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191819 */     GIR_RootConstrainSelectedInstOperands,
     /* 191820 */     // GIR_Coverage, 11612,
     /* 191820 */     GIR_EraseRootFromParent_Done,
     /* 191821 */   // Label 3775: @191821
     /* 191821 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(191858), // Rule ID 11613 //
     /* 191826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlt),
     /* 191834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1690:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SADDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLT_ZZZ_S),
     /* 191850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191856 */     GIR_RootConstrainSelectedInstOperands,
     /* 191857 */     // GIR_Coverage, 11613,
     /* 191857 */     GIR_EraseRootFromParent_Done,
     /* 191858 */   // Label 3776: @191858
     /* 191858 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(191895), // Rule ID 11614 //
     /* 191863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlt),
     /* 191871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1690:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SADDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLT_ZZZ_D),
     /* 191887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191891 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191893 */     GIR_RootConstrainSelectedInstOperands,
     /* 191894 */     // GIR_Coverage, 11614,
     /* 191894 */     GIR_EraseRootFromParent_Done,
     /* 191895 */   // Label 3777: @191895
     /* 191895 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(191932), // Rule ID 11615 //
     /* 191900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlb),
     /* 191908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1938:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UADDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLB_ZZZ_H),
     /* 191924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191930 */     GIR_RootConstrainSelectedInstOperands,
     /* 191931 */     // GIR_Coverage, 11615,
     /* 191931 */     GIR_EraseRootFromParent_Done,
     /* 191932 */   // Label 3778: @191932
     /* 191932 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(191969), // Rule ID 11616 //
     /* 191937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlb),
     /* 191945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1938:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UADDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLB_ZZZ_S),
     /* 191961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191963 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191965 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191967 */     GIR_RootConstrainSelectedInstOperands,
     /* 191968 */     // GIR_Coverage, 11616,
     /* 191968 */     GIR_EraseRootFromParent_Done,
     /* 191969 */   // Label 3779: @191969
     /* 191969 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(192006), // Rule ID 11617 //
     /* 191974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlb),
     /* 191982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191995 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1938:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UADDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLB_ZZZ_D),
     /* 191998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192004 */     GIR_RootConstrainSelectedInstOperands,
     /* 192005 */     // GIR_Coverage, 11617,
     /* 192005 */     GIR_EraseRootFromParent_Done,
     /* 192006 */   // Label 3780: @192006
     /* 192006 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(192043), // Rule ID 11618 //
     /* 192011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlt),
     /* 192019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1939:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UADDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLT_ZZZ_H),
     /* 192035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192037 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192039 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192041 */     GIR_RootConstrainSelectedInstOperands,
     /* 192042 */     // GIR_Coverage, 11618,
     /* 192042 */     GIR_EraseRootFromParent_Done,
     /* 192043 */   // Label 3781: @192043
     /* 192043 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(192080), // Rule ID 11619 //
     /* 192048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlt),
     /* 192056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192069 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1939:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UADDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLT_ZZZ_S),
     /* 192072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192074 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192076 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192078 */     GIR_RootConstrainSelectedInstOperands,
     /* 192079 */     // GIR_Coverage, 11619,
     /* 192079 */     GIR_EraseRootFromParent_Done,
     /* 192080 */   // Label 3782: @192080
     /* 192080 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(192117), // Rule ID 11620 //
     /* 192085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlt),
     /* 192093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192106 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1939:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UADDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLT_ZZZ_D),
     /* 192109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192111 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192113 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192115 */     GIR_RootConstrainSelectedInstOperands,
     /* 192116 */     // GIR_Coverage, 11620,
     /* 192116 */     GIR_EraseRootFromParent_Done,
     /* 192117 */   // Label 3783: @192117
     /* 192117 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(192154), // Rule ID 11621 //
     /* 192122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublb),
     /* 192130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192143 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1867:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLB_ZZZ_H),
     /* 192146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192152 */     GIR_RootConstrainSelectedInstOperands,
     /* 192153 */     // GIR_Coverage, 11621,
     /* 192153 */     GIR_EraseRootFromParent_Done,
     /* 192154 */   // Label 3784: @192154
     /* 192154 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(192191), // Rule ID 11622 //
     /* 192159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublb),
     /* 192167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192180 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1867:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLB_ZZZ_S),
     /* 192183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192187 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192189 */     GIR_RootConstrainSelectedInstOperands,
     /* 192190 */     // GIR_Coverage, 11622,
     /* 192190 */     GIR_EraseRootFromParent_Done,
     /* 192191 */   // Label 3785: @192191
     /* 192191 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(192228), // Rule ID 11623 //
     /* 192196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublb),
     /* 192204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192217 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1867:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLB_ZZZ_D),
     /* 192220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192224 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192226 */     GIR_RootConstrainSelectedInstOperands,
     /* 192227 */     // GIR_Coverage, 11623,
     /* 192227 */     GIR_EraseRootFromParent_Done,
     /* 192228 */   // Label 3786: @192228
     /* 192228 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(192265), // Rule ID 11624 //
     /* 192233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublt),
     /* 192241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192254 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1869:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLT_ZZZ_H),
     /* 192257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192259 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192261 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192263 */     GIR_RootConstrainSelectedInstOperands,
     /* 192264 */     // GIR_Coverage, 11624,
     /* 192264 */     GIR_EraseRootFromParent_Done,
     /* 192265 */   // Label 3787: @192265
     /* 192265 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(192302), // Rule ID 11625 //
     /* 192270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublt),
     /* 192278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1869:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLT_ZZZ_S),
     /* 192294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192298 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192300 */     GIR_RootConstrainSelectedInstOperands,
     /* 192301 */     // GIR_Coverage, 11625,
     /* 192301 */     GIR_EraseRootFromParent_Done,
     /* 192302 */   // Label 3788: @192302
     /* 192302 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(192339), // Rule ID 11626 //
     /* 192307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublt),
     /* 192315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192328 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1869:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLT_ZZZ_D),
     /* 192331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192335 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192337 */     GIR_RootConstrainSelectedInstOperands,
     /* 192338 */     // GIR_Coverage, 11626,
     /* 192338 */     GIR_EraseRootFromParent_Done,
     /* 192339 */   // Label 3789: @192339
     /* 192339 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(192376), // Rule ID 11627 //
     /* 192344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublb),
     /* 192352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2063:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLB_ZZZ_H),
     /* 192368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192374 */     GIR_RootConstrainSelectedInstOperands,
     /* 192375 */     // GIR_Coverage, 11627,
     /* 192375 */     GIR_EraseRootFromParent_Done,
     /* 192376 */   // Label 3790: @192376
     /* 192376 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(192413), // Rule ID 11628 //
     /* 192381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublb),
     /* 192389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192402 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2063:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLB_ZZZ_S),
     /* 192405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192407 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192409 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192411 */     GIR_RootConstrainSelectedInstOperands,
     /* 192412 */     // GIR_Coverage, 11628,
     /* 192412 */     GIR_EraseRootFromParent_Done,
     /* 192413 */   // Label 3791: @192413
     /* 192413 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(192450), // Rule ID 11629 //
     /* 192418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublb),
     /* 192426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192439 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2063:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLB_ZZZ_D),
     /* 192442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192444 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192446 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192448 */     GIR_RootConstrainSelectedInstOperands,
     /* 192449 */     // GIR_Coverage, 11629,
     /* 192449 */     GIR_EraseRootFromParent_Done,
     /* 192450 */   // Label 3792: @192450
     /* 192450 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(192487), // Rule ID 11630 //
     /* 192455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublt),
     /* 192463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2064:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLT_ZZZ_H),
     /* 192479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192481 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192483 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192485 */     GIR_RootConstrainSelectedInstOperands,
     /* 192486 */     // GIR_Coverage, 11630,
     /* 192486 */     GIR_EraseRootFromParent_Done,
     /* 192487 */   // Label 3793: @192487
     /* 192487 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(192524), // Rule ID 11631 //
     /* 192492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublt),
     /* 192500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192513 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2064:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLT_ZZZ_S),
     /* 192516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192520 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192522 */     GIR_RootConstrainSelectedInstOperands,
     /* 192523 */     // GIR_Coverage, 11631,
     /* 192523 */     GIR_EraseRootFromParent_Done,
     /* 192524 */   // Label 3794: @192524
     /* 192524 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(192561), // Rule ID 11632 //
     /* 192529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublt),
     /* 192537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192550 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2064:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLT_ZZZ_D),
     /* 192553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192557 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192559 */     GIR_RootConstrainSelectedInstOperands,
     /* 192560 */     // GIR_Coverage, 11632,
     /* 192560 */     GIR_EraseRootFromParent_Done,
     /* 192561 */   // Label 3795: @192561
     /* 192561 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(192598), // Rule ID 11633 //
     /* 192566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlb),
     /* 192574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1685:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SABDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLB_ZZZ_H),
     /* 192590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192596 */     GIR_RootConstrainSelectedInstOperands,
     /* 192597 */     // GIR_Coverage, 11633,
     /* 192597 */     GIR_EraseRootFromParent_Done,
     /* 192598 */   // Label 3796: @192598
     /* 192598 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(192635), // Rule ID 11634 //
     /* 192603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlb),
     /* 192611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1685:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SABDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLB_ZZZ_S),
     /* 192627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192631 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192633 */     GIR_RootConstrainSelectedInstOperands,
     /* 192634 */     // GIR_Coverage, 11634,
     /* 192634 */     GIR_EraseRootFromParent_Done,
     /* 192635 */   // Label 3797: @192635
     /* 192635 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(192672), // Rule ID 11635 //
     /* 192640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlb),
     /* 192648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1685:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SABDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLB_ZZZ_D),
     /* 192664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192670 */     GIR_RootConstrainSelectedInstOperands,
     /* 192671 */     // GIR_Coverage, 11635,
     /* 192671 */     GIR_EraseRootFromParent_Done,
     /* 192672 */   // Label 3798: @192672
     /* 192672 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(192709), // Rule ID 11636 //
     /* 192677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlt),
     /* 192685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192698 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1686:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SABDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLT_ZZZ_H),
     /* 192701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192703 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192705 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192707 */     GIR_RootConstrainSelectedInstOperands,
     /* 192708 */     // GIR_Coverage, 11636,
     /* 192708 */     GIR_EraseRootFromParent_Done,
     /* 192709 */   // Label 3799: @192709
     /* 192709 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(192746), // Rule ID 11637 //
     /* 192714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlt),
     /* 192722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192735 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1686:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SABDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLT_ZZZ_S),
     /* 192738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192744 */     GIR_RootConstrainSelectedInstOperands,
     /* 192745 */     // GIR_Coverage, 11637,
     /* 192745 */     GIR_EraseRootFromParent_Done,
     /* 192746 */   // Label 3800: @192746
     /* 192746 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(192783), // Rule ID 11638 //
     /* 192751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlt),
     /* 192759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1686:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SABDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLT_ZZZ_D),
     /* 192775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192777 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192779 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192781 */     GIR_RootConstrainSelectedInstOperands,
     /* 192782 */     // GIR_Coverage, 11638,
     /* 192782 */     GIR_EraseRootFromParent_Done,
     /* 192783 */   // Label 3801: @192783
     /* 192783 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(192820), // Rule ID 11639 //
     /* 192788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlb),
     /* 192796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192809 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1935:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UABDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLB_ZZZ_H),
     /* 192812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192816 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192818 */     GIR_RootConstrainSelectedInstOperands,
     /* 192819 */     // GIR_Coverage, 11639,
     /* 192819 */     GIR_EraseRootFromParent_Done,
     /* 192820 */   // Label 3802: @192820
     /* 192820 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(192857), // Rule ID 11640 //
     /* 192825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlb),
     /* 192833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192846 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1935:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UABDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLB_ZZZ_S),
     /* 192849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192851 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192853 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192855 */     GIR_RootConstrainSelectedInstOperands,
     /* 192856 */     // GIR_Coverage, 11640,
     /* 192856 */     GIR_EraseRootFromParent_Done,
     /* 192857 */   // Label 3803: @192857
     /* 192857 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(192894), // Rule ID 11641 //
     /* 192862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlb),
     /* 192870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1935:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UABDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLB_ZZZ_D),
     /* 192886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192892 */     GIR_RootConstrainSelectedInstOperands,
     /* 192893 */     // GIR_Coverage, 11641,
     /* 192893 */     GIR_EraseRootFromParent_Done,
     /* 192894 */   // Label 3804: @192894
     /* 192894 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(192931), // Rule ID 11642 //
     /* 192899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlt),
     /* 192907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192920 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1936:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UABDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLT_ZZZ_H),
     /* 192923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192927 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192929 */     GIR_RootConstrainSelectedInstOperands,
     /* 192930 */     // GIR_Coverage, 11642,
     /* 192930 */     GIR_EraseRootFromParent_Done,
     /* 192931 */   // Label 3805: @192931
     /* 192931 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(192968), // Rule ID 11643 //
     /* 192936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlt),
     /* 192944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192957 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1936:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UABDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLT_ZZZ_S),
     /* 192960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192964 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192966 */     GIR_RootConstrainSelectedInstOperands,
     /* 192967 */     // GIR_Coverage, 11643,
     /* 192967 */     GIR_EraseRootFromParent_Done,
     /* 192968 */   // Label 3806: @192968
     /* 192968 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(193005), // Rule ID 11644 //
     /* 192973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlt),
     /* 192981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192994 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1936:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UABDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLT_ZZZ_D),
     /* 192997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192999 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193001 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193003 */     GIR_RootConstrainSelectedInstOperands,
     /* 193004 */     // GIR_Coverage, 11644,
     /* 193004 */     GIR_EraseRootFromParent_Done,
     /* 193005 */   // Label 3807: @193005
     /* 193005 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(193042), // Rule ID 11654 //
     /* 193010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwb),
     /* 193018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193031 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1871:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBWB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWB_ZZZ_H),
     /* 193034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193038 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193040 */     GIR_RootConstrainSelectedInstOperands,
     /* 193041 */     // GIR_Coverage, 11654,
     /* 193041 */     GIR_EraseRootFromParent_Done,
     /* 193042 */   // Label 3808: @193042
     /* 193042 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(193079), // Rule ID 11655 //
     /* 193047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwb),
     /* 193055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1871:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBWB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWB_ZZZ_S),
     /* 193071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193077 */     GIR_RootConstrainSelectedInstOperands,
     /* 193078 */     // GIR_Coverage, 11655,
     /* 193078 */     GIR_EraseRootFromParent_Done,
     /* 193079 */   // Label 3809: @193079
     /* 193079 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(193116), // Rule ID 11656 //
     /* 193084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwb),
     /* 193092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 193098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193105 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1871:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBWB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWB_ZZZ_D),
     /* 193108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193114 */     GIR_RootConstrainSelectedInstOperands,
     /* 193115 */     // GIR_Coverage, 11656,
     /* 193115 */     GIR_EraseRootFromParent_Done,
     /* 193116 */   // Label 3810: @193116
     /* 193116 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(193153), // Rule ID 11657 //
     /* 193121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwt),
     /* 193129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1872:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBWT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWT_ZZZ_H),
     /* 193145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193147 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193149 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193151 */     GIR_RootConstrainSelectedInstOperands,
     /* 193152 */     // GIR_Coverage, 11657,
     /* 193152 */     GIR_EraseRootFromParent_Done,
     /* 193153 */   // Label 3811: @193153
     /* 193153 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(193190), // Rule ID 11658 //
     /* 193158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwt),
     /* 193166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193179 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1872:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBWT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWT_ZZZ_S),
     /* 193182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193184 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193186 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193188 */     GIR_RootConstrainSelectedInstOperands,
     /* 193189 */     // GIR_Coverage, 11658,
     /* 193189 */     GIR_EraseRootFromParent_Done,
     /* 193190 */   // Label 3812: @193190
     /* 193190 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(193227), // Rule ID 11659 //
     /* 193195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwt),
     /* 193203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 193209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193216 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1872:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBWT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWT_ZZZ_D),
     /* 193219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193223 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193225 */     GIR_RootConstrainSelectedInstOperands,
     /* 193226 */     // GIR_Coverage, 11659,
     /* 193226 */     GIR_EraseRootFromParent_Done,
     /* 193227 */   // Label 3813: @193227
     /* 193227 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(193264), // Rule ID 11660 //
     /* 193232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwb),
     /* 193240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193253 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2065:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBWB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWB_ZZZ_H),
     /* 193256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193260 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193262 */     GIR_RootConstrainSelectedInstOperands,
     /* 193263 */     // GIR_Coverage, 11660,
     /* 193263 */     GIR_EraseRootFromParent_Done,
     /* 193264 */   // Label 3814: @193264
     /* 193264 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(193301), // Rule ID 11661 //
     /* 193269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwb),
     /* 193277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2065:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBWB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWB_ZZZ_S),
     /* 193293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193297 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193299 */     GIR_RootConstrainSelectedInstOperands,
     /* 193300 */     // GIR_Coverage, 11661,
     /* 193300 */     GIR_EraseRootFromParent_Done,
     /* 193301 */   // Label 3815: @193301
     /* 193301 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(193338), // Rule ID 11662 //
     /* 193306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwb),
     /* 193314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 193320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193327 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2065:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBWB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWB_ZZZ_D),
     /* 193330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193334 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193336 */     GIR_RootConstrainSelectedInstOperands,
     /* 193337 */     // GIR_Coverage, 11662,
     /* 193337 */     GIR_EraseRootFromParent_Done,
     /* 193338 */   // Label 3816: @193338
     /* 193338 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(193375), // Rule ID 11663 //
     /* 193343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwt),
     /* 193351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193364 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2066:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBWT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWT_ZZZ_H),
     /* 193367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193369 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193371 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193373 */     GIR_RootConstrainSelectedInstOperands,
     /* 193374 */     // GIR_Coverage, 11663,
     /* 193374 */     GIR_EraseRootFromParent_Done,
     /* 193375 */   // Label 3817: @193375
     /* 193375 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(193412), // Rule ID 11664 //
     /* 193380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwt),
     /* 193388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193401 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2066:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBWT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWT_ZZZ_S),
     /* 193404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193410 */     GIR_RootConstrainSelectedInstOperands,
     /* 193411 */     // GIR_Coverage, 11664,
     /* 193411 */     GIR_EraseRootFromParent_Done,
     /* 193412 */   // Label 3818: @193412
     /* 193412 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(193449), // Rule ID 11665 //
     /* 193417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwt),
     /* 193425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 193431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193438 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2066:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBWT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWT_ZZZ_D),
     /* 193441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193445 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193447 */     GIR_RootConstrainSelectedInstOperands,
     /* 193448 */     // GIR_Coverage, 11665,
     /* 193448 */     GIR_EraseRootFromParent_Done,
     /* 193449 */   // Label 3819: @193449
     /* 193449 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(193486), // Rule ID 11666 //
     /* 193454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb),
     /* 193462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193475 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1801:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQDMULLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZ_H),
     /* 193478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193482 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193484 */     GIR_RootConstrainSelectedInstOperands,
     /* 193485 */     // GIR_Coverage, 11666,
     /* 193485 */     GIR_EraseRootFromParent_Done,
     /* 193486 */   // Label 3820: @193486
     /* 193486 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(193523), // Rule ID 11667 //
     /* 193491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb),
     /* 193499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193512 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1801:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQDMULLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZ_S),
     /* 193515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193517 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193519 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193521 */     GIR_RootConstrainSelectedInstOperands,
     /* 193522 */     // GIR_Coverage, 11667,
     /* 193522 */     GIR_EraseRootFromParent_Done,
     /* 193523 */   // Label 3821: @193523
     /* 193523 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(193560), // Rule ID 11668 //
     /* 193528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb),
     /* 193536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193549 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1801:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQDMULLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZ_D),
     /* 193552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193556 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193558 */     GIR_RootConstrainSelectedInstOperands,
     /* 193559 */     // GIR_Coverage, 11668,
     /* 193559 */     GIR_EraseRootFromParent_Done,
     /* 193560 */   // Label 3822: @193560
     /* 193560 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(193597), // Rule ID 11669 //
     /* 193565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt),
     /* 193573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1803:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQDMULLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZ_H),
     /* 193589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193591 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193593 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193595 */     GIR_RootConstrainSelectedInstOperands,
     /* 193596 */     // GIR_Coverage, 11669,
     /* 193596 */     GIR_EraseRootFromParent_Done,
     /* 193597 */   // Label 3823: @193597
     /* 193597 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(193634), // Rule ID 11670 //
     /* 193602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt),
     /* 193610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193623 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1803:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQDMULLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZ_S),
     /* 193626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193628 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193630 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193632 */     GIR_RootConstrainSelectedInstOperands,
     /* 193633 */     // GIR_Coverage, 11670,
     /* 193633 */     GIR_EraseRootFromParent_Done,
     /* 193634 */   // Label 3824: @193634
     /* 193634 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(193671), // Rule ID 11671 //
     /* 193639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt),
     /* 193647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193660 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1803:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQDMULLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZ_D),
     /* 193663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193667 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193669 */     GIR_RootConstrainSelectedInstOperands,
     /* 193670 */     // GIR_Coverage, 11671,
     /* 193670 */     GIR_EraseRootFromParent_Done,
     /* 193671 */   // Label 3825: @193671
     /* 193671 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(193708), // Rule ID 11672 //
     /* 193676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb),
     /* 193684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1754:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMULLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZ_H),
     /* 193700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193704 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193706 */     GIR_RootConstrainSelectedInstOperands,
     /* 193707 */     // GIR_Coverage, 11672,
     /* 193707 */     GIR_EraseRootFromParent_Done,
     /* 193708 */   // Label 3826: @193708
     /* 193708 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(193745), // Rule ID 11673 //
     /* 193713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb),
     /* 193721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1754:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMULLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZ_S),
     /* 193737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193739 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193741 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193743 */     GIR_RootConstrainSelectedInstOperands,
     /* 193744 */     // GIR_Coverage, 11673,
     /* 193744 */     GIR_EraseRootFromParent_Done,
     /* 193745 */   // Label 3827: @193745
     /* 193745 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(193782), // Rule ID 11674 //
     /* 193750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb),
     /* 193758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1754:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMULLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZ_D),
     /* 193774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193778 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193780 */     GIR_RootConstrainSelectedInstOperands,
     /* 193781 */     // GIR_Coverage, 11674,
     /* 193781 */     GIR_EraseRootFromParent_Done,
     /* 193782 */   // Label 3828: @193782
     /* 193782 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(193819), // Rule ID 11675 //
     /* 193787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt),
     /* 193795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193808 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1756:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMULLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZ_H),
     /* 193811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193815 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193817 */     GIR_RootConstrainSelectedInstOperands,
     /* 193818 */     // GIR_Coverage, 11675,
     /* 193818 */     GIR_EraseRootFromParent_Done,
     /* 193819 */   // Label 3829: @193819
     /* 193819 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(193856), // Rule ID 11676 //
     /* 193824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt),
     /* 193832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193845 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1756:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMULLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZ_S),
     /* 193848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193854 */     GIR_RootConstrainSelectedInstOperands,
     /* 193855 */     // GIR_Coverage, 11676,
     /* 193855 */     GIR_EraseRootFromParent_Done,
     /* 193856 */   // Label 3830: @193856
     /* 193856 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(193893), // Rule ID 11677 //
     /* 193861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt),
     /* 193869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1756:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMULLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZ_D),
     /* 193885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193887 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193889 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193891 */     GIR_RootConstrainSelectedInstOperands,
     /* 193892 */     // GIR_Coverage, 11677,
     /* 193892 */     GIR_EraseRootFromParent_Done,
     /* 193893 */   // Label 3831: @193893
     /* 193893 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(193930), // Rule ID 11678 //
     /* 193898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb),
     /* 193906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193919 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1992:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMULLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZ_H),
     /* 193922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193928 */     GIR_RootConstrainSelectedInstOperands,
     /* 193929 */     // GIR_Coverage, 11678,
     /* 193929 */     GIR_EraseRootFromParent_Done,
     /* 193930 */   // Label 3832: @193930
     /* 193930 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(193967), // Rule ID 11679 //
     /* 193935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb),
     /* 193943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193956 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1992:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMULLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZ_S),
     /* 193959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193963 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193965 */     GIR_RootConstrainSelectedInstOperands,
     /* 193966 */     // GIR_Coverage, 11679,
     /* 193966 */     GIR_EraseRootFromParent_Done,
     /* 193967 */   // Label 3833: @193967
     /* 193967 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(194004), // Rule ID 11680 //
     /* 193972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb),
     /* 193980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193993 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1992:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMULLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZ_D),
     /* 193996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193998 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194000 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194002 */     GIR_RootConstrainSelectedInstOperands,
     /* 194003 */     // GIR_Coverage, 11680,
     /* 194003 */     GIR_EraseRootFromParent_Done,
     /* 194004 */   // Label 3834: @194004
     /* 194004 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(194041), // Rule ID 11681 //
     /* 194009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt),
     /* 194017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 194023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 194026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194030 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1994:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMULLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 194030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZ_H),
     /* 194033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194037 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194039 */     GIR_RootConstrainSelectedInstOperands,
     /* 194040 */     // GIR_Coverage, 11681,
     /* 194040 */     GIR_EraseRootFromParent_Done,
     /* 194041 */   // Label 3835: @194041
     /* 194041 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(194078), // Rule ID 11682 //
     /* 194046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt),
     /* 194054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194067 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1994:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMULLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZ_S),
     /* 194070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194074 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194076 */     GIR_RootConstrainSelectedInstOperands,
     /* 194077 */     // GIR_Coverage, 11682,
     /* 194077 */     GIR_EraseRootFromParent_Done,
     /* 194078 */   // Label 3836: @194078
     /* 194078 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(194115), // Rule ID 11683 //
     /* 194083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt),
     /* 194091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 194094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194104 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1994:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMULLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZ_D),
     /* 194107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194109 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194111 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194113 */     GIR_RootConstrainSelectedInstOperands,
     /* 194114 */     // GIR_Coverage, 11683,
     /* 194114 */     GIR_EraseRootFromParent_Done,
     /* 194115 */   // Label 3837: @194115
     /* 194115 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(194152), // Rule ID 11684 //
     /* 194120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullt_pair),
     /* 194128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 194131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 194134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 194137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194141 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1632:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (PMULLT_ZZZ_H:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 194141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLT_ZZZ_H),
     /* 194144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194150 */     GIR_RootConstrainSelectedInstOperands,
     /* 194151 */     // GIR_Coverage, 11684,
     /* 194151 */     GIR_EraseRootFromParent_Done,
     /* 194152 */   // Label 3838: @194152
     /* 194152 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(194189), // Rule ID 11685 //
     /* 194157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullt_pair),
     /* 194165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1632:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (PMULLT_ZZZ_D:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLT_ZZZ_D),
     /* 194181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194183 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194185 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194187 */     GIR_RootConstrainSelectedInstOperands,
     /* 194188 */     // GIR_Coverage, 11685,
     /* 194188 */     GIR_EraseRootFromParent_Done,
     /* 194189 */   // Label 3839: @194189
     /* 194189 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(194226), // Rule ID 11786 //
     /* 194194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnb),
     /* 194202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 194205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194215 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1662:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (RADDHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNB_ZZZ_B),
     /* 194218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194222 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194224 */     GIR_RootConstrainSelectedInstOperands,
     /* 194225 */     // GIR_Coverage, 11786,
     /* 194225 */     GIR_EraseRootFromParent_Done,
     /* 194226 */   // Label 3840: @194226
     /* 194226 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(194263), // Rule ID 11787 //
     /* 194231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnb),
     /* 194239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194252 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1662:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (RADDHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNB_ZZZ_H),
     /* 194255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194259 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194261 */     GIR_RootConstrainSelectedInstOperands,
     /* 194262 */     // GIR_Coverage, 11787,
     /* 194262 */     GIR_EraseRootFromParent_Done,
     /* 194263 */   // Label 3841: @194263
     /* 194263 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(194300), // Rule ID 11788 //
     /* 194268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnb),
     /* 194276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 194282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 194285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194289 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1662:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (RADDHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 194289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNB_ZZZ_S),
     /* 194292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194298 */     GIR_RootConstrainSelectedInstOperands,
     /* 194299 */     // GIR_Coverage, 11788,
     /* 194299 */     GIR_EraseRootFromParent_Done,
     /* 194300 */   // Label 3842: @194300
     /* 194300 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(194337), // Rule ID 11789 //
     /* 194305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnb),
     /* 194313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 194316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194326 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1903:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SUBHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNB_ZZZ_B),
     /* 194329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194335 */     GIR_RootConstrainSelectedInstOperands,
     /* 194336 */     // GIR_Coverage, 11789,
     /* 194336 */     GIR_EraseRootFromParent_Done,
     /* 194337 */   // Label 3843: @194337
     /* 194337 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(194374), // Rule ID 11790 //
     /* 194342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnb),
     /* 194350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194363 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1903:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SUBHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNB_ZZZ_H),
     /* 194366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194370 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194372 */     GIR_RootConstrainSelectedInstOperands,
     /* 194373 */     // GIR_Coverage, 11790,
     /* 194373 */     GIR_EraseRootFromParent_Done,
     /* 194374 */   // Label 3844: @194374
     /* 194374 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(194411), // Rule ID 11791 //
     /* 194379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnb),
     /* 194387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 194393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 194396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194400 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1903:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SUBHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 194400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNB_ZZZ_S),
     /* 194403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194409 */     GIR_RootConstrainSelectedInstOperands,
     /* 194410 */     // GIR_Coverage, 11791,
     /* 194410 */     GIR_EraseRootFromParent_Done,
     /* 194411 */   // Label 3845: @194411
     /* 194411 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(194448), // Rule ID 11792 //
     /* 194416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnb),
     /* 194424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 194427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194437 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1678:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (RSUBHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNB_ZZZ_B),
     /* 194440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194442 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194444 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194446 */     GIR_RootConstrainSelectedInstOperands,
     /* 194447 */     // GIR_Coverage, 11792,
     /* 194447 */     GIR_EraseRootFromParent_Done,
     /* 194448 */   // Label 3846: @194448
     /* 194448 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(194485), // Rule ID 11793 //
     /* 194453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnb),
     /* 194461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1678:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (RSUBHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNB_ZZZ_H),
     /* 194477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194479 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194481 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194483 */     GIR_RootConstrainSelectedInstOperands,
     /* 194484 */     // GIR_Coverage, 11793,
     /* 194484 */     GIR_EraseRootFromParent_Done,
     /* 194485 */   // Label 3847: @194485
     /* 194485 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(194522), // Rule ID 11794 //
     /* 194490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnb),
     /* 194498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 194504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 194507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1678:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (RSUBHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 194511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNB_ZZZ_S),
     /* 194514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194520 */     GIR_RootConstrainSelectedInstOperands,
     /* 194521 */     // GIR_Coverage, 11794,
     /* 194521 */     GIR_EraseRootFromParent_Done,
     /* 194522 */   // Label 3848: @194522
     /* 194522 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(194559), // Rule ID 11810 //
     /* 194527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnt),
     /* 194535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 194538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 194541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194548 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2045:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UQXTNT_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNT_ZZ_B),
     /* 194551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194553 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194555 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194557 */     GIR_RootConstrainSelectedInstOperands,
     /* 194558 */     // GIR_Coverage, 11810,
     /* 194558 */     GIR_EraseRootFromParent_Done,
     /* 194559 */   // Label 3849: @194559
     /* 194559 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(194596), // Rule ID 11811 //
     /* 194564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnt),
     /* 194572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194585 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2045:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UQXTNT_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNT_ZZ_H),
     /* 194588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194592 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194594 */     GIR_RootConstrainSelectedInstOperands,
     /* 194595 */     // GIR_Coverage, 11811,
     /* 194595 */     GIR_EraseRootFromParent_Done,
     /* 194596 */   // Label 3850: @194596
     /* 194596 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(194633), // Rule ID 11812 //
     /* 194601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnt),
     /* 194609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 194618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2045:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UQXTNT_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 194622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNT_ZZ_S),
     /* 194625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194629 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194631 */     GIR_RootConstrainSelectedInstOperands,
     /* 194632 */     // GIR_Coverage, 11812,
     /* 194632 */     GIR_EraseRootFromParent_Done,
     /* 194633 */   // Label 3851: @194633
     /* 194633 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(194670), // Rule ID 11813 //
     /* 194638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunt),
     /* 194646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 194649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 194652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194659 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1854:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQXTUNT_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNT_ZZ_B),
     /* 194662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194666 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194668 */     GIR_RootConstrainSelectedInstOperands,
     /* 194669 */     // GIR_Coverage, 11813,
     /* 194669 */     GIR_EraseRootFromParent_Done,
     /* 194670 */   // Label 3852: @194670
     /* 194670 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(194707), // Rule ID 11814 //
     /* 194675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunt),
     /* 194683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1854:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQXTUNT_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNT_ZZ_H),
     /* 194699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194703 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194705 */     GIR_RootConstrainSelectedInstOperands,
     /* 194706 */     // GIR_Coverage, 11814,
     /* 194706 */     GIR_EraseRootFromParent_Done,
     /* 194707 */   // Label 3853: @194707
     /* 194707 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(194744), // Rule ID 11815 //
     /* 194712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunt),
     /* 194720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 194729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194733 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1854:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQXTUNT_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 194733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNT_ZZ_S),
     /* 194736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194740 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194742 */     GIR_RootConstrainSelectedInstOperands,
     /* 194743 */     // GIR_Coverage, 11815,
     /* 194743 */     GIR_EraseRootFromParent_Done,
     /* 194744 */   // Label 3854: @194744
     /* 194744 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(194781), // Rule ID 11831 //
     /* 194749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublbt),
     /* 194757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 194763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 194766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194770 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1868:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 194770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLBT_ZZZ_H),
     /* 194773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194777 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194779 */     GIR_RootConstrainSelectedInstOperands,
     /* 194780 */     // GIR_Coverage, 11831,
     /* 194780 */     GIR_EraseRootFromParent_Done,
     /* 194781 */   // Label 3855: @194781
     /* 194781 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(194818), // Rule ID 11832 //
     /* 194786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublbt),
     /* 194794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194807 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1868:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLBT_ZZZ_S),
     /* 194810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194812 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194816 */     GIR_RootConstrainSelectedInstOperands,
     /* 194817 */     // GIR_Coverage, 11832,
     /* 194817 */     GIR_EraseRootFromParent_Done,
     /* 194818 */   // Label 3856: @194818
     /* 194818 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(194855), // Rule ID 11833 //
     /* 194823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublbt),
     /* 194831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 194834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194844 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1868:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLBT_ZZZ_D),
     /* 194847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194853 */     GIR_RootConstrainSelectedInstOperands,
     /* 194854 */     // GIR_Coverage, 11833,
     /* 194854 */     GIR_EraseRootFromParent_Done,
     /* 194855 */   // Label 3857: @194855
     /* 194855 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(194892), // Rule ID 11834 //
     /* 194860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubltb),
     /* 194868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 194874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 194877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194881 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1870:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLTB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 194881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLTB_ZZZ_H),
     /* 194884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194890 */     GIR_RootConstrainSelectedInstOperands,
     /* 194891 */     // GIR_Coverage, 11834,
     /* 194891 */     GIR_EraseRootFromParent_Done,
     /* 194892 */   // Label 3858: @194892
     /* 194892 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(194929), // Rule ID 11835 //
     /* 194897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubltb),
     /* 194905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194918 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1870:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLTB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLTB_ZZZ_S),
     /* 194921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194923 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194925 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194927 */     GIR_RootConstrainSelectedInstOperands,
     /* 194928 */     // GIR_Coverage, 11835,
     /* 194928 */     GIR_EraseRootFromParent_Done,
     /* 194929 */   // Label 3859: @194929
     /* 194929 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(194966), // Rule ID 11836 //
     /* 194934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubltb),
     /* 194942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 194945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194955 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1870:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLTB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLTB_ZZZ_D),
     /* 194958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194964 */     GIR_RootConstrainSelectedInstOperands,
     /* 194965 */     // GIR_Coverage, 11836,
     /* 194965 */     GIR_EraseRootFromParent_Done,
     /* 194966 */   // Label 3860: @194966
     /* 194966 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(195006), // Rule ID 11911 //
     /* 194971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 194982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194992 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2090:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_B),
     /* 194995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194999 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195004 */     GIR_RootConstrainSelectedInstOperands,
     /* 195005 */     // GIR_Coverage, 11911,
     /* 195005 */     GIR_EraseRootFromParent_Done,
     /* 195006 */   // Label 3861: @195006
     /* 195006 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(195046), // Rule ID 11912 //
     /* 195011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 195019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195032 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2090:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_H),
     /* 195035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195037 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195039 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195044 */     GIR_RootConstrainSelectedInstOperands,
     /* 195045 */     // GIR_Coverage, 11912,
     /* 195045 */     GIR_EraseRootFromParent_Done,
     /* 195046 */   // Label 3862: @195046
     /* 195046 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(195086), // Rule ID 11913 //
     /* 195051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 195059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195072 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2090:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_S),
     /* 195075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195077 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195079 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195084 */     GIR_RootConstrainSelectedInstOperands,
     /* 195085 */     // GIR_Coverage, 11913,
     /* 195085 */     GIR_EraseRootFromParent_Done,
     /* 195086 */   // Label 3863: @195086
     /* 195086 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(195126), // Rule ID 11914 //
     /* 195091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 195099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2090:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_D),
     /* 195115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195117 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195119 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195124 */     GIR_RootConstrainSelectedInstOperands,
     /* 195125 */     // GIR_Coverage, 11914,
     /* 195125 */     GIR_EraseRootFromParent_Done,
     /* 195126 */   // Label 3864: @195126
     /* 195126 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(195166), // Rule ID 11915 //
     /* 195131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195152 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2096:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_B),
     /* 195155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195159 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195164 */     GIR_RootConstrainSelectedInstOperands,
     /* 195165 */     // GIR_Coverage, 11915,
     /* 195165 */     GIR_EraseRootFromParent_Done,
     /* 195166 */   // Label 3865: @195166
     /* 195166 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(195206), // Rule ID 11916 //
     /* 195171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195192 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2096:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_H),
     /* 195195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195199 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195204 */     GIR_RootConstrainSelectedInstOperands,
     /* 195205 */     // GIR_Coverage, 11916,
     /* 195205 */     GIR_EraseRootFromParent_Done,
     /* 195206 */   // Label 3866: @195206
     /* 195206 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(195246), // Rule ID 11917 //
     /* 195211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195232 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2096:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_S),
     /* 195235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195237 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195239 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195244 */     GIR_RootConstrainSelectedInstOperands,
     /* 195245 */     // GIR_Coverage, 11917,
     /* 195245 */     GIR_EraseRootFromParent_Done,
     /* 195246 */   // Label 3867: @195246
     /* 195246 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(195286), // Rule ID 11918 //
     /* 195251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195272 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2096:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_D),
     /* 195275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195279 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195284 */     GIR_RootConstrainSelectedInstOperands,
     /* 195285 */     // GIR_Coverage, 11918,
     /* 195285 */     GIR_EraseRootFromParent_Done,
     /* 195286 */   // Label 3868: @195286
     /* 195286 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(195326), // Rule ID 11923 //
     /* 195291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195312 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2108:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_B),
     /* 195315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195319 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195324 */     GIR_RootConstrainSelectedInstOperands,
     /* 195325 */     // GIR_Coverage, 11923,
     /* 195325 */     GIR_EraseRootFromParent_Done,
     /* 195326 */   // Label 3869: @195326
     /* 195326 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(195366), // Rule ID 11924 //
     /* 195331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2108:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_H),
     /* 195355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195359 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195364 */     GIR_RootConstrainSelectedInstOperands,
     /* 195365 */     // GIR_Coverage, 11924,
     /* 195365 */     GIR_EraseRootFromParent_Done,
     /* 195366 */   // Label 3870: @195366
     /* 195366 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(195406), // Rule ID 11925 //
     /* 195371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2108:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_S),
     /* 195395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195399 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195404 */     GIR_RootConstrainSelectedInstOperands,
     /* 195405 */     // GIR_Coverage, 11925,
     /* 195405 */     GIR_EraseRootFromParent_Done,
     /* 195406 */   // Label 3871: @195406
     /* 195406 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(195446), // Rule ID 11926 //
     /* 195411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195432 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2108:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_D),
     /* 195435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195437 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195439 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195444 */     GIR_RootConstrainSelectedInstOperands,
     /* 195445 */     // GIR_Coverage, 11926,
     /* 195445 */     GIR_EraseRootFromParent_Done,
     /* 195446 */   // Label 3872: @195446
     /* 195446 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(195486), // Rule ID 11927 //
     /* 195451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2102:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_B),
     /* 195475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195477 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195479 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195484 */     GIR_RootConstrainSelectedInstOperands,
     /* 195485 */     // GIR_Coverage, 11927,
     /* 195485 */     GIR_EraseRootFromParent_Done,
     /* 195486 */   // Label 3873: @195486
     /* 195486 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(195526), // Rule ID 11928 //
     /* 195491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195512 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2102:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_H),
     /* 195515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195517 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195519 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195524 */     GIR_RootConstrainSelectedInstOperands,
     /* 195525 */     // GIR_Coverage, 11928,
     /* 195525 */     GIR_EraseRootFromParent_Done,
     /* 195526 */   // Label 3874: @195526
     /* 195526 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(195566), // Rule ID 11929 //
     /* 195531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195552 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2102:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_S),
     /* 195555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195559 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195564 */     GIR_RootConstrainSelectedInstOperands,
     /* 195565 */     // GIR_Coverage, 11929,
     /* 195565 */     GIR_EraseRootFromParent_Done,
     /* 195566 */   // Label 3875: @195566
     /* 195566 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(195606), // Rule ID 11930 //
     /* 195571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2102:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_D),
     /* 195595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195597 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195599 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195604 */     GIR_RootConstrainSelectedInstOperands,
     /* 195605 */     // GIR_Coverage, 11930,
     /* 195605 */     GIR_EraseRootFromParent_Done,
     /* 195606 */   // Label 3876: @195606
     /* 195606 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(195646), // Rule ID 11935 //
     /* 195611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 195619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195632 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2090:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_B),
     /* 195635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195637 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195639 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195644 */     GIR_RootConstrainSelectedInstOperands,
     /* 195645 */     // GIR_Coverage, 11935,
     /* 195645 */     GIR_EraseRootFromParent_Done,
     /* 195646 */   // Label 3877: @195646
     /* 195646 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(195686), // Rule ID 11936 //
     /* 195651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 195659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2090:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_H),
     /* 195675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195679 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195684 */     GIR_RootConstrainSelectedInstOperands,
     /* 195685 */     // GIR_Coverage, 11936,
     /* 195685 */     GIR_EraseRootFromParent_Done,
     /* 195686 */   // Label 3878: @195686
     /* 195686 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(195726), // Rule ID 11937 //
     /* 195691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 195699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195712 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2090:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_S),
     /* 195715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195719 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195724 */     GIR_RootConstrainSelectedInstOperands,
     /* 195725 */     // GIR_Coverage, 11937,
     /* 195725 */     GIR_EraseRootFromParent_Done,
     /* 195726 */   // Label 3879: @195726
     /* 195726 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(195766), // Rule ID 11938 //
     /* 195731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 195739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2090:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_D),
     /* 195755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195759 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195764 */     GIR_RootConstrainSelectedInstOperands,
     /* 195765 */     // GIR_Coverage, 11938,
     /* 195765 */     GIR_EraseRootFromParent_Done,
     /* 195766 */   // Label 3880: @195766
     /* 195766 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(195806), // Rule ID 11939 //
     /* 195771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195792 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2096:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_B),
     /* 195795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195797 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195799 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195804 */     GIR_RootConstrainSelectedInstOperands,
     /* 195805 */     // GIR_Coverage, 11939,
     /* 195805 */     GIR_EraseRootFromParent_Done,
     /* 195806 */   // Label 3881: @195806
     /* 195806 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(195846), // Rule ID 11940 //
     /* 195811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195832 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2096:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_H),
     /* 195835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195837 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195839 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195844 */     GIR_RootConstrainSelectedInstOperands,
     /* 195845 */     // GIR_Coverage, 11940,
     /* 195845 */     GIR_EraseRootFromParent_Done,
     /* 195846 */   // Label 3882: @195846
     /* 195846 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(195886), // Rule ID 11941 //
     /* 195851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2096:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_S),
     /* 195875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195884 */     GIR_RootConstrainSelectedInstOperands,
     /* 195885 */     // GIR_Coverage, 11941,
     /* 195885 */     GIR_EraseRootFromParent_Done,
     /* 195886 */   // Label 3883: @195886
     /* 195886 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(195926), // Rule ID 11942 //
     /* 195891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2096:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_D),
     /* 195915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195919 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195924 */     GIR_RootConstrainSelectedInstOperands,
     /* 195925 */     // GIR_Coverage, 11942,
     /* 195925 */     GIR_EraseRootFromParent_Done,
     /* 195926 */   // Label 3884: @195926
     /* 195926 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(195966), // Rule ID 11947 //
     /* 195931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2108:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_B),
     /* 195955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195959 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195964 */     GIR_RootConstrainSelectedInstOperands,
     /* 195965 */     // GIR_Coverage, 11947,
     /* 195965 */     GIR_EraseRootFromParent_Done,
     /* 195966 */   // Label 3885: @195966
     /* 195966 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(196006), // Rule ID 11948 //
     /* 195971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195992 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2108:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_H),
     /* 195995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195999 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 196004 */     GIR_RootConstrainSelectedInstOperands,
     /* 196005 */     // GIR_Coverage, 11948,
     /* 196005 */     GIR_EraseRootFromParent_Done,
     /* 196006 */   // Label 3886: @196006
     /* 196006 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(196046), // Rule ID 11949 //
     /* 196011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 196014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 196019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 196022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 196025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 196028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 196032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2108:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 196032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_S),
     /* 196035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 196037 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196039 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 196044 */     GIR_RootConstrainSelectedInstOperands,
     /* 196045 */     // GIR_Coverage, 11949,
     /* 196045 */     GIR_EraseRootFromParent_Done,
     /* 196046 */   // Label 3887: @196046
     /* 196046 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(196086), // Rule ID 11950 //
     /* 196051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 196054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 196059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 196062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 196065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 196068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 196072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2108:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 196072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_D),
     /* 196075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 196077 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196079 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 196084 */     GIR_RootConstrainSelectedInstOperands,
     /* 196085 */     // GIR_Coverage, 11950,
     /* 196085 */     GIR_EraseRootFromParent_Done,
     /* 196086 */   // Label 3888: @196086
     /* 196086 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(196126), // Rule ID 11951 //
     /* 196091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 196094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 196099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 196102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 196105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 196108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 196112 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2102:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 196112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_B),
     /* 196115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 196117 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196119 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 196124 */     GIR_RootConstrainSelectedInstOperands,
     /* 196125 */     // GIR_Coverage, 11951,
     /* 196125 */     GIR_EraseRootFromParent_Done,
     /* 196126 */   // Label 3889: @196126
     /* 196126 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(196166), // Rule ID 11952 //
     /* 196131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 196134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 196139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 196142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 196145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 196148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 196152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2102:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 196152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_H),
     /* 196155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 196157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196159 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 196164 */     GIR_RootConstrainSelectedInstOperands,
     /* 196165 */     // GIR_Coverage, 11952,
     /* 196165 */     GIR_EraseRootFromParent_Done,
     /* 196166 */   // Label 3890: @196166
     /* 196166 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(196206), // Rule ID 11953 //
     /* 196171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 196174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 196179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 196182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 196185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 196188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 196192 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2102:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 196192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_S),
     /* 196195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 196197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196199 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 196204 */     GIR_RootConstrainSelectedInstOperands,
     /* 196205 */     // GIR_Coverage, 11953,
     /* 196205 */     GIR_EraseRootFromParent_Done,
     /* 196206 */   // Label 3891: @196206
     /* 196206 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(196246), // Rule ID 11954 //
     /* 196211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 196214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 196219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 196222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 196225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 196228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 196232 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2102:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 196232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_D),
     /* 196235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 196237 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196239 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 196244 */     GIR_RootConstrainSelectedInstOperands,
     /* 196245 */     // GIR_Coverage, 11954,
     /* 196245 */     GIR_EraseRootFromParent_Done,
     /* 196246 */   // Label 3892: @196246
     /* 196246 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(196283), // Rule ID 11963 //
     /* 196251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 196254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aesd),
     /* 196259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 196262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 196265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196272 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1258:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (AESD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESD_ZZZ_B),
     /* 196275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 196277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196279 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196281 */     GIR_RootConstrainSelectedInstOperands,
     /* 196282 */     // GIR_Coverage, 11963,
     /* 196282 */     GIR_EraseRootFromParent_Done,
     /* 196283 */   // Label 3893: @196283
     /* 196283 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(196320), // Rule ID 11965 //
     /* 196288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 196291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullt_pair),
     /* 196296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 196299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 196302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196309 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1632:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (PMULLT_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLT_ZZZ_Q),
     /* 196312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196318 */     GIR_RootConstrainSelectedInstOperands,
     /* 196319 */     // GIR_Coverage, 11965,
     /* 196319 */     GIR_EraseRootFromParent_Done,
     /* 196320 */   // Label 3894: @196320
     /* 196320 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(196357), // Rule ID 11966 //
     /* 196325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2SM4),
     /* 196328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sm4e),
     /* 196333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 196336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 196339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1723:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SM4E_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 196346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4E_ZZZ_S),
     /* 196349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 196351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196353 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196355 */     GIR_RootConstrainSelectedInstOperands,
     /* 196356 */     // GIR_Coverage, 11966,
     /* 196356 */     GIR_EraseRootFromParent_Done,
     /* 196357 */   // Label 3895: @196357
     /* 196357 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(196394), // Rule ID 11967 //
     /* 196362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2SHA3),
     /* 196365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rax1),
     /* 196370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 196373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 196376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196383 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1664:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (RAX1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RAX1_ZZZ_D),
     /* 196386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196392 */     GIR_RootConstrainSelectedInstOperands,
     /* 196393 */     // GIR_Coverage, 11967,
     /* 196393 */     GIR_EraseRootFromParent_Done,
     /* 196394 */   // Label 3896: @196394
     /* 196394 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(196431), // Rule ID 11968 //
     /* 196399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 196407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 196410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 196413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196420 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1272:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BDEP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_B),
     /* 196423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196425 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196427 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196429 */     GIR_RootConstrainSelectedInstOperands,
     /* 196430 */     // GIR_Coverage, 11968,
     /* 196430 */     GIR_EraseRootFromParent_Done,
     /* 196431 */   // Label 3897: @196431
     /* 196431 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(196468), // Rule ID 11969 //
     /* 196436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 196444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 196447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 196450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196457 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1272:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BDEP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 196457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_H),
     /* 196460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196466 */     GIR_RootConstrainSelectedInstOperands,
     /* 196467 */     // GIR_Coverage, 11969,
     /* 196467 */     GIR_EraseRootFromParent_Done,
     /* 196468 */   // Label 3898: @196468
     /* 196468 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(196505), // Rule ID 11970 //
     /* 196473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 196481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 196484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 196487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1272:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BDEP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 196494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_S),
     /* 196497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196499 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196501 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196503 */     GIR_RootConstrainSelectedInstOperands,
     /* 196504 */     // GIR_Coverage, 11970,
     /* 196504 */     GIR_EraseRootFromParent_Done,
     /* 196505 */   // Label 3899: @196505
     /* 196505 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(196542), // Rule ID 11971 //
     /* 196510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 196518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 196521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 196524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196531 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1272:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BDEP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_D),
     /* 196534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196536 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196538 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196540 */     GIR_RootConstrainSelectedInstOperands,
     /* 196541 */     // GIR_Coverage, 11971,
     /* 196541 */     GIR_EraseRootFromParent_Done,
     /* 196542 */   // Label 3900: @196542
     /* 196542 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(196579), // Rule ID 11972 //
     /* 196547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 196555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 196558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 196561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196568 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1289:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BGRP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_B),
     /* 196571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196575 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196577 */     GIR_RootConstrainSelectedInstOperands,
     /* 196578 */     // GIR_Coverage, 11972,
     /* 196578 */     GIR_EraseRootFromParent_Done,
     /* 196579 */   // Label 3901: @196579
     /* 196579 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(196616), // Rule ID 11973 //
     /* 196584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 196592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 196595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 196598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196605 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1289:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BGRP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 196605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_H),
     /* 196608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196614 */     GIR_RootConstrainSelectedInstOperands,
     /* 196615 */     // GIR_Coverage, 11973,
     /* 196615 */     GIR_EraseRootFromParent_Done,
     /* 196616 */   // Label 3902: @196616
     /* 196616 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(196653), // Rule ID 11974 //
     /* 196621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 196629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 196632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 196635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1289:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BGRP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 196642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_S),
     /* 196645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196651 */     GIR_RootConstrainSelectedInstOperands,
     /* 196652 */     // GIR_Coverage, 11974,
     /* 196652 */     GIR_EraseRootFromParent_Done,
     /* 196653 */   // Label 3903: @196653
     /* 196653 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(196690), // Rule ID 11975 //
     /* 196658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 196666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 196669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 196672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196679 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1289:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BGRP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_D),
     /* 196682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196688 */     GIR_RootConstrainSelectedInstOperands,
     /* 196689 */     // GIR_Coverage, 11975,
     /* 196689 */     GIR_EraseRootFromParent_Done,
     /* 196690 */   // Label 3904: @196690
     /* 196690 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(196727), // Rule ID 12088 //
     /* 196695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmqv),
     /* 196703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196716 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1438:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMAXNMQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 196716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMQV_H),
     /* 196719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196723 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196725 */     GIR_RootConstrainSelectedInstOperands,
     /* 196726 */     // GIR_Coverage, 12088,
     /* 196726 */     GIR_EraseRootFromParent_Done,
     /* 196727 */   // Label 3905: @196727
     /* 196727 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(196764), // Rule ID 12089 //
     /* 196732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmqv),
     /* 196740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196753 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1438:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMAXNMQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 196753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMQV_S),
     /* 196756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196760 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196762 */     GIR_RootConstrainSelectedInstOperands,
     /* 196763 */     // GIR_Coverage, 12089,
     /* 196763 */     GIR_EraseRootFromParent_Done,
     /* 196764 */   // Label 3906: @196764
     /* 196764 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(196801), // Rule ID 12090 //
     /* 196769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmqv),
     /* 196777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196790 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1438:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMAXNMQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 196790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMQV_D),
     /* 196793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196797 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196799 */     GIR_RootConstrainSelectedInstOperands,
     /* 196800 */     // GIR_Coverage, 12090,
     /* 196800 */     GIR_EraseRootFromParent_Done,
     /* 196801 */   // Label 3907: @196801
     /* 196801 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(196838), // Rule ID 12091 //
     /* 196806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmqv),
     /* 196814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196827 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1456:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMINNMQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 196827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMQV_H),
     /* 196830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196836 */     GIR_RootConstrainSelectedInstOperands,
     /* 196837 */     // GIR_Coverage, 12091,
     /* 196837 */     GIR_EraseRootFromParent_Done,
     /* 196838 */   // Label 3908: @196838
     /* 196838 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(196875), // Rule ID 12092 //
     /* 196843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmqv),
     /* 196851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196864 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1456:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMINNMQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 196864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMQV_S),
     /* 196867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196869 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196871 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196873 */     GIR_RootConstrainSelectedInstOperands,
     /* 196874 */     // GIR_Coverage, 12092,
     /* 196874 */     GIR_EraseRootFromParent_Done,
     /* 196875 */   // Label 3909: @196875
     /* 196875 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(196912), // Rule ID 12093 //
     /* 196880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmqv),
     /* 196888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196901 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1456:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMINNMQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 196901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMQV_D),
     /* 196904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196908 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196910 */     GIR_RootConstrainSelectedInstOperands,
     /* 196911 */     // GIR_Coverage, 12093,
     /* 196911 */     GIR_EraseRootFromParent_Done,
     /* 196912 */   // Label 3910: @196912
     /* 196912 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(196949), // Rule ID 12094 //
     /* 196917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxqv),
     /* 196925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196938 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1441:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMAXQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 196938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXQV_H),
     /* 196941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196943 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196945 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196947 */     GIR_RootConstrainSelectedInstOperands,
     /* 196948 */     // GIR_Coverage, 12094,
     /* 196948 */     GIR_EraseRootFromParent_Done,
     /* 196949 */   // Label 3911: @196949
     /* 196949 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(196986), // Rule ID 12095 //
     /* 196954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxqv),
     /* 196962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196975 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1441:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMAXQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 196975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXQV_S),
     /* 196978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196984 */     GIR_RootConstrainSelectedInstOperands,
     /* 196985 */     // GIR_Coverage, 12095,
     /* 196985 */     GIR_EraseRootFromParent_Done,
     /* 196986 */   // Label 3912: @196986
     /* 196986 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(197023), // Rule ID 12096 //
     /* 196991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxqv),
     /* 196999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197012 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1441:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMAXQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 197012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXQV_D),
     /* 197015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197017 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197019 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197021 */     GIR_RootConstrainSelectedInstOperands,
     /* 197022 */     // GIR_Coverage, 12096,
     /* 197022 */     GIR_EraseRootFromParent_Done,
     /* 197023 */   // Label 3913: @197023
     /* 197023 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(197060), // Rule ID 12097 //
     /* 197028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminqv),
     /* 197036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197049 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1459:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMINQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 197049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINQV_H),
     /* 197052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197058 */     GIR_RootConstrainSelectedInstOperands,
     /* 197059 */     // GIR_Coverage, 12097,
     /* 197059 */     GIR_EraseRootFromParent_Done,
     /* 197060 */   // Label 3914: @197060
     /* 197060 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(197097), // Rule ID 12098 //
     /* 197065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminqv),
     /* 197073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197086 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1459:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMINQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 197086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINQV_S),
     /* 197089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197091 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197093 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197095 */     GIR_RootConstrainSelectedInstOperands,
     /* 197096 */     // GIR_Coverage, 12098,
     /* 197096 */     GIR_EraseRootFromParent_Done,
     /* 197097 */   // Label 3915: @197097
     /* 197097 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(197134), // Rule ID 12099 //
     /* 197102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminqv),
     /* 197110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197123 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1459:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMINQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 197123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINQV_D),
     /* 197126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197132 */     GIR_RootConstrainSelectedInstOperands,
     /* 197133 */     // GIR_Coverage, 12099,
     /* 197133 */     GIR_EraseRootFromParent_Done,
     /* 197134 */   // Label 3916: @197134
     /* 197134 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(197171), // Rule ID 12100 //
     /* 197139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 197147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197160 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1353:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (EORQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_B),
     /* 197163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197165 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197167 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197169 */     GIR_RootConstrainSelectedInstOperands,
     /* 197170 */     // GIR_Coverage, 12100,
     /* 197170 */     GIR_EraseRootFromParent_Done,
     /* 197171 */   // Label 3917: @197171
     /* 197171 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(197208), // Rule ID 12101 //
     /* 197176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 197184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197197 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1353:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (EORQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_H),
     /* 197200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197206 */     GIR_RootConstrainSelectedInstOperands,
     /* 197207 */     // GIR_Coverage, 12101,
     /* 197207 */     GIR_EraseRootFromParent_Done,
     /* 197208 */   // Label 3918: @197208
     /* 197208 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(197245), // Rule ID 12102 //
     /* 197213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 197221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197234 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1353:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (EORQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_S),
     /* 197237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197241 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197243 */     GIR_RootConstrainSelectedInstOperands,
     /* 197244 */     // GIR_Coverage, 12102,
     /* 197244 */     GIR_EraseRootFromParent_Done,
     /* 197245 */   // Label 3919: @197245
     /* 197245 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(197282), // Rule ID 12103 //
     /* 197250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 197258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197271 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1353:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (EORQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_D),
     /* 197274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197278 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197280 */     GIR_RootConstrainSelectedInstOperands,
     /* 197281 */     // GIR_Coverage, 12103,
     /* 197281 */     GIR_EraseRootFromParent_Done,
     /* 197282 */   // Label 3920: @197282
     /* 197282 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(197319), // Rule ID 12104 //
     /* 197287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 197295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197308 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1265:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ANDQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_B),
     /* 197311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197313 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197315 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197317 */     GIR_RootConstrainSelectedInstOperands,
     /* 197318 */     // GIR_Coverage, 12104,
     /* 197318 */     GIR_EraseRootFromParent_Done,
     /* 197319 */   // Label 3921: @197319
     /* 197319 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(197356), // Rule ID 12105 //
     /* 197324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 197332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197345 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1265:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ANDQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_H),
     /* 197348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197354 */     GIR_RootConstrainSelectedInstOperands,
     /* 197355 */     // GIR_Coverage, 12105,
     /* 197355 */     GIR_EraseRootFromParent_Done,
     /* 197356 */   // Label 3922: @197356
     /* 197356 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(197393), // Rule ID 12106 //
     /* 197361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 197369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197382 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1265:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ANDQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_S),
     /* 197385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197389 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197391 */     GIR_RootConstrainSelectedInstOperands,
     /* 197392 */     // GIR_Coverage, 12106,
     /* 197392 */     GIR_EraseRootFromParent_Done,
     /* 197393 */   // Label 3923: @197393
     /* 197393 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(197430), // Rule ID 12107 //
     /* 197398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 197406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197419 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1265:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ANDQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_D),
     /* 197422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197426 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197428 */     GIR_RootConstrainSelectedInstOperands,
     /* 197429 */     // GIR_Coverage, 12107,
     /* 197429 */     GIR_EraseRootFromParent_Done,
     /* 197430 */   // Label 3924: @197430
     /* 197430 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(197467), // Rule ID 12108 //
     /* 197435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 197443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197456 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1253:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ADDQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_B),
     /* 197459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197463 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197465 */     GIR_RootConstrainSelectedInstOperands,
     /* 197466 */     // GIR_Coverage, 12108,
     /* 197466 */     GIR_EraseRootFromParent_Done,
     /* 197467 */   // Label 3925: @197467
     /* 197467 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(197504), // Rule ID 12109 //
     /* 197472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 197480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197493 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1253:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ADDQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_H),
     /* 197496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197502 */     GIR_RootConstrainSelectedInstOperands,
     /* 197503 */     // GIR_Coverage, 12109,
     /* 197503 */     GIR_EraseRootFromParent_Done,
     /* 197504 */   // Label 3926: @197504
     /* 197504 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(197541), // Rule ID 12110 //
     /* 197509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 197517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197530 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1253:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADDQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_S),
     /* 197533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197537 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197539 */     GIR_RootConstrainSelectedInstOperands,
     /* 197540 */     // GIR_Coverage, 12110,
     /* 197540 */     GIR_EraseRootFromParent_Done,
     /* 197541 */   // Label 3927: @197541
     /* 197541 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(197578), // Rule ID 12111 //
     /* 197546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 197554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197567 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1253:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADDQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_D),
     /* 197570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197574 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197576 */     GIR_RootConstrainSelectedInstOperands,
     /* 197577 */     // GIR_Coverage, 12111,
     /* 197577 */     GIR_EraseRootFromParent_Done,
     /* 197578 */   // Label 3928: @197578
     /* 197578 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(197615), // Rule ID 12112 //
     /* 197583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 197591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197604 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1732:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMAXQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_B),
     /* 197607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197611 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197613 */     GIR_RootConstrainSelectedInstOperands,
     /* 197614 */     // GIR_Coverage, 12112,
     /* 197614 */     GIR_EraseRootFromParent_Done,
     /* 197615 */   // Label 3929: @197615
     /* 197615 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(197652), // Rule ID 12113 //
     /* 197620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 197628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197641 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1732:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMAXQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_H),
     /* 197644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197648 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197650 */     GIR_RootConstrainSelectedInstOperands,
     /* 197651 */     // GIR_Coverage, 12113,
     /* 197651 */     GIR_EraseRootFromParent_Done,
     /* 197652 */   // Label 3930: @197652
     /* 197652 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(197689), // Rule ID 12114 //
     /* 197657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 197665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197678 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1732:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMAXQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_S),
     /* 197681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197683 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197685 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197687 */     GIR_RootConstrainSelectedInstOperands,
     /* 197688 */     // GIR_Coverage, 12114,
     /* 197688 */     GIR_EraseRootFromParent_Done,
     /* 197689 */   // Label 3931: @197689
     /* 197689 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(197726), // Rule ID 12115 //
     /* 197694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 197702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197715 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1732:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SMAXQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_D),
     /* 197718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197724 */     GIR_RootConstrainSelectedInstOperands,
     /* 197725 */     // GIR_Coverage, 12115,
     /* 197725 */     GIR_EraseRootFromParent_Done,
     /* 197726 */   // Label 3932: @197726
     /* 197726 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(197763), // Rule ID 12116 //
     /* 197731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 197739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197752 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1970:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMAXQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_B),
     /* 197755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197759 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197761 */     GIR_RootConstrainSelectedInstOperands,
     /* 197762 */     // GIR_Coverage, 12116,
     /* 197762 */     GIR_EraseRootFromParent_Done,
     /* 197763 */   // Label 3933: @197763
     /* 197763 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(197800), // Rule ID 12117 //
     /* 197768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 197776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197789 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1970:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMAXQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_H),
     /* 197792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197796 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197798 */     GIR_RootConstrainSelectedInstOperands,
     /* 197799 */     // GIR_Coverage, 12117,
     /* 197799 */     GIR_EraseRootFromParent_Done,
     /* 197800 */   // Label 3934: @197800
     /* 197800 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(197837), // Rule ID 12118 //
     /* 197805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 197813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197826 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1970:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMAXQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_S),
     /* 197829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197831 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197833 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197835 */     GIR_RootConstrainSelectedInstOperands,
     /* 197836 */     // GIR_Coverage, 12118,
     /* 197836 */     GIR_EraseRootFromParent_Done,
     /* 197837 */   // Label 3935: @197837
     /* 197837 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(197874), // Rule ID 12119 //
     /* 197842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 197850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197863 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1970:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UMAXQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_D),
     /* 197866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197870 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197872 */     GIR_RootConstrainSelectedInstOperands,
     /* 197873 */     // GIR_Coverage, 12119,
     /* 197873 */     GIR_EraseRootFromParent_Done,
     /* 197874 */   // Label 3936: @197874
     /* 197874 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(197911), // Rule ID 12120 //
     /* 197879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 197887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197900 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1741:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMINQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_B),
     /* 197903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197907 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197909 */     GIR_RootConstrainSelectedInstOperands,
     /* 197910 */     // GIR_Coverage, 12120,
     /* 197910 */     GIR_EraseRootFromParent_Done,
     /* 197911 */   // Label 3937: @197911
     /* 197911 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(197948), // Rule ID 12121 //
     /* 197916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 197924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197937 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1741:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMINQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_H),
     /* 197940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197944 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197946 */     GIR_RootConstrainSelectedInstOperands,
     /* 197947 */     // GIR_Coverage, 12121,
     /* 197947 */     GIR_EraseRootFromParent_Done,
     /* 197948 */   // Label 3938: @197948
     /* 197948 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(197985), // Rule ID 12122 //
     /* 197953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 197961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197974 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1741:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMINQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_S),
     /* 197977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197979 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197981 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197983 */     GIR_RootConstrainSelectedInstOperands,
     /* 197984 */     // GIR_Coverage, 12122,
     /* 197984 */     GIR_EraseRootFromParent_Done,
     /* 197985 */   // Label 3939: @197985
     /* 197985 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(198022), // Rule ID 12123 //
     /* 197990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 197998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 198001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 198004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 198011 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1741:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SMINQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 198011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_D),
     /* 198014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 198016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198018 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198020 */     GIR_RootConstrainSelectedInstOperands,
     /* 198021 */     // GIR_Coverage, 12123,
     /* 198021 */     GIR_EraseRootFromParent_Done,
     /* 198022 */   // Label 3940: @198022
     /* 198022 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(198059), // Rule ID 12124 //
     /* 198027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 198035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 198038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 198041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 198044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 198048 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1979:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMINQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 198048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_B),
     /* 198051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 198053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198055 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198057 */     GIR_RootConstrainSelectedInstOperands,
     /* 198058 */     // GIR_Coverage, 12124,
     /* 198058 */     GIR_EraseRootFromParent_Done,
     /* 198059 */   // Label 3941: @198059
     /* 198059 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(198096), // Rule ID 12125 //
     /* 198064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 198072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 198075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 198078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 198085 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1979:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMINQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 198085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_H),
     /* 198088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 198090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198094 */     GIR_RootConstrainSelectedInstOperands,
     /* 198095 */     // GIR_Coverage, 12125,
     /* 198095 */     GIR_EraseRootFromParent_Done,
     /* 198096 */   // Label 3942: @198096
     /* 198096 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(198133), // Rule ID 12126 //
     /* 198101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 198109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 198112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 198115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 198122 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1979:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMINQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 198122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_S),
     /* 198125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 198127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198129 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198131 */     GIR_RootConstrainSelectedInstOperands,
     /* 198132 */     // GIR_Coverage, 12126,
     /* 198132 */     GIR_EraseRootFromParent_Done,
     /* 198133 */   // Label 3943: @198133
     /* 198133 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(198170), // Rule ID 12127 //
     /* 198138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 198146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 198149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 198152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 198159 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1979:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UMINQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 198159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_D),
     /* 198162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 198164 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198166 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198168 */     GIR_RootConstrainSelectedInstOperands,
     /* 198169 */     // GIR_Coverage, 12127,
     /* 198169 */     GIR_EraseRootFromParent_Done,
     /* 198170 */   // Label 3944: @198170
     /* 198170 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(198207), // Rule ID 12128 //
     /* 198175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 198186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 198189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 198192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2163:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIPQ2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 198196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_B),
     /* 198199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198203 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198205 */     GIR_RootConstrainSelectedInstOperands,
     /* 198206 */     // GIR_Coverage, 12128,
     /* 198206 */     GIR_EraseRootFromParent_Done,
     /* 198207 */   // Label 3945: @198207
     /* 198207 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(198244), // Rule ID 12129 //
     /* 198212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 198226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2163:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIPQ2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 198233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_H),
     /* 198236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198240 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198242 */     GIR_RootConstrainSelectedInstOperands,
     /* 198243 */     // GIR_Coverage, 12129,
     /* 198243 */     GIR_EraseRootFromParent_Done,
     /* 198244 */   // Label 3946: @198244
     /* 198244 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(198281), // Rule ID 12130 //
     /* 198249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 198263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198270 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2163:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIPQ2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 198270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_S),
     /* 198273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198275 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198277 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198279 */     GIR_RootConstrainSelectedInstOperands,
     /* 198280 */     // GIR_Coverage, 12130,
     /* 198280 */     GIR_EraseRootFromParent_Done,
     /* 198281 */   // Label 3947: @198281
     /* 198281 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(198318), // Rule ID 12131 //
     /* 198286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 198300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198307 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2163:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIPQ2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 198307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_D),
     /* 198310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198314 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198316 */     GIR_RootConstrainSelectedInstOperands,
     /* 198317 */     // GIR_Coverage, 12131,
     /* 198317 */     GIR_EraseRootFromParent_Done,
     /* 198318 */   // Label 3948: @198318
     /* 198318 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(198355), // Rule ID 12132 //
     /* 198323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 198337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198344 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2163:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIPQ2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 198344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_H),
     /* 198347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198349 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198351 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198353 */     GIR_RootConstrainSelectedInstOperands,
     /* 198354 */     // GIR_Coverage, 12132,
     /* 198354 */     GIR_EraseRootFromParent_Done,
     /* 198355 */   // Label 3949: @198355
     /* 198355 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(198392), // Rule ID 12133 //
     /* 198360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 198374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198381 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2163:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIPQ2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 198381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_S),
     /* 198384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198386 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198388 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198390 */     GIR_RootConstrainSelectedInstOperands,
     /* 198391 */     // GIR_Coverage, 12133,
     /* 198391 */     GIR_EraseRootFromParent_Done,
     /* 198392 */   // Label 3950: @198392
     /* 198392 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(198429), // Rule ID 12134 //
     /* 198397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 198411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198418 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2163:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIPQ2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 198418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_D),
     /* 198421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198423 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198425 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198427 */     GIR_RootConstrainSelectedInstOperands,
     /* 198428 */     // GIR_Coverage, 12134,
     /* 198428 */     GIR_EraseRootFromParent_Done,
     /* 198429 */   // Label 3951: @198429
     /* 198429 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(198466), // Rule ID 12135 //
     /* 198434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 198445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 198448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 198451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198455 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2088:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZPQ1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 198455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_B),
     /* 198458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198462 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198464 */     GIR_RootConstrainSelectedInstOperands,
     /* 198465 */     // GIR_Coverage, 12135,
     /* 198465 */     GIR_EraseRootFromParent_Done,
     /* 198466 */   // Label 3952: @198466
     /* 198466 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(198503), // Rule ID 12136 //
     /* 198471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 198485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198492 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2088:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZPQ1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 198492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_H),
     /* 198495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198499 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198501 */     GIR_RootConstrainSelectedInstOperands,
     /* 198502 */     // GIR_Coverage, 12136,
     /* 198502 */     GIR_EraseRootFromParent_Done,
     /* 198503 */   // Label 3953: @198503
     /* 198503 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(198540), // Rule ID 12137 //
     /* 198508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 198522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198529 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2088:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZPQ1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 198529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_S),
     /* 198532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198536 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198538 */     GIR_RootConstrainSelectedInstOperands,
     /* 198539 */     // GIR_Coverage, 12137,
     /* 198539 */     GIR_EraseRootFromParent_Done,
     /* 198540 */   // Label 3954: @198540
     /* 198540 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(198577), // Rule ID 12138 //
     /* 198545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 198559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2088:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZPQ1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 198566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_D),
     /* 198569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198571 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198573 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198575 */     GIR_RootConstrainSelectedInstOperands,
     /* 198576 */     // GIR_Coverage, 12138,
     /* 198576 */     GIR_EraseRootFromParent_Done,
     /* 198577 */   // Label 3955: @198577
     /* 198577 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(198614), // Rule ID 12139 //
     /* 198582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 198596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198603 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2088:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZPQ1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 198603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_H),
     /* 198606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198612 */     GIR_RootConstrainSelectedInstOperands,
     /* 198613 */     // GIR_Coverage, 12139,
     /* 198613 */     GIR_EraseRootFromParent_Done,
     /* 198614 */   // Label 3956: @198614
     /* 198614 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(198651), // Rule ID 12140 //
     /* 198619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 198633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198640 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2088:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZPQ1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 198640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_S),
     /* 198643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198647 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198649 */     GIR_RootConstrainSelectedInstOperands,
     /* 198650 */     // GIR_Coverage, 12140,
     /* 198650 */     GIR_EraseRootFromParent_Done,
     /* 198651 */   // Label 3957: @198651
     /* 198651 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(198688), // Rule ID 12141 //
     /* 198656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 198670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198677 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2088:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZPQ1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 198677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_D),
     /* 198680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198682 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198684 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198686 */     GIR_RootConstrainSelectedInstOperands,
     /* 198687 */     // GIR_Coverage, 12141,
     /* 198687 */     GIR_EraseRootFromParent_Done,
     /* 198688 */   // Label 3958: @198688
     /* 198688 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(198725), // Rule ID 12142 //
     /* 198693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 198704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 198707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 198710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198714 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2089:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZPQ2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 198714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_B),
     /* 198717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198719 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198721 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198723 */     GIR_RootConstrainSelectedInstOperands,
     /* 198724 */     // GIR_Coverage, 12142,
     /* 198724 */     GIR_EraseRootFromParent_Done,
     /* 198725 */   // Label 3959: @198725
     /* 198725 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(198762), // Rule ID 12143 //
     /* 198730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 198744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198751 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2089:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZPQ2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 198751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_H),
     /* 198754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198756 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198758 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198760 */     GIR_RootConstrainSelectedInstOperands,
     /* 198761 */     // GIR_Coverage, 12143,
     /* 198761 */     GIR_EraseRootFromParent_Done,
     /* 198762 */   // Label 3960: @198762
     /* 198762 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(198799), // Rule ID 12144 //
     /* 198767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 198781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198788 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2089:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZPQ2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 198788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_S),
     /* 198791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198793 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198795 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198797 */     GIR_RootConstrainSelectedInstOperands,
     /* 198798 */     // GIR_Coverage, 12144,
     /* 198798 */     GIR_EraseRootFromParent_Done,
     /* 198799 */   // Label 3961: @198799
     /* 198799 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(198836), // Rule ID 12145 //
     /* 198804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 198818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198825 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2089:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZPQ2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 198825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_D),
     /* 198828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198832 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198834 */     GIR_RootConstrainSelectedInstOperands,
     /* 198835 */     // GIR_Coverage, 12145,
     /* 198835 */     GIR_EraseRootFromParent_Done,
     /* 198836 */   // Label 3962: @198836
     /* 198836 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(198873), // Rule ID 12146 //
     /* 198841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 198855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198862 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2089:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZPQ2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 198862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_H),
     /* 198865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198867 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198869 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198871 */     GIR_RootConstrainSelectedInstOperands,
     /* 198872 */     // GIR_Coverage, 12146,
     /* 198872 */     GIR_EraseRootFromParent_Done,
     /* 198873 */   // Label 3963: @198873
     /* 198873 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(198910), // Rule ID 12147 //
     /* 198878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 198892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198899 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2089:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZPQ2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 198899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_S),
     /* 198902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198904 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198906 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198908 */     GIR_RootConstrainSelectedInstOperands,
     /* 198909 */     // GIR_Coverage, 12147,
     /* 198909 */     GIR_EraseRootFromParent_Done,
     /* 198910 */   // Label 3964: @198910
     /* 198910 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(198947), // Rule ID 12148 //
     /* 198915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 198929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198936 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2089:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZPQ2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 198936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_D),
     /* 198939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198943 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198945 */     GIR_RootConstrainSelectedInstOperands,
     /* 198946 */     // GIR_Coverage, 12148,
     /* 198946 */     GIR_EraseRootFromParent_Done,
     /* 198947 */   // Label 3965: @198947
     /* 198947 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(198989), // Rule ID 3218 //
     /* 198952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_b),
     /* 198960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 198963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198967 */     // MIs[0] Op1
     /* 198967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198971 */     // MIs[0] Op2
     /* 198971 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198975 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2142:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_B),
     /* 198978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198987 */     GIR_RootConstrainSelectedInstOperands,
     /* 198988 */     // GIR_Coverage, 3218,
     /* 198988 */     GIR_EraseRootFromParent_Done,
     /* 198989 */   // Label 3966: @198989
     /* 198989 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(199031), // Rule ID 3219 //
     /* 198994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_h),
     /* 199002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 199005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 199009 */     // MIs[0] Op1
     /* 199009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 199013 */     // MIs[0] Op2
     /* 199013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 199017 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2144:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 199017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_H),
     /* 199020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 199022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 199024 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 199026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 199029 */     GIR_RootConstrainSelectedInstOperands,
     /* 199030 */     // GIR_Coverage, 3219,
     /* 199030 */     GIR_EraseRootFromParent_Done,
     /* 199031 */   // Label 3967: @199031
     /* 199031 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(199073), // Rule ID 3220 //
     /* 199036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 199039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_s),
     /* 199044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 199047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 199051 */     // MIs[0] Op1
     /* 199051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 199055 */     // MIs[0] Op2
     /* 199055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 199059 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2145:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 199059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_S),
     /* 199062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 199064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 199066 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 199068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 199071 */     GIR_RootConstrainSelectedInstOperands,
     /* 199072 */     // GIR_Coverage, 3220,
     /* 199072 */     GIR_EraseRootFromParent_Done,
     /* 199073 */   // Label 3968: @199073
     /* 199073 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(199115), // Rule ID 3221 //
     /* 199078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 199081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_d),
     /* 199086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 199089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 199093 */     // MIs[0] Op1
     /* 199093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 199097 */     // MIs[0] Op2
     /* 199097 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 199101 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2143:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 199101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_D),
     /* 199104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 199106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 199108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 199110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 199113 */     GIR_RootConstrainSelectedInstOperands,
     /* 199114 */     // GIR_Coverage, 3221,
     /* 199114 */     GIR_EraseRootFromParent_Done,
     /* 199115 */   // Label 3969: @199115
     /* 199115 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(199157), // Rule ID 11959 //
     /* 199120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 199123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_b),
     /* 199128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 199131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 199135 */     // MIs[0] Op1
     /* 199135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 199139 */     // MIs[0] Op2
     /* 199139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 199143 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2138:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 199143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_B),
     /* 199146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 199148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 199150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 199152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 199155 */     GIR_RootConstrainSelectedInstOperands,
     /* 199156 */     // GIR_Coverage, 11959,
     /* 199156 */     GIR_EraseRootFromParent_Done,
     /* 199157 */   // Label 3970: @199157
     /* 199157 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(199199), // Rule ID 11960 //
     /* 199162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 199165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_h),
     /* 199170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 199173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 199177 */     // MIs[0] Op1
     /* 199177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 199181 */     // MIs[0] Op2
     /* 199181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 199185 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2140:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 199185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_H),
     /* 199188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 199190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 199192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 199194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 199197 */     GIR_RootConstrainSelectedInstOperands,
     /* 199198 */     // GIR_Coverage, 11960,
     /* 199198 */     GIR_EraseRootFromParent_Done,
     /* 199199 */   // Label 3971: @199199
     /* 199199 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(199241), // Rule ID 11961 //
     /* 199204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 199207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_s),
     /* 199212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 199215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 199219 */     // MIs[0] Op1
     /* 199219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 199223 */     // MIs[0] Op2
     /* 199223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 199227 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2141:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 199227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_S),
     /* 199230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 199232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 199234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 199236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 199239 */     GIR_RootConstrainSelectedInstOperands,
     /* 199240 */     // GIR_Coverage, 11961,
     /* 199240 */     GIR_EraseRootFromParent_Done,
     /* 199241 */   // Label 3972: @199241
     /* 199241 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(199283), // Rule ID 11962 //
     /* 199246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 199249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_d),
     /* 199254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 199257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 199261 */     // MIs[0] Op1
     /* 199261 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 199265 */     // MIs[0] Op2
     /* 199265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 199269 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2139:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 199269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_D),
     /* 199272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 199274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 199276 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 199278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 199281 */     GIR_RootConstrainSelectedInstOperands,
     /* 199282 */     // GIR_Coverage, 11962,
     /* 199282 */     GIR_EraseRootFromParent_Done,
     /* 199283 */   // Label 3973: @199283
     /* 199283 */   GIM_Reject,
     /* 199284 */ // Label 3020: @199284
     /* 199284 */ GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(243067),
     /* 199289 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 199292 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(199405), // Rule ID 2069 //
     /* 199297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 199300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 199305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 199308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 199337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 199341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 199349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 199353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 199362 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199366 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199370 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 199374 */     // MIs[3] Operand 1
     /* 199374 */     // No operand predicates
     /* 199374 */     // MIs[1] Operand 2
     /* 199374 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 199385 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199387 */     // (intrinsic_wo_chain:{ *:[v4i16] } 686:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLAHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 199387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i16_indexed),
     /* 199390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199392 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199394 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199403 */     GIR_RootConstrainSelectedInstOperands,
     /* 199404 */     // GIR_Coverage, 2069,
     /* 199404 */     GIR_EraseRootFromParent_Done,
     /* 199405 */   // Label 3975: @199405
     /* 199405 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(199518), // Rule ID 2076 //
     /* 199410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 199413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 199418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 199421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 199450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 199454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 199462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 199466 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199470 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 199475 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199479 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199483 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 199487 */     // MIs[3] Operand 1
     /* 199487 */     // No operand predicates
     /* 199487 */     // MIs[1] Operand 2
     /* 199487 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 199498 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199500 */     // (intrinsic_wo_chain:{ *:[v4i16] } 687:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLSHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 199500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i16_indexed),
     /* 199503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199507 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199516 */     GIR_RootConstrainSelectedInstOperands,
     /* 199517 */     // GIR_Coverage, 2076,
     /* 199517 */     GIR_EraseRootFromParent_Done,
     /* 199518 */   // Label 3976: @199518
     /* 199518 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(199631), // Rule ID 2072 //
     /* 199523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 199526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 199531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 199534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 199537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 199540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 199543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 199563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199579 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199588 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199592 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199596 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 199600 */     // MIs[3] Operand 1
     /* 199600 */     // No operand predicates
     /* 199600 */     // MIs[1] Operand 2
     /* 199600 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 199611 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199613 */     // (intrinsic_wo_chain:{ *:[v2i32] } 686:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLAHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 199613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv2i32_indexed),
     /* 199616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199620 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199629 */     GIR_RootConstrainSelectedInstOperands,
     /* 199630 */     // GIR_Coverage, 2072,
     /* 199630 */     GIR_EraseRootFromParent_Done,
     /* 199631 */   // Label 3977: @199631
     /* 199631 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(199744), // Rule ID 2079 //
     /* 199636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 199639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 199644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 199647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 199650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 199653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 199656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 199676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199680 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199684 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199688 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199692 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199701 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199705 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199709 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 199713 */     // MIs[3] Operand 1
     /* 199713 */     // No operand predicates
     /* 199713 */     // MIs[1] Operand 2
     /* 199713 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 199724 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199726 */     // (intrinsic_wo_chain:{ *:[v2i32] } 687:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLSHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 199726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv2i32_indexed),
     /* 199729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199731 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199733 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199742 */     GIR_RootConstrainSelectedInstOperands,
     /* 199743 */     // GIR_Coverage, 2079,
     /* 199743 */     GIR_EraseRootFromParent_Done,
     /* 199744 */   // Label 3978: @199744
     /* 199744 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(199849), // Rule ID 3869 //
     /* 199749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 199757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 199760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 199793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199805 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199809 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199814 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199818 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199822 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 199826 */     // MIs[3] Operand 1
     /* 199826 */     // No operand predicates
     /* 199826 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199828 */     // (intrinsic_wo_chain:{ *:[v4f16] } 757:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 0:{ *:[i32] })
     /* 199828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 199831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199847 */     GIR_RootConstrainSelectedInstOperands,
     /* 199848 */     // GIR_Coverage, 3869,
     /* 199848 */     GIR_EraseRootFromParent_Done,
     /* 199849 */   // Label 3979: @199849
     /* 199849 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(199954), // Rule ID 3870 //
     /* 199854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 199862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 199865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 199898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199910 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199914 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199919 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199923 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199927 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 199931 */     // MIs[3] Operand 1
     /* 199931 */     // No operand predicates
     /* 199931 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199933 */     // (intrinsic_wo_chain:{ *:[v4f16] } 760:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 1:{ *:[i32] })
     /* 199933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 199936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199952 */     GIR_RootConstrainSelectedInstOperands,
     /* 199953 */     // GIR_Coverage, 3870,
     /* 199953 */     GIR_EraseRootFromParent_Done,
     /* 199954 */   // Label 3980: @199954
     /* 199954 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(200059), // Rule ID 3871 //
     /* 199959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 199967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 199970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 200003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 200011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200015 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200024 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200028 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200032 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 200036 */     // MIs[3] Operand 1
     /* 200036 */     // No operand predicates
     /* 200036 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200038 */     // (intrinsic_wo_chain:{ *:[v4f16] } 758:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 2:{ *:[i32] })
     /* 200038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 200041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200043 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200045 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 200057 */     GIR_RootConstrainSelectedInstOperands,
     /* 200058 */     // GIR_Coverage, 3871,
     /* 200058 */     GIR_EraseRootFromParent_Done,
     /* 200059 */   // Label 3981: @200059
     /* 200059 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(200164), // Rule ID 3872 //
     /* 200064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 200067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 200072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 200075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 200078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 200081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 200084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 200088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 200092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 200096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 200108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 200116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200120 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200129 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200133 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200137 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 200141 */     // MIs[3] Operand 1
     /* 200141 */     // No operand predicates
     /* 200141 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200143 */     // (intrinsic_wo_chain:{ *:[v4f16] } 759:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 3:{ *:[i32] })
     /* 200143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 200146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 200162 */     GIR_RootConstrainSelectedInstOperands,
     /* 200163 */     // GIR_Coverage, 3872,
     /* 200163 */     GIR_EraseRootFromParent_Done,
     /* 200164 */   // Label 3982: @200164
     /* 200164 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(200269), // Rule ID 3877 //
     /* 200169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 200172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 200177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 200180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 200183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 200186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 200189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 200221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200225 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200229 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200234 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200238 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200242 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 200246 */     // MIs[3] Operand 1
     /* 200246 */     // No operand predicates
     /* 200246 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200248 */     // (intrinsic_wo_chain:{ *:[v8f16] } 757:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 0:{ *:[i32] })
     /* 200248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 200251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200267 */     GIR_RootConstrainSelectedInstOperands,
     /* 200268 */     // GIR_Coverage, 3877,
     /* 200268 */     GIR_EraseRootFromParent_Done,
     /* 200269 */   // Label 3983: @200269
     /* 200269 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(200374), // Rule ID 3878 //
     /* 200274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 200277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 200282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 200285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 200288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 200291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 200294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 200326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200330 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200334 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200339 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200343 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200347 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 200351 */     // MIs[3] Operand 1
     /* 200351 */     // No operand predicates
     /* 200351 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200353 */     // (intrinsic_wo_chain:{ *:[v8f16] } 760:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 1:{ *:[i32] })
     /* 200353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 200356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200360 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200372 */     GIR_RootConstrainSelectedInstOperands,
     /* 200373 */     // GIR_Coverage, 3878,
     /* 200373 */     GIR_EraseRootFromParent_Done,
     /* 200374 */   // Label 3984: @200374
     /* 200374 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(200479), // Rule ID 3879 //
     /* 200379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 200382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 200387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 200390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 200393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 200396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 200399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 200431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200435 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200452 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 200456 */     // MIs[3] Operand 1
     /* 200456 */     // No operand predicates
     /* 200456 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200458 */     // (intrinsic_wo_chain:{ *:[v8f16] } 758:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 2:{ *:[i32] })
     /* 200458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 200461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200463 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200465 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 200477 */     GIR_RootConstrainSelectedInstOperands,
     /* 200478 */     // GIR_Coverage, 3879,
     /* 200478 */     GIR_EraseRootFromParent_Done,
     /* 200479 */   // Label 3985: @200479
     /* 200479 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(200584), // Rule ID 3880 //
     /* 200484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 200487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 200492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 200495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 200498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 200501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 200504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 200536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200540 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200557 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 200561 */     // MIs[3] Operand 1
     /* 200561 */     // No operand predicates
     /* 200561 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200563 */     // (intrinsic_wo_chain:{ *:[v8f16] } 759:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 3:{ *:[i32] })
     /* 200563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 200566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200568 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200570 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 200582 */     GIR_RootConstrainSelectedInstOperands,
     /* 200583 */     // GIR_Coverage, 3880,
     /* 200583 */     GIR_EraseRootFromParent_Done,
     /* 200584 */   // Label 3986: @200584
     /* 200584 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(200689), // Rule ID 3893 //
     /* 200589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 200592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 200597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 200600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 200603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 200606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 200609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 200641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200645 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200654 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200658 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200662 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 200666 */     // MIs[3] Operand 1
     /* 200666 */     // No operand predicates
     /* 200666 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200668 */     // (intrinsic_wo_chain:{ *:[v4f32] } 757:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 0:{ *:[i32] })
     /* 200668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 200671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200675 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200687 */     GIR_RootConstrainSelectedInstOperands,
     /* 200688 */     // GIR_Coverage, 3893,
     /* 200688 */     GIR_EraseRootFromParent_Done,
     /* 200689 */   // Label 3987: @200689
     /* 200689 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(200794), // Rule ID 3894 //
     /* 200694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 200697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 200702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 200705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 200708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 200711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 200714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 200746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200750 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200759 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200763 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200767 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 200771 */     // MIs[3] Operand 1
     /* 200771 */     // No operand predicates
     /* 200771 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200773 */     // (intrinsic_wo_chain:{ *:[v4f32] } 760:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 1:{ *:[i32] })
     /* 200773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 200776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200792 */     GIR_RootConstrainSelectedInstOperands,
     /* 200793 */     // GIR_Coverage, 3894,
     /* 200793 */     GIR_EraseRootFromParent_Done,
     /* 200794 */   // Label 3988: @200794
     /* 200794 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(200899), // Rule ID 3895 //
     /* 200799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 200802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 200807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 200810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 200813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 200816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 200819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 200851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200855 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200864 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200868 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200872 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 200876 */     // MIs[3] Operand 1
     /* 200876 */     // No operand predicates
     /* 200876 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200878 */     // (intrinsic_wo_chain:{ *:[v4f32] } 758:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 2:{ *:[i32] })
     /* 200878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 200881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200883 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200885 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 200897 */     GIR_RootConstrainSelectedInstOperands,
     /* 200898 */     // GIR_Coverage, 3895,
     /* 200898 */     GIR_EraseRootFromParent_Done,
     /* 200899 */   // Label 3989: @200899
     /* 200899 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(201004), // Rule ID 3896 //
     /* 200904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 200907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 200912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 200915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 200918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 200921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 200924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 200956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200960 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200964 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200969 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200973 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200977 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 200981 */     // MIs[3] Operand 1
     /* 200981 */     // No operand predicates
     /* 200981 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200983 */     // (intrinsic_wo_chain:{ *:[v4f32] } 759:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 3:{ *:[i32] })
     /* 200983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 200986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200990 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 201002 */     GIR_RootConstrainSelectedInstOperands,
     /* 201003 */     // GIR_Coverage, 3896,
     /* 201003 */     GIR_EraseRootFromParent_Done,
     /* 201004 */   // Label 3990: @201004
     /* 201004 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(201058), // Rule ID 59 //
     /* 201009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 201012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 201017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 201026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201034 */     // MIs[0] Operand 3
     /* 201034 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 201045 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 201049 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 0:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACIZA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 201049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIZA),
     /* 201052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 201056 */     GIR_RootConstrainSelectedInstOperands,
     /* 201057 */     // GIR_Coverage, 59,
     /* 201057 */     GIR_EraseRootFromParent_Done,
     /* 201058 */   // Label 3991: @201058
     /* 201058 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(201112), // Rule ID 60 //
     /* 201063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 201066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 201071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 201080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201088 */     // MIs[0] Operand 3
     /* 201088 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 201099 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 201103 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 2:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACDZA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 201103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDZA),
     /* 201106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201108 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 201110 */     GIR_RootConstrainSelectedInstOperands,
     /* 201111 */     // GIR_Coverage, 60,
     /* 201111 */     GIR_EraseRootFromParent_Done,
     /* 201112 */   // Label 3992: @201112
     /* 201112 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(201166), // Rule ID 61 //
     /* 201117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 201120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 201125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 201134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201142 */     // MIs[0] Operand 3
     /* 201142 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 201153 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 201157 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 1:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACIZB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 201157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIZB),
     /* 201160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 201164 */     GIR_RootConstrainSelectedInstOperands,
     /* 201165 */     // GIR_Coverage, 61,
     /* 201165 */     GIR_EraseRootFromParent_Done,
     /* 201166 */   // Label 3993: @201166
     /* 201166 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(201220), // Rule ID 62 //
     /* 201171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 201174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 201179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 201188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201196 */     // MIs[0] Operand 3
     /* 201196 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 201207 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 201211 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 3:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACDZB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 201211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDZB),
     /* 201214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201216 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 201218 */     GIR_RootConstrainSelectedInstOperands,
     /* 201219 */     // GIR_Coverage, 62,
     /* 201219 */     GIR_EraseRootFromParent_Done,
     /* 201220 */   // Label 3994: @201220
     /* 201220 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(201276), // Rule ID 2652 //
     /* 201225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqinch),
     /* 201233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 201236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 201239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201247 */     // MIs[0] pattern
     /* 201247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201255 */     // MIs[0] imm4
     /* 201255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201263 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1810:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCH_ZPiI),
     /* 201266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 201268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 201270 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201272 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201274 */     GIR_RootConstrainSelectedInstOperands,
     /* 201275 */     // GIR_Coverage, 2652,
     /* 201275 */     GIR_EraseRootFromParent_Done,
     /* 201276 */   // Label 3995: @201276
     /* 201276 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(201332), // Rule ID 2661 //
     /* 201281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincb_n32),
     /* 201289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201303 */     // MIs[0] pattern
     /* 201303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201311 */     // MIs[0] imm4
     /* 201311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201319 */     // (intrinsic_wo_chain:{ *:[i32] } 2016:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCB_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCB_WPiI),
     /* 201322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201326 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201328 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201330 */     GIR_RootConstrainSelectedInstOperands,
     /* 201331 */     // GIR_Coverage, 2661,
     /* 201331 */     GIR_EraseRootFromParent_Done,
     /* 201332 */   // Label 3996: @201332
     /* 201332 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(201388), // Rule ID 2662 //
     /* 201337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincb_n64),
     /* 201345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201359 */     // MIs[0] pattern
     /* 201359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201367 */     // MIs[0] imm4
     /* 201367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201375 */     // (intrinsic_wo_chain:{ *:[i64] } 1806:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCB_XPiI),
     /* 201378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201382 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201384 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201386 */     GIR_RootConstrainSelectedInstOperands,
     /* 201387 */     // GIR_Coverage, 2662,
     /* 201387 */     GIR_EraseRootFromParent_Done,
     /* 201388 */   // Label 3997: @201388
     /* 201388 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(201444), // Rule ID 9970 //
     /* 201393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecb_n32),
     /* 201401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201415 */     // MIs[0] pattern
     /* 201415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201418 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201423 */     // MIs[0] imm4
     /* 201423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201431 */     // (intrinsic_wo_chain:{ *:[i32] } 2002:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECB_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECB_WPiI),
     /* 201434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201438 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201440 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201442 */     GIR_RootConstrainSelectedInstOperands,
     /* 201443 */     // GIR_Coverage, 9970,
     /* 201443 */     GIR_EraseRootFromParent_Done,
     /* 201444 */   // Label 3998: @201444
     /* 201444 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(201500), // Rule ID 9971 //
     /* 201449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincb_n64),
     /* 201457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201471 */     // MIs[0] pattern
     /* 201471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201474 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201479 */     // MIs[0] imm4
     /* 201479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201482 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201487 */     // (intrinsic_wo_chain:{ *:[i64] } 2017:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCB_XPiI),
     /* 201490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201492 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201494 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201496 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201498 */     GIR_RootConstrainSelectedInstOperands,
     /* 201499 */     // GIR_Coverage, 9971,
     /* 201499 */     GIR_EraseRootFromParent_Done,
     /* 201500 */   // Label 3999: @201500
     /* 201500 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(201556), // Rule ID 9972 //
     /* 201505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecb_n64),
     /* 201513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201527 */     // MIs[0] pattern
     /* 201527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201535 */     // MIs[0] imm4
     /* 201535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201543 */     // (intrinsic_wo_chain:{ *:[i64] } 1772:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECB_XPiI),
     /* 201546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201550 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201552 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201554 */     GIR_RootConstrainSelectedInstOperands,
     /* 201555 */     // GIR_Coverage, 9972,
     /* 201555 */     GIR_EraseRootFromParent_Done,
     /* 201556 */   // Label 4000: @201556
     /* 201556 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(201612), // Rule ID 9973 //
     /* 201561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecb_n64),
     /* 201569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201583 */     // MIs[0] pattern
     /* 201583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201586 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201591 */     // MIs[0] imm4
     /* 201591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201599 */     // (intrinsic_wo_chain:{ *:[i64] } 2003:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECB_XPiI),
     /* 201602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201604 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201606 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201608 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201610 */     GIR_RootConstrainSelectedInstOperands,
     /* 201611 */     // GIR_Coverage, 9973,
     /* 201611 */     GIR_EraseRootFromParent_Done,
     /* 201612 */   // Label 4001: @201612
     /* 201612 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(201668), // Rule ID 9976 //
     /* 201617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqinch_n32),
     /* 201625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201639 */     // MIs[0] pattern
     /* 201639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201647 */     // MIs[0] imm4
     /* 201647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201655 */     // (intrinsic_wo_chain:{ *:[i32] } 2022:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCH_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCH_WPiI),
     /* 201658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201662 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201664 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201666 */     GIR_RootConstrainSelectedInstOperands,
     /* 201667 */     // GIR_Coverage, 9976,
     /* 201667 */     GIR_EraseRootFromParent_Done,
     /* 201668 */   // Label 4002: @201668
     /* 201668 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(201724), // Rule ID 9979 //
     /* 201673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdech_n32),
     /* 201681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201695 */     // MIs[0] pattern
     /* 201695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201703 */     // MIs[0] imm4
     /* 201703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201711 */     // (intrinsic_wo_chain:{ *:[i32] } 2008:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECH_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECH_WPiI),
     /* 201714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201716 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201718 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201720 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201722 */     GIR_RootConstrainSelectedInstOperands,
     /* 201723 */     // GIR_Coverage, 9979,
     /* 201723 */     GIR_EraseRootFromParent_Done,
     /* 201724 */   // Label 4003: @201724
     /* 201724 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(201780), // Rule ID 9980 //
     /* 201729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqinch_n64),
     /* 201737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201751 */     // MIs[0] pattern
     /* 201751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201754 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201759 */     // MIs[0] imm4
     /* 201759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201767 */     // (intrinsic_wo_chain:{ *:[i64] } 1812:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCH_XPiI),
     /* 201770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201772 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201774 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201776 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201778 */     GIR_RootConstrainSelectedInstOperands,
     /* 201779 */     // GIR_Coverage, 9980,
     /* 201779 */     GIR_EraseRootFromParent_Done,
     /* 201780 */   // Label 4004: @201780
     /* 201780 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(201836), // Rule ID 9981 //
     /* 201785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqinch_n64),
     /* 201793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201807 */     // MIs[0] pattern
     /* 201807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201810 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201815 */     // MIs[0] imm4
     /* 201815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201818 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201823 */     // (intrinsic_wo_chain:{ *:[i64] } 2023:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCH_XPiI),
     /* 201826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201830 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201832 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201834 */     GIR_RootConstrainSelectedInstOperands,
     /* 201835 */     // GIR_Coverage, 9981,
     /* 201835 */     GIR_EraseRootFromParent_Done,
     /* 201836 */   // Label 4005: @201836
     /* 201836 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(201892), // Rule ID 9982 //
     /* 201841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdech_n64),
     /* 201849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201863 */     // MIs[0] pattern
     /* 201863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201866 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201871 */     // MIs[0] imm4
     /* 201871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201874 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201879 */     // (intrinsic_wo_chain:{ *:[i64] } 1778:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECH_XPiI),
     /* 201882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201884 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201886 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201888 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201890 */     GIR_RootConstrainSelectedInstOperands,
     /* 201891 */     // GIR_Coverage, 9982,
     /* 201891 */     GIR_EraseRootFromParent_Done,
     /* 201892 */   // Label 4006: @201892
     /* 201892 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(201948), // Rule ID 9983 //
     /* 201897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdech_n64),
     /* 201905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201919 */     // MIs[0] pattern
     /* 201919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201927 */     // MIs[0] imm4
     /* 201927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201935 */     // (intrinsic_wo_chain:{ *:[i64] } 2009:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECH_XPiI),
     /* 201938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201940 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201942 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201944 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201946 */     GIR_RootConstrainSelectedInstOperands,
     /* 201947 */     // GIR_Coverage, 9983,
     /* 201947 */     GIR_EraseRootFromParent_Done,
     /* 201948 */   // Label 4007: @201948
     /* 201948 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(202004), // Rule ID 9986 //
     /* 201953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincw_n32),
     /* 201961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201975 */     // MIs[0] pattern
     /* 201975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201983 */     // MIs[0] imm4
     /* 201983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201991 */     // (intrinsic_wo_chain:{ *:[i32] } 2028:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCW_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCW_WPiI),
     /* 201994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201998 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202000 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202002 */     GIR_RootConstrainSelectedInstOperands,
     /* 202003 */     // GIR_Coverage, 9986,
     /* 202003 */     GIR_EraseRootFromParent_Done,
     /* 202004 */   // Label 4008: @202004
     /* 202004 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(202060), // Rule ID 9989 //
     /* 202009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecw_n32),
     /* 202017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 202020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 202023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 202027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 202031 */     // MIs[0] pattern
     /* 202031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202039 */     // MIs[0] imm4
     /* 202039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202047 */     // (intrinsic_wo_chain:{ *:[i32] } 2014:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECW_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECW_WPiI),
     /* 202050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202054 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202056 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202058 */     GIR_RootConstrainSelectedInstOperands,
     /* 202059 */     // GIR_Coverage, 9989,
     /* 202059 */     GIR_EraseRootFromParent_Done,
     /* 202060 */   // Label 4009: @202060
     /* 202060 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(202116), // Rule ID 9990 //
     /* 202065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincw_n64),
     /* 202073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202087 */     // MIs[0] pattern
     /* 202087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202090 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202095 */     // MIs[0] imm4
     /* 202095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202098 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202103 */     // (intrinsic_wo_chain:{ *:[i64] } 1818:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCW_XPiI),
     /* 202106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202108 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202110 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202112 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202114 */     GIR_RootConstrainSelectedInstOperands,
     /* 202115 */     // GIR_Coverage, 9990,
     /* 202115 */     GIR_EraseRootFromParent_Done,
     /* 202116 */   // Label 4010: @202116
     /* 202116 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(202172), // Rule ID 9991 //
     /* 202121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincw_n64),
     /* 202129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202143 */     // MIs[0] pattern
     /* 202143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202146 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202151 */     // MIs[0] imm4
     /* 202151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202159 */     // (intrinsic_wo_chain:{ *:[i64] } 2029:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCW_XPiI),
     /* 202162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202164 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202166 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202168 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202170 */     GIR_RootConstrainSelectedInstOperands,
     /* 202171 */     // GIR_Coverage, 9991,
     /* 202171 */     GIR_EraseRootFromParent_Done,
     /* 202172 */   // Label 4011: @202172
     /* 202172 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(202228), // Rule ID 9992 //
     /* 202177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecw_n64),
     /* 202185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202199 */     // MIs[0] pattern
     /* 202199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202202 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202207 */     // MIs[0] imm4
     /* 202207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202210 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202215 */     // (intrinsic_wo_chain:{ *:[i64] } 1784:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECW_XPiI),
     /* 202218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202222 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202224 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202226 */     GIR_RootConstrainSelectedInstOperands,
     /* 202227 */     // GIR_Coverage, 9992,
     /* 202227 */     GIR_EraseRootFromParent_Done,
     /* 202228 */   // Label 4012: @202228
     /* 202228 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(202284), // Rule ID 9993 //
     /* 202233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecw_n64),
     /* 202241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202255 */     // MIs[0] pattern
     /* 202255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202263 */     // MIs[0] imm4
     /* 202263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202266 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202271 */     // (intrinsic_wo_chain:{ *:[i64] } 2015:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECW_XPiI),
     /* 202274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202278 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202280 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202282 */     GIR_RootConstrainSelectedInstOperands,
     /* 202283 */     // GIR_Coverage, 9993,
     /* 202283 */     GIR_EraseRootFromParent_Done,
     /* 202284 */   // Label 4013: @202284
     /* 202284 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(202340), // Rule ID 9996 //
     /* 202289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincd_n32),
     /* 202297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 202300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 202303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 202307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 202311 */     // MIs[0] pattern
     /* 202311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202319 */     // MIs[0] imm4
     /* 202319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202327 */     // (intrinsic_wo_chain:{ *:[i32] } 2019:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCD_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCD_WPiI),
     /* 202330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202334 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202336 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202338 */     GIR_RootConstrainSelectedInstOperands,
     /* 202339 */     // GIR_Coverage, 9996,
     /* 202339 */     GIR_EraseRootFromParent_Done,
     /* 202340 */   // Label 4014: @202340
     /* 202340 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(202396), // Rule ID 9999 //
     /* 202345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecd_n32),
     /* 202353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 202356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 202359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 202363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 202367 */     // MIs[0] pattern
     /* 202367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202375 */     // MIs[0] imm4
     /* 202375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202383 */     // (intrinsic_wo_chain:{ *:[i32] } 2005:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECD_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECD_WPiI),
     /* 202386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202390 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202392 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202394 */     GIR_RootConstrainSelectedInstOperands,
     /* 202395 */     // GIR_Coverage, 9999,
     /* 202395 */     GIR_EraseRootFromParent_Done,
     /* 202396 */   // Label 4015: @202396
     /* 202396 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(202452), // Rule ID 10000 //
     /* 202401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincd_n64),
     /* 202409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202423 */     // MIs[0] pattern
     /* 202423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202431 */     // MIs[0] imm4
     /* 202431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202439 */     // (intrinsic_wo_chain:{ *:[i64] } 1809:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCD_XPiI),
     /* 202442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202444 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202446 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202448 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202450 */     GIR_RootConstrainSelectedInstOperands,
     /* 202451 */     // GIR_Coverage, 10000,
     /* 202451 */     GIR_EraseRootFromParent_Done,
     /* 202452 */   // Label 4016: @202452
     /* 202452 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(202508), // Rule ID 10001 //
     /* 202457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincd_n64),
     /* 202465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202479 */     // MIs[0] pattern
     /* 202479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202482 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202487 */     // MIs[0] imm4
     /* 202487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202490 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202495 */     // (intrinsic_wo_chain:{ *:[i64] } 2020:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCD_XPiI),
     /* 202498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202502 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202504 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202506 */     GIR_RootConstrainSelectedInstOperands,
     /* 202507 */     // GIR_Coverage, 10001,
     /* 202507 */     GIR_EraseRootFromParent_Done,
     /* 202508 */   // Label 4017: @202508
     /* 202508 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(202564), // Rule ID 10002 //
     /* 202513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecd_n64),
     /* 202521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202535 */     // MIs[0] pattern
     /* 202535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202543 */     // MIs[0] imm4
     /* 202543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202546 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202551 */     // (intrinsic_wo_chain:{ *:[i64] } 1775:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECD_XPiI),
     /* 202554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202558 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202560 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202562 */     GIR_RootConstrainSelectedInstOperands,
     /* 202563 */     // GIR_Coverage, 10002,
     /* 202563 */     GIR_EraseRootFromParent_Done,
     /* 202564 */   // Label 4018: @202564
     /* 202564 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(202620), // Rule ID 10003 //
     /* 202569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecd_n64),
     /* 202577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202591 */     // MIs[0] pattern
     /* 202591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202599 */     // MIs[0] imm4
     /* 202599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202602 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202607 */     // (intrinsic_wo_chain:{ *:[i64] } 2006:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECD_XPiI),
     /* 202610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202612 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202614 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202616 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202618 */     GIR_RootConstrainSelectedInstOperands,
     /* 202619 */     // GIR_Coverage, 10003,
     /* 202619 */     GIR_EraseRootFromParent_Done,
     /* 202620 */   // Label 4019: @202620
     /* 202620 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(202676), // Rule ID 10004 //
     /* 202625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqinch),
     /* 202633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202647 */     // MIs[0] pattern
     /* 202647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202655 */     // MIs[0] imm4
     /* 202655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202663 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2021:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCH_ZPiI),
     /* 202666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202670 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202672 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202674 */     GIR_RootConstrainSelectedInstOperands,
     /* 202675 */     // GIR_Coverage, 10004,
     /* 202675 */     GIR_EraseRootFromParent_Done,
     /* 202676 */   // Label 4020: @202676
     /* 202676 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(202732), // Rule ID 10005 //
     /* 202681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdech),
     /* 202689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202703 */     // MIs[0] pattern
     /* 202703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202711 */     // MIs[0] imm4
     /* 202711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202719 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1776:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECH_ZPiI),
     /* 202722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202724 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202726 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202728 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202730 */     GIR_RootConstrainSelectedInstOperands,
     /* 202731 */     // GIR_Coverage, 10005,
     /* 202731 */     GIR_EraseRootFromParent_Done,
     /* 202732 */   // Label 4021: @202732
     /* 202732 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(202788), // Rule ID 10006 //
     /* 202737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdech),
     /* 202745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202759 */     // MIs[0] pattern
     /* 202759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202767 */     // MIs[0] imm4
     /* 202767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202770 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202775 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2007:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECH_ZPiI),
     /* 202778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202780 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202782 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202784 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202786 */     GIR_RootConstrainSelectedInstOperands,
     /* 202787 */     // GIR_Coverage, 10006,
     /* 202787 */     GIR_EraseRootFromParent_Done,
     /* 202788 */   // Label 4022: @202788
     /* 202788 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(202844), // Rule ID 10007 //
     /* 202793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincw),
     /* 202801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202815 */     // MIs[0] pattern
     /* 202815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202818 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202823 */     // MIs[0] imm4
     /* 202823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202831 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1816:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCW_ZPiI),
     /* 202834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202838 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202840 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202842 */     GIR_RootConstrainSelectedInstOperands,
     /* 202843 */     // GIR_Coverage, 10007,
     /* 202843 */     GIR_EraseRootFromParent_Done,
     /* 202844 */   // Label 4023: @202844
     /* 202844 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(202900), // Rule ID 10008 //
     /* 202849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincw),
     /* 202857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202871 */     // MIs[0] pattern
     /* 202871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202874 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202879 */     // MIs[0] imm4
     /* 202879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202882 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2027:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCW_ZPiI),
     /* 202890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202894 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202896 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202898 */     GIR_RootConstrainSelectedInstOperands,
     /* 202899 */     // GIR_Coverage, 10008,
     /* 202899 */     GIR_EraseRootFromParent_Done,
     /* 202900 */   // Label 4024: @202900
     /* 202900 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(202956), // Rule ID 10009 //
     /* 202905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecw),
     /* 202913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202927 */     // MIs[0] pattern
     /* 202927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202935 */     // MIs[0] imm4
     /* 202935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202943 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1782:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECW_ZPiI),
     /* 202946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202948 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202950 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202952 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202954 */     GIR_RootConstrainSelectedInstOperands,
     /* 202955 */     // GIR_Coverage, 10009,
     /* 202955 */     GIR_EraseRootFromParent_Done,
     /* 202956 */   // Label 4025: @202956
     /* 202956 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(203012), // Rule ID 10010 //
     /* 202961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecw),
     /* 202969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202983 */     // MIs[0] pattern
     /* 202983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202991 */     // MIs[0] imm4
     /* 202991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202994 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202999 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2013:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECW_ZPiI),
     /* 203002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 203006 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 203008 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 203010 */     GIR_RootConstrainSelectedInstOperands,
     /* 203011 */     // GIR_Coverage, 10010,
     /* 203011 */     GIR_EraseRootFromParent_Done,
     /* 203012 */   // Label 4026: @203012
     /* 203012 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(203068), // Rule ID 10011 //
     /* 203017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 203020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincd),
     /* 203025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 203031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203039 */     // MIs[0] pattern
     /* 203039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 203042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 203047 */     // MIs[0] imm4
     /* 203047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 203055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1807:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 203055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCD_ZPiI),
     /* 203058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 203062 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 203064 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 203066 */     GIR_RootConstrainSelectedInstOperands,
     /* 203067 */     // GIR_Coverage, 10011,
     /* 203067 */     GIR_EraseRootFromParent_Done,
     /* 203068 */   // Label 4027: @203068
     /* 203068 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(203124), // Rule ID 10012 //
     /* 203073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 203076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincd),
     /* 203081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 203087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203095 */     // MIs[0] pattern
     /* 203095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 203098 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 203103 */     // MIs[0] imm4
     /* 203103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203106 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 203111 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2018:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 203111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCD_ZPiI),
     /* 203114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 203118 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 203120 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 203122 */     GIR_RootConstrainSelectedInstOperands,
     /* 203123 */     // GIR_Coverage, 10012,
     /* 203123 */     GIR_EraseRootFromParent_Done,
     /* 203124 */   // Label 4028: @203124
     /* 203124 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(203180), // Rule ID 10013 //
     /* 203129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 203132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecd),
     /* 203137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 203143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203151 */     // MIs[0] pattern
     /* 203151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 203154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 203159 */     // MIs[0] imm4
     /* 203159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203162 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 203167 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1773:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 203167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECD_ZPiI),
     /* 203170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203172 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 203174 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 203176 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 203178 */     GIR_RootConstrainSelectedInstOperands,
     /* 203179 */     // GIR_Coverage, 10013,
     /* 203179 */     GIR_EraseRootFromParent_Done,
     /* 203180 */   // Label 4029: @203180
     /* 203180 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(203236), // Rule ID 10014 //
     /* 203185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 203188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecd),
     /* 203193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 203199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203207 */     // MIs[0] pattern
     /* 203207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 203210 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 203215 */     // MIs[0] imm4
     /* 203215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203218 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 203223 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2004:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 203223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECD_ZPiI),
     /* 203226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 203230 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 203232 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 203234 */     GIR_RootConstrainSelectedInstOperands,
     /* 203235 */     // GIR_Coverage, 10014,
     /* 203235 */     GIR_EraseRootFromParent_Done,
     /* 203236 */   // Label 4030: @203236
     /* 203236 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(203326), // Rule ID 47 //
     /* 203241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 203249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 203252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 203255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203285 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203302 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203306 */     // MIs[2] Operand 1
     /* 203306 */     // No operand predicates
     /* 203306 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203308 */     // (intrinsic_wo_chain:{ *:[v2f32] } 606:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLALlanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALlanev4f16),
     /* 203311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203313 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203315 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203324 */     GIR_RootConstrainSelectedInstOperands,
     /* 203325 */     // GIR_Coverage, 47,
     /* 203325 */     GIR_EraseRootFromParent_Done,
     /* 203326 */   // Label 4031: @203326
     /* 203326 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(203416), // Rule ID 48 //
     /* 203331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 203339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 203342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 203345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 203348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 203351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203375 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203392 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203396 */     // MIs[2] Operand 1
     /* 203396 */     // No operand predicates
     /* 203396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203398 */     // (intrinsic_wo_chain:{ *:[v4f32] } 606:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLALlanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALlanev8f16),
     /* 203401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203405 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203414 */     GIR_RootConstrainSelectedInstOperands,
     /* 203415 */     // GIR_Coverage, 48,
     /* 203415 */     GIR_EraseRootFromParent_Done,
     /* 203416 */   // Label 4032: @203416
     /* 203416 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(203506), // Rule ID 49 //
     /* 203421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 203429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 203432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 203435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203482 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203486 */     // MIs[2] Operand 1
     /* 203486 */     // No operand predicates
     /* 203486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203488 */     // (intrinsic_wo_chain:{ *:[v2f32] } 608:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSLlanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLlanev4f16),
     /* 203491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203495 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203504 */     GIR_RootConstrainSelectedInstOperands,
     /* 203505 */     // GIR_Coverage, 49,
     /* 203505 */     GIR_EraseRootFromParent_Done,
     /* 203506 */   // Label 4033: @203506
     /* 203506 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(203596), // Rule ID 50 //
     /* 203511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 203519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 203522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 203525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 203528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 203531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203572 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203576 */     // MIs[2] Operand 1
     /* 203576 */     // No operand predicates
     /* 203576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203578 */     // (intrinsic_wo_chain:{ *:[v4f32] } 608:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSLlanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLlanev8f16),
     /* 203581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203583 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203585 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203594 */     GIR_RootConstrainSelectedInstOperands,
     /* 203595 */     // GIR_Coverage, 50,
     /* 203595 */     GIR_EraseRootFromParent_Done,
     /* 203596 */   // Label 4034: @203596
     /* 203596 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(203686), // Rule ID 51 //
     /* 203601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 203609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 203612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 203615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203662 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203666 */     // MIs[2] Operand 1
     /* 203666 */     // No operand predicates
     /* 203666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203668 */     // (intrinsic_wo_chain:{ *:[v2f32] } 607:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLAL2lanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2lanev4f16),
     /* 203671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203675 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203684 */     GIR_RootConstrainSelectedInstOperands,
     /* 203685 */     // GIR_Coverage, 51,
     /* 203685 */     GIR_EraseRootFromParent_Done,
     /* 203686 */   // Label 4035: @203686
     /* 203686 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(203776), // Rule ID 52 //
     /* 203691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 203699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 203702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 203705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 203708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 203711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203752 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203756 */     // MIs[2] Operand 1
     /* 203756 */     // No operand predicates
     /* 203756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203758 */     // (intrinsic_wo_chain:{ *:[v4f32] } 607:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLAL2lanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2lanev8f16),
     /* 203761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203763 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203765 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203774 */     GIR_RootConstrainSelectedInstOperands,
     /* 203775 */     // GIR_Coverage, 52,
     /* 203775 */     GIR_EraseRootFromParent_Done,
     /* 203776 */   // Label 4036: @203776
     /* 203776 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(203866), // Rule ID 53 //
     /* 203781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 203789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 203792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 203795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203842 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203846 */     // MIs[2] Operand 1
     /* 203846 */     // No operand predicates
     /* 203846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203848 */     // (intrinsic_wo_chain:{ *:[v2f32] } 609:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSL2lanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2lanev4f16),
     /* 203851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203855 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203864 */     GIR_RootConstrainSelectedInstOperands,
     /* 203865 */     // GIR_Coverage, 53,
     /* 203865 */     GIR_EraseRootFromParent_Done,
     /* 203866 */   // Label 4037: @203866
     /* 203866 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(203956), // Rule ID 54 //
     /* 203871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 203879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 203882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 203885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 203888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 203891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203932 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203936 */     // MIs[2] Operand 1
     /* 203936 */     // No operand predicates
     /* 203936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203938 */     // (intrinsic_wo_chain:{ *:[v4f32] } 609:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSL2lanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2lanev8f16),
     /* 203941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203943 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203945 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203954 */     GIR_RootConstrainSelectedInstOperands,
     /* 203955 */     // GIR_Coverage, 54,
     /* 203955 */     GIR_EraseRootFromParent_Done,
     /* 203956 */   // Label 4038: @203956
     /* 203956 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(204046), // Rule ID 2070 //
     /* 203961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 203969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 203972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 203975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 204001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 204005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 204014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204022 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 204026 */     // MIs[2] Operand 1
     /* 204026 */     // No operand predicates
     /* 204026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204028 */     // (intrinsic_wo_chain:{ *:[v4i16] } 686:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLAHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i16_indexed),
     /* 204031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204035 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204044 */     GIR_RootConstrainSelectedInstOperands,
     /* 204045 */     // GIR_Coverage, 2070,
     /* 204045 */     GIR_EraseRootFromParent_Done,
     /* 204046 */   // Label 4039: @204046
     /* 204046 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(204136), // Rule ID 2071 //
     /* 204051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 204059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 204062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 204065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 204068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 204071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 204091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 204095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 204104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204112 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 204116 */     // MIs[2] Operand 1
     /* 204116 */     // No operand predicates
     /* 204116 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204118 */     // (intrinsic_wo_chain:{ *:[v8i16] } 686:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLAHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv8i16_indexed),
     /* 204121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204123 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204125 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204134 */     GIR_RootConstrainSelectedInstOperands,
     /* 204135 */     // GIR_Coverage, 2071,
     /* 204135 */     GIR_EraseRootFromParent_Done,
     /* 204136 */   // Label 4040: @204136
     /* 204136 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(204226), // Rule ID 2077 //
     /* 204141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 204149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 204152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 204155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 204158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 204161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 204181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 204185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 204194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204202 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 204206 */     // MIs[2] Operand 1
     /* 204206 */     // No operand predicates
     /* 204206 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204208 */     // (intrinsic_wo_chain:{ *:[v4i16] } 687:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLSHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i16_indexed),
     /* 204211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204215 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204224 */     GIR_RootConstrainSelectedInstOperands,
     /* 204225 */     // GIR_Coverage, 2077,
     /* 204225 */     GIR_EraseRootFromParent_Done,
     /* 204226 */   // Label 4041: @204226
     /* 204226 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(204316), // Rule ID 2078 //
     /* 204231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 204239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 204242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 204245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 204248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 204251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 204271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 204275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 204284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204292 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 204296 */     // MIs[2] Operand 1
     /* 204296 */     // No operand predicates
     /* 204296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204298 */     // (intrinsic_wo_chain:{ *:[v8i16] } 687:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLSHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv8i16_indexed),
     /* 204301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204303 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204305 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204314 */     GIR_RootConstrainSelectedInstOperands,
     /* 204315 */     // GIR_Coverage, 2078,
     /* 204315 */     GIR_EraseRootFromParent_Done,
     /* 204316 */   // Label 4042: @204316
     /* 204316 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(204406), // Rule ID 2073 //
     /* 204321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 204329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 204332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 204335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 204338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 204341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 204361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 204365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204382 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 204386 */     // MIs[2] Operand 1
     /* 204386 */     // No operand predicates
     /* 204386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204388 */     // (intrinsic_wo_chain:{ *:[v2i32] } 686:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLAHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv2i32_indexed),
     /* 204391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204395 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204404 */     GIR_RootConstrainSelectedInstOperands,
     /* 204405 */     // GIR_Coverage, 2073,
     /* 204405 */     GIR_EraseRootFromParent_Done,
     /* 204406 */   // Label 4043: @204406
     /* 204406 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(204496), // Rule ID 2074 //
     /* 204411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 204419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 204422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 204425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 204428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 204431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 204451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 204455 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204472 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 204476 */     // MIs[2] Operand 1
     /* 204476 */     // No operand predicates
     /* 204476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204478 */     // (intrinsic_wo_chain:{ *:[v4i32] } 686:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLAHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i32_indexed),
     /* 204481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204483 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204485 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204494 */     GIR_RootConstrainSelectedInstOperands,
     /* 204495 */     // GIR_Coverage, 2074,
     /* 204495 */     GIR_EraseRootFromParent_Done,
     /* 204496 */   // Label 4044: @204496
     /* 204496 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(204586), // Rule ID 2080 //
     /* 204501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 204509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 204512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 204515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 204518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 204521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 204541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 204545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204562 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 204566 */     // MIs[2] Operand 1
     /* 204566 */     // No operand predicates
     /* 204566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204568 */     // (intrinsic_wo_chain:{ *:[v2i32] } 687:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLSHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv2i32_indexed),
     /* 204571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204575 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204584 */     GIR_RootConstrainSelectedInstOperands,
     /* 204585 */     // GIR_Coverage, 2080,
     /* 204585 */     GIR_EraseRootFromParent_Done,
     /* 204586 */   // Label 4045: @204586
     /* 204586 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(204676), // Rule ID 2081 //
     /* 204591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 204599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 204602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 204605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 204608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 204611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 204631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 204635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204652 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 204656 */     // MIs[2] Operand 1
     /* 204656 */     // No operand predicates
     /* 204656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204658 */     // (intrinsic_wo_chain:{ *:[v4i32] } 687:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLSHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i32_indexed),
     /* 204661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204663 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204665 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204674 */     GIR_RootConstrainSelectedInstOperands,
     /* 204675 */     // GIR_Coverage, 2081,
     /* 204675 */     GIR_EraseRootFromParent_Done,
     /* 204676 */   // Label 4046: @204676
     /* 204676 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(204766), // Rule ID 2075 //
     /* 204681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 204689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 204692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 204695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 204698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 204701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 204705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 204709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 204713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 204721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 204725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204742 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 204746 */     // MIs[2] Operand 1
     /* 204746 */     // No operand predicates
     /* 204746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204748 */     // (intrinsic_wo_chain:{ *:[i32] } 686:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLAHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv1i32_indexed),
     /* 204751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204755 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204764 */     GIR_RootConstrainSelectedInstOperands,
     /* 204765 */     // GIR_Coverage, 2075,
     /* 204765 */     GIR_EraseRootFromParent_Done,
     /* 204766 */   // Label 4047: @204766
     /* 204766 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(204856), // Rule ID 2082 //
     /* 204771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 204779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 204782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 204785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 204788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 204791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 204795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 204799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 204803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 204811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 204815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204832 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 204836 */     // MIs[2] Operand 1
     /* 204836 */     // No operand predicates
     /* 204836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204838 */     // (intrinsic_wo_chain:{ *:[i32] } 687:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLSHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv1i32_indexed),
     /* 204841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204845 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204854 */     GIR_RootConstrainSelectedInstOperands,
     /* 204855 */     // GIR_Coverage, 2082,
     /* 204855 */     GIR_EraseRootFromParent_Done,
     /* 204856 */   // Label 4048: @204856
     /* 204856 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(204933), // Rule ID 2781 //
     /* 204861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 204869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 204875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 204881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 204905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204913 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 204917 */     // MIs[2] Operand 1
     /* 204917 */     // No operand predicates
     /* 204917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204919 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1363:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FADD_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 204919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_H),
     /* 204922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204931 */     GIR_RootConstrainSelectedInstOperands,
     /* 204932 */     // GIR_Coverage, 2781,
     /* 204932 */     GIR_EraseRootFromParent_Done,
     /* 204933 */   // Label 4049: @204933
     /* 204933 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(205010), // Rule ID 2782 //
     /* 204938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 204946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 204952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 204958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 204982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204990 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 204994 */     // MIs[2] Operand 1
     /* 204994 */     // No operand predicates
     /* 204994 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204996 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1363:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FADD_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 204996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_H),
     /* 204999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205001 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205003 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205008 */     GIR_RootConstrainSelectedInstOperands,
     /* 205009 */     // GIR_Coverage, 2782,
     /* 205009 */     GIR_EraseRootFromParent_Done,
     /* 205010 */   // Label 4050: @205010
     /* 205010 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(205087), // Rule ID 2783 //
     /* 205015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 205023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205067 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205071 */     // MIs[2] Operand 1
     /* 205071 */     // No operand predicates
     /* 205071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205073 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1363:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FADD_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 205073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_S),
     /* 205076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205080 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205085 */     GIR_RootConstrainSelectedInstOperands,
     /* 205086 */     // GIR_Coverage, 2783,
     /* 205086 */     GIR_EraseRootFromParent_Done,
     /* 205087 */   // Label 4051: @205087
     /* 205087 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(205164), // Rule ID 2784 //
     /* 205092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 205100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205144 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205148 */     // MIs[2] Operand 1
     /* 205148 */     // No operand predicates
     /* 205148 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205150 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1363:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FADD_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 205150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_S),
     /* 205153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205157 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205162 */     GIR_RootConstrainSelectedInstOperands,
     /* 205163 */     // GIR_Coverage, 2784,
     /* 205163 */     GIR_EraseRootFromParent_Done,
     /* 205164 */   // Label 4052: @205164
     /* 205164 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(205241), // Rule ID 2785 //
     /* 205169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 205177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 205183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205221 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205225 */     // MIs[2] Operand 1
     /* 205225 */     // No operand predicates
     /* 205225 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205227 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1363:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FADD_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 205227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_D),
     /* 205230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205239 */     GIR_RootConstrainSelectedInstOperands,
     /* 205240 */     // GIR_Coverage, 2785,
     /* 205240 */     GIR_EraseRootFromParent_Done,
     /* 205241 */   // Label 4053: @205241
     /* 205241 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(205318), // Rule ID 2786 //
     /* 205246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 205254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 205260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205298 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205302 */     // MIs[2] Operand 1
     /* 205302 */     // No operand predicates
     /* 205302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205304 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1363:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FADD_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 205304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_D),
     /* 205307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205309 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205311 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205316 */     GIR_RootConstrainSelectedInstOperands,
     /* 205317 */     // GIR_Coverage, 2786,
     /* 205317 */     GIR_EraseRootFromParent_Done,
     /* 205318 */   // Label 4054: @205318
     /* 205318 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(205395), // Rule ID 7857 //
     /* 205323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 205331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 205337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 205367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205375 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205379 */     // MIs[2] Operand 1
     /* 205379 */     // No operand predicates
     /* 205379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205381 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FSUB_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 205381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_H),
     /* 205384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205386 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205388 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205393 */     GIR_RootConstrainSelectedInstOperands,
     /* 205394 */     // GIR_Coverage, 7857,
     /* 205394 */     GIR_EraseRootFromParent_Done,
     /* 205395 */   // Label 4055: @205395
     /* 205395 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(205472), // Rule ID 7858 //
     /* 205400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 205408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 205414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 205444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205452 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205456 */     // MIs[2] Operand 1
     /* 205456 */     // No operand predicates
     /* 205456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205458 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FSUB_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 205458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_H),
     /* 205461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205463 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205465 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205470 */     GIR_RootConstrainSelectedInstOperands,
     /* 205471 */     // GIR_Coverage, 7858,
     /* 205471 */     GIR_EraseRootFromParent_Done,
     /* 205472 */   // Label 4056: @205472
     /* 205472 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(205549), // Rule ID 7859 //
     /* 205477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 205485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205529 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205533 */     // MIs[2] Operand 1
     /* 205533 */     // No operand predicates
     /* 205533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205535 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FSUB_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 205535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_S),
     /* 205538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205547 */     GIR_RootConstrainSelectedInstOperands,
     /* 205548 */     // GIR_Coverage, 7859,
     /* 205548 */     GIR_EraseRootFromParent_Done,
     /* 205549 */   // Label 4057: @205549
     /* 205549 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(205626), // Rule ID 7860 //
     /* 205554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 205562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205606 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205610 */     // MIs[2] Operand 1
     /* 205610 */     // No operand predicates
     /* 205610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205612 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FSUB_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 205612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_S),
     /* 205615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205617 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205619 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205624 */     GIR_RootConstrainSelectedInstOperands,
     /* 205625 */     // GIR_Coverage, 7860,
     /* 205625 */     GIR_EraseRootFromParent_Done,
     /* 205626 */   // Label 4058: @205626
     /* 205626 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(205703), // Rule ID 7861 //
     /* 205631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 205639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 205645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205683 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205687 */     // MIs[2] Operand 1
     /* 205687 */     // No operand predicates
     /* 205687 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205689 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FSUB_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 205689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_D),
     /* 205692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205694 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205696 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205701 */     GIR_RootConstrainSelectedInstOperands,
     /* 205702 */     // GIR_Coverage, 7861,
     /* 205702 */     GIR_EraseRootFromParent_Done,
     /* 205703 */   // Label 4059: @205703
     /* 205703 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(205780), // Rule ID 7862 //
     /* 205708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 205716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 205722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205760 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205764 */     // MIs[2] Operand 1
     /* 205764 */     // No operand predicates
     /* 205764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205766 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FSUB_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 205766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_D),
     /* 205769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205773 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205778 */     GIR_RootConstrainSelectedInstOperands,
     /* 205779 */     // GIR_Coverage, 7862,
     /* 205779 */     GIR_EraseRootFromParent_Done,
     /* 205780 */   // Label 4060: @205780
     /* 205780 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(205857), // Rule ID 7863 //
     /* 205785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 205793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 205799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 205829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205837 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205841 */     // MIs[2] Operand 1
     /* 205841 */     // No operand predicates
     /* 205841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205843 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1477:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FMUL_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 205843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_H),
     /* 205846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205850 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205855 */     GIR_RootConstrainSelectedInstOperands,
     /* 205856 */     // GIR_Coverage, 7863,
     /* 205856 */     GIR_EraseRootFromParent_Done,
     /* 205857 */   // Label 4061: @205857
     /* 205857 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(205934), // Rule ID 7864 //
     /* 205862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 205870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 205876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 205906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205914 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_two),
     /* 205918 */     // MIs[2] Operand 1
     /* 205918 */     // No operand predicates
     /* 205918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205920 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1477:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_two>>))  =>  (FMUL_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 205920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_H),
     /* 205923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205927 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205932 */     GIR_RootConstrainSelectedInstOperands,
     /* 205933 */     // GIR_Coverage, 7864,
     /* 205933 */     GIR_EraseRootFromParent_Done,
     /* 205934 */   // Label 4062: @205934
     /* 205934 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(206011), // Rule ID 7865 //
     /* 205939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 205947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205991 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205995 */     // MIs[2] Operand 1
     /* 205995 */     // No operand predicates
     /* 205995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205997 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1477:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FMUL_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 205997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_S),
     /* 206000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206004 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206009 */     GIR_RootConstrainSelectedInstOperands,
     /* 206010 */     // GIR_Coverage, 7865,
     /* 206010 */     GIR_EraseRootFromParent_Done,
     /* 206011 */   // Label 4063: @206011
     /* 206011 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(206088), // Rule ID 7866 //
     /* 206016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 206024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206068 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_two),
     /* 206072 */     // MIs[2] Operand 1
     /* 206072 */     // No operand predicates
     /* 206072 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206074 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1477:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_two>>))  =>  (FMUL_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 206074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_S),
     /* 206077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206079 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206081 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206086 */     GIR_RootConstrainSelectedInstOperands,
     /* 206087 */     // GIR_Coverage, 7866,
     /* 206087 */     GIR_EraseRootFromParent_Done,
     /* 206088 */   // Label 4064: @206088
     /* 206088 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(206165), // Rule ID 7867 //
     /* 206093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 206101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206145 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 206149 */     // MIs[2] Operand 1
     /* 206149 */     // No operand predicates
     /* 206149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206151 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1477:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FMUL_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 206151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_D),
     /* 206154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206158 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206163 */     GIR_RootConstrainSelectedInstOperands,
     /* 206164 */     // GIR_Coverage, 7867,
     /* 206164 */     GIR_EraseRootFromParent_Done,
     /* 206165 */   // Label 4065: @206165
     /* 206165 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(206242), // Rule ID 7868 //
     /* 206170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 206178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206222 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_two),
     /* 206226 */     // MIs[2] Operand 1
     /* 206226 */     // No operand predicates
     /* 206226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206228 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1477:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_two>>))  =>  (FMUL_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 206228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_D),
     /* 206231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206233 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206235 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206240 */     GIR_RootConstrainSelectedInstOperands,
     /* 206241 */     // GIR_Coverage, 7868,
     /* 206241 */     GIR_EraseRootFromParent_Done,
     /* 206242 */   // Label 4066: @206242
     /* 206242 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(206319), // Rule ID 7869 //
     /* 206247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 206255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 206261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 206264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 206291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206299 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 206303 */     // MIs[2] Operand 1
     /* 206303 */     // No operand predicates
     /* 206303 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206305 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FSUBR_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 206305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_H),
     /* 206308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206312 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206317 */     GIR_RootConstrainSelectedInstOperands,
     /* 206318 */     // GIR_Coverage, 7869,
     /* 206318 */     GIR_EraseRootFromParent_Done,
     /* 206319 */   // Label 4067: @206319
     /* 206319 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(206396), // Rule ID 7870 //
     /* 206324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 206332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 206338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 206341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 206368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206376 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206380 */     // MIs[2] Operand 1
     /* 206380 */     // No operand predicates
     /* 206380 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206382 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FSUBR_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 206382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_H),
     /* 206385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206389 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206394 */     GIR_RootConstrainSelectedInstOperands,
     /* 206395 */     // GIR_Coverage, 7870,
     /* 206395 */     GIR_EraseRootFromParent_Done,
     /* 206396 */   // Label 4068: @206396
     /* 206396 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(206473), // Rule ID 7871 //
     /* 206401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 206409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206453 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 206457 */     // MIs[2] Operand 1
     /* 206457 */     // No operand predicates
     /* 206457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206459 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FSUBR_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 206459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_S),
     /* 206462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206466 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206471 */     GIR_RootConstrainSelectedInstOperands,
     /* 206472 */     // GIR_Coverage, 7871,
     /* 206472 */     GIR_EraseRootFromParent_Done,
     /* 206473 */   // Label 4069: @206473
     /* 206473 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(206550), // Rule ID 7872 //
     /* 206478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 206486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206530 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206534 */     // MIs[2] Operand 1
     /* 206534 */     // No operand predicates
     /* 206534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206536 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FSUBR_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 206536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_S),
     /* 206539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206541 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206543 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206548 */     GIR_RootConstrainSelectedInstOperands,
     /* 206549 */     // GIR_Coverage, 7872,
     /* 206549 */     GIR_EraseRootFromParent_Done,
     /* 206550 */   // Label 4070: @206550
     /* 206550 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(206627), // Rule ID 7873 //
     /* 206555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 206563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206607 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 206611 */     // MIs[2] Operand 1
     /* 206611 */     // No operand predicates
     /* 206611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206613 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FSUBR_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 206613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_D),
     /* 206616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206620 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206625 */     GIR_RootConstrainSelectedInstOperands,
     /* 206626 */     // GIR_Coverage, 7873,
     /* 206626 */     GIR_EraseRootFromParent_Done,
     /* 206627 */   // Label 4071: @206627
     /* 206627 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(206704), // Rule ID 7874 //
     /* 206632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 206640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206684 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206688 */     // MIs[2] Operand 1
     /* 206688 */     // No operand predicates
     /* 206688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206690 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FSUBR_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 206690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_D),
     /* 206693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206695 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206702 */     GIR_RootConstrainSelectedInstOperands,
     /* 206703 */     // GIR_Coverage, 7874,
     /* 206703 */     GIR_EraseRootFromParent_Done,
     /* 206704 */   // Label 4072: @206704
     /* 206704 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(206781), // Rule ID 7875 //
     /* 206709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 206717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 206723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 206726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 206753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206761 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 206765 */     // MIs[2] Operand 1
     /* 206765 */     // No operand predicates
     /* 206765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206767 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1431:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMAXNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 206767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_H),
     /* 206770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206772 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206774 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206779 */     GIR_RootConstrainSelectedInstOperands,
     /* 206780 */     // GIR_Coverage, 7875,
     /* 206780 */     GIR_EraseRootFromParent_Done,
     /* 206781 */   // Label 4073: @206781
     /* 206781 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(206858), // Rule ID 7876 //
     /* 206786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 206794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 206800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 206803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 206830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206838 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206842 */     // MIs[2] Operand 1
     /* 206842 */     // No operand predicates
     /* 206842 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206844 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1431:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMAXNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 206844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_H),
     /* 206847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206856 */     GIR_RootConstrainSelectedInstOperands,
     /* 206857 */     // GIR_Coverage, 7876,
     /* 206857 */     GIR_EraseRootFromParent_Done,
     /* 206858 */   // Label 4074: @206858
     /* 206858 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(206935), // Rule ID 7877 //
     /* 206863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 206871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206915 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 206919 */     // MIs[2] Operand 1
     /* 206919 */     // No operand predicates
     /* 206919 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206921 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1431:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMAXNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 206921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_S),
     /* 206924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206933 */     GIR_RootConstrainSelectedInstOperands,
     /* 206934 */     // GIR_Coverage, 7877,
     /* 206934 */     GIR_EraseRootFromParent_Done,
     /* 206935 */   // Label 4075: @206935
     /* 206935 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(207012), // Rule ID 7878 //
     /* 206940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 206948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206992 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206996 */     // MIs[2] Operand 1
     /* 206996 */     // No operand predicates
     /* 206996 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206998 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1431:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMAXNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 206998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_S),
     /* 207001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207003 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207010 */     GIR_RootConstrainSelectedInstOperands,
     /* 207011 */     // GIR_Coverage, 7878,
     /* 207011 */     GIR_EraseRootFromParent_Done,
     /* 207012 */   // Label 4076: @207012
     /* 207012 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(207089), // Rule ID 7879 //
     /* 207017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 207025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 207031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207069 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207073 */     // MIs[2] Operand 1
     /* 207073 */     // No operand predicates
     /* 207073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207075 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1431:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMAXNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 207075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_D),
     /* 207078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207087 */     GIR_RootConstrainSelectedInstOperands,
     /* 207088 */     // GIR_Coverage, 7879,
     /* 207088 */     GIR_EraseRootFromParent_Done,
     /* 207089 */   // Label 4077: @207089
     /* 207089 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(207166), // Rule ID 7880 //
     /* 207094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 207102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 207108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207146 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207150 */     // MIs[2] Operand 1
     /* 207150 */     // No operand predicates
     /* 207150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207152 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1431:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMAXNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 207152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_D),
     /* 207155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207159 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207164 */     GIR_RootConstrainSelectedInstOperands,
     /* 207165 */     // GIR_Coverage, 7880,
     /* 207165 */     GIR_EraseRootFromParent_Done,
     /* 207166 */   // Label 4078: @207166
     /* 207166 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(207243), // Rule ID 7881 //
     /* 207171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 207179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 207185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 207188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 207191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 207215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207223 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207227 */     // MIs[2] Operand 1
     /* 207227 */     // No operand predicates
     /* 207227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207229 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1449:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMINNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 207229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_H),
     /* 207232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207236 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207241 */     GIR_RootConstrainSelectedInstOperands,
     /* 207242 */     // GIR_Coverage, 7881,
     /* 207242 */     GIR_EraseRootFromParent_Done,
     /* 207243 */   // Label 4079: @207243
     /* 207243 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(207320), // Rule ID 7882 //
     /* 207248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 207256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 207262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 207265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 207268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 207292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207300 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207304 */     // MIs[2] Operand 1
     /* 207304 */     // No operand predicates
     /* 207304 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207306 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1449:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMINNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 207306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_H),
     /* 207309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207311 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207313 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207318 */     GIR_RootConstrainSelectedInstOperands,
     /* 207319 */     // GIR_Coverage, 7882,
     /* 207319 */     GIR_EraseRootFromParent_Done,
     /* 207320 */   // Label 4080: @207320
     /* 207320 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(207397), // Rule ID 7883 //
     /* 207325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 207333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 207336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 207339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 207342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 207345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 207369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207377 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207381 */     // MIs[2] Operand 1
     /* 207381 */     // No operand predicates
     /* 207381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207383 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1449:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMINNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 207383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_S),
     /* 207386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207395 */     GIR_RootConstrainSelectedInstOperands,
     /* 207396 */     // GIR_Coverage, 7883,
     /* 207396 */     GIR_EraseRootFromParent_Done,
     /* 207397 */   // Label 4081: @207397
     /* 207397 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(207474), // Rule ID 7884 //
     /* 207402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 207410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 207413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 207416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 207419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 207422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 207446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207454 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207458 */     // MIs[2] Operand 1
     /* 207458 */     // No operand predicates
     /* 207458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207460 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1449:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMINNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 207460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_S),
     /* 207463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207467 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207472 */     GIR_RootConstrainSelectedInstOperands,
     /* 207473 */     // GIR_Coverage, 7884,
     /* 207473 */     GIR_EraseRootFromParent_Done,
     /* 207474 */   // Label 4082: @207474
     /* 207474 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(207551), // Rule ID 7885 //
     /* 207479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 207487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 207493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207531 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207535 */     // MIs[2] Operand 1
     /* 207535 */     // No operand predicates
     /* 207535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207537 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1449:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMINNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 207537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_D),
     /* 207540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207544 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207549 */     GIR_RootConstrainSelectedInstOperands,
     /* 207550 */     // GIR_Coverage, 7885,
     /* 207550 */     GIR_EraseRootFromParent_Done,
     /* 207551 */   // Label 4083: @207551
     /* 207551 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(207628), // Rule ID 7886 //
     /* 207556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 207564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 207570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207608 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207612 */     // MIs[2] Operand 1
     /* 207612 */     // No operand predicates
     /* 207612 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207614 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1449:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMINNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 207614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_D),
     /* 207617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207619 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207621 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207626 */     GIR_RootConstrainSelectedInstOperands,
     /* 207627 */     // GIR_Coverage, 7886,
     /* 207627 */     GIR_EraseRootFromParent_Done,
     /* 207628 */   // Label 4084: @207628
     /* 207628 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(207705), // Rule ID 7887 //
     /* 207633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 207641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 207647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 207650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 207653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 207677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207685 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207689 */     // MIs[2] Operand 1
     /* 207689 */     // No operand predicates
     /* 207689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207691 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1425:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMAX_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 207691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_H),
     /* 207694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207703 */     GIR_RootConstrainSelectedInstOperands,
     /* 207704 */     // GIR_Coverage, 7887,
     /* 207704 */     GIR_EraseRootFromParent_Done,
     /* 207705 */   // Label 4085: @207705
     /* 207705 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(207782), // Rule ID 7888 //
     /* 207710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 207718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 207724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 207727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 207730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 207754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207762 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207766 */     // MIs[2] Operand 1
     /* 207766 */     // No operand predicates
     /* 207766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207768 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1425:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMAX_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 207768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_H),
     /* 207771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207775 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207780 */     GIR_RootConstrainSelectedInstOperands,
     /* 207781 */     // GIR_Coverage, 7888,
     /* 207781 */     GIR_EraseRootFromParent_Done,
     /* 207782 */   // Label 4086: @207782
     /* 207782 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(207859), // Rule ID 7889 //
     /* 207787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 207795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 207798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 207801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 207804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 207807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 207831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207839 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207843 */     // MIs[2] Operand 1
     /* 207843 */     // No operand predicates
     /* 207843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207845 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1425:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMAX_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 207845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_S),
     /* 207848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207857 */     GIR_RootConstrainSelectedInstOperands,
     /* 207858 */     // GIR_Coverage, 7889,
     /* 207858 */     GIR_EraseRootFromParent_Done,
     /* 207859 */   // Label 4087: @207859
     /* 207859 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(207936), // Rule ID 7890 //
     /* 207864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 207872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 207875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 207878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 207881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 207884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 207908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207916 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207920 */     // MIs[2] Operand 1
     /* 207920 */     // No operand predicates
     /* 207920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207922 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1425:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMAX_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 207922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_S),
     /* 207925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207927 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207929 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207934 */     GIR_RootConstrainSelectedInstOperands,
     /* 207935 */     // GIR_Coverage, 7890,
     /* 207935 */     GIR_EraseRootFromParent_Done,
     /* 207936 */   // Label 4088: @207936
     /* 207936 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(208013), // Rule ID 7891 //
     /* 207941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 207949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 207955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207993 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207997 */     // MIs[2] Operand 1
     /* 207997 */     // No operand predicates
     /* 207997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207999 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1425:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMAX_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 207999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_D),
     /* 208002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208006 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208011 */     GIR_RootConstrainSelectedInstOperands,
     /* 208012 */     // GIR_Coverage, 7891,
     /* 208012 */     GIR_EraseRootFromParent_Done,
     /* 208013 */   // Label 4089: @208013
     /* 208013 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(208090), // Rule ID 7892 //
     /* 208018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 208026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 208032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 208035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 208038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 208046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 208054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 208058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 208062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 208066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 208070 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 208074 */     // MIs[2] Operand 1
     /* 208074 */     // No operand predicates
     /* 208074 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 208076 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1425:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMAX_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 208076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_D),
     /* 208079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208083 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208088 */     GIR_RootConstrainSelectedInstOperands,
     /* 208089 */     // GIR_Coverage, 7892,
     /* 208089 */     GIR_EraseRootFromParent_Done,
     /* 208090 */   // Label 4090: @208090
     /* 208090 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(208167), // Rule ID 7893 //
     /* 208095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 208103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 208106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 208109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 208112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 208115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 208123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 208131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 208135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 208139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 208143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 208147 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 208151 */     // MIs[2] Operand 1
     /* 208151 */     // No operand predicates
     /* 208151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 208153 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1443:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMIN_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 208153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_H),
     /* 208156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208158 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208160 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208165 */     GIR_RootConstrainSelectedInstOperands,
     /* 208166 */     // GIR_Coverage, 7893,
     /* 208166 */     GIR_EraseRootFromParent_Done,
     /* 208167 */   // Label 4091: @208167
     /* 208167 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(208244), // Rule ID 7894 //
     /* 208172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 208180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 208183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 208186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 208189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 208192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 208200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 208208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 208212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 208216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 208220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 208224 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 208228 */     // MIs[2] Operand 1
     /* 208228 */     // No operand predicates
     /* 208228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 208230 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1443:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMIN_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 208230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_H),
     /* 208233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208235 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208242 */     GIR_RootConstrainSelectedInstOperands,
     /* 208243 */     // GIR_Coverage, 7894,
     /* 208243 */     GIR_EraseRootFromParent_Done,
     /* 208244 */   // Label 4092: @208244
     /* 208244 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(208321), // Rule ID 7895 //
     /* 208249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 208257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 208263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 208266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 208269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 208277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 208285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 208289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 208293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 208297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 208301 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 208305 */     // MIs[2] Operand 1
     /* 208305 */     // No operand predicates
     /* 208305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 208307 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1443:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMIN_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 208307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_S),
     /* 208310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208314 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208319 */     GIR_RootConstrainSelectedInstOperands,
     /* 208320 */     // GIR_Coverage, 7895,
     /* 208320 */     GIR_EraseRootFromParent_Done,
     /* 208321 */   // Label 4093: @208321
     /* 208321 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(208398), // Rule ID 7896 //
     /* 208326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 208334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 208340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 208343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 208346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 208354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 208362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 208366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 208370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 208374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 208378 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 208382 */     // MIs[2] Operand 1
     /* 208382 */     // No operand predicates
     /* 208382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 208384 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1443:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMIN_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 208384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_S),
     /* 208387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208389 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208391 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208396 */     GIR_RootConstrainSelectedInstOperands,
     /* 208397 */     // GIR_Coverage, 7896,
     /* 208397 */     GIR_EraseRootFromParent_Done,
     /* 208398 */   // Label 4094: @208398
     /* 208398 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(208475), // Rule ID 7897 //
     /* 208403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 208411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 208417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 208420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 208423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 208431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 208439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 208443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 208447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 208451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 208455 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 208459 */     // MIs[2] Operand 1
     /* 208459 */     // No operand predicates
     /* 208459 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 208461 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1443:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMIN_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 208461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_D),
     /* 208464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208473 */     GIR_RootConstrainSelectedInstOperands,
     /* 208474 */     // GIR_Coverage, 7897,
     /* 208474 */     GIR_EraseRootFromParent_Done,
     /* 208475 */   // Label 4095: @208475
     /* 208475 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(208552), // Rule ID 7898 //
     /* 208480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 208488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 208494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 208497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 208500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 208508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 208516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 208520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 208524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 208528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 208532 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 208536 */     // MIs[2] Operand 1
     /* 208536 */     // No operand predicates
     /* 208536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 208538 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1443:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMIN_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 208538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_D),
     /* 208541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208543 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208545 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208550 */     GIR_RootConstrainSelectedInstOperands,
     /* 208551 */     // GIR_Coverage, 7898,
     /* 208551 */     GIR_EraseRootFromParent_Done,
     /* 208552 */   // Label 4096: @208552
     /* 208552 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(208608), // Rule ID 55 //
     /* 208557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 208560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 208565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 208568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 208571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 208574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208582 */     // MIs[0] Operand 3
     /* 208582 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 208593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 208597 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 0:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACIA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 208597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIA),
     /* 208600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208604 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 208606 */     GIR_RootConstrainSelectedInstOperands,
     /* 208607 */     // GIR_Coverage, 55,
     /* 208607 */     GIR_EraseRootFromParent_Done,
     /* 208608 */   // Label 4097: @208608
     /* 208608 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(208664), // Rule ID 56 //
     /* 208613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 208616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 208621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 208624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 208627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 208630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208638 */     // MIs[0] Operand 3
     /* 208638 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 208649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 208653 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 1:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACIB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 208653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIB),
     /* 208656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208660 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 208662 */     GIR_RootConstrainSelectedInstOperands,
     /* 208663 */     // GIR_Coverage, 56,
     /* 208663 */     GIR_EraseRootFromParent_Done,
     /* 208664 */   // Label 4098: @208664
     /* 208664 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(208720), // Rule ID 57 //
     /* 208669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 208672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 208677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 208680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 208683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 208686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208694 */     // MIs[0] Operand 3
     /* 208694 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 208705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 208709 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 2:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACDA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 208709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDA),
     /* 208712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208716 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 208718 */     GIR_RootConstrainSelectedInstOperands,
     /* 208719 */     // GIR_Coverage, 57,
     /* 208719 */     GIR_EraseRootFromParent_Done,
     /* 208720 */   // Label 4099: @208720
     /* 208720 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(208776), // Rule ID 58 //
     /* 208725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 208728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 208733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 208736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 208739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 208742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208750 */     // MIs[0] Operand 3
     /* 208750 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 208761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 208765 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 3:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACDB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 208765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDB),
     /* 208768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208772 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 208774 */     GIR_RootConstrainSelectedInstOperands,
     /* 208775 */     // GIR_Coverage, 58,
     /* 208775 */     GIR_EraseRootFromParent_Done,
     /* 208776 */   // Label 4100: @208776
     /* 208776 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(208831), // Rule ID 2799 //
     /* 208781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 208784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftmad_x),
     /* 208789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 208792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 208795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 208798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208810 */     // MIs[0] imm
     /* 208810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 208818 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1542:{ *:[iPTR] }, ZPR16:{ *:[nxv8f16] }:$Zn, ZPR16:{ *:[nxv8f16] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)  =>  (FTMAD_ZZI_H:{ *:[nxv8f16] } ZPR16:{ *:[nxv8f16] }:$Zn, ZPR16:{ *:[nxv8f16] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)
     /* 208818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTMAD_ZZI_H),
     /* 208821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208823 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 208825 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 208827 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 208829 */     GIR_RootConstrainSelectedInstOperands,
     /* 208830 */     // GIR_Coverage, 2799,
     /* 208830 */     GIR_EraseRootFromParent_Done,
     /* 208831 */   // Label 4101: @208831
     /* 208831 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(208886), // Rule ID 2800 //
     /* 208836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 208839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftmad_x),
     /* 208844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 208850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 208853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208865 */     // MIs[0] imm
     /* 208865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208868 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 208873 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1542:{ *:[iPTR] }, ZPR32:{ *:[nxv4f32] }:$Zn, ZPR32:{ *:[nxv4f32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)  =>  (FTMAD_ZZI_S:{ *:[nxv4f32] } ZPR32:{ *:[nxv4f32] }:$Zn, ZPR32:{ *:[nxv4f32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)
     /* 208873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTMAD_ZZI_S),
     /* 208876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 208880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 208882 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 208884 */     GIR_RootConstrainSelectedInstOperands,
     /* 208885 */     // GIR_Coverage, 2800,
     /* 208885 */     GIR_EraseRootFromParent_Done,
     /* 208886 */   // Label 4102: @208886
     /* 208886 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(208941), // Rule ID 2801 //
     /* 208891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 208894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftmad_x),
     /* 208899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 208905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 208908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208920 */     // MIs[0] imm
     /* 208920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208923 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 208928 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1542:{ *:[iPTR] }, ZPR64:{ *:[nxv2f64] }:$Zn, ZPR64:{ *:[nxv2f64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)  =>  (FTMAD_ZZI_D:{ *:[nxv2f64] } ZPR64:{ *:[nxv2f64] }:$Zn, ZPR64:{ *:[nxv2f64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)
     /* 208928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTMAD_ZZI_D),
     /* 208931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 208935 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 208937 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 208939 */     GIR_RootConstrainSelectedInstOperands,
     /* 208940 */     // GIR_Coverage, 2801,
     /* 208940 */     GIR_EraseRootFromParent_Done,
     /* 208941 */   // Label 4103: @208941
     /* 208941 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(208996), // Rule ID 3552 //
     /* 208946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 208949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_merging),
     /* 208954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 208957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 208960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 208963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208975 */     // MIs[0] Idx
     /* 208975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_1_1),
     /* 208983 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1628:{ *:[iPTR] }, ZPRAny:{ *:[nxv8i16] }:$Zd, PPR16:{ *:[nxv8i1] }:$Pn, (timm:{ *:[i32] })<<P:Predicate_timm32_1_1>>:$Idx)  =>  (PMOV_ZIP_H:{ *:[nxv8i16] } ZPRAny:{ *:[nxv8i16] }:$Zd, (timm:{ *:[i32] })<<P:Predicate_timm32_1_1>>:$Idx, PPR16:{ *:[nxv8i1] }:$Pn)
     /* 208983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_H),
     /* 208986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zd
     /* 208990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Idx
     /* 208992 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pn
     /* 208994 */     GIR_RootConstrainSelectedInstOperands,
     /* 208995 */     // GIR_Coverage, 3552,
     /* 208995 */     GIR_EraseRootFromParent_Done,
     /* 208996 */   // Label 4104: @208996
     /* 208996 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(209051), // Rule ID 3553 //
     /* 209001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 209004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_merging),
     /* 209009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 209018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 209030 */     // MIs[0] Idx
     /* 209030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209033 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_1_3),
     /* 209038 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1628:{ *:[iPTR] }, ZPRAny:{ *:[nxv4i32] }:$Zd, PPR32:{ *:[nxv4i1] }:$Pn, (timm:{ *:[i32] })<<P:Predicate_timm32_1_3>>:$Idx)  =>  (PMOV_ZIP_S:{ *:[nxv4i32] } ZPRAny:{ *:[nxv4i32] }:$Zd, (timm:{ *:[i32] })<<P:Predicate_timm32_1_3>>:$Idx, PPR32:{ *:[nxv4i1] }:$Pn)
     /* 209038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_S),
     /* 209041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209043 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zd
     /* 209045 */     GIR_RootToRootCopy, /*OpIdx*/4, // Idx
     /* 209047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pn
     /* 209049 */     GIR_RootConstrainSelectedInstOperands,
     /* 209050 */     // GIR_Coverage, 3553,
     /* 209050 */     GIR_EraseRootFromParent_Done,
     /* 209051 */   // Label 4105: @209051
     /* 209051 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(209106), // Rule ID 3554 //
     /* 209056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 209059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_merging),
     /* 209064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 209070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 209073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 209085 */     // MIs[0] Idx
     /* 209085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_1_7),
     /* 209093 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1628:{ *:[iPTR] }, ZPRAny:{ *:[nxv2i64] }:$Zd, PPR64:{ *:[nxv2i1] }:$Pn, (timm:{ *:[i32] })<<P:Predicate_timm32_1_7>>:$Idx)  =>  (PMOV_ZIP_D:{ *:[nxv2i64] } ZPRAny:{ *:[nxv2i64] }:$Zd, (timm:{ *:[i32] })<<P:Predicate_timm32_1_7>>:$Idx, PPR64:{ *:[nxv2i1] }:$Pn)
     /* 209093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_D),
     /* 209096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zd
     /* 209100 */     GIR_RootToRootCopy, /*OpIdx*/4, // Idx
     /* 209102 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pn
     /* 209104 */     GIR_RootConstrainSelectedInstOperands,
     /* 209105 */     // GIR_Coverage, 3554,
     /* 209105 */     GIR_EraseRootFromParent_Done,
     /* 209106 */   // Label 4106: @209106
     /* 209106 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(209161), // Rule ID 3844 //
     /* 209111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_xar),
     /* 209119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 209122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 209125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 209128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209140 */     // MIs[0] imm
     /* 209140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209143 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm0_63),
     /* 209148 */     // (intrinsic_wo_chain:{ *:[v2i64] } 543:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_timm0_63>>:$imm)  =>  (XAR:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_timm0_63>>:$imm)
     /* 209148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR),
     /* 209151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 209155 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 209157 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 209159 */     GIR_RootConstrainSelectedInstOperands,
     /* 209160 */     // GIR_Coverage, 3844,
     /* 209160 */     GIR_EraseRootFromParent_Done,
     /* 209161 */   // Label 4107: @209161
     /* 209161 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(209208), // Rule ID 2853 //
     /* 209166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 209169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul_lane),
     /* 209174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209187 */     // MIs[0] idx
     /* 209187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 209195 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1478:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)  =>  (FMUL_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)
     /* 209195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZI_H),
     /* 209198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209202 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209204 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 209206 */     GIR_RootConstrainSelectedInstOperands,
     /* 209207 */     // GIR_Coverage, 2853,
     /* 209207 */     GIR_EraseRootFromParent_Done,
     /* 209208 */   // Label 4108: @209208
     /* 209208 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(209255), // Rule ID 2854 //
     /* 209213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 209216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul_lane),
     /* 209221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209234 */     // MIs[0] idx
     /* 209234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 209242 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1478:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)  =>  (FMUL_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 209242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZI_S),
     /* 209245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209247 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209249 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209251 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 209253 */     GIR_RootConstrainSelectedInstOperands,
     /* 209254 */     // GIR_Coverage, 2854,
     /* 209254 */     GIR_EraseRootFromParent_Done,
     /* 209255 */   // Label 4109: @209255
     /* 209255 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(209302), // Rule ID 2855 //
     /* 209260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 209263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul_lane),
     /* 209268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 209274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 209277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209281 */     // MIs[0] idx
     /* 209281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 209289 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1478:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)  =>  (FMUL_ZZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 209289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZI_D),
     /* 209292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209298 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 209300 */     GIR_RootConstrainSelectedInstOperands,
     /* 209301 */     // GIR_Coverage, 2855,
     /* 209301 */     GIR_EraseRootFromParent_Done,
     /* 209302 */   // Label 4110: @209302
     /* 209302 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(209349), // Rule ID 3004 //
     /* 209307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mul_lane),
     /* 209315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209328 */     // MIs[0] Op3
     /* 209328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209331 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 209336 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1609:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (MUL_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 209336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MUL_ZZZI_H),
     /* 209339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209345 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209347 */     GIR_RootConstrainSelectedInstOperands,
     /* 209348 */     // GIR_Coverage, 3004,
     /* 209348 */     GIR_EraseRootFromParent_Done,
     /* 209349 */   // Label 4111: @209349
     /* 209349 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(209396), // Rule ID 3005 //
     /* 209354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mul_lane),
     /* 209362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209375 */     // MIs[0] Op3
     /* 209375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 209383 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1609:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (MUL_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 209383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MUL_ZZZI_S),
     /* 209386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209392 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209394 */     GIR_RootConstrainSelectedInstOperands,
     /* 209395 */     // GIR_Coverage, 3005,
     /* 209395 */     GIR_EraseRootFromParent_Done,
     /* 209396 */   // Label 4112: @209396
     /* 209396 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(209443), // Rule ID 3006 //
     /* 209401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mul_lane),
     /* 209409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 209415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 209418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209422 */     // MIs[0] Op3
     /* 209422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 209430 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1609:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)  =>  (MUL_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)
     /* 209430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MUL_ZZZI_D),
     /* 209433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209437 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209439 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209441 */     GIR_RootConstrainSelectedInstOperands,
     /* 209442 */     // GIR_Coverage, 3006,
     /* 209442 */     GIR_EraseRootFromParent_Done,
     /* 209443 */   // Label 4113: @209443
     /* 209443 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(209490), // Rule ID 3007 //
     /* 209448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb_lane),
     /* 209456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209469 */     // MIs[0] Op3
     /* 209469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209472 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 209477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1755:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SMULLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 209477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZI_S),
     /* 209480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209486 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209488 */     GIR_RootConstrainSelectedInstOperands,
     /* 209489 */     // GIR_Coverage, 3007,
     /* 209489 */     GIR_EraseRootFromParent_Done,
     /* 209490 */   // Label 4114: @209490
     /* 209490 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(209537), // Rule ID 3008 //
     /* 209495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb_lane),
     /* 209503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209516 */     // MIs[0] Op3
     /* 209516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209519 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 209524 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1755:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SMULLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 209524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZI_D),
     /* 209527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209531 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209533 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209535 */     GIR_RootConstrainSelectedInstOperands,
     /* 209536 */     // GIR_Coverage, 3008,
     /* 209536 */     GIR_EraseRootFromParent_Done,
     /* 209537 */   // Label 4115: @209537
     /* 209537 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(209584), // Rule ID 3056 //
     /* 209542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 209550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 209553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 209556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209563 */     // MIs[0] Op3
     /* 209563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 209571 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1866:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SSRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 209571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_B),
     /* 209574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 209576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209580 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209582 */     GIR_RootConstrainSelectedInstOperands,
     /* 209583 */     // GIR_Coverage, 3056,
     /* 209583 */     GIR_EraseRootFromParent_Done,
     /* 209584 */   // Label 4116: @209584
     /* 209584 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(209631), // Rule ID 3058 //
     /* 209589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 209597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209610 */     // MIs[0] Op3
     /* 209610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 209618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1866:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SSRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 209618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_H),
     /* 209621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 209623 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209625 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209627 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209629 */     GIR_RootConstrainSelectedInstOperands,
     /* 209630 */     // GIR_Coverage, 3058,
     /* 209630 */     GIR_EraseRootFromParent_Done,
     /* 209631 */   // Label 4117: @209631
     /* 209631 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(209678), // Rule ID 3060 //
     /* 209636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 209644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209657 */     // MIs[0] Op3
     /* 209657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 209665 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1866:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SSRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 209665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_S),
     /* 209668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 209670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209672 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209674 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209676 */     GIR_RootConstrainSelectedInstOperands,
     /* 209677 */     // GIR_Coverage, 3060,
     /* 209677 */     GIR_EraseRootFromParent_Done,
     /* 209678 */   // Label 4118: @209678
     /* 209678 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(209725), // Rule ID 3062 //
     /* 209683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 209691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 209697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 209700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209704 */     // MIs[0] Op3
     /* 209704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 209712 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1866:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (SSRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 209712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_D),
     /* 209715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 209717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209719 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209721 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209723 */     GIR_RootConstrainSelectedInstOperands,
     /* 209724 */     // GIR_Coverage, 3062,
     /* 209724 */     GIR_EraseRootFromParent_Done,
     /* 209725 */   // Label 4119: @209725
     /* 209725 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(209772), // Rule ID 3084 //
     /* 209730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunt),
     /* 209738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 209741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 209744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209751 */     // MIs[0] Op3
     /* 209751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209754 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 209759 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1846:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQSHRUNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 209759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNT_ZZI_B),
     /* 209762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209766 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209768 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209770 */     GIR_RootConstrainSelectedInstOperands,
     /* 209771 */     // GIR_Coverage, 3084,
     /* 209771 */     GIR_EraseRootFromParent_Done,
     /* 209772 */   // Label 4120: @209772
     /* 209772 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(209819), // Rule ID 3085 //
     /* 209777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunt),
     /* 209785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209798 */     // MIs[0] Op3
     /* 209798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 209806 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1846:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQSHRUNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 209806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNT_ZZI_H),
     /* 209809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209811 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209813 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209815 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209817 */     GIR_RootConstrainSelectedInstOperands,
     /* 209818 */     // GIR_Coverage, 3085,
     /* 209818 */     GIR_EraseRootFromParent_Done,
     /* 209819 */   // Label 4121: @209819
     /* 209819 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(209866), // Rule ID 3086 //
     /* 209824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunt),
     /* 209832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 209841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209845 */     // MIs[0] Op3
     /* 209845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209848 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 209853 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1846:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQSHRUNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 209853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNT_ZZI_S),
     /* 209856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209862 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209864 */     GIR_RootConstrainSelectedInstOperands,
     /* 209865 */     // GIR_Coverage, 3086,
     /* 209865 */     GIR_EraseRootFromParent_Done,
     /* 209866 */   // Label 4122: @209866
     /* 209866 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(209913), // Rule ID 3155 //
     /* 209871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 209879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 209882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 209885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209892 */     // MIs[0] Op3
     /* 209892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 209900 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2147:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (XAR_ZZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 209900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_B),
     /* 209903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 209905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209907 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209909 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209911 */     GIR_RootConstrainSelectedInstOperands,
     /* 209912 */     // GIR_Coverage, 3155,
     /* 209912 */     GIR_EraseRootFromParent_Done,
     /* 209913 */   // Label 4123: @209913
     /* 209913 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(209960), // Rule ID 3156 //
     /* 209918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 209926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209939 */     // MIs[0] Op3
     /* 209939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209942 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 209947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2147:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (XAR_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 209947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_H),
     /* 209950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 209952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209956 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209958 */     GIR_RootConstrainSelectedInstOperands,
     /* 209959 */     // GIR_Coverage, 3156,
     /* 209959 */     GIR_EraseRootFromParent_Done,
     /* 209960 */   // Label 4124: @209960
     /* 209960 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(210007), // Rule ID 3157 //
     /* 209965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 209973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209986 */     // MIs[0] Op3
     /* 209986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209989 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 209994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2147:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (XAR_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 209994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_S),
     /* 209997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 209999 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210001 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210003 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210005 */     GIR_RootConstrainSelectedInstOperands,
     /* 210006 */     // GIR_Coverage, 3157,
     /* 210006 */     GIR_EraseRootFromParent_Done,
     /* 210007 */   // Label 4125: @210007
     /* 210007 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(210054), // Rule ID 3158 //
     /* 210012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 210020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 210026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 210029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210033 */     // MIs[0] Op3
     /* 210033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210036 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 210041 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2147:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (XAR_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 210041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_D),
     /* 210044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210048 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210050 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210052 */     GIR_RootConstrainSelectedInstOperands,
     /* 210053 */     // GIR_Coverage, 3158,
     /* 210053 */     GIR_EraseRootFromParent_Done,
     /* 210054 */   // Label 4126: @210054
     /* 210054 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(210101), // Rule ID 3537 //
     /* 210059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 210062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_extq),
     /* 210067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 210070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 210073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210080 */     // MIs[0] Op3
     /* 210080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_15),
     /* 210088 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1357:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_15>>:$Op3)  =>  (EXTQ_ZZI:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_15>>:$Op3)
     /* 210088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTQ_ZZI),
     /* 210091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210097 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210099 */     GIR_RootConstrainSelectedInstOperands,
     /* 210100 */     // GIR_Coverage, 3537,
     /* 210100 */     GIR_EraseRootFromParent_Done,
     /* 210101 */   // Label 4127: @210101
     /* 210101 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(210148), // Rule ID 3585 //
     /* 210106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 210109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti2_lane),
     /* 210114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 210117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 210120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210127 */     // MIs[0] Op3
     /* 210127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 210135 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1596:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)  =>  (LUTI2_ZZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)
     /* 210135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI2_ZZZI_B),
     /* 210138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210144 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210146 */     GIR_RootConstrainSelectedInstOperands,
     /* 210147 */     // GIR_Coverage, 3585,
     /* 210147 */     GIR_EraseRootFromParent_Done,
     /* 210148 */   // Label 4128: @210148
     /* 210148 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(210195), // Rule ID 3586 //
     /* 210153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 210156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti2_lane),
     /* 210161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210174 */     // MIs[0] Op3
     /* 210174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210177 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 210182 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1596:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)  =>  (LUTI2_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)
     /* 210182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI2_ZZZI_H),
     /* 210185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210191 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210193 */     GIR_RootConstrainSelectedInstOperands,
     /* 210194 */     // GIR_Coverage, 3586,
     /* 210194 */     GIR_EraseRootFromParent_Done,
     /* 210195 */   // Label 4129: @210195
     /* 210195 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(210242), // Rule ID 3587 //
     /* 210200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 210203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti2_lane),
     /* 210208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210221 */     // MIs[0] Op3
     /* 210221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 210229 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1596:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)  =>  (LUTI2_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)
     /* 210229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI2_ZZZI_H),
     /* 210232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210236 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210238 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210240 */     GIR_RootConstrainSelectedInstOperands,
     /* 210241 */     // GIR_Coverage, 3587,
     /* 210241 */     GIR_EraseRootFromParent_Done,
     /* 210242 */   // Label 4130: @210242
     /* 210242 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(210289), // Rule ID 3588 //
     /* 210247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 210250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti4_lane),
     /* 210255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 210258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 210261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210268 */     // MIs[0] Op3
     /* 210268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 210276 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1597:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Op3)  =>  (LUTI4_ZZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Op3)
     /* 210276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI4_ZZZI_B),
     /* 210279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210283 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210285 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210287 */     GIR_RootConstrainSelectedInstOperands,
     /* 210288 */     // GIR_Coverage, 3588,
     /* 210288 */     GIR_EraseRootFromParent_Done,
     /* 210289 */   // Label 4131: @210289
     /* 210289 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(210336), // Rule ID 3589 //
     /* 210294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 210297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti4_lane),
     /* 210302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210315 */     // MIs[0] Op3
     /* 210315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 210323 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1597:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)  =>  (LUTI4_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)
     /* 210323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI4_ZZZI_H),
     /* 210326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210332 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210334 */     GIR_RootConstrainSelectedInstOperands,
     /* 210335 */     // GIR_Coverage, 3589,
     /* 210335 */     GIR_EraseRootFromParent_Done,
     /* 210336 */   // Label 4132: @210336
     /* 210336 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(210383), // Rule ID 3590 //
     /* 210341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 210344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti4_lane),
     /* 210349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210362 */     // MIs[0] Op3
     /* 210362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210365 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 210370 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1597:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)  =>  (LUTI4_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)
     /* 210370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI4_ZZZI_H),
     /* 210373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210379 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210381 */     GIR_RootConstrainSelectedInstOperands,
     /* 210382 */     // GIR_Coverage, 3590,
     /* 210382 */     GIR_EraseRootFromParent_Done,
     /* 210383 */   // Label 4133: @210383
     /* 210383 */   GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(210430), // Rule ID 11315 //
     /* 210388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh_lane),
     /* 210396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210409 */     // MIs[0] Op3
     /* 210409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210417 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1796:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQDMULH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZI_H),
     /* 210420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210424 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210426 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210428 */     GIR_RootConstrainSelectedInstOperands,
     /* 210429 */     // GIR_Coverage, 11315,
     /* 210429 */     GIR_EraseRootFromParent_Done,
     /* 210430 */   // Label 4134: @210430
     /* 210430 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(210477), // Rule ID 11316 //
     /* 210435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh_lane),
     /* 210443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210456 */     // MIs[0] Op3
     /* 210456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210459 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1796:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQDMULH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZI_S),
     /* 210467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210469 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210471 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210473 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210475 */     GIR_RootConstrainSelectedInstOperands,
     /* 210476 */     // GIR_Coverage, 11316,
     /* 210476 */     GIR_EraseRootFromParent_Done,
     /* 210477 */   // Label 4135: @210477
     /* 210477 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(210524), // Rule ID 11317 //
     /* 210482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh_lane),
     /* 210490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 210496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 210499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210503 */     // MIs[0] Op3
     /* 210503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210506 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 210511 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1796:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)  =>  (SQDMULH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)
     /* 210511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZI_D),
     /* 210514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210522 */     GIR_RootConstrainSelectedInstOperands,
     /* 210523 */     // GIR_Coverage, 11317,
     /* 210523 */     GIR_EraseRootFromParent_Done,
     /* 210524 */   // Label 4136: @210524
     /* 210524 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(210571), // Rule ID 11318 //
     /* 210529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh_lane),
     /* 210537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210550 */     // MIs[0] Op3
     /* 210550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210553 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1827:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQRDMULH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZI_H),
     /* 210561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210565 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210567 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210569 */     GIR_RootConstrainSelectedInstOperands,
     /* 210570 */     // GIR_Coverage, 11318,
     /* 210570 */     GIR_EraseRootFromParent_Done,
     /* 210571 */   // Label 4137: @210571
     /* 210571 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(210618), // Rule ID 11319 //
     /* 210576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh_lane),
     /* 210584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210597 */     // MIs[0] Op3
     /* 210597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210600 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1827:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQRDMULH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZI_S),
     /* 210608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210614 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210616 */     GIR_RootConstrainSelectedInstOperands,
     /* 210617 */     // GIR_Coverage, 11319,
     /* 210617 */     GIR_EraseRootFromParent_Done,
     /* 210618 */   // Label 4138: @210618
     /* 210618 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(210665), // Rule ID 11320 //
     /* 210623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh_lane),
     /* 210631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 210637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 210640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210644 */     // MIs[0] Op3
     /* 210644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 210652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1827:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)  =>  (SQRDMULH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)
     /* 210652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZI_D),
     /* 210655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210659 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210661 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210663 */     GIR_RootConstrainSelectedInstOperands,
     /* 210664 */     // GIR_Coverage, 11320,
     /* 210664 */     GIR_EraseRootFromParent_Done,
     /* 210665 */   // Label 4139: @210665
     /* 210665 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(210712), // Rule ID 11343 //
     /* 210670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt_lane),
     /* 210678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210691 */     // MIs[0] Op3
     /* 210691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1757:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SMULLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZI_S),
     /* 210702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210704 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210706 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210708 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210710 */     GIR_RootConstrainSelectedInstOperands,
     /* 210711 */     // GIR_Coverage, 11343,
     /* 210711 */     GIR_EraseRootFromParent_Done,
     /* 210712 */   // Label 4140: @210712
     /* 210712 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(210759), // Rule ID 11344 //
     /* 210717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt_lane),
     /* 210725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210738 */     // MIs[0] Op3
     /* 210738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1757:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SMULLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZI_D),
     /* 210749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210755 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210757 */     GIR_RootConstrainSelectedInstOperands,
     /* 210758 */     // GIR_Coverage, 11344,
     /* 210758 */     GIR_EraseRootFromParent_Done,
     /* 210759 */   // Label 4141: @210759
     /* 210759 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(210806), // Rule ID 11345 //
     /* 210764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb_lane),
     /* 210772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210785 */     // MIs[0] Op3
     /* 210785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210793 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1993:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (UMULLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZI_S),
     /* 210796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210802 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210804 */     GIR_RootConstrainSelectedInstOperands,
     /* 210805 */     // GIR_Coverage, 11345,
     /* 210805 */     GIR_EraseRootFromParent_Done,
     /* 210806 */   // Label 4142: @210806
     /* 210806 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(210853), // Rule ID 11346 //
     /* 210811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb_lane),
     /* 210819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210832 */     // MIs[0] Op3
     /* 210832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210835 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1993:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (UMULLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZI_D),
     /* 210843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210847 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210849 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210851 */     GIR_RootConstrainSelectedInstOperands,
     /* 210852 */     // GIR_Coverage, 11346,
     /* 210852 */     GIR_EraseRootFromParent_Done,
     /* 210853 */   // Label 4143: @210853
     /* 210853 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(210900), // Rule ID 11347 //
     /* 210858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt_lane),
     /* 210866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210879 */     // MIs[0] Op3
     /* 210879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210882 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1995:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (UMULLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZI_S),
     /* 210890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210894 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210896 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210898 */     GIR_RootConstrainSelectedInstOperands,
     /* 210899 */     // GIR_Coverage, 11347,
     /* 210899 */     GIR_EraseRootFromParent_Done,
     /* 210900 */   // Label 4144: @210900
     /* 210900 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(210947), // Rule ID 11348 //
     /* 210905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt_lane),
     /* 210913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210926 */     // MIs[0] Op3
     /* 210926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210934 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1995:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (UMULLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZI_D),
     /* 210937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210939 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210941 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210943 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210945 */     GIR_RootConstrainSelectedInstOperands,
     /* 210946 */     // GIR_Coverage, 11348,
     /* 210946 */     GIR_EraseRootFromParent_Done,
     /* 210947 */   // Label 4145: @210947
     /* 210947 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(210994), // Rule ID 11349 //
     /* 210952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb_lane),
     /* 210960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210973 */     // MIs[0] Op3
     /* 210973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1802:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQDMULLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZI_S),
     /* 210984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210992 */     GIR_RootConstrainSelectedInstOperands,
     /* 210993 */     // GIR_Coverage, 11349,
     /* 210993 */     GIR_EraseRootFromParent_Done,
     /* 210994 */   // Label 4146: @210994
     /* 210994 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(211041), // Rule ID 11350 //
     /* 210999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb_lane),
     /* 211007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211020 */     // MIs[0] Op3
     /* 211020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211023 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 211028 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1802:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQDMULLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 211028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZI_D),
     /* 211031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211035 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211037 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211039 */     GIR_RootConstrainSelectedInstOperands,
     /* 211040 */     // GIR_Coverage, 11350,
     /* 211040 */     GIR_EraseRootFromParent_Done,
     /* 211041 */   // Label 4147: @211041
     /* 211041 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(211088), // Rule ID 11351 //
     /* 211046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt_lane),
     /* 211054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211067 */     // MIs[0] Op3
     /* 211067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211070 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 211075 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1804:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQDMULLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 211075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZI_S),
     /* 211078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211084 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211086 */     GIR_RootConstrainSelectedInstOperands,
     /* 211087 */     // GIR_Coverage, 11351,
     /* 211087 */     GIR_EraseRootFromParent_Done,
     /* 211088 */   // Label 4148: @211088
     /* 211088 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(211135), // Rule ID 11352 //
     /* 211093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt_lane),
     /* 211101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211114 */     // MIs[0] Op3
     /* 211114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 211122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1804:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQDMULLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 211122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZI_D),
     /* 211125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211129 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211131 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211133 */     GIR_RootConstrainSelectedInstOperands,
     /* 211134 */     // GIR_Coverage, 11352,
     /* 211134 */     GIR_EraseRootFromParent_Done,
     /* 211135 */   // Label 4149: @211135
     /* 211135 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(211182), // Rule ID 11596 //
     /* 211140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 211148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 211154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 211157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211161 */     // MIs[0] Op3
     /* 211161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211169 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1862:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SRSHR_ZPmI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_B),
     /* 211172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211176 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211178 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211180 */     GIR_RootConstrainSelectedInstOperands,
     /* 211181 */     // GIR_Coverage, 11596,
     /* 211181 */     GIR_EraseRootFromParent_Done,
     /* 211182 */   // Label 4150: @211182
     /* 211182 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(211229), // Rule ID 11597 //
     /* 211187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 211195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 211201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211208 */     // MIs[0] Op3
     /* 211208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211216 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1862:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SRSHR_ZPmI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_H),
     /* 211219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211223 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211225 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211227 */     GIR_RootConstrainSelectedInstOperands,
     /* 211228 */     // GIR_Coverage, 11597,
     /* 211228 */     GIR_EraseRootFromParent_Done,
     /* 211229 */   // Label 4151: @211229
     /* 211229 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(211276), // Rule ID 11598 //
     /* 211234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 211242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 211248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211255 */     // MIs[0] Op3
     /* 211255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211263 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1862:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SRSHR_ZPmI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_S),
     /* 211266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211270 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211272 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211274 */     GIR_RootConstrainSelectedInstOperands,
     /* 211275 */     // GIR_Coverage, 11598,
     /* 211275 */     GIR_EraseRootFromParent_Done,
     /* 211276 */   // Label 4152: @211276
     /* 211276 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(211323), // Rule ID 11599 //
     /* 211281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 211289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 211295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211302 */     // MIs[0] Op3
     /* 211302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211305 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 211310 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1862:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (SRSHR_ZPmI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 211310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_D),
     /* 211313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211317 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211319 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211321 */     GIR_RootConstrainSelectedInstOperands,
     /* 211322 */     // GIR_Coverage, 11599,
     /* 211322 */     GIR_EraseRootFromParent_Done,
     /* 211323 */   // Label 4153: @211323
     /* 211323 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(211370), // Rule ID 11600 //
     /* 211328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 211336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 211342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 211345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211349 */     // MIs[0] Op3
     /* 211349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211357 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2053:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (URSHR_ZPmI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_B),
     /* 211360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211366 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211368 */     GIR_RootConstrainSelectedInstOperands,
     /* 211369 */     // GIR_Coverage, 11600,
     /* 211369 */     GIR_EraseRootFromParent_Done,
     /* 211370 */   // Label 4154: @211370
     /* 211370 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(211417), // Rule ID 11602 //
     /* 211375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 211383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 211389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211396 */     // MIs[0] Op3
     /* 211396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211399 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211404 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2053:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (URSHR_ZPmI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_H),
     /* 211407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211413 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211415 */     GIR_RootConstrainSelectedInstOperands,
     /* 211416 */     // GIR_Coverage, 11602,
     /* 211416 */     GIR_EraseRootFromParent_Done,
     /* 211417 */   // Label 4155: @211417
     /* 211417 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(211464), // Rule ID 11604 //
     /* 211422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 211430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 211436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211443 */     // MIs[0] Op3
     /* 211443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2053:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (URSHR_ZPmI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_S),
     /* 211454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211460 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211462 */     GIR_RootConstrainSelectedInstOperands,
     /* 211463 */     // GIR_Coverage, 11604,
     /* 211463 */     GIR_EraseRootFromParent_Done,
     /* 211464 */   // Label 4156: @211464
     /* 211464 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(211511), // Rule ID 11606 //
     /* 211469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 211477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 211483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211490 */     // MIs[0] Op3
     /* 211490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211493 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 211498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2053:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (URSHR_ZPmI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 211498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_D),
     /* 211501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211503 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211505 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211507 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211509 */     GIR_RootConstrainSelectedInstOperands,
     /* 211510 */     // GIR_Coverage, 11606,
     /* 211510 */     GIR_EraseRootFromParent_Done,
     /* 211511 */   // Label 4157: @211511
     /* 211511 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(211558), // Rule ID 11608 //
     /* 211516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 211524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 211530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 211533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211537 */     // MIs[0] Op3
     /* 211537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 211545 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1842:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op3)  =>  (SQSHLU_ZPmI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op3)
     /* 211545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_B),
     /* 211548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211554 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211556 */     GIR_RootConstrainSelectedInstOperands,
     /* 211557 */     // GIR_Coverage, 11608,
     /* 211557 */     GIR_EraseRootFromParent_Done,
     /* 211558 */   // Label 4158: @211558
     /* 211558 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(211605), // Rule ID 11609 //
     /* 211563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 211571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 211577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211584 */     // MIs[0] Op3
     /* 211584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 211592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1842:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op3)  =>  (SQSHLU_ZPmI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op3)
     /* 211592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_H),
     /* 211595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211597 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211599 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211601 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211603 */     GIR_RootConstrainSelectedInstOperands,
     /* 211604 */     // GIR_Coverage, 11609,
     /* 211604 */     GIR_EraseRootFromParent_Done,
     /* 211605 */   // Label 4159: @211605
     /* 211605 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(211652), // Rule ID 11610 //
     /* 211610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 211618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 211624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211631 */     // MIs[0] Op3
     /* 211631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 211639 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1842:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op3)  =>  (SQSHLU_ZPmI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op3)
     /* 211639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_S),
     /* 211642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211648 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211650 */     GIR_RootConstrainSelectedInstOperands,
     /* 211651 */     // GIR_Coverage, 11610,
     /* 211651 */     GIR_EraseRootFromParent_Done,
     /* 211652 */   // Label 4160: @211652
     /* 211652 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(211699), // Rule ID 11611 //
     /* 211657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 211665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 211671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211678 */     // MIs[0] Op3
     /* 211678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL64),
     /* 211686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1842:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL64>>:$Op3)  =>  (SQSHLU_ZPmI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL64>>:$Op3)
     /* 211686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_D),
     /* 211689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211691 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211693 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211695 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211697 */     GIR_RootConstrainSelectedInstOperands,
     /* 211698 */     // GIR_Coverage, 11611,
     /* 211698 */     GIR_EraseRootFromParent_Done,
     /* 211699 */   // Label 4161: @211699
     /* 211699 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(211746), // Rule ID 11686 //
     /* 211704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 211712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 211718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 211721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211725 */     // MIs[0] Op3
     /* 211725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211728 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211733 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2062:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (USRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_B),
     /* 211736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211740 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211742 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211744 */     GIR_RootConstrainSelectedInstOperands,
     /* 211745 */     // GIR_Coverage, 11686,
     /* 211745 */     GIR_EraseRootFromParent_Done,
     /* 211746 */   // Label 4162: @211746
     /* 211746 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(211793), // Rule ID 11688 //
     /* 211751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 211759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211772 */     // MIs[0] Op3
     /* 211772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211775 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211780 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2062:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (USRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_H),
     /* 211783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211789 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211791 */     GIR_RootConstrainSelectedInstOperands,
     /* 211792 */     // GIR_Coverage, 11688,
     /* 211792 */     GIR_EraseRootFromParent_Done,
     /* 211793 */   // Label 4163: @211793
     /* 211793 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(211840), // Rule ID 11690 //
     /* 211798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 211806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211819 */     // MIs[0] Op3
     /* 211819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211827 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2062:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (USRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_S),
     /* 211830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211836 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211838 */     GIR_RootConstrainSelectedInstOperands,
     /* 211839 */     // GIR_Coverage, 11690,
     /* 211839 */     GIR_EraseRootFromParent_Done,
     /* 211840 */   // Label 4164: @211840
     /* 211840 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(211887), // Rule ID 11692 //
     /* 211845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 211853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 211859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211866 */     // MIs[0] Op3
     /* 211866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211869 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 211874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2062:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (USRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 211874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_D),
     /* 211877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211881 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211883 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211885 */     GIR_RootConstrainSelectedInstOperands,
     /* 211886 */     // GIR_Coverage, 11692,
     /* 211886 */     GIR_EraseRootFromParent_Done,
     /* 211887 */   // Label 4165: @211887
     /* 211887 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(211934), // Rule ID 11694 //
     /* 211892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 211900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 211906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 211909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211913 */     // MIs[0] Op3
     /* 211913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211916 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1863:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SRSRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_B),
     /* 211924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211930 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211932 */     GIR_RootConstrainSelectedInstOperands,
     /* 211933 */     // GIR_Coverage, 11694,
     /* 211933 */     GIR_EraseRootFromParent_Done,
     /* 211934 */   // Label 4166: @211934
     /* 211934 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(211981), // Rule ID 11695 //
     /* 211939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 211947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211960 */     // MIs[0] Op3
     /* 211960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1863:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SRSRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_H),
     /* 211971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211977 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211979 */     GIR_RootConstrainSelectedInstOperands,
     /* 211980 */     // GIR_Coverage, 11695,
     /* 211980 */     GIR_EraseRootFromParent_Done,
     /* 211981 */   // Label 4167: @211981
     /* 211981 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(212028), // Rule ID 11696 //
     /* 211986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 211994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212007 */     // MIs[0] Op3
     /* 212007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212015 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1863:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SRSRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_S),
     /* 212018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 212020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212024 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212026 */     GIR_RootConstrainSelectedInstOperands,
     /* 212027 */     // GIR_Coverage, 11696,
     /* 212027 */     GIR_EraseRootFromParent_Done,
     /* 212028 */   // Label 4168: @212028
     /* 212028 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(212075), // Rule ID 11697 //
     /* 212033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 212041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 212044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 212047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212054 */     // MIs[0] Op3
     /* 212054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212057 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 212062 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1863:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (SRSRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 212062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_D),
     /* 212065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 212067 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212069 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212071 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212073 */     GIR_RootConstrainSelectedInstOperands,
     /* 212074 */     // GIR_Coverage, 11697,
     /* 212074 */     GIR_EraseRootFromParent_Done,
     /* 212075 */   // Label 4169: @212075
     /* 212075 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(212122), // Rule ID 11702 //
     /* 212080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 212088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 212097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212101 */     // MIs[0] Op3
     /* 212101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212104 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212109 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2055:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (URSRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_B),
     /* 212112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 212114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212116 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212118 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212120 */     GIR_RootConstrainSelectedInstOperands,
     /* 212121 */     // GIR_Coverage, 11702,
     /* 212121 */     GIR_EraseRootFromParent_Done,
     /* 212122 */   // Label 4170: @212122
     /* 212122 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(212169), // Rule ID 11703 //
     /* 212127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 212135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212148 */     // MIs[0] Op3
     /* 212148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212151 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2055:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (URSRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_H),
     /* 212159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 212161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212163 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212165 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212167 */     GIR_RootConstrainSelectedInstOperands,
     /* 212168 */     // GIR_Coverage, 11703,
     /* 212168 */     GIR_EraseRootFromParent_Done,
     /* 212169 */   // Label 4171: @212169
     /* 212169 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(212216), // Rule ID 11704 //
     /* 212174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 212182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212195 */     // MIs[0] Op3
     /* 212195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212198 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2055:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (URSRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_S),
     /* 212206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 212208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212210 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212212 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212214 */     GIR_RootConstrainSelectedInstOperands,
     /* 212215 */     // GIR_Coverage, 11704,
     /* 212215 */     GIR_EraseRootFromParent_Done,
     /* 212216 */   // Label 4172: @212216
     /* 212216 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(212263), // Rule ID 11705 //
     /* 212221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 212229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 212232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 212235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212242 */     // MIs[0] Op3
     /* 212242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212245 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 212250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2055:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (URSRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 212250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_D),
     /* 212253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 212255 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212257 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212259 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212261 */     GIR_RootConstrainSelectedInstOperands,
     /* 212262 */     // GIR_Coverage, 11705,
     /* 212262 */     GIR_EraseRootFromParent_Done,
     /* 212263 */   // Label 4173: @212263
     /* 212263 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(212310), // Rule ID 11765 //
     /* 212268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunt),
     /* 212276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212289 */     // MIs[0] Op3
     /* 212289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212297 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1840:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQRSHRUNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNT_ZZI_B),
     /* 212300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212306 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212308 */     GIR_RootConstrainSelectedInstOperands,
     /* 212309 */     // GIR_Coverage, 11765,
     /* 212309 */     GIR_EraseRootFromParent_Done,
     /* 212310 */   // Label 4174: @212310
     /* 212310 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(212357), // Rule ID 11766 //
     /* 212315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunt),
     /* 212323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212336 */     // MIs[0] Op3
     /* 212336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1840:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQRSHRUNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNT_ZZI_H),
     /* 212347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212349 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212351 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212353 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212355 */     GIR_RootConstrainSelectedInstOperands,
     /* 212356 */     // GIR_Coverage, 11766,
     /* 212356 */     GIR_EraseRootFromParent_Done,
     /* 212357 */   // Label 4175: @212357
     /* 212357 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(212404), // Rule ID 11767 //
     /* 212362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunt),
     /* 212370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212383 */     // MIs[0] Op3
     /* 212383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212391 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1840:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQRSHRUNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNT_ZZI_S),
     /* 212394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212400 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212402 */     GIR_RootConstrainSelectedInstOperands,
     /* 212403 */     // GIR_Coverage, 11767,
     /* 212403 */     GIR_EraseRootFromParent_Done,
     /* 212404 */   // Label 4176: @212404
     /* 212404 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(212451), // Rule ID 11768 //
     /* 212409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnt),
     /* 212417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212430 */     // MIs[0] Op3
     /* 212430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212438 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1719:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNT_ZZI_B),
     /* 212441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212445 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212447 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212449 */     GIR_RootConstrainSelectedInstOperands,
     /* 212450 */     // GIR_Coverage, 11768,
     /* 212450 */     GIR_EraseRootFromParent_Done,
     /* 212451 */   // Label 4177: @212451
     /* 212451 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(212498), // Rule ID 11769 //
     /* 212456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnt),
     /* 212464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212477 */     // MIs[0] Op3
     /* 212477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212485 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1719:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNT_ZZI_H),
     /* 212488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212494 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212496 */     GIR_RootConstrainSelectedInstOperands,
     /* 212497 */     // GIR_Coverage, 11769,
     /* 212497 */     GIR_EraseRootFromParent_Done,
     /* 212498 */   // Label 4178: @212498
     /* 212498 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(212545), // Rule ID 11770 //
     /* 212503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnt),
     /* 212511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212524 */     // MIs[0] Op3
     /* 212524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212527 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212532 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1719:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNT_ZZI_S),
     /* 212535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212539 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212541 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212543 */     GIR_RootConstrainSelectedInstOperands,
     /* 212544 */     // GIR_Coverage, 11770,
     /* 212544 */     GIR_EraseRootFromParent_Done,
     /* 212545 */   // Label 4179: @212545
     /* 212545 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(212592), // Rule ID 11771 //
     /* 212550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnt),
     /* 212558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212571 */     // MIs[0] Op3
     /* 212571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212574 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212579 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1677:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (RSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNT_ZZI_B),
     /* 212582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212588 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212590 */     GIR_RootConstrainSelectedInstOperands,
     /* 212591 */     // GIR_Coverage, 11771,
     /* 212591 */     GIR_EraseRootFromParent_Done,
     /* 212592 */   // Label 4180: @212592
     /* 212592 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(212639), // Rule ID 11772 //
     /* 212597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnt),
     /* 212605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212618 */     // MIs[0] Op3
     /* 212618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212621 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212626 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1677:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (RSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNT_ZZI_H),
     /* 212629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212633 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212635 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212637 */     GIR_RootConstrainSelectedInstOperands,
     /* 212638 */     // GIR_Coverage, 11772,
     /* 212638 */     GIR_EraseRootFromParent_Done,
     /* 212639 */   // Label 4181: @212639
     /* 212639 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(212686), // Rule ID 11773 //
     /* 212644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnt),
     /* 212652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212665 */     // MIs[0] Op3
     /* 212665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212668 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212673 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1677:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (RSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNT_ZZI_S),
     /* 212676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212682 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212684 */     GIR_RootConstrainSelectedInstOperands,
     /* 212685 */     // GIR_Coverage, 11773,
     /* 212685 */     GIR_EraseRootFromParent_Done,
     /* 212686 */   // Label 4182: @212686
     /* 212686 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(212733), // Rule ID 11774 //
     /* 212691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnt),
     /* 212699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212712 */     // MIs[0] Op3
     /* 212712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212715 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212720 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1844:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNT_ZZI_B),
     /* 212723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212725 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212727 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212729 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212731 */     GIR_RootConstrainSelectedInstOperands,
     /* 212732 */     // GIR_Coverage, 11774,
     /* 212732 */     GIR_EraseRootFromParent_Done,
     /* 212733 */   // Label 4183: @212733
     /* 212733 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(212780), // Rule ID 11775 //
     /* 212738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnt),
     /* 212746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212759 */     // MIs[0] Op3
     /* 212759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212767 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1844:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNT_ZZI_H),
     /* 212770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212772 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212774 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212776 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212778 */     GIR_RootConstrainSelectedInstOperands,
     /* 212779 */     // GIR_Coverage, 11775,
     /* 212779 */     GIR_EraseRootFromParent_Done,
     /* 212780 */   // Label 4184: @212780
     /* 212780 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(212827), // Rule ID 11776 //
     /* 212785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnt),
     /* 212793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212806 */     // MIs[0] Op3
     /* 212806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1844:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNT_ZZI_S),
     /* 212817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212819 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212821 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212823 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212825 */     GIR_RootConstrainSelectedInstOperands,
     /* 212826 */     // GIR_Coverage, 11776,
     /* 212826 */     GIR_EraseRootFromParent_Done,
     /* 212827 */   // Label 4185: @212827
     /* 212827 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(212874), // Rule ID 11777 //
     /* 212832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnt),
     /* 212840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212853 */     // MIs[0] Op3
     /* 212853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212861 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1834:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQRSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNT_ZZI_B),
     /* 212864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212870 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212872 */     GIR_RootConstrainSelectedInstOperands,
     /* 212873 */     // GIR_Coverage, 11777,
     /* 212873 */     GIR_EraseRootFromParent_Done,
     /* 212874 */   // Label 4186: @212874
     /* 212874 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(212921), // Rule ID 11778 //
     /* 212879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnt),
     /* 212887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212900 */     // MIs[0] Op3
     /* 212900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212908 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1834:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQRSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNT_ZZI_H),
     /* 212911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212915 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212917 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212919 */     GIR_RootConstrainSelectedInstOperands,
     /* 212920 */     // GIR_Coverage, 11778,
     /* 212920 */     GIR_EraseRootFromParent_Done,
     /* 212921 */   // Label 4187: @212921
     /* 212921 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(212968), // Rule ID 11779 //
     /* 212926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnt),
     /* 212934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212947 */     // MIs[0] Op3
     /* 212947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212950 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212955 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1834:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQRSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNT_ZZI_S),
     /* 212958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212964 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212966 */     GIR_RootConstrainSelectedInstOperands,
     /* 212967 */     // GIR_Coverage, 11779,
     /* 212967 */     GIR_EraseRootFromParent_Done,
     /* 212968 */   // Label 4188: @212968
     /* 212968 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(213015), // Rule ID 11780 //
     /* 212973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnt),
     /* 212981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212994 */     // MIs[0] Op3
     /* 212994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212997 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 213002 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2039:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (UQSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 213002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNT_ZZI_B),
     /* 213005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213009 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213011 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213013 */     GIR_RootConstrainSelectedInstOperands,
     /* 213014 */     // GIR_Coverage, 11780,
     /* 213014 */     GIR_EraseRootFromParent_Done,
     /* 213015 */   // Label 4189: @213015
     /* 213015 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(213062), // Rule ID 11781 //
     /* 213020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnt),
     /* 213028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 213037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213041 */     // MIs[0] Op3
     /* 213041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 213044 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 213049 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2039:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (UQSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 213049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNT_ZZI_H),
     /* 213052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213058 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213060 */     GIR_RootConstrainSelectedInstOperands,
     /* 213061 */     // GIR_Coverage, 11781,
     /* 213061 */     GIR_EraseRootFromParent_Done,
     /* 213062 */   // Label 4190: @213062
     /* 213062 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(213109), // Rule ID 11782 //
     /* 213067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnt),
     /* 213075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 213084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213088 */     // MIs[0] Op3
     /* 213088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 213091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 213096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2039:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (UQSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 213096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNT_ZZI_S),
     /* 213099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213105 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213107 */     GIR_RootConstrainSelectedInstOperands,
     /* 213108 */     // GIR_Coverage, 11782,
     /* 213108 */     GIR_EraseRootFromParent_Done,
     /* 213109 */   // Label 4191: @213109
     /* 213109 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(213156), // Rule ID 11783 //
     /* 213114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnt),
     /* 213122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 213128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 213131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213135 */     // MIs[0] Op3
     /* 213135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 213138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 213143 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2036:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (UQRSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 213143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNT_ZZI_B),
     /* 213146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213152 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213154 */     GIR_RootConstrainSelectedInstOperands,
     /* 213155 */     // GIR_Coverage, 11783,
     /* 213155 */     GIR_EraseRootFromParent_Done,
     /* 213156 */   // Label 4192: @213156
     /* 213156 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(213203), // Rule ID 11784 //
     /* 213161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnt),
     /* 213169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 213178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213182 */     // MIs[0] Op3
     /* 213182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 213185 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 213190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2036:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (UQRSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 213190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNT_ZZI_H),
     /* 213193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213195 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213197 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213199 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213201 */     GIR_RootConstrainSelectedInstOperands,
     /* 213202 */     // GIR_Coverage, 11784,
     /* 213202 */     GIR_EraseRootFromParent_Done,
     /* 213203 */   // Label 4193: @213203
     /* 213203 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(213250), // Rule ID 11785 //
     /* 213208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnt),
     /* 213216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 213225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213229 */     // MIs[0] Op3
     /* 213229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 213232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 213237 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2036:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (UQRSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 213237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNT_ZZI_S),
     /* 213240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213242 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213244 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213246 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213248 */     GIR_RootConstrainSelectedInstOperands,
     /* 213249 */     // GIR_Coverage, 11785,
     /* 213249 */     GIR_EraseRootFromParent_Done,
     /* 213250 */   // Label 4194: @213250
     /* 213250 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(213317), // Rule ID 2604 //
     /* 213255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urecpe),
     /* 213263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213289 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2046:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (URECPE_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 213289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPE_ZPmZ_S_UNDEF),
     /* 213306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213311 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213313 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213315 */     GIR_RootConstrainSelectedInstOperands,
     /* 213316 */     // GIR_Coverage, 2604,
     /* 213316 */     GIR_EraseRootFromParent_Done,
     /* 213317 */   // Label 4195: @213317
     /* 213317 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(213384), // Rule ID 7696 //
     /* 213322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 213330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 213336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 213339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213356 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1310:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CLS_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 213356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_B_UNDEF),
     /* 213373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213378 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213380 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213382 */     GIR_RootConstrainSelectedInstOperands,
     /* 213383 */     // GIR_Coverage, 7696,
     /* 213383 */     GIR_EraseRootFromParent_Done,
     /* 213384 */   // Label 4196: @213384
     /* 213384 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(213451), // Rule ID 7698 //
     /* 213389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 213397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 213406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213423 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1310:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CLS_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 213423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_H_UNDEF),
     /* 213440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213445 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213447 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213449 */     GIR_RootConstrainSelectedInstOperands,
     /* 213450 */     // GIR_Coverage, 7698,
     /* 213450 */     GIR_EraseRootFromParent_Done,
     /* 213451 */   // Label 4197: @213451
     /* 213451 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(213518), // Rule ID 7700 //
     /* 213456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 213464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1310:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CLS_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 213490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_S_UNDEF),
     /* 213507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213514 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213516 */     GIR_RootConstrainSelectedInstOperands,
     /* 213517 */     // GIR_Coverage, 7700,
     /* 213517 */     GIR_EraseRootFromParent_Done,
     /* 213518 */   // Label 4198: @213518
     /* 213518 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(213585), // Rule ID 7702 //
     /* 213523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 213531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 213537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 213540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213557 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1310:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CLS_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 213557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_D_UNDEF),
     /* 213574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213579 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213581 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213583 */     GIR_RootConstrainSelectedInstOperands,
     /* 213584 */     // GIR_Coverage, 7702,
     /* 213584 */     GIR_EraseRootFromParent_Done,
     /* 213585 */   // Label 4199: @213585
     /* 213585 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(213652), // Rule ID 7732 //
     /* 213590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 213598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 213604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 213607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1330:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CNOT_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 213624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_B_UNDEF),
     /* 213641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213648 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213650 */     GIR_RootConstrainSelectedInstOperands,
     /* 213651 */     // GIR_Coverage, 7732,
     /* 213651 */     GIR_EraseRootFromParent_Done,
     /* 213652 */   // Label 4200: @213652
     /* 213652 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(213719), // Rule ID 7734 //
     /* 213657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 213665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 213674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213691 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1330:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CNOT_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 213691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_H_UNDEF),
     /* 213708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213713 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213715 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213717 */     GIR_RootConstrainSelectedInstOperands,
     /* 213718 */     // GIR_Coverage, 7734,
     /* 213718 */     GIR_EraseRootFromParent_Done,
     /* 213719 */   // Label 4201: @213719
     /* 213719 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(213786), // Rule ID 7736 //
     /* 213724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 213732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1330:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CNOT_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 213758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_S_UNDEF),
     /* 213775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213782 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213784 */     GIR_RootConstrainSelectedInstOperands,
     /* 213785 */     // GIR_Coverage, 7736,
     /* 213785 */     GIR_EraseRootFromParent_Done,
     /* 213786 */   // Label 4202: @213786
     /* 213786 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(213853), // Rule ID 7738 //
     /* 213791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 213799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 213805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 213808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213825 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1330:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CNOT_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 213825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_D_UNDEF),
     /* 213842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213847 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213849 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213851 */     GIR_RootConstrainSelectedInstOperands,
     /* 213852 */     // GIR_Coverage, 7738,
     /* 213852 */     GIR_EraseRootFromParent_Done,
     /* 213853 */   // Label 4203: @213853
     /* 213853 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(213920), // Rule ID 7744 //
     /* 213858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 213866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 213872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 213875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1616:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (NOT_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 213892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_B_UNDEF),
     /* 213909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213914 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213916 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213918 */     GIR_RootConstrainSelectedInstOperands,
     /* 213919 */     // GIR_Coverage, 7744,
     /* 213919 */     GIR_EraseRootFromParent_Done,
     /* 213920 */   // Label 4204: @213920
     /* 213920 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(213987), // Rule ID 7746 //
     /* 213925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 213933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 213942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213959 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1616:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (NOT_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 213959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_H_UNDEF),
     /* 213976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213981 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213983 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213985 */     GIR_RootConstrainSelectedInstOperands,
     /* 213986 */     // GIR_Coverage, 7746,
     /* 213986 */     GIR_EraseRootFromParent_Done,
     /* 213987 */   // Label 4205: @213987
     /* 213987 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(214054), // Rule ID 7748 //
     /* 213992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 214000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 214003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 214006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 214009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 214012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1616:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (NOT_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 214026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_S_UNDEF),
     /* 214043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214048 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214050 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214052 */     GIR_RootConstrainSelectedInstOperands,
     /* 214053 */     // GIR_Coverage, 7748,
     /* 214053 */     GIR_EraseRootFromParent_Done,
     /* 214054 */   // Label 4206: @214054
     /* 214054 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(214121), // Rule ID 7750 //
     /* 214059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 214067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 214070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 214073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 214076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214093 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1616:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (NOT_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 214093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_D_UNDEF),
     /* 214110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214115 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214117 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214119 */     GIR_RootConstrainSelectedInstOperands,
     /* 214120 */     // GIR_Coverage, 7750,
     /* 214120 */     GIR_EraseRootFromParent_Done,
     /* 214121 */   // Label 4207: @214121
     /* 214121 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(214188), // Rule ID 11478 //
     /* 214126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursqrte),
     /* 214134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 214137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 214140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 214143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 214146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214160 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2054:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (URSQRTE_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 214160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTE_ZPmZ_S_UNDEF),
     /* 214177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214184 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214186 */     GIR_RootConstrainSelectedInstOperands,
     /* 214187 */     // GIR_Coverage, 11478,
     /* 214187 */     GIR_EraseRootFromParent_Done,
     /* 214188 */   // Label 4208: @214188
     /* 214188 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(214255), // Rule ID 11480 //
     /* 214193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 214201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 214204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 214207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 214210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 214213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214227 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1759:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQABS_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 214227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_B_UNDEF),
     /* 214244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214249 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214251 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214253 */     GIR_RootConstrainSelectedInstOperands,
     /* 214254 */     // GIR_Coverage, 11480,
     /* 214254 */     GIR_EraseRootFromParent_Done,
     /* 214255 */   // Label 4209: @214255
     /* 214255 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(214322), // Rule ID 11482 //
     /* 214260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 214268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 214271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 214274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 214277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 214280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214294 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1759:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQABS_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 214294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_H_UNDEF),
     /* 214311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214318 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214320 */     GIR_RootConstrainSelectedInstOperands,
     /* 214321 */     // GIR_Coverage, 11482,
     /* 214321 */     GIR_EraseRootFromParent_Done,
     /* 214322 */   // Label 4210: @214322
     /* 214322 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(214389), // Rule ID 11484 //
     /* 214327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 214335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 214338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 214341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 214344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 214347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214361 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1759:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQABS_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 214361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_S_UNDEF),
     /* 214378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214383 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214385 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214387 */     GIR_RootConstrainSelectedInstOperands,
     /* 214388 */     // GIR_Coverage, 11484,
     /* 214388 */     GIR_EraseRootFromParent_Done,
     /* 214389 */   // Label 4211: @214389
     /* 214389 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(214456), // Rule ID 11486 //
     /* 214394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 214402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 214405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 214408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 214411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214428 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1759:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQABS_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 214428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_D_UNDEF),
     /* 214445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214452 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214454 */     GIR_RootConstrainSelectedInstOperands,
     /* 214455 */     // GIR_Coverage, 11486,
     /* 214455 */     GIR_EraseRootFromParent_Done,
     /* 214456 */   // Label 4212: @214456
     /* 214456 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(214523), // Rule ID 11492 //
     /* 214461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 214469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 214472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 214475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 214478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 214481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214495 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1819:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQNEG_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 214495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_B_UNDEF),
     /* 214512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214517 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214519 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214521 */     GIR_RootConstrainSelectedInstOperands,
     /* 214522 */     // GIR_Coverage, 11492,
     /* 214522 */     GIR_EraseRootFromParent_Done,
     /* 214523 */   // Label 4213: @214523
     /* 214523 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(214590), // Rule ID 11494 //
     /* 214528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 214536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 214539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 214542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 214545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 214548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214562 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1819:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQNEG_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 214562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_H_UNDEF),
     /* 214579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214586 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214588 */     GIR_RootConstrainSelectedInstOperands,
     /* 214589 */     // GIR_Coverage, 11494,
     /* 214589 */     GIR_EraseRootFromParent_Done,
     /* 214590 */   // Label 4214: @214590
     /* 214590 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(214657), // Rule ID 11496 //
     /* 214595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 214603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 214606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 214609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 214612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 214615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214629 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1819:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQNEG_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 214629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_S_UNDEF),
     /* 214646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214651 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214653 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214655 */     GIR_RootConstrainSelectedInstOperands,
     /* 214656 */     // GIR_Coverage, 11496,
     /* 214656 */     GIR_EraseRootFromParent_Done,
     /* 214657 */   // Label 4215: @214657
     /* 214657 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(214724), // Rule ID 11498 //
     /* 214662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 214670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 214673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 214676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 214679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214696 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1819:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQNEG_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 214696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_D_UNDEF),
     /* 214713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214718 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214720 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214722 */     GIR_RootConstrainSelectedInstOperands,
     /* 214723 */     // GIR_Coverage, 11498,
     /* 214723 */     GIR_EraseRootFromParent_Done,
     /* 214724 */   // Label 4216: @214724
     /* 214724 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(214778), // Rule ID 30 //
     /* 214729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /* 214732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smmla),
     /* 214737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 214746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 214749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214765 */     // (intrinsic_wo_chain:{ *:[v4i32] } 676:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMMLA:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 214765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMMLA),
     /* 214768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214774 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214776 */     GIR_RootConstrainSelectedInstOperands,
     /* 214777 */     // GIR_Coverage, 30,
     /* 214777 */     GIR_EraseRootFromParent_Done,
     /* 214778 */   // Label 4217: @214778
     /* 214778 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(214832), // Rule ID 31 //
     /* 214783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /* 214786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ummla),
     /* 214791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 214800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 214803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214819 */     // (intrinsic_wo_chain:{ *:[v4i32] } 737:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMMLA:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 214819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMMLA),
     /* 214822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214828 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214830 */     GIR_RootConstrainSelectedInstOperands,
     /* 214831 */     // GIR_Coverage, 31,
     /* 214831 */     GIR_EraseRootFromParent_Done,
     /* 214832 */   // Label 4218: @214832
     /* 214832 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(214886), // Rule ID 32 //
     /* 214837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /* 214840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usmmla),
     /* 214845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 214854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 214857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214873 */     // (intrinsic_wo_chain:{ *:[v4i32] } 753:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (USMMLA:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 214873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMMLA),
     /* 214876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214882 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214884 */     GIR_RootConstrainSelectedInstOperands,
     /* 214885 */     // GIR_Coverage, 32,
     /* 214885 */     GIR_EraseRootFromParent_Done,
     /* 214886 */   // Label 4219: @214886
     /* 214886 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(214940), // Rule ID 39 //
     /* 214891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 214899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 214902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 214905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 214908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 214911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214927 */     // (intrinsic_wo_chain:{ *:[v2f32] } 606:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLALv4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 214927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALv4f16),
     /* 214930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214934 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214936 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214938 */     GIR_RootConstrainSelectedInstOperands,
     /* 214939 */     // GIR_Coverage, 39,
     /* 214939 */     GIR_EraseRootFromParent_Done,
     /* 214940 */   // Label 4220: @214940
     /* 214940 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(214994), // Rule ID 40 //
     /* 214945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 214953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 214962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 214965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214981 */     // (intrinsic_wo_chain:{ *:[v4f32] } 606:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLALv8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 214981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALv8f16),
     /* 214984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214992 */     GIR_RootConstrainSelectedInstOperands,
     /* 214993 */     // GIR_Coverage, 40,
     /* 214993 */     GIR_EraseRootFromParent_Done,
     /* 214994 */   // Label 4221: @214994
     /* 214994 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(215048), // Rule ID 41 //
     /* 214999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 215002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 215007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 215010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 215013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 215016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 215019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215035 */     // (intrinsic_wo_chain:{ *:[v2f32] } 608:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLSLv4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 215035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLv4f16),
     /* 215038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215044 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215046 */     GIR_RootConstrainSelectedInstOperands,
     /* 215047 */     // GIR_Coverage, 41,
     /* 215047 */     GIR_EraseRootFromParent_Done,
     /* 215048 */   // Label 4222: @215048
     /* 215048 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(215102), // Rule ID 42 //
     /* 215053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 215056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 215061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 215070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 215073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215089 */     // (intrinsic_wo_chain:{ *:[v4f32] } 608:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLSLv8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 215089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLv8f16),
     /* 215092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215096 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215098 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215100 */     GIR_RootConstrainSelectedInstOperands,
     /* 215101 */     // GIR_Coverage, 42,
     /* 215101 */     GIR_EraseRootFromParent_Done,
     /* 215102 */   // Label 4223: @215102
     /* 215102 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(215156), // Rule ID 43 //
     /* 215107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 215110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 215115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 215118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 215121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 215124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 215127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215143 */     // (intrinsic_wo_chain:{ *:[v2f32] } 607:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLAL2v4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 215143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2v4f16),
     /* 215146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215152 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215154 */     GIR_RootConstrainSelectedInstOperands,
     /* 215155 */     // GIR_Coverage, 43,
     /* 215155 */     GIR_EraseRootFromParent_Done,
     /* 215156 */   // Label 4224: @215156
     /* 215156 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(215210), // Rule ID 44 //
     /* 215161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 215164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 215169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 215178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 215181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215197 */     // (intrinsic_wo_chain:{ *:[v4f32] } 607:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLAL2v8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 215197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2v8f16),
     /* 215200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215206 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215208 */     GIR_RootConstrainSelectedInstOperands,
     /* 215209 */     // GIR_Coverage, 44,
     /* 215209 */     GIR_EraseRootFromParent_Done,
     /* 215210 */   // Label 4225: @215210
     /* 215210 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(215264), // Rule ID 45 //
     /* 215215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 215218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 215223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 215226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 215229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 215232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 215235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215251 */     // (intrinsic_wo_chain:{ *:[v2f32] } 609:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLSL2v4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 215251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2v4f16),
     /* 215254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215260 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215262 */     GIR_RootConstrainSelectedInstOperands,
     /* 215263 */     // GIR_Coverage, 45,
     /* 215263 */     GIR_EraseRootFromParent_Done,
     /* 215264 */   // Label 4226: @215264
     /* 215264 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(215318), // Rule ID 46 //
     /* 215269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 215272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 215277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 215286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 215289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215305 */     // (intrinsic_wo_chain:{ *:[v4f32] } 609:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLSL2v8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 215305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2v8f16),
     /* 215308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215312 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215314 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215316 */     GIR_RootConstrainSelectedInstOperands,
     /* 215317 */     // GIR_Coverage, 46,
     /* 215317 */     GIR_EraseRootFromParent_Done,
     /* 215318 */   // Label 4227: @215318
     /* 215318 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(215372), // Rule ID 1587 //
     /* 215323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 215331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 215334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 215337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 215340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 215343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215359 */     // (intrinsic_wo_chain:{ *:[v4i16] } 686:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRDMLAHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 215359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i16),
     /* 215362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215366 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215368 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215370 */     GIR_RootConstrainSelectedInstOperands,
     /* 215371 */     // GIR_Coverage, 1587,
     /* 215371 */     GIR_EraseRootFromParent_Done,
     /* 215372 */   // Label 4228: @215372
     /* 215372 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(215426), // Rule ID 1588 //
     /* 215377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 215385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 215388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 215391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 215394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 215397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215413 */     // (intrinsic_wo_chain:{ *:[v8i16] } 686:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRDMLAHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 215413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv8i16),
     /* 215416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215420 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215422 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215424 */     GIR_RootConstrainSelectedInstOperands,
     /* 215425 */     // GIR_Coverage, 1588,
     /* 215425 */     GIR_EraseRootFromParent_Done,
     /* 215426 */   // Label 4229: @215426
     /* 215426 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(215480), // Rule ID 1589 //
     /* 215431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 215439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 215442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 215445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 215448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 215451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215467 */     // (intrinsic_wo_chain:{ *:[v2i32] } 686:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRDMLAHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 215467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv2i32),
     /* 215470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215472 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215474 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215476 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215478 */     GIR_RootConstrainSelectedInstOperands,
     /* 215479 */     // GIR_Coverage, 1589,
     /* 215479 */     GIR_EraseRootFromParent_Done,
     /* 215480 */   // Label 4230: @215480
     /* 215480 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(215534), // Rule ID 1590 //
     /* 215485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 215493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215521 */     // (intrinsic_wo_chain:{ *:[v4i32] } 686:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRDMLAHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i32),
     /* 215524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215530 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215532 */     GIR_RootConstrainSelectedInstOperands,
     /* 215533 */     // GIR_Coverage, 1590,
     /* 215533 */     GIR_EraseRootFromParent_Done,
     /* 215534 */   // Label 4231: @215534
     /* 215534 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(215588), // Rule ID 1591 //
     /* 215539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 215547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 215550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 215553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 215556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 215559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215575 */     // (intrinsic_wo_chain:{ *:[v4i16] } 687:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRDMLSHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 215575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i16),
     /* 215578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215584 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215586 */     GIR_RootConstrainSelectedInstOperands,
     /* 215587 */     // GIR_Coverage, 1591,
     /* 215587 */     GIR_EraseRootFromParent_Done,
     /* 215588 */   // Label 4232: @215588
     /* 215588 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(215642), // Rule ID 1592 //
     /* 215593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 215601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 215604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 215607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 215610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 215613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215629 */     // (intrinsic_wo_chain:{ *:[v8i16] } 687:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRDMLSHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 215629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv8i16),
     /* 215632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215636 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215638 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215640 */     GIR_RootConstrainSelectedInstOperands,
     /* 215641 */     // GIR_Coverage, 1592,
     /* 215641 */     GIR_EraseRootFromParent_Done,
     /* 215642 */   // Label 4233: @215642
     /* 215642 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(215696), // Rule ID 1593 //
     /* 215647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 215655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 215658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 215661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 215664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 215667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215683 */     // (intrinsic_wo_chain:{ *:[v2i32] } 687:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRDMLSHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 215683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv2i32),
     /* 215686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215690 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215692 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215694 */     GIR_RootConstrainSelectedInstOperands,
     /* 215695 */     // GIR_Coverage, 1593,
     /* 215695 */     GIR_EraseRootFromParent_Done,
     /* 215696 */   // Label 4234: @215696
     /* 215696 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(215750), // Rule ID 1594 //
     /* 215701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 215709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215737 */     // (intrinsic_wo_chain:{ *:[v4i32] } 687:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRDMLSHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i32),
     /* 215740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215746 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215748 */     GIR_RootConstrainSelectedInstOperands,
     /* 215749 */     // GIR_Coverage, 1594,
     /* 215749 */     GIR_EraseRootFromParent_Done,
     /* 215750 */   // Label 4235: @215750
     /* 215750 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(215804), // Rule ID 2307 //
     /* 215755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1c),
     /* 215763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 215772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 215787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215791 */     // (intrinsic_wo_chain:{ *:[v4i32] } 520:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1Crrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Crrr),
     /* 215794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215800 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215802 */     GIR_RootConstrainSelectedInstOperands,
     /* 215803 */     // GIR_Coverage, 2307,
     /* 215803 */     GIR_EraseRootFromParent_Done,
     /* 215804 */   // Label 4236: @215804
     /* 215804 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(215858), // Rule ID 2308 //
     /* 215809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1p),
     /* 215817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 215826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 215841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215845 */     // (intrinsic_wo_chain:{ *:[v4i32] } 523:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1Prrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Prrr),
     /* 215848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215854 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215856 */     GIR_RootConstrainSelectedInstOperands,
     /* 215857 */     // GIR_Coverage, 2308,
     /* 215857 */     GIR_EraseRootFromParent_Done,
     /* 215858 */   // Label 4237: @215858
     /* 215858 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(215912), // Rule ID 2309 //
     /* 215863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1m),
     /* 215871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 215880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 215895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215899 */     // (intrinsic_wo_chain:{ *:[v4i32] } 522:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1Mrrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Mrrr),
     /* 215902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215904 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215906 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215908 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215910 */     GIR_RootConstrainSelectedInstOperands,
     /* 215911 */     // GIR_Coverage, 2309,
     /* 215911 */     GIR_EraseRootFromParent_Done,
     /* 215912 */   // Label 4238: @215912
     /* 215912 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(215966), // Rule ID 2310 //
     /* 215917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1su0),
     /* 215925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215953 */     // (intrinsic_wo_chain:{ *:[v4i32] } 524:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1SU0rrr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1SU0rrr),
     /* 215956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215962 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215964 */     GIR_RootConstrainSelectedInstOperands,
     /* 215965 */     // GIR_Coverage, 2310,
     /* 215965 */     GIR_EraseRootFromParent_Done,
     /* 215966 */   // Label 4239: @215966
     /* 215966 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(216020), // Rule ID 2311 //
     /* 215971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256h),
     /* 215979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216007 */     // (intrinsic_wo_chain:{ *:[v4i32] } 526:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA256Hrrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 216007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256Hrrr),
     /* 216010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 216014 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 216016 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 216018 */     GIR_RootConstrainSelectedInstOperands,
     /* 216019 */     // GIR_Coverage, 2311,
     /* 216019 */     GIR_EraseRootFromParent_Done,
     /* 216020 */   // Label 4240: @216020
     /* 216020 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(216074), // Rule ID 2312 //
     /* 216025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 216028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256h2),
     /* 216033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 216036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 216042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 216045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216061 */     // (intrinsic_wo_chain:{ *:[v4i32] } 527:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA256H2rrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 216061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256H2rrr),
     /* 216064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 216068 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 216070 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 216072 */     GIR_RootConstrainSelectedInstOperands,
     /* 216073 */     // GIR_Coverage, 2312,
     /* 216073 */     GIR_EraseRootFromParent_Done,
     /* 216074 */   // Label 4241: @216074
     /* 216074 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(216128), // Rule ID 2313 //
     /* 216079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 216082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256su1),
     /* 216087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 216090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 216096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 216099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216115 */     // (intrinsic_wo_chain:{ *:[v4i32] } 529:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA256SU1rrr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 216115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256SU1rrr),
     /* 216118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 216122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 216124 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 216126 */     GIR_RootConstrainSelectedInstOperands,
     /* 216127 */     // GIR_Coverage, 2313,
     /* 216127 */     GIR_EraseRootFromParent_Done,
     /* 216128 */   // Label 4242: @216128
     /* 216128 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(216185), // Rule ID 3640 //
     /* 216133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 216136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 216141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 216144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 216147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 216150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 216153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 216157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 216169 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1651:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR8:{ *:[nxv16i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_B:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 216169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_B),
     /* 216172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 216174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 216176 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 216178 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 216180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216183 */     GIR_RootConstrainSelectedInstOperands,
     /* 216184 */     // GIR_Coverage, 3640,
     /* 216184 */     GIR_EraseRootFromParent_Done,
     /* 216185 */   // Label 4243: @216185
     /* 216185 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(216242), // Rule ID 3641 //
     /* 216190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 216193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 216198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 216201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 216204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 216207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 216210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 216214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 216226 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1651:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR16:{ *:[nxv8i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_H:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 216226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_H),
     /* 216229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 216231 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 216233 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 216235 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 216237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216240 */     GIR_RootConstrainSelectedInstOperands,
     /* 216241 */     // GIR_Coverage, 3641,
     /* 216241 */     GIR_EraseRootFromParent_Done,
     /* 216242 */   // Label 4244: @216242
     /* 216242 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(216299), // Rule ID 3642 //
     /* 216247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 216250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 216255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 216258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 216261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 216264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 216267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 216271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 216283 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1651:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR32:{ *:[nxv4i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_S:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 216283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_S),
     /* 216286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 216288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 216290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 216292 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 216294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216297 */     GIR_RootConstrainSelectedInstOperands,
     /* 216298 */     // GIR_Coverage, 3642,
     /* 216298 */     GIR_EraseRootFromParent_Done,
     /* 216299 */   // Label 4245: @216299
     /* 216299 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(216356), // Rule ID 3643 //
     /* 216304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 216307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 216312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 216315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 216318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 216321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 216324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 216328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 216340 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1651:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR64:{ *:[nxv2i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_D:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv2i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 216340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_D),
     /* 216343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 216345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 216347 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 216349 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 216351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216354 */     GIR_RootConstrainSelectedInstOperands,
     /* 216355 */     // GIR_Coverage, 3643,
     /* 216355 */     GIR_EraseRootFromParent_Done,
     /* 216356 */   // Label 4246: @216356
     /* 216356 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(216410), // Rule ID 3816 //
     /* 216361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512h),
     /* 216369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216397 */     // (intrinsic_wo_chain:{ *:[v2i64] } 530:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512H:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512H),
     /* 216400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 216402 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216404 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216406 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216408 */     GIR_RootConstrainSelectedInstOperands,
     /* 216409 */     // GIR_Coverage, 3816,
     /* 216409 */     GIR_EraseRootFromParent_Done,
     /* 216410 */   // Label 4247: @216410
     /* 216410 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(216464), // Rule ID 3817 //
     /* 216415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512h2),
     /* 216423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216451 */     // (intrinsic_wo_chain:{ *:[v2i64] } 531:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512H2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512H2),
     /* 216454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 216456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216460 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216462 */     GIR_RootConstrainSelectedInstOperands,
     /* 216463 */     // GIR_Coverage, 3817,
     /* 216463 */     GIR_EraseRootFromParent_Done,
     /* 216464 */   // Label 4248: @216464
     /* 216464 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(216518), // Rule ID 3818 //
     /* 216469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512su1),
     /* 216477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216505 */     // (intrinsic_wo_chain:{ *:[v2i64] } 533:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512SU1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512SU1),
     /* 216508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 216510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216514 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216516 */     GIR_RootConstrainSelectedInstOperands,
     /* 216517 */     // GIR_Coverage, 3818,
     /* 216517 */     GIR_EraseRootFromParent_Done,
     /* 216518 */   // Label 4249: @216518
     /* 216518 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(216572), // Rule ID 3819 //
     /* 216523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 216531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 216534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 216537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 216540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 216543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216559 */     // (intrinsic_wo_chain:{ *:[v16i8] } 518:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 216559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216564 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216566 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216568 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216570 */     GIR_RootConstrainSelectedInstOperands,
     /* 216571 */     // GIR_Coverage, 3819,
     /* 216571 */     GIR_EraseRootFromParent_Done,
     /* 216572 */   // Label 4250: @216572
     /* 216572 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(216626), // Rule ID 3820 //
     /* 216577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 216585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 216588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 216594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 216597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216613 */     // (intrinsic_wo_chain:{ *:[v8i16] } 518:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 216613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216620 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216622 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216624 */     GIR_RootConstrainSelectedInstOperands,
     /* 216625 */     // GIR_Coverage, 3820,
     /* 216625 */     GIR_EraseRootFromParent_Done,
     /* 216626 */   // Label 4251: @216626
     /* 216626 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(216680), // Rule ID 3821 //
     /* 216631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 216639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 216642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 216648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 216651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216667 */     // (intrinsic_wo_chain:{ *:[v4i32] } 518:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 216667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216676 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216678 */     GIR_RootConstrainSelectedInstOperands,
     /* 216679 */     // GIR_Coverage, 3821,
     /* 216679 */     GIR_EraseRootFromParent_Done,
     /* 216680 */   // Label 4252: @216680
     /* 216680 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(216734), // Rule ID 3822 //
     /* 216685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 216693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216721 */     // (intrinsic_wo_chain:{ *:[v2i64] } 518:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216730 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216732 */     GIR_RootConstrainSelectedInstOperands,
     /* 216733 */     // GIR_Coverage, 3822,
     /* 216733 */     GIR_EraseRootFromParent_Done,
     /* 216734 */   // Label 4253: @216734
     /* 216734 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(216788), // Rule ID 3831 //
     /* 216739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 216747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 216750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 216753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 216756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 216759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216775 */     // (intrinsic_wo_chain:{ *:[v16i8] } 516:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 216775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 216778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216780 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216782 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216784 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216786 */     GIR_RootConstrainSelectedInstOperands,
     /* 216787 */     // GIR_Coverage, 3831,
     /* 216787 */     GIR_EraseRootFromParent_Done,
     /* 216788 */   // Label 4254: @216788
     /* 216788 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(216842), // Rule ID 3832 //
     /* 216793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 216801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 216804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 216810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 216813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216829 */     // (intrinsic_wo_chain:{ *:[v8i16] } 516:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 216829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 216832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216834 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216836 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216838 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216840 */     GIR_RootConstrainSelectedInstOperands,
     /* 216841 */     // GIR_Coverage, 3832,
     /* 216841 */     GIR_EraseRootFromParent_Done,
     /* 216842 */   // Label 4255: @216842
     /* 216842 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(216896), // Rule ID 3833 //
     /* 216847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 216855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 216858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 216864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 216867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216883 */     // (intrinsic_wo_chain:{ *:[v4i32] } 516:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 216883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 216886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216892 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216894 */     GIR_RootConstrainSelectedInstOperands,
     /* 216895 */     // GIR_Coverage, 3833,
     /* 216895 */     GIR_EraseRootFromParent_Done,
     /* 216896 */   // Label 4256: @216896
     /* 216896 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(216950), // Rule ID 3834 //
     /* 216901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 216909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216937 */     // (intrinsic_wo_chain:{ *:[v2i64] } 516:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 216940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216944 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216946 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216948 */     GIR_RootConstrainSelectedInstOperands,
     /* 216949 */     // GIR_Coverage, 3834,
     /* 216949 */     GIR_EraseRootFromParent_Done,
     /* 216950 */   // Label 4257: @216950
     /* 216950 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(217004), // Rule ID 3835 //
     /* 216955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 216963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 216966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 216969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 216972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 216975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216991 */     // (intrinsic_wo_chain:{ *:[v16i8] } 517:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 216991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217000 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217002 */     GIR_RootConstrainSelectedInstOperands,
     /* 217003 */     // GIR_Coverage, 3835,
     /* 217003 */     GIR_EraseRootFromParent_Done,
     /* 217004 */   // Label 4258: @217004
     /* 217004 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(217058), // Rule ID 3836 //
     /* 217009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 217012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 217017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 217020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 217023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 217026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 217029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217045 */     // (intrinsic_wo_chain:{ *:[v8i16] } 517:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 217045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 217048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217054 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217056 */     GIR_RootConstrainSelectedInstOperands,
     /* 217057 */     // GIR_Coverage, 3836,
     /* 217057 */     GIR_EraseRootFromParent_Done,
     /* 217058 */   // Label 4259: @217058
     /* 217058 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(217112), // Rule ID 3837 //
     /* 217063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 217066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 217071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217099 */     // (intrinsic_wo_chain:{ *:[v4i32] } 517:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 217099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 217102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217108 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217110 */     GIR_RootConstrainSelectedInstOperands,
     /* 217111 */     // GIR_Coverage, 3837,
     /* 217111 */     GIR_EraseRootFromParent_Done,
     /* 217112 */   // Label 4260: @217112
     /* 217112 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(217166), // Rule ID 3838 //
     /* 217117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 217120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 217125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 217128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 217131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 217134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 217137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217153 */     // (intrinsic_wo_chain:{ *:[v2i64] } 517:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 217153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 217156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217158 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217160 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217162 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217164 */     GIR_RootConstrainSelectedInstOperands,
     /* 217165 */     // GIR_Coverage, 3838,
     /* 217165 */     GIR_EraseRootFromParent_Done,
     /* 217166 */   // Label 4261: @217166
     /* 217166 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(217220), // Rule ID 3839 //
     /* 217171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 217174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 217179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 217182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 217185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 217188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 217191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217207 */     // (intrinsic_wo_chain:{ *:[v16i8] } 515:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 217207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 217210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217216 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217218 */     GIR_RootConstrainSelectedInstOperands,
     /* 217219 */     // GIR_Coverage, 3839,
     /* 217219 */     GIR_EraseRootFromParent_Done,
     /* 217220 */   // Label 4262: @217220
     /* 217220 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(217274), // Rule ID 3840 //
     /* 217225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 217228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 217233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 217236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 217239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 217242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 217245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217261 */     // (intrinsic_wo_chain:{ *:[v8i16] } 515:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 217261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 217264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217270 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217272 */     GIR_RootConstrainSelectedInstOperands,
     /* 217273 */     // GIR_Coverage, 3840,
     /* 217273 */     GIR_EraseRootFromParent_Done,
     /* 217274 */   // Label 4263: @217274
     /* 217274 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(217328), // Rule ID 3841 //
     /* 217279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 217282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 217287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217315 */     // (intrinsic_wo_chain:{ *:[v4i32] } 515:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 217315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 217318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217322 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217324 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217326 */     GIR_RootConstrainSelectedInstOperands,
     /* 217327 */     // GIR_Coverage, 3841,
     /* 217327 */     GIR_EraseRootFromParent_Done,
     /* 217328 */   // Label 4264: @217328
     /* 217328 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(217382), // Rule ID 3842 //
     /* 217333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 217336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 217341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 217344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 217347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 217350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 217353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217369 */     // (intrinsic_wo_chain:{ *:[v2i64] } 515:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 217369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 217372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217374 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217376 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217378 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217380 */     GIR_RootConstrainSelectedInstOperands,
     /* 217381 */     // GIR_Coverage, 3842,
     /* 217381 */     GIR_EraseRootFromParent_Done,
     /* 217382 */   // Label 4265: @217382
     /* 217382 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(217436), // Rule ID 3846 //
     /* 217387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 217390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3ss1),
     /* 217395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217423 */     // (intrinsic_wo_chain:{ *:[v4i32] } 536:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)  =>  (SM3SS1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /* 217423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3SS1),
     /* 217426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 217430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 217432 */     GIR_RootToRootCopy, /*OpIdx*/4, // Va
     /* 217434 */     GIR_RootConstrainSelectedInstOperands,
     /* 217435 */     // GIR_Coverage, 3846,
     /* 217435 */     GIR_EraseRootFromParent_Done,
     /* 217436 */   // Label 4266: @217436
     /* 217436 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(217490), // Rule ID 3847 //
     /* 217441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 217444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3partw1),
     /* 217449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217477 */     // (intrinsic_wo_chain:{ *:[v4i32] } 534:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM3PARTW1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 217477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3PARTW1),
     /* 217480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 217482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217486 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217488 */     GIR_RootConstrainSelectedInstOperands,
     /* 217489 */     // GIR_Coverage, 3847,
     /* 217489 */     GIR_EraseRootFromParent_Done,
     /* 217490 */   // Label 4267: @217490
     /* 217490 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(217544), // Rule ID 3848 //
     /* 217495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 217498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3partw2),
     /* 217503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217531 */     // (intrinsic_wo_chain:{ *:[v4i32] } 535:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM3PARTW2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 217531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3PARTW2),
     /* 217534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 217536 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217538 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217540 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217542 */     GIR_RootConstrainSelectedInstOperands,
     /* 217543 */     // GIR_Coverage, 3848,
     /* 217543 */     GIR_EraseRootFromParent_Done,
     /* 217544 */   // Label 4268: @217544
     /* 217544 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(217601), // Rule ID 3865 //
     /* 217549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 217557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 217560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 217563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 217566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 217569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217585 */     // (intrinsic_wo_chain:{ *:[v4f16] } 757:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 0:{ *:[i32] })
     /* 217585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 217588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217592 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217594 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217599 */     GIR_RootConstrainSelectedInstOperands,
     /* 217600 */     // GIR_Coverage, 3865,
     /* 217600 */     GIR_EraseRootFromParent_Done,
     /* 217601 */   // Label 4269: @217601
     /* 217601 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(217658), // Rule ID 3866 //
     /* 217606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 217614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 217617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 217620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 217623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 217626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217642 */     // (intrinsic_wo_chain:{ *:[v4f16] } 760:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 1:{ *:[i32] })
     /* 217642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 217645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217651 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217656 */     GIR_RootConstrainSelectedInstOperands,
     /* 217657 */     // GIR_Coverage, 3866,
     /* 217657 */     GIR_EraseRootFromParent_Done,
     /* 217658 */   // Label 4270: @217658
     /* 217658 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(217715), // Rule ID 3867 //
     /* 217663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 217671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 217674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 217677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 217680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 217683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217699 */     // (intrinsic_wo_chain:{ *:[v4f16] } 758:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 2:{ *:[i32] })
     /* 217699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 217702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217704 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217706 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217708 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 217713 */     GIR_RootConstrainSelectedInstOperands,
     /* 217714 */     // GIR_Coverage, 3867,
     /* 217714 */     GIR_EraseRootFromParent_Done,
     /* 217715 */   // Label 4271: @217715
     /* 217715 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(217772), // Rule ID 3868 //
     /* 217720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 217728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 217731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 217734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 217737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 217740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217756 */     // (intrinsic_wo_chain:{ *:[v4f16] } 759:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 3:{ *:[i32] })
     /* 217756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 217759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217763 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217765 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 217770 */     GIR_RootConstrainSelectedInstOperands,
     /* 217771 */     // GIR_Coverage, 3868,
     /* 217771 */     GIR_EraseRootFromParent_Done,
     /* 217772 */   // Label 4272: @217772
     /* 217772 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(217829), // Rule ID 3873 //
     /* 217777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 217785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 217788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 217791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 217794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 217797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217813 */     // (intrinsic_wo_chain:{ *:[v8f16] } 757:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 0:{ *:[i32] })
     /* 217813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 217816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217822 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217827 */     GIR_RootConstrainSelectedInstOperands,
     /* 217828 */     // GIR_Coverage, 3873,
     /* 217828 */     GIR_EraseRootFromParent_Done,
     /* 217829 */   // Label 4273: @217829
     /* 217829 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(217886), // Rule ID 3874 //
     /* 217834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 217842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 217845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 217848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 217851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 217854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217870 */     // (intrinsic_wo_chain:{ *:[v8f16] } 760:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 1:{ *:[i32] })
     /* 217870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 217873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217875 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217877 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217879 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217884 */     GIR_RootConstrainSelectedInstOperands,
     /* 217885 */     // GIR_Coverage, 3874,
     /* 217885 */     GIR_EraseRootFromParent_Done,
     /* 217886 */   // Label 4274: @217886
     /* 217886 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(217943), // Rule ID 3875 //
     /* 217891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 217899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 217902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 217905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 217908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 217911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217927 */     // (intrinsic_wo_chain:{ *:[v8f16] } 758:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 2:{ *:[i32] })
     /* 217927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 217930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217934 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217936 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 217941 */     GIR_RootConstrainSelectedInstOperands,
     /* 217942 */     // GIR_Coverage, 3875,
     /* 217942 */     GIR_EraseRootFromParent_Done,
     /* 217943 */   // Label 4275: @217943
     /* 217943 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(218000), // Rule ID 3876 //
     /* 217948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 217956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 217959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 217962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 217965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 217968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217984 */     // (intrinsic_wo_chain:{ *:[v8f16] } 759:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 3:{ *:[i32] })
     /* 217984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 217987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217991 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217993 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 217998 */     GIR_RootConstrainSelectedInstOperands,
     /* 217999 */     // GIR_Coverage, 3876,
     /* 217999 */     GIR_EraseRootFromParent_Done,
     /* 218000 */   // Label 4276: @218000
     /* 218000 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(218057), // Rule ID 3881 //
     /* 218005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 218013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 218016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 218019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 218022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 218025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218041 */     // (intrinsic_wo_chain:{ *:[v2f32] } 757:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 0:{ *:[i32] })
     /* 218041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 218044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218048 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218050 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218055 */     GIR_RootConstrainSelectedInstOperands,
     /* 218056 */     // GIR_Coverage, 3881,
     /* 218056 */     GIR_EraseRootFromParent_Done,
     /* 218057 */   // Label 4277: @218057
     /* 218057 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(218114), // Rule ID 3882 //
     /* 218062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 218070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 218073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 218076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 218079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 218082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218098 */     // (intrinsic_wo_chain:{ *:[v2f32] } 760:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 1:{ *:[i32] })
     /* 218098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 218101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218103 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218105 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218107 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218112 */     GIR_RootConstrainSelectedInstOperands,
     /* 218113 */     // GIR_Coverage, 3882,
     /* 218113 */     GIR_EraseRootFromParent_Done,
     /* 218114 */   // Label 4278: @218114
     /* 218114 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(218171), // Rule ID 3883 //
     /* 218119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 218127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 218130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 218133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 218136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 218139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218155 */     // (intrinsic_wo_chain:{ *:[v2f32] } 758:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 2:{ *:[i32] })
     /* 218155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 218158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218164 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 218169 */     GIR_RootConstrainSelectedInstOperands,
     /* 218170 */     // GIR_Coverage, 3883,
     /* 218170 */     GIR_EraseRootFromParent_Done,
     /* 218171 */   // Label 4279: @218171
     /* 218171 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(218228), // Rule ID 3884 //
     /* 218176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 218184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 218187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 218190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 218193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 218196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218212 */     // (intrinsic_wo_chain:{ *:[v2f32] } 759:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 3:{ *:[i32] })
     /* 218212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 218215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218217 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218219 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218221 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 218226 */     GIR_RootConstrainSelectedInstOperands,
     /* 218227 */     // GIR_Coverage, 3884,
     /* 218227 */     GIR_EraseRootFromParent_Done,
     /* 218228 */   // Label 4280: @218228
     /* 218228 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(218285), // Rule ID 3885 //
     /* 218233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 218241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 218244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 218247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 218250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 218253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218269 */     // (intrinsic_wo_chain:{ *:[v4f32] } 757:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 0:{ *:[i32] })
     /* 218269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 218272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218276 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218278 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218283 */     GIR_RootConstrainSelectedInstOperands,
     /* 218284 */     // GIR_Coverage, 3885,
     /* 218284 */     GIR_EraseRootFromParent_Done,
     /* 218285 */   // Label 4281: @218285
     /* 218285 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(218342), // Rule ID 3886 //
     /* 218290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 218298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 218301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 218304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 218307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 218310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218326 */     // (intrinsic_wo_chain:{ *:[v4f32] } 760:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 1:{ *:[i32] })
     /* 218326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 218329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218335 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218340 */     GIR_RootConstrainSelectedInstOperands,
     /* 218341 */     // GIR_Coverage, 3886,
     /* 218341 */     GIR_EraseRootFromParent_Done,
     /* 218342 */   // Label 4282: @218342
     /* 218342 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(218399), // Rule ID 3887 //
     /* 218347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 218355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 218358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 218361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 218364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 218367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218383 */     // (intrinsic_wo_chain:{ *:[v4f32] } 758:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 2:{ *:[i32] })
     /* 218383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 218386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218392 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 218397 */     GIR_RootConstrainSelectedInstOperands,
     /* 218398 */     // GIR_Coverage, 3887,
     /* 218398 */     GIR_EraseRootFromParent_Done,
     /* 218399 */   // Label 4283: @218399
     /* 218399 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(218456), // Rule ID 3888 //
     /* 218404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 218412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 218415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 218418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 218421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 218424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218440 */     // (intrinsic_wo_chain:{ *:[v4f32] } 759:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 3:{ *:[i32] })
     /* 218440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 218443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218447 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218449 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 218454 */     GIR_RootConstrainSelectedInstOperands,
     /* 218455 */     // GIR_Coverage, 3888,
     /* 218455 */     GIR_EraseRootFromParent_Done,
     /* 218456 */   // Label 4284: @218456
     /* 218456 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(218513), // Rule ID 3889 //
     /* 218461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 218469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 218472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 218475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 218478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 218481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218497 */     // (intrinsic_wo_chain:{ *:[v2f64] } 757:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 0:{ *:[i32] })
     /* 218497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 218500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218502 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218504 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218506 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218511 */     GIR_RootConstrainSelectedInstOperands,
     /* 218512 */     // GIR_Coverage, 3889,
     /* 218512 */     GIR_EraseRootFromParent_Done,
     /* 218513 */   // Label 4285: @218513
     /* 218513 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(218570), // Rule ID 3890 //
     /* 218518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 218526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 218529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 218532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 218535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 218538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218554 */     // (intrinsic_wo_chain:{ *:[v2f64] } 760:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 1:{ *:[i32] })
     /* 218554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 218557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218559 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218561 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218563 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218568 */     GIR_RootConstrainSelectedInstOperands,
     /* 218569 */     // GIR_Coverage, 3890,
     /* 218569 */     GIR_EraseRootFromParent_Done,
     /* 218570 */   // Label 4286: @218570
     /* 218570 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(218627), // Rule ID 3891 //
     /* 218575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 218583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 218586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 218589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 218592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 218595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218611 */     // (intrinsic_wo_chain:{ *:[v2f64] } 758:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 2:{ *:[i32] })
     /* 218611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 218614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218620 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 218625 */     GIR_RootConstrainSelectedInstOperands,
     /* 218626 */     // GIR_Coverage, 3891,
     /* 218626 */     GIR_EraseRootFromParent_Done,
     /* 218627 */   // Label 4287: @218627
     /* 218627 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(218684), // Rule ID 3892 //
     /* 218632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 218640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 218643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 218646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 218649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 218652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218668 */     // (intrinsic_wo_chain:{ *:[v2f64] } 759:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 3:{ *:[i32] })
     /* 218668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 218671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218675 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218677 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 218682 */     GIR_RootConstrainSelectedInstOperands,
     /* 218683 */     // GIR_Coverage, 3892,
     /* 218683 */     GIR_EraseRootFromParent_Done,
     /* 218684 */   // Label 4288: @218684
     /* 218684 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(218738), // Rule ID 5232 //
     /* 218689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRDM),
     /* 218692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 218697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 218700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 218703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 218706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 218709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218725 */     // (intrinsic_wo_chain:{ *:[i32] } 686:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRDMLAHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 218725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv1i32),
     /* 218728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218732 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218734 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218736 */     GIR_RootConstrainSelectedInstOperands,
     /* 218737 */     // GIR_Coverage, 5232,
     /* 218737 */     GIR_EraseRootFromParent_Done,
     /* 218738 */   // Label 4289: @218738
     /* 218738 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(218792), // Rule ID 5233 //
     /* 218743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRDM),
     /* 218746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 218751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 218754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 218757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 218760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 218763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218779 */     // (intrinsic_wo_chain:{ *:[i32] } 687:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRDMLSHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 218779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv1i32),
     /* 218782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218786 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218788 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218790 */     GIR_RootConstrainSelectedInstOperands,
     /* 218791 */     // GIR_Coverage, 5233,
     /* 218791 */     GIR_EraseRootFromParent_Done,
     /* 218792 */   // Label 4290: @218792
     /* 218792 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(218843), // Rule ID 5586 //
     /* 218797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbx1),
     /* 218802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 218805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 218808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 218811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /* 218814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218830 */     // (intrinsic_wo_chain:{ *:[v8i8] } 720:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rd, VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)  =>  (TBXv8i8One:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)
     /* 218830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXv8i8One),
     /* 218833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218837 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218839 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ri
     /* 218841 */     GIR_RootConstrainSelectedInstOperands,
     /* 218842 */     // GIR_Coverage, 5586,
     /* 218842 */     GIR_EraseRootFromParent_Done,
     /* 218843 */   // Label 4291: @218843
     /* 218843 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(218894), // Rule ID 5587 //
     /* 218848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbx1),
     /* 218853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 218856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 218859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 218862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 218865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218881 */     // (intrinsic_wo_chain:{ *:[v16i8] } 720:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)  =>  (TBXv16i8One:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)
     /* 218881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXv16i8One),
     /* 218884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ri
     /* 218890 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 218892 */     GIR_RootConstrainSelectedInstOperands,
     /* 218893 */     // GIR_Coverage, 5587,
     /* 218893 */     GIR_EraseRootFromParent_Done,
     /* 218894 */   // Label 4292: @218894
     /* 218894 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(218936), // Rule ID 2699 //
     /* 218899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 218910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 218913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 218916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 218919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218923 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1918:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (TBX_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 218923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_B),
     /* 218926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218932 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218934 */     GIR_RootConstrainSelectedInstOperands,
     /* 218935 */     // GIR_Coverage, 2699,
     /* 218935 */     GIR_EraseRootFromParent_Done,
     /* 218936 */   // Label 4293: @218936
     /* 218936 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(218978), // Rule ID 2700 //
     /* 218941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 218955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218965 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1918:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBX_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 218965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_H),
     /* 218968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218974 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218976 */     GIR_RootConstrainSelectedInstOperands,
     /* 218977 */     // GIR_Coverage, 2700,
     /* 218977 */     GIR_EraseRootFromParent_Done,
     /* 218978 */   // Label 4294: @218978
     /* 218978 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(219020), // Rule ID 2701 //
     /* 218983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 218997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219007 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1918:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBX_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 219007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_S),
     /* 219010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219014 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219016 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219018 */     GIR_RootConstrainSelectedInstOperands,
     /* 219019 */     // GIR_Coverage, 2701,
     /* 219019 */     GIR_EraseRootFromParent_Done,
     /* 219020 */   // Label 4295: @219020
     /* 219020 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(219062), // Rule ID 2702 //
     /* 219025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 219033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 219039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219049 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1918:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBX_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 219049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_D),
     /* 219052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219058 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219060 */     GIR_RootConstrainSelectedInstOperands,
     /* 219061 */     // GIR_Coverage, 2702,
     /* 219061 */     GIR_EraseRootFromParent_Done,
     /* 219062 */   // Label 4296: @219062
     /* 219062 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(219104), // Rule ID 2703 //
     /* 219067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 219075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 219081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 219084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219091 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1918:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBX_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 219091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_H),
     /* 219094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219098 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219100 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219102 */     GIR_RootConstrainSelectedInstOperands,
     /* 219103 */     // GIR_Coverage, 2703,
     /* 219103 */     GIR_EraseRootFromParent_Done,
     /* 219104 */   // Label 4297: @219104
     /* 219104 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(219146), // Rule ID 2704 //
     /* 219109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 219117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219133 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1918:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBX_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 219133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_S),
     /* 219136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219142 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219144 */     GIR_RootConstrainSelectedInstOperands,
     /* 219145 */     // GIR_Coverage, 2704,
     /* 219145 */     GIR_EraseRootFromParent_Done,
     /* 219146 */   // Label 4298: @219146
     /* 219146 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(219188), // Rule ID 2705 //
     /* 219151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 219159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 219165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219175 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1918:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBX_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 219175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_D),
     /* 219178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219184 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219186 */     GIR_RootConstrainSelectedInstOperands,
     /* 219187 */     // GIR_Coverage, 2705,
     /* 219187 */     GIR_EraseRootFromParent_Done,
     /* 219188 */   // Label 4299: @219188
     /* 219188 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(219230), // Rule ID 2744 //
     /* 219193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 219201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 219204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 219207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 219210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 219213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219217 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1264:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 219217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 219220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219224 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219226 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219228 */     GIR_RootConstrainSelectedInstOperands,
     /* 219229 */     // GIR_Coverage, 2744,
     /* 219229 */     GIR_EraseRootFromParent_Done,
     /* 219230 */   // Label 4300: @219230
     /* 219230 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(219272), // Rule ID 2745 //
     /* 219235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 219243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 219246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 219252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 219255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219259 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1264:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 219259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 219262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219264 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219266 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219268 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219270 */     GIR_RootConstrainSelectedInstOperands,
     /* 219271 */     // GIR_Coverage, 2745,
     /* 219271 */     GIR_EraseRootFromParent_Done,
     /* 219272 */   // Label 4301: @219272
     /* 219272 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(219314), // Rule ID 2746 //
     /* 219277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 219285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 219288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 219297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219301 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1264:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 219301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 219304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219308 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219310 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219312 */     GIR_RootConstrainSelectedInstOperands,
     /* 219313 */     // GIR_Coverage, 2746,
     /* 219313 */     GIR_EraseRootFromParent_Done,
     /* 219314 */   // Label 4302: @219314
     /* 219314 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(219356), // Rule ID 2747 //
     /* 219319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 219327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 219330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 219339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219343 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1264:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 219343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 219346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219350 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219352 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219354 */     GIR_RootConstrainSelectedInstOperands,
     /* 219355 */     // GIR_Coverage, 2747,
     /* 219355 */     GIR_EraseRootFromParent_Done,
     /* 219356 */   // Label 4303: @219356
     /* 219356 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(219398), // Rule ID 2748 //
     /* 219361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 219369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 219372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 219375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 219378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 219381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219385 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1264:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 219385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 219388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219394 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219396 */     GIR_RootConstrainSelectedInstOperands,
     /* 219397 */     // GIR_Coverage, 2748,
     /* 219397 */     GIR_EraseRootFromParent_Done,
     /* 219398 */   // Label 4304: @219398
     /* 219398 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(219440), // Rule ID 2787 //
     /* 219403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 219411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 219420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219427 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1363:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FADD_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 219427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmZ_H),
     /* 219430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219434 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219436 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219438 */     GIR_RootConstrainSelectedInstOperands,
     /* 219439 */     // GIR_Coverage, 2787,
     /* 219439 */     GIR_EraseRootFromParent_Done,
     /* 219440 */   // Label 4305: @219440
     /* 219440 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(219482), // Rule ID 2789 //
     /* 219445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 219453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219469 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1363:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FADD_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmZ_S),
     /* 219472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219478 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219480 */     GIR_RootConstrainSelectedInstOperands,
     /* 219481 */     // GIR_Coverage, 2789,
     /* 219481 */     GIR_EraseRootFromParent_Done,
     /* 219482 */   // Label 4306: @219482
     /* 219482 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(219524), // Rule ID 2791 //
     /* 219487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 219495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219511 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1363:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FADD_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmZ_D),
     /* 219514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219522 */     GIR_RootConstrainSelectedInstOperands,
     /* 219523 */     // GIR_Coverage, 2791,
     /* 219523 */     GIR_EraseRootFromParent_Done,
     /* 219524 */   // Label 4307: @219524
     /* 219524 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(219566), // Rule ID 2793 //
     /* 219529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fscale),
     /* 219537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 219546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219553 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1537:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (FSCALE_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 219553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALE_ZPmZ_H),
     /* 219556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219562 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219564 */     GIR_RootConstrainSelectedInstOperands,
     /* 219565 */     // GIR_Coverage, 2793,
     /* 219565 */     GIR_EraseRootFromParent_Done,
     /* 219566 */   // Label 4308: @219566
     /* 219566 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(219608), // Rule ID 2794 //
     /* 219571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fscale),
     /* 219579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219595 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1537:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (FSCALE_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 219595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALE_ZPmZ_S),
     /* 219598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219604 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219606 */     GIR_RootConstrainSelectedInstOperands,
     /* 219607 */     // GIR_Coverage, 2794,
     /* 219607 */     GIR_EraseRootFromParent_Done,
     /* 219608 */   // Label 4309: @219608
     /* 219608 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(219650), // Rule ID 2795 //
     /* 219613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fscale),
     /* 219621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219637 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1537:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (FSCALE_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 219637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALE_ZPmZ_D),
     /* 219640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219646 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219648 */     GIR_RootConstrainSelectedInstOperands,
     /* 219649 */     // GIR_Coverage, 2795,
     /* 219649 */     GIR_EraseRootFromParent_Done,
     /* 219650 */   // Label 4310: @219650
     /* 219650 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(219692), // Rule ID 2864 //
     /* 219655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtnt_f16f32),
     /* 219663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 219669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219679 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1399:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTNT_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNT_ZPmZ_StoH),
     /* 219682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219688 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219690 */     GIR_RootConstrainSelectedInstOperands,
     /* 219691 */     // GIR_Coverage, 2864,
     /* 219691 */     GIR_EraseRootFromParent_Done,
     /* 219692 */   // Label 4311: @219692
     /* 219692 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(219734), // Rule ID 2865 //
     /* 219697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtnt_f32f64),
     /* 219705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219721 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1400:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTNT_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNT_ZPmZ_DtoS),
     /* 219724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219730 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219732 */     GIR_RootConstrainSelectedInstOperands,
     /* 219733 */     // GIR_Coverage, 2865,
     /* 219733 */     GIR_EraseRootFromParent_Done,
     /* 219734 */   // Label 4312: @219734
     /* 219734 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(219776), // Rule ID 2866 //
     /* 219739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtlt_f32f16),
     /* 219747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219763 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1395:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTLT_ZPmZ_HtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 219763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLT_ZPmZ_HtoS),
     /* 219766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219772 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219774 */     GIR_RootConstrainSelectedInstOperands,
     /* 219775 */     // GIR_Coverage, 2866,
     /* 219775 */     GIR_EraseRootFromParent_Done,
     /* 219776 */   // Label 4313: @219776
     /* 219776 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(219818), // Rule ID 2867 //
     /* 219781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtlt_f64f32),
     /* 219789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 219795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219805 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1396:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTLT_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLT_ZPmZ_StoD),
     /* 219808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219814 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219816 */     GIR_RootConstrainSelectedInstOperands,
     /* 219817 */     // GIR_Coverage, 2867,
     /* 219817 */     GIR_EraseRootFromParent_Done,
     /* 219818 */   // Label 4314: @219818
     /* 219818 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(219860), // Rule ID 2868 //
     /* 219823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtxnt_f32f64),
     /* 219831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219847 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1402:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTXNT_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNT_ZPmZ_DtoS),
     /* 219850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219856 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219858 */     GIR_RootConstrainSelectedInstOperands,
     /* 219859 */     // GIR_Coverage, 2868,
     /* 219859 */     GIR_EraseRootFromParent_Done,
     /* 219860 */   // Label 4315: @219860
     /* 219860 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(219902), // Rule ID 2869 //
     /* 219865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddp),
     /* 219873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 219882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219889 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1366:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FADDP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 219889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDP_ZPmZZ_H),
     /* 219892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219898 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219900 */     GIR_RootConstrainSelectedInstOperands,
     /* 219901 */     // GIR_Coverage, 2869,
     /* 219901 */     GIR_EraseRootFromParent_Done,
     /* 219902 */   // Label 4316: @219902
     /* 219902 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(219944), // Rule ID 2870 //
     /* 219907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddp),
     /* 219915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219931 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1366:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FADDP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDP_ZPmZZ_S),
     /* 219934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219940 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219942 */     GIR_RootConstrainSelectedInstOperands,
     /* 219943 */     // GIR_Coverage, 2870,
     /* 219943 */     GIR_EraseRootFromParent_Done,
     /* 219944 */   // Label 4317: @219944
     /* 219944 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(219986), // Rule ID 2871 //
     /* 219949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddp),
     /* 219957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219973 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1366:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FADDP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDP_ZPmZZ_D),
     /* 219976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219982 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219984 */     GIR_RootConstrainSelectedInstOperands,
     /* 219985 */     // GIR_Coverage, 2871,
     /* 219985 */     GIR_EraseRootFromParent_Done,
     /* 219986 */   // Label 4318: @219986
     /* 219986 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(220028), // Rule ID 2882 //
     /* 219991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f32f16),
     /* 219999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 220008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220015 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1388:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVT_ZPmZ_HtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 220015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_HtoS),
     /* 220018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220024 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220026 */     GIR_RootConstrainSelectedInstOperands,
     /* 220027 */     // GIR_Coverage, 2882,
     /* 220027 */     GIR_EraseRootFromParent_Done,
     /* 220028 */   // Label 4319: @220028
     /* 220028 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(220070), // Rule ID 2884 //
     /* 220033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f16f32),
     /* 220041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 220050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220057 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1386:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVT_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 220057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_StoH),
     /* 220060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220062 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220064 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220066 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220068 */     GIR_RootConstrainSelectedInstOperands,
     /* 220069 */     // GIR_Coverage, 2884,
     /* 220069 */     GIR_EraseRootFromParent_Done,
     /* 220070 */   // Label 4320: @220070
     /* 220070 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(220112), // Rule ID 2892 //
     /* 220075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_flogb),
     /* 220083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 220092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1423:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FLOGB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 220099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FLOGB_ZPmZ_H),
     /* 220102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220108 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220110 */     GIR_RootConstrainSelectedInstOperands,
     /* 220111 */     // GIR_Coverage, 2892,
     /* 220111 */     GIR_EraseRootFromParent_Done,
     /* 220112 */   // Label 4321: @220112
     /* 220112 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(220154), // Rule ID 2893 //
     /* 220117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_flogb),
     /* 220125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 220134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220141 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1423:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FLOGB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 220141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FLOGB_ZPmZ_S),
     /* 220144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220150 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220152 */     GIR_RootConstrainSelectedInstOperands,
     /* 220153 */     // GIR_Coverage, 2893,
     /* 220153 */     GIR_EraseRootFromParent_Done,
     /* 220154 */   // Label 4322: @220154
     /* 220154 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(220196), // Rule ID 2894 //
     /* 220159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_flogb),
     /* 220167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 220173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 220176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220183 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1423:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FLOGB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 220183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FLOGB_ZPmZ_D),
     /* 220186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220192 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220194 */     GIR_RootConstrainSelectedInstOperands,
     /* 220195 */     // GIR_Coverage, 2894,
     /* 220195 */     GIR_EraseRootFromParent_Done,
     /* 220196 */   // Label 4323: @220196
     /* 220196 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(220238), // Rule ID 2898 //
     /* 220201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtx_f32f64),
     /* 220209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 220218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220225 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1401:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTX_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 220225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTX_ZPmZ_DtoS),
     /* 220228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220234 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220236 */     GIR_RootConstrainSelectedInstOperands,
     /* 220237 */     // GIR_Coverage, 2898,
     /* 220237 */     GIR_EraseRootFromParent_Done,
     /* 220238 */   // Label 4324: @220238
     /* 220238 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(220280), // Rule ID 2943 //
     /* 220243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdiv),
     /* 220251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 220257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1706:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SDIV_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIV_ZPmZ_S),
     /* 220270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220276 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220278 */     GIR_RootConstrainSelectedInstOperands,
     /* 220279 */     // GIR_Coverage, 2943,
     /* 220279 */     GIR_EraseRootFromParent_Done,
     /* 220280 */   // Label 4325: @220280
     /* 220280 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(220322), // Rule ID 2944 //
     /* 220285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdiv),
     /* 220293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 220299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220309 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1706:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SDIV_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIV_ZPmZ_D),
     /* 220312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220318 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220320 */     GIR_RootConstrainSelectedInstOperands,
     /* 220321 */     // GIR_Coverage, 2944,
     /* 220321 */     GIR_EraseRootFromParent_Done,
     /* 220322 */   // Label 4326: @220322
     /* 220322 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(220364), // Rule ID 2973 //
     /* 220327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 220335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 220338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 220341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220351 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1822:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQRDMLAH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_B),
     /* 220354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220358 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220360 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220362 */     GIR_RootConstrainSelectedInstOperands,
     /* 220363 */     // GIR_Coverage, 2973,
     /* 220363 */     GIR_EraseRootFromParent_Done,
     /* 220364 */   // Label 4327: @220364
     /* 220364 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(220406), // Rule ID 2974 //
     /* 220369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 220377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1822:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQRDMLAH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_H),
     /* 220396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220402 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220404 */     GIR_RootConstrainSelectedInstOperands,
     /* 220405 */     // GIR_Coverage, 2974,
     /* 220405 */     GIR_EraseRootFromParent_Done,
     /* 220406 */   // Label 4328: @220406
     /* 220406 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(220448), // Rule ID 2975 //
     /* 220411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 220419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220435 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1822:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQRDMLAH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_S),
     /* 220438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220444 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220446 */     GIR_RootConstrainSelectedInstOperands,
     /* 220447 */     // GIR_Coverage, 2975,
     /* 220447 */     GIR_EraseRootFromParent_Done,
     /* 220448 */   // Label 4329: @220448
     /* 220448 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(220490), // Rule ID 2976 //
     /* 220453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 220461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 220467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220477 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1822:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQRDMLAH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_D),
     /* 220480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220486 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220488 */     GIR_RootConstrainSelectedInstOperands,
     /* 220489 */     // GIR_Coverage, 2976,
     /* 220489 */     GIR_EraseRootFromParent_Done,
     /* 220490 */   // Label 4330: @220490
     /* 220490 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(220532), // Rule ID 2977 //
     /* 220495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb),
     /* 220503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220519 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1743:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZ_H),
     /* 220522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220526 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220528 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220530 */     GIR_RootConstrainSelectedInstOperands,
     /* 220531 */     // GIR_Coverage, 2977,
     /* 220531 */     GIR_EraseRootFromParent_Done,
     /* 220532 */   // Label 4331: @220532
     /* 220532 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(220574), // Rule ID 2978 //
     /* 220537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb),
     /* 220545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220561 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1743:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZ_S),
     /* 220564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220568 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220570 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220572 */     GIR_RootConstrainSelectedInstOperands,
     /* 220573 */     // GIR_Coverage, 2978,
     /* 220573 */     GIR_EraseRootFromParent_Done,
     /* 220574 */   // Label 4332: @220574
     /* 220574 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(220616), // Rule ID 2979 //
     /* 220579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb),
     /* 220587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 220593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220603 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1743:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZ_D),
     /* 220606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220612 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220614 */     GIR_RootConstrainSelectedInstOperands,
     /* 220615 */     // GIR_Coverage, 2979,
     /* 220615 */     GIR_EraseRootFromParent_Done,
     /* 220616 */   // Label 4333: @220616
     /* 220616 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(220658), // Rule ID 3009 //
     /* 220621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 220629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 220632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 220635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220645 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1717:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_B),
     /* 220648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220654 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220656 */     GIR_RootConstrainSelectedInstOperands,
     /* 220657 */     // GIR_Coverage, 3009,
     /* 220657 */     GIR_EraseRootFromParent_Done,
     /* 220658 */   // Label 4334: @220658
     /* 220658 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(220700), // Rule ID 3011 //
     /* 220663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 220671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 220677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220687 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1717:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_H),
     /* 220690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220696 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220698 */     GIR_RootConstrainSelectedInstOperands,
     /* 220699 */     // GIR_Coverage, 3011,
     /* 220699 */     GIR_EraseRootFromParent_Done,
     /* 220700 */   // Label 4335: @220700
     /* 220700 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(220742), // Rule ID 3013 //
     /* 220705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 220713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 220719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220729 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1717:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_S),
     /* 220732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220736 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220738 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220740 */     GIR_RootConstrainSelectedInstOperands,
     /* 220741 */     // GIR_Coverage, 3013,
     /* 220741 */     GIR_EraseRootFromParent_Done,
     /* 220742 */   // Label 4336: @220742
     /* 220742 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(220784), // Rule ID 3015 //
     /* 220747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 220755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 220761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1717:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_D),
     /* 220774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220778 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220780 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220782 */     GIR_RootConstrainSelectedInstOperands,
     /* 220783 */     // GIR_Coverage, 3015,
     /* 220783 */     GIR_EraseRootFromParent_Done,
     /* 220784 */   // Label 4337: @220784
     /* 220784 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(220826), // Rule ID 3017 //
     /* 220789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sadalp),
     /* 220797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 220803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220813 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1687:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SADALP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALP_ZPmZ_H),
     /* 220816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220822 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220824 */     GIR_RootConstrainSelectedInstOperands,
     /* 220825 */     // GIR_Coverage, 3017,
     /* 220825 */     GIR_EraseRootFromParent_Done,
     /* 220826 */   // Label 4338: @220826
     /* 220826 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(220868), // Rule ID 3018 //
     /* 220831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sadalp),
     /* 220839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 220845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220855 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1687:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SADALP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALP_ZPmZ_S),
     /* 220858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220864 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220866 */     GIR_RootConstrainSelectedInstOperands,
     /* 220867 */     // GIR_Coverage, 3018,
     /* 220867 */     GIR_EraseRootFromParent_Done,
     /* 220868 */   // Label 4339: @220868
     /* 220868 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(220910), // Rule ID 3019 //
     /* 220873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sadalp),
     /* 220881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 220887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1687:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SADALP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALP_ZPmZ_D),
     /* 220900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220904 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220906 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220908 */     GIR_RootConstrainSelectedInstOperands,
     /* 220909 */     // GIR_Coverage, 3019,
     /* 220909 */     GIR_EraseRootFromParent_Done,
     /* 220910 */   // Label 4340: @220910
     /* 220910 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(220952), // Rule ID 3020 //
     /* 220915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urecpe),
     /* 220923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 220932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220939 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2046:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URECPE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPE_ZPmZ_S),
     /* 220942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220946 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220948 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220950 */     GIR_RootConstrainSelectedInstOperands,
     /* 220951 */     // GIR_Coverage, 3020,
     /* 220951 */     GIR_EraseRootFromParent_Done,
     /* 220952 */   // Label 4341: @220952
     /* 220952 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(220994), // Rule ID 3021 //
     /* 220957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 220965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 220968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 220971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 220974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220981 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1759:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQABS_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_B),
     /* 220984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220992 */     GIR_RootConstrainSelectedInstOperands,
     /* 220993 */     // GIR_Coverage, 3021,
     /* 220993 */     GIR_EraseRootFromParent_Done,
     /* 220994 */   // Label 4342: @220994
     /* 220994 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(221036), // Rule ID 3022 //
     /* 220999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 221007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 221013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 221016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221023 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1759:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQABS_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_H),
     /* 221026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221032 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221034 */     GIR_RootConstrainSelectedInstOperands,
     /* 221035 */     // GIR_Coverage, 3022,
     /* 221035 */     GIR_EraseRootFromParent_Done,
     /* 221036 */   // Label 4343: @221036
     /* 221036 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(221078), // Rule ID 3023 //
     /* 221041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 221049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 221058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1759:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQABS_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_S),
     /* 221068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221074 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221076 */     GIR_RootConstrainSelectedInstOperands,
     /* 221077 */     // GIR_Coverage, 3023,
     /* 221077 */     GIR_EraseRootFromParent_Done,
     /* 221078 */   // Label 4344: @221078
     /* 221078 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(221120), // Rule ID 3024 //
     /* 221083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 221091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 221100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221107 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1759:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQABS_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_D),
     /* 221110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221116 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221118 */     GIR_RootConstrainSelectedInstOperands,
     /* 221119 */     // GIR_Coverage, 3024,
     /* 221119 */     GIR_EraseRootFromParent_Done,
     /* 221120 */   // Label 4345: @221120
     /* 221120 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(221162), // Rule ID 3041 //
     /* 221125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 221133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 221139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 221145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221149 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1352:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EORBT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 221149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_B),
     /* 221152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221156 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221158 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221160 */     GIR_RootConstrainSelectedInstOperands,
     /* 221161 */     // GIR_Coverage, 3041,
     /* 221161 */     GIR_EraseRootFromParent_Done,
     /* 221162 */   // Label 4346: @221162
     /* 221162 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(221204), // Rule ID 3042 //
     /* 221167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 221175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 221181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221191 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1352:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EORBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_H),
     /* 221194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221200 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221202 */     GIR_RootConstrainSelectedInstOperands,
     /* 221203 */     // GIR_Coverage, 3042,
     /* 221203 */     GIR_EraseRootFromParent_Done,
     /* 221204 */   // Label 4347: @221204
     /* 221204 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(221246), // Rule ID 3043 //
     /* 221209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 221217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1352:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EORBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_S),
     /* 221236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221240 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221242 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221244 */     GIR_RootConstrainSelectedInstOperands,
     /* 221245 */     // GIR_Coverage, 3043,
     /* 221245 */     GIR_EraseRootFromParent_Done,
     /* 221246 */   // Label 4348: @221246
     /* 221246 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(221288), // Rule ID 3044 //
     /* 221251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 221259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221275 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1352:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EORBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_D),
     /* 221278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221284 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221286 */     GIR_RootConstrainSelectedInstOperands,
     /* 221287 */     // GIR_Coverage, 3044,
     /* 221287 */     GIR_EraseRootFromParent_Done,
     /* 221288 */   // Label 4349: @221288
     /* 221288 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(221330), // Rule ID 3068 //
     /* 221293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 221301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 221307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 221313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221317 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1680:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABA_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 221317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_B),
     /* 221320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221326 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221328 */     GIR_RootConstrainSelectedInstOperands,
     /* 221329 */     // GIR_Coverage, 3068,
     /* 221329 */     GIR_EraseRootFromParent_Done,
     /* 221330 */   // Label 4350: @221330
     /* 221330 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(221372), // Rule ID 3070 //
     /* 221335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 221343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 221349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221359 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1680:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABA_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_H),
     /* 221362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221366 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221368 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221370 */     GIR_RootConstrainSelectedInstOperands,
     /* 221371 */     // GIR_Coverage, 3070,
     /* 221371 */     GIR_EraseRootFromParent_Done,
     /* 221372 */   // Label 4351: @221372
     /* 221372 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(221414), // Rule ID 3072 //
     /* 221377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 221385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221401 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1680:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABA_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_S),
     /* 221404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221410 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221412 */     GIR_RootConstrainSelectedInstOperands,
     /* 221413 */     // GIR_Coverage, 3072,
     /* 221413 */     GIR_EraseRootFromParent_Done,
     /* 221414 */   // Label 4352: @221414
     /* 221414 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(221456), // Rule ID 3074 //
     /* 221419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 221427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1680:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SABA_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_D),
     /* 221446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221452 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221454 */     GIR_RootConstrainSelectedInstOperands,
     /* 221455 */     // GIR_Coverage, 3074,
     /* 221455 */     GIR_EraseRootFromParent_Done,
     /* 221456 */   // Label 4353: @221456
     /* 221456 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(221498), // Rule ID 3076 //
     /* 221461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalb),
     /* 221469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 221475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 221481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221485 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1681:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 221485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALB_ZZZ_H),
     /* 221488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221494 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221496 */     GIR_RootConstrainSelectedInstOperands,
     /* 221497 */     // GIR_Coverage, 3076,
     /* 221497 */     GIR_EraseRootFromParent_Done,
     /* 221498 */   // Label 4354: @221498
     /* 221498 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(221540), // Rule ID 3077 //
     /* 221503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalb),
     /* 221511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1681:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALB_ZZZ_S),
     /* 221530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221532 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221534 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221536 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221538 */     GIR_RootConstrainSelectedInstOperands,
     /* 221539 */     // GIR_Coverage, 3077,
     /* 221539 */     GIR_EraseRootFromParent_Done,
     /* 221540 */   // Label 4355: @221540
     /* 221540 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(221582), // Rule ID 3078 //
     /* 221545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalb),
     /* 221553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221569 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1681:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALB_ZZZ_D),
     /* 221572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221576 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221578 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221580 */     GIR_RootConstrainSelectedInstOperands,
     /* 221581 */     // GIR_Coverage, 3078,
     /* 221581 */     GIR_EraseRootFromParent_Done,
     /* 221582 */   // Label 4356: @221582
     /* 221582 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(221624), // Rule ID 3079 //
     /* 221587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclb),
     /* 221595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1244:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADCLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLB_ZZZ_S),
     /* 221614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221620 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221622 */     GIR_RootConstrainSelectedInstOperands,
     /* 221623 */     // GIR_Coverage, 3079,
     /* 221623 */     GIR_EraseRootFromParent_Done,
     /* 221624 */   // Label 4357: @221624
     /* 221624 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(221666), // Rule ID 3080 //
     /* 221629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclb),
     /* 221637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221653 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1244:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADCLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLB_ZZZ_D),
     /* 221656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221662 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221664 */     GIR_RootConstrainSelectedInstOperands,
     /* 221665 */     // GIR_Coverage, 3080,
     /* 221665 */     GIR_EraseRootFromParent_Done,
     /* 221666 */   // Label 4358: @221666
     /* 221666 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(221708), // Rule ID 3090 //
     /* 221671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnt),
     /* 221679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 221685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221695 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1251:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (ADDHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNT_ZZZ_B),
     /* 221698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221704 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221706 */     GIR_RootConstrainSelectedInstOperands,
     /* 221707 */     // GIR_Coverage, 3090,
     /* 221707 */     GIR_EraseRootFromParent_Done,
     /* 221708 */   // Label 4359: @221708
     /* 221708 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(221750), // Rule ID 3091 //
     /* 221713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnt),
     /* 221721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 221727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221737 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1251:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADDHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNT_ZZZ_H),
     /* 221740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221746 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221748 */     GIR_RootConstrainSelectedInstOperands,
     /* 221749 */     // GIR_Coverage, 3091,
     /* 221749 */     GIR_EraseRootFromParent_Done,
     /* 221750 */   // Label 4360: @221750
     /* 221750 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(221792), // Rule ID 3092 //
     /* 221755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnt),
     /* 221763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221779 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1251:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADDHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNT_ZZZ_S),
     /* 221782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221786 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221788 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221790 */     GIR_RootConstrainSelectedInstOperands,
     /* 221791 */     // GIR_Coverage, 3092,
     /* 221791 */     GIR_EraseRootFromParent_Done,
     /* 221792 */   // Label 4361: @221792
     /* 221792 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(221834), // Rule ID 3109 //
     /* 221797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 221805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 221811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 221814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 221817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1310:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CLS_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 221821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_B),
     /* 221824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 221828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 221830 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 221832 */     GIR_RootConstrainSelectedInstOperands,
     /* 221833 */     // GIR_Coverage, 3109,
     /* 221833 */     GIR_EraseRootFromParent_Done,
     /* 221834 */   // Label 4362: @221834
     /* 221834 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(221876), // Rule ID 3110 //
     /* 221839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 221847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 221853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 221856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221863 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1310:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CLS_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 221863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_H),
     /* 221866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 221870 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 221872 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 221874 */     GIR_RootConstrainSelectedInstOperands,
     /* 221875 */     // GIR_Coverage, 3110,
     /* 221875 */     GIR_EraseRootFromParent_Done,
     /* 221876 */   // Label 4363: @221876
     /* 221876 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(221918), // Rule ID 3111 //
     /* 221881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 221889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 221898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221905 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1310:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CLS_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 221905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_S),
     /* 221908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 221912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 221914 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 221916 */     GIR_RootConstrainSelectedInstOperands,
     /* 221917 */     // GIR_Coverage, 3111,
     /* 221917 */     GIR_EraseRootFromParent_Done,
     /* 221918 */   // Label 4364: @221918
     /* 221918 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(221960), // Rule ID 3112 //
     /* 221923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 221931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 221940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1310:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CLS_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 221947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_D),
     /* 221950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 221954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 221956 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 221958 */     GIR_RootConstrainSelectedInstOperands,
     /* 221959 */     // GIR_Coverage, 3112,
     /* 221959 */     GIR_EraseRootFromParent_Done,
     /* 221960 */   // Label 4365: @221960
     /* 221960 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(222002), // Rule ID 3147 //
     /* 221965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 221973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 221979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 221985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221989 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1351:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 221989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 221992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221996 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221998 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222000 */     GIR_RootConstrainSelectedInstOperands,
     /* 222001 */     // GIR_Coverage, 3147,
     /* 222001 */     GIR_EraseRootFromParent_Done,
     /* 222002 */   // Label 4366: @222002
     /* 222002 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(222044), // Rule ID 3149 //
     /* 222007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 222010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 222015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 222021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222031 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1351:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 222031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 222034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222038 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222040 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222042 */     GIR_RootConstrainSelectedInstOperands,
     /* 222043 */     // GIR_Coverage, 3149,
     /* 222043 */     GIR_EraseRootFromParent_Done,
     /* 222044 */   // Label 4367: @222044
     /* 222044 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(222086), // Rule ID 3151 //
     /* 222049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 222052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 222057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 222063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222073 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1351:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 222076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222080 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222082 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222084 */     GIR_RootConstrainSelectedInstOperands,
     /* 222085 */     // GIR_Coverage, 3151,
     /* 222085 */     GIR_EraseRootFromParent_Done,
     /* 222086 */   // Label 4368: @222086
     /* 222086 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(222128), // Rule ID 3153 //
     /* 222091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 222094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 222099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 222105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222115 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1351:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 222118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222124 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222126 */     GIR_RootConstrainSelectedInstOperands,
     /* 222127 */     // GIR_Coverage, 3153,
     /* 222127 */     GIR_EraseRootFromParent_Done,
     /* 222128 */   // Label 4369: @222128
     /* 222128 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(222173), // Rule ID 3192 //
     /* 222133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpeq_wide),
     /* 222141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 222144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222157 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1315:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPEQ_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_WIDE_PPzZZ_B),
     /* 222160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222164 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222166 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222171 */     GIR_RootConstrainSelectedInstOperands,
     /* 222172 */     // GIR_Coverage, 3192,
     /* 222172 */     GIR_EraseRootFromParent_Done,
     /* 222173 */   // Label 4370: @222173
     /* 222173 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(222218), // Rule ID 3193 //
     /* 222178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpeq_wide),
     /* 222186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 222189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222202 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1315:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPEQ_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_WIDE_PPzZZ_H),
     /* 222205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222207 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222209 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222211 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222216 */     GIR_RootConstrainSelectedInstOperands,
     /* 222217 */     // GIR_Coverage, 3193,
     /* 222217 */     GIR_EraseRootFromParent_Done,
     /* 222218 */   // Label 4371: @222218
     /* 222218 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(222263), // Rule ID 3194 //
     /* 222223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpeq_wide),
     /* 222231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 222234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222247 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1315:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPEQ_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_WIDE_PPzZZ_S),
     /* 222250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222256 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222261 */     GIR_RootConstrainSelectedInstOperands,
     /* 222262 */     // GIR_Coverage, 3194,
     /* 222262 */     GIR_EraseRootFromParent_Done,
     /* 222263 */   // Label 4372: @222263
     /* 222263 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(222308), // Rule ID 3195 //
     /* 222268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpge_wide),
     /* 222276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 222279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1317:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGE_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGE_WIDE_PPzZZ_B),
     /* 222295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222297 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222299 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222301 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222306 */     GIR_RootConstrainSelectedInstOperands,
     /* 222307 */     // GIR_Coverage, 3195,
     /* 222307 */     GIR_EraseRootFromParent_Done,
     /* 222308 */   // Label 4373: @222308
     /* 222308 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(222353), // Rule ID 3196 //
     /* 222313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpge_wide),
     /* 222321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 222324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222337 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1317:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGE_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGE_WIDE_PPzZZ_H),
     /* 222340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222342 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222344 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222346 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222351 */     GIR_RootConstrainSelectedInstOperands,
     /* 222352 */     // GIR_Coverage, 3196,
     /* 222352 */     GIR_EraseRootFromParent_Done,
     /* 222353 */   // Label 4374: @222353
     /* 222353 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(222398), // Rule ID 3197 //
     /* 222358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpge_wide),
     /* 222366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 222369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222382 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1317:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGE_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGE_WIDE_PPzZZ_S),
     /* 222385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222389 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222391 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222396 */     GIR_RootConstrainSelectedInstOperands,
     /* 222397 */     // GIR_Coverage, 3197,
     /* 222397 */     GIR_EraseRootFromParent_Done,
     /* 222398 */   // Label 4375: @222398
     /* 222398 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(222440), // Rule ID 3252 //
     /* 222403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facge),
     /* 222411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 222414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222427 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1361:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FACGE_PPzZZ_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 222427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE_PPzZZ_H),
     /* 222430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222434 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222436 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222438 */     GIR_RootConstrainSelectedInstOperands,
     /* 222439 */     // GIR_Coverage, 3252,
     /* 222439 */     GIR_EraseRootFromParent_Done,
     /* 222440 */   // Label 4376: @222440
     /* 222440 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(222482), // Rule ID 3253 //
     /* 222445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facge),
     /* 222453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 222456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222469 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1361:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FACGE_PPzZZ_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 222469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE_PPzZZ_S),
     /* 222472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222478 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222480 */     GIR_RootConstrainSelectedInstOperands,
     /* 222481 */     // GIR_Coverage, 3253,
     /* 222481 */     GIR_EraseRootFromParent_Done,
     /* 222482 */   // Label 4377: @222482
     /* 222482 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(222524), // Rule ID 3254 //
     /* 222487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facge),
     /* 222495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 222498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 222501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222511 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1361:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FACGE_PPzZZ_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 222511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE_PPzZZ_D),
     /* 222514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222522 */     GIR_RootConstrainSelectedInstOperands,
     /* 222523 */     // GIR_Coverage, 3254,
     /* 222523 */     GIR_EraseRootFromParent_Done,
     /* 222524 */   // Label 4378: @222524
     /* 222524 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(222566), // Rule ID 3306 //
     /* 222529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 222537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 222540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 222549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222553 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1267:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (ASR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 222553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_B),
     /* 222556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222562 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222564 */     GIR_RootConstrainSelectedInstOperands,
     /* 222565 */     // GIR_Coverage, 3306,
     /* 222565 */     GIR_EraseRootFromParent_Done,
     /* 222566 */   // Label 4379: @222566
     /* 222566 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(222608), // Rule ID 3307 //
     /* 222571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 222579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222595 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1267:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (ASR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 222595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_H),
     /* 222598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222604 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222606 */     GIR_RootConstrainSelectedInstOperands,
     /* 222607 */     // GIR_Coverage, 3307,
     /* 222607 */     GIR_EraseRootFromParent_Done,
     /* 222608 */   // Label 4380: @222608
     /* 222608 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(222650), // Rule ID 3308 //
     /* 222613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 222621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222637 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1267:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ASR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_S),
     /* 222640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222646 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222648 */     GIR_RootConstrainSelectedInstOperands,
     /* 222649 */     // GIR_Coverage, 3308,
     /* 222649 */     GIR_EraseRootFromParent_Done,
     /* 222650 */   // Label 4381: @222650
     /* 222650 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(222692), // Rule ID 3309 //
     /* 222655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 222663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 222669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222679 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1267:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_D),
     /* 222682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222688 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222690 */     GIR_RootConstrainSelectedInstOperands,
     /* 222691 */     // GIR_Coverage, 3309,
     /* 222691 */     GIR_EraseRootFromParent_Done,
     /* 222692 */   // Label 4382: @222692
     /* 222692 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(222734), // Rule ID 3318 //
     /* 222697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr_wide),
     /* 222705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 222708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222721 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1269:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_WIDE_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_WIDE_ZPmZ_B),
     /* 222724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222730 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222732 */     GIR_RootConstrainSelectedInstOperands,
     /* 222733 */     // GIR_Coverage, 3318,
     /* 222733 */     GIR_EraseRootFromParent_Done,
     /* 222734 */   // Label 4383: @222734
     /* 222734 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(222776), // Rule ID 3319 //
     /* 222739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr_wide),
     /* 222747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222763 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1269:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_WIDE_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_WIDE_ZPmZ_H),
     /* 222766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222772 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222774 */     GIR_RootConstrainSelectedInstOperands,
     /* 222775 */     // GIR_Coverage, 3319,
     /* 222775 */     GIR_EraseRootFromParent_Done,
     /* 222776 */   // Label 4384: @222776
     /* 222776 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(222818), // Rule ID 3320 //
     /* 222781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr_wide),
     /* 222789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1269:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_WIDE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_WIDE_ZPmZ_S),
     /* 222808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222814 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222816 */     GIR_RootConstrainSelectedInstOperands,
     /* 222817 */     // GIR_Coverage, 3320,
     /* 222817 */     GIR_EraseRootFromParent_Done,
     /* 222818 */   // Label 4385: @222818
     /* 222818 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(222860), // Rule ID 3359 //
     /* 222823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 222834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 222843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222847 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1306:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (CLASTA_ZPZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 222847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_B),
     /* 222850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222856 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222858 */     GIR_RootConstrainSelectedInstOperands,
     /* 222859 */     // GIR_Coverage, 3359,
     /* 222859 */     GIR_EraseRootFromParent_Done,
     /* 222860 */   // Label 4386: @222860
     /* 222860 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(222902), // Rule ID 3360 //
     /* 222865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222889 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1306:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (CLASTA_ZPZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 222889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_H),
     /* 222892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222898 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222900 */     GIR_RootConstrainSelectedInstOperands,
     /* 222901 */     // GIR_Coverage, 3360,
     /* 222901 */     GIR_EraseRootFromParent_Done,
     /* 222902 */   // Label 4387: @222902
     /* 222902 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(222944), // Rule ID 3361 //
     /* 222907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1306:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (CLASTA_ZPZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_S),
     /* 222934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222940 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222942 */     GIR_RootConstrainSelectedInstOperands,
     /* 222943 */     // GIR_Coverage, 3361,
     /* 222943 */     GIR_EraseRootFromParent_Done,
     /* 222944 */   // Label 4388: @222944
     /* 222944 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(222986), // Rule ID 3362 //
     /* 222949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 222963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222973 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1306:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CLASTA_ZPZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_D),
     /* 222976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222982 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222984 */     GIR_RootConstrainSelectedInstOperands,
     /* 222985 */     // GIR_Coverage, 3362,
     /* 222985 */     GIR_EraseRootFromParent_Done,
     /* 222986 */   // Label 4389: @222986
     /* 222986 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(223028), // Rule ID 3363 //
     /* 222991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 223005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223015 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1306:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (CLASTA_ZPZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 223015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_H),
     /* 223018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223024 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223026 */     GIR_RootConstrainSelectedInstOperands,
     /* 223027 */     // GIR_Coverage, 3363,
     /* 223027 */     GIR_EraseRootFromParent_Done,
     /* 223028 */   // Label 4390: @223028
     /* 223028 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(223070), // Rule ID 3364 //
     /* 223033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 223041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 223047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223057 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1306:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (CLASTA_ZPZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 223057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_S),
     /* 223060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223062 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223064 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223066 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223068 */     GIR_RootConstrainSelectedInstOperands,
     /* 223069 */     // GIR_Coverage, 3364,
     /* 223069 */     GIR_EraseRootFromParent_Done,
     /* 223070 */   // Label 4391: @223070
     /* 223070 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(223112), // Rule ID 3365 //
     /* 223075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 223083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 223089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223099 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1306:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (CLASTA_ZPZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 223099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_D),
     /* 223102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223108 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223110 */     GIR_RootConstrainSelectedInstOperands,
     /* 223111 */     // GIR_Coverage, 3365,
     /* 223111 */     GIR_EraseRootFromParent_Done,
     /* 223112 */   // Label 4392: @223112
     /* 223112 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(223154), // Rule ID 3448 //
     /* 223117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkpa_z),
     /* 223125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 223128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 223134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 223137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 223141 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1298:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKPA_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 223141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKPA_PPzPP),
     /* 223144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 223146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223150 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223152 */     GIR_RootConstrainSelectedInstOperands,
     /* 223153 */     // GIR_Coverage, 3448,
     /* 223153 */     GIR_EraseRootFromParent_Done,
     /* 223154 */   // Label 4393: @223154
     /* 223154 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(223196), // Rule ID 3449 //
     /* 223159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkn_z),
     /* 223167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 223170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 223176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 223179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 223183 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1297:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKN_PPzP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 223183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKN_PPzP),
     /* 223186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdm]
     /* 223188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223192 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223194 */     GIR_RootConstrainSelectedInstOperands,
     /* 223195 */     // GIR_Coverage, 3449,
     /* 223195 */     GIR_EraseRootFromParent_Done,
     /* 223196 */   // Label 4394: @223196
     /* 223196 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(223238), // Rule ID 3450 //
     /* 223201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brka),
     /* 223209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 223212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 223218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 223221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 223225 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1293:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKA_PPmP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 223225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKA_PPmP),
     /* 223228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 223230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223234 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223236 */     GIR_RootConstrainSelectedInstOperands,
     /* 223237 */     // GIR_Coverage, 3450,
     /* 223237 */     GIR_EraseRootFromParent_Done,
     /* 223238 */   // Label 4395: @223238
     /* 223238 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(223283), // Rule ID 3452 //
     /* 223243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 223246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_match),
     /* 223251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 223254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 223267 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1600:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (MATCH_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MATCH_PPzZZ_B),
     /* 223270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 223272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223276 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 223281 */     GIR_RootConstrainSelectedInstOperands,
     /* 223282 */     // GIR_Coverage, 3452,
     /* 223282 */     GIR_EraseRootFromParent_Done,
     /* 223283 */   // Label 4396: @223283
     /* 223283 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(223328), // Rule ID 3453 //
     /* 223288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 223291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_match),
     /* 223296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 223299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 223302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 223312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1600:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (MATCH_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MATCH_PPzZZ_H),
     /* 223315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 223317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223319 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223321 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 223326 */     GIR_RootConstrainSelectedInstOperands,
     /* 223327 */     // GIR_Coverage, 3453,
     /* 223327 */     GIR_EraseRootFromParent_Done,
     /* 223328 */   // Label 4397: @223328
     /* 223328 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(223370), // Rule ID 3454 //
     /* 223333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 223336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_histcnt),
     /* 223341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 223347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1545:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (HISTCNT_ZPzZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HISTCNT_ZPzZZ_S),
     /* 223360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223366 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223368 */     GIR_RootConstrainSelectedInstOperands,
     /* 223369 */     // GIR_Coverage, 3454,
     /* 223369 */     GIR_EraseRootFromParent_Done,
     /* 223370 */   // Label 4398: @223370
     /* 223370 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(223412), // Rule ID 3455 //
     /* 223375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 223378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_histcnt),
     /* 223383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 223389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223399 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1545:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (HISTCNT_ZPzZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HISTCNT_ZPzZZ_D),
     /* 223402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223408 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223410 */     GIR_RootConstrainSelectedInstOperands,
     /* 223411 */     // GIR_Coverage, 3455,
     /* 223411 */     GIR_EraseRootFromParent_Done,
     /* 223412 */   // Label 4399: @223412
     /* 223412 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(223454), // Rule ID 3460 //
     /* 223417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE),
     /* 223420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smmla),
     /* 223425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223441 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1751:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMMLA_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMMLA_ZZZ),
     /* 223444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223450 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223452 */     GIR_RootConstrainSelectedInstOperands,
     /* 223453 */     // GIR_Coverage, 3460,
     /* 223453 */     GIR_EraseRootFromParent_Done,
     /* 223454 */   // Label 4400: @223454
     /* 223454 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(223496), // Rule ID 3499 //
     /* 223459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 223462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fclamp),
     /* 223467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 223473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223483 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1374:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCLAMP_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 223483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCLAMP_ZZZ_H),
     /* 223486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223492 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223494 */     GIR_RootConstrainSelectedInstOperands,
     /* 223495 */     // GIR_Coverage, 3499,
     /* 223495 */     GIR_EraseRootFromParent_Done,
     /* 223496 */   // Label 4401: @223496
     /* 223496 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(223538), // Rule ID 3501 //
     /* 223501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 223504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fclamp),
     /* 223509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223525 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1374:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCLAMP_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 223525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCLAMP_ZZZ_S),
     /* 223528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223534 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223536 */     GIR_RootConstrainSelectedInstOperands,
     /* 223537 */     // GIR_Coverage, 3501,
     /* 223537 */     GIR_EraseRootFromParent_Done,
     /* 223538 */   // Label 4402: @223538
     /* 223538 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(223580), // Rule ID 3503 //
     /* 223543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 223546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fclamp),
     /* 223551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 223557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223567 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1374:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCLAMP_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 223567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCLAMP_ZZZ_D),
     /* 223570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223574 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223576 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223578 */     GIR_RootConstrainSelectedInstOperands,
     /* 223579 */     // GIR_Coverage, 3503,
     /* 223579 */     GIR_EraseRootFromParent_Done,
     /* 223580 */   // Label 4403: @223580
     /* 223580 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(223622), // Rule ID 3505 //
     /* 223585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 223588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_x2),
     /* 223593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223609 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1712:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SDOT_ZZZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZ_HtoS),
     /* 223612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223616 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223618 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223620 */     GIR_RootConstrainSelectedInstOperands,
     /* 223621 */     // GIR_Coverage, 3505,
     /* 223621 */     GIR_EraseRootFromParent_Done,
     /* 223622 */   // Label 4404: @223622
     /* 223622 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(223664), // Rule ID 3632 //
     /* 223627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 223630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 223635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 223641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223651 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1696:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SCLAMP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_B),
     /* 223654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223660 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223662 */     GIR_RootConstrainSelectedInstOperands,
     /* 223663 */     // GIR_Coverage, 3632,
     /* 223663 */     GIR_EraseRootFromParent_Done,
     /* 223664 */   // Label 4405: @223664
     /* 223664 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(223706), // Rule ID 3634 //
     /* 223669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 223672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 223677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 223683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223693 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1696:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SCLAMP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_H),
     /* 223696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223702 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223704 */     GIR_RootConstrainSelectedInstOperands,
     /* 223705 */     // GIR_Coverage, 3634,
     /* 223705 */     GIR_EraseRootFromParent_Done,
     /* 223706 */   // Label 4406: @223706
     /* 223706 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(223748), // Rule ID 3636 //
     /* 223711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 223714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 223719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223735 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1696:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SCLAMP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_S),
     /* 223738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223744 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223746 */     GIR_RootConstrainSelectedInstOperands,
     /* 223747 */     // GIR_Coverage, 3636,
     /* 223747 */     GIR_EraseRootFromParent_Done,
     /* 223748 */   // Label 4407: @223748
     /* 223748 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(223790), // Rule ID 3638 //
     /* 223753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 223756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 223761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 223767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223777 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1696:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SCLAMP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_D),
     /* 223780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223784 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223786 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223788 */     GIR_RootConstrainSelectedInstOperands,
     /* 223789 */     // GIR_Coverage, 3638,
     /* 223789 */     GIR_EraseRootFromParent_Done,
     /* 223790 */   // Label 4408: @223790
     /* 223790 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(223832), // Rule ID 7478 //
     /* 223795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 223803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223819 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1905:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_B),
     /* 223822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223828 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223830 */     GIR_RootConstrainSelectedInstOperands,
     /* 223831 */     // GIR_Coverage, 7478,
     /* 223831 */     GIR_EraseRootFromParent_Done,
     /* 223832 */   // Label 4409: @223832
     /* 223832 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(223874), // Rule ID 7480 //
     /* 223837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 223845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 223851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1905:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_H),
     /* 223864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223870 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223872 */     GIR_RootConstrainSelectedInstOperands,
     /* 223873 */     // GIR_Coverage, 7480,
     /* 223873 */     GIR_EraseRootFromParent_Done,
     /* 223874 */   // Label 4410: @223874
     /* 223874 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(223916), // Rule ID 7482 //
     /* 223879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 223887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 223893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1905:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_S),
     /* 223906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223912 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223914 */     GIR_RootConstrainSelectedInstOperands,
     /* 223915 */     // GIR_Coverage, 7482,
     /* 223915 */     GIR_EraseRootFromParent_Done,
     /* 223916 */   // Label 4411: @223916
     /* 223916 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(223958), // Rule ID 7484 //
     /* 223921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 223929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 223935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1905:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_D),
     /* 223948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223954 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223956 */     GIR_RootConstrainSelectedInstOperands,
     /* 223957 */     // GIR_Coverage, 7484,
     /* 223957 */     GIR_EraseRootFromParent_Done,
     /* 223958 */   // Label 4412: @223958
     /* 223958 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(224000), // Rule ID 7502 //
     /* 223963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 223971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223987 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1290:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BIC_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_B),
     /* 223990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223996 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223998 */     GIR_RootConstrainSelectedInstOperands,
     /* 223999 */     // GIR_Coverage, 7502,
     /* 223999 */     GIR_EraseRootFromParent_Done,
     /* 224000 */   // Label 4413: @224000
     /* 224000 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(224042), // Rule ID 7503 //
     /* 224005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 224013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1290:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BIC_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_H),
     /* 224032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224038 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224040 */     GIR_RootConstrainSelectedInstOperands,
     /* 224041 */     // GIR_Coverage, 7503,
     /* 224041 */     GIR_EraseRootFromParent_Done,
     /* 224042 */   // Label 4414: @224042
     /* 224042 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(224084), // Rule ID 7504 //
     /* 224047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 224055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1290:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BIC_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_S),
     /* 224074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224080 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224082 */     GIR_RootConstrainSelectedInstOperands,
     /* 224083 */     // GIR_Coverage, 7504,
     /* 224083 */     GIR_EraseRootFromParent_Done,
     /* 224084 */   // Label 4415: @224084
     /* 224084 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(224126), // Rule ID 7505 //
     /* 224089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 224097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224113 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1290:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BIC_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_D),
     /* 224116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224122 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224124 */     GIR_RootConstrainSelectedInstOperands,
     /* 224125 */     // GIR_Coverage, 7505,
     /* 224125 */     GIR_EraseRootFromParent_Done,
     /* 224126 */   // Label 4416: @224126
     /* 224126 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(224168), // Rule ID 7618 //
     /* 224131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 224139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 224142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 224145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224155 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1752:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMULH_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_B),
     /* 224158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224164 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224166 */     GIR_RootConstrainSelectedInstOperands,
     /* 224167 */     // GIR_Coverage, 7618,
     /* 224167 */     GIR_EraseRootFromParent_Done,
     /* 224168 */   // Label 4417: @224168
     /* 224168 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(224210), // Rule ID 7619 //
     /* 224173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 224181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224197 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1752:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMULH_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_H),
     /* 224200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224206 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224208 */     GIR_RootConstrainSelectedInstOperands,
     /* 224209 */     // GIR_Coverage, 7619,
     /* 224209 */     GIR_EraseRootFromParent_Done,
     /* 224210 */   // Label 4418: @224210
     /* 224210 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(224252), // Rule ID 7620 //
     /* 224215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 224223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224239 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1752:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMULH_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_S),
     /* 224242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224248 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224250 */     GIR_RootConstrainSelectedInstOperands,
     /* 224251 */     // GIR_Coverage, 7620,
     /* 224251 */     GIR_EraseRootFromParent_Done,
     /* 224252 */   // Label 4419: @224252
     /* 224252 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(224294), // Rule ID 7621 //
     /* 224257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 224265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224281 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1752:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SMULH_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_D),
     /* 224284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224290 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224292 */     GIR_RootConstrainSelectedInstOperands,
     /* 224293 */     // GIR_Coverage, 7621,
     /* 224293 */     GIR_EraseRootFromParent_Done,
     /* 224294 */   // Label 4420: @224294
     /* 224294 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(224336), // Rule ID 7622 //
     /* 224299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 224307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 224310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 224313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224323 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1990:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMULH_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_B),
     /* 224326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224332 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224334 */     GIR_RootConstrainSelectedInstOperands,
     /* 224335 */     // GIR_Coverage, 7622,
     /* 224335 */     GIR_EraseRootFromParent_Done,
     /* 224336 */   // Label 4421: @224336
     /* 224336 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(224378), // Rule ID 7623 //
     /* 224341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 224349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1990:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMULH_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_H),
     /* 224368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224374 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224376 */     GIR_RootConstrainSelectedInstOperands,
     /* 224377 */     // GIR_Coverage, 7623,
     /* 224377 */     GIR_EraseRootFromParent_Done,
     /* 224378 */   // Label 4422: @224378
     /* 224378 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(224420), // Rule ID 7624 //
     /* 224383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 224391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224407 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1990:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMULH_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_S),
     /* 224410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224414 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224416 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224418 */     GIR_RootConstrainSelectedInstOperands,
     /* 224419 */     // GIR_Coverage, 7624,
     /* 224419 */     GIR_EraseRootFromParent_Done,
     /* 224420 */   // Label 4423: @224420
     /* 224420 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(224462), // Rule ID 7625 //
     /* 224425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 224433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224449 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1990:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UMULH_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_D),
     /* 224452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224458 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224460 */     GIR_RootConstrainSelectedInstOperands,
     /* 224461 */     // GIR_Coverage, 7625,
     /* 224461 */     GIR_EraseRootFromParent_Done,
     /* 224462 */   // Label 4424: @224462
     /* 224462 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(224504), // Rule ID 7634 //
     /* 224467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udiv),
     /* 224475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224491 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1953:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UDIV_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIV_ZPmZ_S),
     /* 224494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224500 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224502 */     GIR_RootConstrainSelectedInstOperands,
     /* 224503 */     // GIR_Coverage, 7634,
     /* 224503 */     GIR_EraseRootFromParent_Done,
     /* 224504 */   // Label 4425: @224504
     /* 224504 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(224546), // Rule ID 7635 //
     /* 224509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udiv),
     /* 224517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1953:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UDIV_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIV_ZPmZ_D),
     /* 224536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224542 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224544 */     GIR_RootConstrainSelectedInstOperands,
     /* 224545 */     // GIR_Coverage, 7635,
     /* 224545 */     GIR_EraseRootFromParent_Done,
     /* 224546 */   // Label 4426: @224546
     /* 224546 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(224588), // Rule ID 7636 //
     /* 224551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdivr),
     /* 224559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224575 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1708:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SDIVR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVR_ZPmZ_S),
     /* 224578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224584 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224586 */     GIR_RootConstrainSelectedInstOperands,
     /* 224587 */     // GIR_Coverage, 7636,
     /* 224587 */     GIR_EraseRootFromParent_Done,
     /* 224588 */   // Label 4427: @224588
     /* 224588 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(224630), // Rule ID 7637 //
     /* 224593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdivr),
     /* 224601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1708:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SDIVR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVR_ZPmZ_D),
     /* 224620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224624 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224626 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224628 */     GIR_RootConstrainSelectedInstOperands,
     /* 224629 */     // GIR_Coverage, 7637,
     /* 224629 */     GIR_EraseRootFromParent_Done,
     /* 224630 */   // Label 4428: @224630
     /* 224630 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(224672), // Rule ID 7638 //
     /* 224635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udivr),
     /* 224643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1955:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UDIVR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVR_ZPmZ_S),
     /* 224662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224666 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224668 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224670 */     GIR_RootConstrainSelectedInstOperands,
     /* 224671 */     // GIR_Coverage, 7638,
     /* 224671 */     GIR_EraseRootFromParent_Done,
     /* 224672 */   // Label 4429: @224672
     /* 224672 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(224714), // Rule ID 7639 //
     /* 224677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udivr),
     /* 224685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224701 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1955:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UDIVR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVR_ZPmZ_D),
     /* 224704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224710 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224712 */     GIR_RootConstrainSelectedInstOperands,
     /* 224713 */     // GIR_Coverage, 7639,
     /* 224713 */     GIR_EraseRootFromParent_Done,
     /* 224714 */   // Label 4430: @224714
     /* 224714 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(224756), // Rule ID 7728 //
     /* 224719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 224727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 224730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 224733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 224736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224743 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1330:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CNOT_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 224743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_B),
     /* 224746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224752 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224754 */     GIR_RootConstrainSelectedInstOperands,
     /* 224755 */     // GIR_Coverage, 7728,
     /* 224755 */     GIR_EraseRootFromParent_Done,
     /* 224756 */   // Label 4431: @224756
     /* 224756 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(224798), // Rule ID 7729 //
     /* 224761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 224769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 224775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 224778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224785 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1330:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CNOT_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 224785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_H),
     /* 224788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224794 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224796 */     GIR_RootConstrainSelectedInstOperands,
     /* 224797 */     // GIR_Coverage, 7729,
     /* 224797 */     GIR_EraseRootFromParent_Done,
     /* 224798 */   // Label 4432: @224798
     /* 224798 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(224840), // Rule ID 7730 //
     /* 224803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 224811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 224820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224827 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1330:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CNOT_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 224827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_S),
     /* 224830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224836 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224838 */     GIR_RootConstrainSelectedInstOperands,
     /* 224839 */     // GIR_Coverage, 7730,
     /* 224839 */     GIR_EraseRootFromParent_Done,
     /* 224840 */   // Label 4433: @224840
     /* 224840 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(224882), // Rule ID 7731 //
     /* 224845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 224853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 224859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 224862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224869 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1330:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CNOT_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 224869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_D),
     /* 224872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224874 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224876 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224878 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224880 */     GIR_RootConstrainSelectedInstOperands,
     /* 224881 */     // GIR_Coverage, 7731,
     /* 224881 */     GIR_EraseRootFromParent_Done,
     /* 224882 */   // Label 4434: @224882
     /* 224882 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(224924), // Rule ID 7740 //
     /* 224887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 224895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 224898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 224901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 224904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224911 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1616:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (NOT_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 224911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_B),
     /* 224914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224920 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224922 */     GIR_RootConstrainSelectedInstOperands,
     /* 224923 */     // GIR_Coverage, 7740,
     /* 224923 */     GIR_EraseRootFromParent_Done,
     /* 224924 */   // Label 4435: @224924
     /* 224924 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(224966), // Rule ID 7741 //
     /* 224929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 224937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 224943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 224946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1616:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (NOT_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 224953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_H),
     /* 224956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224962 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224964 */     GIR_RootConstrainSelectedInstOperands,
     /* 224965 */     // GIR_Coverage, 7741,
     /* 224965 */     GIR_EraseRootFromParent_Done,
     /* 224966 */   // Label 4436: @224966
     /* 224966 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(225008), // Rule ID 7742 //
     /* 224971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 224979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 224988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224995 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1616:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (NOT_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 224995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_S),
     /* 224998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 225002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 225004 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 225006 */     GIR_RootConstrainSelectedInstOperands,
     /* 225007 */     // GIR_Coverage, 7742,
     /* 225007 */     GIR_EraseRootFromParent_Done,
     /* 225008 */   // Label 4437: @225008
     /* 225008 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(225050), // Rule ID 7743 //
     /* 225013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 225021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 225027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 225030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225037 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1616:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (NOT_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 225037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_D),
     /* 225040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 225044 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 225046 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 225048 */     GIR_RootConstrainSelectedInstOperands,
     /* 225049 */     // GIR_Coverage, 7743,
     /* 225049 */     GIR_EraseRootFromParent_Done,
     /* 225050 */   // Label 4438: @225050
     /* 225050 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(225092), // Rule ID 7822 //
     /* 225055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 225063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 225066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 225069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 225072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 225075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225079 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1683:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 225079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_B),
     /* 225082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225086 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225088 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225090 */     GIR_RootConstrainSelectedInstOperands,
     /* 225091 */     // GIR_Coverage, 7822,
     /* 225091 */     GIR_EraseRootFromParent_Done,
     /* 225092 */   // Label 4439: @225092
     /* 225092 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(225134), // Rule ID 7823 //
     /* 225097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 225105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1683:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 225121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_H),
     /* 225124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225130 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225132 */     GIR_RootConstrainSelectedInstOperands,
     /* 225133 */     // GIR_Coverage, 7823,
     /* 225133 */     GIR_EraseRootFromParent_Done,
     /* 225134 */   // Label 4440: @225134
     /* 225134 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(225176), // Rule ID 7824 //
     /* 225139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 225147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225163 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1683:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 225163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_S),
     /* 225166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225172 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225174 */     GIR_RootConstrainSelectedInstOperands,
     /* 225175 */     // GIR_Coverage, 7824,
     /* 225175 */     GIR_EraseRootFromParent_Done,
     /* 225176 */   // Label 4441: @225176
     /* 225176 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(225218), // Rule ID 7825 //
     /* 225181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 225189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225205 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1683:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SABD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 225205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_D),
     /* 225208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225214 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225216 */     GIR_RootConstrainSelectedInstOperands,
     /* 225217 */     // GIR_Coverage, 7825,
     /* 225217 */     GIR_EraseRootFromParent_Done,
     /* 225218 */   // Label 4442: @225218
     /* 225218 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(225260), // Rule ID 7826 //
     /* 225223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 225231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 225234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 225237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 225240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 225243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225247 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1933:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 225247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_B),
     /* 225250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225256 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225258 */     GIR_RootConstrainSelectedInstOperands,
     /* 225259 */     // GIR_Coverage, 7826,
     /* 225259 */     GIR_EraseRootFromParent_Done,
     /* 225260 */   // Label 4443: @225260
     /* 225260 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(225302), // Rule ID 7827 //
     /* 225265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 225273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225289 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1933:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 225289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_H),
     /* 225292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225298 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225300 */     GIR_RootConstrainSelectedInstOperands,
     /* 225301 */     // GIR_Coverage, 7827,
     /* 225301 */     GIR_EraseRootFromParent_Done,
     /* 225302 */   // Label 4444: @225302
     /* 225302 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(225344), // Rule ID 7828 //
     /* 225307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 225315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225331 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1933:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 225331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_S),
     /* 225334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225340 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225342 */     GIR_RootConstrainSelectedInstOperands,
     /* 225343 */     // GIR_Coverage, 7828,
     /* 225343 */     GIR_EraseRootFromParent_Done,
     /* 225344 */   // Label 4445: @225344
     /* 225344 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(225386), // Rule ID 7829 //
     /* 225349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 225357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225373 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1933:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UABD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 225373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_D),
     /* 225376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225382 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225384 */     GIR_RootConstrainSelectedInstOperands,
     /* 225385 */     // GIR_Coverage, 7829,
     /* 225385 */     GIR_EraseRootFromParent_Done,
     /* 225386 */   // Label 4446: @225386
     /* 225386 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(225428), // Rule ID 8025 //
     /* 225391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 225399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225415 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1539:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FSUB_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmZ_H),
     /* 225418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225424 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225426 */     GIR_RootConstrainSelectedInstOperands,
     /* 225427 */     // GIR_Coverage, 8025,
     /* 225427 */     GIR_EraseRootFromParent_Done,
     /* 225428 */   // Label 4447: @225428
     /* 225428 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(225470), // Rule ID 8027 //
     /* 225433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 225441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225457 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1539:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FSUB_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmZ_S),
     /* 225460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225466 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225468 */     GIR_RootConstrainSelectedInstOperands,
     /* 225469 */     // GIR_Coverage, 8027,
     /* 225469 */     GIR_EraseRootFromParent_Done,
     /* 225470 */   // Label 4448: @225470
     /* 225470 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(225512), // Rule ID 8029 //
     /* 225475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 225483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225499 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1539:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FSUB_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmZ_D),
     /* 225502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225506 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225508 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225510 */     GIR_RootConstrainSelectedInstOperands,
     /* 225511 */     // GIR_Coverage, 8029,
     /* 225511 */     GIR_EraseRootFromParent_Done,
     /* 225512 */   // Label 4449: @225512
     /* 225512 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(225554), // Rule ID 8037 //
     /* 225517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 225525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225541 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1541:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FSUBR_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmZ_H),
     /* 225544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225548 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225550 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225552 */     GIR_RootConstrainSelectedInstOperands,
     /* 225553 */     // GIR_Coverage, 8037,
     /* 225553 */     GIR_EraseRootFromParent_Done,
     /* 225554 */   // Label 4450: @225554
     /* 225554 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(225596), // Rule ID 8039 //
     /* 225559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 225567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225583 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1541:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FSUBR_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmZ_S),
     /* 225586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225592 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225594 */     GIR_RootConstrainSelectedInstOperands,
     /* 225595 */     // GIR_Coverage, 8039,
     /* 225595 */     GIR_EraseRootFromParent_Done,
     /* 225596 */   // Label 4451: @225596
     /* 225596 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(225638), // Rule ID 8041 //
     /* 225601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 225609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225625 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1541:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FSUBR_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmZ_D),
     /* 225628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225634 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225636 */     GIR_RootConstrainSelectedInstOperands,
     /* 225637 */     // GIR_Coverage, 8041,
     /* 225637 */     GIR_EraseRootFromParent_Done,
     /* 225638 */   // Label 4452: @225638
     /* 225638 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(225680), // Rule ID 8079 //
     /* 225643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd),
     /* 225651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225667 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1358:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FABD_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPmZ_H),
     /* 225670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225676 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225678 */     GIR_RootConstrainSelectedInstOperands,
     /* 225679 */     // GIR_Coverage, 8079,
     /* 225679 */     GIR_EraseRootFromParent_Done,
     /* 225680 */   // Label 4453: @225680
     /* 225680 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(225722), // Rule ID 8080 //
     /* 225685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd),
     /* 225693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225709 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1358:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FABD_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPmZ_S),
     /* 225712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225716 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225718 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225720 */     GIR_RootConstrainSelectedInstOperands,
     /* 225721 */     // GIR_Coverage, 8080,
     /* 225721 */     GIR_EraseRootFromParent_Done,
     /* 225722 */   // Label 4454: @225722
     /* 225722 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(225764), // Rule ID 8081 //
     /* 225727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd),
     /* 225735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225751 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1358:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FABD_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPmZ_D),
     /* 225754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225756 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225758 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225760 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225762 */     GIR_RootConstrainSelectedInstOperands,
     /* 225763 */     // GIR_Coverage, 8081,
     /* 225763 */     GIR_EraseRootFromParent_Done,
     /* 225764 */   // Label 4455: @225764
     /* 225764 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(225806), // Rule ID 8082 //
     /* 225769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx),
     /* 225777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225793 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1480:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMULX_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPmZ_H),
     /* 225796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225802 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225804 */     GIR_RootConstrainSelectedInstOperands,
     /* 225805 */     // GIR_Coverage, 8082,
     /* 225805 */     GIR_EraseRootFromParent_Done,
     /* 225806 */   // Label 4456: @225806
     /* 225806 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(225848), // Rule ID 8083 //
     /* 225811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx),
     /* 225819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225835 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1480:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMULX_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPmZ_S),
     /* 225838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225844 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225846 */     GIR_RootConstrainSelectedInstOperands,
     /* 225847 */     // GIR_Coverage, 8083,
     /* 225847 */     GIR_EraseRootFromParent_Done,
     /* 225848 */   // Label 4457: @225848
     /* 225848 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(225890), // Rule ID 8084 //
     /* 225853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx),
     /* 225861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225877 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1480:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMULX_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPmZ_D),
     /* 225880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225882 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225884 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225886 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225888 */     GIR_RootConstrainSelectedInstOperands,
     /* 225889 */     // GIR_Coverage, 8084,
     /* 225889 */     GIR_EraseRootFromParent_Done,
     /* 225890 */   // Label 4458: @225890
     /* 225890 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(225932), // Rule ID 8085 //
     /* 225895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdivr),
     /* 225903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225919 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1419:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FDIVR_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIVR_ZPmZ_H),
     /* 225922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225928 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225930 */     GIR_RootConstrainSelectedInstOperands,
     /* 225931 */     // GIR_Coverage, 8085,
     /* 225931 */     GIR_EraseRootFromParent_Done,
     /* 225932 */   // Label 4459: @225932
     /* 225932 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(225974), // Rule ID 8086 //
     /* 225937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdivr),
     /* 225945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225961 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1419:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FDIVR_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIVR_ZPmZ_S),
     /* 225964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225970 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225972 */     GIR_RootConstrainSelectedInstOperands,
     /* 225973 */     // GIR_Coverage, 8086,
     /* 225973 */     GIR_EraseRootFromParent_Done,
     /* 225974 */   // Label 4460: @225974
     /* 225974 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(226016), // Rule ID 8087 //
     /* 225979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdivr),
     /* 225987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226003 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1419:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FDIVR_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 226003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIVR_ZPmZ_D),
     /* 226006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226012 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226014 */     GIR_RootConstrainSelectedInstOperands,
     /* 226015 */     // GIR_Coverage, 8087,
     /* 226015 */     GIR_EraseRootFromParent_Done,
     /* 226016 */   // Label 4461: @226016
     /* 226016 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(226058), // Rule ID 8088 //
     /* 226021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdiv),
     /* 226029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 226032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 226038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 226041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226045 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1417:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FDIV_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 226045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIV_ZPmZ_H),
     /* 226048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226054 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226056 */     GIR_RootConstrainSelectedInstOperands,
     /* 226057 */     // GIR_Coverage, 8088,
     /* 226057 */     GIR_EraseRootFromParent_Done,
     /* 226058 */   // Label 4462: @226058
     /* 226058 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(226100), // Rule ID 8089 //
     /* 226063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdiv),
     /* 226071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 226074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 226080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 226083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226087 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1417:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FDIV_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 226087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIV_ZPmZ_S),
     /* 226090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226096 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226098 */     GIR_RootConstrainSelectedInstOperands,
     /* 226099 */     // GIR_Coverage, 8089,
     /* 226099 */     GIR_EraseRootFromParent_Done,
     /* 226100 */   // Label 4463: @226100
     /* 226100 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(226142), // Rule ID 8090 //
     /* 226105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdiv),
     /* 226113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 226116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 226122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 226125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226129 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1417:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FDIV_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 226129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIV_ZPmZ_D),
     /* 226132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226136 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226138 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226140 */     GIR_RootConstrainSelectedInstOperands,
     /* 226141 */     // GIR_Coverage, 8090,
     /* 226141 */     GIR_EraseRootFromParent_Done,
     /* 226142 */   // Label 4464: @226142
     /* 226142 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(226184), // Rule ID 8127 //
     /* 226147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 226155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 226158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 226164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 226167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226171 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1359:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FABD_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 226171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_H_UNDEF),
     /* 226174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226180 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226182 */     GIR_RootConstrainSelectedInstOperands,
     /* 226183 */     // GIR_Coverage, 8127,
     /* 226183 */     GIR_EraseRootFromParent_Done,
     /* 226184 */   // Label 4465: @226184
     /* 226184 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(226226), // Rule ID 8129 //
     /* 226189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 226197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 226200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 226206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 226209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226213 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1359:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FABD_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 226213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_H_UNDEF),
     /* 226216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226222 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226224 */     GIR_RootConstrainSelectedInstOperands,
     /* 226225 */     // GIR_Coverage, 8129,
     /* 226225 */     GIR_EraseRootFromParent_Done,
     /* 226226 */   // Label 4466: @226226
     /* 226226 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(226268), // Rule ID 8131 //
     /* 226231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 226239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 226242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 226248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 226251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226255 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1359:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FABD_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 226255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_H_UNDEF),
     /* 226258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226264 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226266 */     GIR_RootConstrainSelectedInstOperands,
     /* 226267 */     // GIR_Coverage, 8131,
     /* 226267 */     GIR_EraseRootFromParent_Done,
     /* 226268 */   // Label 4467: @226268
     /* 226268 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(226310), // Rule ID 8133 //
     /* 226273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 226281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 226284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 226290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 226293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226297 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1359:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FABD_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 226297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_S_UNDEF),
     /* 226300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226306 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226308 */     GIR_RootConstrainSelectedInstOperands,
     /* 226309 */     // GIR_Coverage, 8133,
     /* 226309 */     GIR_EraseRootFromParent_Done,
     /* 226310 */   // Label 4468: @226310
     /* 226310 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(226352), // Rule ID 8135 //
     /* 226315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 226323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 226326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 226332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 226335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226339 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1359:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FABD_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 226339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_S_UNDEF),
     /* 226342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226344 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226346 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226348 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226350 */     GIR_RootConstrainSelectedInstOperands,
     /* 226351 */     // GIR_Coverage, 8135,
     /* 226351 */     GIR_EraseRootFromParent_Done,
     /* 226352 */   // Label 4469: @226352
     /* 226352 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(226394), // Rule ID 8137 //
     /* 226357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 226365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 226368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 226374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 226377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226381 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1359:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FABD_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 226381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_D_UNDEF),
     /* 226384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226386 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226388 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226390 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226392 */     GIR_RootConstrainSelectedInstOperands,
     /* 226393 */     // GIR_Coverage, 8137,
     /* 226393 */     GIR_EraseRootFromParent_Done,
     /* 226394 */   // Label 4470: @226394
     /* 226394 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(226436), // Rule ID 8139 //
     /* 226399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 226407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 226410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 226416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 226419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226423 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1481:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMULX_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 226423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_H_UNDEF),
     /* 226426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226432 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226434 */     GIR_RootConstrainSelectedInstOperands,
     /* 226435 */     // GIR_Coverage, 8139,
     /* 226435 */     GIR_EraseRootFromParent_Done,
     /* 226436 */   // Label 4471: @226436
     /* 226436 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(226478), // Rule ID 8140 //
     /* 226441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 226449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 226452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 226458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 226461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226465 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1481:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FMULX_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 226465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_H_UNDEF),
     /* 226468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226472 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226474 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226476 */     GIR_RootConstrainSelectedInstOperands,
     /* 226477 */     // GIR_Coverage, 8140,
     /* 226477 */     GIR_EraseRootFromParent_Done,
     /* 226478 */   // Label 4472: @226478
     /* 226478 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(226520), // Rule ID 8141 //
     /* 226483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 226491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 226494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 226500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 226503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226507 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1481:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FMULX_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 226507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_H_UNDEF),
     /* 226510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226512 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226514 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226516 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226518 */     GIR_RootConstrainSelectedInstOperands,
     /* 226519 */     // GIR_Coverage, 8141,
     /* 226519 */     GIR_EraseRootFromParent_Done,
     /* 226520 */   // Label 4473: @226520
     /* 226520 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(226562), // Rule ID 8142 //
     /* 226525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 226533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 226536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 226542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 226545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226549 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1481:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMULX_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 226549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_S_UNDEF),
     /* 226552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226556 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226558 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226560 */     GIR_RootConstrainSelectedInstOperands,
     /* 226561 */     // GIR_Coverage, 8142,
     /* 226561 */     GIR_EraseRootFromParent_Done,
     /* 226562 */   // Label 4474: @226562
     /* 226562 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(226604), // Rule ID 8143 //
     /* 226567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 226575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 226578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 226584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 226587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226591 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1481:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FMULX_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 226591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_S_UNDEF),
     /* 226594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226598 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226600 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226602 */     GIR_RootConstrainSelectedInstOperands,
     /* 226603 */     // GIR_Coverage, 8143,
     /* 226603 */     GIR_EraseRootFromParent_Done,
     /* 226604 */   // Label 4475: @226604
     /* 226604 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(226646), // Rule ID 8144 //
     /* 226609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 226617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 226620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 226626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 226629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226633 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1481:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMULX_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 226633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_D_UNDEF),
     /* 226636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226642 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226644 */     GIR_RootConstrainSelectedInstOperands,
     /* 226645 */     // GIR_Coverage, 8144,
     /* 226645 */     GIR_EraseRootFromParent_Done,
     /* 226646 */   // Label 4476: @226646
     /* 226646 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(226688), // Rule ID 8397 //
     /* 226651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkpb_z),
     /* 226659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 226675 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1299:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKPB_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKPB_PPzPP),
     /* 226678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226682 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226684 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226686 */     GIR_RootConstrainSelectedInstOperands,
     /* 226687 */     // GIR_Coverage, 8397,
     /* 226687 */     GIR_EraseRootFromParent_Done,
     /* 226688 */   // Label 4477: @226688
     /* 226688 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(226730), // Rule ID 8399 //
     /* 226693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkb),
     /* 226701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 226717 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1295:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKB_PPmP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKB_PPmP),
     /* 226720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226726 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226728 */     GIR_RootConstrainSelectedInstOperands,
     /* 226729 */     // GIR_Coverage, 8399,
     /* 226729 */     GIR_EraseRootFromParent_Done,
     /* 226730 */   // Label 4478: @226730
     /* 226730 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(226772), // Rule ID 8400 //
     /* 226735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 226743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226759 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1292:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 226762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226766 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226768 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226770 */     GIR_RootConstrainSelectedInstOperands,
     /* 226771 */     // GIR_Coverage, 8400,
     /* 226771 */     GIR_EraseRootFromParent_Done,
     /* 226772 */   // Label 4479: @226772
     /* 226772 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(226814), // Rule ID 8401 //
     /* 226777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 226785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 226788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 226794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 226797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226801 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1292:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 226801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 226804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226810 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226812 */     GIR_RootConstrainSelectedInstOperands,
     /* 226813 */     // GIR_Coverage, 8401,
     /* 226813 */     GIR_EraseRootFromParent_Done,
     /* 226814 */   // Label 4480: @226814
     /* 226814 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(226856), // Rule ID 8402 //
     /* 226819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 226827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 226830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 226836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 226839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226843 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1292:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 226843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 226846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226850 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226852 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226854 */     GIR_RootConstrainSelectedInstOperands,
     /* 226855 */     // GIR_Coverage, 8402,
     /* 226855 */     GIR_EraseRootFromParent_Done,
     /* 226856 */   // Label 4481: @226856
     /* 226856 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(226898), // Rule ID 8403 //
     /* 226861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 226869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 226872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 226878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 226881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226885 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1292:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 226885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 226888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226892 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226894 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226896 */     GIR_RootConstrainSelectedInstOperands,
     /* 226897 */     // GIR_Coverage, 8403,
     /* 226897 */     GIR_EraseRootFromParent_Done,
     /* 226898 */   // Label 4482: @226898
     /* 226898 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(226940), // Rule ID 8404 //
     /* 226903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 226911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 226914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 226917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 226920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 226923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226927 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1292:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 226927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 226930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226934 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226936 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226938 */     GIR_RootConstrainSelectedInstOperands,
     /* 226939 */     // GIR_Coverage, 8404,
     /* 226939 */     GIR_EraseRootFromParent_Done,
     /* 226940 */   // Label 4483: @226940
     /* 226940 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(226982), // Rule ID 8425 //
     /* 226945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 226953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226969 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1350:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 226972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226976 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226978 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226980 */     GIR_RootConstrainSelectedInstOperands,
     /* 226981 */     // GIR_Coverage, 8425,
     /* 226981 */     GIR_EraseRootFromParent_Done,
     /* 226982 */   // Label 4484: @226982
     /* 226982 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(227024), // Rule ID 8426 //
     /* 226987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 226995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 226998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 227004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 227007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227011 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1350:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 227011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 227014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227018 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227020 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227022 */     GIR_RootConstrainSelectedInstOperands,
     /* 227023 */     // GIR_Coverage, 8426,
     /* 227023 */     GIR_EraseRootFromParent_Done,
     /* 227024 */   // Label 4485: @227024
     /* 227024 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(227066), // Rule ID 8427 //
     /* 227029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 227037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 227046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 227049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227053 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1350:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 227053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 227056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227058 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227060 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227062 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227064 */     GIR_RootConstrainSelectedInstOperands,
     /* 227065 */     // GIR_Coverage, 8427,
     /* 227065 */     GIR_EraseRootFromParent_Done,
     /* 227066 */   // Label 4486: @227066
     /* 227066 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(227108), // Rule ID 8428 //
     /* 227071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 227079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 227082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 227088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 227091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227095 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1350:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 227095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 227098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227100 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227102 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227104 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227106 */     GIR_RootConstrainSelectedInstOperands,
     /* 227107 */     // GIR_Coverage, 8428,
     /* 227107 */     GIR_EraseRootFromParent_Done,
     /* 227108 */   // Label 4487: @227108
     /* 227108 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(227150), // Rule ID 8429 //
     /* 227113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 227121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 227124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 227127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 227130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 227133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227137 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1350:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 227137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 227140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227144 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227146 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227148 */     GIR_RootConstrainSelectedInstOperands,
     /* 227149 */     // GIR_Coverage, 8429,
     /* 227149 */     GIR_EraseRootFromParent_Done,
     /* 227150 */   // Label 4488: @227150
     /* 227150 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(227192), // Rule ID 8445 //
     /* 227155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 227163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 227166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 227172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 227175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227179 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1621:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 227179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 227182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227184 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227186 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227188 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227190 */     GIR_RootConstrainSelectedInstOperands,
     /* 227191 */     // GIR_Coverage, 8445,
     /* 227191 */     GIR_EraseRootFromParent_Done,
     /* 227192 */   // Label 4489: @227192
     /* 227192 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(227234), // Rule ID 8446 //
     /* 227197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 227205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 227214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 227217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227221 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1621:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 227221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 227224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227226 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227228 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227230 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227232 */     GIR_RootConstrainSelectedInstOperands,
     /* 227233 */     // GIR_Coverage, 8446,
     /* 227233 */     GIR_EraseRootFromParent_Done,
     /* 227234 */   // Label 4490: @227234
     /* 227234 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(227276), // Rule ID 8447 //
     /* 227239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 227247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 227256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 227259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227263 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1621:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 227263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 227266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227270 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227272 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227274 */     GIR_RootConstrainSelectedInstOperands,
     /* 227275 */     // GIR_Coverage, 8447,
     /* 227275 */     GIR_EraseRootFromParent_Done,
     /* 227276 */   // Label 4491: @227276
     /* 227276 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(227318), // Rule ID 8448 //
     /* 227281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 227289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 227292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 227298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 227301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227305 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1621:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 227305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 227308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227312 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227314 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227316 */     GIR_RootConstrainSelectedInstOperands,
     /* 227317 */     // GIR_Coverage, 8448,
     /* 227317 */     GIR_EraseRootFromParent_Done,
     /* 227318 */   // Label 4492: @227318
     /* 227318 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(227360), // Rule ID 8449 //
     /* 227323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 227331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 227334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 227337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 227340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 227343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227347 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1621:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 227347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 227350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227352 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227354 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227356 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227358 */     GIR_RootConstrainSelectedInstOperands,
     /* 227359 */     // GIR_Coverage, 8449,
     /* 227359 */     GIR_EraseRootFromParent_Done,
     /* 227360 */   // Label 4493: @227360
     /* 227360 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(227402), // Rule ID 8450 //
     /* 227365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 227373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 227376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 227382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 227385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227389 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1617:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 227389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 227392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227394 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227396 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227398 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227400 */     GIR_RootConstrainSelectedInstOperands,
     /* 227401 */     // GIR_Coverage, 8450,
     /* 227401 */     GIR_EraseRootFromParent_Done,
     /* 227402 */   // Label 4494: @227402
     /* 227402 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(227444), // Rule ID 8451 //
     /* 227407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 227415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 227424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 227427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227431 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1617:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 227431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 227434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227438 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227440 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227442 */     GIR_RootConstrainSelectedInstOperands,
     /* 227443 */     // GIR_Coverage, 8451,
     /* 227443 */     GIR_EraseRootFromParent_Done,
     /* 227444 */   // Label 4495: @227444
     /* 227444 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(227486), // Rule ID 8452 //
     /* 227449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 227457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 227466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 227469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227473 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1617:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 227473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 227476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227478 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227480 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227482 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227484 */     GIR_RootConstrainSelectedInstOperands,
     /* 227485 */     // GIR_Coverage, 8452,
     /* 227485 */     GIR_EraseRootFromParent_Done,
     /* 227486 */   // Label 4496: @227486
     /* 227486 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(227528), // Rule ID 8453 //
     /* 227491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 227499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 227502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 227508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 227511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227515 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1617:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 227515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 227518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227524 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227526 */     GIR_RootConstrainSelectedInstOperands,
     /* 227527 */     // GIR_Coverage, 8453,
     /* 227527 */     GIR_EraseRootFromParent_Done,
     /* 227528 */   // Label 4497: @227528
     /* 227528 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(227570), // Rule ID 8454 //
     /* 227533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 227541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 227544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 227547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 227550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 227553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227557 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1617:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 227557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 227560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227564 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227566 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227568 */     GIR_RootConstrainSelectedInstOperands,
     /* 227569 */     // GIR_Coverage, 8454,
     /* 227569 */     GIR_EraseRootFromParent_Done,
     /* 227570 */   // Label 4498: @227570
     /* 227570 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(227612), // Rule ID 8455 //
     /* 227575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 227583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 227586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 227592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 227595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227599 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1615:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 227599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 227602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227604 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227606 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227608 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227610 */     GIR_RootConstrainSelectedInstOperands,
     /* 227611 */     // GIR_Coverage, 8455,
     /* 227611 */     GIR_EraseRootFromParent_Done,
     /* 227612 */   // Label 4499: @227612
     /* 227612 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(227654), // Rule ID 8456 //
     /* 227617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 227625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 227634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 227637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227641 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1615:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 227641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 227644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227648 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227650 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227652 */     GIR_RootConstrainSelectedInstOperands,
     /* 227653 */     // GIR_Coverage, 8456,
     /* 227653 */     GIR_EraseRootFromParent_Done,
     /* 227654 */   // Label 4500: @227654
     /* 227654 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(227696), // Rule ID 8457 //
     /* 227659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 227667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 227676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 227679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227683 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1615:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 227683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 227686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227690 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227692 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227694 */     GIR_RootConstrainSelectedInstOperands,
     /* 227695 */     // GIR_Coverage, 8457,
     /* 227695 */     GIR_EraseRootFromParent_Done,
     /* 227696 */   // Label 4501: @227696
     /* 227696 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(227738), // Rule ID 8458 //
     /* 227701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 227709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 227712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 227718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 227721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227725 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1615:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 227725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 227728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227732 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227734 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227736 */     GIR_RootConstrainSelectedInstOperands,
     /* 227737 */     // GIR_Coverage, 8458,
     /* 227737 */     GIR_EraseRootFromParent_Done,
     /* 227738 */   // Label 4502: @227738
     /* 227738 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(227780), // Rule ID 8459 //
     /* 227743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 227751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 227754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 227757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 227760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 227763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227767 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1615:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 227767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 227770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227772 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227774 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227776 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227778 */     GIR_RootConstrainSelectedInstOperands,
     /* 227779 */     // GIR_Coverage, 8459,
     /* 227779 */     GIR_EraseRootFromParent_Done,
     /* 227780 */   // Label 4503: @227780
     /* 227780 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(227822), // Rule ID 8460 //
     /* 227785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 227793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 227796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 227802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 227805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227809 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1611:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 227809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 227812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227816 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227818 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227820 */     GIR_RootConstrainSelectedInstOperands,
     /* 227821 */     // GIR_Coverage, 8460,
     /* 227821 */     GIR_EraseRootFromParent_Done,
     /* 227822 */   // Label 4504: @227822
     /* 227822 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(227864), // Rule ID 8461 //
     /* 227827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 227835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 227844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 227847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227851 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1611:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 227851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 227854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227856 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227858 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227860 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227862 */     GIR_RootConstrainSelectedInstOperands,
     /* 227863 */     // GIR_Coverage, 8461,
     /* 227863 */     GIR_EraseRootFromParent_Done,
     /* 227864 */   // Label 4505: @227864
     /* 227864 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(227906), // Rule ID 8462 //
     /* 227869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 227877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 227886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 227889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227893 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1611:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 227893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 227896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227900 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227902 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227904 */     GIR_RootConstrainSelectedInstOperands,
     /* 227905 */     // GIR_Coverage, 8462,
     /* 227905 */     GIR_EraseRootFromParent_Done,
     /* 227906 */   // Label 4506: @227906
     /* 227906 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(227948), // Rule ID 8463 //
     /* 227911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 227919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 227922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 227928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 227931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227935 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1611:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 227935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 227938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227940 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227942 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227944 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227946 */     GIR_RootConstrainSelectedInstOperands,
     /* 227947 */     // GIR_Coverage, 8463,
     /* 227947 */     GIR_EraseRootFromParent_Done,
     /* 227948 */   // Label 4507: @227948
     /* 227948 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(227990), // Rule ID 8464 //
     /* 227953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 227961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 227964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 227967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 227970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 227973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227977 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1611:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 227977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 227980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227982 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227984 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227986 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227988 */     GIR_RootConstrainSelectedInstOperands,
     /* 227989 */     // GIR_Coverage, 8464,
     /* 227989 */     GIR_EraseRootFromParent_Done,
     /* 227990 */   // Label 4508: @227990
     /* 227990 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(228032), // Rule ID 8472 //
     /* 227995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 228003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 228006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 228015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228019 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1308:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (CLASTB_ZPZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 228019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_B),
     /* 228022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228024 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228026 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228028 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228030 */     GIR_RootConstrainSelectedInstOperands,
     /* 228031 */     // GIR_Coverage, 8472,
     /* 228031 */     GIR_EraseRootFromParent_Done,
     /* 228032 */   // Label 4509: @228032
     /* 228032 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(228074), // Rule ID 8473 //
     /* 228037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 228045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 228048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 228057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228061 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1308:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (CLASTB_ZPZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 228061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_H),
     /* 228064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228068 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228070 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228072 */     GIR_RootConstrainSelectedInstOperands,
     /* 228073 */     // GIR_Coverage, 8473,
     /* 228073 */     GIR_EraseRootFromParent_Done,
     /* 228074 */   // Label 4510: @228074
     /* 228074 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(228116), // Rule ID 8474 //
     /* 228079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 228087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 228090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 228099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228103 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1308:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (CLASTB_ZPZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 228103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_S),
     /* 228106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228108 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228110 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228112 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228114 */     GIR_RootConstrainSelectedInstOperands,
     /* 228115 */     // GIR_Coverage, 8474,
     /* 228115 */     GIR_EraseRootFromParent_Done,
     /* 228116 */   // Label 4511: @228116
     /* 228116 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(228158), // Rule ID 8475 //
     /* 228121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 228129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 228132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 228135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 228138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228145 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1308:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CLASTB_ZPZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_D),
     /* 228148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228154 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228156 */     GIR_RootConstrainSelectedInstOperands,
     /* 228157 */     // GIR_Coverage, 8475,
     /* 228157 */     GIR_EraseRootFromParent_Done,
     /* 228158 */   // Label 4512: @228158
     /* 228158 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(228200), // Rule ID 8476 //
     /* 228163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 228171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 228174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 228183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228187 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1308:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (CLASTB_ZPZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 228187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_H),
     /* 228190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228192 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228194 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228196 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228198 */     GIR_RootConstrainSelectedInstOperands,
     /* 228199 */     // GIR_Coverage, 8476,
     /* 228199 */     GIR_EraseRootFromParent_Done,
     /* 228200 */   // Label 4513: @228200
     /* 228200 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(228242), // Rule ID 8477 //
     /* 228205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 228213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 228216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 228225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228229 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1308:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (CLASTB_ZPZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 228229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_S),
     /* 228232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228236 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228238 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228240 */     GIR_RootConstrainSelectedInstOperands,
     /* 228241 */     // GIR_Coverage, 8477,
     /* 228241 */     GIR_EraseRootFromParent_Done,
     /* 228242 */   // Label 4514: @228242
     /* 228242 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(228284), // Rule ID 8478 //
     /* 228247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 228255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 228258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 228261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 228264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228271 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1308:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (CLASTB_ZPZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 228271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_D),
     /* 228274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228278 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228280 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228282 */     GIR_RootConstrainSelectedInstOperands,
     /* 228283 */     // GIR_Coverage, 8478,
     /* 228283 */     GIR_EraseRootFromParent_Done,
     /* 228284 */   // Label 4515: @228284
     /* 228284 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(228329), // Rule ID 9174 //
     /* 228289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpne_wide),
     /* 228297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228313 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1329:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPNE_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPNE_WIDE_PPzZZ_B),
     /* 228316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228322 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228327 */     GIR_RootConstrainSelectedInstOperands,
     /* 228328 */     // GIR_Coverage, 9174,
     /* 228328 */     GIR_EraseRootFromParent_Done,
     /* 228329 */   // Label 4516: @228329
     /* 228329 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(228374), // Rule ID 9175 //
     /* 228334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpne_wide),
     /* 228342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228358 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1329:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPNE_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPNE_WIDE_PPzZZ_H),
     /* 228361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228363 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228367 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228372 */     GIR_RootConstrainSelectedInstOperands,
     /* 228373 */     // GIR_Coverage, 9175,
     /* 228373 */     GIR_EraseRootFromParent_Done,
     /* 228374 */   // Label 4517: @228374
     /* 228374 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(228419), // Rule ID 9176 //
     /* 228379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpne_wide),
     /* 228387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228403 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1329:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPNE_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPNE_WIDE_PPzZZ_S),
     /* 228406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228410 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228412 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228417 */     GIR_RootConstrainSelectedInstOperands,
     /* 228418 */     // GIR_Coverage, 9176,
     /* 228418 */     GIR_EraseRootFromParent_Done,
     /* 228419 */   // Label 4518: @228419
     /* 228419 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(228464), // Rule ID 9177 //
     /* 228424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpgt_wide),
     /* 228432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1319:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGT_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGT_WIDE_PPzZZ_B),
     /* 228451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228453 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228455 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228457 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228462 */     GIR_RootConstrainSelectedInstOperands,
     /* 228463 */     // GIR_Coverage, 9177,
     /* 228463 */     GIR_EraseRootFromParent_Done,
     /* 228464 */   // Label 4519: @228464
     /* 228464 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(228509), // Rule ID 9178 //
     /* 228469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpgt_wide),
     /* 228477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228493 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1319:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGT_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGT_WIDE_PPzZZ_H),
     /* 228496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228502 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228507 */     GIR_RootConstrainSelectedInstOperands,
     /* 228508 */     // GIR_Coverage, 9178,
     /* 228508 */     GIR_EraseRootFromParent_Done,
     /* 228509 */   // Label 4520: @228509
     /* 228509 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(228554), // Rule ID 9179 //
     /* 228514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpgt_wide),
     /* 228522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228538 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1319:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGT_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGT_WIDE_PPzZZ_S),
     /* 228541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228543 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228545 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228547 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228552 */     GIR_RootConstrainSelectedInstOperands,
     /* 228553 */     // GIR_Coverage, 9179,
     /* 228553 */     GIR_EraseRootFromParent_Done,
     /* 228554 */   // Label 4521: @228554
     /* 228554 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(228599), // Rule ID 9180 //
     /* 228559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplt_wide),
     /* 228567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228583 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1327:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLT_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLT_WIDE_PPzZZ_B),
     /* 228586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228592 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228597 */     GIR_RootConstrainSelectedInstOperands,
     /* 228598 */     // GIR_Coverage, 9180,
     /* 228598 */     GIR_EraseRootFromParent_Done,
     /* 228599 */   // Label 4522: @228599
     /* 228599 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(228644), // Rule ID 9181 //
     /* 228604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplt_wide),
     /* 228612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228628 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1327:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLT_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLT_WIDE_PPzZZ_H),
     /* 228631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228633 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228635 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228637 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228642 */     GIR_RootConstrainSelectedInstOperands,
     /* 228643 */     // GIR_Coverage, 9181,
     /* 228643 */     GIR_EraseRootFromParent_Done,
     /* 228644 */   // Label 4523: @228644
     /* 228644 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(228689), // Rule ID 9182 //
     /* 228649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplt_wide),
     /* 228657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228673 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1327:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLT_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLT_WIDE_PPzZZ_S),
     /* 228676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228682 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228687 */     GIR_RootConstrainSelectedInstOperands,
     /* 228688 */     // GIR_Coverage, 9182,
     /* 228688 */     GIR_EraseRootFromParent_Done,
     /* 228689 */   // Label 4524: @228689
     /* 228689 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(228734), // Rule ID 9183 //
     /* 228694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmple_wide),
     /* 228702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228718 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1324:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLE_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLE_WIDE_PPzZZ_B),
     /* 228721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228723 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228725 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228727 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228732 */     GIR_RootConstrainSelectedInstOperands,
     /* 228733 */     // GIR_Coverage, 9183,
     /* 228733 */     GIR_EraseRootFromParent_Done,
     /* 228734 */   // Label 4525: @228734
     /* 228734 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(228779), // Rule ID 9184 //
     /* 228739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmple_wide),
     /* 228747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228763 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1324:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLE_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLE_WIDE_PPzZZ_H),
     /* 228766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228772 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228777 */     GIR_RootConstrainSelectedInstOperands,
     /* 228778 */     // GIR_Coverage, 9184,
     /* 228778 */     GIR_EraseRootFromParent_Done,
     /* 228779 */   // Label 4526: @228779
     /* 228779 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(228824), // Rule ID 9185 //
     /* 228784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmple_wide),
     /* 228792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1324:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLE_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLE_WIDE_PPzZZ_S),
     /* 228811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228815 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228817 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228822 */     GIR_RootConstrainSelectedInstOperands,
     /* 228823 */     // GIR_Coverage, 9185,
     /* 228823 */     GIR_EraseRootFromParent_Done,
     /* 228824 */   // Label 4527: @228824
     /* 228824 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(228869), // Rule ID 9186 //
     /* 228829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphs_wide),
     /* 228837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228853 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1323:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHS_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHS_WIDE_PPzZZ_B),
     /* 228856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228862 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228867 */     GIR_RootConstrainSelectedInstOperands,
     /* 228868 */     // GIR_Coverage, 9186,
     /* 228868 */     GIR_EraseRootFromParent_Done,
     /* 228869 */   // Label 4528: @228869
     /* 228869 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(228914), // Rule ID 9187 //
     /* 228874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphs_wide),
     /* 228882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228898 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1323:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHS_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHS_WIDE_PPzZZ_H),
     /* 228901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228903 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228905 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228907 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228912 */     GIR_RootConstrainSelectedInstOperands,
     /* 228913 */     // GIR_Coverage, 9187,
     /* 228913 */     GIR_EraseRootFromParent_Done,
     /* 228914 */   // Label 4529: @228914
     /* 228914 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(228959), // Rule ID 9188 //
     /* 228919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphs_wide),
     /* 228927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228943 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1323:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHS_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHS_WIDE_PPzZZ_S),
     /* 228946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228948 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228950 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228952 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228957 */     GIR_RootConstrainSelectedInstOperands,
     /* 228958 */     // GIR_Coverage, 9188,
     /* 228958 */     GIR_EraseRootFromParent_Done,
     /* 228959 */   // Label 4530: @228959
     /* 228959 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(229004), // Rule ID 9189 //
     /* 228964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphi_wide),
     /* 228972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228988 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1321:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHI_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHI_WIDE_PPzZZ_B),
     /* 228991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228995 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228997 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229002 */     GIR_RootConstrainSelectedInstOperands,
     /* 229003 */     // GIR_Coverage, 9189,
     /* 229003 */     GIR_EraseRootFromParent_Done,
     /* 229004 */   // Label 4531: @229004
     /* 229004 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(229049), // Rule ID 9190 //
     /* 229009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphi_wide),
     /* 229017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 229020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229033 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1321:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHI_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHI_WIDE_PPzZZ_H),
     /* 229036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229038 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229040 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229042 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229047 */     GIR_RootConstrainSelectedInstOperands,
     /* 229048 */     // GIR_Coverage, 9190,
     /* 229048 */     GIR_EraseRootFromParent_Done,
     /* 229049 */   // Label 4532: @229049
     /* 229049 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(229094), // Rule ID 9191 //
     /* 229054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphi_wide),
     /* 229062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 229065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229078 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1321:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHI_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHI_WIDE_PPzZZ_S),
     /* 229081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229083 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229085 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229087 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229092 */     GIR_RootConstrainSelectedInstOperands,
     /* 229093 */     // GIR_Coverage, 9191,
     /* 229093 */     GIR_EraseRootFromParent_Done,
     /* 229094 */   // Label 4533: @229094
     /* 229094 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(229139), // Rule ID 9192 //
     /* 229099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplo_wide),
     /* 229107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 229110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229123 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1325:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLO_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLO_WIDE_PPzZZ_B),
     /* 229126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229132 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229137 */     GIR_RootConstrainSelectedInstOperands,
     /* 229138 */     // GIR_Coverage, 9192,
     /* 229138 */     GIR_EraseRootFromParent_Done,
     /* 229139 */   // Label 4534: @229139
     /* 229139 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(229184), // Rule ID 9193 //
     /* 229144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplo_wide),
     /* 229152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 229155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1325:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLO_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLO_WIDE_PPzZZ_H),
     /* 229171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229175 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229177 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229182 */     GIR_RootConstrainSelectedInstOperands,
     /* 229183 */     // GIR_Coverage, 9193,
     /* 229183 */     GIR_EraseRootFromParent_Done,
     /* 229184 */   // Label 4535: @229184
     /* 229184 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(229229), // Rule ID 9194 //
     /* 229189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplo_wide),
     /* 229197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 229200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229213 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1325:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLO_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLO_WIDE_PPzZZ_S),
     /* 229216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229222 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229227 */     GIR_RootConstrainSelectedInstOperands,
     /* 229228 */     // GIR_Coverage, 9194,
     /* 229228 */     GIR_EraseRootFromParent_Done,
     /* 229229 */   // Label 4536: @229229
     /* 229229 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(229274), // Rule ID 9195 //
     /* 229234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpls_wide),
     /* 229242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 229245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229258 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1326:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLS_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLS_WIDE_PPzZZ_B),
     /* 229261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229263 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229265 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229267 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229272 */     GIR_RootConstrainSelectedInstOperands,
     /* 229273 */     // GIR_Coverage, 9195,
     /* 229273 */     GIR_EraseRootFromParent_Done,
     /* 229274 */   // Label 4537: @229274
     /* 229274 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(229319), // Rule ID 9196 //
     /* 229279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpls_wide),
     /* 229287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 229290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229303 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1326:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLS_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLS_WIDE_PPzZZ_H),
     /* 229306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229312 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229317 */     GIR_RootConstrainSelectedInstOperands,
     /* 229318 */     // GIR_Coverage, 9196,
     /* 229318 */     GIR_EraseRootFromParent_Done,
     /* 229319 */   // Label 4538: @229319
     /* 229319 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(229364), // Rule ID 9197 //
     /* 229324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpls_wide),
     /* 229332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 229335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1326:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLS_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLS_WIDE_PPzZZ_S),
     /* 229351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229355 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229357 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229362 */     GIR_RootConstrainSelectedInstOperands,
     /* 229363 */     // GIR_Coverage, 9197,
     /* 229363 */     GIR_EraseRootFromParent_Done,
     /* 229364 */   // Label 4539: @229364
     /* 229364 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(229406), // Rule ID 9594 //
     /* 229369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facgt),
     /* 229377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 229380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229393 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1362:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FACGT_PPzZZ_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 229393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT_PPzZZ_H),
     /* 229396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229402 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229404 */     GIR_RootConstrainSelectedInstOperands,
     /* 229405 */     // GIR_Coverage, 9594,
     /* 229405 */     GIR_EraseRootFromParent_Done,
     /* 229406 */   // Label 4540: @229406
     /* 229406 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(229448), // Rule ID 9595 //
     /* 229411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facgt),
     /* 229419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 229422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229435 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1362:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FACGT_PPzZZ_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 229435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT_PPzZZ_S),
     /* 229438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229444 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229446 */     GIR_RootConstrainSelectedInstOperands,
     /* 229447 */     // GIR_Coverage, 9595,
     /* 229447 */     GIR_EraseRootFromParent_Done,
     /* 229448 */   // Label 4541: @229448
     /* 229448 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(229490), // Rule ID 9596 //
     /* 229453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facgt),
     /* 229461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 229464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 229467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 229470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229477 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1362:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FACGT_PPzZZ_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 229477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT_PPzZZ_D),
     /* 229480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229486 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229488 */     GIR_RootConstrainSelectedInstOperands,
     /* 229489 */     // GIR_Coverage, 9596,
     /* 229489 */     GIR_EraseRootFromParent_Done,
     /* 229490 */   // Label 4542: @229490
     /* 229490 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(229532), // Rule ID 10134 //
     /* 229495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 229503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 229515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229519 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1593:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (LSR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 229519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_B),
     /* 229522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229526 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229528 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229530 */     GIR_RootConstrainSelectedInstOperands,
     /* 229531 */     // GIR_Coverage, 10134,
     /* 229531 */     GIR_EraseRootFromParent_Done,
     /* 229532 */   // Label 4543: @229532
     /* 229532 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(229574), // Rule ID 10135 //
     /* 229537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 229545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1593:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (LSR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 229561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_H),
     /* 229564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229568 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229570 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229572 */     GIR_RootConstrainSelectedInstOperands,
     /* 229573 */     // GIR_Coverage, 10135,
     /* 229573 */     GIR_EraseRootFromParent_Done,
     /* 229574 */   // Label 4544: @229574
     /* 229574 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(229616), // Rule ID 10136 //
     /* 229579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 229587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1593:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (LSR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_S),
     /* 229606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229612 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229614 */     GIR_RootConstrainSelectedInstOperands,
     /* 229615 */     // GIR_Coverage, 10136,
     /* 229615 */     GIR_EraseRootFromParent_Done,
     /* 229616 */   // Label 4545: @229616
     /* 229616 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(229658), // Rule ID 10137 //
     /* 229621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 229629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 229635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 229638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229645 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1593:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_D),
     /* 229648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229654 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229656 */     GIR_RootConstrainSelectedInstOperands,
     /* 229657 */     // GIR_Coverage, 10137,
     /* 229657 */     GIR_EraseRootFromParent_Done,
     /* 229658 */   // Label 4546: @229658
     /* 229658 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(229700), // Rule ID 10138 //
     /* 229663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 229671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 229683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229687 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1590:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (LSL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 229687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_B),
     /* 229690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229696 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229698 */     GIR_RootConstrainSelectedInstOperands,
     /* 229699 */     // GIR_Coverage, 10138,
     /* 229699 */     GIR_EraseRootFromParent_Done,
     /* 229700 */   // Label 4547: @229700
     /* 229700 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(229742), // Rule ID 10139 //
     /* 229705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 229713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229729 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1590:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (LSL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 229729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_H),
     /* 229732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229736 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229738 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229740 */     GIR_RootConstrainSelectedInstOperands,
     /* 229741 */     // GIR_Coverage, 10139,
     /* 229741 */     GIR_EraseRootFromParent_Done,
     /* 229742 */   // Label 4548: @229742
     /* 229742 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(229784), // Rule ID 10140 //
     /* 229747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 229755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1590:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (LSL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_S),
     /* 229774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229778 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229780 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229782 */     GIR_RootConstrainSelectedInstOperands,
     /* 229783 */     // GIR_Coverage, 10140,
     /* 229783 */     GIR_EraseRootFromParent_Done,
     /* 229784 */   // Label 4549: @229784
     /* 229784 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(229826), // Rule ID 10141 //
     /* 229789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 229797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 229803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 229806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229813 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1590:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_D),
     /* 229816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229822 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229824 */     GIR_RootConstrainSelectedInstOperands,
     /* 229825 */     // GIR_Coverage, 10141,
     /* 229825 */     GIR_EraseRootFromParent_Done,
     /* 229826 */   // Label 4550: @229826
     /* 229826 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(229868), // Rule ID 10154 //
     /* 229831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr_wide),
     /* 229839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229855 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1595:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_WIDE_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_WIDE_ZPmZ_B),
     /* 229858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229864 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229866 */     GIR_RootConstrainSelectedInstOperands,
     /* 229867 */     // GIR_Coverage, 10154,
     /* 229867 */     GIR_EraseRootFromParent_Done,
     /* 229868 */   // Label 4551: @229868
     /* 229868 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(229910), // Rule ID 10155 //
     /* 229873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr_wide),
     /* 229881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1595:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_WIDE_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_WIDE_ZPmZ_H),
     /* 229900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229904 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229906 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229908 */     GIR_RootConstrainSelectedInstOperands,
     /* 229909 */     // GIR_Coverage, 10155,
     /* 229909 */     GIR_EraseRootFromParent_Done,
     /* 229910 */   // Label 4552: @229910
     /* 229910 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(229952), // Rule ID 10156 //
     /* 229915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr_wide),
     /* 229923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229939 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1595:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_WIDE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_WIDE_ZPmZ_S),
     /* 229942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229946 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229948 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229950 */     GIR_RootConstrainSelectedInstOperands,
     /* 229951 */     // GIR_Coverage, 10156,
     /* 229951 */     GIR_EraseRootFromParent_Done,
     /* 229952 */   // Label 4553: @229952
     /* 229952 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(229994), // Rule ID 10157 //
     /* 229957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl_wide),
     /* 229965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229981 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1592:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_WIDE_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_WIDE_ZPmZ_B),
     /* 229984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229992 */     GIR_RootConstrainSelectedInstOperands,
     /* 229993 */     // GIR_Coverage, 10157,
     /* 229993 */     GIR_EraseRootFromParent_Done,
     /* 229994 */   // Label 4554: @229994
     /* 229994 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(230036), // Rule ID 10158 //
     /* 229999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl_wide),
     /* 230007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 230013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230023 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1592:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_WIDE_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_WIDE_ZPmZ_H),
     /* 230026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 230028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230032 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230034 */     GIR_RootConstrainSelectedInstOperands,
     /* 230035 */     // GIR_Coverage, 10158,
     /* 230035 */     GIR_EraseRootFromParent_Done,
     /* 230036 */   // Label 4555: @230036
     /* 230036 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(230078), // Rule ID 10159 //
     /* 230041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl_wide),
     /* 230049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 230055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1592:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_WIDE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_WIDE_ZPmZ_S),
     /* 230068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 230070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230074 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230076 */     GIR_RootConstrainSelectedInstOperands,
     /* 230077 */     // GIR_Coverage, 10159,
     /* 230077 */     GIR_EraseRootFromParent_Done,
     /* 230078 */   // Label 4556: @230078
     /* 230078 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(230120), // Rule ID 10186 //
     /* 230083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f16f64),
     /* 230091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230107 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1387:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVT_ZPmZ_DtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 230107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_DtoH),
     /* 230110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230116 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230118 */     GIR_RootConstrainSelectedInstOperands,
     /* 230119 */     // GIR_Coverage, 10186,
     /* 230119 */     GIR_EraseRootFromParent_Done,
     /* 230120 */   // Label 4557: @230120
     /* 230120 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(230162), // Rule ID 10190 //
     /* 230125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f64f16),
     /* 230133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230149 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1390:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVT_ZPmZ_HtoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 230149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_HtoD),
     /* 230152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230156 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230158 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230160 */     GIR_RootConstrainSelectedInstOperands,
     /* 230161 */     // GIR_Coverage, 10190,
     /* 230161 */     GIR_EraseRootFromParent_Done,
     /* 230162 */   // Label 4558: @230162
     /* 230162 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(230204), // Rule ID 10194 //
     /* 230167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f32f64),
     /* 230175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230191 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1389:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVT_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 230191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_DtoS),
     /* 230194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230200 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230202 */     GIR_RootConstrainSelectedInstOperands,
     /* 230203 */     // GIR_Coverage, 10194,
     /* 230203 */     GIR_EraseRootFromParent_Done,
     /* 230204 */   // Label 4559: @230204
     /* 230204 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(230246), // Rule ID 10198 //
     /* 230209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f64f32),
     /* 230217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230233 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1391:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVT_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 230233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_StoD),
     /* 230236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230240 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230242 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230244 */     GIR_RootConstrainSelectedInstOperands,
     /* 230245 */     // GIR_Coverage, 10198,
     /* 230245 */     GIR_EraseRootFromParent_Done,
     /* 230246 */   // Label 4560: @230246
     /* 230246 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(230288), // Rule ID 10202 //
     /* 230251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f64i32),
     /* 230259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230275 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1703:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SCVTF_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_StoD),
     /* 230278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230284 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230286 */     GIR_RootConstrainSelectedInstOperands,
     /* 230287 */     // GIR_Coverage, 10202,
     /* 230287 */     GIR_EraseRootFromParent_Done,
     /* 230288 */   // Label 4561: @230288
     /* 230288 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(230330), // Rule ID 10203 //
     /* 230293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f64i32),
     /* 230301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230317 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1950:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UCVTF_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_StoD),
     /* 230320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230326 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230328 */     GIR_RootConstrainSelectedInstOperands,
     /* 230329 */     // GIR_Coverage, 10203,
     /* 230329 */     GIR_EraseRootFromParent_Done,
     /* 230330 */   // Label 4562: @230330
     /* 230330 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(230372), // Rule ID 10204 //
     /* 230335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f16i32),
     /* 230343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 230352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230359 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1947:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UCVTF_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_StoH),
     /* 230362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230366 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230368 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230370 */     GIR_RootConstrainSelectedInstOperands,
     /* 230371 */     // GIR_Coverage, 10204,
     /* 230371 */     GIR_EraseRootFromParent_Done,
     /* 230372 */   // Label 4563: @230372
     /* 230372 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(230414), // Rule ID 10208 //
     /* 230377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f32i64),
     /* 230385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230401 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1702:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SCVTF_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_DtoS),
     /* 230404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230410 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230412 */     GIR_RootConstrainSelectedInstOperands,
     /* 230413 */     // GIR_Coverage, 10208,
     /* 230413 */     GIR_EraseRootFromParent_Done,
     /* 230414 */   // Label 4564: @230414
     /* 230414 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(230456), // Rule ID 10212 //
     /* 230419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f16i32),
     /* 230427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 230436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230443 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1700:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SCVTF_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_StoH),
     /* 230446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230452 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230454 */     GIR_RootConstrainSelectedInstOperands,
     /* 230455 */     // GIR_Coverage, 10212,
     /* 230455 */     GIR_EraseRootFromParent_Done,
     /* 230456 */   // Label 4565: @230456
     /* 230456 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(230498), // Rule ID 10216 //
     /* 230461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f16i64),
     /* 230469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230485 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1701:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SCVTF_ZPmZ_DtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_DtoH),
     /* 230488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230494 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230496 */     GIR_RootConstrainSelectedInstOperands,
     /* 230497 */     // GIR_Coverage, 10216,
     /* 230497 */     GIR_EraseRootFromParent_Done,
     /* 230498 */   // Label 4566: @230498
     /* 230498 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(230540), // Rule ID 10220 //
     /* 230503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f32i64),
     /* 230511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230527 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1949:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UCVTF_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_DtoS),
     /* 230530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230532 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230534 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230536 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230538 */     GIR_RootConstrainSelectedInstOperands,
     /* 230539 */     // GIR_Coverage, 10220,
     /* 230539 */     GIR_EraseRootFromParent_Done,
     /* 230540 */   // Label 4567: @230540
     /* 230540 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(230582), // Rule ID 10224 //
     /* 230545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f16i64),
     /* 230553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230569 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1948:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UCVTF_ZPmZ_DtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_DtoH),
     /* 230572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230576 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230578 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230580 */     GIR_RootConstrainSelectedInstOperands,
     /* 230581 */     // GIR_Coverage, 10224,
     /* 230581 */     GIR_EraseRootFromParent_Done,
     /* 230582 */   // Label 4568: @230582
     /* 230582 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(230624), // Rule ID 10234 //
     /* 230587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i32f64),
     /* 230595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1405:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTZS_ZPmZ_DtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 230611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_DtoS),
     /* 230614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230620 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230622 */     GIR_RootConstrainSelectedInstOperands,
     /* 230623 */     // GIR_Coverage, 10234,
     /* 230623 */     GIR_EraseRootFromParent_Done,
     /* 230624 */   // Label 4569: @230624
     /* 230624 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(230666), // Rule ID 10235 //
     /* 230629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i32f64),
     /* 230637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230653 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1412:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTZU_ZPmZ_DtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 230653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_DtoS),
     /* 230656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230662 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230664 */     GIR_RootConstrainSelectedInstOperands,
     /* 230665 */     // GIR_Coverage, 10235,
     /* 230665 */     GIR_EraseRootFromParent_Done,
     /* 230666 */   // Label 4570: @230666
     /* 230666 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(230708), // Rule ID 10236 //
     /* 230671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i64f32),
     /* 230679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230695 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1407:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTZS_ZPmZ_StoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 230695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_StoD),
     /* 230698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230704 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230706 */     GIR_RootConstrainSelectedInstOperands,
     /* 230707 */     // GIR_Coverage, 10236,
     /* 230707 */     GIR_EraseRootFromParent_Done,
     /* 230708 */   // Label 4571: @230708
     /* 230708 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(230750), // Rule ID 10240 //
     /* 230713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i32f16),
     /* 230721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 230730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230737 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1404:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZS_ZPmZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 230737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_HtoS),
     /* 230740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230746 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230748 */     GIR_RootConstrainSelectedInstOperands,
     /* 230749 */     // GIR_Coverage, 10240,
     /* 230749 */     GIR_EraseRootFromParent_Done,
     /* 230750 */   // Label 4572: @230750
     /* 230750 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(230792), // Rule ID 10244 //
     /* 230755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i64f16),
     /* 230763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230779 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1406:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZS_ZPmZ_HtoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 230779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_HtoD),
     /* 230782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230786 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230788 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230790 */     GIR_RootConstrainSelectedInstOperands,
     /* 230791 */     // GIR_Coverage, 10244,
     /* 230791 */     GIR_EraseRootFromParent_Done,
     /* 230792 */   // Label 4573: @230792
     /* 230792 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(230834), // Rule ID 10248 //
     /* 230797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i32f16),
     /* 230805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 230814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1411:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZU_ZPmZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 230821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_HtoS),
     /* 230824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230830 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230832 */     GIR_RootConstrainSelectedInstOperands,
     /* 230833 */     // GIR_Coverage, 10248,
     /* 230833 */     GIR_EraseRootFromParent_Done,
     /* 230834 */   // Label 4574: @230834
     /* 230834 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(230876), // Rule ID 10252 //
     /* 230839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i64f16),
     /* 230847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230863 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1413:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZU_ZPmZ_HtoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 230863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_HtoD),
     /* 230866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230870 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230872 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230874 */     GIR_RootConstrainSelectedInstOperands,
     /* 230875 */     // GIR_Coverage, 10252,
     /* 230875 */     GIR_EraseRootFromParent_Done,
     /* 230876 */   // Label 4575: @230876
     /* 230876 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(230918), // Rule ID 10256 //
     /* 230881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i64f32),
     /* 230889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230905 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1414:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTZU_ZPmZ_StoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 230905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_StoD),
     /* 230908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230914 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230916 */     GIR_RootConstrainSelectedInstOperands,
     /* 230917 */     // GIR_Coverage, 10256,
     /* 230917 */     GIR_EraseRootFromParent_Done,
     /* 230918 */   // Label 4576: @230918
     /* 230918 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(230960), // Rule ID 11253 //
     /* 230923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE),
     /* 230926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ummla),
     /* 230931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1989:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMMLA_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMMLA_ZZZ),
     /* 230950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230956 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230958 */     GIR_RootConstrainSelectedInstOperands,
     /* 230959 */     // GIR_Coverage, 11253,
     /* 230959 */     GIR_EraseRootFromParent_Done,
     /* 230960 */   // Label 4577: @230960
     /* 230960 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(231002), // Rule ID 11254 //
     /* 230965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE),
     /* 230968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usmmla),
     /* 230973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2060:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (USMMLA_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMMLA_ZZZ),
     /* 230992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230996 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230998 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231000 */     GIR_RootConstrainSelectedInstOperands,
     /* 231001 */     // GIR_Coverage, 11254,
     /* 231001 */     GIR_EraseRootFromParent_Done,
     /* 231002 */   // Label 4578: @231002
     /* 231002 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(231044), // Rule ID 11256 //
     /* 231007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP32_HasSVE),
     /* 231010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmmla),
     /* 231015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231031 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1475:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMMLA_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 231031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMMLA_ZZZ_S),
     /* 231034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231038 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231040 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231042 */     GIR_RootConstrainSelectedInstOperands,
     /* 231043 */     // GIR_Coverage, 11256,
     /* 231043 */     GIR_EraseRootFromParent_Done,
     /* 231044 */   // Label 4579: @231044
     /* 231044 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(231086), // Rule ID 11257 //
     /* 231049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE),
     /* 231052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmmla),
     /* 231057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 231066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 231069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231073 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1475:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMMLA_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 231073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMMLA_ZZZ_D),
     /* 231076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231080 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231082 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231084 */     GIR_RootConstrainSelectedInstOperands,
     /* 231085 */     // GIR_Coverage, 11257,
     /* 231085 */     GIR_EraseRootFromParent_Done,
     /* 231086 */   // Label 4580: @231086
     /* 231086 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(231128), // Rule ID 11311 //
     /* 231091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 231099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 231102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 231105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231115 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1824:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQRDMLSH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_B),
     /* 231118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231124 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231126 */     GIR_RootConstrainSelectedInstOperands,
     /* 231127 */     // GIR_Coverage, 11311,
     /* 231127 */     GIR_EraseRootFromParent_Done,
     /* 231128 */   // Label 4581: @231128
     /* 231128 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(231170), // Rule ID 11312 //
     /* 231133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 231141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231157 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1824:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQRDMLSH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_H),
     /* 231160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231164 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231166 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231168 */     GIR_RootConstrainSelectedInstOperands,
     /* 231169 */     // GIR_Coverage, 11312,
     /* 231169 */     GIR_EraseRootFromParent_Done,
     /* 231170 */   // Label 4582: @231170
     /* 231170 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(231212), // Rule ID 11313 //
     /* 231175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 231183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1824:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQRDMLSH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_S),
     /* 231202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231208 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231210 */     GIR_RootConstrainSelectedInstOperands,
     /* 231211 */     // GIR_Coverage, 11313,
     /* 231211 */     GIR_EraseRootFromParent_Done,
     /* 231212 */   // Label 4583: @231212
     /* 231212 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(231254), // Rule ID 11314 //
     /* 231217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 231225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 231234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 231237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231241 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1824:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQRDMLSH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 231241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_D),
     /* 231244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231250 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231252 */     GIR_RootConstrainSelectedInstOperands,
     /* 231253 */     // GIR_Coverage, 11314,
     /* 231253 */     GIR_EraseRootFromParent_Done,
     /* 231254 */   // Label 4584: @231254
     /* 231254 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(231296), // Rule ID 11367 //
     /* 231259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt),
     /* 231267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1745:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZ_H),
     /* 231286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231292 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231294 */     GIR_RootConstrainSelectedInstOperands,
     /* 231295 */     // GIR_Coverage, 11367,
     /* 231295 */     GIR_EraseRootFromParent_Done,
     /* 231296 */   // Label 4585: @231296
     /* 231296 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(231338), // Rule ID 11368 //
     /* 231301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt),
     /* 231309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231325 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1745:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZ_S),
     /* 231328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231334 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231336 */     GIR_RootConstrainSelectedInstOperands,
     /* 231337 */     // GIR_Coverage, 11368,
     /* 231337 */     GIR_EraseRootFromParent_Done,
     /* 231338 */   // Label 4586: @231338
     /* 231338 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(231380), // Rule ID 11369 //
     /* 231343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt),
     /* 231351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1745:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZ_D),
     /* 231370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231376 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231378 */     GIR_RootConstrainSelectedInstOperands,
     /* 231379 */     // GIR_Coverage, 11369,
     /* 231379 */     GIR_EraseRootFromParent_Done,
     /* 231380 */   // Label 4587: @231380
     /* 231380 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(231422), // Rule ID 11370 //
     /* 231385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb),
     /* 231393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1981:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZ_H),
     /* 231412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231418 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231420 */     GIR_RootConstrainSelectedInstOperands,
     /* 231421 */     // GIR_Coverage, 11370,
     /* 231421 */     GIR_EraseRootFromParent_Done,
     /* 231422 */   // Label 4588: @231422
     /* 231422 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(231464), // Rule ID 11371 //
     /* 231427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb),
     /* 231435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1981:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZ_S),
     /* 231454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231460 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231462 */     GIR_RootConstrainSelectedInstOperands,
     /* 231463 */     // GIR_Coverage, 11371,
     /* 231463 */     GIR_EraseRootFromParent_Done,
     /* 231464 */   // Label 4589: @231464
     /* 231464 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(231506), // Rule ID 11372 //
     /* 231469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb),
     /* 231477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231493 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1981:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZ_D),
     /* 231496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231502 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231504 */     GIR_RootConstrainSelectedInstOperands,
     /* 231505 */     // GIR_Coverage, 11372,
     /* 231505 */     GIR_EraseRootFromParent_Done,
     /* 231506 */   // Label 4590: @231506
     /* 231506 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(231548), // Rule ID 11373 //
     /* 231511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt),
     /* 231519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231535 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1983:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZ_H),
     /* 231538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231544 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231546 */     GIR_RootConstrainSelectedInstOperands,
     /* 231547 */     // GIR_Coverage, 11373,
     /* 231547 */     GIR_EraseRootFromParent_Done,
     /* 231548 */   // Label 4591: @231548
     /* 231548 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(231590), // Rule ID 11374 //
     /* 231553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt),
     /* 231561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1983:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZ_S),
     /* 231580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231586 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231588 */     GIR_RootConstrainSelectedInstOperands,
     /* 231589 */     // GIR_Coverage, 11374,
     /* 231589 */     GIR_EraseRootFromParent_Done,
     /* 231590 */   // Label 4592: @231590
     /* 231590 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(231632), // Rule ID 11375 //
     /* 231595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt),
     /* 231603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231619 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1983:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZ_D),
     /* 231622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231626 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231628 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231630 */     GIR_RootConstrainSelectedInstOperands,
     /* 231631 */     // GIR_Coverage, 11375,
     /* 231631 */     GIR_EraseRootFromParent_Done,
     /* 231632 */   // Label 4593: @231632
     /* 231632 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(231674), // Rule ID 11376 //
     /* 231637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb),
     /* 231645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231661 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1747:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLSLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZ_H),
     /* 231664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231670 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231672 */     GIR_RootConstrainSelectedInstOperands,
     /* 231673 */     // GIR_Coverage, 11376,
     /* 231673 */     GIR_EraseRootFromParent_Done,
     /* 231674 */   // Label 4594: @231674
     /* 231674 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(231716), // Rule ID 11377 //
     /* 231679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb),
     /* 231687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1747:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLSLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZ_S),
     /* 231706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231710 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231712 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231714 */     GIR_RootConstrainSelectedInstOperands,
     /* 231715 */     // GIR_Coverage, 11377,
     /* 231715 */     GIR_EraseRootFromParent_Done,
     /* 231716 */   // Label 4595: @231716
     /* 231716 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(231758), // Rule ID 11378 //
     /* 231721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb),
     /* 231729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231745 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1747:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLSLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZ_D),
     /* 231748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231754 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231756 */     GIR_RootConstrainSelectedInstOperands,
     /* 231757 */     // GIR_Coverage, 11378,
     /* 231757 */     GIR_EraseRootFromParent_Done,
     /* 231758 */   // Label 4596: @231758
     /* 231758 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(231800), // Rule ID 11379 //
     /* 231763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt),
     /* 231771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231787 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1749:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLSLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZ_H),
     /* 231790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231796 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231798 */     GIR_RootConstrainSelectedInstOperands,
     /* 231799 */     // GIR_Coverage, 11379,
     /* 231799 */     GIR_EraseRootFromParent_Done,
     /* 231800 */   // Label 4597: @231800
     /* 231800 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(231842), // Rule ID 11380 //
     /* 231805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt),
     /* 231813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231829 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1749:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLSLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZ_S),
     /* 231832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231834 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231836 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231838 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231840 */     GIR_RootConstrainSelectedInstOperands,
     /* 231841 */     // GIR_Coverage, 11380,
     /* 231841 */     GIR_EraseRootFromParent_Done,
     /* 231842 */   // Label 4598: @231842
     /* 231842 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(231884), // Rule ID 11381 //
     /* 231847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt),
     /* 231855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231871 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1749:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLSLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZ_D),
     /* 231874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231880 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231882 */     GIR_RootConstrainSelectedInstOperands,
     /* 231883 */     // GIR_Coverage, 11381,
     /* 231883 */     GIR_EraseRootFromParent_Done,
     /* 231884 */   // Label 4599: @231884
     /* 231884 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(231926), // Rule ID 11382 //
     /* 231889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb),
     /* 231897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231913 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1985:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLSLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZ_H),
     /* 231916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231922 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231924 */     GIR_RootConstrainSelectedInstOperands,
     /* 231925 */     // GIR_Coverage, 11382,
     /* 231925 */     GIR_EraseRootFromParent_Done,
     /* 231926 */   // Label 4600: @231926
     /* 231926 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(231968), // Rule ID 11383 //
     /* 231931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb),
     /* 231939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231955 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1985:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLSLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZ_S),
     /* 231958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231964 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231966 */     GIR_RootConstrainSelectedInstOperands,
     /* 231967 */     // GIR_Coverage, 11383,
     /* 231967 */     GIR_EraseRootFromParent_Done,
     /* 231968 */   // Label 4601: @231968
     /* 231968 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(232010), // Rule ID 11384 //
     /* 231973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb),
     /* 231981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231997 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1985:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLSLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZ_D),
     /* 232000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232004 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232006 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232008 */     GIR_RootConstrainSelectedInstOperands,
     /* 232009 */     // GIR_Coverage, 11384,
     /* 232009 */     GIR_EraseRootFromParent_Done,
     /* 232010 */   // Label 4602: @232010
     /* 232010 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(232052), // Rule ID 11385 //
     /* 232015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt),
     /* 232023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232039 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1987:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLSLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZ_H),
     /* 232042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232048 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232050 */     GIR_RootConstrainSelectedInstOperands,
     /* 232051 */     // GIR_Coverage, 11385,
     /* 232051 */     GIR_EraseRootFromParent_Done,
     /* 232052 */   // Label 4603: @232052
     /* 232052 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(232094), // Rule ID 11386 //
     /* 232057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt),
     /* 232065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232081 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1987:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLSLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZ_S),
     /* 232084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232090 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232092 */     GIR_RootConstrainSelectedInstOperands,
     /* 232093 */     // GIR_Coverage, 11386,
     /* 232093 */     GIR_EraseRootFromParent_Done,
     /* 232094 */   // Label 4604: @232094
     /* 232094 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(232136), // Rule ID 11387 //
     /* 232099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt),
     /* 232107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232123 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1987:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLSLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZ_D),
     /* 232126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232132 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232134 */     GIR_RootConstrainSelectedInstOperands,
     /* 232135 */     // GIR_Coverage, 11387,
     /* 232135 */     GIR_EraseRootFromParent_Done,
     /* 232136 */   // Label 4605: @232136
     /* 232136 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(232178), // Rule ID 11396 //
     /* 232141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb),
     /* 232149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232165 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1785:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZ_H),
     /* 232168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232174 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232176 */     GIR_RootConstrainSelectedInstOperands,
     /* 232177 */     // GIR_Coverage, 11396,
     /* 232177 */     GIR_EraseRootFromParent_Done,
     /* 232178 */   // Label 4606: @232178
     /* 232178 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(232220), // Rule ID 11397 //
     /* 232183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb),
     /* 232191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232207 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1785:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZ_S),
     /* 232210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232216 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232218 */     GIR_RootConstrainSelectedInstOperands,
     /* 232219 */     // GIR_Coverage, 11397,
     /* 232219 */     GIR_EraseRootFromParent_Done,
     /* 232220 */   // Label 4607: @232220
     /* 232220 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(232262), // Rule ID 11398 //
     /* 232225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb),
     /* 232233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232249 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1785:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZ_D),
     /* 232252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232254 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232256 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232258 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232260 */     GIR_RootConstrainSelectedInstOperands,
     /* 232261 */     // GIR_Coverage, 11398,
     /* 232261 */     GIR_EraseRootFromParent_Done,
     /* 232262 */   // Label 4608: @232262
     /* 232262 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(232304), // Rule ID 11399 //
     /* 232267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt),
     /* 232275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232291 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1788:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZ_H),
     /* 232294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232298 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232300 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232302 */     GIR_RootConstrainSelectedInstOperands,
     /* 232303 */     // GIR_Coverage, 11399,
     /* 232303 */     GIR_EraseRootFromParent_Done,
     /* 232304 */   // Label 4609: @232304
     /* 232304 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(232346), // Rule ID 11400 //
     /* 232309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt),
     /* 232317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232333 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1788:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZ_S),
     /* 232336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232340 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232342 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232344 */     GIR_RootConstrainSelectedInstOperands,
     /* 232345 */     // GIR_Coverage, 11400,
     /* 232345 */     GIR_EraseRootFromParent_Done,
     /* 232346 */   // Label 4610: @232346
     /* 232346 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(232388), // Rule ID 11401 //
     /* 232351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt),
     /* 232359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232375 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1788:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZ_D),
     /* 232378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232384 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232386 */     GIR_RootConstrainSelectedInstOperands,
     /* 232387 */     // GIR_Coverage, 11401,
     /* 232387 */     GIR_EraseRootFromParent_Done,
     /* 232388 */   // Label 4611: @232388
     /* 232388 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(232430), // Rule ID 11402 //
     /* 232393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb),
     /* 232401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232417 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1790:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLSLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZ_H),
     /* 232420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232424 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232426 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232428 */     GIR_RootConstrainSelectedInstOperands,
     /* 232429 */     // GIR_Coverage, 11402,
     /* 232429 */     GIR_EraseRootFromParent_Done,
     /* 232430 */   // Label 4612: @232430
     /* 232430 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(232472), // Rule ID 11403 //
     /* 232435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb),
     /* 232443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1790:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLSLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZ_S),
     /* 232462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232466 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232468 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232470 */     GIR_RootConstrainSelectedInstOperands,
     /* 232471 */     // GIR_Coverage, 11403,
     /* 232471 */     GIR_EraseRootFromParent_Done,
     /* 232472 */   // Label 4613: @232472
     /* 232472 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(232514), // Rule ID 11404 //
     /* 232477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb),
     /* 232485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232501 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1790:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLSLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZ_D),
     /* 232504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232508 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232510 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232512 */     GIR_RootConstrainSelectedInstOperands,
     /* 232513 */     // GIR_Coverage, 11404,
     /* 232513 */     GIR_EraseRootFromParent_Done,
     /* 232514 */   // Label 4614: @232514
     /* 232514 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(232556), // Rule ID 11405 //
     /* 232519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt),
     /* 232527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232543 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1793:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLSLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZ_H),
     /* 232546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232550 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232552 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232554 */     GIR_RootConstrainSelectedInstOperands,
     /* 232555 */     // GIR_Coverage, 11405,
     /* 232555 */     GIR_EraseRootFromParent_Done,
     /* 232556 */   // Label 4615: @232556
     /* 232556 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(232598), // Rule ID 11406 //
     /* 232561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt),
     /* 232569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232585 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1793:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLSLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZ_S),
     /* 232588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232592 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232594 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232596 */     GIR_RootConstrainSelectedInstOperands,
     /* 232597 */     // GIR_Coverage, 11406,
     /* 232597 */     GIR_EraseRootFromParent_Done,
     /* 232598 */   // Label 4616: @232598
     /* 232598 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(232640), // Rule ID 11407 //
     /* 232603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt),
     /* 232611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1793:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLSLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZ_D),
     /* 232630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232632 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232634 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232636 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232638 */     GIR_RootConstrainSelectedInstOperands,
     /* 232639 */     // GIR_Coverage, 11407,
     /* 232639 */     GIR_EraseRootFromParent_Done,
     /* 232640 */   // Label 4617: @232640
     /* 232640 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(232682), // Rule ID 11408 //
     /* 232645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalbt),
     /* 232653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1787:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLALBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALBT_ZZZ_H),
     /* 232672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232676 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232678 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232680 */     GIR_RootConstrainSelectedInstOperands,
     /* 232681 */     // GIR_Coverage, 11408,
     /* 232681 */     GIR_EraseRootFromParent_Done,
     /* 232682 */   // Label 4618: @232682
     /* 232682 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(232724), // Rule ID 11409 //
     /* 232687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalbt),
     /* 232695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232711 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1787:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLALBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALBT_ZZZ_S),
     /* 232714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232716 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232718 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232720 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232722 */     GIR_RootConstrainSelectedInstOperands,
     /* 232723 */     // GIR_Coverage, 11409,
     /* 232723 */     GIR_EraseRootFromParent_Done,
     /* 232724 */   // Label 4619: @232724
     /* 232724 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(232766), // Rule ID 11410 //
     /* 232729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalbt),
     /* 232737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1787:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLALBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALBT_ZZZ_D),
     /* 232756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232760 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232762 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232764 */     GIR_RootConstrainSelectedInstOperands,
     /* 232765 */     // GIR_Coverage, 11410,
     /* 232765 */     GIR_EraseRootFromParent_Done,
     /* 232766 */   // Label 4620: @232766
     /* 232766 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(232808), // Rule ID 11411 //
     /* 232771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslbt),
     /* 232779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232795 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1792:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLSLBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLBT_ZZZ_H),
     /* 232798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232802 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232804 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232806 */     GIR_RootConstrainSelectedInstOperands,
     /* 232807 */     // GIR_Coverage, 11411,
     /* 232807 */     GIR_EraseRootFromParent_Done,
     /* 232808 */   // Label 4621: @232808
     /* 232808 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(232850), // Rule ID 11412 //
     /* 232813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslbt),
     /* 232821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232837 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1792:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLSLBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLBT_ZZZ_S),
     /* 232840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232844 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232846 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232848 */     GIR_RootConstrainSelectedInstOperands,
     /* 232849 */     // GIR_Coverage, 11412,
     /* 232849 */     GIR_EraseRootFromParent_Done,
     /* 232850 */   // Label 4622: @232850
     /* 232850 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(232892), // Rule ID 11413 //
     /* 232855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslbt),
     /* 232863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1792:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLSLBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLBT_ZZZ_D),
     /* 232882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232884 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232886 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232888 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232890 */     GIR_RootConstrainSelectedInstOperands,
     /* 232891 */     // GIR_Coverage, 11413,
     /* 232891 */     GIR_EraseRootFromParent_Done,
     /* 232892 */   // Label 4623: @232892
     /* 232892 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(232934), // Rule ID 11414 //
     /* 232897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 232905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 232911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1960:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_B),
     /* 232924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232930 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232932 */     GIR_RootConstrainSelectedInstOperands,
     /* 232933 */     // GIR_Coverage, 11414,
     /* 232933 */     GIR_EraseRootFromParent_Done,
     /* 232934 */   // Label 4624: @232934
     /* 232934 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(232976), // Rule ID 11416 //
     /* 232939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 232947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 232953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232963 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1960:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_H),
     /* 232966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232970 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232972 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232974 */     GIR_RootConstrainSelectedInstOperands,
     /* 232975 */     // GIR_Coverage, 11416,
     /* 232975 */     GIR_EraseRootFromParent_Done,
     /* 232976 */   // Label 4625: @232976
     /* 232976 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(233018), // Rule ID 11418 //
     /* 232981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 232989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 232995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233005 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1960:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_S),
     /* 233008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233010 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233012 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233014 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233016 */     GIR_RootConstrainSelectedInstOperands,
     /* 233017 */     // GIR_Coverage, 11418,
     /* 233017 */     GIR_EraseRootFromParent_Done,
     /* 233018 */   // Label 4626: @233018
     /* 233018 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(233060), // Rule ID 11420 //
     /* 233023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 233031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1960:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_D),
     /* 233050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233054 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233056 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233058 */     GIR_RootConstrainSelectedInstOperands,
     /* 233059 */     // GIR_Coverage, 11420,
     /* 233059 */     GIR_EraseRootFromParent_Done,
     /* 233060 */   // Label 4627: @233060
     /* 233060 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(233102), // Rule ID 11422 //
     /* 233065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 233073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233089 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1720:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SHSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_B),
     /* 233092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233096 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233098 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233100 */     GIR_RootConstrainSelectedInstOperands,
     /* 233101 */     // GIR_Coverage, 11422,
     /* 233101 */     GIR_EraseRootFromParent_Done,
     /* 233102 */   // Label 4628: @233102
     /* 233102 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(233144), // Rule ID 11423 //
     /* 233107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 233115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233131 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1720:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SHSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_H),
     /* 233134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233136 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233138 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233140 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233142 */     GIR_RootConstrainSelectedInstOperands,
     /* 233143 */     // GIR_Coverage, 11423,
     /* 233143 */     GIR_EraseRootFromParent_Done,
     /* 233144 */   // Label 4629: @233144
     /* 233144 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(233186), // Rule ID 11424 //
     /* 233149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 233157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233173 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1720:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SHSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_S),
     /* 233176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233182 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233184 */     GIR_RootConstrainSelectedInstOperands,
     /* 233185 */     // GIR_Coverage, 11424,
     /* 233185 */     GIR_EraseRootFromParent_Done,
     /* 233186 */   // Label 4630: @233186
     /* 233186 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(233228), // Rule ID 11425 //
     /* 233191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 233199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1720:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SHSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_D),
     /* 233218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233222 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233224 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233226 */     GIR_RootConstrainSelectedInstOperands,
     /* 233227 */     // GIR_Coverage, 11425,
     /* 233227 */     GIR_EraseRootFromParent_Done,
     /* 233228 */   // Label 4631: @233228
     /* 233228 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(233270), // Rule ID 11426 //
     /* 233233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 233241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233257 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1961:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UHSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_B),
     /* 233260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233264 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233266 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233268 */     GIR_RootConstrainSelectedInstOperands,
     /* 233269 */     // GIR_Coverage, 11426,
     /* 233269 */     GIR_EraseRootFromParent_Done,
     /* 233270 */   // Label 4632: @233270
     /* 233270 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(233312), // Rule ID 11427 //
     /* 233275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 233283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1961:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UHSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_H),
     /* 233302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233308 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233310 */     GIR_RootConstrainSelectedInstOperands,
     /* 233311 */     // GIR_Coverage, 11427,
     /* 233311 */     GIR_EraseRootFromParent_Done,
     /* 233312 */   // Label 4633: @233312
     /* 233312 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(233354), // Rule ID 11428 //
     /* 233317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 233325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233341 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1961:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UHSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_S),
     /* 233344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233346 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233348 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233350 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233352 */     GIR_RootConstrainSelectedInstOperands,
     /* 233353 */     // GIR_Coverage, 11428,
     /* 233353 */     GIR_EraseRootFromParent_Done,
     /* 233354 */   // Label 4634: @233354
     /* 233354 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(233396), // Rule ID 11429 //
     /* 233359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 233367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233383 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1961:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UHSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_D),
     /* 233386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233392 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233394 */     GIR_RootConstrainSelectedInstOperands,
     /* 233395 */     // GIR_Coverage, 11429,
     /* 233395 */     GIR_EraseRootFromParent_Done,
     /* 233396 */   // Label 4635: @233396
     /* 233396 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(233438), // Rule ID 11430 //
     /* 233401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 233409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233425 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1855:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SRHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_B),
     /* 233428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233430 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233432 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233434 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233436 */     GIR_RootConstrainSelectedInstOperands,
     /* 233437 */     // GIR_Coverage, 11430,
     /* 233437 */     GIR_EraseRootFromParent_Done,
     /* 233438 */   // Label 4636: @233438
     /* 233438 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(233480), // Rule ID 11432 //
     /* 233443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 233451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1855:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SRHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_H),
     /* 233470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233472 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233474 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233476 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233478 */     GIR_RootConstrainSelectedInstOperands,
     /* 233479 */     // GIR_Coverage, 11432,
     /* 233479 */     GIR_EraseRootFromParent_Done,
     /* 233480 */   // Label 4637: @233480
     /* 233480 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(233522), // Rule ID 11434 //
     /* 233485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 233493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233509 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1855:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SRHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_S),
     /* 233512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233516 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233518 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233520 */     GIR_RootConstrainSelectedInstOperands,
     /* 233521 */     // GIR_Coverage, 11434,
     /* 233521 */     GIR_EraseRootFromParent_Done,
     /* 233522 */   // Label 4638: @233522
     /* 233522 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(233564), // Rule ID 11436 //
     /* 233527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 233535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233551 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1855:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SRHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_D),
     /* 233554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233560 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233562 */     GIR_RootConstrainSelectedInstOperands,
     /* 233563 */     // GIR_Coverage, 11436,
     /* 233563 */     GIR_EraseRootFromParent_Done,
     /* 233564 */   // Label 4639: @233564
     /* 233564 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(233606), // Rule ID 11438 //
     /* 233569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 233577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233593 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2047:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (URHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_B),
     /* 233596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233598 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233600 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233602 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233604 */     GIR_RootConstrainSelectedInstOperands,
     /* 233605 */     // GIR_Coverage, 11438,
     /* 233605 */     GIR_EraseRootFromParent_Done,
     /* 233606 */   // Label 4640: @233606
     /* 233606 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(233648), // Rule ID 11440 //
     /* 233611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 233619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233635 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2047:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (URHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_H),
     /* 233638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233644 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233646 */     GIR_RootConstrainSelectedInstOperands,
     /* 233647 */     // GIR_Coverage, 11440,
     /* 233647 */     GIR_EraseRootFromParent_Done,
     /* 233648 */   // Label 4641: @233648
     /* 233648 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(233690), // Rule ID 11442 //
     /* 233653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 233661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2047:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_S),
     /* 233680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233682 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233684 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233686 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233688 */     GIR_RootConstrainSelectedInstOperands,
     /* 233689 */     // GIR_Coverage, 11442,
     /* 233689 */     GIR_EraseRootFromParent_Done,
     /* 233690 */   // Label 4642: @233690
     /* 233690 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(233732), // Rule ID 11444 //
     /* 233695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 233703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233719 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2047:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (URHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_D),
     /* 233722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233724 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233726 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233728 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233730 */     GIR_RootConstrainSelectedInstOperands,
     /* 233731 */     // GIR_Coverage, 11444,
     /* 233731 */     GIR_EraseRootFromParent_Done,
     /* 233732 */   // Label 4643: @233732
     /* 233732 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(233774), // Rule ID 11446 //
     /* 233737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 233745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233761 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1721:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SHSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_B),
     /* 233764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233770 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233772 */     GIR_RootConstrainSelectedInstOperands,
     /* 233773 */     // GIR_Coverage, 11446,
     /* 233773 */     GIR_EraseRootFromParent_Done,
     /* 233774 */   // Label 4644: @233774
     /* 233774 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(233816), // Rule ID 11447 //
     /* 233779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 233787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1721:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SHSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_H),
     /* 233806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233808 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233810 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233812 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233814 */     GIR_RootConstrainSelectedInstOperands,
     /* 233815 */     // GIR_Coverage, 11447,
     /* 233815 */     GIR_EraseRootFromParent_Done,
     /* 233816 */   // Label 4645: @233816
     /* 233816 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(233858), // Rule ID 11448 //
     /* 233821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 233829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233845 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1721:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SHSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_S),
     /* 233848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233854 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233856 */     GIR_RootConstrainSelectedInstOperands,
     /* 233857 */     // GIR_Coverage, 11448,
     /* 233857 */     GIR_EraseRootFromParent_Done,
     /* 233858 */   // Label 4646: @233858
     /* 233858 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(233900), // Rule ID 11449 //
     /* 233863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 233871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233887 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1721:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SHSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_D),
     /* 233890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233894 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233896 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233898 */     GIR_RootConstrainSelectedInstOperands,
     /* 233899 */     // GIR_Coverage, 11449,
     /* 233899 */     GIR_EraseRootFromParent_Done,
     /* 233900 */   // Label 4647: @233900
     /* 233900 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(233942), // Rule ID 11450 //
     /* 233905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 233913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233929 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1962:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UHSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_B),
     /* 233932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233936 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233938 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233940 */     GIR_RootConstrainSelectedInstOperands,
     /* 233941 */     // GIR_Coverage, 11450,
     /* 233941 */     GIR_EraseRootFromParent_Done,
     /* 233942 */   // Label 4648: @233942
     /* 233942 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(233984), // Rule ID 11451 //
     /* 233947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 233955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233971 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1962:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UHSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_H),
     /* 233974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233980 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233982 */     GIR_RootConstrainSelectedInstOperands,
     /* 233983 */     // GIR_Coverage, 11451,
     /* 233983 */     GIR_EraseRootFromParent_Done,
     /* 233984 */   // Label 4649: @233984
     /* 233984 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(234026), // Rule ID 11452 //
     /* 233989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 233997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234013 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1962:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UHSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_S),
     /* 234016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234022 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234024 */     GIR_RootConstrainSelectedInstOperands,
     /* 234025 */     // GIR_Coverage, 11452,
     /* 234025 */     GIR_EraseRootFromParent_Done,
     /* 234026 */   // Label 4650: @234026
     /* 234026 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(234068), // Rule ID 11453 //
     /* 234031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 234039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1962:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UHSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_D),
     /* 234058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234062 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234064 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234066 */     GIR_RootConstrainSelectedInstOperands,
     /* 234067 */     // GIR_Coverage, 11453,
     /* 234067 */     GIR_EraseRootFromParent_Done,
     /* 234068 */   // Label 4651: @234068
     /* 234068 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(234110), // Rule ID 11454 //
     /* 234073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uadalp),
     /* 234081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234097 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1937:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UADALP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALP_ZPmZ_H),
     /* 234100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 234102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234104 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234106 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234108 */     GIR_RootConstrainSelectedInstOperands,
     /* 234109 */     // GIR_Coverage, 11454,
     /* 234109 */     GIR_EraseRootFromParent_Done,
     /* 234110 */   // Label 4652: @234110
     /* 234110 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(234152), // Rule ID 11455 //
     /* 234115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uadalp),
     /* 234123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234139 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1937:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UADALP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALP_ZPmZ_S),
     /* 234142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 234144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234146 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234148 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234150 */     GIR_RootConstrainSelectedInstOperands,
     /* 234151 */     // GIR_Coverage, 11455,
     /* 234151 */     GIR_EraseRootFromParent_Done,
     /* 234152 */   // Label 4653: @234152
     /* 234152 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(234194), // Rule ID 11456 //
     /* 234157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uadalp),
     /* 234165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234181 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1937:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UADALP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALP_ZPmZ_D),
     /* 234184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 234186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234188 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234190 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234192 */     GIR_RootConstrainSelectedInstOperands,
     /* 234193 */     // GIR_Coverage, 11456,
     /* 234193 */     GIR_EraseRootFromParent_Done,
     /* 234194 */   // Label 4654: @234194
     /* 234194 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(234236), // Rule ID 11457 //
     /* 234199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 234207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234223 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1252:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (ADDP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_B),
     /* 234226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234232 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234234 */     GIR_RootConstrainSelectedInstOperands,
     /* 234235 */     // GIR_Coverage, 11457,
     /* 234235 */     GIR_EraseRootFromParent_Done,
     /* 234236 */   // Label 4655: @234236
     /* 234236 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(234278), // Rule ID 11458 //
     /* 234241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 234249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234265 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1252:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (ADDP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_H),
     /* 234268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234270 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234272 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234274 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234276 */     GIR_RootConstrainSelectedInstOperands,
     /* 234277 */     // GIR_Coverage, 11458,
     /* 234277 */     GIR_EraseRootFromParent_Done,
     /* 234278 */   // Label 4656: @234278
     /* 234278 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(234320), // Rule ID 11459 //
     /* 234283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 234291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1252:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADDP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_S),
     /* 234310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234314 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234316 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234318 */     GIR_RootConstrainSelectedInstOperands,
     /* 234319 */     // GIR_Coverage, 11459,
     /* 234319 */     GIR_EraseRootFromParent_Done,
     /* 234320 */   // Label 4657: @234320
     /* 234320 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(234362), // Rule ID 11460 //
     /* 234325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 234333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234349 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1252:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADDP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_D),
     /* 234352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234356 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234358 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234360 */     GIR_RootConstrainSelectedInstOperands,
     /* 234361 */     // GIR_Coverage, 11460,
     /* 234361 */     GIR_EraseRootFromParent_Done,
     /* 234362 */   // Label 4658: @234362
     /* 234362 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(234404), // Rule ID 11461 //
     /* 234367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 234375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234391 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1731:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMAXP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_B),
     /* 234394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234400 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234402 */     GIR_RootConstrainSelectedInstOperands,
     /* 234403 */     // GIR_Coverage, 11461,
     /* 234403 */     GIR_EraseRootFromParent_Done,
     /* 234404 */   // Label 4659: @234404
     /* 234404 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(234446), // Rule ID 11462 //
     /* 234409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 234417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234433 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1731:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMAXP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_H),
     /* 234436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234438 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234440 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234442 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234444 */     GIR_RootConstrainSelectedInstOperands,
     /* 234445 */     // GIR_Coverage, 11462,
     /* 234445 */     GIR_EraseRootFromParent_Done,
     /* 234446 */   // Label 4660: @234446
     /* 234446 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(234488), // Rule ID 11463 //
     /* 234451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 234459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234475 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1731:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMAXP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_S),
     /* 234478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234482 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234484 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234486 */     GIR_RootConstrainSelectedInstOperands,
     /* 234487 */     // GIR_Coverage, 11463,
     /* 234487 */     GIR_EraseRootFromParent_Done,
     /* 234488 */   // Label 4661: @234488
     /* 234488 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(234530), // Rule ID 11464 //
     /* 234493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 234501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234517 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1731:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SMAXP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_D),
     /* 234520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234524 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234526 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234528 */     GIR_RootConstrainSelectedInstOperands,
     /* 234529 */     // GIR_Coverage, 11464,
     /* 234529 */     GIR_EraseRootFromParent_Done,
     /* 234530 */   // Label 4662: @234530
     /* 234530 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(234572), // Rule ID 11465 //
     /* 234535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 234543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234559 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1969:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMAXP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_B),
     /* 234562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234564 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234566 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234568 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234570 */     GIR_RootConstrainSelectedInstOperands,
     /* 234571 */     // GIR_Coverage, 11465,
     /* 234571 */     GIR_EraseRootFromParent_Done,
     /* 234572 */   // Label 4663: @234572
     /* 234572 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(234614), // Rule ID 11466 //
     /* 234577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 234585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234601 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1969:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMAXP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_H),
     /* 234604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234606 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234608 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234610 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234612 */     GIR_RootConstrainSelectedInstOperands,
     /* 234613 */     // GIR_Coverage, 11466,
     /* 234613 */     GIR_EraseRootFromParent_Done,
     /* 234614 */   // Label 4664: @234614
     /* 234614 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(234656), // Rule ID 11467 //
     /* 234619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 234627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234643 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1969:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMAXP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_S),
     /* 234646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234652 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234654 */     GIR_RootConstrainSelectedInstOperands,
     /* 234655 */     // GIR_Coverage, 11467,
     /* 234655 */     GIR_EraseRootFromParent_Done,
     /* 234656 */   // Label 4665: @234656
     /* 234656 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(234698), // Rule ID 11468 //
     /* 234661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 234669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234685 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1969:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UMAXP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_D),
     /* 234688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234692 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234694 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234696 */     GIR_RootConstrainSelectedInstOperands,
     /* 234697 */     // GIR_Coverage, 11468,
     /* 234697 */     GIR_EraseRootFromParent_Done,
     /* 234698 */   // Label 4666: @234698
     /* 234698 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(234740), // Rule ID 11469 //
     /* 234703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 234711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234727 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1740:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMINP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_B),
     /* 234730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234732 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234736 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234738 */     GIR_RootConstrainSelectedInstOperands,
     /* 234739 */     // GIR_Coverage, 11469,
     /* 234739 */     GIR_EraseRootFromParent_Done,
     /* 234740 */   // Label 4667: @234740
     /* 234740 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(234782), // Rule ID 11470 //
     /* 234745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 234753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1740:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMINP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_H),
     /* 234772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234776 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234778 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234780 */     GIR_RootConstrainSelectedInstOperands,
     /* 234781 */     // GIR_Coverage, 11470,
     /* 234781 */     GIR_EraseRootFromParent_Done,
     /* 234782 */   // Label 4668: @234782
     /* 234782 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(234824), // Rule ID 11471 //
     /* 234787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 234795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1740:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMINP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_S),
     /* 234814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234818 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234820 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234822 */     GIR_RootConstrainSelectedInstOperands,
     /* 234823 */     // GIR_Coverage, 11471,
     /* 234823 */     GIR_EraseRootFromParent_Done,
     /* 234824 */   // Label 4669: @234824
     /* 234824 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(234866), // Rule ID 11472 //
     /* 234829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 234837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234853 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1740:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SMINP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_D),
     /* 234856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234862 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234864 */     GIR_RootConstrainSelectedInstOperands,
     /* 234865 */     // GIR_Coverage, 11472,
     /* 234865 */     GIR_EraseRootFromParent_Done,
     /* 234866 */   // Label 4670: @234866
     /* 234866 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(234908), // Rule ID 11473 //
     /* 234871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 234879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234895 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1978:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMINP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_B),
     /* 234898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234902 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234904 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234906 */     GIR_RootConstrainSelectedInstOperands,
     /* 234907 */     // GIR_Coverage, 11473,
     /* 234907 */     GIR_EraseRootFromParent_Done,
     /* 234908 */   // Label 4671: @234908
     /* 234908 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(234950), // Rule ID 11474 //
     /* 234913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 234921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234937 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1978:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMINP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_H),
     /* 234940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234944 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234946 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234948 */     GIR_RootConstrainSelectedInstOperands,
     /* 234949 */     // GIR_Coverage, 11474,
     /* 234949 */     GIR_EraseRootFromParent_Done,
     /* 234950 */   // Label 4672: @234950
     /* 234950 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(234992), // Rule ID 11475 //
     /* 234955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 234963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234979 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1978:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMINP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_S),
     /* 234982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234984 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234986 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234988 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234990 */     GIR_RootConstrainSelectedInstOperands,
     /* 234991 */     // GIR_Coverage, 11475,
     /* 234991 */     GIR_EraseRootFromParent_Done,
     /* 234992 */   // Label 4673: @234992
     /* 234992 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(235034), // Rule ID 11476 //
     /* 234997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 235005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1978:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UMINP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_D),
     /* 235024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235030 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235032 */     GIR_RootConstrainSelectedInstOperands,
     /* 235033 */     // GIR_Coverage, 11476,
     /* 235033 */     GIR_EraseRootFromParent_Done,
     /* 235034 */   // Label 4674: @235034
     /* 235034 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(235076), // Rule ID 11477 //
     /* 235039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursqrte),
     /* 235047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 235053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 235056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235063 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2054:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URSQRTE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTE_ZPmZ_S),
     /* 235066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235070 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235072 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235074 */     GIR_RootConstrainSelectedInstOperands,
     /* 235075 */     // GIR_Coverage, 11477,
     /* 235075 */     GIR_EraseRootFromParent_Done,
     /* 235076 */   // Label 4675: @235076
     /* 235076 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(235118), // Rule ID 11488 //
     /* 235081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 235089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 235095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 235098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235105 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1819:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQNEG_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_B),
     /* 235108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235114 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235116 */     GIR_RootConstrainSelectedInstOperands,
     /* 235117 */     // GIR_Coverage, 11488,
     /* 235117 */     GIR_EraseRootFromParent_Done,
     /* 235118 */   // Label 4676: @235118
     /* 235118 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(235160), // Rule ID 11489 //
     /* 235123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 235131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 235137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 235140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1819:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQNEG_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_H),
     /* 235150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235154 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235156 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235158 */     GIR_RootConstrainSelectedInstOperands,
     /* 235159 */     // GIR_Coverage, 11489,
     /* 235159 */     GIR_EraseRootFromParent_Done,
     /* 235160 */   // Label 4677: @235160
     /* 235160 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(235202), // Rule ID 11490 //
     /* 235165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 235173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 235179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 235182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1819:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQNEG_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_S),
     /* 235192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235194 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235196 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235198 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235200 */     GIR_RootConstrainSelectedInstOperands,
     /* 235201 */     // GIR_Coverage, 11490,
     /* 235201 */     GIR_EraseRootFromParent_Done,
     /* 235202 */   // Label 4678: @235202
     /* 235202 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(235244), // Rule ID 11491 //
     /* 235207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 235215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 235221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 235224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235231 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1819:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQNEG_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_D),
     /* 235234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235238 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235240 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235242 */     GIR_RootConstrainSelectedInstOperands,
     /* 235243 */     // GIR_Coverage, 11491,
     /* 235243 */     GIR_EraseRootFromParent_Done,
     /* 235244 */   // Label 4679: @235244
     /* 235244 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(235286), // Rule ID 11500 //
     /* 235249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 235257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235273 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1760:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_B),
     /* 235276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235278 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235282 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235284 */     GIR_RootConstrainSelectedInstOperands,
     /* 235285 */     // GIR_Coverage, 11500,
     /* 235285 */     GIR_EraseRootFromParent_Done,
     /* 235286 */   // Label 4680: @235286
     /* 235286 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(235328), // Rule ID 11501 //
     /* 235291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 235299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235315 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1760:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_H),
     /* 235318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235322 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235324 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235326 */     GIR_RootConstrainSelectedInstOperands,
     /* 235327 */     // GIR_Coverage, 11501,
     /* 235327 */     GIR_EraseRootFromParent_Done,
     /* 235328 */   // Label 4681: @235328
     /* 235328 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(235370), // Rule ID 11502 //
     /* 235333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 235341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1760:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_S),
     /* 235360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235366 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235368 */     GIR_RootConstrainSelectedInstOperands,
     /* 235369 */     // GIR_Coverage, 11502,
     /* 235369 */     GIR_EraseRootFromParent_Done,
     /* 235370 */   // Label 4682: @235370
     /* 235370 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(235412), // Rule ID 11503 //
     /* 235375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 235383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235399 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1760:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_D),
     /* 235402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235408 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235410 */     GIR_RootConstrainSelectedInstOperands,
     /* 235411 */     // GIR_Coverage, 11503,
     /* 235411 */     GIR_EraseRootFromParent_Done,
     /* 235412 */   // Label 4683: @235412
     /* 235412 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(235454), // Rule ID 11504 //
     /* 235417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 235425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235441 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1996:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_B),
     /* 235444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235450 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235452 */     GIR_RootConstrainSelectedInstOperands,
     /* 235453 */     // GIR_Coverage, 11504,
     /* 235453 */     GIR_EraseRootFromParent_Done,
     /* 235454 */   // Label 4684: @235454
     /* 235454 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(235496), // Rule ID 11505 //
     /* 235459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 235467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1996:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_H),
     /* 235486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235492 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235494 */     GIR_RootConstrainSelectedInstOperands,
     /* 235495 */     // GIR_Coverage, 11505,
     /* 235495 */     GIR_EraseRootFromParent_Done,
     /* 235496 */   // Label 4685: @235496
     /* 235496 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(235538), // Rule ID 11506 //
     /* 235501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 235509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1996:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_S),
     /* 235528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235534 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235536 */     GIR_RootConstrainSelectedInstOperands,
     /* 235537 */     // GIR_Coverage, 11506,
     /* 235537 */     GIR_EraseRootFromParent_Done,
     /* 235538 */   // Label 4686: @235538
     /* 235538 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(235580), // Rule ID 11507 //
     /* 235543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 235551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235567 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1996:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_D),
     /* 235570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235574 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235576 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235578 */     GIR_RootConstrainSelectedInstOperands,
     /* 235579 */     // GIR_Coverage, 11507,
     /* 235579 */     GIR_EraseRootFromParent_Done,
     /* 235580 */   // Label 4687: @235580
     /* 235580 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(235622), // Rule ID 11508 //
     /* 235585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 235593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235609 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1847:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_B),
     /* 235612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235616 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235618 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235620 */     GIR_RootConstrainSelectedInstOperands,
     /* 235621 */     // GIR_Coverage, 11508,
     /* 235621 */     GIR_EraseRootFromParent_Done,
     /* 235622 */   // Label 4688: @235622
     /* 235622 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(235664), // Rule ID 11509 //
     /* 235627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 235635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235651 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1847:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_H),
     /* 235654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235660 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235662 */     GIR_RootConstrainSelectedInstOperands,
     /* 235663 */     // GIR_Coverage, 11509,
     /* 235663 */     GIR_EraseRootFromParent_Done,
     /* 235664 */   // Label 4689: @235664
     /* 235664 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(235706), // Rule ID 11510 //
     /* 235669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 235677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1847:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_S),
     /* 235696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235702 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235704 */     GIR_RootConstrainSelectedInstOperands,
     /* 235705 */     // GIR_Coverage, 11510,
     /* 235705 */     GIR_EraseRootFromParent_Done,
     /* 235706 */   // Label 4690: @235706
     /* 235706 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(235748), // Rule ID 11511 //
     /* 235711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 235719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235735 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1847:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_D),
     /* 235738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235744 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235746 */     GIR_RootConstrainSelectedInstOperands,
     /* 235747 */     // GIR_Coverage, 11511,
     /* 235747 */     GIR_EraseRootFromParent_Done,
     /* 235748 */   // Label 4691: @235748
     /* 235748 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(235790), // Rule ID 11512 //
     /* 235753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 235761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235777 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2040:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_B),
     /* 235780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235784 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235786 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235788 */     GIR_RootConstrainSelectedInstOperands,
     /* 235789 */     // GIR_Coverage, 11512,
     /* 235789 */     GIR_EraseRootFromParent_Done,
     /* 235790 */   // Label 4692: @235790
     /* 235790 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(235832), // Rule ID 11513 //
     /* 235795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 235803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235819 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2040:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_H),
     /* 235822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235828 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235830 */     GIR_RootConstrainSelectedInstOperands,
     /* 235831 */     // GIR_Coverage, 11513,
     /* 235831 */     GIR_EraseRootFromParent_Done,
     /* 235832 */   // Label 4693: @235832
     /* 235832 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(235874), // Rule ID 11514 //
     /* 235837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 235845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2040:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_S),
     /* 235864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235870 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235872 */     GIR_RootConstrainSelectedInstOperands,
     /* 235873 */     // GIR_Coverage, 11514,
     /* 235873 */     GIR_EraseRootFromParent_Done,
     /* 235874 */   // Label 4694: @235874
     /* 235874 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(235916), // Rule ID 11515 //
     /* 235879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 235887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235903 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2040:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_D),
     /* 235906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235912 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235914 */     GIR_RootConstrainSelectedInstOperands,
     /* 235915 */     // GIR_Coverage, 11515,
     /* 235915 */     GIR_EraseRootFromParent_Done,
     /* 235916 */   // Label 4695: @235916
     /* 235916 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(235958), // Rule ID 11516 //
     /* 235921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 235929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235945 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1911:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SUQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_B),
     /* 235948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235954 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235956 */     GIR_RootConstrainSelectedInstOperands,
     /* 235957 */     // GIR_Coverage, 11516,
     /* 235957 */     GIR_EraseRootFromParent_Done,
     /* 235958 */   // Label 4696: @235958
     /* 235958 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(236000), // Rule ID 11517 //
     /* 235963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 235971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1911:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SUQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_H),
     /* 235990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235996 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235998 */     GIR_RootConstrainSelectedInstOperands,
     /* 235999 */     // GIR_Coverage, 11517,
     /* 235999 */     GIR_EraseRootFromParent_Done,
     /* 236000 */   // Label 4697: @236000
     /* 236000 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(236042), // Rule ID 11518 //
     /* 236005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 236013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236029 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1911:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SUQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_S),
     /* 236032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236038 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236040 */     GIR_RootConstrainSelectedInstOperands,
     /* 236041 */     // GIR_Coverage, 11518,
     /* 236041 */     GIR_EraseRootFromParent_Done,
     /* 236042 */   // Label 4698: @236042
     /* 236042 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(236084), // Rule ID 11519 //
     /* 236047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 236055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236071 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1911:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SUQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_D),
     /* 236074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236080 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236082 */     GIR_RootConstrainSelectedInstOperands,
     /* 236083 */     // GIR_Coverage, 11519,
     /* 236083 */     GIR_EraseRootFromParent_Done,
     /* 236084 */   // Label 4699: @236084
     /* 236084 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(236126), // Rule ID 11520 //
     /* 236089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 236097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236113 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2061:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (USQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_B),
     /* 236116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236122 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236124 */     GIR_RootConstrainSelectedInstOperands,
     /* 236125 */     // GIR_Coverage, 11520,
     /* 236125 */     GIR_EraseRootFromParent_Done,
     /* 236126 */   // Label 4700: @236126
     /* 236126 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(236168), // Rule ID 11521 //
     /* 236131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 236139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236155 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2061:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (USQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_H),
     /* 236158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236164 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236166 */     GIR_RootConstrainSelectedInstOperands,
     /* 236167 */     // GIR_Coverage, 11521,
     /* 236167 */     GIR_EraseRootFromParent_Done,
     /* 236168 */   // Label 4701: @236168
     /* 236168 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(236210), // Rule ID 11522 //
     /* 236173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 236181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236197 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2061:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (USQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_S),
     /* 236200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236206 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236208 */     GIR_RootConstrainSelectedInstOperands,
     /* 236209 */     // GIR_Coverage, 11522,
     /* 236209 */     GIR_EraseRootFromParent_Done,
     /* 236210 */   // Label 4702: @236210
     /* 236210 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(236252), // Rule ID 11523 //
     /* 236215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 236223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236239 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2061:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (USQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_D),
     /* 236242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236248 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236250 */     GIR_RootConstrainSelectedInstOperands,
     /* 236251 */     // GIR_Coverage, 11523,
     /* 236251 */     GIR_EraseRootFromParent_Done,
     /* 236252 */   // Label 4703: @236252
     /* 236252 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(236294), // Rule ID 11524 //
     /* 236257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 236265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236281 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1850:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_B),
     /* 236284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236290 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236292 */     GIR_RootConstrainSelectedInstOperands,
     /* 236293 */     // GIR_Coverage, 11524,
     /* 236293 */     GIR_EraseRootFromParent_Done,
     /* 236294 */   // Label 4704: @236294
     /* 236294 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(236336), // Rule ID 11525 //
     /* 236299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 236307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236323 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1850:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_H),
     /* 236326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236332 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236334 */     GIR_RootConstrainSelectedInstOperands,
     /* 236335 */     // GIR_Coverage, 11525,
     /* 236335 */     GIR_EraseRootFromParent_Done,
     /* 236336 */   // Label 4705: @236336
     /* 236336 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(236378), // Rule ID 11526 //
     /* 236341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 236349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236365 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1850:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_S),
     /* 236368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236374 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236376 */     GIR_RootConstrainSelectedInstOperands,
     /* 236377 */     // GIR_Coverage, 11526,
     /* 236377 */     GIR_EraseRootFromParent_Done,
     /* 236378 */   // Label 4706: @236378
     /* 236378 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(236420), // Rule ID 11527 //
     /* 236383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 236391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236407 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1850:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_D),
     /* 236410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236414 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236416 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236418 */     GIR_RootConstrainSelectedInstOperands,
     /* 236419 */     // GIR_Coverage, 11527,
     /* 236419 */     GIR_EraseRootFromParent_Done,
     /* 236420 */   // Label 4707: @236420
     /* 236420 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(236462), // Rule ID 11528 //
     /* 236425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 236433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236449 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2043:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_B),
     /* 236452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236458 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236460 */     GIR_RootConstrainSelectedInstOperands,
     /* 236461 */     // GIR_Coverage, 11528,
     /* 236461 */     GIR_EraseRootFromParent_Done,
     /* 236462 */   // Label 4708: @236462
     /* 236462 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(236504), // Rule ID 11529 //
     /* 236467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 236475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2043:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_H),
     /* 236494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236500 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236502 */     GIR_RootConstrainSelectedInstOperands,
     /* 236503 */     // GIR_Coverage, 11529,
     /* 236503 */     GIR_EraseRootFromParent_Done,
     /* 236504 */   // Label 4709: @236504
     /* 236504 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(236546), // Rule ID 11530 //
     /* 236509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 236517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2043:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_S),
     /* 236536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236542 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236544 */     GIR_RootConstrainSelectedInstOperands,
     /* 236545 */     // GIR_Coverage, 11530,
     /* 236545 */     GIR_EraseRootFromParent_Done,
     /* 236546 */   // Label 4710: @236546
     /* 236546 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(236588), // Rule ID 11531 //
     /* 236551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 236559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236575 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2043:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_D),
     /* 236578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236584 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236586 */     GIR_RootConstrainSelectedInstOperands,
     /* 236587 */     // GIR_Coverage, 11531,
     /* 236587 */     GIR_EraseRootFromParent_Done,
     /* 236588 */   // Label 4711: @236588
     /* 236588 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(236630), // Rule ID 11532 //
     /* 236593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 236601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236617 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1857:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SRSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_B),
     /* 236620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236624 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236626 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236628 */     GIR_RootConstrainSelectedInstOperands,
     /* 236629 */     // GIR_Coverage, 11532,
     /* 236629 */     GIR_EraseRootFromParent_Done,
     /* 236630 */   // Label 4712: @236630
     /* 236630 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(236672), // Rule ID 11533 //
     /* 236635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 236643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236659 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1857:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SRSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_H),
     /* 236662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236666 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236668 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236670 */     GIR_RootConstrainSelectedInstOperands,
     /* 236671 */     // GIR_Coverage, 11533,
     /* 236671 */     GIR_EraseRootFromParent_Done,
     /* 236672 */   // Label 4713: @236672
     /* 236672 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(236714), // Rule ID 11534 //
     /* 236677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 236685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1857:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SRSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_S),
     /* 236704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236710 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236712 */     GIR_RootConstrainSelectedInstOperands,
     /* 236713 */     // GIR_Coverage, 11534,
     /* 236713 */     GIR_EraseRootFromParent_Done,
     /* 236714 */   // Label 4714: @236714
     /* 236714 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(236756), // Rule ID 11535 //
     /* 236719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 236727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236743 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1857:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SRSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_D),
     /* 236746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236752 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236754 */     GIR_RootConstrainSelectedInstOperands,
     /* 236755 */     // GIR_Coverage, 11535,
     /* 236755 */     GIR_EraseRootFromParent_Done,
     /* 236756 */   // Label 4715: @236756
     /* 236756 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(236798), // Rule ID 11536 //
     /* 236761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 236769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236785 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2048:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (URSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_B),
     /* 236788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236794 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236796 */     GIR_RootConstrainSelectedInstOperands,
     /* 236797 */     // GIR_Coverage, 11536,
     /* 236797 */     GIR_EraseRootFromParent_Done,
     /* 236798 */   // Label 4716: @236798
     /* 236798 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(236840), // Rule ID 11537 //
     /* 236803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 236811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236827 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2048:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (URSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_H),
     /* 236830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236836 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236838 */     GIR_RootConstrainSelectedInstOperands,
     /* 236839 */     // GIR_Coverage, 11537,
     /* 236839 */     GIR_EraseRootFromParent_Done,
     /* 236840 */   // Label 4717: @236840
     /* 236840 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(236882), // Rule ID 11538 //
     /* 236845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 236853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2048:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_S),
     /* 236872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236874 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236876 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236878 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236880 */     GIR_RootConstrainSelectedInstOperands,
     /* 236881 */     // GIR_Coverage, 11538,
     /* 236881 */     GIR_EraseRootFromParent_Done,
     /* 236882 */   // Label 4718: @236882
     /* 236882 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(236924), // Rule ID 11539 //
     /* 236887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 236895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236911 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2048:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (URSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_D),
     /* 236914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236920 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236922 */     GIR_RootConstrainSelectedInstOperands,
     /* 236923 */     // GIR_Coverage, 11539,
     /* 236923 */     GIR_EraseRootFromParent_Done,
     /* 236924 */   // Label 4719: @236924
     /* 236924 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(236966), // Rule ID 11540 //
     /* 236929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 236937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236953 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1841:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_B),
     /* 236956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236962 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236964 */     GIR_RootConstrainSelectedInstOperands,
     /* 236965 */     // GIR_Coverage, 11540,
     /* 236965 */     GIR_EraseRootFromParent_Done,
     /* 236966 */   // Label 4720: @236966
     /* 236966 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(237008), // Rule ID 11541 //
     /* 236971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 236979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1841:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_H),
     /* 236998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237004 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237006 */     GIR_RootConstrainSelectedInstOperands,
     /* 237007 */     // GIR_Coverage, 11541,
     /* 237007 */     GIR_EraseRootFromParent_Done,
     /* 237008 */   // Label 4721: @237008
     /* 237008 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(237050), // Rule ID 11542 //
     /* 237013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 237021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 237027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237037 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1841:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_S),
     /* 237040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237044 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237046 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237048 */     GIR_RootConstrainSelectedInstOperands,
     /* 237049 */     // GIR_Coverage, 11542,
     /* 237049 */     GIR_EraseRootFromParent_Done,
     /* 237050 */   // Label 4722: @237050
     /* 237050 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(237092), // Rule ID 11543 //
     /* 237055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 237063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 237069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237079 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1841:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_D),
     /* 237082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237086 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237088 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237090 */     GIR_RootConstrainSelectedInstOperands,
     /* 237091 */     // GIR_Coverage, 11543,
     /* 237091 */     GIR_EraseRootFromParent_Done,
     /* 237092 */   // Label 4723: @237092
     /* 237092 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(237134), // Rule ID 11544 //
     /* 237097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 237105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 237108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 237111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237121 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2037:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_B),
     /* 237124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237130 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237132 */     GIR_RootConstrainSelectedInstOperands,
     /* 237133 */     // GIR_Coverage, 11544,
     /* 237133 */     GIR_EraseRootFromParent_Done,
     /* 237134 */   // Label 4724: @237134
     /* 237134 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(237176), // Rule ID 11545 //
     /* 237139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 237147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 237153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237163 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2037:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_H),
     /* 237166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237172 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237174 */     GIR_RootConstrainSelectedInstOperands,
     /* 237175 */     // GIR_Coverage, 11545,
     /* 237175 */     GIR_EraseRootFromParent_Done,
     /* 237176 */   // Label 4725: @237176
     /* 237176 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(237218), // Rule ID 11546 //
     /* 237181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 237189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 237195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237205 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2037:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_S),
     /* 237208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237214 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237216 */     GIR_RootConstrainSelectedInstOperands,
     /* 237217 */     // GIR_Coverage, 11546,
     /* 237217 */     GIR_EraseRootFromParent_Done,
     /* 237218 */   // Label 4726: @237218
     /* 237218 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(237260), // Rule ID 11547 //
     /* 237223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 237231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 237237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237247 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2037:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_D),
     /* 237250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237256 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237258 */     GIR_RootConstrainSelectedInstOperands,
     /* 237259 */     // GIR_Coverage, 11547,
     /* 237259 */     GIR_EraseRootFromParent_Done,
     /* 237260 */   // Label 4727: @237260
     /* 237260 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(237302), // Rule ID 11548 //
     /* 237265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 237273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 237276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 237279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237289 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1828:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQRSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_B),
     /* 237292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237298 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237300 */     GIR_RootConstrainSelectedInstOperands,
     /* 237301 */     // GIR_Coverage, 11548,
     /* 237301 */     GIR_EraseRootFromParent_Done,
     /* 237302 */   // Label 4728: @237302
     /* 237302 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(237344), // Rule ID 11549 //
     /* 237307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 237315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 237321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237331 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1828:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQRSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_H),
     /* 237334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237340 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237342 */     GIR_RootConstrainSelectedInstOperands,
     /* 237343 */     // GIR_Coverage, 11549,
     /* 237343 */     GIR_EraseRootFromParent_Done,
     /* 237344 */   // Label 4729: @237344
     /* 237344 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(237386), // Rule ID 11550 //
     /* 237349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 237357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 237363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237373 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1828:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQRSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_S),
     /* 237376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237382 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237384 */     GIR_RootConstrainSelectedInstOperands,
     /* 237385 */     // GIR_Coverage, 11550,
     /* 237385 */     GIR_EraseRootFromParent_Done,
     /* 237386 */   // Label 4730: @237386
     /* 237386 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(237428), // Rule ID 11551 //
     /* 237391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 237399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 237405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237415 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1828:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQRSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_D),
     /* 237418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237424 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237426 */     GIR_RootConstrainSelectedInstOperands,
     /* 237427 */     // GIR_Coverage, 11551,
     /* 237427 */     GIR_EraseRootFromParent_Done,
     /* 237428 */   // Label 4731: @237428
     /* 237428 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(237470), // Rule ID 11552 //
     /* 237433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 237441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 237444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 237447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237457 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2030:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQRSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_B),
     /* 237460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237466 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237468 */     GIR_RootConstrainSelectedInstOperands,
     /* 237469 */     // GIR_Coverage, 11552,
     /* 237469 */     GIR_EraseRootFromParent_Done,
     /* 237470 */   // Label 4732: @237470
     /* 237470 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(237512), // Rule ID 11553 //
     /* 237475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 237483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 237489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237499 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2030:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQRSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_H),
     /* 237502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237506 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237508 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237510 */     GIR_RootConstrainSelectedInstOperands,
     /* 237511 */     // GIR_Coverage, 11553,
     /* 237511 */     GIR_EraseRootFromParent_Done,
     /* 237512 */   // Label 4733: @237512
     /* 237512 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(237554), // Rule ID 11554 //
     /* 237517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 237525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 237531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237541 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2030:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQRSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_S),
     /* 237544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237548 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237550 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237552 */     GIR_RootConstrainSelectedInstOperands,
     /* 237553 */     // GIR_Coverage, 11554,
     /* 237553 */     GIR_EraseRootFromParent_Done,
     /* 237554 */   // Label 4734: @237554
     /* 237554 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(237596), // Rule ID 11555 //
     /* 237559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 237567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 237573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237583 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2030:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQRSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_D),
     /* 237586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237592 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237594 */     GIR_RootConstrainSelectedInstOperands,
     /* 237595 */     // GIR_Coverage, 11555,
     /* 237595 */     GIR_EraseRootFromParent_Done,
     /* 237596 */   // Label 4735: @237596
     /* 237596 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(237638), // Rule ID 11718 //
     /* 237601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 237609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 237612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 237615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237625 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1930:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABA_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_B),
     /* 237628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237634 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237636 */     GIR_RootConstrainSelectedInstOperands,
     /* 237637 */     // GIR_Coverage, 11718,
     /* 237637 */     GIR_EraseRootFromParent_Done,
     /* 237638 */   // Label 4736: @237638
     /* 237638 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(237680), // Rule ID 11720 //
     /* 237643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 237651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237667 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1930:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABA_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_H),
     /* 237670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237676 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237678 */     GIR_RootConstrainSelectedInstOperands,
     /* 237679 */     // GIR_Coverage, 11720,
     /* 237679 */     GIR_EraseRootFromParent_Done,
     /* 237680 */   // Label 4737: @237680
     /* 237680 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(237722), // Rule ID 11722 //
     /* 237685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 237693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1930:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABA_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_S),
     /* 237712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237716 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237718 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237720 */     GIR_RootConstrainSelectedInstOperands,
     /* 237721 */     // GIR_Coverage, 11722,
     /* 237721 */     GIR_EraseRootFromParent_Done,
     /* 237722 */   // Label 4738: @237722
     /* 237722 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(237764), // Rule ID 11724 //
     /* 237727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 237735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237751 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1930:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UABA_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_D),
     /* 237754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237756 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237758 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237760 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237762 */     GIR_RootConstrainSelectedInstOperands,
     /* 237763 */     // GIR_Coverage, 11724,
     /* 237763 */     GIR_EraseRootFromParent_Done,
     /* 237764 */   // Label 4739: @237764
     /* 237764 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(237806), // Rule ID 11726 //
     /* 237769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalt),
     /* 237777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237793 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1682:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALT_ZZZ_H),
     /* 237796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237802 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237804 */     GIR_RootConstrainSelectedInstOperands,
     /* 237805 */     // GIR_Coverage, 11726,
     /* 237805 */     GIR_EraseRootFromParent_Done,
     /* 237806 */   // Label 4740: @237806
     /* 237806 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(237848), // Rule ID 11727 //
     /* 237811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalt),
     /* 237819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237835 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1682:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALT_ZZZ_S),
     /* 237838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237844 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237846 */     GIR_RootConstrainSelectedInstOperands,
     /* 237847 */     // GIR_Coverage, 11727,
     /* 237847 */     GIR_EraseRootFromParent_Done,
     /* 237848 */   // Label 4741: @237848
     /* 237848 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(237890), // Rule ID 11728 //
     /* 237853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalt),
     /* 237861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237877 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1682:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALT_ZZZ_D),
     /* 237880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237882 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237884 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237886 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237888 */     GIR_RootConstrainSelectedInstOperands,
     /* 237889 */     // GIR_Coverage, 11728,
     /* 237889 */     GIR_EraseRootFromParent_Done,
     /* 237890 */   // Label 4742: @237890
     /* 237890 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(237932), // Rule ID 11729 //
     /* 237895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalb),
     /* 237903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237919 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1931:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALB_ZZZ_H),
     /* 237922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237928 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237930 */     GIR_RootConstrainSelectedInstOperands,
     /* 237931 */     // GIR_Coverage, 11729,
     /* 237931 */     GIR_EraseRootFromParent_Done,
     /* 237932 */   // Label 4743: @237932
     /* 237932 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(237974), // Rule ID 11730 //
     /* 237937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalb),
     /* 237945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237961 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1931:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALB_ZZZ_S),
     /* 237964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237970 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237972 */     GIR_RootConstrainSelectedInstOperands,
     /* 237973 */     // GIR_Coverage, 11730,
     /* 237973 */     GIR_EraseRootFromParent_Done,
     /* 237974 */   // Label 4744: @237974
     /* 237974 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(238016), // Rule ID 11731 //
     /* 237979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalb),
     /* 237987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238003 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1931:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALB_ZZZ_D),
     /* 238006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238012 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238014 */     GIR_RootConstrainSelectedInstOperands,
     /* 238015 */     // GIR_Coverage, 11731,
     /* 238015 */     GIR_EraseRootFromParent_Done,
     /* 238016 */   // Label 4745: @238016
     /* 238016 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(238058), // Rule ID 11732 //
     /* 238021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalt),
     /* 238029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 238035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 238038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 238041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238045 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1932:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 238045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALT_ZZZ_H),
     /* 238048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238054 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238056 */     GIR_RootConstrainSelectedInstOperands,
     /* 238057 */     // GIR_Coverage, 11732,
     /* 238057 */     GIR_EraseRootFromParent_Done,
     /* 238058 */   // Label 4746: @238058
     /* 238058 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(238100), // Rule ID 11733 //
     /* 238063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalt),
     /* 238071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238087 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1932:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALT_ZZZ_S),
     /* 238090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238096 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238098 */     GIR_RootConstrainSelectedInstOperands,
     /* 238099 */     // GIR_Coverage, 11733,
     /* 238099 */     GIR_EraseRootFromParent_Done,
     /* 238100 */   // Label 4747: @238100
     /* 238100 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(238142), // Rule ID 11734 //
     /* 238105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalt),
     /* 238113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238129 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1932:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALT_ZZZ_D),
     /* 238132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238136 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238138 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238140 */     GIR_RootConstrainSelectedInstOperands,
     /* 238141 */     // GIR_Coverage, 11734,
     /* 238141 */     GIR_EraseRootFromParent_Done,
     /* 238142 */   // Label 4748: @238142
     /* 238142 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(238184), // Rule ID 11735 //
     /* 238147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclt),
     /* 238155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238171 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1245:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADCLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLT_ZZZ_S),
     /* 238174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238180 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238182 */     GIR_RootConstrainSelectedInstOperands,
     /* 238183 */     // GIR_Coverage, 11735,
     /* 238183 */     GIR_EraseRootFromParent_Done,
     /* 238184 */   // Label 4749: @238184
     /* 238184 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(238226), // Rule ID 11736 //
     /* 238189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclt),
     /* 238197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238213 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1245:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADCLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLT_ZZZ_D),
     /* 238216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238222 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238224 */     GIR_RootConstrainSelectedInstOperands,
     /* 238225 */     // GIR_Coverage, 11736,
     /* 238225 */     GIR_EraseRootFromParent_Done,
     /* 238226 */   // Label 4750: @238226
     /* 238226 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(238268), // Rule ID 11737 //
     /* 238231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclb),
     /* 238239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1694:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SBCLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLB_ZZZ_S),
     /* 238258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238264 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238266 */     GIR_RootConstrainSelectedInstOperands,
     /* 238267 */     // GIR_Coverage, 11737,
     /* 238267 */     GIR_EraseRootFromParent_Done,
     /* 238268 */   // Label 4751: @238268
     /* 238268 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(238310), // Rule ID 11738 //
     /* 238273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclb),
     /* 238281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1694:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SBCLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLB_ZZZ_D),
     /* 238300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238306 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238308 */     GIR_RootConstrainSelectedInstOperands,
     /* 238309 */     // GIR_Coverage, 11738,
     /* 238309 */     GIR_EraseRootFromParent_Done,
     /* 238310 */   // Label 4752: @238310
     /* 238310 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(238352), // Rule ID 11739 //
     /* 238315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclt),
     /* 238323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238339 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1695:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SBCLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLT_ZZZ_S),
     /* 238342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238344 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238346 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238348 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238350 */     GIR_RootConstrainSelectedInstOperands,
     /* 238351 */     // GIR_Coverage, 11739,
     /* 238351 */     GIR_EraseRootFromParent_Done,
     /* 238352 */   // Label 4753: @238352
     /* 238352 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(238394), // Rule ID 11740 //
     /* 238357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclt),
     /* 238365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238381 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1695:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SBCLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLT_ZZZ_D),
     /* 238384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238386 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238388 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238390 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238392 */     GIR_RootConstrainSelectedInstOperands,
     /* 238393 */     // GIR_Coverage, 11740,
     /* 238393 */     GIR_EraseRootFromParent_Done,
     /* 238394 */   // Label 4754: @238394
     /* 238394 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(238436), // Rule ID 11795 //
     /* 238399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnt),
     /* 238407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 238410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 238413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238423 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1663:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (RADDHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNT_ZZZ_B),
     /* 238426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238432 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238434 */     GIR_RootConstrainSelectedInstOperands,
     /* 238435 */     // GIR_Coverage, 11795,
     /* 238435 */     GIR_EraseRootFromParent_Done,
     /* 238436 */   // Label 4755: @238436
     /* 238436 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(238478), // Rule ID 11796 //
     /* 238441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnt),
     /* 238449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 238455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238465 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1663:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (RADDHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNT_ZZZ_H),
     /* 238468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238472 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238474 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238476 */     GIR_RootConstrainSelectedInstOperands,
     /* 238477 */     // GIR_Coverage, 11796,
     /* 238477 */     GIR_EraseRootFromParent_Done,
     /* 238478 */   // Label 4756: @238478
     /* 238478 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(238520), // Rule ID 11797 //
     /* 238483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnt),
     /* 238491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238507 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1663:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (RADDHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNT_ZZZ_S),
     /* 238510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238512 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238514 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238516 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238518 */     GIR_RootConstrainSelectedInstOperands,
     /* 238519 */     // GIR_Coverage, 11797,
     /* 238519 */     GIR_EraseRootFromParent_Done,
     /* 238520 */   // Label 4757: @238520
     /* 238520 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(238562), // Rule ID 11798 //
     /* 238525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnt),
     /* 238533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 238536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 238539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238549 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1904:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SUBHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNT_ZZZ_B),
     /* 238552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238556 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238558 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238560 */     GIR_RootConstrainSelectedInstOperands,
     /* 238561 */     // GIR_Coverage, 11798,
     /* 238561 */     GIR_EraseRootFromParent_Done,
     /* 238562 */   // Label 4758: @238562
     /* 238562 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(238604), // Rule ID 11799 //
     /* 238567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnt),
     /* 238575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 238581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238591 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1904:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SUBHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNT_ZZZ_H),
     /* 238594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238598 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238600 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238602 */     GIR_RootConstrainSelectedInstOperands,
     /* 238603 */     // GIR_Coverage, 11799,
     /* 238603 */     GIR_EraseRootFromParent_Done,
     /* 238604 */   // Label 4759: @238604
     /* 238604 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(238646), // Rule ID 11800 //
     /* 238609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnt),
     /* 238617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1904:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SUBHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNT_ZZZ_S),
     /* 238636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238642 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238644 */     GIR_RootConstrainSelectedInstOperands,
     /* 238645 */     // GIR_Coverage, 11800,
     /* 238645 */     GIR_EraseRootFromParent_Done,
     /* 238646 */   // Label 4760: @238646
     /* 238646 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(238688), // Rule ID 11801 //
     /* 238651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnt),
     /* 238659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 238662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 238665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238675 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1679:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (RSUBHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNT_ZZZ_B),
     /* 238678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238682 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238684 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238686 */     GIR_RootConstrainSelectedInstOperands,
     /* 238687 */     // GIR_Coverage, 11801,
     /* 238687 */     GIR_EraseRootFromParent_Done,
     /* 238688 */   // Label 4761: @238688
     /* 238688 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(238730), // Rule ID 11802 //
     /* 238693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnt),
     /* 238701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 238707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1679:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (RSUBHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNT_ZZZ_H),
     /* 238720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238726 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238728 */     GIR_RootConstrainSelectedInstOperands,
     /* 238729 */     // GIR_Coverage, 11802,
     /* 238729 */     GIR_EraseRootFromParent_Done,
     /* 238730 */   // Label 4762: @238730
     /* 238730 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(238772), // Rule ID 11803 //
     /* 238735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnt),
     /* 238743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238759 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1679:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (RSUBHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNT_ZZZ_S),
     /* 238762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238766 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238768 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238770 */     GIR_RootConstrainSelectedInstOperands,
     /* 238771 */     // GIR_Coverage, 11803,
     /* 238771 */     GIR_EraseRootFromParent_Done,
     /* 238772 */   // Label 4763: @238772
     /* 238772 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(238817), // Rule ID 11816 //
     /* 238777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 238780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nmatch),
     /* 238785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 238788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 238791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 238794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 238797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 238801 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1614:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (NMATCH_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 238801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NMATCH_PPzZZ_B),
     /* 238804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 238806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238810 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 238815 */     GIR_RootConstrainSelectedInstOperands,
     /* 238816 */     // GIR_Coverage, 11816,
     /* 238816 */     GIR_EraseRootFromParent_Done,
     /* 238817 */   // Label 4764: @238817
     /* 238817 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(238862), // Rule ID 11817 //
     /* 238822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 238825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nmatch),
     /* 238830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 238833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 238836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 238846 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1614:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (NMATCH_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NMATCH_PPzZZ_H),
     /* 238849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 238851 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238853 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238855 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 238860 */     GIR_RootConstrainSelectedInstOperands,
     /* 238861 */     // GIR_Coverage, 11817,
     /* 238861 */     GIR_EraseRootFromParent_Done,
     /* 238862 */   // Label 4765: @238862
     /* 238862 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(238904), // Rule ID 11818 //
     /* 238867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 238875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 238878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 238881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 238884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 238887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238891 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1354:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EORTB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 238891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_B),
     /* 238894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238900 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238902 */     GIR_RootConstrainSelectedInstOperands,
     /* 238903 */     // GIR_Coverage, 11818,
     /* 238903 */     GIR_EraseRootFromParent_Done,
     /* 238904 */   // Label 4766: @238904
     /* 238904 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(238946), // Rule ID 11819 //
     /* 238909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 238917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 238923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238933 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1354:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EORTB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_H),
     /* 238936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238942 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238944 */     GIR_RootConstrainSelectedInstOperands,
     /* 238945 */     // GIR_Coverage, 11819,
     /* 238945 */     GIR_EraseRootFromParent_Done,
     /* 238946 */   // Label 4767: @238946
     /* 238946 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(238988), // Rule ID 11820 //
     /* 238951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 238959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238975 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1354:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EORTB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_S),
     /* 238978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238984 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238986 */     GIR_RootConstrainSelectedInstOperands,
     /* 238987 */     // GIR_Coverage, 11820,
     /* 238987 */     GIR_EraseRootFromParent_Done,
     /* 238988 */   // Label 4768: @238988
     /* 238988 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(239030), // Rule ID 11821 //
     /* 238993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 239001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 239007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239017 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1354:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EORTB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 239017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_D),
     /* 239020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 239022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239024 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239026 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239028 */     GIR_RootConstrainSelectedInstOperands,
     /* 239029 */     // GIR_Coverage, 11821,
     /* 239029 */     GIR_EraseRootFromParent_Done,
     /* 239030 */   // Label 4769: @239030
     /* 239030 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(239072), // Rule ID 11837 //
     /* 239035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmp),
     /* 239043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 239049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239059 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1437:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMAXNMP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMP_ZPmZZ_H),
     /* 239062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239066 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239068 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239070 */     GIR_RootConstrainSelectedInstOperands,
     /* 239071 */     // GIR_Coverage, 11837,
     /* 239071 */     GIR_EraseRootFromParent_Done,
     /* 239072 */   // Label 4770: @239072
     /* 239072 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(239114), // Rule ID 11838 //
     /* 239077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmp),
     /* 239085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 239091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239101 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1437:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMAXNMP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 239101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMP_ZPmZZ_S),
     /* 239104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239110 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239112 */     GIR_RootConstrainSelectedInstOperands,
     /* 239113 */     // GIR_Coverage, 11838,
     /* 239113 */     GIR_EraseRootFromParent_Done,
     /* 239114 */   // Label 4771: @239114
     /* 239114 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(239156), // Rule ID 11839 //
     /* 239119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmp),
     /* 239127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 239133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239143 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1437:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMAXNMP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 239143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMP_ZPmZZ_D),
     /* 239146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239152 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239154 */     GIR_RootConstrainSelectedInstOperands,
     /* 239155 */     // GIR_Coverage, 11839,
     /* 239155 */     GIR_EraseRootFromParent_Done,
     /* 239156 */   // Label 4772: @239156
     /* 239156 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(239198), // Rule ID 11840 //
     /* 239161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmp),
     /* 239169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 239175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239185 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1455:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMINNMP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMP_ZPmZZ_H),
     /* 239188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239194 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239196 */     GIR_RootConstrainSelectedInstOperands,
     /* 239197 */     // GIR_Coverage, 11840,
     /* 239197 */     GIR_EraseRootFromParent_Done,
     /* 239198 */   // Label 4773: @239198
     /* 239198 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(239240), // Rule ID 11841 //
     /* 239203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmp),
     /* 239211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 239217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239227 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1455:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMINNMP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 239227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMP_ZPmZZ_S),
     /* 239230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239236 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239238 */     GIR_RootConstrainSelectedInstOperands,
     /* 239239 */     // GIR_Coverage, 11841,
     /* 239239 */     GIR_EraseRootFromParent_Done,
     /* 239240 */   // Label 4774: @239240
     /* 239240 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(239282), // Rule ID 11842 //
     /* 239245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmp),
     /* 239253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 239259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239269 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1455:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMINNMP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 239269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMP_ZPmZZ_D),
     /* 239272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239276 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239278 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239280 */     GIR_RootConstrainSelectedInstOperands,
     /* 239281 */     // GIR_Coverage, 11842,
     /* 239281 */     GIR_EraseRootFromParent_Done,
     /* 239282 */   // Label 4775: @239282
     /* 239282 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(239324), // Rule ID 11843 //
     /* 239287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxp),
     /* 239295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 239301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239311 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1440:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMAXP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXP_ZPmZZ_H),
     /* 239314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239318 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239320 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239322 */     GIR_RootConstrainSelectedInstOperands,
     /* 239323 */     // GIR_Coverage, 11843,
     /* 239323 */     GIR_EraseRootFromParent_Done,
     /* 239324 */   // Label 4776: @239324
     /* 239324 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(239366), // Rule ID 11844 //
     /* 239329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxp),
     /* 239337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 239343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239353 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1440:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMAXP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 239353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXP_ZPmZZ_S),
     /* 239356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239360 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239362 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239364 */     GIR_RootConstrainSelectedInstOperands,
     /* 239365 */     // GIR_Coverage, 11844,
     /* 239365 */     GIR_EraseRootFromParent_Done,
     /* 239366 */   // Label 4777: @239366
     /* 239366 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(239408), // Rule ID 11845 //
     /* 239371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxp),
     /* 239379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 239385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239395 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1440:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMAXP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 239395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXP_ZPmZZ_D),
     /* 239398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239404 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239406 */     GIR_RootConstrainSelectedInstOperands,
     /* 239407 */     // GIR_Coverage, 11845,
     /* 239407 */     GIR_EraseRootFromParent_Done,
     /* 239408 */   // Label 4778: @239408
     /* 239408 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(239450), // Rule ID 11846 //
     /* 239413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminp),
     /* 239421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 239427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239437 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1458:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMINP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINP_ZPmZZ_H),
     /* 239440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239442 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239444 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239446 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239448 */     GIR_RootConstrainSelectedInstOperands,
     /* 239449 */     // GIR_Coverage, 11846,
     /* 239449 */     GIR_EraseRootFromParent_Done,
     /* 239450 */   // Label 4779: @239450
     /* 239450 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(239492), // Rule ID 11847 //
     /* 239455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminp),
     /* 239463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 239469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239479 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1458:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMINP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 239479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINP_ZPmZZ_S),
     /* 239482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239484 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239486 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239488 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239490 */     GIR_RootConstrainSelectedInstOperands,
     /* 239491 */     // GIR_Coverage, 11847,
     /* 239491 */     GIR_EraseRootFromParent_Done,
     /* 239492 */   // Label 4780: @239492
     /* 239492 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(239534), // Rule ID 11848 //
     /* 239497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminp),
     /* 239505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 239511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239521 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1458:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMINP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 239521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINP_ZPmZZ_D),
     /* 239524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239530 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239532 */     GIR_RootConstrainSelectedInstOperands,
     /* 239533 */     // GIR_Coverage, 11848,
     /* 239533 */     GIR_EraseRootFromParent_Done,
     /* 239534 */   // Label 4781: @239534
     /* 239534 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(239576), // Rule ID 11853 //
     /* 239539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalb),
     /* 239547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239563 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1464:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLALB_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZ_SHH),
     /* 239566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239568 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239570 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239572 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239574 */     GIR_RootConstrainSelectedInstOperands,
     /* 239575 */     // GIR_Coverage, 11853,
     /* 239575 */     GIR_EraseRootFromParent_Done,
     /* 239576 */   // Label 4782: @239576
     /* 239576 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(239618), // Rule ID 11854 //
     /* 239581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalt),
     /* 239589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239605 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1466:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLALT_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZ_SHH),
     /* 239608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239614 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239616 */     GIR_RootConstrainSelectedInstOperands,
     /* 239617 */     // GIR_Coverage, 11854,
     /* 239617 */     GIR_EraseRootFromParent_Done,
     /* 239618 */   // Label 4783: @239618
     /* 239618 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(239660), // Rule ID 11855 //
     /* 239623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslb),
     /* 239631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239647 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1471:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLSLB_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLB_ZZZ_SHH),
     /* 239650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239652 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239654 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239656 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239658 */     GIR_RootConstrainSelectedInstOperands,
     /* 239659 */     // GIR_Coverage, 11855,
     /* 239659 */     GIR_EraseRootFromParent_Done,
     /* 239660 */   // Label 4784: @239660
     /* 239660 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(239702), // Rule ID 11856 //
     /* 239665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslt),
     /* 239673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239689 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1473:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLSLT_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLT_ZZZ_SHH),
     /* 239692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239694 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239696 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239698 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239700 */     GIR_RootConstrainSelectedInstOperands,
     /* 239701 */     // GIR_Coverage, 11856,
     /* 239701 */     GIR_EraseRootFromParent_Done,
     /* 239702 */   // Label 4785: @239702
     /* 239702 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(239744), // Rule ID 11857 //
     /* 239707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 239715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 239718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 239721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 239724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 239727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239731 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1271:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 239731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 239734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239740 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239742 */     GIR_RootConstrainSelectedInstOperands,
     /* 239743 */     // GIR_Coverage, 11857,
     /* 239743 */     GIR_EraseRootFromParent_Done,
     /* 239744 */   // Label 4786: @239744
     /* 239744 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(239786), // Rule ID 11859 //
     /* 239749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 239757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 239763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239773 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1271:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 239773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 239776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239782 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239784 */     GIR_RootConstrainSelectedInstOperands,
     /* 239785 */     // GIR_Coverage, 11859,
     /* 239785 */     GIR_EraseRootFromParent_Done,
     /* 239786 */   // Label 4787: @239786
     /* 239786 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(239828), // Rule ID 11861 //
     /* 239791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 239799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1271:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 239815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 239818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239822 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239824 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239826 */     GIR_RootConstrainSelectedInstOperands,
     /* 239827 */     // GIR_Coverage, 11861,
     /* 239827 */     GIR_EraseRootFromParent_Done,
     /* 239828 */   // Label 4788: @239828
     /* 239828 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(239870), // Rule ID 11863 //
     /* 239833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 239841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 239847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239857 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1271:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 239857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 239860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239862 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239864 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239866 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239868 */     GIR_RootConstrainSelectedInstOperands,
     /* 239869 */     // GIR_Coverage, 11863,
     /* 239869 */     GIR_EraseRootFromParent_Done,
     /* 239870 */   // Label 4789: @239870
     /* 239870 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(239912), // Rule ID 11865 //
     /* 239875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 239883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 239886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 239889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 239892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 239895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1300:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 239899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 239902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239904 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239906 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239908 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239910 */     GIR_RootConstrainSelectedInstOperands,
     /* 239911 */     // GIR_Coverage, 11865,
     /* 239911 */     GIR_EraseRootFromParent_Done,
     /* 239912 */   // Label 4790: @239912
     /* 239912 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(239954), // Rule ID 11867 //
     /* 239917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 239925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 239931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239941 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1300:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 239941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 239944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239946 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239948 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239950 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239952 */     GIR_RootConstrainSelectedInstOperands,
     /* 239953 */     // GIR_Coverage, 11867,
     /* 239953 */     GIR_EraseRootFromParent_Done,
     /* 239954 */   // Label 4791: @239954
     /* 239954 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(239996), // Rule ID 11869 //
     /* 239959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 239967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1300:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 239983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 239986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239990 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239992 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239994 */     GIR_RootConstrainSelectedInstOperands,
     /* 239995 */     // GIR_Coverage, 11869,
     /* 239995 */     GIR_EraseRootFromParent_Done,
     /* 239996 */   // Label 4792: @239996
     /* 239996 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(240038), // Rule ID 11871 //
     /* 240001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 240009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 240015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240025 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1300:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 240028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240032 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240034 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240036 */     GIR_RootConstrainSelectedInstOperands,
     /* 240037 */     // GIR_Coverage, 11871,
     /* 240037 */     GIR_EraseRootFromParent_Done,
     /* 240038 */   // Label 4793: @240038
     /* 240038 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(240080), // Rule ID 11873 //
     /* 240043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 240051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 240054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 240057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 240060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 240063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240067 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1301:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 240067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 240070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240074 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240076 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240078 */     GIR_RootConstrainSelectedInstOperands,
     /* 240079 */     // GIR_Coverage, 11873,
     /* 240079 */     GIR_EraseRootFromParent_Done,
     /* 240080 */   // Label 4794: @240080
     /* 240080 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(240122), // Rule ID 11874 //
     /* 240085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 240093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 240099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240109 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1301:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 240112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240116 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240118 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240120 */     GIR_RootConstrainSelectedInstOperands,
     /* 240121 */     // GIR_Coverage, 11874,
     /* 240121 */     GIR_EraseRootFromParent_Done,
     /* 240122 */   // Label 4795: @240122
     /* 240122 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(240164), // Rule ID 11875 //
     /* 240127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 240135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240151 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1301:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 240151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 240154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240158 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240160 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240162 */     GIR_RootConstrainSelectedInstOperands,
     /* 240163 */     // GIR_Coverage, 11875,
     /* 240163 */     GIR_EraseRootFromParent_Done,
     /* 240164 */   // Label 4796: @240164
     /* 240164 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(240206), // Rule ID 11876 //
     /* 240169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 240177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 240183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240193 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1301:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 240196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240198 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240200 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240202 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240204 */     GIR_RootConstrainSelectedInstOperands,
     /* 240205 */     // GIR_Coverage, 11876,
     /* 240205 */     GIR_EraseRootFromParent_Done,
     /* 240206 */   // Label 4797: @240206
     /* 240206 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(240248), // Rule ID 11877 //
     /* 240211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 240219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 240222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 240225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 240228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 240231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240235 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1302:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 240235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 240238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240244 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240246 */     GIR_RootConstrainSelectedInstOperands,
     /* 240247 */     // GIR_Coverage, 11877,
     /* 240247 */     GIR_EraseRootFromParent_Done,
     /* 240248 */   // Label 4798: @240248
     /* 240248 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(240290), // Rule ID 11878 //
     /* 240253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 240261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 240267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240277 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1302:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 240280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240284 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240286 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240288 */     GIR_RootConstrainSelectedInstOperands,
     /* 240289 */     // GIR_Coverage, 11878,
     /* 240289 */     GIR_EraseRootFromParent_Done,
     /* 240290 */   // Label 4799: @240290
     /* 240290 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(240332), // Rule ID 11879 //
     /* 240295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 240303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240319 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1302:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 240319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 240322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240326 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240328 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240330 */     GIR_RootConstrainSelectedInstOperands,
     /* 240331 */     // GIR_Coverage, 11879,
     /* 240331 */     GIR_EraseRootFromParent_Done,
     /* 240332 */   // Label 4800: @240332
     /* 240332 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(240374), // Rule ID 11880 //
     /* 240337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 240345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 240351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1302:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 240364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240370 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240372 */     GIR_RootConstrainSelectedInstOperands,
     /* 240373 */     // GIR_Coverage, 11880,
     /* 240373 */     GIR_EraseRootFromParent_Done,
     /* 240374 */   // Label 4801: @240374
     /* 240374 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(240416), // Rule ID 11881 //
     /* 240379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 240387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 240390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 240393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 240396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 240399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240403 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1612:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 240403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 240406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240410 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240412 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240414 */     GIR_RootConstrainSelectedInstOperands,
     /* 240415 */     // GIR_Coverage, 11881,
     /* 240415 */     GIR_EraseRootFromParent_Done,
     /* 240416 */   // Label 4802: @240416
     /* 240416 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(240458), // Rule ID 11883 //
     /* 240421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 240429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 240435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240445 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1612:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 240448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240450 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240452 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240454 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240456 */     GIR_RootConstrainSelectedInstOperands,
     /* 240457 */     // GIR_Coverage, 11883,
     /* 240457 */     GIR_EraseRootFromParent_Done,
     /* 240458 */   // Label 4803: @240458
     /* 240458 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(240500), // Rule ID 11885 //
     /* 240463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 240471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1612:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 240487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 240490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240492 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240494 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240496 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240498 */     GIR_RootConstrainSelectedInstOperands,
     /* 240499 */     // GIR_Coverage, 11885,
     /* 240499 */     GIR_EraseRootFromParent_Done,
     /* 240500 */   // Label 4804: @240500
     /* 240500 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(240542), // Rule ID 11887 //
     /* 240505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 240513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 240519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240529 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1612:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 240532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240536 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240538 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240540 */     GIR_RootConstrainSelectedInstOperands,
     /* 240541 */     // GIR_Coverage, 11887,
     /* 240541 */     GIR_EraseRootFromParent_Done,
     /* 240542 */   // Label 4805: @240542
     /* 240542 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(240584), // Rule ID 11976 //
     /* 240547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 240550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 240555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 240558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 240561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 240564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 240567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240571 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1943:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UCLAMP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 240571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_B),
     /* 240574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240580 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240582 */     GIR_RootConstrainSelectedInstOperands,
     /* 240583 */     // GIR_Coverage, 11976,
     /* 240583 */     GIR_EraseRootFromParent_Done,
     /* 240584 */   // Label 4806: @240584
     /* 240584 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(240626), // Rule ID 11978 //
     /* 240589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 240592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 240597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 240603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240613 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1943:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UCLAMP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_H),
     /* 240616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240620 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240622 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240624 */     GIR_RootConstrainSelectedInstOperands,
     /* 240625 */     // GIR_Coverage, 11978,
     /* 240625 */     GIR_EraseRootFromParent_Done,
     /* 240626 */   // Label 4807: @240626
     /* 240626 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(240668), // Rule ID 11980 //
     /* 240631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 240634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 240639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240655 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1943:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UCLAMP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 240655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_S),
     /* 240658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240662 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240664 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240666 */     GIR_RootConstrainSelectedInstOperands,
     /* 240667 */     // GIR_Coverage, 11980,
     /* 240667 */     GIR_EraseRootFromParent_Done,
     /* 240668 */   // Label 4808: @240668
     /* 240668 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(240710), // Rule ID 11982 //
     /* 240673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 240676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 240681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 240687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240697 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1943:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UCLAMP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_D),
     /* 240700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240704 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240706 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240708 */     GIR_RootConstrainSelectedInstOperands,
     /* 240709 */     // GIR_Coverage, 11982,
     /* 240709 */     GIR_EraseRootFromParent_Done,
     /* 240710 */   // Label 4809: @240710
     /* 240710 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(240752), // Rule ID 11984 //
     /* 240715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 240718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdot_x2),
     /* 240723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240739 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1421:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FDOT_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 240739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZ_S),
     /* 240742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240744 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240748 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240750 */     GIR_RootConstrainSelectedInstOperands,
     /* 240751 */     // GIR_Coverage, 11984,
     /* 240751 */     GIR_EraseRootFromParent_Done,
     /* 240752 */   // Label 4810: @240752
     /* 240752 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(240794), // Rule ID 11986 //
     /* 240757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 240760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_x2),
     /* 240765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240781 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1959:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UDOT_ZZZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZ_HtoS),
     /* 240784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240788 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240790 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240792 */     GIR_RootConstrainSelectedInstOperands,
     /* 240793 */     // GIR_Coverage, 11986,
     /* 240793 */     GIR_EraseRootFromParent_Done,
     /* 240794 */   // Label 4811: @240794
     /* 240794 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(240836), // Rule ID 12149 //
     /* 240799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 240810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 240813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 240816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 240819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240823 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1919:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (TBXQ_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 240823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_B),
     /* 240826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240830 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240832 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240834 */     GIR_RootConstrainSelectedInstOperands,
     /* 240835 */     // GIR_Coverage, 12149,
     /* 240835 */     GIR_EraseRootFromParent_Done,
     /* 240836 */   // Label 4812: @240836
     /* 240836 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(240878), // Rule ID 12150 //
     /* 240841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 240855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240865 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1919:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBXQ_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_H),
     /* 240868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240872 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240874 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240876 */     GIR_RootConstrainSelectedInstOperands,
     /* 240877 */     // GIR_Coverage, 12150,
     /* 240877 */     GIR_EraseRootFromParent_Done,
     /* 240878 */   // Label 4813: @240878
     /* 240878 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(240920), // Rule ID 12151 //
     /* 240883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240907 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1919:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBXQ_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 240907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_S),
     /* 240910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240912 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240914 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240916 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240918 */     GIR_RootConstrainSelectedInstOperands,
     /* 240919 */     // GIR_Coverage, 12151,
     /* 240919 */     GIR_EraseRootFromParent_Done,
     /* 240920 */   // Label 4814: @240920
     /* 240920 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(240962), // Rule ID 12152 //
     /* 240925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 240939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240949 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1919:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBXQ_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_D),
     /* 240952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240956 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240958 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240960 */     GIR_RootConstrainSelectedInstOperands,
     /* 240961 */     // GIR_Coverage, 12152,
     /* 240961 */     GIR_EraseRootFromParent_Done,
     /* 240962 */   // Label 4815: @240962
     /* 240962 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(241004), // Rule ID 12153 //
     /* 240967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 240981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240991 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1919:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBXQ_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_H),
     /* 240994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241000 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241002 */     GIR_RootConstrainSelectedInstOperands,
     /* 241003 */     // GIR_Coverage, 12153,
     /* 241003 */     GIR_EraseRootFromParent_Done,
     /* 241004 */   // Label 4816: @241004
     /* 241004 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(241046), // Rule ID 12154 //
     /* 241009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 241012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 241017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 241023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241033 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1919:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBXQ_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 241033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_S),
     /* 241036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241038 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241040 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241042 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241044 */     GIR_RootConstrainSelectedInstOperands,
     /* 241045 */     // GIR_Coverage, 12154,
     /* 241045 */     GIR_EraseRootFromParent_Done,
     /* 241046 */   // Label 4817: @241046
     /* 241046 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(241088), // Rule ID 12155 //
     /* 241051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 241054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 241059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 241065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241075 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1919:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBXQ_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 241075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_D),
     /* 241078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241084 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241086 */     GIR_RootConstrainSelectedInstOperands,
     /* 241087 */     // GIR_Coverage, 12155,
     /* 241087 */     GIR_EraseRootFromParent_Done,
     /* 241088 */   // Label 4818: @241088
     /* 241088 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(241130), // Rule ID 12500 //
     /* 241093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin),
     /* 241101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 241104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 241107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 241110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 241113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241117 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1371:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMIN_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 241117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPmZ_H),
     /* 241120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241124 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241126 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241128 */     GIR_RootConstrainSelectedInstOperands,
     /* 241129 */     // GIR_Coverage, 12500,
     /* 241129 */     GIR_EraseRootFromParent_Done,
     /* 241130 */   // Label 4819: @241130
     /* 241130 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(241172), // Rule ID 12501 //
     /* 241135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin),
     /* 241143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241159 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1371:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMIN_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 241159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPmZ_S),
     /* 241162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241164 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241166 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241168 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241170 */     GIR_RootConstrainSelectedInstOperands,
     /* 241171 */     // GIR_Coverage, 12501,
     /* 241171 */     GIR_EraseRootFromParent_Done,
     /* 241172 */   // Label 4820: @241172
     /* 241172 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(241214), // Rule ID 12502 //
     /* 241177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin),
     /* 241185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241201 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1371:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMIN_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 241201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPmZ_D),
     /* 241204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241210 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241212 */     GIR_RootConstrainSelectedInstOperands,
     /* 241213 */     // GIR_Coverage, 12502,
     /* 241213 */     GIR_EraseRootFromParent_Done,
     /* 241214 */   // Label 4821: @241214
     /* 241214 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(241256), // Rule ID 12503 //
     /* 241219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax),
     /* 241227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 241230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 241233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 241236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 241239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241243 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1369:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMAX_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 241243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPmZ_H),
     /* 241246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241250 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241252 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241254 */     GIR_RootConstrainSelectedInstOperands,
     /* 241255 */     // GIR_Coverage, 12503,
     /* 241255 */     GIR_EraseRootFromParent_Done,
     /* 241256 */   // Label 4822: @241256
     /* 241256 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(241298), // Rule ID 12504 //
     /* 241261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax),
     /* 241269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241285 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1369:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMAX_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 241285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPmZ_S),
     /* 241288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241292 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241294 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241296 */     GIR_RootConstrainSelectedInstOperands,
     /* 241297 */     // GIR_Coverage, 12504,
     /* 241297 */     GIR_EraseRootFromParent_Done,
     /* 241298 */   // Label 4823: @241298
     /* 241298 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(241340), // Rule ID 12505 //
     /* 241303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax),
     /* 241311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241327 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1369:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMAX_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 241327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPmZ_D),
     /* 241330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241334 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241336 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241338 */     GIR_RootConstrainSelectedInstOperands,
     /* 241339 */     // GIR_Coverage, 12505,
     /* 241339 */     GIR_EraseRootFromParent_Done,
     /* 241340 */   // Label 4824: @241340
     /* 241340 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(241382), // Rule ID 12506 //
     /* 241345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 241353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 241356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 241359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 241362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 241365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241369 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1370:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMAX_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 241369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_H_UNDEF),
     /* 241372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241374 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241376 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241378 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241380 */     GIR_RootConstrainSelectedInstOperands,
     /* 241381 */     // GIR_Coverage, 12506,
     /* 241381 */     GIR_EraseRootFromParent_Done,
     /* 241382 */   // Label 4825: @241382
     /* 241382 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(241424), // Rule ID 12509 //
     /* 241387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 241395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 241398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 241404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 241407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241411 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1370:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FAMAX_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 241411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_H_UNDEF),
     /* 241414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241418 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241420 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241422 */     GIR_RootConstrainSelectedInstOperands,
     /* 241423 */     // GIR_Coverage, 12509,
     /* 241423 */     GIR_EraseRootFromParent_Done,
     /* 241424 */   // Label 4826: @241424
     /* 241424 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(241466), // Rule ID 12512 //
     /* 241429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 241437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 241440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 241446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 241449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241453 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1370:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FAMAX_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 241453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_H_UNDEF),
     /* 241456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241460 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241462 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241464 */     GIR_RootConstrainSelectedInstOperands,
     /* 241465 */     // GIR_Coverage, 12512,
     /* 241465 */     GIR_EraseRootFromParent_Done,
     /* 241466 */   // Label 4827: @241466
     /* 241466 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(241508), // Rule ID 12515 //
     /* 241471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 241479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241495 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1370:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMAX_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 241495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_S_UNDEF),
     /* 241498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241504 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241506 */     GIR_RootConstrainSelectedInstOperands,
     /* 241507 */     // GIR_Coverage, 12515,
     /* 241507 */     GIR_EraseRootFromParent_Done,
     /* 241508 */   // Label 4828: @241508
     /* 241508 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(241550), // Rule ID 12518 //
     /* 241513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 241521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 241524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 241530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 241533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241537 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1370:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FAMAX_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 241537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_S_UNDEF),
     /* 241540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241544 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241546 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241548 */     GIR_RootConstrainSelectedInstOperands,
     /* 241549 */     // GIR_Coverage, 12518,
     /* 241549 */     GIR_EraseRootFromParent_Done,
     /* 241550 */   // Label 4829: @241550
     /* 241550 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(241592), // Rule ID 12521 //
     /* 241555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 241563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241579 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1370:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMAX_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 241579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_D_UNDEF),
     /* 241582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241588 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241590 */     GIR_RootConstrainSelectedInstOperands,
     /* 241591 */     // GIR_Coverage, 12521,
     /* 241591 */     GIR_EraseRootFromParent_Done,
     /* 241592 */   // Label 4830: @241592
     /* 241592 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(241634), // Rule ID 12524 //
     /* 241597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 241605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 241608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 241611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 241614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 241617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241621 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1372:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMIN_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 241621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_H_UNDEF),
     /* 241624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241626 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241628 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241630 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241632 */     GIR_RootConstrainSelectedInstOperands,
     /* 241633 */     // GIR_Coverage, 12524,
     /* 241633 */     GIR_EraseRootFromParent_Done,
     /* 241634 */   // Label 4831: @241634
     /* 241634 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(241676), // Rule ID 12527 //
     /* 241639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 241647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 241650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 241656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 241659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241663 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1372:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FAMIN_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 241663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_H_UNDEF),
     /* 241666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241670 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241672 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241674 */     GIR_RootConstrainSelectedInstOperands,
     /* 241675 */     // GIR_Coverage, 12527,
     /* 241675 */     GIR_EraseRootFromParent_Done,
     /* 241676 */   // Label 4832: @241676
     /* 241676 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(241718), // Rule ID 12530 //
     /* 241681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 241689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 241692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 241698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 241701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241705 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1372:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FAMIN_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 241705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_H_UNDEF),
     /* 241708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241714 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241716 */     GIR_RootConstrainSelectedInstOperands,
     /* 241717 */     // GIR_Coverage, 12530,
     /* 241717 */     GIR_EraseRootFromParent_Done,
     /* 241718 */   // Label 4833: @241718
     /* 241718 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(241760), // Rule ID 12533 //
     /* 241723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 241731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241747 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1372:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMIN_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 241747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_S_UNDEF),
     /* 241750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241754 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241756 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241758 */     GIR_RootConstrainSelectedInstOperands,
     /* 241759 */     // GIR_Coverage, 12533,
     /* 241759 */     GIR_EraseRootFromParent_Done,
     /* 241760 */   // Label 4834: @241760
     /* 241760 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(241802), // Rule ID 12536 //
     /* 241765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 241773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 241776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 241782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 241785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241789 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1372:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FAMIN_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 241789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_S_UNDEF),
     /* 241792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241796 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241798 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241800 */     GIR_RootConstrainSelectedInstOperands,
     /* 241801 */     // GIR_Coverage, 12536,
     /* 241801 */     GIR_EraseRootFromParent_Done,
     /* 241802 */   // Label 4835: @241802
     /* 241802 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(241844), // Rule ID 12539 //
     /* 241807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 241815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241831 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1372:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMIN_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 241831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_D_UNDEF),
     /* 241834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241840 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241842 */     GIR_RootConstrainSelectedInstOperands,
     /* 241843 */     // GIR_Coverage, 12539,
     /* 241843 */     GIR_EraseRootFromParent_Done,
     /* 241844 */   // Label 4836: @241844
     /* 241844 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(241987), // Rule ID 5588 //
     /* 241849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 241857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 241860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 241863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 241866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241870 */     // MIs[0] idx
     /* 241870 */     // No operand predicates
     /* 241870 */     // (intrinsic_wo_chain:{ *:[v16i8] } 768:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241870 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 241873 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241877 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 241884 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 241887 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241891 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241896 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 241899 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 241903 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 241906 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241911 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241916 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241921 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 241924 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241928 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 241935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 241938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241947 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 241950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 241954 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 241957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241967 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 241975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 241983 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241985 */     GIR_RootConstrainSelectedInstOperands,
     /* 241986 */     // GIR_Coverage, 5588,
     /* 241986 */     GIR_EraseRootFromParent_Done,
     /* 241987 */   // Label 4837: @241987
     /* 241987 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(242078), // Rule ID 5589 //
     /* 241992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 242000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 242003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 242006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242013 */     // MIs[0] idx
     /* 242013 */     // No operand predicates
     /* 242013 */     // (intrinsic_wo_chain:{ *:[v16i8] } 769:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242013 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242016 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242020 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242039 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242042 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 242046 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242049 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242054 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242059 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 242067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242074 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242076 */     GIR_RootConstrainSelectedInstOperands,
     /* 242077 */     // GIR_Coverage, 5589,
     /* 242077 */     GIR_EraseRootFromParent_Done,
     /* 242078 */   // Label 4838: @242078
     /* 242078 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(242169), // Rule ID 5590 //
     /* 242083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 242091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 242094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 242097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 242100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242104 */     // MIs[0] idx
     /* 242104 */     // No operand predicates
     /* 242104 */     // (intrinsic_wo_chain:{ *:[v16i8] } 768:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242104 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242107 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242111 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242130 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 242137 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242140 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242145 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242150 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 242158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242165 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242167 */     GIR_RootConstrainSelectedInstOperands,
     /* 242168 */     // GIR_Coverage, 5590,
     /* 242168 */     GIR_EraseRootFromParent_Done,
     /* 242169 */   // Label 4839: @242169
     /* 242169 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(242208), // Rule ID 5591 //
     /* 242174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 242182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 242185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 242188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242195 */     // MIs[0] idx
     /* 242195 */     // No operand predicates
     /* 242195 */     // (intrinsic_wo_chain:{ *:[v16i8] } 769:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 242198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242202 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242204 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242206 */     GIR_RootConstrainSelectedInstOperands,
     /* 242207 */     // GIR_Coverage, 5591,
     /* 242207 */     GIR_EraseRootFromParent_Done,
     /* 242208 */   // Label 4840: @242208
     /* 242208 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(242351), // Rule ID 5592 //
     /* 242213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 242221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 242227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 242230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242234 */     // MIs[0] idx
     /* 242234 */     // No operand predicates
     /* 242234 */     // (intrinsic_wo_chain:{ *:[v8i16] } 768:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242234 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 242237 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242241 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 242248 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 242251 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242255 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242260 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 242263 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 242267 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 242270 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242275 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242280 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242285 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242288 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242292 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242311 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242314 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 242318 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242321 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242326 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242331 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 242347 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242349 */     GIR_RootConstrainSelectedInstOperands,
     /* 242350 */     // GIR_Coverage, 5592,
     /* 242350 */     GIR_EraseRootFromParent_Done,
     /* 242351 */   // Label 4841: @242351
     /* 242351 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(242442), // Rule ID 5593 //
     /* 242356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 242364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 242370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242377 */     // MIs[0] idx
     /* 242377 */     // No operand predicates
     /* 242377 */     // (intrinsic_wo_chain:{ *:[v8i16] } 769:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242377 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242380 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242384 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242403 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242406 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 242410 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242413 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242418 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242423 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242436 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242438 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242440 */     GIR_RootConstrainSelectedInstOperands,
     /* 242441 */     // GIR_Coverage, 5593,
     /* 242441 */     GIR_EraseRootFromParent_Done,
     /* 242442 */   // Label 4842: @242442
     /* 242442 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(242533), // Rule ID 5594 //
     /* 242447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 242455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 242461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 242464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242468 */     // MIs[0] idx
     /* 242468 */     // No operand predicates
     /* 242468 */     // (intrinsic_wo_chain:{ *:[v8i16] } 768:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242468 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242471 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242475 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242494 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 242501 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242504 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242509 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242514 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242529 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242531 */     GIR_RootConstrainSelectedInstOperands,
     /* 242532 */     // GIR_Coverage, 5594,
     /* 242532 */     GIR_EraseRootFromParent_Done,
     /* 242533 */   // Label 4843: @242533
     /* 242533 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(242572), // Rule ID 5595 //
     /* 242538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 242546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 242552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242559 */     // MIs[0] idx
     /* 242559 */     // No operand predicates
     /* 242559 */     // (intrinsic_wo_chain:{ *:[v8i16] } 769:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242564 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242566 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242568 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242570 */     GIR_RootConstrainSelectedInstOperands,
     /* 242571 */     // GIR_Coverage, 5595,
     /* 242571 */     GIR_EraseRootFromParent_Done,
     /* 242572 */   // Label 4844: @242572
     /* 242572 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(242715), // Rule ID 5596 //
     /* 242577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 242585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 242591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 242594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242598 */     // MIs[0] idx
     /* 242598 */     // No operand predicates
     /* 242598 */     // (intrinsic_wo_chain:{ *:[v8f16] } 768:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242598 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 242601 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242605 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 242612 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 242615 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242619 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242624 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 242627 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 242631 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 242634 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242639 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242644 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242649 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242652 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242656 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242675 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242678 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 242682 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242685 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242690 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242695 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 242711 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242713 */     GIR_RootConstrainSelectedInstOperands,
     /* 242714 */     // GIR_Coverage, 5596,
     /* 242714 */     GIR_EraseRootFromParent_Done,
     /* 242715 */   // Label 4845: @242715
     /* 242715 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(242806), // Rule ID 5597 //
     /* 242720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 242728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 242734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242741 */     // MIs[0] idx
     /* 242741 */     // No operand predicates
     /* 242741 */     // (intrinsic_wo_chain:{ *:[v8f16] } 769:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242741 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242744 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242748 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242767 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242770 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 242774 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242777 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242782 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242787 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242802 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242804 */     GIR_RootConstrainSelectedInstOperands,
     /* 242805 */     // GIR_Coverage, 5597,
     /* 242805 */     GIR_EraseRootFromParent_Done,
     /* 242806 */   // Label 4846: @242806
     /* 242806 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(242897), // Rule ID 5598 //
     /* 242811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 242819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 242825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 242828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242832 */     // MIs[0] idx
     /* 242832 */     // No operand predicates
     /* 242832 */     // (intrinsic_wo_chain:{ *:[v8f16] } 768:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242832 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242835 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242839 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242858 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 242865 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242868 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242873 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242878 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242893 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242895 */     GIR_RootConstrainSelectedInstOperands,
     /* 242896 */     // GIR_Coverage, 5598,
     /* 242896 */     GIR_EraseRootFromParent_Done,
     /* 242897 */   // Label 4847: @242897
     /* 242897 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(242936), // Rule ID 5599 //
     /* 242902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 242910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 242916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242923 */     // MIs[0] idx
     /* 242923 */     // No operand predicates
     /* 242923 */     // (intrinsic_wo_chain:{ *:[v8f16] } 769:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242932 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242934 */     GIR_RootConstrainSelectedInstOperands,
     /* 242935 */     // GIR_Coverage, 5599,
     /* 242935 */     GIR_EraseRootFromParent_Done,
     /* 242936 */   // Label 4848: @242936
     /* 242936 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(242975), // Rule ID 5600 //
     /* 242941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti4q_laneq),
     /* 242949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 242952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 242955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242962 */     // MIs[0] idx
     /* 242962 */     // No operand predicates
     /* 242962 */     // (intrinsic_wo_chain:{ *:[v16i8] } 772:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT4_B:{ *:[v16i8] } VecListOne16b:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 242962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT4_B),
     /* 242965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242967 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242969 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242971 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242973 */     GIR_RootConstrainSelectedInstOperands,
     /* 242974 */     // GIR_Coverage, 5600,
     /* 242974 */     GIR_EraseRootFromParent_Done,
     /* 242975 */   // Label 4849: @242975
     /* 242975 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(243066), // Rule ID 5601 //
     /* 242980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti4q_lane),
     /* 242988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 242991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 242994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 242997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243001 */     // MIs[0] idx
     /* 243001 */     // No operand predicates
     /* 243001 */     // (intrinsic_wo_chain:{ *:[v16i8] } 770:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT4_B:{ *:[v16i8] } VecListOne16b:{ *:[v16i8] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 243001 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 243004 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 243008 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 243013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 243015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 243018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 243022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 243027 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 243030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 243034 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 243037 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243042 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243047 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 243052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT4_B),
     /* 243055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 243057 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 243059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 243062 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 243064 */     GIR_RootConstrainSelectedInstOperands,
     /* 243065 */     // GIR_Coverage, 5601,
     /* 243065 */     GIR_EraseRootFromParent_Done,
     /* 243066 */   // Label 4850: @243066
     /* 243066 */   GIM_Reject,
     /* 243067 */ // Label 3974: @243067
     /* 243067 */ GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(250178),
     /* 243072 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 243075 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(243122), // Rule ID 2965 //
     /* 243080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 243088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 243091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 243094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 243097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 243100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 243103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243107 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1603:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLA_ZPZZZ_B_UNDEF:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 243107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_B_UNDEF),
     /* 243110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243116 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243118 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243120 */     GIR_RootConstrainSelectedInstOperands,
     /* 243121 */     // GIR_Coverage, 2965,
     /* 243121 */     GIR_EraseRootFromParent_Done,
     /* 243122 */   // Label 4852: @243122
     /* 243122 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(243169), // Rule ID 2967 //
     /* 243127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 243135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 243138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 243141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 243144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 243147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 243150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243154 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1603:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLA_ZPZZZ_H_UNDEF:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 243154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_H_UNDEF),
     /* 243157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243159 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243163 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243165 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243167 */     GIR_RootConstrainSelectedInstOperands,
     /* 243168 */     // GIR_Coverage, 2967,
     /* 243168 */     GIR_EraseRootFromParent_Done,
     /* 243169 */   // Label 4853: @243169
     /* 243169 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(243216), // Rule ID 2969 //
     /* 243174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 243182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 243188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 243191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 243194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 243197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243201 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1603:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLA_ZPZZZ_S_UNDEF:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 243201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_S_UNDEF),
     /* 243204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243210 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243212 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243214 */     GIR_RootConstrainSelectedInstOperands,
     /* 243215 */     // GIR_Coverage, 2969,
     /* 243215 */     GIR_EraseRootFromParent_Done,
     /* 243216 */   // Label 4854: @243216
     /* 243216 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(243263), // Rule ID 2971 //
     /* 243221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 243229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 243232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 243235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 243238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 243241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 243244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243248 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1603:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLA_ZPZZZ_D_UNDEF:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 243248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_D_UNDEF),
     /* 243251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243257 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243259 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243261 */     GIR_RootConstrainSelectedInstOperands,
     /* 243262 */     // GIR_Coverage, 2971,
     /* 243262 */     GIR_EraseRootFromParent_Done,
     /* 243263 */   // Label 4855: @243263
     /* 243263 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(243310), // Rule ID 7574 //
     /* 243268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 243276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 243279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 243282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 243285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 243288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 243291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243295 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1606:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLS_ZPZZZ_B_UNDEF:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 243295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_B_UNDEF),
     /* 243298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243302 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243304 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243306 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243308 */     GIR_RootConstrainSelectedInstOperands,
     /* 243309 */     // GIR_Coverage, 7574,
     /* 243309 */     GIR_EraseRootFromParent_Done,
     /* 243310 */   // Label 4856: @243310
     /* 243310 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(243357), // Rule ID 7576 //
     /* 243315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 243323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 243326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 243329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 243332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 243335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 243338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243342 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1606:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLS_ZPZZZ_H_UNDEF:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 243342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_H_UNDEF),
     /* 243345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243347 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243349 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243351 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243353 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243355 */     GIR_RootConstrainSelectedInstOperands,
     /* 243356 */     // GIR_Coverage, 7576,
     /* 243356 */     GIR_EraseRootFromParent_Done,
     /* 243357 */   // Label 4857: @243357
     /* 243357 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(243404), // Rule ID 7578 //
     /* 243362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 243370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 243376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 243379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 243382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 243385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243389 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1606:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLS_ZPZZZ_S_UNDEF:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 243389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_S_UNDEF),
     /* 243392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243394 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243396 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243398 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243400 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243402 */     GIR_RootConstrainSelectedInstOperands,
     /* 243403 */     // GIR_Coverage, 7578,
     /* 243403 */     GIR_EraseRootFromParent_Done,
     /* 243404 */   // Label 4858: @243404
     /* 243404 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(243451), // Rule ID 7580 //
     /* 243409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 243417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 243420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 243423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 243426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 243429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 243432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243436 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1606:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLS_ZPZZZ_D_UNDEF:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 243436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_D_UNDEF),
     /* 243439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243443 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243445 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243447 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243449 */     GIR_RootConstrainSelectedInstOperands,
     /* 243450 */     // GIR_Coverage, 7580,
     /* 243450 */     GIR_EraseRootFromParent_Done,
     /* 243451 */   // Label 4859: @243451
     /* 243451 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(243531), // Rule ID 5708 //
     /* 243456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 243461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 243464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 243467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 243470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 243473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 243476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 243488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 243496 */     // MIs[1] Operand 1
     /* 243496 */     // No operand predicates
     /* 243496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 243504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243508 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 243512 */     // MIs[2] Operand 1
     /* 243512 */     // No operand predicates
     /* 243512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 243514 */     // (intrinsic_wo_chain:{ *:[v16i8] } 761:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, V128:{ *:[v16i8] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx2)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, V128:{ *:[v16i8] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx2)
     /* 243514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 243517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243519 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 243524 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 243526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 243529 */     GIR_RootConstrainSelectedInstOperands,
     /* 243530 */     // GIR_Coverage, 5708,
     /* 243530 */     GIR_EraseRootFromParent_Done,
     /* 243531 */   // Label 4860: @243531
     /* 243531 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(243611), // Rule ID 5709 //
     /* 243536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 243541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 243544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 243547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 243550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 243553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 243556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 243568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 243576 */     // MIs[1] Operand 1
     /* 243576 */     // No operand predicates
     /* 243576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 243584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243588 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 243592 */     // MIs[2] Operand 1
     /* 243592 */     // No operand predicates
     /* 243592 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 243594 */     // (intrinsic_wo_chain:{ *:[v8i16] } 761:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, V128:{ *:[v8i16] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx2)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, V128:{ *:[v8i16] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx2)
     /* 243594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 243597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243599 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 243604 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 243606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 243609 */     GIR_RootConstrainSelectedInstOperands,
     /* 243610 */     // GIR_Coverage, 5709,
     /* 243610 */     GIR_EraseRootFromParent_Done,
     /* 243611 */   // Label 4861: @243611
     /* 243611 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(243691), // Rule ID 5710 //
     /* 243616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 243621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 243624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 243627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 243630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 243633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 243636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 243648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 243656 */     // MIs[1] Operand 1
     /* 243656 */     // No operand predicates
     /* 243656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 243664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243668 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 243672 */     // MIs[2] Operand 1
     /* 243672 */     // No operand predicates
     /* 243672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 243674 */     // (intrinsic_wo_chain:{ *:[v4i32] } 761:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, V128:{ *:[v4i32] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx2)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, V128:{ *:[v4i32] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx2)
     /* 243674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 243677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243679 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 243684 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 243686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 243689 */     GIR_RootConstrainSelectedInstOperands,
     /* 243690 */     // GIR_Coverage, 5710,
     /* 243690 */     GIR_EraseRootFromParent_Done,
     /* 243691 */   // Label 4862: @243691
     /* 243691 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(243771), // Rule ID 5711 //
     /* 243696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 243701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 243704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 243707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 243710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 243713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 243716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 243728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 243736 */     // MIs[1] Operand 1
     /* 243736 */     // No operand predicates
     /* 243736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 243744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243748 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 243752 */     // MIs[2] Operand 1
     /* 243752 */     // No operand predicates
     /* 243752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 243754 */     // (intrinsic_wo_chain:{ *:[v2i64] } 761:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, V128:{ *:[v2i64] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx2)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, V128:{ *:[v2i64] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx2)
     /* 243754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 243757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243759 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 243764 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 243766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 243769 */     GIR_RootConstrainSelectedInstOperands,
     /* 243770 */     // GIR_Coverage, 5711,
     /* 243770 */     GIR_EraseRootFromParent_Done,
     /* 243771 */   // Label 4863: @243771
     /* 243771 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(243835), // Rule ID 3849 //
     /* 243776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 243779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt1a),
     /* 243784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 243787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 243790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 243793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 243796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243812 */     // MIs[0] imm
     /* 243812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243815 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 243820 */     // (intrinsic_wo_chain:{ *:[v4i32] } 537:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT1A:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 243820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT1A),
     /* 243823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 243825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243827 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 243829 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 243831 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 243833 */     GIR_RootConstrainSelectedInstOperands,
     /* 243834 */     // GIR_Coverage, 3849,
     /* 243834 */     GIR_EraseRootFromParent_Done,
     /* 243835 */   // Label 4864: @243835
     /* 243835 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(243899), // Rule ID 3850 //
     /* 243840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 243843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt1b),
     /* 243848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 243851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 243854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 243857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 243860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243876 */     // MIs[0] imm
     /* 243876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243879 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 243884 */     // (intrinsic_wo_chain:{ *:[v4i32] } 538:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT1B:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 243884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT1B),
     /* 243887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 243889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243891 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 243893 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 243895 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 243897 */     GIR_RootConstrainSelectedInstOperands,
     /* 243898 */     // GIR_Coverage, 3850,
     /* 243898 */     GIR_EraseRootFromParent_Done,
     /* 243899 */   // Label 4865: @243899
     /* 243899 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(243963), // Rule ID 3851 //
     /* 243904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 243907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt2a),
     /* 243912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 243915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 243918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 243921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 243924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243940 */     // MIs[0] imm
     /* 243940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 243948 */     // (intrinsic_wo_chain:{ *:[v4i32] } 539:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT2A:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 243948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT2A),
     /* 243951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 243953 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243955 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 243957 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 243959 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 243961 */     GIR_RootConstrainSelectedInstOperands,
     /* 243962 */     // GIR_Coverage, 3851,
     /* 243962 */     GIR_EraseRootFromParent_Done,
     /* 243963 */   // Label 4866: @243963
     /* 243963 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(244027), // Rule ID 3852 //
     /* 243968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 243971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt2b),
     /* 243976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 243979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 243982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 243985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 243988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 244000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 244004 */     // MIs[0] imm
     /* 244004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244007 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 244012 */     // (intrinsic_wo_chain:{ *:[v4i32] } 540:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT2B:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 244012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT2B),
     /* 244015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 244017 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 244019 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 244021 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 244023 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 244025 */     GIR_RootConstrainSelectedInstOperands,
     /* 244026 */     // GIR_Coverage, 3852,
     /* 244026 */     GIR_EraseRootFromParent_Done,
     /* 244027 */   // Label 4867: @244027
     /* 244027 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(244079), // Rule ID 2850 //
     /* 244032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla_lane),
     /* 244040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 244046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244056 */     // MIs[0] idx
     /* 244056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244059 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244064 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1462:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)  =>  (FMLA_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)
     /* 244064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZZZI_H),
     /* 244067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244071 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244073 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244075 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 244077 */     GIR_RootConstrainSelectedInstOperands,
     /* 244078 */     // GIR_Coverage, 2850,
     /* 244078 */     GIR_EraseRootFromParent_Done,
     /* 244079 */   // Label 4868: @244079
     /* 244079 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(244131), // Rule ID 2851 //
     /* 244084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla_lane),
     /* 244092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244108 */     // MIs[0] idx
     /* 244108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244111 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244116 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1462:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)  =>  (FMLA_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 244116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZZZI_S),
     /* 244119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244123 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244125 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244127 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 244129 */     GIR_RootConstrainSelectedInstOperands,
     /* 244130 */     // GIR_Coverage, 2851,
     /* 244130 */     GIR_EraseRootFromParent_Done,
     /* 244131 */   // Label 4869: @244131
     /* 244131 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(244183), // Rule ID 2852 //
     /* 244136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla_lane),
     /* 244144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 244153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 244156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244160 */     // MIs[0] idx
     /* 244160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244168 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1462:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)  =>  (FMLA_ZZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 244168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZZZI_D),
     /* 244171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244175 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244177 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244179 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 244181 */     GIR_RootConstrainSelectedInstOperands,
     /* 244182 */     // GIR_Coverage, 2852,
     /* 244182 */     GIR_EraseRootFromParent_Done,
     /* 244183 */   // Label 4870: @244183
     /* 244183 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(244235), // Rule ID 2980 //
     /* 244188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_lane),
     /* 244196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 244202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244212 */     // MIs[0] Op4
     /* 244212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244220 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1602:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (MLA_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZZZI_H),
     /* 244223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244229 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244231 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244233 */     GIR_RootConstrainSelectedInstOperands,
     /* 244234 */     // GIR_Coverage, 2980,
     /* 244234 */     GIR_EraseRootFromParent_Done,
     /* 244235 */   // Label 4871: @244235
     /* 244235 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(244287), // Rule ID 2981 //
     /* 244240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_lane),
     /* 244248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244264 */     // MIs[0] Op4
     /* 244264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1602:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (MLA_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZZZI_S),
     /* 244275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244279 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244281 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244283 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244285 */     GIR_RootConstrainSelectedInstOperands,
     /* 244286 */     // GIR_Coverage, 2981,
     /* 244286 */     GIR_EraseRootFromParent_Done,
     /* 244287 */   // Label 4872: @244287
     /* 244287 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(244339), // Rule ID 2982 //
     /* 244292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_lane),
     /* 244300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 244309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 244312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244316 */     // MIs[0] Op4
     /* 244316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244319 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244324 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1602:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (MLA_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 244324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZZZI_D),
     /* 244327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244329 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244331 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244333 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244335 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244337 */     GIR_RootConstrainSelectedInstOperands,
     /* 244338 */     // GIR_Coverage, 2982,
     /* 244338 */     GIR_EraseRootFromParent_Done,
     /* 244339 */   // Label 4873: @244339
     /* 244339 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(244391), // Rule ID 2983 //
     /* 244344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb_lane),
     /* 244352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244368 */     // MIs[0] Op4
     /* 244368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244371 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1744:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLALB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZI_S),
     /* 244379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244383 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244385 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244387 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244389 */     GIR_RootConstrainSelectedInstOperands,
     /* 244390 */     // GIR_Coverage, 2983,
     /* 244390 */     GIR_EraseRootFromParent_Done,
     /* 244391 */   // Label 4874: @244391
     /* 244391 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(244443), // Rule ID 2984 //
     /* 244396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb_lane),
     /* 244404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244420 */     // MIs[0] Op4
     /* 244420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244428 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1744:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLALB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZI_D),
     /* 244431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244435 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244437 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244439 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244441 */     GIR_RootConstrainSelectedInstOperands,
     /* 244442 */     // GIR_Coverage, 2984,
     /* 244442 */     GIR_EraseRootFromParent_Done,
     /* 244443 */   // Label 4875: @244443
     /* 244443 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(244495), // Rule ID 2987 //
     /* 244448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_lane),
     /* 244456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 244465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 244468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244472 */     // MIs[0] Op4
     /* 244472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244475 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244480 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1710:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SDOT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZI_S),
     /* 244483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244487 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244489 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244491 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244493 */     GIR_RootConstrainSelectedInstOperands,
     /* 244494 */     // GIR_Coverage, 2987,
     /* 244494 */     GIR_EraseRootFromParent_Done,
     /* 244495 */   // Label 4876: @244495
     /* 244495 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(244547), // Rule ID 2988 //
     /* 244500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_lane),
     /* 244508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244524 */     // MIs[0] Op4
     /* 244524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244527 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244532 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1710:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (SDOT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 244532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZI_D),
     /* 244535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244539 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244541 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244543 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244545 */     GIR_RootConstrainSelectedInstOperands,
     /* 244546 */     // GIR_Coverage, 2988,
     /* 244546 */     GIR_EraseRootFromParent_Done,
     /* 244547 */   // Label 4877: @244547
     /* 244547 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(244599), // Rule ID 3462 //
     /* 244552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE_or_SME),
     /* 244555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usdot_lane),
     /* 244560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 244569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 244572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244576 */     // MIs[0] Op4
     /* 244576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244584 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2057:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (USDOT_ZZZI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USDOT_ZZZI),
     /* 244587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244591 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244593 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244595 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244597 */     GIR_RootConstrainSelectedInstOperands,
     /* 244598 */     // GIR_Coverage, 3462,
     /* 244598 */     GIR_EraseRootFromParent_Done,
     /* 244599 */   // Label 4878: @244599
     /* 244599 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(244651), // Rule ID 3506 //
     /* 244604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 244607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_lane_x2),
     /* 244612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244628 */     // MIs[0] Op4
     /* 244628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1711:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SDOT_ZZZI_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZI_HtoS),
     /* 244639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244643 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244645 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244647 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244649 */     GIR_RootConstrainSelectedInstOperands,
     /* 244650 */     // GIR_Coverage, 3506,
     /* 244650 */     GIR_EraseRootFromParent_Done,
     /* 244651 */   // Label 4879: @244651
     /* 244651 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(244703), // Rule ID 7648 //
     /* 244656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_lane),
     /* 244664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 244673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 244676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244680 */     // MIs[0] Op4
     /* 244680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244683 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1957:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UDOT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZI_S),
     /* 244691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244695 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244697 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244699 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244701 */     GIR_RootConstrainSelectedInstOperands,
     /* 244702 */     // GIR_Coverage, 7648,
     /* 244702 */     GIR_EraseRootFromParent_Done,
     /* 244703 */   // Label 4880: @244703
     /* 244703 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(244755), // Rule ID 7649 //
     /* 244708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_lane),
     /* 244716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244732 */     // MIs[0] Op4
     /* 244732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244740 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1957:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (UDOT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 244740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZI_D),
     /* 244743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244747 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244749 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244751 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244753 */     GIR_RootConstrainSelectedInstOperands,
     /* 244754 */     // GIR_Coverage, 7649,
     /* 244754 */     GIR_EraseRootFromParent_Done,
     /* 244755 */   // Label 4881: @244755
     /* 244755 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(244807), // Rule ID 8289 //
     /* 244760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_lane),
     /* 244768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 244774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244784 */     // MIs[0] idx
     /* 244784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244787 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244792 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1469:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)  =>  (FMLS_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)
     /* 244792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZZZI_H),
     /* 244795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244797 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244799 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244801 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244803 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 244805 */     GIR_RootConstrainSelectedInstOperands,
     /* 244806 */     // GIR_Coverage, 8289,
     /* 244806 */     GIR_EraseRootFromParent_Done,
     /* 244807 */   // Label 4882: @244807
     /* 244807 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(244859), // Rule ID 8290 //
     /* 244812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_lane),
     /* 244820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244836 */     // MIs[0] idx
     /* 244836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244839 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244844 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1469:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)  =>  (FMLS_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 244844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZZZI_S),
     /* 244847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244853 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244855 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 244857 */     GIR_RootConstrainSelectedInstOperands,
     /* 244858 */     // GIR_Coverage, 8290,
     /* 244858 */     GIR_EraseRootFromParent_Done,
     /* 244859 */   // Label 4883: @244859
     /* 244859 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(244911), // Rule ID 8291 //
     /* 244864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_lane),
     /* 244872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 244881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 244884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244888 */     // MIs[0] idx
     /* 244888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244891 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244896 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1469:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)  =>  (FMLS_ZZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 244896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZZZI_D),
     /* 244899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244901 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244903 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244905 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244907 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 244909 */     GIR_RootConstrainSelectedInstOperands,
     /* 244910 */     // GIR_Coverage, 8291,
     /* 244910 */     GIR_EraseRootFromParent_Done,
     /* 244911 */   // Label 4884: @244911
     /* 244911 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(244963), // Rule ID 11255 //
     /* 244916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE_or_SME),
     /* 244919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sudot_lane),
     /* 244924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 244933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 244936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244940 */     // MIs[0] Op4
     /* 244940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244948 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1906:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SUDOT_ZZZI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUDOT_ZZZI),
     /* 244951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244953 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244955 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244957 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244959 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244961 */     GIR_RootConstrainSelectedInstOperands,
     /* 244962 */     // GIR_Coverage, 11255,
     /* 244962 */     GIR_EraseRootFromParent_Done,
     /* 244963 */   // Label 4885: @244963
     /* 244963 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(245015), // Rule ID 11302 //
     /* 244968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_lane),
     /* 244976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 244982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244992 */     // MIs[0] Op4
     /* 244992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245000 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1605:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (MLS_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZZZI_H),
     /* 245003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245009 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245011 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245013 */     GIR_RootConstrainSelectedInstOperands,
     /* 245014 */     // GIR_Coverage, 11302,
     /* 245014 */     GIR_EraseRootFromParent_Done,
     /* 245015 */   // Label 4886: @245015
     /* 245015 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(245067), // Rule ID 11303 //
     /* 245020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_lane),
     /* 245028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245044 */     // MIs[0] Op4
     /* 245044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1605:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (MLS_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZZZI_S),
     /* 245055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245057 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245059 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245061 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245063 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245065 */     GIR_RootConstrainSelectedInstOperands,
     /* 245066 */     // GIR_Coverage, 11303,
     /* 245066 */     GIR_EraseRootFromParent_Done,
     /* 245067 */   // Label 4887: @245067
     /* 245067 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(245119), // Rule ID 11304 //
     /* 245072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_lane),
     /* 245080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 245089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 245092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245096 */     // MIs[0] Op4
     /* 245096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245099 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 245104 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1605:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (MLS_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 245104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZZZI_D),
     /* 245107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245109 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245111 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245113 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245115 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245117 */     GIR_RootConstrainSelectedInstOperands,
     /* 245118 */     // GIR_Coverage, 11304,
     /* 245118 */     GIR_EraseRootFromParent_Done,
     /* 245119 */   // Label 4888: @245119
     /* 245119 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(245171), // Rule ID 11305 //
     /* 245124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah_lane),
     /* 245132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 245135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 245138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245148 */     // MIs[0] Op4
     /* 245148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245151 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1823:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQRDMLAH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZI_H),
     /* 245159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245163 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245165 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245167 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245169 */     GIR_RootConstrainSelectedInstOperands,
     /* 245170 */     // GIR_Coverage, 11305,
     /* 245170 */     GIR_EraseRootFromParent_Done,
     /* 245171 */   // Label 4889: @245171
     /* 245171 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(245223), // Rule ID 11306 //
     /* 245176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah_lane),
     /* 245184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245200 */     // MIs[0] Op4
     /* 245200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1823:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQRDMLAH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZI_S),
     /* 245211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245215 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245217 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245219 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245221 */     GIR_RootConstrainSelectedInstOperands,
     /* 245222 */     // GIR_Coverage, 11306,
     /* 245222 */     GIR_EraseRootFromParent_Done,
     /* 245223 */   // Label 4890: @245223
     /* 245223 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(245275), // Rule ID 11307 //
     /* 245228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah_lane),
     /* 245236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 245245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 245248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245252 */     // MIs[0] Op4
     /* 245252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 245260 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1823:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (SQRDMLAH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 245260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZI_D),
     /* 245263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245269 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245271 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245273 */     GIR_RootConstrainSelectedInstOperands,
     /* 245274 */     // GIR_Coverage, 11307,
     /* 245274 */     GIR_EraseRootFromParent_Done,
     /* 245275 */   // Label 4891: @245275
     /* 245275 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(245327), // Rule ID 11308 //
     /* 245280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh_lane),
     /* 245288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 245291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 245294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245304 */     // MIs[0] Op4
     /* 245304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245307 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245312 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1825:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQRDMLSH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZI_H),
     /* 245315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245319 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245321 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245323 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245325 */     GIR_RootConstrainSelectedInstOperands,
     /* 245326 */     // GIR_Coverage, 11308,
     /* 245326 */     GIR_EraseRootFromParent_Done,
     /* 245327 */   // Label 4892: @245327
     /* 245327 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(245379), // Rule ID 11309 //
     /* 245332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh_lane),
     /* 245340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245356 */     // MIs[0] Op4
     /* 245356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245359 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1825:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQRDMLSH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZI_S),
     /* 245367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245369 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245371 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245373 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245375 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245377 */     GIR_RootConstrainSelectedInstOperands,
     /* 245378 */     // GIR_Coverage, 11309,
     /* 245378 */     GIR_EraseRootFromParent_Done,
     /* 245379 */   // Label 4893: @245379
     /* 245379 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(245431), // Rule ID 11310 //
     /* 245384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh_lane),
     /* 245392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 245401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 245404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245408 */     // MIs[0] Op4
     /* 245408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 245416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1825:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (SQRDMLSH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 245416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZI_D),
     /* 245419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245421 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245423 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245425 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245427 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245429 */     GIR_RootConstrainSelectedInstOperands,
     /* 245430 */     // GIR_Coverage, 11310,
     /* 245430 */     GIR_EraseRootFromParent_Done,
     /* 245431 */   // Label 4894: @245431
     /* 245431 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(245483), // Rule ID 11353 //
     /* 245436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt_lane),
     /* 245444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245460 */     // MIs[0] Op4
     /* 245460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1746:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLALT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZI_S),
     /* 245471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245475 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245477 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245479 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245481 */     GIR_RootConstrainSelectedInstOperands,
     /* 245482 */     // GIR_Coverage, 11353,
     /* 245482 */     GIR_EraseRootFromParent_Done,
     /* 245483 */   // Label 4895: @245483
     /* 245483 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(245535), // Rule ID 11354 //
     /* 245488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt_lane),
     /* 245496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245512 */     // MIs[0] Op4
     /* 245512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245515 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245520 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1746:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLALT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZI_D),
     /* 245523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245527 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245529 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245531 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245533 */     GIR_RootConstrainSelectedInstOperands,
     /* 245534 */     // GIR_Coverage, 11354,
     /* 245534 */     GIR_EraseRootFromParent_Done,
     /* 245535 */   // Label 4896: @245535
     /* 245535 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(245587), // Rule ID 11355 //
     /* 245540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb_lane),
     /* 245548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245564 */     // MIs[0] Op4
     /* 245564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1982:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLALB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZI_S),
     /* 245575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245577 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245579 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245581 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245583 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245585 */     GIR_RootConstrainSelectedInstOperands,
     /* 245586 */     // GIR_Coverage, 11355,
     /* 245586 */     GIR_EraseRootFromParent_Done,
     /* 245587 */   // Label 4897: @245587
     /* 245587 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(245639), // Rule ID 11356 //
     /* 245592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb_lane),
     /* 245600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245616 */     // MIs[0] Op4
     /* 245616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245624 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1982:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLALB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZI_D),
     /* 245627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245631 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245633 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245635 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245637 */     GIR_RootConstrainSelectedInstOperands,
     /* 245638 */     // GIR_Coverage, 11356,
     /* 245638 */     GIR_EraseRootFromParent_Done,
     /* 245639 */   // Label 4898: @245639
     /* 245639 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(245691), // Rule ID 11357 //
     /* 245644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt_lane),
     /* 245652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245668 */     // MIs[0] Op4
     /* 245668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245671 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1984:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLALT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZI_S),
     /* 245679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245681 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245683 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245685 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245687 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245689 */     GIR_RootConstrainSelectedInstOperands,
     /* 245690 */     // GIR_Coverage, 11357,
     /* 245690 */     GIR_EraseRootFromParent_Done,
     /* 245691 */   // Label 4899: @245691
     /* 245691 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(245743), // Rule ID 11358 //
     /* 245696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt_lane),
     /* 245704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245720 */     // MIs[0] Op4
     /* 245720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245723 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245728 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1984:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLALT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZI_D),
     /* 245731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245733 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245735 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245737 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245739 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245741 */     GIR_RootConstrainSelectedInstOperands,
     /* 245742 */     // GIR_Coverage, 11358,
     /* 245742 */     GIR_EraseRootFromParent_Done,
     /* 245743 */   // Label 4900: @245743
     /* 245743 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(245795), // Rule ID 11359 //
     /* 245748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb_lane),
     /* 245756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245772 */     // MIs[0] Op4
     /* 245772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245775 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245780 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1748:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLSLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZI_S),
     /* 245783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245789 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245791 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245793 */     GIR_RootConstrainSelectedInstOperands,
     /* 245794 */     // GIR_Coverage, 11359,
     /* 245794 */     GIR_EraseRootFromParent_Done,
     /* 245795 */   // Label 4901: @245795
     /* 245795 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(245847), // Rule ID 11360 //
     /* 245800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb_lane),
     /* 245808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245824 */     // MIs[0] Op4
     /* 245824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245827 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245832 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1748:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLSLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZI_D),
     /* 245835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245837 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245839 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245841 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245843 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245845 */     GIR_RootConstrainSelectedInstOperands,
     /* 245846 */     // GIR_Coverage, 11360,
     /* 245846 */     GIR_EraseRootFromParent_Done,
     /* 245847 */   // Label 4902: @245847
     /* 245847 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(245899), // Rule ID 11361 //
     /* 245852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt_lane),
     /* 245860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245876 */     // MIs[0] Op4
     /* 245876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245879 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1750:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLSLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZI_S),
     /* 245887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245891 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245893 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245895 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245897 */     GIR_RootConstrainSelectedInstOperands,
     /* 245898 */     // GIR_Coverage, 11361,
     /* 245898 */     GIR_EraseRootFromParent_Done,
     /* 245899 */   // Label 4903: @245899
     /* 245899 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(245951), // Rule ID 11362 //
     /* 245904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt_lane),
     /* 245912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245928 */     // MIs[0] Op4
     /* 245928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245931 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1750:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLSLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZI_D),
     /* 245939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245943 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245945 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245947 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245949 */     GIR_RootConstrainSelectedInstOperands,
     /* 245950 */     // GIR_Coverage, 11362,
     /* 245950 */     GIR_EraseRootFromParent_Done,
     /* 245951 */   // Label 4904: @245951
     /* 245951 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(246003), // Rule ID 11363 //
     /* 245956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb_lane),
     /* 245964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245980 */     // MIs[0] Op4
     /* 245980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245983 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1986:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLSLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZI_S),
     /* 245991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245995 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245997 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245999 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246001 */     GIR_RootConstrainSelectedInstOperands,
     /* 246002 */     // GIR_Coverage, 11363,
     /* 246002 */     GIR_EraseRootFromParent_Done,
     /* 246003 */   // Label 4905: @246003
     /* 246003 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(246055), // Rule ID 11364 //
     /* 246008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb_lane),
     /* 246016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 246022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246032 */     // MIs[0] Op4
     /* 246032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246035 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246040 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1986:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLSLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZI_D),
     /* 246043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246049 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246051 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246053 */     GIR_RootConstrainSelectedInstOperands,
     /* 246054 */     // GIR_Coverage, 11364,
     /* 246054 */     GIR_EraseRootFromParent_Done,
     /* 246055 */   // Label 4906: @246055
     /* 246055 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(246107), // Rule ID 11365 //
     /* 246060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt_lane),
     /* 246068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246084 */     // MIs[0] Op4
     /* 246084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246087 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1988:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLSLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZI_S),
     /* 246095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246099 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246101 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246103 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246105 */     GIR_RootConstrainSelectedInstOperands,
     /* 246106 */     // GIR_Coverage, 11365,
     /* 246106 */     GIR_EraseRootFromParent_Done,
     /* 246107 */   // Label 4907: @246107
     /* 246107 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(246159), // Rule ID 11366 //
     /* 246112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt_lane),
     /* 246120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 246126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246136 */     // MIs[0] Op4
     /* 246136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246139 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1988:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLSLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZI_D),
     /* 246147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246151 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246153 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246155 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246157 */     GIR_RootConstrainSelectedInstOperands,
     /* 246158 */     // GIR_Coverage, 11366,
     /* 246158 */     GIR_EraseRootFromParent_Done,
     /* 246159 */   // Label 4908: @246159
     /* 246159 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(246211), // Rule ID 11388 //
     /* 246164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb_lane),
     /* 246172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246188 */     // MIs[0] Op4
     /* 246188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246191 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1786:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLALB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZI_S),
     /* 246199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246203 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246205 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246207 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246209 */     GIR_RootConstrainSelectedInstOperands,
     /* 246210 */     // GIR_Coverage, 11388,
     /* 246210 */     GIR_EraseRootFromParent_Done,
     /* 246211 */   // Label 4909: @246211
     /* 246211 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(246263), // Rule ID 11389 //
     /* 246216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb_lane),
     /* 246224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 246230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246240 */     // MIs[0] Op4
     /* 246240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246248 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1786:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLALB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZI_D),
     /* 246251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246257 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246259 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246261 */     GIR_RootConstrainSelectedInstOperands,
     /* 246262 */     // GIR_Coverage, 11389,
     /* 246262 */     GIR_EraseRootFromParent_Done,
     /* 246263 */   // Label 4910: @246263
     /* 246263 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(246315), // Rule ID 11390 //
     /* 246268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt_lane),
     /* 246276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246292 */     // MIs[0] Op4
     /* 246292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1789:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLALT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZI_S),
     /* 246303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246309 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246311 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246313 */     GIR_RootConstrainSelectedInstOperands,
     /* 246314 */     // GIR_Coverage, 11390,
     /* 246314 */     GIR_EraseRootFromParent_Done,
     /* 246315 */   // Label 4911: @246315
     /* 246315 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(246367), // Rule ID 11391 //
     /* 246320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt_lane),
     /* 246328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 246334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246344 */     // MIs[0] Op4
     /* 246344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1789:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLALT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZI_D),
     /* 246355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246359 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246361 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246363 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246365 */     GIR_RootConstrainSelectedInstOperands,
     /* 246366 */     // GIR_Coverage, 11391,
     /* 246366 */     GIR_EraseRootFromParent_Done,
     /* 246367 */   // Label 4912: @246367
     /* 246367 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(246419), // Rule ID 11392 //
     /* 246372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb_lane),
     /* 246380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246396 */     // MIs[0] Op4
     /* 246396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246399 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1791:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLSLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZI_S),
     /* 246407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246413 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246415 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246417 */     GIR_RootConstrainSelectedInstOperands,
     /* 246418 */     // GIR_Coverage, 11392,
     /* 246418 */     GIR_EraseRootFromParent_Done,
     /* 246419 */   // Label 4913: @246419
     /* 246419 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(246471), // Rule ID 11393 //
     /* 246424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb_lane),
     /* 246432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 246438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246448 */     // MIs[0] Op4
     /* 246448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246451 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1791:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLSLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZI_D),
     /* 246459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246463 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246465 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246467 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246469 */     GIR_RootConstrainSelectedInstOperands,
     /* 246470 */     // GIR_Coverage, 11393,
     /* 246470 */     GIR_EraseRootFromParent_Done,
     /* 246471 */   // Label 4914: @246471
     /* 246471 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(246523), // Rule ID 11394 //
     /* 246476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt_lane),
     /* 246484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246500 */     // MIs[0] Op4
     /* 246500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246503 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1794:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLSLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZI_S),
     /* 246511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246515 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246517 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246519 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246521 */     GIR_RootConstrainSelectedInstOperands,
     /* 246522 */     // GIR_Coverage, 11394,
     /* 246522 */     GIR_EraseRootFromParent_Done,
     /* 246523 */   // Label 4915: @246523
     /* 246523 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(246575), // Rule ID 11395 //
     /* 246528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt_lane),
     /* 246536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 246542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246552 */     // MIs[0] Op4
     /* 246552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1794:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLSLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZI_D),
     /* 246563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246567 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246569 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246571 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246573 */     GIR_RootConstrainSelectedInstOperands,
     /* 246574 */     // GIR_Coverage, 11395,
     /* 246574 */     GIR_EraseRootFromParent_Done,
     /* 246575 */   // Label 4916: @246575
     /* 246575 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(246627), // Rule ID 11849 //
     /* 246580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalb_lane),
     /* 246588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246604 */     // MIs[0] Op4
     /* 246604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246607 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246612 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1465:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLALB_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZI_SHH),
     /* 246615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246617 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246619 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246621 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246623 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246625 */     GIR_RootConstrainSelectedInstOperands,
     /* 246626 */     // GIR_Coverage, 11849,
     /* 246626 */     GIR_EraseRootFromParent_Done,
     /* 246627 */   // Label 4917: @246627
     /* 246627 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(246679), // Rule ID 11850 //
     /* 246632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalt_lane),
     /* 246640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246656 */     // MIs[0] Op4
     /* 246656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246664 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1467:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLALT_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZI_SHH),
     /* 246667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246669 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246671 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246673 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246675 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246677 */     GIR_RootConstrainSelectedInstOperands,
     /* 246678 */     // GIR_Coverage, 11850,
     /* 246678 */     GIR_EraseRootFromParent_Done,
     /* 246679 */   // Label 4918: @246679
     /* 246679 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(246731), // Rule ID 11851 //
     /* 246684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslb_lane),
     /* 246692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246708 */     // MIs[0] Op4
     /* 246708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246716 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1472:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLSLB_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLB_ZZZI_SHH),
     /* 246719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246723 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246725 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246727 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246729 */     GIR_RootConstrainSelectedInstOperands,
     /* 246730 */     // GIR_Coverage, 11851,
     /* 246730 */     GIR_EraseRootFromParent_Done,
     /* 246731 */   // Label 4919: @246731
     /* 246731 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(246783), // Rule ID 11852 //
     /* 246736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslt_lane),
     /* 246744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246760 */     // MIs[0] Op4
     /* 246760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246768 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1474:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLSLT_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLT_ZZZI_SHH),
     /* 246771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246775 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246777 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246779 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246781 */     GIR_RootConstrainSelectedInstOperands,
     /* 246782 */     // GIR_Coverage, 11852,
     /* 246782 */     GIR_EraseRootFromParent_Done,
     /* 246783 */   // Label 4920: @246783
     /* 246783 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(246835), // Rule ID 11985 //
     /* 246788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 246791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdot_lane_x2),
     /* 246796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246812 */     // MIs[0] Op4
     /* 246812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246815 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246820 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1420:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (FDOT_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZI_S),
     /* 246823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246827 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246829 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246831 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246833 */     GIR_RootConstrainSelectedInstOperands,
     /* 246834 */     // GIR_Coverage, 11985,
     /* 246834 */     GIR_EraseRootFromParent_Done,
     /* 246835 */   // Label 4921: @246835
     /* 246835 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(246887), // Rule ID 11987 //
     /* 246840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 246843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_lane_x2),
     /* 246848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246864 */     // MIs[0] Op4
     /* 246864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1958:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UDOT_ZZZI_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZI_HtoS),
     /* 246875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246881 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246883 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246885 */     GIR_RootConstrainSelectedInstOperands,
     /* 246886 */     // GIR_Coverage, 11987,
     /* 246886 */     GIR_EraseRootFromParent_Done,
     /* 246887 */   // Label 4922: @246887
     /* 246887 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(246934), // Rule ID 2829 //
     /* 246892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 246903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 246906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 246915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246919 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1461:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMLA_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 246919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_H),
     /* 246922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246928 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246930 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246932 */     GIR_RootConstrainSelectedInstOperands,
     /* 246933 */     // GIR_Coverage, 2829,
     /* 246933 */     GIR_EraseRootFromParent_Done,
     /* 246934 */   // Label 4923: @246934
     /* 246934 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(246981), // Rule ID 2832 //
     /* 246939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 246950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 246953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 246956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 246959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 246962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246966 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1461:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FMLA_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 246966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_H),
     /* 246969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246975 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246977 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246979 */     GIR_RootConstrainSelectedInstOperands,
     /* 246980 */     // GIR_Coverage, 2832,
     /* 246980 */     GIR_EraseRootFromParent_Done,
     /* 246981 */   // Label 4924: @246981
     /* 246981 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(247028), // Rule ID 2835 //
     /* 246986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 246997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 247003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 247006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 247009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247013 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1461:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FMLA_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 247013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_H),
     /* 247016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247022 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247024 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247026 */     GIR_RootConstrainSelectedInstOperands,
     /* 247027 */     // GIR_Coverage, 2835,
     /* 247027 */     GIR_EraseRootFromParent_Done,
     /* 247028 */   // Label 4925: @247028
     /* 247028 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(247075), // Rule ID 2838 //
     /* 247033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 247041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247060 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1461:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMLA_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 247060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_S),
     /* 247063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247067 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247069 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247071 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247073 */     GIR_RootConstrainSelectedInstOperands,
     /* 247074 */     // GIR_Coverage, 2838,
     /* 247074 */     GIR_EraseRootFromParent_Done,
     /* 247075 */   // Label 4926: @247075
     /* 247075 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(247122), // Rule ID 2841 //
     /* 247080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 247088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 247091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 247097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 247100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 247103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247107 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1461:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FMLA_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 247107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_S),
     /* 247110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247116 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247118 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247120 */     GIR_RootConstrainSelectedInstOperands,
     /* 247121 */     // GIR_Coverage, 2841,
     /* 247121 */     GIR_EraseRootFromParent_Done,
     /* 247122 */   // Label 4927: @247122
     /* 247122 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(247169), // Rule ID 2844 //
     /* 247127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 247135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247154 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1461:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMLA_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 247154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_D),
     /* 247157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247159 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247163 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247165 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247167 */     GIR_RootConstrainSelectedInstOperands,
     /* 247168 */     // GIR_Coverage, 2844,
     /* 247168 */     GIR_EraseRootFromParent_Done,
     /* 247169 */   // Label 4928: @247169
     /* 247169 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(247216), // Rule ID 2847 //
     /* 247174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmad),
     /* 247182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247201 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1424:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMAD_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 247201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAD_ZPmZZ_H),
     /* 247204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247210 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247212 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247214 */     GIR_RootConstrainSelectedInstOperands,
     /* 247215 */     // GIR_Coverage, 2847,
     /* 247215 */     GIR_EraseRootFromParent_Done,
     /* 247216 */   // Label 4929: @247216
     /* 247216 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(247263), // Rule ID 2848 //
     /* 247221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmad),
     /* 247229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247248 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1424:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMAD_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 247248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAD_ZPmZZ_S),
     /* 247251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247257 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247259 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247261 */     GIR_RootConstrainSelectedInstOperands,
     /* 247262 */     // GIR_Coverage, 2848,
     /* 247262 */     GIR_EraseRootFromParent_Done,
     /* 247263 */   // Label 4930: @247263
     /* 247263 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(247310), // Rule ID 2849 //
     /* 247268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmad),
     /* 247276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247295 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1424:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMAD_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 247295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAD_ZPmZZ_D),
     /* 247298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247302 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247304 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247306 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247308 */     GIR_RootConstrainSelectedInstOperands,
     /* 247309 */     // GIR_Coverage, 2849,
     /* 247309 */     GIR_EraseRootFromParent_Done,
     /* 247310 */   // Label 4931: @247310
     /* 247310 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(247357), // Rule ID 2945 //
     /* 247315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 247323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 247326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 247329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 247332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 247335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 247338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247342 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1599:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MAD_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 247342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_B),
     /* 247345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247347 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247349 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247351 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247353 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247355 */     GIR_RootConstrainSelectedInstOperands,
     /* 247356 */     // GIR_Coverage, 2945,
     /* 247356 */     GIR_EraseRootFromParent_Done,
     /* 247357 */   // Label 4932: @247357
     /* 247357 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(247404), // Rule ID 2948 //
     /* 247362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 247370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247389 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1599:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MAD_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 247389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_H),
     /* 247392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247394 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247396 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247398 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247400 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247402 */     GIR_RootConstrainSelectedInstOperands,
     /* 247403 */     // GIR_Coverage, 2948,
     /* 247403 */     GIR_EraseRootFromParent_Done,
     /* 247404 */   // Label 4933: @247404
     /* 247404 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(247451), // Rule ID 2951 //
     /* 247409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 247417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1599:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MAD_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 247436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_S),
     /* 247439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247443 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247445 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247447 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247449 */     GIR_RootConstrainSelectedInstOperands,
     /* 247450 */     // GIR_Coverage, 2951,
     /* 247450 */     GIR_EraseRootFromParent_Done,
     /* 247451 */   // Label 4934: @247451
     /* 247451 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(247498), // Rule ID 2954 //
     /* 247456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 247464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247483 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1599:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MAD_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 247483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_D),
     /* 247486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247492 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247494 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247496 */     GIR_RootConstrainSelectedInstOperands,
     /* 247497 */     // GIR_Coverage, 2954,
     /* 247497 */     GIR_EraseRootFromParent_Done,
     /* 247498 */   // Label 4935: @247498
     /* 247498 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(247545), // Rule ID 2957 //
     /* 247503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 247511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 247514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 247517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 247520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 247523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 247526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247530 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1601:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLA_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 247530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_B),
     /* 247533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247537 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247539 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247541 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247543 */     GIR_RootConstrainSelectedInstOperands,
     /* 247544 */     // GIR_Coverage, 2957,
     /* 247544 */     GIR_EraseRootFromParent_Done,
     /* 247545 */   // Label 4936: @247545
     /* 247545 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(247592), // Rule ID 2959 //
     /* 247550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 247558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247577 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1601:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLA_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 247577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_H),
     /* 247580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247586 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247588 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247590 */     GIR_RootConstrainSelectedInstOperands,
     /* 247591 */     // GIR_Coverage, 2959,
     /* 247591 */     GIR_EraseRootFromParent_Done,
     /* 247592 */   // Label 4937: @247592
     /* 247592 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(247639), // Rule ID 2961 //
     /* 247597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 247605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1601:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLA_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 247624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_S),
     /* 247627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247631 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247633 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247635 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247637 */     GIR_RootConstrainSelectedInstOperands,
     /* 247638 */     // GIR_Coverage, 2961,
     /* 247638 */     GIR_EraseRootFromParent_Done,
     /* 247639 */   // Label 4938: @247639
     /* 247639 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(247686), // Rule ID 2963 //
     /* 247644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 247652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247671 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1601:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLA_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 247671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_D),
     /* 247674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247678 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247680 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247682 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247684 */     GIR_RootConstrainSelectedInstOperands,
     /* 247685 */     // GIR_Coverage, 2963,
     /* 247685 */     GIR_EraseRootFromParent_Done,
     /* 247686 */   // Label 4939: @247686
     /* 247686 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(247733), // Rule ID 7554 //
     /* 247691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 247699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 247702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 247705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 247708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 247711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 247714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247718 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1607:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MSB_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 247718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_B),
     /* 247721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247723 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247725 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247727 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247729 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247731 */     GIR_RootConstrainSelectedInstOperands,
     /* 247732 */     // GIR_Coverage, 7554,
     /* 247732 */     GIR_EraseRootFromParent_Done,
     /* 247733 */   // Label 4940: @247733
     /* 247733 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(247780), // Rule ID 7557 //
     /* 247738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 247746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247765 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1607:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MSB_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 247765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_H),
     /* 247768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247774 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247776 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247778 */     GIR_RootConstrainSelectedInstOperands,
     /* 247779 */     // GIR_Coverage, 7557,
     /* 247779 */     GIR_EraseRootFromParent_Done,
     /* 247780 */   // Label 4941: @247780
     /* 247780 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(247827), // Rule ID 7560 //
     /* 247785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 247793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1607:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MSB_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 247812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_S),
     /* 247815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247817 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247819 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247821 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247823 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247825 */     GIR_RootConstrainSelectedInstOperands,
     /* 247826 */     // GIR_Coverage, 7560,
     /* 247826 */     GIR_EraseRootFromParent_Done,
     /* 247827 */   // Label 4942: @247827
     /* 247827 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(247874), // Rule ID 7563 //
     /* 247832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 247840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247859 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1607:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MSB_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 247859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_D),
     /* 247862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247864 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247866 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247868 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247870 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247872 */     GIR_RootConstrainSelectedInstOperands,
     /* 247873 */     // GIR_Coverage, 7563,
     /* 247873 */     GIR_EraseRootFromParent_Done,
     /* 247874 */   // Label 4943: @247874
     /* 247874 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(247921), // Rule ID 7566 //
     /* 247879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 247887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 247890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 247893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 247896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 247899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 247902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247906 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1604:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLS_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 247906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_B),
     /* 247909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247913 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247915 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247917 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247919 */     GIR_RootConstrainSelectedInstOperands,
     /* 247920 */     // GIR_Coverage, 7566,
     /* 247920 */     GIR_EraseRootFromParent_Done,
     /* 247921 */   // Label 4944: @247921
     /* 247921 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(247968), // Rule ID 7568 //
     /* 247926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 247934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1604:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLS_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 247953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_H),
     /* 247956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247962 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247964 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247966 */     GIR_RootConstrainSelectedInstOperands,
     /* 247967 */     // GIR_Coverage, 7568,
     /* 247967 */     GIR_EraseRootFromParent_Done,
     /* 247968 */   // Label 4945: @247968
     /* 247968 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(248015), // Rule ID 7570 //
     /* 247973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 247981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1604:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLS_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 248000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_S),
     /* 248003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248009 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248011 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248013 */     GIR_RootConstrainSelectedInstOperands,
     /* 248014 */     // GIR_Coverage, 7570,
     /* 248014 */     GIR_EraseRootFromParent_Done,
     /* 248015 */   // Label 4946: @248015
     /* 248015 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(248062), // Rule ID 7572 //
     /* 248020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 248028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1604:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLS_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 248047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_D),
     /* 248050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248054 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248056 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248058 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248060 */     GIR_RootConstrainSelectedInstOperands,
     /* 248061 */     // GIR_Coverage, 7572,
     /* 248061 */     GIR_EraseRootFromParent_Done,
     /* 248062 */   // Label 4947: @248062
     /* 248062 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(248109), // Rule ID 8202 //
     /* 248067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 248075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248094 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1468:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMLS_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_H),
     /* 248097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248099 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248101 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248103 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248105 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248107 */     GIR_RootConstrainSelectedInstOperands,
     /* 248108 */     // GIR_Coverage, 8202,
     /* 248108 */     GIR_EraseRootFromParent_Done,
     /* 248109 */   // Label 4948: @248109
     /* 248109 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(248156), // Rule ID 8205 //
     /* 248114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 248122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 248125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 248131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 248134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 248137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248141 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1468:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FMLS_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 248141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_H),
     /* 248144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248150 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248152 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248154 */     GIR_RootConstrainSelectedInstOperands,
     /* 248155 */     // GIR_Coverage, 8205,
     /* 248155 */     GIR_EraseRootFromParent_Done,
     /* 248156 */   // Label 4949: @248156
     /* 248156 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(248203), // Rule ID 8208 //
     /* 248161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 248169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 248172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 248178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 248181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 248184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248188 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1468:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FMLS_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 248188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_H),
     /* 248191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248195 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248197 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248199 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248201 */     GIR_RootConstrainSelectedInstOperands,
     /* 248202 */     // GIR_Coverage, 8208,
     /* 248202 */     GIR_EraseRootFromParent_Done,
     /* 248203 */   // Label 4950: @248203
     /* 248203 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(248250), // Rule ID 8211 //
     /* 248208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 248216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248235 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1468:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMLS_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_S),
     /* 248238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248244 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248246 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248248 */     GIR_RootConstrainSelectedInstOperands,
     /* 248249 */     // GIR_Coverage, 8211,
     /* 248249 */     GIR_EraseRootFromParent_Done,
     /* 248250 */   // Label 4951: @248250
     /* 248250 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(248297), // Rule ID 8214 //
     /* 248255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 248263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 248266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 248272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 248275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 248278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248282 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1468:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FMLS_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 248282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_S),
     /* 248285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248289 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248291 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248293 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248295 */     GIR_RootConstrainSelectedInstOperands,
     /* 248296 */     // GIR_Coverage, 8214,
     /* 248296 */     GIR_EraseRootFromParent_Done,
     /* 248297 */   // Label 4952: @248297
     /* 248297 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(248344), // Rule ID 8217 //
     /* 248302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 248310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248329 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1468:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMLS_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_D),
     /* 248332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248334 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248336 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248338 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248340 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248342 */     GIR_RootConstrainSelectedInstOperands,
     /* 248343 */     // GIR_Coverage, 8217,
     /* 248343 */     GIR_EraseRootFromParent_Done,
     /* 248344 */   // Label 4953: @248344
     /* 248344 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(248391), // Rule ID 8220 //
     /* 248349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 248357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248376 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1484:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLA_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_H),
     /* 248379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248383 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248385 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248387 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248389 */     GIR_RootConstrainSelectedInstOperands,
     /* 248390 */     // GIR_Coverage, 8220,
     /* 248390 */     GIR_EraseRootFromParent_Done,
     /* 248391 */   // Label 4954: @248391
     /* 248391 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(248438), // Rule ID 8221 //
     /* 248396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 248404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 248407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 248413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 248416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 248419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248423 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1484:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLA_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 248423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_H),
     /* 248426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248432 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248434 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248436 */     GIR_RootConstrainSelectedInstOperands,
     /* 248437 */     // GIR_Coverage, 8221,
     /* 248437 */     GIR_EraseRootFromParent_Done,
     /* 248438 */   // Label 4955: @248438
     /* 248438 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(248485), // Rule ID 8222 //
     /* 248443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 248451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 248454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 248460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 248463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 248466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248470 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1484:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLA_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 248470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_H),
     /* 248473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248477 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248479 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248481 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248483 */     GIR_RootConstrainSelectedInstOperands,
     /* 248484 */     // GIR_Coverage, 8222,
     /* 248484 */     GIR_EraseRootFromParent_Done,
     /* 248485 */   // Label 4956: @248485
     /* 248485 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(248532), // Rule ID 8223 //
     /* 248490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 248498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248517 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1484:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLA_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_S),
     /* 248520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248524 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248526 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248528 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248530 */     GIR_RootConstrainSelectedInstOperands,
     /* 248531 */     // GIR_Coverage, 8223,
     /* 248531 */     GIR_EraseRootFromParent_Done,
     /* 248532 */   // Label 4957: @248532
     /* 248532 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(248579), // Rule ID 8224 //
     /* 248537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 248545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 248548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 248554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 248557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 248560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248564 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1484:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLA_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 248564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_S),
     /* 248567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248571 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248573 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248575 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248577 */     GIR_RootConstrainSelectedInstOperands,
     /* 248578 */     // GIR_Coverage, 8224,
     /* 248578 */     GIR_EraseRootFromParent_Done,
     /* 248579 */   // Label 4958: @248579
     /* 248579 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(248626), // Rule ID 8225 //
     /* 248584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 248592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248611 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1484:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLA_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_D),
     /* 248614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248620 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248622 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248624 */     GIR_RootConstrainSelectedInstOperands,
     /* 248625 */     // GIR_Coverage, 8225,
     /* 248625 */     GIR_EraseRootFromParent_Done,
     /* 248626 */   // Label 4959: @248626
     /* 248626 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(248673), // Rule ID 8226 //
     /* 248631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 248639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248658 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1486:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLS_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_H),
     /* 248661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248663 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248665 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248667 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248669 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248671 */     GIR_RootConstrainSelectedInstOperands,
     /* 248672 */     // GIR_Coverage, 8226,
     /* 248672 */     GIR_EraseRootFromParent_Done,
     /* 248673 */   // Label 4960: @248673
     /* 248673 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(248720), // Rule ID 8227 //
     /* 248678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 248686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 248689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 248695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 248698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 248701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248705 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1486:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLS_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 248705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_H),
     /* 248708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248714 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248716 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248718 */     GIR_RootConstrainSelectedInstOperands,
     /* 248719 */     // GIR_Coverage, 8227,
     /* 248719 */     GIR_EraseRootFromParent_Done,
     /* 248720 */   // Label 4961: @248720
     /* 248720 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(248767), // Rule ID 8228 //
     /* 248725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 248733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 248736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 248742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 248745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 248748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248752 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1486:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLS_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 248752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_H),
     /* 248755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248759 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248761 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248763 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248765 */     GIR_RootConstrainSelectedInstOperands,
     /* 248766 */     // GIR_Coverage, 8228,
     /* 248766 */     GIR_EraseRootFromParent_Done,
     /* 248767 */   // Label 4962: @248767
     /* 248767 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(248814), // Rule ID 8229 //
     /* 248772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 248780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248799 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1486:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLS_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_S),
     /* 248802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248808 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248810 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248812 */     GIR_RootConstrainSelectedInstOperands,
     /* 248813 */     // GIR_Coverage, 8229,
     /* 248813 */     GIR_EraseRootFromParent_Done,
     /* 248814 */   // Label 4963: @248814
     /* 248814 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(248861), // Rule ID 8230 //
     /* 248819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 248827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 248830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 248836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 248839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 248842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248846 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1486:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLS_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 248846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_S),
     /* 248849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248851 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248853 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248855 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248857 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248859 */     GIR_RootConstrainSelectedInstOperands,
     /* 248860 */     // GIR_Coverage, 8230,
     /* 248860 */     GIR_EraseRootFromParent_Done,
     /* 248861 */   // Label 4964: @248861
     /* 248861 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(248908), // Rule ID 8231 //
     /* 248866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 248874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248893 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1486:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLS_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_D),
     /* 248896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248900 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248902 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248904 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248906 */     GIR_RootConstrainSelectedInstOperands,
     /* 248907 */     // GIR_Coverage, 8231,
     /* 248907 */     GIR_EraseRootFromParent_Done,
     /* 248908 */   // Label 4965: @248908
     /* 248908 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(248955), // Rule ID 8232 //
     /* 248913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmsb),
     /* 248921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248940 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1476:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMSB_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSB_ZPmZZ_H),
     /* 248943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248947 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248949 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248951 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248953 */     GIR_RootConstrainSelectedInstOperands,
     /* 248954 */     // GIR_Coverage, 8232,
     /* 248954 */     GIR_EraseRootFromParent_Done,
     /* 248955 */   // Label 4966: @248955
     /* 248955 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(249002), // Rule ID 8233 //
     /* 248960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmsb),
     /* 248968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1476:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMSB_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSB_ZPmZZ_S),
     /* 248990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248996 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248998 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249000 */     GIR_RootConstrainSelectedInstOperands,
     /* 249001 */     // GIR_Coverage, 8233,
     /* 249001 */     GIR_EraseRootFromParent_Done,
     /* 249002 */   // Label 4967: @249002
     /* 249002 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(249049), // Rule ID 8234 //
     /* 249007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmsb),
     /* 249015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 249018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 249024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 249027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 249030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249034 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1476:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMSB_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 249034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSB_ZPmZZ_D),
     /* 249037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 249039 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249041 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249043 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249045 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249047 */     GIR_RootConstrainSelectedInstOperands,
     /* 249048 */     // GIR_Coverage, 8234,
     /* 249048 */     GIR_EraseRootFromParent_Done,
     /* 249049 */   // Label 4968: @249049
     /* 249049 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(249096), // Rule ID 8235 //
     /* 249054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmad),
     /* 249062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 249065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 249068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 249071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 249074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 249077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249081 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1483:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMAD_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 249081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMAD_ZPmZZ_H),
     /* 249084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 249086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249090 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249092 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249094 */     GIR_RootConstrainSelectedInstOperands,
     /* 249095 */     // GIR_Coverage, 8235,
     /* 249095 */     GIR_EraseRootFromParent_Done,
     /* 249096 */   // Label 4969: @249096
     /* 249096 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(249143), // Rule ID 8236 //
     /* 249101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmad),
     /* 249109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 249118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 249121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 249124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249128 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1483:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMAD_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 249128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMAD_ZPmZZ_S),
     /* 249131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 249133 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249135 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249137 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249139 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249141 */     GIR_RootConstrainSelectedInstOperands,
     /* 249142 */     // GIR_Coverage, 8236,
     /* 249142 */     GIR_EraseRootFromParent_Done,
     /* 249143 */   // Label 4970: @249143
     /* 249143 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(249190), // Rule ID 8237 //
     /* 249148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmad),
     /* 249156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 249159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 249165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 249168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 249171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249175 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1483:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMAD_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 249175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMAD_ZPmZZ_D),
     /* 249178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 249180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249184 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249186 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249188 */     GIR_RootConstrainSelectedInstOperands,
     /* 249189 */     // GIR_Coverage, 8237,
     /* 249189 */     GIR_EraseRootFromParent_Done,
     /* 249190 */   // Label 4971: @249190
     /* 249190 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(249237), // Rule ID 8238 //
     /* 249195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmsb),
     /* 249203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 249206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 249209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 249212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 249215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 249218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249222 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1488:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMSB_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 249222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSB_ZPmZZ_H),
     /* 249225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 249227 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249229 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249231 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249233 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249235 */     GIR_RootConstrainSelectedInstOperands,
     /* 249236 */     // GIR_Coverage, 8238,
     /* 249236 */     GIR_EraseRootFromParent_Done,
     /* 249237 */   // Label 4972: @249237
     /* 249237 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(249284), // Rule ID 8239 //
     /* 249242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmsb),
     /* 249250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 249259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 249262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 249265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249269 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1488:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMSB_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 249269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSB_ZPmZZ_S),
     /* 249272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 249274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249276 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249278 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249280 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249282 */     GIR_RootConstrainSelectedInstOperands,
     /* 249283 */     // GIR_Coverage, 8239,
     /* 249283 */     GIR_EraseRootFromParent_Done,
     /* 249284 */   // Label 4973: @249284
     /* 249284 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(249331), // Rule ID 8240 //
     /* 249289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmsb),
     /* 249297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 249300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 249306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 249309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 249312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249316 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1488:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMSB_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 249316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSB_ZPmZZ_D),
     /* 249319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 249321 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249323 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249325 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249327 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249329 */     GIR_RootConstrainSelectedInstOperands,
     /* 249330 */     // GIR_Coverage, 8240,
     /* 249330 */     GIR_EraseRootFromParent_Done,
     /* 249331 */   // Label 4974: @249331
     /* 249331 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(249378), // Rule ID 8241 //
     /* 249336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 249344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 249347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 249350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 249353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 249356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 249359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249363 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1470:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMLS_ZPZZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 249363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_H_UNDEF),
     /* 249366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249370 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249372 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249374 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249376 */     GIR_RootConstrainSelectedInstOperands,
     /* 249377 */     // GIR_Coverage, 8241,
     /* 249377 */     GIR_EraseRootFromParent_Done,
     /* 249378 */   // Label 4975: @249378
     /* 249378 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(249425), // Rule ID 8244 //
     /* 249383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 249391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 249394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 249400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 249403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 249406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249410 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1470:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FMLS_ZPZZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 249410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_H_UNDEF),
     /* 249413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249419 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249421 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249423 */     GIR_RootConstrainSelectedInstOperands,
     /* 249424 */     // GIR_Coverage, 8244,
     /* 249424 */     GIR_EraseRootFromParent_Done,
     /* 249425 */   // Label 4976: @249425
     /* 249425 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(249472), // Rule ID 8247 //
     /* 249430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 249438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 249441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 249447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 249450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 249453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249457 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1470:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FMLS_ZPZZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 249457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_H_UNDEF),
     /* 249460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249466 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249468 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249470 */     GIR_RootConstrainSelectedInstOperands,
     /* 249471 */     // GIR_Coverage, 8247,
     /* 249471 */     GIR_EraseRootFromParent_Done,
     /* 249472 */   // Label 4977: @249472
     /* 249472 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(249519), // Rule ID 8250 //
     /* 249477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 249485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 249494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 249497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 249500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249504 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1470:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMLS_ZPZZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 249504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_S_UNDEF),
     /* 249507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249511 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249513 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249515 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249517 */     GIR_RootConstrainSelectedInstOperands,
     /* 249518 */     // GIR_Coverage, 8250,
     /* 249518 */     GIR_EraseRootFromParent_Done,
     /* 249519 */   // Label 4978: @249519
     /* 249519 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(249566), // Rule ID 8253 //
     /* 249524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 249532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 249535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 249541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 249544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 249547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249551 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1470:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FMLS_ZPZZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 249551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_S_UNDEF),
     /* 249554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249560 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249562 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249564 */     GIR_RootConstrainSelectedInstOperands,
     /* 249565 */     // GIR_Coverage, 8253,
     /* 249565 */     GIR_EraseRootFromParent_Done,
     /* 249566 */   // Label 4979: @249566
     /* 249566 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(249613), // Rule ID 8256 //
     /* 249571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 249579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 249582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 249588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 249591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 249594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249598 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1470:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMLS_ZPZZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 249598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_D_UNDEF),
     /* 249601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249603 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249605 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249607 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249609 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249611 */     GIR_RootConstrainSelectedInstOperands,
     /* 249612 */     // GIR_Coverage, 8256,
     /* 249612 */     GIR_EraseRootFromParent_Done,
     /* 249613 */   // Label 4980: @249613
     /* 249613 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(249660), // Rule ID 8259 //
     /* 249618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 249626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 249629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 249632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 249635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 249638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 249641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249645 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1485:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLA_ZPZZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 249645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_H_UNDEF),
     /* 249648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249654 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249656 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249658 */     GIR_RootConstrainSelectedInstOperands,
     /* 249659 */     // GIR_Coverage, 8259,
     /* 249659 */     GIR_EraseRootFromParent_Done,
     /* 249660 */   // Label 4981: @249660
     /* 249660 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(249707), // Rule ID 8262 //
     /* 249665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 249673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 249676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 249682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 249685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 249688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249692 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1485:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLA_ZPZZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 249692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_H_UNDEF),
     /* 249695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249697 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249699 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249701 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249703 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249705 */     GIR_RootConstrainSelectedInstOperands,
     /* 249706 */     // GIR_Coverage, 8262,
     /* 249706 */     GIR_EraseRootFromParent_Done,
     /* 249707 */   // Label 4982: @249707
     /* 249707 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(249754), // Rule ID 8265 //
     /* 249712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 249720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 249723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 249729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 249732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 249735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249739 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1485:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLA_ZPZZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 249739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_H_UNDEF),
     /* 249742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249744 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249748 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249750 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249752 */     GIR_RootConstrainSelectedInstOperands,
     /* 249753 */     // GIR_Coverage, 8265,
     /* 249753 */     GIR_EraseRootFromParent_Done,
     /* 249754 */   // Label 4983: @249754
     /* 249754 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(249801), // Rule ID 8268 //
     /* 249759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 249767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 249776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 249779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 249782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249786 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1485:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLA_ZPZZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 249786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_S_UNDEF),
     /* 249789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249791 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249793 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249795 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249797 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249799 */     GIR_RootConstrainSelectedInstOperands,
     /* 249800 */     // GIR_Coverage, 8268,
     /* 249800 */     GIR_EraseRootFromParent_Done,
     /* 249801 */   // Label 4984: @249801
     /* 249801 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(249848), // Rule ID 8271 //
     /* 249806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 249814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 249817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 249823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 249826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 249829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249833 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1485:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLA_ZPZZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 249833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_S_UNDEF),
     /* 249836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249838 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249840 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249842 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249844 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249846 */     GIR_RootConstrainSelectedInstOperands,
     /* 249847 */     // GIR_Coverage, 8271,
     /* 249847 */     GIR_EraseRootFromParent_Done,
     /* 249848 */   // Label 4985: @249848
     /* 249848 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(249895), // Rule ID 8274 //
     /* 249853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 249861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 249864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 249870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 249873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 249876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249880 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1485:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLA_ZPZZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 249880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_D_UNDEF),
     /* 249883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249887 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249889 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249891 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249893 */     GIR_RootConstrainSelectedInstOperands,
     /* 249894 */     // GIR_Coverage, 8274,
     /* 249894 */     GIR_EraseRootFromParent_Done,
     /* 249895 */   // Label 4986: @249895
     /* 249895 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(249942), // Rule ID 8277 //
     /* 249900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 249908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 249911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 249914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 249917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 249920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 249923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249927 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1487:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLS_ZPZZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 249927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_H_UNDEF),
     /* 249930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249934 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249936 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249938 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249940 */     GIR_RootConstrainSelectedInstOperands,
     /* 249941 */     // GIR_Coverage, 8277,
     /* 249941 */     GIR_EraseRootFromParent_Done,
     /* 249942 */   // Label 4987: @249942
     /* 249942 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(249989), // Rule ID 8279 //
     /* 249947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 249955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 249958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 249964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 249967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 249970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249974 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1487:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLS_ZPZZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 249974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_H_UNDEF),
     /* 249977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249979 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249981 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249983 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249985 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249987 */     GIR_RootConstrainSelectedInstOperands,
     /* 249988 */     // GIR_Coverage, 8279,
     /* 249988 */     GIR_EraseRootFromParent_Done,
     /* 249989 */   // Label 4988: @249989
     /* 249989 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(250036), // Rule ID 8281 //
     /* 249994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 250002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 250005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 250008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 250011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 250014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 250017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 250021 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1487:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLS_ZPZZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 250021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_H_UNDEF),
     /* 250024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 250026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 250028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 250030 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 250032 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 250034 */     GIR_RootConstrainSelectedInstOperands,
     /* 250035 */     // GIR_Coverage, 8281,
     /* 250035 */     GIR_EraseRootFromParent_Done,
     /* 250036 */   // Label 4989: @250036
     /* 250036 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(250083), // Rule ID 8283 //
     /* 250041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 250044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 250049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 250052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 250055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 250058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 250061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 250064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 250068 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1487:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLS_ZPZZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 250068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_S_UNDEF),
     /* 250071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 250073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 250075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 250077 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 250079 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 250081 */     GIR_RootConstrainSelectedInstOperands,
     /* 250082 */     // GIR_Coverage, 8283,
     /* 250082 */     GIR_EraseRootFromParent_Done,
     /* 250083 */   // Label 4990: @250083
     /* 250083 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(250130), // Rule ID 8285 //
     /* 250088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 250091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 250096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 250099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 250102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 250105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 250108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 250111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 250115 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1487:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLS_ZPZZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 250115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_S_UNDEF),
     /* 250118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 250120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 250122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 250124 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 250126 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 250128 */     GIR_RootConstrainSelectedInstOperands,
     /* 250129 */     // GIR_Coverage, 8285,
     /* 250129 */     GIR_EraseRootFromParent_Done,
     /* 250130 */   // Label 4991: @250130
     /* 250130 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(250177), // Rule ID 8287 //
     /* 250135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 250138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 250143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 250146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 250149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 250152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 250155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 250158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 250162 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1487:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLS_ZPZZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 250162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_D_UNDEF),
     /* 250165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 250167 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 250169 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 250171 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 250173 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 250175 */     GIR_RootConstrainSelectedInstOperands,
     /* 250176 */     // GIR_Coverage, 8287,
     /* 250176 */     GIR_EraseRootFromParent_Done,
     /* 250177 */   // Label 4992: @250177
     /* 250177 */   GIM_Reject,
     /* 250178 */ // Label 4851: @250178
     /* 250178 */ GIM_Reject,
     /* 250179 */ // Label 36: @250179
     /* 250179 */ GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(250257),
     /* 250184 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/1,
     /* 250187 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(250209), // Rule ID 78 //
     /* 250192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 250195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_tcommit),
     /* 250200 */     // (intrinsic_void 2166:{ *:[iPTR] })  =>  (TCOMMIT)
     /* 250200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TCOMMIT),
     /* 250203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250207 */     GIR_RootConstrainSelectedInstOperands,
     /* 250208 */     // GIR_Coverage, 78,
     /* 250208 */     GIR_EraseRootFromParent_Done,
     /* 250209 */   // Label 4994: @250209
     /* 250209 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(250234), // Rule ID 2386 //
     /* 250214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 250217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_setffr),
     /* 250222 */     // (intrinsic_void 1716:{ *:[iPTR] })  =>  (SETFFR:{ *:[i64] })
     /* 250222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SETFFR),
     /* 250225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FFR*/0,
     /* 250228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250232 */     GIR_RootConstrainSelectedInstOperands,
     /* 250233 */     // GIR_Coverage, 2386,
     /* 250233 */     GIR_EraseRootFromParent_Done,
     /* 250234 */   // Label 4995: @250234
     /* 250234 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(250256), // Rule ID 7138 //
     /* 250239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_clrex),
     /* 250244 */     // (intrinsic_void 500:{ *:[iPTR] })  =>  (CLREX 15:{ *:[i64] })
     /* 250244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLREX),
     /* 250247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 250250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250254 */     GIR_RootConstrainSelectedInstOperands,
     /* 250255 */     // GIR_Coverage, 7138,
     /* 250255 */     GIR_EraseRootFromParent_Done,
     /* 250256 */   // Label 4996: @250256
     /* 250256 */   GIM_Reject,
     /* 250257 */ // Label 4993: @250257
     /* 250257 */ GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(250857),
     /* 250262 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/2,
     /* 250265 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(250297), // Rule ID 79 //
     /* 250270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 250273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_tcancel),
     /* 250278 */     // MIs[0] imm
     /* 250278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250281 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm64_0_65535),
     /* 250286 */     // (intrinsic_void 2165:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_timm64_0_65535>>:$imm)  =>  (TCANCEL (timm:{ *:[i64] }):$imm)
     /* 250286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TCANCEL),
     /* 250289 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 250291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250295 */     GIR_RootConstrainSelectedInstOperands,
     /* 250296 */     // GIR_Coverage, 79,
     /* 250296 */     GIR_EraseRootFromParent_Done,
     /* 250297 */   // Label 4998: @250297
     /* 250297 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(250322), // Rule ID 227 //
     /* 250302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_break),
     /* 250307 */     // MIs[0] imm
     /* 250307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250310 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_65535),
     /* 250315 */     // (intrinsic_void 498:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_65535>>:$imm)  =>  (BRK (timm:{ *:[i32] }):$imm)
     /* 250315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 250318 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 250320 */     GIR_RootConstrainSelectedInstOperands,
     /* 250321 */     // GIR_Coverage, 227,
     /* 250321 */     GIR_EraseRootFromParent_Done,
     /* 250322 */   // Label 4999: @250322
     /* 250322 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(250347), // Rule ID 228 //
     /* 250327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_hlt),
     /* 250332 */     // MIs[0] imm
     /* 250332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250335 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_65535),
     /* 250340 */     // (intrinsic_void 557:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_65535>>:$imm)  =>  (HLT (timm:{ *:[i32] }):$imm)
     /* 250340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HLT),
     /* 250343 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 250345 */     GIR_RootConstrainSelectedInstOperands,
     /* 250346 */     // GIR_Coverage, 228,
     /* 250346 */     GIR_EraseRootFromParent_Done,
     /* 250347 */   // Label 5000: @250347
     /* 250347 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(250379), // Rule ID 3624 //
     /* 250352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEandIsNonStreamingSafe),
     /* 250355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_zero),
     /* 250360 */     // MIs[0] imm
     /* 250360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_255),
     /* 250368 */     // (intrinsic_void 1222:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_255>>:$imm)  =>  (ZERO_M_PSEUDO (timm:{ *:[i32] })<<P:Predicate_timm32_0_255>>:$imm)
     /* 250368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZERO_M_PSEUDO),
     /* 250371 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 250373 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250377 */     GIR_RootConstrainSelectedInstOperands,
     /* 250378 */     // GIR_Coverage, 3624,
     /* 250378 */     GIR_EraseRootFromParent_Done,
     /* 250379 */   // Label 5001: @250379
     /* 250379 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(250419), // Rule ID 16 //
     /* 250384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_hint),
     /* 250389 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 250392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 250396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 250400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_127),
     /* 250404 */     // MIs[1] Operand 1
     /* 250404 */     // No operand predicates
     /* 250404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 250406 */     // (intrinsic_void 556:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_127>>:$imm)  =>  (HINT (imm:{ *:[i32] }):$imm)
     /* 250406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HINT),
     /* 250409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 250412 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 250417 */     GIR_RootConstrainSelectedInstOperands,
     /* 250418 */     // GIR_Coverage, 16,
     /* 250418 */     GIR_EraseRootFromParent_Done,
     /* 250419 */   // Label 5002: @250419
     /* 250419 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(250459), // Rule ID 17 //
     /* 250424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_dmb),
     /* 250429 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 250432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 250436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 250440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 250444 */     // MIs[1] Operand 1
     /* 250444 */     // No operand predicates
     /* 250444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 250446 */     // (intrinsic_void 544:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$CRm)  =>  (DMB (imm:{ *:[i32] }):$CRm)
     /* 250446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DMB),
     /* 250449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // CRm
     /* 250452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 250457 */     GIR_RootConstrainSelectedInstOperands,
     /* 250458 */     // GIR_Coverage, 17,
     /* 250458 */     GIR_EraseRootFromParent_Done,
     /* 250459 */   // Label 5003: @250459
     /* 250459 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(250499), // Rule ID 18 //
     /* 250464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_dsb),
     /* 250469 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 250472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 250476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 250480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 250484 */     // MIs[1] Operand 1
     /* 250484 */     // No operand predicates
     /* 250484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 250486 */     // (intrinsic_void 545:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$CRm)  =>  (DSB (imm:{ *:[i32] }):$CRm)
     /* 250486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DSB),
     /* 250489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // CRm
     /* 250492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 250497 */     GIR_RootConstrainSelectedInstOperands,
     /* 250498 */     // GIR_Coverage, 18,
     /* 250498 */     GIR_EraseRootFromParent_Done,
     /* 250499 */   // Label 5004: @250499
     /* 250499 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(250539), // Rule ID 19 //
     /* 250504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_isb),
     /* 250509 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 250512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 250516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 250520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 250524 */     // MIs[1] Operand 1
     /* 250524 */     // No operand predicates
     /* 250524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 250526 */     // (intrinsic_void 560:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$CRm)  =>  (ISB (imm:{ *:[i32] }):$CRm)
     /* 250526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ISB),
     /* 250529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // CRm
     /* 250532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 250537 */     GIR_RootConstrainSelectedInstOperands,
     /* 250538 */     // GIR_Coverage, 19,
     /* 250538 */     GIR_EraseRootFromParent_Done,
     /* 250539 */   // Label 5005: @250539
     /* 250539 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(250563), // Rule ID 72 //
     /* 250544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_get_fpcr),
     /* 250549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250556 */     // (intrinsic_w_chain:{ *:[i64] } 553:{ *:[iPTR] })  =>  (MRS_FPCR:{ *:[i64] })
     /* 250556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS_FPCR),
     /* 250559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250561 */     GIR_RootConstrainSelectedInstOperands,
     /* 250562 */     // GIR_Coverage, 72,
     /* 250562 */     GIR_EraseRootFromParent_Done,
     /* 250563 */   // Label 5006: @250563
     /* 250563 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(250587), // Rule ID 74 //
     /* 250568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_get_fpsr),
     /* 250573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250580 */     // (intrinsic_w_chain:{ *:[i64] } 554:{ *:[iPTR] })  =>  (MRS_FPSR:{ *:[i64] })
     /* 250580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS_FPSR),
     /* 250583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250585 */     GIR_RootConstrainSelectedInstOperands,
     /* 250586 */     // GIR_Coverage, 74,
     /* 250586 */     GIR_EraseRootFromParent_Done,
     /* 250587 */   // Label 5007: @250587
     /* 250587 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(250618), // Rule ID 77 //
     /* 250592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 250595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_tstart),
     /* 250600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250607 */     // (intrinsic_w_chain:{ *:[i64] } 2167:{ *:[iPTR] })  =>  (TSTART:{ *:[i64] })
     /* 250607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TSTART),
     /* 250610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 250612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250616 */     GIR_RootConstrainSelectedInstOperands,
     /* 250617 */     // GIR_Coverage, 77,
     /* 250617 */     GIR_EraseRootFromParent_Done,
     /* 250618 */   // Label 5008: @250618
     /* 250618 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(250645), // Rule ID 80 //
     /* 250623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 250626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ttest),
     /* 250631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250638 */     // (intrinsic_w_chain:{ *:[i64] } 2168:{ *:[iPTR] })  =>  (TTEST:{ *:[i64] })
     /* 250638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TTEST),
     /* 250641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 250643 */     GIR_RootConstrainSelectedInstOperands,
     /* 250644 */     // GIR_Coverage, 80,
     /* 250644 */     GIR_EraseRootFromParent_Done,
     /* 250645 */   // Label 5009: @250645
     /* 250645 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(250676), // Rule ID 2385 //
     /* 250650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 250653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rdffr),
     /* 250658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 250661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 250665 */     // (intrinsic_w_chain:{ *:[nxv16i1] } 1666:{ *:[iPTR] })  =>  (RDFFR_P:{ *:[nxv16i1] })
     /* 250665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RDFFR_P),
     /* 250668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 250670 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250674 */     GIR_RootConstrainSelectedInstOperands,
     /* 250675 */     // GIR_Coverage, 2385,
     /* 250675 */     GIR_EraseRootFromParent_Done,
     /* 250676 */   // Label 5010: @250676
     /* 250676 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(250716), // Rule ID 12771 //
     /* 250681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEandIsNonStreamingSafe),
     /* 250684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sme_get_tpidr2),
     /* 250689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250696 */     // (intrinsic_w_chain:{ *:[i64] } 891:{ *:[iPTR] })  =>  (MRS:{ *:[i64] }:{ *:[i32] } 56965:{ *:[i32] })
     /* 250696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS),
     /* 250699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 250701 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(56965),
     /* 250711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 250714 */     GIR_RootConstrainSelectedInstOperands,
     /* 250715 */     // GIR_Coverage, 12771,
     /* 250715 */     GIR_EraseRootFromParent_Done,
     /* 250716 */   // Label 5011: @250716
     /* 250716 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(250750), // Rule ID 2387 //
     /* 250721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 250724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_wrffr),
     /* 250729 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 250732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 250736 */     // (intrinsic_void 2146:{ *:[iPTR] }, PPR8:{ *:[nxv16i1] }:$Pn)  =>  (WRFFR:{ *:[i64] } PPR8:{ *:[nxv16i1] }:$Pn)
     /* 250736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WRFFR),
     /* 250739 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pn
     /* 250741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FFR*/0,
     /* 250744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250748 */     GIR_RootConstrainSelectedInstOperands,
     /* 250749 */     // GIR_Coverage, 2387,
     /* 250749 */     GIR_EraseRootFromParent_Done,
     /* 250750 */   // Label 5012: @250750
     /* 250750 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(250773), // Rule ID 73 //
     /* 250755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_set_fpcr),
     /* 250760 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 250763 */     // (intrinsic_void 780:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR_FPCR i64:{ *:[i64] }:$val)
     /* 250763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR_FPCR),
     /* 250766 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 250768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FPCR*/0,
     /* 250771 */     GIR_RootConstrainSelectedInstOperands,
     /* 250772 */     // GIR_Coverage, 73,
     /* 250772 */     GIR_EraseRootFromParent_Done,
     /* 250773 */   // Label 5013: @250773
     /* 250773 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(250796), // Rule ID 75 //
     /* 250778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_set_fpsr),
     /* 250783 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 250786 */     // (intrinsic_void 782:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR_FPSR i64:{ *:[i64] }:$val)
     /* 250786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR_FPSR),
     /* 250789 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 250791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FPSR*/0,
     /* 250794 */     GIR_RootConstrainSelectedInstOperands,
     /* 250795 */     // GIR_Coverage, 75,
     /* 250795 */     GIR_EraseRootFromParent_Done,
     /* 250796 */   // Label 5014: @250796
     /* 250796 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(250823), // Rule ID 76 //
     /* 250801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_set_fpmr),
     /* 250806 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 250809 */     // (intrinsic_void 781:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR_FPMR i64:{ *:[i64] }:$val)
     /* 250809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR_FPMR),
     /* 250812 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 250814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FPMR*/0,
     /* 250817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250821 */     GIR_RootConstrainSelectedInstOperands,
     /* 250822 */     // GIR_Coverage, 76,
     /* 250822 */     GIR_EraseRootFromParent_Done,
     /* 250823 */   // Label 5015: @250823
     /* 250823 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(250856), // Rule ID 12770 //
     /* 250828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEandIsNonStreamingSafe),
     /* 250831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_set_tpidr2),
     /* 250836 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 250839 */     // (intrinsic_void 966:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR 56965:{ *:[i32] }, GPR64:{ *:[i64] }:$val)
     /* 250839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR),
     /* 250842 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(56965),
     /* 250852 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 250854 */     GIR_RootConstrainSelectedInstOperands,
     /* 250855 */     // GIR_Coverage, 12770,
     /* 250855 */     GIR_EraseRootFromParent_Done,
     /* 250856 */   // Label 5016: @250856
     /* 250856 */   GIM_Reject,
     /* 250857 */ // Label 4997: @250857
     /* 250857 */ GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(251828),
     /* 250862 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 250865 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(250941), // Rule ID 7104 //
     /* 250870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 250875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250882 */     // MIs[0] addr
     /* 250882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250890 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_1),
     /* 250894 */     // (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 250894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 250897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRB),
     /* 250901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250906 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 250910 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 250916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 250919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 250927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 250930 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250935 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 250940 */     // GIR_Coverage, 7104,
     /* 250940 */     GIR_EraseRootFromParent_Done,
     /* 250941 */   // Label 5018: @250941
     /* 250941 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(251017), // Rule ID 7105 //
     /* 250946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 250951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250958 */     // MIs[0] addr
     /* 250958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250966 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_2),
     /* 250970 */     // (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_2>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 250970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 250973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRH),
     /* 250977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250982 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 250986 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 250992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 250995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 251000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 251006 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251011 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251016 */     // GIR_Coverage, 7105,
     /* 251016 */     GIR_EraseRootFromParent_Done,
     /* 251017 */   // Label 5019: @251017
     /* 251017 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(251093), // Rule ID 7106 //
     /* 251022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 251027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251034 */     // MIs[0] addr
     /* 251034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 251038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251042 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_4),
     /* 251046 */     // (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_4>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 251046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 251049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRW),
     /* 251053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251058 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 251062 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 251068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 251071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 251073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 251076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 251082 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251087 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251092 */     // GIR_Coverage, 7106,
     /* 251092 */     GIR_EraseRootFromParent_Done,
     /* 251093 */   // Label 5020: @251093
     /* 251093 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(251135), // Rule ID 7107 //
     /* 251098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 251103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251110 */     // MIs[0] addr
     /* 251110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 251114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251118 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_8),
     /* 251122 */     // (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_8>>  =>  (LDXRX:{ *:[i64] } GPR64sp:{ *:[i64] }:$addr)
     /* 251122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDXRX),
     /* 251125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 251127 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 251129 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251133 */     GIR_RootConstrainSelectedInstOperands,
     /* 251134 */     // GIR_Coverage, 7107,
     /* 251134 */     GIR_EraseRootFromParent_Done,
     /* 251135 */   // Label 5021: @251135
     /* 251135 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(251211), // Rule ID 7111 //
     /* 251140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 251145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251152 */     // MIs[0] addr
     /* 251152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 251156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251160 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_1),
     /* 251164 */     // (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 251164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 251167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRB),
     /* 251171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251176 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 251180 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 251186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 251189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 251191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 251194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 251200 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251205 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251210 */     // GIR_Coverage, 7111,
     /* 251210 */     GIR_EraseRootFromParent_Done,
     /* 251211 */   // Label 5022: @251211
     /* 251211 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(251287), // Rule ID 7112 //
     /* 251216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 251221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251228 */     // MIs[0] addr
     /* 251228 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 251232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251236 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_2),
     /* 251240 */     // (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_2>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 251240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 251243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRH),
     /* 251247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251252 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 251256 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 251262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 251265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 251267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 251270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 251276 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251281 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251286 */     // GIR_Coverage, 7112,
     /* 251286 */     GIR_EraseRootFromParent_Done,
     /* 251287 */   // Label 5023: @251287
     /* 251287 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(251363), // Rule ID 7113 //
     /* 251292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 251297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251304 */     // MIs[0] addr
     /* 251304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 251308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251312 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_4),
     /* 251316 */     // (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_4>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 251316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 251319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRW),
     /* 251323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251328 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 251332 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 251338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 251341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 251343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 251346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 251352 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251357 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251362 */     // GIR_Coverage, 7113,
     /* 251362 */     GIR_EraseRootFromParent_Done,
     /* 251363 */   // Label 5024: @251363
     /* 251363 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(251405), // Rule ID 7114 //
     /* 251368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 251373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251380 */     // MIs[0] addr
     /* 251380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 251384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251388 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_8),
     /* 251392 */     // (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_8>>  =>  (LDAXRX:{ *:[i64] } GPR64sp:{ *:[i64] }:$addr)
     /* 251392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAXRX),
     /* 251395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 251397 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 251399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251403 */     GIR_RootConstrainSelectedInstOperands,
     /* 251404 */     // GIR_Coverage, 7114,
     /* 251404 */     GIR_EraseRootFromParent_Done,
     /* 251405 */   // Label 5025: @251405
     /* 251405 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(251445), // Rule ID 20 //
     /* 251410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGCS),
     /* 251413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_gcspopm),
     /* 251418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251432 */     // (intrinsic_w_chain:{ *:[i64] } 551:{ *:[iPTR] }, GPR64:{ *:[i64] }:$src)  =>  (GCSPOPM:{ *:[i64] } GPR64:{ *:[i64] }:$src)
     /* 251432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::GCSPOPM),
     /* 251435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 251437 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 251439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251443 */     GIR_RootConstrainSelectedInstOperands,
     /* 251444 */     // GIR_Coverage, 20,
     /* 251444 */     GIR_EraseRootFromParent_Done,
     /* 251445 */   // Label 5026: @251445
     /* 251445 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(251485), // Rule ID 2384 //
     /* 251450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 251453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rdffr_z),
     /* 251458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 251461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 251464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 251468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 251472 */     // (intrinsic_w_chain:{ *:[nxv16i1] } 1667:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (RDFFR_PPz:{ *:[nxv16i1] } PPRAny:{ *:[nxv16i1] }:$Pg)
     /* 251472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RDFFR_PPz),
     /* 251475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 251477 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 251479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251483 */     GIR_RootConstrainSelectedInstOperands,
     /* 251484 */     // GIR_Coverage, 2384,
     /* 251484 */     GIR_EraseRootFromParent_Done,
     /* 251485 */   // Label 5027: @251485
     /* 251485 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(251525), // Rule ID 2495 //
     /* 251490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 251493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl1),
     /* 251498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 251501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 251504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 251508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 251512 */     // (intrinsic_w_chain:{ *:[v8f16] } 611:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (F1CVTL:{ *:[v8f16] } V64:{ *:[v8i8] }:$Rn)
     /* 251512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVTL),
     /* 251515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 251517 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 251519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251523 */     GIR_RootConstrainSelectedInstOperands,
     /* 251524 */     // GIR_Coverage, 2495,
     /* 251524 */     GIR_EraseRootFromParent_Done,
     /* 251525 */   // Label 5028: @251525
     /* 251525 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(251565), // Rule ID 2496 //
     /* 251530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 251533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl1),
     /* 251538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 251541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 251544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 251548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 251552 */     // (intrinsic_w_chain:{ *:[v8f16] } 611:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (F1CVTL2:{ *:[v8f16] } V128:{ *:[v16i8] }:$Rn)
     /* 251552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVTL2),
     /* 251555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 251557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 251559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251563 */     GIR_RootConstrainSelectedInstOperands,
     /* 251564 */     // GIR_Coverage, 2496,
     /* 251564 */     GIR_EraseRootFromParent_Done,
     /* 251565 */   // Label 5029: @251565
     /* 251565 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(251605), // Rule ID 6991 //
     /* 251570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 251573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl2),
     /* 251578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 251581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 251584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 251588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 251592 */     // (intrinsic_w_chain:{ *:[v8f16] } 612:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (F2CVTL:{ *:[v8f16] } V64:{ *:[v8i8] }:$Rn)
     /* 251592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVTL),
     /* 251595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 251597 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 251599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251603 */     GIR_RootConstrainSelectedInstOperands,
     /* 251604 */     // GIR_Coverage, 6991,
     /* 251604 */     GIR_EraseRootFromParent_Done,
     /* 251605 */   // Label 5030: @251605
     /* 251605 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(251645), // Rule ID 6992 //
     /* 251610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 251613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl2),
     /* 251618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 251621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 251624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 251628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 251632 */     // (intrinsic_w_chain:{ *:[v8f16] } 612:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (F2CVTL2:{ *:[v8f16] } V128:{ *:[v16i8] }:$Rn)
     /* 251632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVTL2),
     /* 251635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 251637 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 251639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251643 */     GIR_RootConstrainSelectedInstOperands,
     /* 251644 */     // GIR_Coverage, 6992,
     /* 251644 */     GIR_EraseRootFromParent_Done,
     /* 251645 */   // Label 5031: @251645
     /* 251645 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(251681), // Rule ID 3577 //
     /* 251650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 251653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvt1),
     /* 251658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 251661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 251664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 251668 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1491:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F1CVT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 251668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVT_ZZ_BtoH),
     /* 251671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 251673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 251675 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251679 */     GIR_RootConstrainSelectedInstOperands,
     /* 251680 */     // GIR_Coverage, 3577,
     /* 251680 */     GIR_EraseRootFromParent_Done,
     /* 251681 */   // Label 5032: @251681
     /* 251681 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(251719), // Rule ID 4001 //
     /* 251686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 251689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_irg_sp),
     /* 251694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251704 */     // (intrinsic_w_chain:{ *:[i64] } 559:{ *:[iPTR] }, i64:{ *:[i64] }:$Rm)  =>  (IRGstack:{ *:[i64] } SP:{ *:[i64] }, i64:{ *:[i64] }:$Rm)
     /* 251704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::IRGstack),
     /* 251707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 251709 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::SP), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 251715 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 251717 */     GIR_RootConstrainSelectedInstOperands,
     /* 251718 */     // GIR_Coverage, 4001,
     /* 251718 */     GIR_EraseRootFromParent_Done,
     /* 251719 */   // Label 5033: @251719
     /* 251719 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(251755), // Rule ID 12496 //
     /* 251724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 251727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvt2),
     /* 251732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 251735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 251738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 251742 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1493:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F2CVT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 251742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVT_ZZ_BtoH),
     /* 251745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 251747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 251749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251753 */     GIR_RootConstrainSelectedInstOperands,
     /* 251754 */     // GIR_Coverage, 12496,
     /* 251754 */     GIR_EraseRootFromParent_Done,
     /* 251755 */   // Label 5034: @251755
     /* 251755 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(251791), // Rule ID 12497 //
     /* 251760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 251763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvtlt1),
     /* 251768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 251771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 251774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 251778 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1497:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F1CVTLT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 251778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVTLT_ZZ_BtoH),
     /* 251781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 251783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 251785 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251789 */     GIR_RootConstrainSelectedInstOperands,
     /* 251790 */     // GIR_Coverage, 12497,
     /* 251790 */     GIR_EraseRootFromParent_Done,
     /* 251791 */   // Label 5035: @251791
     /* 251791 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(251827), // Rule ID 12498 //
     /* 251796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 251799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvtlt2),
     /* 251804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 251807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 251810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 251814 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1498:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F2CVTLT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 251814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVTLT_ZZ_BtoH),
     /* 251817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 251819 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 251821 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251825 */     GIR_RootConstrainSelectedInstOperands,
     /* 251826 */     // GIR_Coverage, 12498,
     /* 251826 */     GIR_EraseRootFromParent_Done,
     /* 251827 */   // Label 5036: @251827
     /* 251827 */   GIM_Reject,
     /* 251828 */ // Label 5017: @251828
     /* 251828 */ GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(255996),
     /* 251833 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 251836 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(251933), // Rule ID 7122 //
     /* 251841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 251846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 251864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 251868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 251872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 251880 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 251884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251889 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(255),
     /* 251900 */     // MIs[0] addr
     /* 251900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251908 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_1),
     /* 251912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 251914 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 255:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_1>>  =>  (STXRB:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 251914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRB),
     /* 251917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 251923 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251925 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 251931 */     GIR_RootConstrainSelectedInstOperands,
     /* 251932 */     // GIR_Coverage, 7122,
     /* 251932 */     GIR_EraseRootFromParent_Done,
     /* 251933 */   // Label 5038: @251933
     /* 251933 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(252030), // Rule ID 7123 //
     /* 251938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 251943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 251961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 251965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 251969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251973 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 251977 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 251981 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251986 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /* 251997 */     // MIs[0] addr
     /* 251997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252005 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_2),
     /* 252009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 252011 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 65535:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_2>>  =>  (STXRH:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 252011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRH),
     /* 252014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 252020 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 252028 */     GIR_RootConstrainSelectedInstOperands,
     /* 252029 */     // GIR_Coverage, 7123,
     /* 252029 */     GIR_EraseRootFromParent_Done,
     /* 252030 */   // Label 5039: @252030
     /* 252030 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(252127), // Rule ID 7132 //
     /* 252035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 252040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 252058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 252062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 252066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 252074 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 252078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252083 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(255),
     /* 252094 */     // MIs[0] addr
     /* 252094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252102 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_1),
     /* 252106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 252108 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 255:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_1>>  =>  (STLXRB:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 252108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRB),
     /* 252111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 252117 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252119 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 252125 */     GIR_RootConstrainSelectedInstOperands,
     /* 252126 */     // GIR_Coverage, 7132,
     /* 252126 */     GIR_EraseRootFromParent_Done,
     /* 252127 */   // Label 5040: @252127
     /* 252127 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(252224), // Rule ID 7133 //
     /* 252132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 252137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 252155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 252159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 252163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 252171 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 252175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252180 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /* 252191 */     // MIs[0] addr
     /* 252191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252199 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_2),
     /* 252203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 252205 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 65535:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_2>>  =>  (STLXRH:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 252205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRH),
     /* 252208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 252214 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252216 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 252222 */     GIR_RootConstrainSelectedInstOperands,
     /* 252223 */     // GIR_Coverage, 7133,
     /* 252223 */     GIR_EraseRootFromParent_Done,
     /* 252224 */   // Label 5041: @252224
     /* 252224 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(252335), // Rule ID 7125 //
     /* 252229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 252234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 252256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 252260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252265 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /* 252276 */     // MIs[0] addr
     /* 252276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252284 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_1),
     /* 252288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252290 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 255:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_1>>  =>  (STXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 252290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 252293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252302 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 252308 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252313 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRB),
     /* 252321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 252326 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252328 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252333 */     GIR_RootConstrainSelectedInstOperands,
     /* 252334 */     // GIR_Coverage, 7125,
     /* 252334 */     GIR_EraseRootFromParent_Done,
     /* 252335 */   // Label 5042: @252335
     /* 252335 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(252446), // Rule ID 7126 //
     /* 252340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 252345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 252367 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 252371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252376 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 252387 */     // MIs[0] addr
     /* 252387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252395 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_2),
     /* 252399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252401 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 65535:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_2>>  =>  (STXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 252401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 252404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252413 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 252419 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252424 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRH),
     /* 252432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 252437 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252444 */     GIR_RootConstrainSelectedInstOperands,
     /* 252445 */     // GIR_Coverage, 7126,
     /* 252445 */     GIR_EraseRootFromParent_Done,
     /* 252446 */   // Label 5043: @252446
     /* 252446 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(252557), // Rule ID 7127 //
     /* 252451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 252456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 252478 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 252482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252487 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 252498 */     // MIs[0] addr
     /* 252498 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252506 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_4),
     /* 252510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252512 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 4294967295:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_4>>  =>  (STXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 252512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 252515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252524 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 252530 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252535 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRW),
     /* 252543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 252548 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252550 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252555 */     GIR_RootConstrainSelectedInstOperands,
     /* 252556 */     // GIR_Coverage, 7127,
     /* 252556 */     GIR_EraseRootFromParent_Done,
     /* 252557 */   // Label 5044: @252557
     /* 252557 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(252668), // Rule ID 7135 //
     /* 252562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 252567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 252589 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 252593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252598 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /* 252609 */     // MIs[0] addr
     /* 252609 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252617 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_1),
     /* 252621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252623 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 255:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_1>>  =>  (STLXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 252623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 252626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252635 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 252641 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252646 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRB),
     /* 252654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 252659 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252661 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252666 */     GIR_RootConstrainSelectedInstOperands,
     /* 252667 */     // GIR_Coverage, 7135,
     /* 252667 */     GIR_EraseRootFromParent_Done,
     /* 252668 */   // Label 5045: @252668
     /* 252668 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(252779), // Rule ID 7136 //
     /* 252673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 252678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 252700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 252704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252709 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 252720 */     // MIs[0] addr
     /* 252720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252728 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_2),
     /* 252732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252734 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 65535:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_2>>  =>  (STLXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 252734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 252737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252746 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 252752 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252757 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRH),
     /* 252765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 252770 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252772 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252777 */     GIR_RootConstrainSelectedInstOperands,
     /* 252778 */     // GIR_Coverage, 7136,
     /* 252778 */     GIR_EraseRootFromParent_Done,
     /* 252779 */   // Label 5046: @252779
     /* 252779 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(252890), // Rule ID 7137 //
     /* 252784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 252789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 252811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 252815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252820 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 252831 */     // MIs[0] addr
     /* 252831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252839 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_4),
     /* 252843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252845 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 4294967295:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_4>>  =>  (STLXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 252845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 252848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252857 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 252863 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252868 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRW),
     /* 252876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 252881 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252888 */     GIR_RootConstrainSelectedInstOperands,
     /* 252889 */     // GIR_Coverage, 7137,
     /* 252889 */     GIR_EraseRootFromParent_Done,
     /* 252890 */   // Label 5047: @252890
     /* 252890 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(252941), // Rule ID 70 //
     /* 252895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_fixedshadow),
     /* 252900 */     // MIs[0] ptr
     /* 252900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 252904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 252908 */     // MIs[0] accessinfo
     /* 252908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 252911 */     // MIs[0] fixed_shadow
     /* 252911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 252914 */     // (intrinsic_void 191:{ *:[iPTR] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)  =>  (HWASAN_CHECK_MEMACCESS_FIXEDSHADOW:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)
     /* 252914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS_FIXEDSHADOW),
     /* 252917 */     GIR_RootToRootCopy, /*OpIdx*/1, // ptr
     /* 252919 */     GIR_RootToRootCopy, /*OpIdx*/2, // accessinfo
     /* 252921 */     GIR_RootToRootCopy, /*OpIdx*/3, // fixed_shadow
     /* 252923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 252926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 252929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 252932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 252935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252939 */     GIR_RootConstrainSelectedInstOperands,
     /* 252940 */     // GIR_Coverage, 70,
     /* 252940 */     GIR_EraseRootFromParent_Done,
     /* 252941 */   // Label 5048: @252941
     /* 252941 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(252992), // Rule ID 71 //
     /* 252946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules_fixedshadow),
     /* 252951 */     // MIs[0] ptr
     /* 252951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 252955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 252959 */     // MIs[0] accessinfo
     /* 252959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 252962 */     // MIs[0] fixed_shadow
     /* 252962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 252965 */     // (intrinsic_void 193:{ *:[iPTR] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES_FIXEDSHADOW:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)
     /* 252965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS_SHORTGRANULES_FIXEDSHADOW),
     /* 252968 */     GIR_RootToRootCopy, /*OpIdx*/1, // ptr
     /* 252970 */     GIR_RootToRootCopy, /*OpIdx*/2, // accessinfo
     /* 252972 */     GIR_RootToRootCopy, /*OpIdx*/3, // fixed_shadow
     /* 252974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 252977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 252980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 252983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 252986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252990 */     GIR_RootConstrainSelectedInstOperands,
     /* 252991 */     // GIR_Coverage, 71,
     /* 252991 */     GIR_EraseRootFromParent_Done,
     /* 252992 */   // Label 5049: @252992
     /* 252992 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(253061), // Rule ID 7124 //
     /* 252997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 253002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 253008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 253016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 253020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 253024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253029 */     // MIs[0] addr
     /* 253029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 253033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 253037 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_4),
     /* 253041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 253043 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$val), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_4>>  =>  (STXRW:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 253043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRW),
     /* 253046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 253048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 253052 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 253054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 253059 */     GIR_RootConstrainSelectedInstOperands,
     /* 253060 */     // GIR_Coverage, 7124,
     /* 253060 */     GIR_EraseRootFromParent_Done,
     /* 253061 */   // Label 5050: @253061
     /* 253061 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(253130), // Rule ID 7134 //
     /* 253066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 253071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 253077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 253085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 253089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 253093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253098 */     // MIs[0] addr
     /* 253098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 253102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 253106 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_4),
     /* 253110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 253112 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$val), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_4>>  =>  (STLXRW:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 253112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRW),
     /* 253115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 253117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 253121 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 253123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 253128 */     GIR_RootConstrainSelectedInstOperands,
     /* 253129 */     // GIR_Coverage, 7134,
     /* 253129 */     GIR_EraseRootFromParent_Done,
     /* 253130 */   // Label 5051: @253130
     /* 253130 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(253172), // Rule ID 3601 //
     /* 253135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4a_wide_1x1),
     /* 253143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253149 */     // MIs[0] tile
     /* 253149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253157 */     // (intrinsic_void 1015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOP4A_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4A_MZZ_BToS_PSEUDO),
     /* 253160 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253164 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253170 */     GIR_RootConstrainSelectedInstOperands,
     /* 253171 */     // GIR_Coverage, 3601,
     /* 253171 */     GIR_EraseRootFromParent_Done,
     /* 253172 */   // Label 5052: @253172
     /* 253172 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(253214), // Rule ID 3605 //
     /* 253177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4a_wide_1x1),
     /* 253185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253191 */     // MIs[0] tile
     /* 253191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253194 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253199 */     // (intrinsic_void 1015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOP4A_MZZ_HToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4A_MZZ_HToS_PSEUDO),
     /* 253202 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253212 */     GIR_RootConstrainSelectedInstOperands,
     /* 253213 */     // GIR_Coverage, 3605,
     /* 253213 */     GIR_EraseRootFromParent_Done,
     /* 253214 */   // Label 5053: @253214
     /* 253214 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(253256), // Rule ID 3609 //
     /* 253219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 253222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4a_za64_wide_1x1),
     /* 253227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253233 */     // MIs[0] tile
     /* 253233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253241 */     // (intrinsic_void 1019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOP4A_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4A_MZZ_HtoD_PSEUDO),
     /* 253244 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253254 */     GIR_RootConstrainSelectedInstOperands,
     /* 253255 */     // GIR_Coverage, 3609,
     /* 253255 */     GIR_EraseRootFromParent_Done,
     /* 253256 */   // Label 5054: @253256
     /* 253256 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(253298), // Rule ID 3779 //
     /* 253261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_HasSME_MOP4),
     /* 253264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4a_1x1),
     /* 253269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253275 */     // MIs[0] tile
     /* 253275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253278 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 253283 */     // (intrinsic_void 912:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOP4A_MZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 253283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_H_PSEUDO),
     /* 253286 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253296 */     GIR_RootConstrainSelectedInstOperands,
     /* 253297 */     // GIR_Coverage, 3779,
     /* 253297 */     GIR_EraseRootFromParent_Done,
     /* 253298 */   // Label 5055: @253298
     /* 253298 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(253340), // Rule ID 3783 //
     /* 253303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF8F32_HasSME_MOP4),
     /* 253306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_fp8_fmop4a_za32_1x1),
     /* 253311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253317 */     // MIs[0] tile
     /* 253317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253325 */     // (intrinsic_void 875:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (FMOP4A_MZZ_BtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_BtoS_PSEUDO),
     /* 253328 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253338 */     GIR_RootConstrainSelectedInstOperands,
     /* 253339 */     // GIR_Coverage, 3783,
     /* 253339 */     GIR_EraseRootFromParent_Done,
     /* 253340 */   // Label 5056: @253340
     /* 253340 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(253382), // Rule ID 3787 //
     /* 253345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4a_1x1),
     /* 253353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 253356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 253359 */     // MIs[0] tile
     /* 253359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253367 */     // (intrinsic_void 912:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOP4A_MZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 253367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_S_PSEUDO),
     /* 253370 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253380 */     GIR_RootConstrainSelectedInstOperands,
     /* 253381 */     // GIR_Coverage, 3787,
     /* 253381 */     GIR_EraseRootFromParent_Done,
     /* 253382 */   // Label 5057: @253382
     /* 253382 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(253424), // Rule ID 3791 //
     /* 253387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64_HasSME_MOP4),
     /* 253390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4a_1x1),
     /* 253395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 253398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 253401 */     // MIs[0] tile
     /* 253401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253404 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253409 */     // (intrinsic_void 912:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOP4A_MZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 253409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_D_PSEUDO),
     /* 253412 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253418 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253422 */     GIR_RootConstrainSelectedInstOperands,
     /* 253423 */     // GIR_Coverage, 3791,
     /* 253423 */     GIR_EraseRootFromParent_Done,
     /* 253424 */   // Label 5058: @253424
     /* 253424 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(253466), // Rule ID 3795 //
     /* 253429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4a_wide_1x1),
     /* 253437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253443 */     // MIs[0] tile
     /* 253443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253451 */     // (intrinsic_void 916:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOP4A_MZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 253451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_HtoS_PSEUDO),
     /* 253454 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253464 */     GIR_RootConstrainSelectedInstOperands,
     /* 253465 */     // GIR_Coverage, 3795,
     /* 253465 */     GIR_EraseRootFromParent_Done,
     /* 253466 */   // Label 5059: @253466
     /* 253466 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(253508), // Rule ID 3799 //
     /* 253471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF8F16_HasSME_MOP4),
     /* 253474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_fp8_fmop4a_za16_1x1),
     /* 253479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253485 */     // MIs[0] tile
     /* 253485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 253493 */     // (intrinsic_void 871:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (FMOP4A_MZZ_BtoH_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_BtoH_PSEUDO),
     /* 253496 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253506 */     GIR_RootConstrainSelectedInstOperands,
     /* 253507 */     // GIR_Coverage, 3799,
     /* 253507 */     GIR_EraseRootFromParent_Done,
     /* 253508 */   // Label 5060: @253508
     /* 253508 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(253550), // Rule ID 12575 //
     /* 253513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4s_wide_1x1),
     /* 253521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253527 */     // MIs[0] tile
     /* 253527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253535 */     // (intrinsic_void 1023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOP4S_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4S_MZZ_BToS_PSEUDO),
     /* 253538 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253544 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253548 */     GIR_RootConstrainSelectedInstOperands,
     /* 253549 */     // GIR_Coverage, 12575,
     /* 253549 */     GIR_EraseRootFromParent_Done,
     /* 253550 */   // Label 5061: @253550
     /* 253550 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(253592), // Rule ID 12579 //
     /* 253555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumop4a_wide_1x1),
     /* 253563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253569 */     // MIs[0] tile
     /* 253569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253577 */     // (intrinsic_void 1067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOP4A_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOP4A_MZZ_BToS_PSEUDO),
     /* 253580 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253590 */     GIR_RootConstrainSelectedInstOperands,
     /* 253591 */     // GIR_Coverage, 12579,
     /* 253591 */     GIR_EraseRootFromParent_Done,
     /* 253592 */   // Label 5062: @253592
     /* 253592 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(253634), // Rule ID 12583 //
     /* 253597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumop4s_wide_1x1),
     /* 253605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253611 */     // MIs[0] tile
     /* 253611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253614 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253619 */     // (intrinsic_void 1075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOP4S_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOP4S_MZZ_BToS_PSEUDO),
     /* 253622 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253626 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253632 */     GIR_RootConstrainSelectedInstOperands,
     /* 253633 */     // GIR_Coverage, 12583,
     /* 253633 */     GIR_EraseRootFromParent_Done,
     /* 253634 */   // Label 5063: @253634
     /* 253634 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(253676), // Rule ID 12587 //
     /* 253639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmop4a_wide_1x1),
     /* 253647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253653 */     // MIs[0] tile
     /* 253653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253661 */     // (intrinsic_void 1184:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOP4A_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOP4A_MZZ_BToS_PSEUDO),
     /* 253664 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253670 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253674 */     GIR_RootConstrainSelectedInstOperands,
     /* 253675 */     // GIR_Coverage, 12587,
     /* 253675 */     GIR_EraseRootFromParent_Done,
     /* 253676 */   // Label 5064: @253676
     /* 253676 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(253718), // Rule ID 12591 //
     /* 253681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmop4s_wide_1x1),
     /* 253689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253695 */     // MIs[0] tile
     /* 253695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253703 */     // (intrinsic_void 1192:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOP4S_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOP4S_MZZ_BToS_PSEUDO),
     /* 253706 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253710 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253712 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253716 */     GIR_RootConstrainSelectedInstOperands,
     /* 253717 */     // GIR_Coverage, 12591,
     /* 253717 */     GIR_EraseRootFromParent_Done,
     /* 253718 */   // Label 5065: @253718
     /* 253718 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(253760), // Rule ID 12595 //
     /* 253723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4a_wide_1x1),
     /* 253731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253737 */     // MIs[0] tile
     /* 253737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253745 */     // (intrinsic_void 1150:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOP4A_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4A_MZZ_BToS_PSEUDO),
     /* 253748 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253754 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253758 */     GIR_RootConstrainSelectedInstOperands,
     /* 253759 */     // GIR_Coverage, 12595,
     /* 253759 */     GIR_EraseRootFromParent_Done,
     /* 253760 */   // Label 5066: @253760
     /* 253760 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(253802), // Rule ID 12599 //
     /* 253765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4s_wide_1x1),
     /* 253773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253779 */     // MIs[0] tile
     /* 253779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253782 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253787 */     // (intrinsic_void 1158:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOP4S_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4S_MZZ_BToS_PSEUDO),
     /* 253790 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253800 */     GIR_RootConstrainSelectedInstOperands,
     /* 253801 */     // GIR_Coverage, 12599,
     /* 253801 */     GIR_EraseRootFromParent_Done,
     /* 253802 */   // Label 5067: @253802
     /* 253802 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(253844), // Rule ID 12603 //
     /* 253807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4s_wide_1x1),
     /* 253815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253821 */     // MIs[0] tile
     /* 253821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253829 */     // (intrinsic_void 1023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOP4S_MZZ_HToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4S_MZZ_HToS_PSEUDO),
     /* 253832 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253834 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253836 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253842 */     GIR_RootConstrainSelectedInstOperands,
     /* 253843 */     // GIR_Coverage, 12603,
     /* 253843 */     GIR_EraseRootFromParent_Done,
     /* 253844 */   // Label 5068: @253844
     /* 253844 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(253886), // Rule ID 12607 //
     /* 253849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4a_wide_1x1),
     /* 253857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253863 */     // MIs[0] tile
     /* 253863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253866 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253871 */     // (intrinsic_void 1150:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOP4A_MZZ_HToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4A_MZZ_HToS_PSEUDO),
     /* 253874 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253884 */     GIR_RootConstrainSelectedInstOperands,
     /* 253885 */     // GIR_Coverage, 12607,
     /* 253885 */     GIR_EraseRootFromParent_Done,
     /* 253886 */   // Label 5069: @253886
     /* 253886 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(253928), // Rule ID 12611 //
     /* 253891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4s_wide_1x1),
     /* 253899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253905 */     // MIs[0] tile
     /* 253905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253913 */     // (intrinsic_void 1158:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOP4S_MZZ_HToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4S_MZZ_HToS_PSEUDO),
     /* 253916 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253922 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253926 */     GIR_RootConstrainSelectedInstOperands,
     /* 253927 */     // GIR_Coverage, 12611,
     /* 253927 */     GIR_EraseRootFromParent_Done,
     /* 253928 */   // Label 5070: @253928
     /* 253928 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(253970), // Rule ID 12615 //
     /* 253933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 253936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4s_za64_wide_1x1),
     /* 253941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253947 */     // MIs[0] tile
     /* 253947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253950 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253955 */     // (intrinsic_void 1027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOP4S_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4S_MZZ_HtoD_PSEUDO),
     /* 253958 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253968 */     GIR_RootConstrainSelectedInstOperands,
     /* 253969 */     // GIR_Coverage, 12615,
     /* 253969 */     GIR_EraseRootFromParent_Done,
     /* 253970 */   // Label 5071: @253970
     /* 253970 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(254012), // Rule ID 12619 //
     /* 253975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 253978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumop4a_za64_wide_1x1),
     /* 253983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253989 */     // MIs[0] tile
     /* 253989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253997 */     // (intrinsic_void 1071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOP4A_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOP4A_MZZ_HtoD_PSEUDO),
     /* 254000 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254004 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254006 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254010 */     GIR_RootConstrainSelectedInstOperands,
     /* 254011 */     // GIR_Coverage, 12619,
     /* 254011 */     GIR_EraseRootFromParent_Done,
     /* 254012 */   // Label 5072: @254012
     /* 254012 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(254054), // Rule ID 12623 //
     /* 254017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 254020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumop4s_za64_wide_1x1),
     /* 254025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 254028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 254031 */     // MIs[0] tile
     /* 254031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 254039 */     // (intrinsic_void 1079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOP4S_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 254039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOP4S_MZZ_HtoD_PSEUDO),
     /* 254042 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254052 */     GIR_RootConstrainSelectedInstOperands,
     /* 254053 */     // GIR_Coverage, 12623,
     /* 254053 */     GIR_EraseRootFromParent_Done,
     /* 254054 */   // Label 5073: @254054
     /* 254054 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(254096), // Rule ID 12627 //
     /* 254059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 254062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4a_za64_wide_1x1),
     /* 254067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 254070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 254073 */     // MIs[0] tile
     /* 254073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 254081 */     // (intrinsic_void 1154:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOP4A_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 254081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4A_MZZ_HtoD_PSEUDO),
     /* 254084 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254094 */     GIR_RootConstrainSelectedInstOperands,
     /* 254095 */     // GIR_Coverage, 12627,
     /* 254095 */     GIR_EraseRootFromParent_Done,
     /* 254096 */   // Label 5074: @254096
     /* 254096 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(254138), // Rule ID 12631 //
     /* 254101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 254104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4s_za64_wide_1x1),
     /* 254109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 254112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 254115 */     // MIs[0] tile
     /* 254115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254118 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 254123 */     // (intrinsic_void 1162:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOP4S_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 254123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4S_MZZ_HtoD_PSEUDO),
     /* 254126 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254132 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254136 */     GIR_RootConstrainSelectedInstOperands,
     /* 254137 */     // GIR_Coverage, 12631,
     /* 254137 */     GIR_EraseRootFromParent_Done,
     /* 254138 */   // Label 5075: @254138
     /* 254138 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(254180), // Rule ID 12635 //
     /* 254143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 254146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmop4a_za64_wide_1x1),
     /* 254151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 254154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 254157 */     // MIs[0] tile
     /* 254157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 254165 */     // (intrinsic_void 1188:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOP4A_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 254165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOP4A_MZZ_HtoD_PSEUDO),
     /* 254168 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254174 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254178 */     GIR_RootConstrainSelectedInstOperands,
     /* 254179 */     // GIR_Coverage, 12635,
     /* 254179 */     GIR_EraseRootFromParent_Done,
     /* 254180 */   // Label 5076: @254180
     /* 254180 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(254222), // Rule ID 12639 //
     /* 254185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 254188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmop4s_za64_wide_1x1),
     /* 254193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 254196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 254199 */     // MIs[0] tile
     /* 254199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254202 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 254207 */     // (intrinsic_void 1196:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOP4S_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 254207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOP4S_MZZ_HtoD_PSEUDO),
     /* 254210 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254216 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254220 */     GIR_RootConstrainSelectedInstOperands,
     /* 254221 */     // GIR_Coverage, 12639,
     /* 254221 */     GIR_EraseRootFromParent_Done,
     /* 254222 */   // Label 5077: @254222
     /* 254222 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(254264), // Rule ID 13094 //
     /* 254227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 254230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4s_wide_1x1),
     /* 254235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 254238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 254241 */     // MIs[0] tile
     /* 254241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254244 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 254249 */     // (intrinsic_void 924:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOP4S_MZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 254249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4S_MZZ_HtoS_PSEUDO),
     /* 254252 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254254 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254256 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254258 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254262 */     GIR_RootConstrainSelectedInstOperands,
     /* 254263 */     // GIR_Coverage, 13094,
     /* 254263 */     GIR_EraseRootFromParent_Done,
     /* 254264 */   // Label 5078: @254264
     /* 254264 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(254306), // Rule ID 13098 //
     /* 254269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 254272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4s_1x1),
     /* 254277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 254280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 254283 */     // MIs[0] tile
     /* 254283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254286 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 254291 */     // (intrinsic_void 920:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOP4S_MZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 254291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4S_MZZ_S_PSEUDO),
     /* 254294 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254298 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254304 */     GIR_RootConstrainSelectedInstOperands,
     /* 254305 */     // GIR_Coverage, 13098,
     /* 254305 */     GIR_EraseRootFromParent_Done,
     /* 254306 */   // Label 5079: @254306
     /* 254306 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(254348), // Rule ID 13102 //
     /* 254311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_HasSME_MOP4),
     /* 254314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4s_1x1),
     /* 254319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 254322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 254325 */     // MIs[0] tile
     /* 254325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254328 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 254333 */     // (intrinsic_void 920:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOP4S_MZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 254333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4S_MZZ_H_PSEUDO),
     /* 254336 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254340 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254342 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254346 */     GIR_RootConstrainSelectedInstOperands,
     /* 254347 */     // GIR_Coverage, 13102,
     /* 254347 */     GIR_EraseRootFromParent_Done,
     /* 254348 */   // Label 5080: @254348
     /* 254348 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(254390), // Rule ID 13106 //
     /* 254353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64_HasSME_MOP4),
     /* 254356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4s_1x1),
     /* 254361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 254364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 254367 */     // MIs[0] tile
     /* 254367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 254375 */     // (intrinsic_void 920:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOP4S_MZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 254375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4S_MZZ_D_PSEUDO),
     /* 254378 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254384 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254388 */     GIR_RootConstrainSelectedInstOperands,
     /* 254389 */     // GIR_Coverage, 13106,
     /* 254389 */     GIR_EraseRootFromParent_Done,
     /* 254390 */   // Label 5081: @254390
     /* 254390 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(254444), // Rule ID 8841 //
     /* 254395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 254403 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 254406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254410 */     // MIs[0] base
     /* 254410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254418 */     // MIs[0] prfop
     /* 254418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 254426 */     // (intrinsic_void 1634:{ *:[iPTR] }, PPR_3b:{ *:[nxv16i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv16i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_PRI),
     /* 254429 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 254431 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 254433 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 254435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254438 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254442 */     GIR_RootConstrainSelectedInstOperands,
     /* 254443 */     // GIR_Coverage, 8841,
     /* 254443 */     GIR_EraseRootFromParent_Done,
     /* 254444 */   // Label 5082: @254444
     /* 254444 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(254498), // Rule ID 8844 //
     /* 254449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 254457 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 254460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254464 */     // MIs[0] base
     /* 254464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254472 */     // MIs[0] prfop
     /* 254472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254475 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 254480 */     // (intrinsic_void 1634:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv8i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_PRI),
     /* 254483 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 254485 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 254487 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 254489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254496 */     GIR_RootConstrainSelectedInstOperands,
     /* 254497 */     // GIR_Coverage, 8844,
     /* 254497 */     GIR_EraseRootFromParent_Done,
     /* 254498 */   // Label 5083: @254498
     /* 254498 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(254552), // Rule ID 8847 //
     /* 254503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 254511 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 254514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254518 */     // MIs[0] base
     /* 254518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254526 */     // MIs[0] prfop
     /* 254526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254529 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 254534 */     // (intrinsic_void 1634:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv4i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_PRI),
     /* 254537 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 254539 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 254541 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 254543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254550 */     GIR_RootConstrainSelectedInstOperands,
     /* 254551 */     // GIR_Coverage, 8847,
     /* 254551 */     GIR_EraseRootFromParent_Done,
     /* 254552 */   // Label 5084: @254552
     /* 254552 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(254606), // Rule ID 8850 //
     /* 254557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 254565 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 254568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254572 */     // MIs[0] base
     /* 254572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254580 */     // MIs[0] prfop
     /* 254580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 254588 */     // (intrinsic_void 1634:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv2i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_PRI),
     /* 254591 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 254593 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 254595 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 254597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254604 */     GIR_RootConstrainSelectedInstOperands,
     /* 254605 */     // GIR_Coverage, 8850,
     /* 254605 */     GIR_EraseRootFromParent_Done,
     /* 254606 */   // Label 5085: @254606
     /* 254606 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(254660), // Rule ID 15 //
     /* 254611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_space),
     /* 254616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 254619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 254622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 254625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 254633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 254637 */     // MIs[1] Operand 1
     /* 254637 */     // No operand predicates
     /* 254637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 254643 */     // (intrinsic_w_chain:{ *:[i64] } 1232:{ *:[iPTR] }, (imm:{ *:[i32] }):$size, GPR64:{ *:[i64] }:$Rn)  =>  (SPACE:{ *:[i64] } (imm:{ *:[i32] }):$size, GPR64:{ *:[i64] }:$Rn)
     /* 254643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SPACE),
     /* 254646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // size
     /* 254651 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 254653 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 254658 */     GIR_RootConstrainSelectedInstOperands,
     /* 254659 */     // GIR_Coverage, 15,
     /* 254659 */     GIR_EraseRootFromParent_Done,
     /* 254660 */   // Label 5086: @254660
     /* 254660 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(254728), // Rule ID 68 //
     /* 254665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess),
     /* 254670 */     // MIs[0] Operand 1
     /* 254670 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 254674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64_with_sub_32_in_MatrixIndexGPR32_8_11RegClassID),
     /* 254678 */     // MIs[0] ptr
     /* 254678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 254686 */     // MIs[0] accessinfo
     /* 254686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254689 */     // (intrinsic_void 190:{ *:[iPTR] }, X9:{ *:[i64] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 254689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::X9), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X9
     /* 254703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS),
     /* 254706 */     GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 254708 */     GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 254710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 254713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 254716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 254719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 254722 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254726 */     GIR_RootConstrainSelectedInstOperands,
     /* 254727 */     // GIR_Coverage, 68,
     /* 254727 */     GIR_EraseRootFromParent_Done,
     /* 254728 */   // Label 5087: @254728
     /* 254728 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(254796), // Rule ID 69 //
     /* 254733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 254738 */     // MIs[0] Operand 1
     /* 254738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 254742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64common_and_GPR64noipRegClassID),
     /* 254746 */     // MIs[0] ptr
     /* 254746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 254754 */     // MIs[0] accessinfo
     /* 254754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254757 */     // (intrinsic_void 192:{ *:[iPTR] }, X20:{ *:[i64] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 254757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254761 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::X20), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254767 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X20
     /* 254771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 254774 */     GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 254776 */     GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 254778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 254781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 254784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 254787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 254790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254794 */     GIR_RootConstrainSelectedInstOperands,
     /* 254795 */     // GIR_Coverage, 69,
     /* 254795 */     GIR_EraseRootFromParent_Done,
     /* 254796 */   // Label 5088: @254796
     /* 254796 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(254876), // Rule ID 7118 //
     /* 254801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 254806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 254812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254820 */     // MIs[0] addr
     /* 254820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254828 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_1),
     /* 254832 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_1>>  =>  (STXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 254832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 254835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254844 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 254850 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254855 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRB),
     /* 254863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 254865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254868 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 254870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254874 */     GIR_RootConstrainSelectedInstOperands,
     /* 254875 */     // GIR_Coverage, 7118,
     /* 254875 */     GIR_EraseRootFromParent_Done,
     /* 254876 */   // Label 5089: @254876
     /* 254876 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(254956), // Rule ID 7119 //
     /* 254881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 254886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 254892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254900 */     // MIs[0] addr
     /* 254900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254908 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_2),
     /* 254912 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_2>>  =>  (STXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 254912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 254915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254924 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 254930 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254935 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRH),
     /* 254943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 254945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254948 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 254950 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254954 */     GIR_RootConstrainSelectedInstOperands,
     /* 254955 */     // GIR_Coverage, 7119,
     /* 254955 */     GIR_EraseRootFromParent_Done,
     /* 254956 */   // Label 5090: @254956
     /* 254956 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(255036), // Rule ID 7120 //
     /* 254961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 254966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 254972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254980 */     // MIs[0] addr
     /* 254980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254988 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_4),
     /* 254992 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_4>>  =>  (STXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 254992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 254995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255004 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 255010 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255015 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRW),
     /* 255023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 255025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255028 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 255030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255034 */     GIR_RootConstrainSelectedInstOperands,
     /* 255035 */     // GIR_Coverage, 7120,
     /* 255035 */     GIR_EraseRootFromParent_Done,
     /* 255036 */   // Label 5091: @255036
     /* 255036 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(255087), // Rule ID 7121 //
     /* 255041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 255046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 255049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 255052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255060 */     // MIs[0] addr
     /* 255060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255068 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_8),
     /* 255072 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_8>>  =>  (STXRX:{ *:[i32] } GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 255072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRX),
     /* 255075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 255077 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /* 255079 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 255081 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255085 */     GIR_RootConstrainSelectedInstOperands,
     /* 255086 */     // GIR_Coverage, 7121,
     /* 255086 */     GIR_EraseRootFromParent_Done,
     /* 255087 */   // Label 5092: @255087
     /* 255087 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(255167), // Rule ID 7128 //
     /* 255092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 255097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 255100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 255103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255111 */     // MIs[0] addr
     /* 255111 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255119 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_1),
     /* 255123 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_1>>  =>  (STLXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 255123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 255126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 255130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255135 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 255141 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255146 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRB),
     /* 255154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 255156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255159 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 255161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255165 */     GIR_RootConstrainSelectedInstOperands,
     /* 255166 */     // GIR_Coverage, 7128,
     /* 255166 */     GIR_EraseRootFromParent_Done,
     /* 255167 */   // Label 5093: @255167
     /* 255167 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(255247), // Rule ID 7129 //
     /* 255172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 255177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 255180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 255183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255191 */     // MIs[0] addr
     /* 255191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255199 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_2),
     /* 255203 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_2>>  =>  (STLXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 255203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 255206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 255210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255215 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 255221 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255226 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRH),
     /* 255234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 255236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255239 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 255241 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255245 */     GIR_RootConstrainSelectedInstOperands,
     /* 255246 */     // GIR_Coverage, 7129,
     /* 255246 */     GIR_EraseRootFromParent_Done,
     /* 255247 */   // Label 5094: @255247
     /* 255247 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(255327), // Rule ID 7130 //
     /* 255252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 255257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 255260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 255263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255271 */     // MIs[0] addr
     /* 255271 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255279 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_4),
     /* 255283 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_4>>  =>  (STLXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 255283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 255286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 255290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255295 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 255301 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255306 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRW),
     /* 255314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 255316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255319 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 255321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255325 */     GIR_RootConstrainSelectedInstOperands,
     /* 255326 */     // GIR_Coverage, 7130,
     /* 255326 */     GIR_EraseRootFromParent_Done,
     /* 255327 */   // Label 5095: @255327
     /* 255327 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(255378), // Rule ID 7131 //
     /* 255332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 255337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 255340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 255343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255351 */     // MIs[0] addr
     /* 255351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255359 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_8),
     /* 255363 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_8>>  =>  (STLXRX:{ *:[i32] } GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 255363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRX),
     /* 255366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 255368 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /* 255370 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 255372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255376 */     GIR_RootConstrainSelectedInstOperands,
     /* 255377 */     // GIR_Coverage, 7131,
     /* 255377 */     GIR_EraseRootFromParent_Done,
     /* 255378 */   // Label 5096: @255378
     /* 255378 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(255427), // Rule ID 2488 //
     /* 255383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 255386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn),
     /* 255391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 255394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 255397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 255400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 255404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 255408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 255412 */     // (intrinsic_w_chain:{ *:[v8i8] } 613:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCVTN_F16v8f8:{ *:[v8i8] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 255412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F16v8f8),
     /* 255415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255417 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255419 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 255421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255425 */     GIR_RootConstrainSelectedInstOperands,
     /* 255426 */     // GIR_Coverage, 2488,
     /* 255426 */     GIR_EraseRootFromParent_Done,
     /* 255427 */   // Label 5097: @255427
     /* 255427 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(255476), // Rule ID 2489 //
     /* 255432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 255435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn),
     /* 255440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 255443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 255446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 255449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255461 */     // (intrinsic_w_chain:{ *:[v16i8] } 613:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTN_F16v16f8:{ *:[v16i8] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 255461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F16v16f8),
     /* 255464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 255470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255474 */     GIR_RootConstrainSelectedInstOperands,
     /* 255475 */     // GIR_Coverage, 2489,
     /* 255475 */     GIR_EraseRootFromParent_Done,
     /* 255476 */   // Label 5098: @255476
     /* 255476 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(255525), // Rule ID 2490 //
     /* 255481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 255484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn),
     /* 255489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 255492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 255495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 255498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 255502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255510 */     // (intrinsic_w_chain:{ *:[v8i8] } 613:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCVTN_F32v8f8:{ *:[v8i8] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 255510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F32v8f8),
     /* 255513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255515 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255517 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 255519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255523 */     GIR_RootConstrainSelectedInstOperands,
     /* 255524 */     // GIR_Coverage, 2490,
     /* 255524 */     GIR_EraseRootFromParent_Done,
     /* 255525 */   // Label 5099: @255525
     /* 255525 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(255578), // Rule ID 8727 //
     /* 255530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1uwq),
     /* 255538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 255541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255552 */     // MIs[0] base
     /* 255552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255560 */     // (intrinsic_w_chain:{ *:[nxv4i32] } 1567:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1W_Q_IMM:{ *:[nxv4i32] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_Q_IMM),
     /* 255563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 255565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255567 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255576 */     GIR_RootConstrainSelectedInstOperands,
     /* 255577 */     // GIR_Coverage, 8727,
     /* 255577 */     GIR_EraseRootFromParent_Done,
     /* 255578 */   // Label 5100: @255578
     /* 255578 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(255631), // Rule ID 8730 //
     /* 255583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1uwq),
     /* 255591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 255594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255605 */     // MIs[0] base
     /* 255605 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255613 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1567:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1W_Q_IMM:{ *:[nxv4f32] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_Q_IMM),
     /* 255616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 255618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255620 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255629 */     GIR_RootConstrainSelectedInstOperands,
     /* 255630 */     // GIR_Coverage, 8730,
     /* 255630 */     GIR_EraseRootFromParent_Done,
     /* 255631 */   // Label 5101: @255631
     /* 255631 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(255684), // Rule ID 8739 //
     /* 255636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1udq),
     /* 255644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 255647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255658 */     // MIs[0] base
     /* 255658 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255666 */     // (intrinsic_w_chain:{ *:[nxv2i64] } 1566:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1D_Q_IMM:{ *:[nxv2i64] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_Q_IMM),
     /* 255669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 255671 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255673 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255682 */     GIR_RootConstrainSelectedInstOperands,
     /* 255683 */     // GIR_Coverage, 8739,
     /* 255683 */     GIR_EraseRootFromParent_Done,
     /* 255684 */   // Label 5102: @255684
     /* 255684 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(255737), // Rule ID 8742 //
     /* 255689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1udq),
     /* 255697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 255700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255711 */     // MIs[0] base
     /* 255711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255719 */     // (intrinsic_w_chain:{ *:[nxv2f64] } 1566:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1D_Q_IMM:{ *:[nxv2f64] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_Q_IMM),
     /* 255722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 255724 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255726 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255735 */     GIR_RootConstrainSelectedInstOperands,
     /* 255736 */     // GIR_Coverage, 8742,
     /* 255736 */     GIR_EraseRootFromParent_Done,
     /* 255737 */   // Label 5103: @255737
     /* 255737 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(255783), // Rule ID 137 //
     /* 255742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 255745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_irg),
     /* 255750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 255753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 255756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255760 */     // MIs[0] Rn
     /* 255760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255772 */     // (intrinsic_w_chain:{ *:[i64] } 558:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (IRG:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 255772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::IRG),
     /* 255775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255777 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255779 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 255781 */     GIR_RootConstrainSelectedInstOperands,
     /* 255782 */     // GIR_Coverage, 137,
     /* 255782 */     GIR_EraseRootFromParent_Done,
     /* 255783 */   // Label 5104: @255783
     /* 255783 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(255836), // Rule ID 8733 //
     /* 255788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1wq),
     /* 255796 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 255799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255810 */     // MIs[0] base
     /* 255810 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255818 */     // (intrinsic_void 1887:{ *:[iPTR] }, ZPR128:{ *:[nxv4i32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1W_Q_IMM Z_q:{ *:[nxv4i32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_Q_IMM),
     /* 255821 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 255823 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255825 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255834 */     GIR_RootConstrainSelectedInstOperands,
     /* 255835 */     // GIR_Coverage, 8733,
     /* 255835 */     GIR_EraseRootFromParent_Done,
     /* 255836 */   // Label 5105: @255836
     /* 255836 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(255889), // Rule ID 8736 //
     /* 255841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1wq),
     /* 255849 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 255852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255863 */     // MIs[0] base
     /* 255863 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255871 */     // (intrinsic_void 1887:{ *:[iPTR] }, ZPR128:{ *:[nxv4f32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1W_Q_IMM Z_q:{ *:[nxv4f32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_Q_IMM),
     /* 255874 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 255876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255878 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255887 */     GIR_RootConstrainSelectedInstOperands,
     /* 255888 */     // GIR_Coverage, 8736,
     /* 255888 */     GIR_EraseRootFromParent_Done,
     /* 255889 */   // Label 5106: @255889
     /* 255889 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(255942), // Rule ID 8745 //
     /* 255894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1dq),
     /* 255902 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 255905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255916 */     // MIs[0] base
     /* 255916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255924 */     // (intrinsic_void 1883:{ *:[iPTR] }, ZPR128:{ *:[nxv2i64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1D_Q_IMM Z_q:{ *:[nxv2i64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_Q_IMM),
     /* 255927 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 255929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255931 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255936 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255940 */     GIR_RootConstrainSelectedInstOperands,
     /* 255941 */     // GIR_Coverage, 8745,
     /* 255941 */     GIR_EraseRootFromParent_Done,
     /* 255942 */   // Label 5107: @255942
     /* 255942 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(255995), // Rule ID 8748 //
     /* 255947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1dq),
     /* 255955 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 255958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255969 */     // MIs[0] base
     /* 255969 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255977 */     // (intrinsic_void 1883:{ *:[iPTR] }, ZPR128:{ *:[nxv2f64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1D_Q_IMM Z_q:{ *:[nxv2f64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_Q_IMM),
     /* 255980 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 255982 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255984 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255993 */     GIR_RootConstrainSelectedInstOperands,
     /* 255994 */     // GIR_Coverage, 8748,
     /* 255994 */     GIR_EraseRootFromParent_Done,
     /* 255995 */   // Label 5108: @255995
     /* 255995 */   GIM_Reject,
     /* 255996 */ // Label 5037: @255996
     /* 255996 */ GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(258701),
     /* 256001 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 256004 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(256075), // Rule ID 3413 //
     /* 256009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_scalar_offset),
     /* 256017 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 256023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 256026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 256038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 256042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 256046 */     // MIs[1] Operand 1
     /* 256046 */     // No operand predicates
     /* 256046 */     // MIs[0] prfop
     /* 256046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256049 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 256056 */     // (intrinsic_void 1636:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR32:{ *:[nxv4i32] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_S_PZI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR32:{ *:[nxv4i32] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)
     /* 256056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_S_PZI),
     /* 256059 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256061 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256063 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 256065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 256068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 256073 */     GIR_RootConstrainSelectedInstOperands,
     /* 256074 */     // GIR_Coverage, 3413,
     /* 256074 */     GIR_EraseRootFromParent_Done,
     /* 256075 */   // Label 5110: @256075
     /* 256075 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(256146), // Rule ID 3426 //
     /* 256080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_scalar_offset),
     /* 256088 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 256094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 256097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 256109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 256113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 256117 */     // MIs[1] Operand 1
     /* 256117 */     // No operand predicates
     /* 256117 */     // MIs[0] prfop
     /* 256117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 256127 */     // (intrinsic_void 1636:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR32:{ *:[nxv2i64] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_PZI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR32:{ *:[nxv2i64] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)
     /* 256127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_PZI),
     /* 256130 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256132 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 256136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 256139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 256144 */     GIR_RootConstrainSelectedInstOperands,
     /* 256145 */     // GIR_Coverage, 3426,
     /* 256145 */     GIR_EraseRootFromParent_Done,
     /* 256146 */   // Label 5111: @256146
     /* 256146 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(256205), // Rule ID 3613 //
     /* 256151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 256154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addha),
     /* 256159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 256162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 256165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 256168 */     // MIs[0] tile
     /* 256168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 256171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 256176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256188 */     // (intrinsic_void 797:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$pn, PPR3bAny:{ *:[nxv4i1] }:$pm, ZPR32:{ *:[nxv4i32] }:$zn)  =>  (ADDHA_MPPZ_S_PSEUDO_S (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, ?:{ *:[nxv4i1] }:$pn, ?:{ *:[nxv4i1] }:$pm, ?:{ *:[nxv4i32] }:$zn)
     /* 256188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHA_MPPZ_S_PSEUDO_S),
     /* 256191 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 256193 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 256195 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 256197 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 256199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256203 */     GIR_RootConstrainSelectedInstOperands,
     /* 256204 */     // GIR_Coverage, 3613,
     /* 256204 */     GIR_EraseRootFromParent_Done,
     /* 256205 */   // Label 5112: @256205
     /* 256205 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(256264), // Rule ID 3614 //
     /* 256210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 256213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addha),
     /* 256218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 256221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 256224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 256227 */     // MIs[0] tile
     /* 256227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 256230 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 256235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256247 */     // (intrinsic_void 797:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$pn, PPR3bAny:{ *:[nxv2i1] }:$pm, ZPR64:{ *:[nxv2i64] }:$zn)  =>  (ADDHA_MPPZ_D_PSEUDO_D (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, ?:{ *:[nxv2i1] }:$pn, ?:{ *:[nxv2i1] }:$pm, ?:{ *:[nxv2i64] }:$zn)
     /* 256247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHA_MPPZ_D_PSEUDO_D),
     /* 256250 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 256252 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 256254 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 256256 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 256258 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256262 */     GIR_RootConstrainSelectedInstOperands,
     /* 256263 */     // GIR_Coverage, 3614,
     /* 256263 */     GIR_EraseRootFromParent_Done,
     /* 256264 */   // Label 5113: @256264
     /* 256264 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(256323), // Rule ID 12556 //
     /* 256269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 256272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addva),
     /* 256277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 256280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 256283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 256286 */     // MIs[0] tile
     /* 256286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 256289 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 256294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256306 */     // (intrinsic_void 798:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$pn, PPR3bAny:{ *:[nxv4i1] }:$pm, ZPR32:{ *:[nxv4i32] }:$zn)  =>  (ADDVA_MPPZ_S_PSEUDO_S (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, ?:{ *:[nxv4i1] }:$pn, ?:{ *:[nxv4i1] }:$pm, ?:{ *:[nxv4i32] }:$zn)
     /* 256306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVA_MPPZ_S_PSEUDO_S),
     /* 256309 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 256311 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 256313 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 256315 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 256317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256321 */     GIR_RootConstrainSelectedInstOperands,
     /* 256322 */     // GIR_Coverage, 12556,
     /* 256322 */     GIR_EraseRootFromParent_Done,
     /* 256323 */   // Label 5114: @256323
     /* 256323 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(256382), // Rule ID 12557 //
     /* 256328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 256331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addva),
     /* 256336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 256339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 256342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 256345 */     // MIs[0] tile
     /* 256345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 256348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 256353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256365 */     // (intrinsic_void 798:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$pn, PPR3bAny:{ *:[nxv2i1] }:$pm, ZPR64:{ *:[nxv2i64] }:$zn)  =>  (ADDVA_MPPZ_D_PSEUDO_D (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, ?:{ *:[nxv2i1] }:$pn, ?:{ *:[nxv2i1] }:$pm, ?:{ *:[nxv2i64] }:$zn)
     /* 256365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVA_MPPZ_D_PSEUDO_D),
     /* 256368 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 256370 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 256372 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 256374 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 256376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256380 */     GIR_RootConstrainSelectedInstOperands,
     /* 256381 */     // GIR_Coverage, 12557,
     /* 256381 */     GIR_EraseRootFromParent_Done,
     /* 256382 */   // Label 5115: @256382
     /* 256382 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(256442), // Rule ID 3411 //
     /* 256387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_uxtw_index),
     /* 256395 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256405 */     // MIs[0] Rn
     /* 256405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256417 */     // MIs[0] prfop
     /* 256417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256420 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256425 */     // (intrinsic_void 1638:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW8Only:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW8Only:{ *:[nxv4i32] }:$Zm)
     /* 256425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_S_UXTW_SCALED),
     /* 256428 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256430 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256434 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256440 */     GIR_RootConstrainSelectedInstOperands,
     /* 256441 */     // GIR_Coverage, 3411,
     /* 256441 */     GIR_EraseRootFromParent_Done,
     /* 256442 */   // Label 5116: @256442
     /* 256442 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(256502), // Rule ID 3412 //
     /* 256447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_sxtw_index),
     /* 256455 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256465 */     // MIs[0] Rn
     /* 256465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256477 */     // MIs[0] prfop
     /* 256477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256485 */     // (intrinsic_void 1637:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW8Only:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW8Only:{ *:[nxv4i32] }:$Zm)
     /* 256485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_S_SXTW_SCALED),
     /* 256488 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256490 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256492 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256494 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256500 */     GIR_RootConstrainSelectedInstOperands,
     /* 256501 */     // GIR_Coverage, 3412,
     /* 256501 */     GIR_EraseRootFromParent_Done,
     /* 256502 */   // Label 5117: @256502
     /* 256502 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(256562), // Rule ID 3423 //
     /* 256507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_uxtw_index),
     /* 256515 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256525 */     // MIs[0] Rn
     /* 256525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256537 */     // MIs[0] prfop
     /* 256537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256545 */     // (intrinsic_void 1638:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW8Only:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW8Only:{ *:[nxv2i64] }:$Zm)
     /* 256545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_UXTW_SCALED),
     /* 256548 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256550 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256554 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256556 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256560 */     GIR_RootConstrainSelectedInstOperands,
     /* 256561 */     // GIR_Coverage, 3423,
     /* 256561 */     GIR_EraseRootFromParent_Done,
     /* 256562 */   // Label 5118: @256562
     /* 256562 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(256622), // Rule ID 3424 //
     /* 256567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_sxtw_index),
     /* 256575 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256585 */     // MIs[0] Rn
     /* 256585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256597 */     // MIs[0] prfop
     /* 256597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256600 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256605 */     // (intrinsic_void 1637:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW8Only:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW8Only:{ *:[nxv2i64] }:$Zm)
     /* 256605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_SXTW_SCALED),
     /* 256608 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256610 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256612 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256614 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256620 */     GIR_RootConstrainSelectedInstOperands,
     /* 256621 */     // GIR_Coverage, 3424,
     /* 256621 */     GIR_EraseRootFromParent_Done,
     /* 256622 */   // Label 5119: @256622
     /* 256622 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(256682), // Rule ID 3425 //
     /* 256627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_index),
     /* 256635 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256645 */     // MIs[0] Rn
     /* 256645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256657 */     // MIs[0] prfop
     /* 256657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256665 */     // (intrinsic_void 1635:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL8:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL8:{ *:[nxv2i64] }:$Zm)
     /* 256665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_SCALED),
     /* 256668 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256670 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256680 */     GIR_RootConstrainSelectedInstOperands,
     /* 256681 */     // GIR_Coverage, 3425,
     /* 256681 */     GIR_EraseRootFromParent_Done,
     /* 256682 */   // Label 5120: @256682
     /* 256682 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(256742), // Rule ID 8853 //
     /* 256687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_uxtw_index),
     /* 256695 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256705 */     // MIs[0] Rn
     /* 256705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256717 */     // MIs[0] prfop
     /* 256717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256720 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256725 */     // (intrinsic_void 1646:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW16:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW16:{ *:[nxv4i32] }:$Zm)
     /* 256725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_S_UXTW_SCALED),
     /* 256728 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256730 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256732 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256740 */     GIR_RootConstrainSelectedInstOperands,
     /* 256741 */     // GIR_Coverage, 8853,
     /* 256741 */     GIR_EraseRootFromParent_Done,
     /* 256742 */   // Label 5121: @256742
     /* 256742 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(256802), // Rule ID 8854 //
     /* 256747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_sxtw_index),
     /* 256755 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256765 */     // MIs[0] Rn
     /* 256765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256777 */     // MIs[0] prfop
     /* 256777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256785 */     // (intrinsic_void 1645:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW16:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW16:{ *:[nxv4i32] }:$Zm)
     /* 256785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_S_SXTW_SCALED),
     /* 256788 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256790 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256800 */     GIR_RootConstrainSelectedInstOperands,
     /* 256801 */     // GIR_Coverage, 8854,
     /* 256801 */     GIR_EraseRootFromParent_Done,
     /* 256802 */   // Label 5122: @256802
     /* 256802 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(256862), // Rule ID 8855 //
     /* 256807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_uxtw_index),
     /* 256815 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256825 */     // MIs[0] Rn
     /* 256825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256837 */     // MIs[0] prfop
     /* 256837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256840 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256845 */     // (intrinsic_void 1650:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW32:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW32:{ *:[nxv4i32] }:$Zm)
     /* 256845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_S_UXTW_SCALED),
     /* 256848 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256850 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256860 */     GIR_RootConstrainSelectedInstOperands,
     /* 256861 */     // GIR_Coverage, 8855,
     /* 256861 */     GIR_EraseRootFromParent_Done,
     /* 256862 */   // Label 5123: @256862
     /* 256862 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(256922), // Rule ID 8856 //
     /* 256867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_sxtw_index),
     /* 256875 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256885 */     // MIs[0] Rn
     /* 256885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256897 */     // MIs[0] prfop
     /* 256897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256905 */     // (intrinsic_void 1649:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW32:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW32:{ *:[nxv4i32] }:$Zm)
     /* 256905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_S_SXTW_SCALED),
     /* 256908 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256910 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256912 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256914 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256920 */     GIR_RootConstrainSelectedInstOperands,
     /* 256921 */     // GIR_Coverage, 8856,
     /* 256921 */     GIR_EraseRootFromParent_Done,
     /* 256922 */   // Label 5124: @256922
     /* 256922 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(256982), // Rule ID 8857 //
     /* 256927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_uxtw_index),
     /* 256935 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256945 */     // MIs[0] Rn
     /* 256945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256957 */     // MIs[0] prfop
     /* 256957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256960 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256965 */     // (intrinsic_void 1642:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW64:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW64:{ *:[nxv4i32] }:$Zm)
     /* 256965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_S_UXTW_SCALED),
     /* 256968 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256970 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256972 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256974 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256980 */     GIR_RootConstrainSelectedInstOperands,
     /* 256981 */     // GIR_Coverage, 8857,
     /* 256981 */     GIR_EraseRootFromParent_Done,
     /* 256982 */   // Label 5125: @256982
     /* 256982 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(257042), // Rule ID 8858 //
     /* 256987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_sxtw_index),
     /* 256995 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 257001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257005 */     // MIs[0] Rn
     /* 257005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257017 */     // MIs[0] prfop
     /* 257017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257025 */     // (intrinsic_void 1641:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW64:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW64:{ *:[nxv4i32] }:$Zm)
     /* 257025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_S_SXTW_SCALED),
     /* 257028 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257030 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257032 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257034 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257036 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257040 */     GIR_RootConstrainSelectedInstOperands,
     /* 257041 */     // GIR_Coverage, 8858,
     /* 257041 */     GIR_EraseRootFromParent_Done,
     /* 257042 */   // Label 5126: @257042
     /* 257042 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(257102), // Rule ID 8859 //
     /* 257047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_uxtw_index),
     /* 257055 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257065 */     // MIs[0] Rn
     /* 257065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257077 */     // MIs[0] prfop
     /* 257077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257080 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257085 */     // (intrinsic_void 1646:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW16:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW16:{ *:[nxv2i64] }:$Zm)
     /* 257085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_D_UXTW_SCALED),
     /* 257088 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257090 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257096 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257100 */     GIR_RootConstrainSelectedInstOperands,
     /* 257101 */     // GIR_Coverage, 8859,
     /* 257101 */     GIR_EraseRootFromParent_Done,
     /* 257102 */   // Label 5127: @257102
     /* 257102 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(257162), // Rule ID 8860 //
     /* 257107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_sxtw_index),
     /* 257115 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257125 */     // MIs[0] Rn
     /* 257125 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257137 */     // MIs[0] prfop
     /* 257137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257140 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257145 */     // (intrinsic_void 1645:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW16:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW16:{ *:[nxv2i64] }:$Zm)
     /* 257145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_D_SXTW_SCALED),
     /* 257148 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257150 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257154 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257160 */     GIR_RootConstrainSelectedInstOperands,
     /* 257161 */     // GIR_Coverage, 8860,
     /* 257161 */     GIR_EraseRootFromParent_Done,
     /* 257162 */   // Label 5128: @257162
     /* 257162 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(257222), // Rule ID 8861 //
     /* 257167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_uxtw_index),
     /* 257175 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257185 */     // MIs[0] Rn
     /* 257185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257197 */     // MIs[0] prfop
     /* 257197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257205 */     // (intrinsic_void 1650:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW32:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW32:{ *:[nxv2i64] }:$Zm)
     /* 257205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_D_UXTW_SCALED),
     /* 257208 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257210 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257216 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257220 */     GIR_RootConstrainSelectedInstOperands,
     /* 257221 */     // GIR_Coverage, 8861,
     /* 257221 */     GIR_EraseRootFromParent_Done,
     /* 257222 */   // Label 5129: @257222
     /* 257222 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(257282), // Rule ID 8862 //
     /* 257227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_sxtw_index),
     /* 257235 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257245 */     // MIs[0] Rn
     /* 257245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257257 */     // MIs[0] prfop
     /* 257257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257260 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257265 */     // (intrinsic_void 1649:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW32:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW32:{ *:[nxv2i64] }:$Zm)
     /* 257265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_D_SXTW_SCALED),
     /* 257268 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257270 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257280 */     GIR_RootConstrainSelectedInstOperands,
     /* 257281 */     // GIR_Coverage, 8862,
     /* 257281 */     GIR_EraseRootFromParent_Done,
     /* 257282 */   // Label 5130: @257282
     /* 257282 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(257342), // Rule ID 8863 //
     /* 257287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_uxtw_index),
     /* 257295 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257305 */     // MIs[0] Rn
     /* 257305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257317 */     // MIs[0] prfop
     /* 257317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257325 */     // (intrinsic_void 1642:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW64:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW64:{ *:[nxv2i64] }:$Zm)
     /* 257325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_D_UXTW_SCALED),
     /* 257328 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257330 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257334 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257336 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257340 */     GIR_RootConstrainSelectedInstOperands,
     /* 257341 */     // GIR_Coverage, 8863,
     /* 257341 */     GIR_EraseRootFromParent_Done,
     /* 257342 */   // Label 5131: @257342
     /* 257342 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(257402), // Rule ID 8864 //
     /* 257347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_sxtw_index),
     /* 257355 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257365 */     // MIs[0] Rn
     /* 257365 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257377 */     // MIs[0] prfop
     /* 257377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257385 */     // (intrinsic_void 1641:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW64:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW64:{ *:[nxv2i64] }:$Zm)
     /* 257385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_D_SXTW_SCALED),
     /* 257388 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257390 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257392 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257394 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257396 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257400 */     GIR_RootConstrainSelectedInstOperands,
     /* 257401 */     // GIR_Coverage, 8864,
     /* 257401 */     GIR_EraseRootFromParent_Done,
     /* 257402 */   // Label 5132: @257402
     /* 257402 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(257462), // Rule ID 8865 //
     /* 257407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_index),
     /* 257415 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257425 */     // MIs[0] Rn
     /* 257425 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257437 */     // MIs[0] prfop
     /* 257437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257440 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257445 */     // (intrinsic_void 1643:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL16:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL16:{ *:[nxv2i64] }:$Zm)
     /* 257445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_D_SCALED),
     /* 257448 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257450 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257452 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257454 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257456 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257460 */     GIR_RootConstrainSelectedInstOperands,
     /* 257461 */     // GIR_Coverage, 8865,
     /* 257461 */     GIR_EraseRootFromParent_Done,
     /* 257462 */   // Label 5133: @257462
     /* 257462 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(257522), // Rule ID 8866 //
     /* 257467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_index),
     /* 257475 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257485 */     // MIs[0] Rn
     /* 257485 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257497 */     // MIs[0] prfop
     /* 257497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257505 */     // (intrinsic_void 1647:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL32:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL32:{ *:[nxv2i64] }:$Zm)
     /* 257505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_D_SCALED),
     /* 257508 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257510 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257512 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257514 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257520 */     GIR_RootConstrainSelectedInstOperands,
     /* 257521 */     // GIR_Coverage, 8866,
     /* 257521 */     GIR_EraseRootFromParent_Done,
     /* 257522 */   // Label 5134: @257522
     /* 257522 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(257582), // Rule ID 8867 //
     /* 257527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_index),
     /* 257535 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257545 */     // MIs[0] Rn
     /* 257545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257557 */     // MIs[0] prfop
     /* 257557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257565 */     // (intrinsic_void 1639:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL64:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL64:{ *:[nxv2i64] }:$Zm)
     /* 257565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_D_SCALED),
     /* 257568 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257570 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257574 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257576 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257580 */     GIR_RootConstrainSelectedInstOperands,
     /* 257581 */     // GIR_Coverage, 8867,
     /* 257581 */     GIR_EraseRootFromParent_Done,
     /* 257582 */   // Label 5135: @257582
     /* 257582 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(257640), // Rule ID 2374 //
     /* 257587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalb),
     /* 257595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 257598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 257601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257623 */     // (intrinsic_w_chain:{ *:[v8f16] } 619:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALBv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALBv8f16),
     /* 257626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257628 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257630 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257632 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257634 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257638 */     GIR_RootConstrainSelectedInstOperands,
     /* 257639 */     // GIR_Coverage, 2374,
     /* 257639 */     GIR_EraseRootFromParent_Done,
     /* 257640 */   // Label 5136: @257640
     /* 257640 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(257698), // Rule ID 2375 //
     /* 257645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalt),
     /* 257653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 257656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 257659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257681 */     // (intrinsic_w_chain:{ *:[v8f16] } 629:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALTv8f16),
     /* 257684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257688 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257690 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257692 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257696 */     GIR_RootConstrainSelectedInstOperands,
     /* 257697 */     // GIR_Coverage, 2375,
     /* 257697 */     GIR_EraseRootFromParent_Done,
     /* 257698 */   // Label 5137: @257698
     /* 257698 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(257756), // Rule ID 2376 //
     /* 257703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbb),
     /* 257711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 257714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 257717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257739 */     // (intrinsic_w_chain:{ *:[v4f32] } 621:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLBBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBBv4f32),
     /* 257742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257744 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257748 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257754 */     GIR_RootConstrainSelectedInstOperands,
     /* 257755 */     // GIR_Coverage, 2376,
     /* 257755 */     GIR_EraseRootFromParent_Done,
     /* 257756 */   // Label 5138: @257756
     /* 257756 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(257814), // Rule ID 2377 //
     /* 257761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbt),
     /* 257769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 257772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 257775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257797 */     // (intrinsic_w_chain:{ *:[v4f32] } 623:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLBTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBTv4f32),
     /* 257800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257804 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257806 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257808 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257812 */     GIR_RootConstrainSelectedInstOperands,
     /* 257813 */     // GIR_Coverage, 2377,
     /* 257813 */     GIR_EraseRootFromParent_Done,
     /* 257814 */   // Label 5139: @257814
     /* 257814 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(257872), // Rule ID 2378 //
     /* 257819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltb),
     /* 257827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 257830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 257833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257855 */     // (intrinsic_w_chain:{ *:[v4f32] } 625:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLTBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTBv4f32),
     /* 257858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257864 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257870 */     GIR_RootConstrainSelectedInstOperands,
     /* 257871 */     // GIR_Coverage, 2378,
     /* 257871 */     GIR_EraseRootFromParent_Done,
     /* 257872 */   // Label 5140: @257872
     /* 257872 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(257930), // Rule ID 2379 //
     /* 257877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltt),
     /* 257885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 257888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 257891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257913 */     // (intrinsic_w_chain:{ *:[v4f32] } 627:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLTTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTTv4f32),
     /* 257916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257922 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257928 */     GIR_RootConstrainSelectedInstOperands,
     /* 257929 */     // GIR_Coverage, 2379,
     /* 257929 */     GIR_EraseRootFromParent_Done,
     /* 257930 */   // Label 5141: @257930
     /* 257930 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(257988), // Rule ID 2380 //
     /* 257935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 257938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2),
     /* 257943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 257946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 257949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 257952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /* 257955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257971 */     // (intrinsic_w_chain:{ *:[v4f16] } 615:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (FDOTv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 257971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv4f16),
     /* 257974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257980 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257986 */     GIR_RootConstrainSelectedInstOperands,
     /* 257987 */     // GIR_Coverage, 2380,
     /* 257987 */     GIR_EraseRootFromParent_Done,
     /* 257988 */   // Label 5142: @257988
     /* 257988 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(258046), // Rule ID 2381 //
     /* 257993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 257996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2),
     /* 258001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 258004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 258007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258029 */     // (intrinsic_w_chain:{ *:[v8f16] } 615:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FDOTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 258029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv8f16),
     /* 258032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258038 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258044 */     GIR_RootConstrainSelectedInstOperands,
     /* 258045 */     // GIR_Coverage, 2381,
     /* 258045 */     GIR_EraseRootFromParent_Done,
     /* 258046 */   // Label 5143: @258046
     /* 258046 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(258104), // Rule ID 2382 //
     /* 258051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 258054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4),
     /* 258059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 258062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 258065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 258068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /* 258071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258087 */     // (intrinsic_w_chain:{ *:[v2f32] } 617:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (FDOTv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 258087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv2f32),
     /* 258090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258096 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258098 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258102 */     GIR_RootConstrainSelectedInstOperands,
     /* 258103 */     // GIR_Coverage, 2382,
     /* 258103 */     GIR_EraseRootFromParent_Done,
     /* 258104 */   // Label 5144: @258104
     /* 258104 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(258162), // Rule ID 2383 //
     /* 258109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 258112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4),
     /* 258117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 258120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 258123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258145 */     // (intrinsic_w_chain:{ *:[v4f32] } 617:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FDOTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 258145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv4f32),
     /* 258148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258154 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258160 */     GIR_RootConstrainSelectedInstOperands,
     /* 258161 */     // GIR_Coverage, 2383,
     /* 258161 */     GIR_EraseRootFromParent_Done,
     /* 258162 */   // Label 5145: @258162
     /* 258162 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(258220), // Rule ID 2491 //
     /* 258167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 258170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn2),
     /* 258175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 258178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 258181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 258184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 258187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258203 */     // (intrinsic_w_chain:{ *:[v16i8] } 614:{ *:[iPTR] }, V128:{ *:[v16i8] }:$_Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCVTN_F322v16f8:{ *:[v16i8] } V128:{ *:[v16i8] }:$_Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 258203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F322v16f8),
     /* 258206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258208 */     GIR_RootToRootCopy, /*OpIdx*/2, // _Rd
     /* 258210 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258212 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258218 */     GIR_RootConstrainSelectedInstOperands,
     /* 258219 */     // GIR_Coverage, 2491,
     /* 258219 */     GIR_EraseRootFromParent_Done,
     /* 258220 */   // Label 5146: @258220
     /* 258220 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(258276), // Rule ID 13115 //
     /* 258225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxp),
     /* 258230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 258236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 258239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 258243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 258247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 258251 */     // MIs[0] addr
     /* 258251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/4, /*SizeInBits*/64,
     /* 258255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 258259 */     // (intrinsic_w_chain:{ *:[i32] } 1238:{ *:[iPTR] }, GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)  =>  (STLXPX:{ *:[i32] } GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)
     /* 258259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXPX),
     /* 258262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 258264 */     GIR_RootToRootCopy, /*OpIdx*/2, // lo
     /* 258266 */     GIR_RootToRootCopy, /*OpIdx*/3, // hi
     /* 258268 */     GIR_RootToRootCopy, /*OpIdx*/4, // addr
     /* 258270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258274 */     GIR_RootConstrainSelectedInstOperands,
     /* 258275 */     // GIR_Coverage, 13115,
     /* 258275 */     GIR_EraseRootFromParent_Done,
     /* 258276 */   // Label 5147: @258276
     /* 258276 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(258332), // Rule ID 13116 //
     /* 258281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxp),
     /* 258286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 258292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 258295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 258299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 258303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 258307 */     // MIs[0] addr
     /* 258307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/4, /*SizeInBits*/64,
     /* 258311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 258315 */     // (intrinsic_w_chain:{ *:[i32] } 1240:{ *:[iPTR] }, GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)  =>  (STXPX:{ *:[i32] } GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)
     /* 258315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXPX),
     /* 258318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 258320 */     GIR_RootToRootCopy, /*OpIdx*/2, // lo
     /* 258322 */     GIR_RootToRootCopy, /*OpIdx*/3, // hi
     /* 258324 */     GIR_RootToRootCopy, /*OpIdx*/4, // addr
     /* 258326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258330 */     GIR_RootConstrainSelectedInstOperands,
     /* 258331 */     // GIR_Coverage, 13116,
     /* 258331 */     GIR_EraseRootFromParent_Done,
     /* 258332 */   // Label 5148: @258332
     /* 258332 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(258378), // Rule ID 3459 //
     /* 258337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT2),
     /* 258340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot),
     /* 258345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 258348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 258351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258361 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1503:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FDOT_ZZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZ_BtoH),
     /* 258364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258370 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258376 */     GIR_RootConstrainSelectedInstOperands,
     /* 258377 */     // GIR_Coverage, 3459,
     /* 258377 */     GIR_EraseRootFromParent_Done,
     /* 258378 */   // Label 5149: @258378
     /* 258378 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(258424), // Rule ID 3581 //
     /* 258383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 258386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalb),
     /* 258391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 258394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 258397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258407 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1505:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALB_ZZZ:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZ),
     /* 258410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258414 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258416 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258418 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258422 */     GIR_RootConstrainSelectedInstOperands,
     /* 258423 */     // GIR_Coverage, 3581,
     /* 258423 */     GIR_EraseRootFromParent_Done,
     /* 258424 */   // Label 5150: @258424
     /* 258424 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(258470), // Rule ID 12543 //
     /* 258429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 258432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalt),
     /* 258437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 258440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 258443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258453 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1515:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALT_ZZZ:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZ),
     /* 258456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258460 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258462 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258468 */     GIR_RootConstrainSelectedInstOperands,
     /* 258469 */     // GIR_Coverage, 12543,
     /* 258469 */     GIR_EraseRootFromParent_Done,
     /* 258470 */   // Label 5151: @258470
     /* 258470 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(258516), // Rule ID 12547 //
     /* 258475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 258478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbb),
     /* 258483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 258486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 258489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258499 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1507:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLBB_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBB_ZZZ),
     /* 258502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258506 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258508 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258514 */     GIR_RootConstrainSelectedInstOperands,
     /* 258515 */     // GIR_Coverage, 12547,
     /* 258515 */     GIR_EraseRootFromParent_Done,
     /* 258516 */   // Label 5152: @258516
     /* 258516 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(258562), // Rule ID 12548 //
     /* 258521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 258524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbt),
     /* 258529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 258532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 258535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258545 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1509:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLBT_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBT_ZZZ),
     /* 258548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258554 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258556 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258560 */     GIR_RootConstrainSelectedInstOperands,
     /* 258561 */     // GIR_Coverage, 12548,
     /* 258561 */     GIR_EraseRootFromParent_Done,
     /* 258562 */   // Label 5153: @258562
     /* 258562 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(258608), // Rule ID 12549 //
     /* 258567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 258570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltb),
     /* 258575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 258578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 258581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258591 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1511:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLTB_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTB_ZZZ),
     /* 258594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258598 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258600 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258606 */     GIR_RootConstrainSelectedInstOperands,
     /* 258607 */     // GIR_Coverage, 12549,
     /* 258607 */     GIR_EraseRootFromParent_Done,
     /* 258608 */   // Label 5154: @258608
     /* 258608 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(258654), // Rule ID 12550 //
     /* 258613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 258616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltt),
     /* 258621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 258624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 258627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258637 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1513:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLTT_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTT_ZZZ),
     /* 258640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258646 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258652 */     GIR_RootConstrainSelectedInstOperands,
     /* 258653 */     // GIR_Coverage, 12550,
     /* 258653 */     GIR_EraseRootFromParent_Done,
     /* 258654 */   // Label 5155: @258654
     /* 258654 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(258700), // Rule ID 12551 //
     /* 258659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT4),
     /* 258662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot),
     /* 258667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 258670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 258673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258683 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1503:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FDOT_ZZZ_BtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZ_BtoS),
     /* 258686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258690 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258692 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258694 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258698 */     GIR_RootConstrainSelectedInstOperands,
     /* 258699 */     // GIR_Coverage, 12551,
     /* 258699 */     GIR_EraseRootFromParent_Done,
     /* 258700 */   // Label 5156: @258700
     /* 258700 */   GIM_Reject,
     /* 258701 */ // Label 5109: @258701
     /* 258701 */ GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(261694),
     /* 258706 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 258709 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(258777), // Rule ID 2518 //
     /* 258714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 258717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalb_lane),
     /* 258722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 258725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 258728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 258750 */     // MIs[0] Idx
     /* 258750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 258758 */     // (intrinsic_w_chain:{ *:[v8f16] } 620:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALBlanev8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALBlanev8f16),
     /* 258761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258763 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258765 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258767 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258769 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258775 */     GIR_RootConstrainSelectedInstOperands,
     /* 258776 */     // GIR_Coverage, 2518,
     /* 258776 */     GIR_EraseRootFromParent_Done,
     /* 258777 */   // Label 5158: @258777
     /* 258777 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(258845), // Rule ID 2519 //
     /* 258782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 258785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbb_lane),
     /* 258790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 258793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 258796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 258818 */     // MIs[0] Idx
     /* 258818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 258826 */     // (intrinsic_w_chain:{ *:[v4f32] } 622:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLBBlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBBlanev4f32),
     /* 258829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258831 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258833 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258835 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258837 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258839 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258843 */     GIR_RootConstrainSelectedInstOperands,
     /* 258844 */     // GIR_Coverage, 2519,
     /* 258844 */     GIR_EraseRootFromParent_Done,
     /* 258845 */   // Label 5159: @258845
     /* 258845 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(258913), // Rule ID 2520 //
     /* 258850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 258853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4_lane),
     /* 258858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 258861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 258864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 258867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258886 */     // MIs[0] Idx
     /* 258886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258889 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 258894 */     // (intrinsic_w_chain:{ *:[v2f32] } 618:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Idx)  =>  (FDOTlanev2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v8i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev2f32),
     /* 258897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258899 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258901 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258903 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258905 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258911 */     GIR_RootConstrainSelectedInstOperands,
     /* 258912 */     // GIR_Coverage, 2520,
     /* 258912 */     GIR_EraseRootFromParent_Done,
     /* 258913 */   // Label 5160: @258913
     /* 258913 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(258981), // Rule ID 2521 //
     /* 258918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 258921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4_lane),
     /* 258926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 258929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 258932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258954 */     // MIs[0] Idx
     /* 258954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258957 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 258962 */     // (intrinsic_w_chain:{ *:[v4f32] } 618:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Idx)  =>  (FDOTlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev4f32),
     /* 258965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258967 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258969 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258971 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258973 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258979 */     GIR_RootConstrainSelectedInstOperands,
     /* 258980 */     // GIR_Coverage, 2521,
     /* 258980 */     GIR_EraseRootFromParent_Done,
     /* 258981 */   // Label 5161: @258981
     /* 258981 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(259049), // Rule ID 2522 //
     /* 258986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 258989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2_lane),
     /* 258994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 258997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 259000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 259003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 259006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 259010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 259014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 259018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 259022 */     // MIs[0] Idx
     /* 259022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 259025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 259030 */     // (intrinsic_w_chain:{ *:[v4f16] } 616:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128_lo:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Idx)  =>  (FDOTlanev4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v8i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 259030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev4f16),
     /* 259033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 259037 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 259039 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 259041 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 259043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259047 */     GIR_RootConstrainSelectedInstOperands,
     /* 259048 */     // GIR_Coverage, 2522,
     /* 259048 */     GIR_EraseRootFromParent_Done,
     /* 259049 */   // Label 5162: @259049
     /* 259049 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(259117), // Rule ID 2523 //
     /* 259054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 259057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2_lane),
     /* 259062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 259065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 259068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 259071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 259074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 259090 */     // MIs[0] Idx
     /* 259090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 259093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 259098 */     // (intrinsic_w_chain:{ *:[v8f16] } 616:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_lo:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Idx)  =>  (FDOTlanev8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 259098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev8f16),
     /* 259101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259103 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 259105 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 259107 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 259109 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 259111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259115 */     GIR_RootConstrainSelectedInstOperands,
     /* 259116 */     // GIR_Coverage, 2523,
     /* 259116 */     GIR_EraseRootFromParent_Done,
     /* 259117 */   // Label 5163: @259117
     /* 259117 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(259185), // Rule ID 6993 //
     /* 259122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 259125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalt_lane),
     /* 259130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 259133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 259136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 259139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 259142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 259158 */     // MIs[0] Idx
     /* 259158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 259161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 259166 */     // (intrinsic_w_chain:{ *:[v8f16] } 630:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALTlanev8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 259166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALTlanev8f16),
     /* 259169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259171 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 259173 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 259175 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 259177 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 259179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259183 */     GIR_RootConstrainSelectedInstOperands,
     /* 259184 */     // GIR_Coverage, 6993,
     /* 259184 */     GIR_EraseRootFromParent_Done,
     /* 259185 */   // Label 5164: @259185
     /* 259185 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(259253), // Rule ID 6994 //
     /* 259190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 259193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbt_lane),
     /* 259198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 259201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 259204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 259207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 259210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 259226 */     // MIs[0] Idx
     /* 259226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 259229 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 259234 */     // (intrinsic_w_chain:{ *:[v4f32] } 624:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLBTlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 259234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBTlanev4f32),
     /* 259237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 259241 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 259243 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 259245 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 259247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259251 */     GIR_RootConstrainSelectedInstOperands,
     /* 259252 */     // GIR_Coverage, 6994,
     /* 259252 */     GIR_EraseRootFromParent_Done,
     /* 259253 */   // Label 5165: @259253
     /* 259253 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(259321), // Rule ID 6995 //
     /* 259258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 259261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltb_lane),
     /* 259266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 259269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 259272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 259275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 259278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 259294 */     // MIs[0] Idx
     /* 259294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 259297 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 259302 */     // (intrinsic_w_chain:{ *:[v4f32] } 626:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLTBlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 259302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTBlanev4f32),
     /* 259305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259307 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 259309 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 259311 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 259313 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 259315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259319 */     GIR_RootConstrainSelectedInstOperands,
     /* 259320 */     // GIR_Coverage, 6995,
     /* 259320 */     GIR_EraseRootFromParent_Done,
     /* 259321 */   // Label 5166: @259321
     /* 259321 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(259389), // Rule ID 6996 //
     /* 259326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 259329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltt_lane),
     /* 259334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 259337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 259340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 259343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 259346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 259362 */     // MIs[0] Idx
     /* 259362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 259365 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 259370 */     // (intrinsic_w_chain:{ *:[v4f32] } 628:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLTTlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 259370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTTlanev4f32),
     /* 259373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 259377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 259379 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 259381 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 259383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259387 */     GIR_RootConstrainSelectedInstOperands,
     /* 259388 */     // GIR_Coverage, 6996,
     /* 259388 */     GIR_EraseRootFromParent_Done,
     /* 259389 */   // Label 5167: @259389
     /* 259389 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(259449), // Rule ID 3593 //
     /* 259394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa),
     /* 259402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 259405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 259408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 259411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 259414 */     // MIs[0] tile
     /* 259414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259430 */     // (intrinsic_void 928:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 259430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_S_PSEUDO),
     /* 259433 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259437 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259439 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259441 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259447 */     GIR_RootConstrainSelectedInstOperands,
     /* 259448 */     // GIR_Coverage, 3593,
     /* 259448 */     GIR_EraseRootFromParent_Done,
     /* 259449 */   // Label 5168: @259449
     /* 259449 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(259509), // Rule ID 3594 //
     /* 259454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF8F32),
     /* 259457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_fp8_fmopa_za32),
     /* 259462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259474 */     // MIs[0] tile
     /* 259474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259490 */     // (intrinsic_void 880:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (FMOPA_MPPZZ_BtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_BtoS_PSEUDO),
     /* 259493 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259495 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259497 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259499 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259501 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259507 */     GIR_RootConstrainSelectedInstOperands,
     /* 259508 */     // GIR_Coverage, 3594,
     /* 259508 */     GIR_EraseRootFromParent_Done,
     /* 259509 */   // Label 5169: @259509
     /* 259509 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(259569), // Rule ID 3595 //
     /* 259514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64),
     /* 259517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa),
     /* 259522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 259525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 259528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 259531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 259534 */     // MIs[0] tile
     /* 259534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259537 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 259542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259550 */     // (intrinsic_void 928:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$Pn, PPR3bAny:{ *:[nxv2i1] }:$Pm, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2i1] }:$Pn, ?:{ *:[nxv2i1] }:$Pm, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 259550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_D_PSEUDO),
     /* 259553 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259557 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259559 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259561 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259567 */     GIR_RootConstrainSelectedInstOperands,
     /* 259568 */     // GIR_Coverage, 3595,
     /* 259568 */     GIR_EraseRootFromParent_Done,
     /* 259569 */   // Label 5170: @259569
     /* 259569 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(259629), // Rule ID 3596 //
     /* 259574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF8F16),
     /* 259577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_fp8_fmopa_za16),
     /* 259582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259594 */     // MIs[0] tile
     /* 259594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 259602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259610 */     // (intrinsic_void 879:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (FMOPA_MPPZZ_BtoH_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_BtoH_PSEUDO),
     /* 259613 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259617 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259619 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259621 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259627 */     GIR_RootConstrainSelectedInstOperands,
     /* 259628 */     // GIR_Coverage, 3596,
     /* 259628 */     GIR_EraseRootFromParent_Done,
     /* 259629 */   // Label 5171: @259629
     /* 259629 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(259689), // Rule ID 3597 //
     /* 259634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_or_SMEF8F16),
     /* 259637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa),
     /* 259642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259654 */     // MIs[0] tile
     /* 259654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259657 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 259662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259670 */     // (intrinsic_void 928:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPA_MPPZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 259670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_H_PSEUDO),
     /* 259673 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259677 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259679 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259681 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259687 */     GIR_RootConstrainSelectedInstOperands,
     /* 259688 */     // GIR_Coverage, 3597,
     /* 259688 */     GIR_EraseRootFromParent_Done,
     /* 259689 */   // Label 5172: @259689
     /* 259689 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(259749), // Rule ID 3598 //
     /* 259694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smopa_wide),
     /* 259702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259714 */     // MIs[0] tile
     /* 259714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259717 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259730 */     // (intrinsic_void 1031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPA_MPPZZ_S_PSEUDO),
     /* 259733 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259735 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259737 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259739 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259741 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259747 */     GIR_RootConstrainSelectedInstOperands,
     /* 259748 */     // GIR_Coverage, 3598,
     /* 259748 */     GIR_EraseRootFromParent_Done,
     /* 259749 */   // Label 5173: @259749
     /* 259749 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(259809), // Rule ID 3599 //
     /* 259754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 259757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smopa_wide),
     /* 259762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259774 */     // MIs[0] tile
     /* 259774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 259782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259790 */     // (intrinsic_void 1031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 259790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPA_MPPZZ_D_PSEUDO),
     /* 259793 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259797 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259799 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259801 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259807 */     GIR_RootConstrainSelectedInstOperands,
     /* 259808 */     // GIR_Coverage, 3599,
     /* 259808 */     GIR_EraseRootFromParent_Done,
     /* 259809 */   // Label 5174: @259809
     /* 259809 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(259869), // Rule ID 3600 //
     /* 259814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa_wide),
     /* 259822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259834 */     // MIs[0] tile
     /* 259834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259837 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259850 */     // (intrinsic_void 930:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPAL_MPPZZ_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 259850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPAL_MPPZZ_PSEUDO),
     /* 259853 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259855 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259857 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259859 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259861 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259863 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259867 */     GIR_RootConstrainSelectedInstOperands,
     /* 259868 */     // GIR_Coverage, 3600,
     /* 259868 */     GIR_EraseRootFromParent_Done,
     /* 259869 */   // Label 5175: @259869
     /* 259869 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(259929), // Rule ID 3694 //
     /* 259874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 259877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smopa_za32),
     /* 259882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259894 */     // MIs[0] tile
     /* 259894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259910 */     // (intrinsic_void 1032:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPA_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 259910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPA_MPPZZ_HtoS_PSEUDO),
     /* 259913 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259915 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259917 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259919 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259921 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259923 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259927 */     GIR_RootConstrainSelectedInstOperands,
     /* 259928 */     // GIR_Coverage, 3694,
     /* 259928 */     GIR_EraseRootFromParent_Done,
     /* 259929 */   // Label 5176: @259929
     /* 259929 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(259989), // Rule ID 3695 //
     /* 259934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 259937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_bmopa_za32),
     /* 259942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 259945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 259948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 259951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 259954 */     // MIs[0] tile
     /* 259954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259957 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259970 */     // (intrinsic_void 799:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4i32:{ *:[nxv4i32] }:$Zn, nxv4i32:{ *:[nxv4i32] }:$Zm)  =>  (BMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4i32] }:$Zn, ?:{ *:[nxv4i32] }:$Zm)
     /* 259970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BMOPA_MPPZZ_S_PSEUDO),
     /* 259973 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259979 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259981 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259987 */     GIR_RootConstrainSelectedInstOperands,
     /* 259988 */     // GIR_Coverage, 3695,
     /* 259988 */     GIR_EraseRootFromParent_Done,
     /* 259989 */   // Label 5177: @259989
     /* 259989 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(260049), // Rule ID 12558 //
     /* 259994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops),
     /* 260002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 260005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 260008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 260011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 260014 */     // MIs[0] tile
     /* 260014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260030 */     // (intrinsic_void 931:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 260030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPS_MPPZZ_S_PSEUDO),
     /* 260033 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260037 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260039 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260041 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260047 */     GIR_RootConstrainSelectedInstOperands,
     /* 260048 */     // GIR_Coverage, 12558,
     /* 260048 */     GIR_EraseRootFromParent_Done,
     /* 260049 */   // Label 5178: @260049
     /* 260049 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(260109), // Rule ID 12559 //
     /* 260054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64),
     /* 260057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops),
     /* 260062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 260065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 260068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 260071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 260074 */     // MIs[0] tile
     /* 260074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260077 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260090 */     // (intrinsic_void 931:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$Pn, PPR3bAny:{ *:[nxv2i1] }:$Pm, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2i1] }:$Pn, ?:{ *:[nxv2i1] }:$Pm, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 260090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPS_MPPZZ_D_PSEUDO),
     /* 260093 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260095 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260097 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260099 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260101 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260107 */     GIR_RootConstrainSelectedInstOperands,
     /* 260108 */     // GIR_Coverage, 12559,
     /* 260108 */     GIR_EraseRootFromParent_Done,
     /* 260109 */   // Label 5179: @260109
     /* 260109 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(260169), // Rule ID 12560 //
     /* 260114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops_wide),
     /* 260122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260134 */     // MIs[0] tile
     /* 260134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260150 */     // (intrinsic_void 933:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPSL_MPPZZ_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 260150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPSL_MPPZZ_PSEUDO),
     /* 260153 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260157 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260159 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260161 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260163 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260167 */     GIR_RootConstrainSelectedInstOperands,
     /* 260168 */     // GIR_Coverage, 12560,
     /* 260168 */     GIR_EraseRootFromParent_Done,
     /* 260169 */   // Label 5180: @260169
     /* 260169 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(260229), // Rule ID 12561 //
     /* 260174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smops_wide),
     /* 260182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260194 */     // MIs[0] tile
     /* 260194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260197 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260210 */     // (intrinsic_void 1033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPS_MPPZZ_S_PSEUDO),
     /* 260213 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260219 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260221 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260227 */     GIR_RootConstrainSelectedInstOperands,
     /* 260228 */     // GIR_Coverage, 12561,
     /* 260228 */     GIR_EraseRootFromParent_Done,
     /* 260229 */   // Label 5181: @260229
     /* 260229 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(260289), // Rule ID 12562 //
     /* 260234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umopa_wide),
     /* 260242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260254 */     // MIs[0] tile
     /* 260254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260257 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260270 */     // (intrinsic_void 1166:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPA_MPPZZ_S_PSEUDO),
     /* 260273 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260275 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260277 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260279 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260281 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260287 */     GIR_RootConstrainSelectedInstOperands,
     /* 260288 */     // GIR_Coverage, 12562,
     /* 260288 */     GIR_EraseRootFromParent_Done,
     /* 260289 */   // Label 5182: @260289
     /* 260289 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(260349), // Rule ID 12563 //
     /* 260294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umops_wide),
     /* 260302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260314 */     // MIs[0] tile
     /* 260314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260330 */     // (intrinsic_void 1168:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPS_MPPZZ_S_PSEUDO),
     /* 260333 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260337 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260339 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260341 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260343 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260347 */     GIR_RootConstrainSelectedInstOperands,
     /* 260348 */     // GIR_Coverage, 12563,
     /* 260348 */     GIR_EraseRootFromParent_Done,
     /* 260349 */   // Label 5183: @260349
     /* 260349 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(260409), // Rule ID 12564 //
     /* 260354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumopa_wide),
     /* 260362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260374 */     // MIs[0] tile
     /* 260374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260377 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260390 */     // (intrinsic_void 1083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPA_MPPZZ_S_PSEUDO),
     /* 260393 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260395 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260397 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260399 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260401 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260407 */     GIR_RootConstrainSelectedInstOperands,
     /* 260408 */     // GIR_Coverage, 12564,
     /* 260408 */     GIR_EraseRootFromParent_Done,
     /* 260409 */   // Label 5184: @260409
     /* 260409 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(260469), // Rule ID 12565 //
     /* 260414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumops_wide),
     /* 260422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260434 */     // MIs[0] tile
     /* 260434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260450 */     // (intrinsic_void 1084:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPS_MPPZZ_S_PSEUDO),
     /* 260453 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260457 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260459 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260461 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260467 */     GIR_RootConstrainSelectedInstOperands,
     /* 260468 */     // GIR_Coverage, 12565,
     /* 260468 */     GIR_EraseRootFromParent_Done,
     /* 260469 */   // Label 5185: @260469
     /* 260469 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(260529), // Rule ID 12566 //
     /* 260474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmopa_wide),
     /* 260482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260494 */     // MIs[0] tile
     /* 260494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260497 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260510 */     // (intrinsic_void 1200:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPA_MPPZZ_S_PSEUDO),
     /* 260513 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260515 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260517 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260519 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260521 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260523 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260527 */     GIR_RootConstrainSelectedInstOperands,
     /* 260528 */     // GIR_Coverage, 12566,
     /* 260528 */     GIR_EraseRootFromParent_Done,
     /* 260529 */   // Label 5186: @260529
     /* 260529 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(260589), // Rule ID 12567 //
     /* 260534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmops_wide),
     /* 260542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260554 */     // MIs[0] tile
     /* 260554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260557 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260570 */     // (intrinsic_void 1201:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPS_MPPZZ_S_PSEUDO),
     /* 260573 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260577 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260579 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260581 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260587 */     GIR_RootConstrainSelectedInstOperands,
     /* 260588 */     // GIR_Coverage, 12567,
     /* 260588 */     GIR_EraseRootFromParent_Done,
     /* 260589 */   // Label 5187: @260589
     /* 260589 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(260649), // Rule ID 12568 //
     /* 260594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smops_wide),
     /* 260602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260614 */     // MIs[0] tile
     /* 260614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260630 */     // (intrinsic_void 1033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPS_MPPZZ_D_PSEUDO),
     /* 260633 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260635 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260637 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260639 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260641 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260647 */     GIR_RootConstrainSelectedInstOperands,
     /* 260648 */     // GIR_Coverage, 12568,
     /* 260648 */     GIR_EraseRootFromParent_Done,
     /* 260649 */   // Label 5188: @260649
     /* 260649 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(260709), // Rule ID 12569 //
     /* 260654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umopa_wide),
     /* 260662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260674 */     // MIs[0] tile
     /* 260674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260677 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260690 */     // (intrinsic_void 1166:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPA_MPPZZ_D_PSEUDO),
     /* 260693 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260695 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260699 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260701 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260707 */     GIR_RootConstrainSelectedInstOperands,
     /* 260708 */     // GIR_Coverage, 12569,
     /* 260708 */     GIR_EraseRootFromParent_Done,
     /* 260709 */   // Label 5189: @260709
     /* 260709 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(260769), // Rule ID 12570 //
     /* 260714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umops_wide),
     /* 260722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260734 */     // MIs[0] tile
     /* 260734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260737 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260750 */     // (intrinsic_void 1168:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPS_MPPZZ_D_PSEUDO),
     /* 260753 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260755 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260757 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260759 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260761 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260767 */     GIR_RootConstrainSelectedInstOperands,
     /* 260768 */     // GIR_Coverage, 12570,
     /* 260768 */     GIR_EraseRootFromParent_Done,
     /* 260769 */   // Label 5190: @260769
     /* 260769 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(260829), // Rule ID 12571 //
     /* 260774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumopa_wide),
     /* 260782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260794 */     // MIs[0] tile
     /* 260794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260810 */     // (intrinsic_void 1083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPA_MPPZZ_D_PSEUDO),
     /* 260813 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260815 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260817 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260819 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260821 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260823 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260827 */     GIR_RootConstrainSelectedInstOperands,
     /* 260828 */     // GIR_Coverage, 12571,
     /* 260828 */     GIR_EraseRootFromParent_Done,
     /* 260829 */   // Label 5191: @260829
     /* 260829 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(260889), // Rule ID 12572 //
     /* 260834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumops_wide),
     /* 260842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260854 */     // MIs[0] tile
     /* 260854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260857 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260870 */     // (intrinsic_void 1084:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPS_MPPZZ_D_PSEUDO),
     /* 260873 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260875 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260877 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260879 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260881 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260887 */     GIR_RootConstrainSelectedInstOperands,
     /* 260888 */     // GIR_Coverage, 12572,
     /* 260888 */     GIR_EraseRootFromParent_Done,
     /* 260889 */   // Label 5192: @260889
     /* 260889 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(260949), // Rule ID 12573 //
     /* 260894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmopa_wide),
     /* 260902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260914 */     // MIs[0] tile
     /* 260914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260930 */     // (intrinsic_void 1200:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPA_MPPZZ_D_PSEUDO),
     /* 260933 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260937 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260939 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260941 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260947 */     GIR_RootConstrainSelectedInstOperands,
     /* 260948 */     // GIR_Coverage, 12573,
     /* 260948 */     GIR_EraseRootFromParent_Done,
     /* 260949 */   // Label 5193: @260949
     /* 260949 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(261009), // Rule ID 12574 //
     /* 260954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmops_wide),
     /* 260962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260974 */     // MIs[0] tile
     /* 260974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260990 */     // (intrinsic_void 1201:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPS_MPPZZ_D_PSEUDO),
     /* 260993 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260995 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260997 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260999 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 261001 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 261003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261007 */     GIR_RootConstrainSelectedInstOperands,
     /* 261008 */     // GIR_Coverage, 12574,
     /* 261008 */     GIR_EraseRootFromParent_Done,
     /* 261009 */   // Label 5194: @261009
     /* 261009 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(261069), // Rule ID 12948 //
     /* 261014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 261017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_bmops_za32),
     /* 261022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 261025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 261028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 261031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 261034 */     // MIs[0] tile
     /* 261034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 261037 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 261042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261050 */     // (intrinsic_void 800:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4i32:{ *:[nxv4i32] }:$Zn, nxv4i32:{ *:[nxv4i32] }:$Zm)  =>  (BMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4i32] }:$Zn, ?:{ *:[nxv4i32] }:$Zm)
     /* 261050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BMOPS_MPPZZ_S_PSEUDO),
     /* 261053 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 261055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 261057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 261059 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 261061 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 261063 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261067 */     GIR_RootConstrainSelectedInstOperands,
     /* 261068 */     // GIR_Coverage, 12948,
     /* 261068 */     GIR_EraseRootFromParent_Done,
     /* 261069 */   // Label 5195: @261069
     /* 261069 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(261129), // Rule ID 12949 //
     /* 261074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 261077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smops_za32),
     /* 261082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 261085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 261088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 261091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 261094 */     // MIs[0] tile
     /* 261094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 261097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 261102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261110 */     // (intrinsic_void 1034:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPS_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 261110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPS_MPPZZ_HtoS_PSEUDO),
     /* 261113 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 261115 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 261117 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 261119 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 261121 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 261123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261127 */     GIR_RootConstrainSelectedInstOperands,
     /* 261128 */     // GIR_Coverage, 12949,
     /* 261128 */     GIR_EraseRootFromParent_Done,
     /* 261129 */   // Label 5196: @261129
     /* 261129 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(261189), // Rule ID 12950 //
     /* 261134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 261137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umopa_za32),
     /* 261142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 261145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 261148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 261151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 261154 */     // MIs[0] tile
     /* 261154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 261157 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 261162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261170 */     // (intrinsic_void 1167:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPA_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 261170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPA_MPPZZ_HtoS_PSEUDO),
     /* 261173 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 261175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 261177 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 261179 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 261181 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 261183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261187 */     GIR_RootConstrainSelectedInstOperands,
     /* 261188 */     // GIR_Coverage, 12950,
     /* 261188 */     GIR_EraseRootFromParent_Done,
     /* 261189 */   // Label 5197: @261189
     /* 261189 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(261249), // Rule ID 12951 //
     /* 261194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 261197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umops_za32),
     /* 261202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 261205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 261208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 261211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 261214 */     // MIs[0] tile
     /* 261214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 261217 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 261222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261230 */     // (intrinsic_void 1169:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPS_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 261230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPS_MPPZZ_HtoS_PSEUDO),
     /* 261233 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 261235 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 261237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 261239 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 261241 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 261243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261247 */     GIR_RootConstrainSelectedInstOperands,
     /* 261248 */     // GIR_Coverage, 12951,
     /* 261248 */     GIR_EraseRootFromParent_Done,
     /* 261249 */   // Label 5198: @261249
     /* 261249 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(261309), // Rule ID 13062 //
     /* 261254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_or_SMEF8F16),
     /* 261257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops),
     /* 261262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 261265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 261268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 261271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 261274 */     // MIs[0] tile
     /* 261274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 261277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 261282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261290 */     // (intrinsic_void 931:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPS_MPPZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 261290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPS_MPPZZ_H_PSEUDO),
     /* 261293 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 261295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 261297 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 261299 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 261301 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 261303 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261307 */     GIR_RootConstrainSelectedInstOperands,
     /* 261308 */     // GIR_Coverage, 13062,
     /* 261308 */     GIR_EraseRootFromParent_Done,
     /* 261309 */   // Label 5199: @261309
     /* 261309 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(261357), // Rule ID 3580 //
     /* 261314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 261317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalb_lane),
     /* 261322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 261325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 261328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261338 */     // MIs[0] Op4
     /* 261338 */     // No operand predicates
     /* 261338 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1506:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALB_ZZZI:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZI),
     /* 261341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261343 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261345 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261347 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261349 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261355 */     GIR_RootConstrainSelectedInstOperands,
     /* 261356 */     // GIR_Coverage, 3580,
     /* 261356 */     GIR_EraseRootFromParent_Done,
     /* 261357 */   // Label 5200: @261357
     /* 261357 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(261405), // Rule ID 3582 //
     /* 261362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 261365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbb_lane),
     /* 261370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 261373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 261376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261386 */     // MIs[0] Op4
     /* 261386 */     // No operand predicates
     /* 261386 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1508:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLBB_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBB_ZZZI),
     /* 261389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261391 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261393 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261395 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261397 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261403 */     GIR_RootConstrainSelectedInstOperands,
     /* 261404 */     // GIR_Coverage, 3582,
     /* 261404 */     GIR_EraseRootFromParent_Done,
     /* 261405 */   // Label 5201: @261405
     /* 261405 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(261453), // Rule ID 3583 //
     /* 261410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT2),
     /* 261413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot_lane),
     /* 261418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 261421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 261424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261434 */     // MIs[0] Op4
     /* 261434 */     // No operand predicates
     /* 261434 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1504:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FDOT_ZZZI_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZI_BtoH),
     /* 261437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261439 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261441 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261443 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261445 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261451 */     GIR_RootConstrainSelectedInstOperands,
     /* 261452 */     // GIR_Coverage, 3583,
     /* 261452 */     GIR_EraseRootFromParent_Done,
     /* 261453 */   // Label 5202: @261453
     /* 261453 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(261501), // Rule ID 3584 //
     /* 261458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT4),
     /* 261461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot_lane),
     /* 261466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 261469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 261472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261482 */     // MIs[0] Op4
     /* 261482 */     // No operand predicates
     /* 261482 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1504:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FDOT_ZZZI_BtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZI_BtoS),
     /* 261485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261487 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261489 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261491 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261493 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261495 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261499 */     GIR_RootConstrainSelectedInstOperands,
     /* 261500 */     // GIR_Coverage, 3584,
     /* 261500 */     GIR_EraseRootFromParent_Done,
     /* 261501 */   // Label 5203: @261501
     /* 261501 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(261549), // Rule ID 12542 //
     /* 261506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 261509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalt_lane),
     /* 261514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 261517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 261520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261530 */     // MIs[0] Op4
     /* 261530 */     // No operand predicates
     /* 261530 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1516:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALT_ZZZI:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZI),
     /* 261533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261537 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261539 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261541 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261547 */     GIR_RootConstrainSelectedInstOperands,
     /* 261548 */     // GIR_Coverage, 12542,
     /* 261548 */     GIR_EraseRootFromParent_Done,
     /* 261549 */   // Label 5204: @261549
     /* 261549 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(261597), // Rule ID 12544 //
     /* 261554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 261557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbt_lane),
     /* 261562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 261565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 261568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261578 */     // MIs[0] Op4
     /* 261578 */     // No operand predicates
     /* 261578 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1510:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLBT_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBT_ZZZI),
     /* 261581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261583 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261585 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261587 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261589 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261591 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261595 */     GIR_RootConstrainSelectedInstOperands,
     /* 261596 */     // GIR_Coverage, 12544,
     /* 261596 */     GIR_EraseRootFromParent_Done,
     /* 261597 */   // Label 5205: @261597
     /* 261597 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(261645), // Rule ID 12545 //
     /* 261602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 261605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltb_lane),
     /* 261610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 261613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 261616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261626 */     // MIs[0] Op4
     /* 261626 */     // No operand predicates
     /* 261626 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1512:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLTB_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTB_ZZZI),
     /* 261629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261633 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261635 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261637 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261643 */     GIR_RootConstrainSelectedInstOperands,
     /* 261644 */     // GIR_Coverage, 12545,
     /* 261644 */     GIR_EraseRootFromParent_Done,
     /* 261645 */   // Label 5206: @261645
     /* 261645 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(261693), // Rule ID 12546 //
     /* 261650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 261653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltt_lane),
     /* 261658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 261661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 261664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261674 */     // MIs[0] Op4
     /* 261674 */     // No operand predicates
     /* 261674 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1514:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLTT_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTT_ZZZI),
     /* 261677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261679 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261681 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261683 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261685 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261687 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261691 */     GIR_RootConstrainSelectedInstOperands,
     /* 261692 */     // GIR_Coverage, 12546,
     /* 261692 */     GIR_EraseRootFromParent_Done,
     /* 261693 */   // Label 5207: @261693
     /* 261693 */   GIM_Reject,
     /* 261694 */ // Label 5157: @261694
     /* 261694 */ GIM_Reject,
     /* 261695 */ // Label 37: @261695
     /* 261695 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 5212*/ GIMT_Encode4(261984),
     /* 261706 */ /*GILLT_s64*//*Label 5208*/ GIMT_Encode4(261738), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 261718 */ /*GILLT_v2s64*//*Label 5209*/ GIMT_Encode4(261798), GIMT_Encode4(0),
     /* 261726 */ /*GILLT_v4s32*//*Label 5210*/ GIMT_Encode4(261860), GIMT_Encode4(0),
     /* 261734 */ /*GILLT_v8s16*//*Label 5211*/ GIMT_Encode4(261922),
     /* 261738 */ // Label 5208: @261738
     /* 261738 */ GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(261797), // Rule ID 6505 //
     /* 261743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 261746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 261750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261754 */   // (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$src)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$src, sub_32:{ *:[i32] })
     /* 261754 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 261757 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 261761 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 261766 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 261768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 261771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 261773 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 261776 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 261778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 261781 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 261786 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 261791 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261796 */   // GIR_Coverage, 6505,
     /* 261796 */   GIR_EraseRootFromParent_Done,
     /* 261797 */ // Label 5213: @261797
     /* 261797 */ GIM_Reject,
     /* 261798 */ // Label 5209: @261798
     /* 261798 */ GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(261859),
     /* 261803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 261806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261810 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(261837), // Rule ID 6377 //
     /* 261815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 261822 */     // (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (USHLLv4i32_shift:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i32] })
     /* 261822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i32_shift),
     /* 261825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 261832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261835 */     GIR_RootConstrainSelectedInstOperands,
     /* 261836 */     // GIR_Coverage, 6377,
     /* 261836 */     GIR_EraseRootFromParent_Done,
     /* 261837 */   // Label 5215: @261837
     /* 261837 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(261858), // Rule ID 6370 //
     /* 261842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261846 */     // (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (USHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, 0:{ *:[i32] })
     /* 261846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 261849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261851 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261856 */     GIR_RootConstrainSelectedInstOperands,
     /* 261857 */     // GIR_Coverage, 6370,
     /* 261857 */     GIR_EraseRootFromParent_Done,
     /* 261858 */   // Label 5216: @261858
     /* 261858 */   GIM_Reject,
     /* 261859 */ // Label 5214: @261859
     /* 261859 */ GIM_Reject,
     /* 261860 */ // Label 5210: @261860
     /* 261860 */ GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(261921),
     /* 261865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 261868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261872 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(261899), // Rule ID 6374 //
     /* 261877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 261884 */     // (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (USHLLv8i16_shift:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i32] })
     /* 261884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i16_shift),
     /* 261887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 261894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261897 */     GIR_RootConstrainSelectedInstOperands,
     /* 261898 */     // GIR_Coverage, 6374,
     /* 261898 */     GIR_EraseRootFromParent_Done,
     /* 261899 */   // Label 5218: @261899
     /* 261899 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(261920), // Rule ID 6367 //
     /* 261904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261908 */     // (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (USHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, 0:{ *:[i32] })
     /* 261908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i16_shift),
     /* 261911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261913 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261918 */     GIR_RootConstrainSelectedInstOperands,
     /* 261919 */     // GIR_Coverage, 6367,
     /* 261919 */     GIR_EraseRootFromParent_Done,
     /* 261920 */   // Label 5219: @261920
     /* 261920 */   GIM_Reject,
     /* 261921 */ // Label 5217: @261921
     /* 261921 */ GIM_Reject,
     /* 261922 */ // Label 5211: @261922
     /* 261922 */ GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(261983),
     /* 261927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 261930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261934 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(261961), // Rule ID 6371 //
     /* 261939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 261946 */     // (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn))  =>  (USHLLv16i8_shift:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i32] })
     /* 261946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv16i8_shift),
     /* 261949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 261956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261959 */     GIR_RootConstrainSelectedInstOperands,
     /* 261960 */     // GIR_Coverage, 6371,
     /* 261960 */     GIR_EraseRootFromParent_Done,
     /* 261961 */   // Label 5221: @261961
     /* 261961 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(261982), // Rule ID 6364 //
     /* 261966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261970 */     // (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn)  =>  (USHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, 0:{ *:[i32] })
     /* 261970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i8_shift),
     /* 261973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261975 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261980 */     GIR_RootConstrainSelectedInstOperands,
     /* 261981 */     // GIR_Coverage, 6364,
     /* 261981 */     GIR_EraseRootFromParent_Done,
     /* 261982 */   // Label 5222: @261982
     /* 261982 */   GIM_Reject,
     /* 261983 */ // Label 5220: @261983
     /* 261983 */ GIM_Reject,
     /* 261984 */ // Label 5212: @261984
     /* 261984 */ GIM_Reject,
     /* 261985 */ // Label 38: @261985
     /* 261985 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(10), /*)*//*default:*//*Label 5227*/ GIMT_Encode4(263421),
     /* 261996 */ /*GILLT_s32*//*Label 5223*/ GIMT_Encode4(262028), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 262008 */ /*GILLT_v2s32*//*Label 5224*/ GIMT_Encode4(262067), GIMT_Encode4(0),
     /* 262016 */ /*GILLT_v4s16*//*Label 5225*/ GIMT_Encode4(262423), GIMT_Encode4(0),
     /* 262024 */ /*GILLT_v8s8*//*Label 5226*/ GIMT_Encode4(262922),
     /* 262028 */ // Label 5223: @262028
     /* 262028 */ GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(262066), // Rule ID 6526 //
     /* 262033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 262036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 262040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 262044 */   // (trunc:{ *:[i32] } GPR64sp:{ *:[i64] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i32] } GPR64sp:{ *:[i64] }:$src, sub_32:{ *:[i32] })
     /* 262044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 262047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 262049 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // src
     /* 262055 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 262060 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 262065 */   // GIR_Coverage, 6526,
     /* 262065 */   GIR_EraseRootFromParent_Done,
     /* 262066 */ // Label 5228: @262066
     /* 262066 */ GIM_Reject,
     /* 262067 */ // Label 5224: @262067
     /* 262067 */ GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(262422),
     /* 262072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262079 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(262157), // Rule ID 5430 //
     /* 262084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 262104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262108 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 262112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 262121 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 262127 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /* 262129 */     // MIs[1] Operand 2
     /* 262129 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 262140 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 262142 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] }:$Rm), 32:{ *:[i32] }))  =>  (SUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 262142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v2i32),
     /* 262145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262155 */     GIR_RootConstrainSelectedInstOperands,
     /* 262156 */     // GIR_Coverage, 5430,
     /* 262156 */     GIR_EraseRootFromParent_Done,
     /* 262157 */   // Label 5230: @262157
     /* 262157 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(262228), // Rule ID 5426 //
     /* 262162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 262182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262186 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 262190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262195 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262200 */     // MIs[1] Operand 2
     /* 262200 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 262211 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262213 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] }))  =>  (ADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 262213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v2i32),
     /* 262216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262226 */     GIR_RootConstrainSelectedInstOperands,
     /* 262227 */     // GIR_Coverage, 5426,
     /* 262227 */     GIR_EraseRootFromParent_Done,
     /* 262228 */   // Label 5231: @262228
     /* 262228 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(262299), // Rule ID 5428 //
     /* 262233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 262253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262257 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 262261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262266 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262271 */     // MIs[1] Operand 2
     /* 262271 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 262282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262284 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] }))  =>  (SUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 262284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v2i32),
     /* 262287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262297 */     GIR_RootConstrainSelectedInstOperands,
     /* 262298 */     // GIR_Coverage, 5428,
     /* 262298 */     GIR_EraseRootFromParent_Done,
     /* 262299 */   // Label 5232: @262299
     /* 262299 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(262352), // Rule ID 2162 //
     /* 262304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 262307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /* 262315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262324 */     // MIs[1] imm
     /* 262324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 262328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262332 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /* 262336 */     // MIs[2] Operand 1
     /* 262336 */     // No operand predicates
     /* 262336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262338 */     // (trunc:{ *:[v2i32] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm))  =>  (SHRNv2i32_shift:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 262338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv2i32_shift),
     /* 262341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262350 */     GIR_RootConstrainSelectedInstOperands,
     /* 262351 */     // GIR_Coverage, 2162,
     /* 262351 */     GIR_EraseRootFromParent_Done,
     /* 262352 */   // Label 5233: @262352
     /* 262352 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(262402), // Rule ID 6352 //
     /* 262357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262374 */     // MIs[1] imm
     /* 262374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 262378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262382 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /* 262386 */     // MIs[2] Operand 1
     /* 262386 */     // No operand predicates
     /* 262386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262388 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm))  =>  (SHRNv2i32_shift:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)
     /* 262388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv2i32_shift),
     /* 262391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262400 */     GIR_RootConstrainSelectedInstOperands,
     /* 262401 */     // GIR_Coverage, 6352,
     /* 262401 */     GIR_EraseRootFromParent_Done,
     /* 262402 */   // Label 5234: @262402
     /* 262402 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(262421), // Rule ID 1099 //
     /* 262407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 262410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262414 */     // (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn)  =>  (XTNv2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn)
     /* 262414 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::XTNv2i32),
     /* 262419 */     GIR_RootConstrainSelectedInstOperands,
     /* 262420 */     // GIR_Coverage, 1099,
     /* 262420 */     GIR_Done,
     /* 262421 */   // Label 5235: @262421
     /* 262421 */   GIM_Reject,
     /* 262422 */ // Label 5229: @262422
     /* 262422 */ GIM_Reject,
     /* 262423 */ // Label 5225: @262423
     /* 262423 */ GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(262921),
     /* 262428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262435 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(262513), // Rule ID 5424 //
     /* 262440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 262460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262464 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 262468 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262473 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 262477 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 262483 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /* 262485 */     // MIs[1] Operand 2
     /* 262485 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 262496 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 262498 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] }:$Rm), 16:{ *:[i32] }))  =>  (SUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 262498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v4i16),
     /* 262501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262511 */     GIR_RootConstrainSelectedInstOperands,
     /* 262512 */     // GIR_Coverage, 5424,
     /* 262512 */     GIR_EraseRootFromParent_Done,
     /* 262513 */   // Label 5237: @262513
     /* 262513 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(262584), // Rule ID 5420 //
     /* 262518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 262538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262542 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 262546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262556 */     // MIs[1] Operand 2
     /* 262556 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 262567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262569 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] }))  =>  (ADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 262569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v4i16),
     /* 262572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262582 */     GIR_RootConstrainSelectedInstOperands,
     /* 262583 */     // GIR_Coverage, 5420,
     /* 262583 */     GIR_EraseRootFromParent_Done,
     /* 262584 */   // Label 5238: @262584
     /* 262584 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(262655), // Rule ID 5422 //
     /* 262589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 262609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262613 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 262617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262627 */     // MIs[1] Operand 2
     /* 262627 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 262638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262640 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] }))  =>  (SUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 262640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v4i16),
     /* 262643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262653 */     GIR_RootConstrainSelectedInstOperands,
     /* 262654 */     // GIR_Coverage, 5422,
     /* 262654 */     GIR_EraseRootFromParent_Done,
     /* 262655 */   // Label 5239: @262655
     /* 262655 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(262747), // Rule ID 5546 //
     /* 262660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 262668 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 262671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 262675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 262679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 262687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262691 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262696 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 262700 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 262704 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262708 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262713 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 262715 */     // (trunc:{ *:[v4i16] } (concat_vectors:{ *:[v4i32] } (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vn), (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vm)))  =>  (XTNv4i16:{ *:[v4i16] } (UZP1v4i32:{ *:[f128] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm))
     /* 262715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 262718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /* 262722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262727 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /* 262731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, // Vm
     /* 262735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 262737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv4i16),
     /* 262740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 262745 */     GIR_RootConstrainSelectedInstOperands,
     /* 262746 */     // GIR_Coverage, 5546,
     /* 262746 */     GIR_EraseRootFromParent_Done,
     /* 262747 */   // Label 5240: @262747
     /* 262747 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(262800), // Rule ID 2161 //
     /* 262752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 262755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /* 262763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262772 */     // MIs[1] imm
     /* 262772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 262776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262780 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /* 262784 */     // MIs[2] Operand 1
     /* 262784 */     // No operand predicates
     /* 262784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262786 */     // (trunc:{ *:[v4i16] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm))  =>  (SHRNv4i16_shift:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 262786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i16_shift),
     /* 262789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262798 */     GIR_RootConstrainSelectedInstOperands,
     /* 262799 */     // GIR_Coverage, 2161,
     /* 262799 */     GIR_EraseRootFromParent_Done,
     /* 262800 */   // Label 5241: @262800
     /* 262800 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(262850), // Rule ID 6351 //
     /* 262805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262822 */     // MIs[1] imm
     /* 262822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 262826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262830 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /* 262834 */     // MIs[2] Operand 1
     /* 262834 */     // No operand predicates
     /* 262834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262836 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm))  =>  (SHRNv4i16_shift:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /* 262836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i16_shift),
     /* 262839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262848 */     GIR_RootConstrainSelectedInstOperands,
     /* 262849 */     // GIR_Coverage, 6351,
     /* 262849 */     GIR_EraseRootFromParent_Done,
     /* 262850 */   // Label 5242: @262850
     /* 262850 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(262901), // Rule ID 5574 //
     /* 262855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 262863 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 262866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 262870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 262874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262886 */     // (trunc:{ *:[v4i16] } (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vm))  =>  (UZP1v4i16:{ *:[v4i16] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vm)
     /* 262886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i16),
     /* 262889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 262895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 262899 */     GIR_RootConstrainSelectedInstOperands,
     /* 262900 */     // GIR_Coverage, 5574,
     /* 262900 */     GIR_EraseRootFromParent_Done,
     /* 262901 */   // Label 5243: @262901
     /* 262901 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(262920), // Rule ID 1098 //
     /* 262906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 262909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262913 */     // (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn)  =>  (XTNv4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn)
     /* 262913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::XTNv4i16),
     /* 262918 */     GIR_RootConstrainSelectedInstOperands,
     /* 262919 */     // GIR_Coverage, 1098,
     /* 262919 */     GIR_Done,
     /* 262920 */   // Label 5244: @262920
     /* 262920 */   GIM_Reject,
     /* 262921 */ // Label 5236: @262921
     /* 262921 */ GIM_Reject,
     /* 262922 */ // Label 5226: @262922
     /* 262922 */ GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(263420),
     /* 262927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 262930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262934 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(263012), // Rule ID 5418 //
     /* 262939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 262951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 262959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 262963 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 262967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 262976 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 262982 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /* 262984 */     // MIs[1] Operand 2
     /* 262984 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 262995 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 262997 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] }:$Rm), 8:{ *:[i32] }))  =>  (SUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 262997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v8i8),
     /* 263000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 263006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 263010 */     GIR_RootConstrainSelectedInstOperands,
     /* 263011 */     // GIR_Coverage, 5418,
     /* 263011 */     GIR_EraseRootFromParent_Done,
     /* 263012 */   // Label 5246: @263012
     /* 263012 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(263083), // Rule ID 5414 //
     /* 263017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 263025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 263029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 263033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 263037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 263041 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 263045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263055 */     // MIs[1] Operand 2
     /* 263055 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 263066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 263068 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] }))  =>  (ADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 263068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v8i8),
     /* 263071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 263077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 263081 */     GIR_RootConstrainSelectedInstOperands,
     /* 263082 */     // GIR_Coverage, 5414,
     /* 263082 */     GIR_EraseRootFromParent_Done,
     /* 263083 */   // Label 5247: @263083
     /* 263083 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(263154), // Rule ID 5416 //
     /* 263088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 263096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 263100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 263104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 263108 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 263112 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 263116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263121 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263126 */     // MIs[1] Operand 2
     /* 263126 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 263137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 263139 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] }))  =>  (SUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 263139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v8i8),
     /* 263142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 263148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 263152 */     GIR_RootConstrainSelectedInstOperands,
     /* 263153 */     // GIR_Coverage, 5416,
     /* 263153 */     GIR_EraseRootFromParent_Done,
     /* 263154 */   // Label 5248: @263154
     /* 263154 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(263246), // Rule ID 5519 //
     /* 263159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 263167 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 263174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 263178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 263182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 263186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 263190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 263199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 263203 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 263207 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263212 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 263214 */     // (trunc:{ *:[v8i8] } (concat_vectors:{ *:[v8i16] } (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vn), (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vm)))  =>  (XTNv8i8:{ *:[v8i8] } (UZP1v8i16:{ *:[f128] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm))
     /* 263214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 263217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /* 263221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263226 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /* 263230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, // Vm
     /* 263234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 263236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv8i8),
     /* 263239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263244 */     GIR_RootConstrainSelectedInstOperands,
     /* 263245 */     // GIR_Coverage, 5519,
     /* 263245 */     GIR_EraseRootFromParent_Done,
     /* 263246 */   // Label 5249: @263246
     /* 263246 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(263299), // Rule ID 2160 //
     /* 263251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 263254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /* 263262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 263266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263271 */     // MIs[1] imm
     /* 263271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 263275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 263279 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /* 263283 */     // MIs[2] Operand 1
     /* 263283 */     // No operand predicates
     /* 263283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 263285 */     // (trunc:{ *:[v8i8] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm))  =>  (SHRNv8i8_shift:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 263285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i8_shift),
     /* 263288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 263294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 263297 */     GIR_RootConstrainSelectedInstOperands,
     /* 263298 */     // GIR_Coverage, 2160,
     /* 263298 */     GIR_EraseRootFromParent_Done,
     /* 263299 */   // Label 5250: @263299
     /* 263299 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(263349), // Rule ID 6350 //
     /* 263304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 263312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 263316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263321 */     // MIs[1] imm
     /* 263321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 263325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 263329 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /* 263333 */     // MIs[2] Operand 1
     /* 263333 */     // No operand predicates
     /* 263333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 263335 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm))  =>  (SHRNv8i8_shift:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /* 263335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i8_shift),
     /* 263338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 263344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 263347 */     GIR_RootConstrainSelectedInstOperands,
     /* 263348 */     // GIR_Coverage, 6350,
     /* 263348 */     GIR_EraseRootFromParent_Done,
     /* 263349 */   // Label 5251: @263349
     /* 263349 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(263400), // Rule ID 5573 //
     /* 263354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 263362 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 263369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 263373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263385 */     // (trunc:{ *:[v8i8] } (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vm))  =>  (UZP1v8i8:{ *:[v8i8] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vm)
     /* 263385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i8),
     /* 263388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 263394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 263398 */     GIR_RootConstrainSelectedInstOperands,
     /* 263399 */     // GIR_Coverage, 5573,
     /* 263399 */     GIR_EraseRootFromParent_Done,
     /* 263400 */   // Label 5252: @263400
     /* 263400 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(263419), // Rule ID 1097 //
     /* 263405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 263408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263412 */     // (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn)  =>  (XTNv8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn)
     /* 263412 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::XTNv8i8),
     /* 263417 */     GIR_RootConstrainSelectedInstOperands,
     /* 263418 */     // GIR_Coverage, 1097,
     /* 263418 */     GIR_Done,
     /* 263419 */   // Label 5253: @263419
     /* 263419 */   GIM_Reject,
     /* 263420 */ // Label 5245: @263420
     /* 263420 */ GIM_Reject,
     /* 263421 */ // Label 5227: @263421
     /* 263421 */ GIM_Reject,
     /* 263422 */ // Label 39: @263422
     /* 263422 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5256*/ GIMT_Encode4(263541),
     /* 263433 */ /*GILLT_s32*//*Label 5254*/ GIMT_Encode4(263441),
     /* 263437 */ /*GILLT_s64*//*Label 5255*/ GIMT_Encode4(263461),
     /* 263441 */ // Label 5254: @263441
     /* 263441 */ GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(263460), // Rule ID 81 //
     /* 263446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263450 */   // MIs[0] Operand 1
     /* 263450 */   // No operand predicates
     /* 263450 */   // (imm:{ *:[i32] }):$src  =>  (MOVi32imm:{ *:[i32] } (imm:{ *:[i32] }):$src)
     /* 263450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /* 263453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 263455 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 263458 */   GIR_RootConstrainSelectedInstOperands,
     /* 263459 */   // GIR_Coverage, 81,
     /* 263459 */   GIR_EraseRootFromParent_Done,
     /* 263460 */ // Label 5257: @263460
     /* 263460 */ GIM_Reject,
     /* 263461 */ // Label 5255: @263461
     /* 263461 */ GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(263521), // Rule ID 3905 //
     /* 263466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptimizedGISelOrOtherSelector),
     /* 263469 */   GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /* 263473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 263477 */   // MIs[0] Operand 1
     /* 263477 */   // No operand predicates
     /* 263477 */   // (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$src  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$src)), sub_32:{ *:[i32] })
     /* 263477 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 263480 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /* 263484 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263489 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // src
     /* 263494 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 263496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 263499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 263501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263504 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 263510 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 263515 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263520 */   // GIR_Coverage, 3905,
     /* 263520 */   GIR_EraseRootFromParent_Done,
     /* 263521 */ // Label 5258: @263521
     /* 263521 */ GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(263540), // Rule ID 82 //
     /* 263526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263530 */   // MIs[0] Operand 1
     /* 263530 */   // No operand predicates
     /* 263530 */   // (imm:{ *:[i64] }):$src  =>  (MOVi64imm:{ *:[i64] } (imm:{ *:[i64] }):$src)
     /* 263530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MOVi64imm),
     /* 263533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 263535 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 263538 */   GIR_RootConstrainSelectedInstOperands,
     /* 263539 */   // GIR_Coverage, 82,
     /* 263539 */   GIR_EraseRootFromParent_Done,
     /* 263540 */ // Label 5259: @263540
     /* 263540 */ GIM_Reject,
     /* 263541 */ // Label 5256: @263541
     /* 263541 */ GIM_Reject,
     /* 263542 */ // Label 40: @263542
     /* 263542 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 5263*/ GIMT_Encode4(263782),
     /* 263553 */ /*GILLT_s16*//*Label 5260*/ GIMT_Encode4(263565),
     /* 263557 */ /*GILLT_s32*//*Label 5261*/ GIMT_Encode4(263617),
     /* 263561 */ /*GILLT_s64*//*Label 5262*/ GIMT_Encode4(263730),
     /* 263565 */ // Label 5260: @263565
     /* 263565 */ GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(263588), // Rule ID 506 //
     /* 263570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 263573 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 263577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 263581 */   // MIs[0] Operand 1
     /* 263581 */   // No operand predicates
     /* 263581 */   // (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>  =>  (FMOVH0:{ *:[f16] })
     /* 263581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVH0),
     /* 263584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263586 */   GIR_RootConstrainSelectedInstOperands,
     /* 263587 */   // GIR_Coverage, 506,
     /* 263587 */   GIR_EraseRootFromParent_Done,
     /* 263588 */ // Label 5264: @263588
     /* 263588 */ GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(263616), // Rule ID 688 //
     /* 263593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 263596 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 263600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 263604 */   // MIs[0] Operand 1
     /* 263604 */   // No operand predicates
     /* 263604 */   // (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm  =>  (FMOVHi:{ *:[f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] }):$imm))
     /* 263604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVHi),
     /* 263607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263609 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm
     /* 263614 */   GIR_RootConstrainSelectedInstOperands,
     /* 263615 */   // GIR_Coverage, 688,
     /* 263615 */   GIR_EraseRootFromParent_Done,
     /* 263616 */ // Label 5265: @263616
     /* 263616 */ GIM_Reject,
     /* 263617 */ // Label 5261: @263617
     /* 263617 */ GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(263640), // Rule ID 507 //
     /* 263622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 263625 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 263629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 263633 */   // MIs[0] Operand 1
     /* 263633 */   // No operand predicates
     /* 263633 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>  =>  (FMOVS0:{ *:[f32] })
     /* 263633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVS0),
     /* 263636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263638 */   GIR_RootConstrainSelectedInstOperands,
     /* 263639 */   // GIR_Coverage, 507,
     /* 263639 */   GIR_EraseRootFromParent_Done,
     /* 263640 */ // Label 5266: @263640
     /* 263640 */ GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(263668), // Rule ID 689 //
     /* 263645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 263648 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 263652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 263656 */   // MIs[0] Operand 1
     /* 263656 */   // No operand predicates
     /* 263656 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm  =>  (FMOVSi:{ *:[f32] } (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] }):$imm))
     /* 263656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVSi),
     /* 263659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263661 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm
     /* 263666 */   GIR_RootConstrainSelectedInstOperands,
     /* 263667 */   // GIR_Coverage, 689,
     /* 263667 */   GIR_EraseRootFromParent_Done,
     /* 263668 */ // Label 5267: @263668
     /* 263668 */ GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(263729), // Rule ID 6039 //
     /* 263673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 263676 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32SIMDModImmType4),
     /* 263680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 263684 */   // MIs[0] Operand 1
     /* 263684 */   // No operand predicates
     /* 263684 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm32SIMDModImmType4>><<X:fpimm32SIMDModImmType4XForm>>:$in  =>  (EXTRACT_SUBREG:{ *:[f32] } (MOVIv2i32:{ *:[i64] } (fpimm32SIMDModImmType4XForm:{ *:[i32] } f32:{ *:[f32] }:$in), 24:{ *:[i32] }), ssub:{ *:[i32] })
     /* 263684 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 263687 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2i32),
     /* 263691 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263696 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32SIMDModImmType4), // in
     /* 263701 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/24,
     /* 263704 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 263706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 263709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 263711 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 263718 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 263723 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263728 */   // GIR_Coverage, 6039,
     /* 263728 */   GIR_EraseRootFromParent_Done,
     /* 263729 */ // Label 5268: @263729
     /* 263729 */ GIM_Reject,
     /* 263730 */ // Label 5262: @263730
     /* 263730 */ GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(263753), // Rule ID 508 //
     /* 263735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 263738 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 263742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263746 */   // MIs[0] Operand 1
     /* 263746 */   // No operand predicates
     /* 263746 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>  =>  (FMOVD0:{ *:[f64] })
     /* 263746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVD0),
     /* 263749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263751 */   GIR_RootConstrainSelectedInstOperands,
     /* 263752 */   // GIR_Coverage, 508,
     /* 263752 */   GIR_EraseRootFromParent_Done,
     /* 263753 */ // Label 5269: @263753
     /* 263753 */ GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(263781), // Rule ID 690 //
     /* 263758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 263761 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm64),
     /* 263765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263769 */   // MIs[0] Operand 1
     /* 263769 */   // No operand predicates
     /* 263769 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>><<X:fpimm64XForm>>:$imm  =>  (FMOVDi:{ *:[f64] } (fpimm64XForm:{ *:[f64] } (fpimm:{ *:[f64] }):$imm))
     /* 263769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVDi),
     /* 263772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263774 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm64), // imm
     /* 263779 */   GIR_RootConstrainSelectedInstOperands,
     /* 263780 */   // GIR_Coverage, 690,
     /* 263780 */   GIR_EraseRootFromParent_Done,
     /* 263781 */ // Label 5270: @263781
     /* 263781 */ GIM_Reject,
     /* 263782 */ // Label 5263: @263782
     /* 263782 */ GIM_Reject,
     /* 263783 */ // Label 41: @263783
     /* 263783 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 5276*/ GIMT_Encode4(265680),
     /* 263794 */ /*GILLT_s32*//*Label 5271*/ GIMT_Encode4(263830),
     /* 263798 */ /*GILLT_s64*//*Label 5272*/ GIMT_Encode4(265271), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 263810 */ /*GILLT_v2s64*//*Label 5273*/ GIMT_Encode4(265494), GIMT_Encode4(0),
     /* 263818 */ /*GILLT_v4s32*//*Label 5274*/ GIMT_Encode4(265556), GIMT_Encode4(0),
     /* 263826 */ /*GILLT_v8s16*//*Label 5275*/ GIMT_Encode4(265618),
     /* 263830 */ // Label 5271: @263830
     /* 263830 */ GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(263950), // Rule ID 13117 //
     /* 263835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 263838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263842 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263846 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263850 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263853 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 263858 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 263862 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263867 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263869 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 662:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263869 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 263872 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 263876 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263881 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 263885 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 263887 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 263890 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 263894 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263899 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 263901 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 263904 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 263908 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263913 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 263916 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 263919 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 263922 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263927 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263932 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 263937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 263940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263942 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263948 */   GIR_RootConstrainSelectedInstOperands,
     /* 263949 */   // GIR_Coverage, 13117,
     /* 263949 */   GIR_EraseRootFromParent_Done,
     /* 263950 */ // Label 5277: @263950
     /* 263950 */ GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(264070), // Rule ID 13119 //
     /* 263955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 263958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263962 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263966 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263970 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263973 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 263978 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 263982 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263987 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263989 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 662:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263989 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 263992 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 263996 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264001 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264005 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264007 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264010 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264014 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264019 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264021 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264024 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264028 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264033 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264036 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264039 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 264042 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264047 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264052 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 264057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 264060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264062 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264068 */   GIR_RootConstrainSelectedInstOperands,
     /* 264069 */   // GIR_Coverage, 13119,
     /* 264069 */   GIR_EraseRootFromParent_Done,
     /* 264070 */ // Label 5278: @264070
     /* 264070 */ GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(264190), // Rule ID 13121 //
     /* 264075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 264078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264082 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264086 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264090 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264093 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 264098 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 264102 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264107 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264109 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 662:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264109 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 264112 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 264116 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264121 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264125 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264127 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264130 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264134 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264139 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264153 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264156 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264159 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 264162 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264167 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264172 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 264177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 264180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264182 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264188 */   GIR_RootConstrainSelectedInstOperands,
     /* 264189 */   // GIR_Coverage, 13121,
     /* 264189 */   GIR_EraseRootFromParent_Done,
     /* 264190 */ // Label 5279: @264190
     /* 264190 */ GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(264310), // Rule ID 13123 //
     /* 264195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 264198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264202 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264206 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264210 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264213 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 264218 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 264222 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264227 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264229 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 662:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264229 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 264232 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 264236 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264241 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264245 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264247 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264250 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264254 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264259 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264261 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264264 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264268 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264273 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264276 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264279 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 264282 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264287 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264292 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 264297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 264300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264302 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264308 */   GIR_RootConstrainSelectedInstOperands,
     /* 264309 */   // GIR_Coverage, 13123,
     /* 264309 */   GIR_EraseRootFromParent_Done,
     /* 264310 */ // Label 5280: @264310
     /* 264310 */ GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(264430), // Rule ID 13139 //
     /* 264315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 264318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264322 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264326 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264330 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264333 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 264338 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 264342 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264347 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264349 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 672:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264349 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 264352 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i8v),
     /* 264356 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264361 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264365 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264367 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264370 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264374 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264379 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264381 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264384 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264388 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264393 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264396 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264399 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 264402 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264407 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264412 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 264417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 264420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264422 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264428 */   GIR_RootConstrainSelectedInstOperands,
     /* 264429 */   // GIR_Coverage, 13139,
     /* 264429 */   GIR_EraseRootFromParent_Done,
     /* 264430 */ // Label 5281: @264430
     /* 264430 */ GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(264550), // Rule ID 13141 //
     /* 264435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 264438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264442 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264446 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264450 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264453 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 264458 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 264462 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264467 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264469 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 672:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264469 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 264472 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv16i8v),
     /* 264476 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264481 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264485 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264487 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264490 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264494 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264499 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264501 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264504 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264508 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264513 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264516 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264519 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 264522 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264527 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264532 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 264537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 264540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264542 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264548 */   GIR_RootConstrainSelectedInstOperands,
     /* 264549 */   // GIR_Coverage, 13141,
     /* 264549 */   GIR_EraseRootFromParent_Done,
     /* 264550 */ // Label 5282: @264550
     /* 264550 */ GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(264670), // Rule ID 13143 //
     /* 264555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 264558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264562 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264566 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264570 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264573 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 264578 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 264582 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264587 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264589 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 672:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264589 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 264592 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i16v),
     /* 264596 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264601 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264605 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264607 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264610 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264614 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264621 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264624 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264628 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264633 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264636 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264639 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 264642 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264647 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264652 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 264657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 264660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264662 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264668 */   GIR_RootConstrainSelectedInstOperands,
     /* 264669 */   // GIR_Coverage, 13143,
     /* 264669 */   GIR_EraseRootFromParent_Done,
     /* 264670 */ // Label 5283: @264670
     /* 264670 */ GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(264790), // Rule ID 13145 //
     /* 264675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 264678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264682 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264686 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264690 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264693 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 264698 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 264702 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264707 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264709 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 672:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264709 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 264712 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i16v),
     /* 264716 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264721 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264725 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264727 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264730 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264734 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264739 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264741 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264744 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264748 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264753 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264756 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264759 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 264762 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264767 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264772 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 264777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 264780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264782 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264788 */   GIR_RootConstrainSelectedInstOperands,
     /* 264789 */   // GIR_Coverage, 13145,
     /* 264789 */   GIR_EraseRootFromParent_Done,
     /* 264790 */ // Label 5284: @264790
     /* 264790 */ GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(264910), // Rule ID 13149 //
     /* 264795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 264798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264802 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264806 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264810 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264813 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 264818 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 264822 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264827 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264829 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 675:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264829 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 264832 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i8v),
     /* 264836 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264841 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264847 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264850 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264854 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264859 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264861 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264864 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264868 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264873 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264876 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264879 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 264882 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264887 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264892 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 264897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 264900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264902 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264908 */   GIR_RootConstrainSelectedInstOperands,
     /* 264909 */   // GIR_Coverage, 13149,
     /* 264909 */   GIR_EraseRootFromParent_Done,
     /* 264910 */ // Label 5285: @264910
     /* 264910 */ GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(265030), // Rule ID 13151 //
     /* 264915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 264918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264922 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264926 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264930 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264933 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 264938 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 264942 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264947 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264949 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 675:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264949 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 264952 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv16i8v),
     /* 264956 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264961 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264965 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264967 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264970 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264974 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264979 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264981 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264984 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264988 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264993 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264996 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264999 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 265002 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265007 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265012 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 265017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 265020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265022 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265028 */   GIR_RootConstrainSelectedInstOperands,
     /* 265029 */   // GIR_Coverage, 13151,
     /* 265029 */   GIR_EraseRootFromParent_Done,
     /* 265030 */ // Label 5286: @265030
     /* 265030 */ GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(265150), // Rule ID 13153 //
     /* 265035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 265038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 265042 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265046 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 265050 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 265053 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 265058 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 265062 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265067 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265069 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 675:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 265069 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 265072 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i16v),
     /* 265076 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265081 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 265085 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 265087 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 265090 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 265094 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 265101 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 265104 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 265108 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265113 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 265116 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 265119 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 265122 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265127 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265132 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 265137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 265140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265142 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265148 */   GIR_RootConstrainSelectedInstOperands,
     /* 265149 */   // GIR_Coverage, 13153,
     /* 265149 */   GIR_EraseRootFromParent_Done,
     /* 265150 */ // Label 5287: @265150
     /* 265150 */ GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(265270), // Rule ID 13155 //
     /* 265155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 265158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 265162 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265166 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 265170 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 265173 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 265178 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 265182 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265187 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265189 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 675:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 265189 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 265192 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i16v),
     /* 265196 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265201 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 265205 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 265207 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 265210 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 265214 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265219 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 265221 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 265224 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 265228 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265233 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 265236 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 265239 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 265242 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265247 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265252 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 265257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 265260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265262 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265268 */   GIR_RootConstrainSelectedInstOperands,
     /* 265269 */   // GIR_Coverage, 13155,
     /* 265269 */   GIR_EraseRootFromParent_Done,
     /* 265270 */ // Label 5288: @265270
     /* 265270 */ GIM_Reject,
     /* 265271 */ // Label 5272: @265271
     /* 265271 */ GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(265493),
     /* 265276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 265279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 265283 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(265337), // Rule ID 5657 //
     /* 265288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 265300 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265317 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 265321 */     // MIs[2] Operand 1
     /* 265321 */     // No operand predicates
     /* 265321 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265323 */     // (sext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SMOVvi32to64:{ *:[i64] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 265323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi32to64),
     /* 265326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 265332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 265335 */     GIR_RootConstrainSelectedInstOperands,
     /* 265336 */     // GIR_Coverage, 5657,
     /* 265336 */     GIR_EraseRootFromParent_Done,
     /* 265337 */   // Label 5290: @265337
     /* 265337 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(265416), // Rule ID 11222 //
     /* 265342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 265345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 265357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265369 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 265373 */     // MIs[2] Operand 1
     /* 265373 */     // No operand predicates
     /* 265373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265375 */     // (sext:{ *:[i64] } (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index))  =>  (SMOVvi32to64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v4i32] } ZPR:{ *:[nxv4i32] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index)
     /* 265375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 265378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 265382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265387 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 265393 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265398 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 265403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi32to64),
     /* 265406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 265414 */     GIR_RootConstrainSelectedInstOperands,
     /* 265415 */     // GIR_Coverage, 11222,
     /* 265415 */     GIR_EraseRootFromParent_Done,
     /* 265416 */   // Label 5291: @265416
     /* 265416 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(265492), // Rule ID 6507 //
     /* 265421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 265425 */     // (sext:{ *:[i64] } GPR32:{ *:[i32] }:$src)  =>  (SBFMXri:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$src, sub_32:{ *:[i32] }), 0:{ *:[i64] }, 31:{ *:[i64] })
     /* 265425 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 265428 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 265432 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 265439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 265442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 265446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265451 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 265454 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 265458 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 265461 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 265466 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 265471 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 265476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 265479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 265490 */     GIR_RootConstrainSelectedInstOperands,
     /* 265491 */     // GIR_Coverage, 6507,
     /* 265491 */     GIR_EraseRootFromParent_Done,
     /* 265492 */   // Label 5292: @265492
     /* 265492 */   GIM_Reject,
     /* 265493 */ // Label 5289: @265493
     /* 265493 */ GIM_Reject,
     /* 265494 */ // Label 5273: @265494
     /* 265494 */ GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(265555),
     /* 265499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 265502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265506 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(265533), // Rule ID 6379 //
     /* 265511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 265518 */     // (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (SSHLLv4i32_shift:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i32] })
     /* 265518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i32_shift),
     /* 265521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 265528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265531 */     GIR_RootConstrainSelectedInstOperands,
     /* 265532 */     // GIR_Coverage, 6379,
     /* 265532 */     GIR_EraseRootFromParent_Done,
     /* 265533 */   // Label 5294: @265533
     /* 265533 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(265554), // Rule ID 6368 //
     /* 265538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265542 */     // (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (SSHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, 0:{ *:[i32] })
     /* 265542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 265545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265547 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 265549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265552 */     GIR_RootConstrainSelectedInstOperands,
     /* 265553 */     // GIR_Coverage, 6368,
     /* 265553 */     GIR_EraseRootFromParent_Done,
     /* 265554 */   // Label 5295: @265554
     /* 265554 */   GIM_Reject,
     /* 265555 */ // Label 5293: @265555
     /* 265555 */ GIM_Reject,
     /* 265556 */ // Label 5274: @265556
     /* 265556 */ GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(265617),
     /* 265561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 265564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265568 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(265595), // Rule ID 6376 //
     /* 265573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 265580 */     // (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (SSHLLv8i16_shift:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i32] })
     /* 265580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i16_shift),
     /* 265583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 265590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265593 */     GIR_RootConstrainSelectedInstOperands,
     /* 265594 */     // GIR_Coverage, 6376,
     /* 265594 */     GIR_EraseRootFromParent_Done,
     /* 265595 */   // Label 5297: @265595
     /* 265595 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(265616), // Rule ID 6365 //
     /* 265600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265604 */     // (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SSHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, 0:{ *:[i32] })
     /* 265604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 265607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265609 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 265611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265614 */     GIR_RootConstrainSelectedInstOperands,
     /* 265615 */     // GIR_Coverage, 6365,
     /* 265615 */     GIR_EraseRootFromParent_Done,
     /* 265616 */   // Label 5298: @265616
     /* 265616 */   GIM_Reject,
     /* 265617 */ // Label 5296: @265617
     /* 265617 */ GIM_Reject,
     /* 265618 */ // Label 5275: @265618
     /* 265618 */ GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(265679),
     /* 265623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 265626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265630 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(265657), // Rule ID 6373 //
     /* 265635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 265642 */     // (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn))  =>  (SSHLLv16i8_shift:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i32] })
     /* 265642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv16i8_shift),
     /* 265645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 265652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265655 */     GIR_RootConstrainSelectedInstOperands,
     /* 265656 */     // GIR_Coverage, 6373,
     /* 265656 */     GIR_EraseRootFromParent_Done,
     /* 265657 */   // Label 5300: @265657
     /* 265657 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(265678), // Rule ID 6362 //
     /* 265662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265666 */     // (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn)  =>  (SSHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, 0:{ *:[i32] })
     /* 265666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 265669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265671 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 265673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265676 */     GIR_RootConstrainSelectedInstOperands,
     /* 265677 */     // GIR_Coverage, 6362,
     /* 265677 */     GIR_EraseRootFromParent_Done,
     /* 265678 */   // Label 5301: @265678
     /* 265678 */   GIM_Reject,
     /* 265679 */ // Label 5299: @265679
     /* 265679 */ GIM_Reject,
     /* 265680 */ // Label 5276: @265680
     /* 265680 */ GIM_Reject,
     /* 265681 */ // Label 42: @265681
     /* 265681 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(22), /*)*//*default:*//*Label 5307*/ GIMT_Encode4(267334),
     /* 265692 */ /*GILLT_s32*//*Label 5302*/ GIMT_Encode4(265772),
     /* 265696 */ /*GILLT_s64*//*Label 5303*/ GIMT_Encode4(266266), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 265748 */ /*GILLT_nxv2s64*//*Label 5304*/ GIMT_Encode4(266908), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 265760 */ /*GILLT_nxv4s32*//*Label 5305*/ GIMT_Encode4(267117), GIMT_Encode4(0),
     /* 265768 */ /*GILLT_nxv8s16*//*Label 5306*/ GIMT_Encode4(267261),
     /* 265772 */ // Label 5302: @265772
     /* 265772 */ GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(266265),
     /* 265777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 265780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 265784 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(265849), // Rule ID 5652 //
     /* 265789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 265801 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265818 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 265822 */     // MIs[2] Operand 1
     /* 265822 */     // No operand predicates
     /* 265822 */     // MIs[0] Operand 2
     /* 265822 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 265833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265835 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), i8:{ *:[Other] })  =>  (SMOVvi8to32:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /* 265835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 265838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 265844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 265847 */     GIR_RootConstrainSelectedInstOperands,
     /* 265848 */     // GIR_Coverage, 5652,
     /* 265848 */     GIR_EraseRootFromParent_Done,
     /* 265849 */   // Label 5309: @265849
     /* 265849 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(265914), // Rule ID 5654 //
     /* 265854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 265866 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265883 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 265887 */     // MIs[2] Operand 1
     /* 265887 */     // No operand predicates
     /* 265887 */     // MIs[0] Operand 2
     /* 265887 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265898 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265900 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), i16:{ *:[Other] })  =>  (SMOVvi16to32:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 265900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 265903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 265909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 265912 */     GIR_RootConstrainSelectedInstOperands,
     /* 265913 */     // GIR_Coverage, 5654,
     /* 265913 */     GIR_EraseRootFromParent_Done,
     /* 265914 */   // Label 5310: @265914
     /* 265914 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(265979), // Rule ID 5656 //
     /* 265919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 265931 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265948 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 265952 */     // MIs[2] Operand 1
     /* 265952 */     // No operand predicates
     /* 265952 */     // MIs[0] Operand 2
     /* 265952 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265965 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), i16:{ *:[Other] })  =>  (SMOVvi16to32:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 265965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 265968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 265974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 265977 */     GIR_RootConstrainSelectedInstOperands,
     /* 265978 */     // GIR_Coverage, 5656,
     /* 265978 */     GIR_EraseRootFromParent_Done,
     /* 265979 */   // Label 5311: @265979
     /* 265979 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(266069), // Rule ID 11218 //
     /* 265984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 265987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 265999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 266003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 266007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266011 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 266015 */     // MIs[2] Operand 1
     /* 266015 */     // No operand predicates
     /* 266015 */     // MIs[0] Operand 2
     /* 266015 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 266028 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index), i8:{ *:[Other] })  =>  (SMOVvi8to32:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)
     /* 266028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 266031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266040 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 266046 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266051 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 266056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 266059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 266067 */     GIR_RootConstrainSelectedInstOperands,
     /* 266068 */     // GIR_Coverage, 11218,
     /* 266068 */     GIR_EraseRootFromParent_Done,
     /* 266069 */   // Label 5312: @266069
     /* 266069 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(266159), // Rule ID 11220 //
     /* 266074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 266077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 266089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 266093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 266097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266101 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 266105 */     // MIs[2] Operand 1
     /* 266105 */     // No operand predicates
     /* 266105 */     // MIs[0] Operand 2
     /* 266105 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 266116 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 266118 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index), i16:{ *:[Other] })  =>  (SMOVvi16to32:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)
     /* 266118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 266121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266130 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 266136 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266141 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 266146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 266149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 266157 */     GIR_RootConstrainSelectedInstOperands,
     /* 266158 */     // GIR_Coverage, 11220,
     /* 266158 */     GIR_EraseRootFromParent_Done,
     /* 266159 */   // Label 5313: @266159
     /* 266159 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(266194), // Rule ID 6512 //
     /* 266164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266168 */     // MIs[0] Operand 2
     /* 266168 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 266179 */     // (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$src, i16:{ *:[Other] })  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$src, 0:{ *:[i64] }, 15:{ *:[i64] })
     /* 266179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 266182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266184 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 266192 */     GIR_RootConstrainSelectedInstOperands,
     /* 266193 */     // GIR_Coverage, 6512,
     /* 266193 */     GIR_EraseRootFromParent_Done,
     /* 266194 */   // Label 5314: @266194
     /* 266194 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(266229), // Rule ID 6513 //
     /* 266199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266203 */     // MIs[0] Operand 2
     /* 266203 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266214 */     // (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$src, i8:{ *:[Other] })  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$src, 0:{ *:[i64] }, 7:{ *:[i64] })
     /* 266214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 266217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266219 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 266227 */     GIR_RootConstrainSelectedInstOperands,
     /* 266228 */     // GIR_Coverage, 6513,
     /* 266228 */     GIR_EraseRootFromParent_Done,
     /* 266229 */   // Label 5315: @266229
     /* 266229 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(266264), // Rule ID 6514 //
     /* 266234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266238 */     // MIs[0] Operand 2
     /* 266238 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 266249 */     // (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$src, i1:{ *:[Other] })  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$src, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 266249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 266252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266254 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266262 */     GIR_RootConstrainSelectedInstOperands,
     /* 266263 */     // GIR_Coverage, 6514,
     /* 266263 */     GIR_EraseRootFromParent_Done,
     /* 266264 */   // Label 5316: @266264
     /* 266264 */   GIM_Reject,
     /* 266265 */ // Label 5308: @266265
     /* 266265 */ GIM_Reject,
     /* 266266 */ // Label 5303: @266266
     /* 266266 */ GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(266907),
     /* 266271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 266274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 266278 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(266355), // Rule ID 5658 //
     /* 266283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 266291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 266295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 266299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 266307 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 266311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266316 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 266320 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266324 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 266328 */     // MIs[3] Operand 1
     /* 266328 */     // No operand predicates
     /* 266328 */     // MIs[0] Operand 2
     /* 266328 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266339 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 266341 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)), i8:{ *:[Other] })  =>  (SMOVvi8to64:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /* 266341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to64),
     /* 266344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 266350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 266353 */     GIR_RootConstrainSelectedInstOperands,
     /* 266354 */     // GIR_Coverage, 5658,
     /* 266354 */     GIR_EraseRootFromParent_Done,
     /* 266355 */   // Label 5318: @266355
     /* 266355 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(266432), // Rule ID 5659 //
     /* 266360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 266368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 266372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 266376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 266384 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 266388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266393 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 266397 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266401 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 266405 */     // MIs[3] Operand 1
     /* 266405 */     // No operand predicates
     /* 266405 */     // MIs[0] Operand 2
     /* 266405 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 266416 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 266418 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), i16:{ *:[Other] })  =>  (SMOVvi16to64:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 266418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to64),
     /* 266421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 266427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 266430 */     GIR_RootConstrainSelectedInstOperands,
     /* 266431 */     // GIR_Coverage, 5659,
     /* 266431 */     GIR_EraseRootFromParent_Done,
     /* 266432 */   // Label 5319: @266432
     /* 266432 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(266534), // Rule ID 11219 //
     /* 266437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 266440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 266448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 266452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 266456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 266464 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 266468 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 266472 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266476 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 266480 */     // MIs[3] Operand 1
     /* 266480 */     // No operand predicates
     /* 266480 */     // MIs[0] Operand 2
     /* 266480 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266491 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 266493 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)), i8:{ *:[Other] })  =>  (SMOVvi8to64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)
     /* 266493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 266496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266505 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 266511 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266516 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 266521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to64),
     /* 266524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // index
     /* 266532 */     GIR_RootConstrainSelectedInstOperands,
     /* 266533 */     // GIR_Coverage, 11219,
     /* 266533 */     GIR_EraseRootFromParent_Done,
     /* 266534 */   // Label 5320: @266534
     /* 266534 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(266636), // Rule ID 11221 //
     /* 266539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 266542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 266550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 266554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 266558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 266566 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 266570 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 266574 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266578 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 266582 */     // MIs[3] Operand 1
     /* 266582 */     // No operand predicates
     /* 266582 */     // MIs[0] Operand 2
     /* 266582 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 266593 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 266595 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)), i16:{ *:[Other] })  =>  (SMOVvi16to64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)
     /* 266595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 266598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266607 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 266613 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266618 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 266623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to64),
     /* 266626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // index
     /* 266634 */     GIR_RootConstrainSelectedInstOperands,
     /* 266635 */     // GIR_Coverage, 11221,
     /* 266635 */     GIR_EraseRootFromParent_Done,
     /* 266636 */   // Label 5321: @266636
     /* 266636 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(266701), // Rule ID 5653 //
     /* 266641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 266653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 266657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 266666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266670 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 266674 */     // MIs[2] Operand 1
     /* 266674 */     // No operand predicates
     /* 266674 */     // MIs[0] Operand 2
     /* 266674 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 266687 */     // (sext_inreg:{ *:[i64] } (vector_extract:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), i8:{ *:[Other] })  =>  (SMOVvi8to64:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /* 266687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to64),
     /* 266690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 266696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 266699 */     GIR_RootConstrainSelectedInstOperands,
     /* 266700 */     // GIR_Coverage, 5653,
     /* 266700 */     GIR_EraseRootFromParent_Done,
     /* 266701 */   // Label 5322: @266701
     /* 266701 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(266766), // Rule ID 5655 //
     /* 266706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 266718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 266722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 266731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266735 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 266739 */     // MIs[2] Operand 1
     /* 266739 */     // No operand predicates
     /* 266739 */     // MIs[0] Operand 2
     /* 266739 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 266750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 266752 */     // (sext_inreg:{ *:[i64] } (vector_extract:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), i16:{ *:[Other] })  =>  (SMOVvi16to64:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 266752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to64),
     /* 266755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 266761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 266764 */     GIR_RootConstrainSelectedInstOperands,
     /* 266765 */     // GIR_Coverage, 5655,
     /* 266765 */     GIR_EraseRootFromParent_Done,
     /* 266766 */   // Label 5323: @266766
     /* 266766 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(266801), // Rule ID 6508 //
     /* 266771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 266775 */     // MIs[0] Operand 2
     /* 266775 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 266786 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i32:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 31:{ *:[i64] })
     /* 266786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 266789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266791 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 266799 */     GIR_RootConstrainSelectedInstOperands,
     /* 266800 */     // GIR_Coverage, 6508,
     /* 266800 */     GIR_EraseRootFromParent_Done,
     /* 266801 */   // Label 5324: @266801
     /* 266801 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(266836), // Rule ID 6509 //
     /* 266806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 266810 */     // MIs[0] Operand 2
     /* 266810 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 266821 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i16:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 15:{ *:[i64] })
     /* 266821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 266824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266826 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 266834 */     GIR_RootConstrainSelectedInstOperands,
     /* 266835 */     // GIR_Coverage, 6509,
     /* 266835 */     GIR_EraseRootFromParent_Done,
     /* 266836 */   // Label 5325: @266836
     /* 266836 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(266871), // Rule ID 6510 //
     /* 266841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 266845 */     // MIs[0] Operand 2
     /* 266845 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266856 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i8:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 7:{ *:[i64] })
     /* 266856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 266859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266861 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 266869 */     GIR_RootConstrainSelectedInstOperands,
     /* 266870 */     // GIR_Coverage, 6510,
     /* 266870 */     GIR_EraseRootFromParent_Done,
     /* 266871 */   // Label 5326: @266871
     /* 266871 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(266906), // Rule ID 6511 //
     /* 266876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 266880 */     // MIs[0] Operand 2
     /* 266880 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 266891 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i1:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 266891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 266894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266896 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266904 */     GIR_RootConstrainSelectedInstOperands,
     /* 266905 */     // GIR_Coverage, 6511,
     /* 266905 */     GIR_EraseRootFromParent_Done,
     /* 266906 */   // Label 5327: @266906
     /* 266906 */   GIM_Reject,
     /* 266907 */ // Label 5317: @266907
     /* 266907 */ GIM_Reject,
     /* 266908 */ // Label 5304: @266908
     /* 266908 */ GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(267116),
     /* 266913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 266916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 266920 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(266985), // Rule ID 10490 //
     /* 266925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 266928 */     // MIs[0] Operand 2
     /* 266928 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 266939 */     // (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, nxv2i32:{ *:[Other] })  =>  (SXTW_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv2i64] }:$Zs)
     /* 266939 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 266942 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 266946 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266951 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 266954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 266956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 266959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 266970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTW_ZPmZ_D_UNDEF),
     /* 266973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 266975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 266981 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 266983 */     GIR_RootConstrainSelectedInstOperands,
     /* 266984 */     // GIR_Coverage, 10490,
     /* 266984 */     GIR_EraseRootFromParent_Done,
     /* 266985 */   // Label 5329: @266985
     /* 266985 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(267050), // Rule ID 10491 //
     /* 266990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 266993 */     // MIs[0] Operand 2
     /* 266993 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 267004 */     // (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, nxv2i16:{ *:[Other] })  =>  (SXTH_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv2i64] }:$Zs)
     /* 267004 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 267007 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 267011 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267016 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 267019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 267021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 267024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 267035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTH_ZPmZ_D_UNDEF),
     /* 267038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 267040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 267046 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 267048 */     GIR_RootConstrainSelectedInstOperands,
     /* 267049 */     // GIR_Coverage, 10491,
     /* 267049 */     GIR_EraseRootFromParent_Done,
     /* 267050 */   // Label 5330: @267050
     /* 267050 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(267115), // Rule ID 10492 //
     /* 267055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 267058 */     // MIs[0] Operand 2
     /* 267058 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 267069 */     // (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, nxv2i8:{ *:[Other] })  =>  (SXTB_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv2i64] }:$Zs)
     /* 267069 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 267072 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 267076 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267081 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 267084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 267086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 267089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 267100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTB_ZPmZ_D_UNDEF),
     /* 267103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 267105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 267111 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 267113 */     GIR_RootConstrainSelectedInstOperands,
     /* 267114 */     // GIR_Coverage, 10492,
     /* 267114 */     GIR_EraseRootFromParent_Done,
     /* 267115 */   // Label 5331: @267115
     /* 267115 */   GIM_Reject,
     /* 267116 */ // Label 5328: @267116
     /* 267116 */ GIM_Reject,
     /* 267117 */ // Label 5305: @267117
     /* 267117 */ GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(267260),
     /* 267122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 267125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 267129 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(267194), // Rule ID 10493 //
     /* 267134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 267137 */     // MIs[0] Operand 2
     /* 267137 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 267148 */     // (sext_inreg:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Zs, nxv4i16:{ *:[Other] })  =>  (SXTH_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv4i32] }:$Zs)
     /* 267148 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 267151 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 267155 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267160 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 267163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 267165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 267168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 267179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTH_ZPmZ_S_UNDEF),
     /* 267182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 267184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 267190 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 267192 */     GIR_RootConstrainSelectedInstOperands,
     /* 267193 */     // GIR_Coverage, 10493,
     /* 267193 */     GIR_EraseRootFromParent_Done,
     /* 267194 */   // Label 5333: @267194
     /* 267194 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(267259), // Rule ID 10494 //
     /* 267199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 267202 */     // MIs[0] Operand 2
     /* 267202 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 267213 */     // (sext_inreg:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Zs, nxv4i8:{ *:[Other] })  =>  (SXTB_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv4i32] }:$Zs)
     /* 267213 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 267216 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 267220 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267225 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 267228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 267230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 267233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 267244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTB_ZPmZ_S_UNDEF),
     /* 267247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 267249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 267255 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 267257 */     GIR_RootConstrainSelectedInstOperands,
     /* 267258 */     // GIR_Coverage, 10494,
     /* 267258 */     GIR_EraseRootFromParent_Done,
     /* 267259 */   // Label 5334: @267259
     /* 267259 */   GIM_Reject,
     /* 267260 */ // Label 5332: @267260
     /* 267260 */ GIM_Reject,
     /* 267261 */ // Label 5306: @267261
     /* 267261 */ GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(267333), // Rule ID 10495 //
     /* 267266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 267269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 267272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 267276 */   // MIs[0] Operand 2
     /* 267276 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 267287 */   // (sext_inreg:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Zs, nxv8i8:{ *:[Other] })  =>  (SXTB_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv8i16] }:$Zs)
     /* 267287 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 267290 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 267294 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267299 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 267302 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 267304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 267307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 267318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTB_ZPmZ_H_UNDEF),
     /* 267321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 267323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267326 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 267329 */   GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 267331 */   GIR_RootConstrainSelectedInstOperands,
     /* 267332 */   // GIR_Coverage, 10495,
     /* 267332 */   GIR_EraseRootFromParent_Done,
     /* 267333 */ // Label 5335: @267333
     /* 267333 */ GIM_Reject,
     /* 267334 */ // Label 5307: @267334
     /* 267334 */ GIM_Reject,
     /* 267335 */ // Label 43: @267335
     /* 267335 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 5340*/ GIMT_Encode4(270113),
     /* 267346 */ /*GILLT_s32*//*Label 5336*/ GIMT_Encode4(267382), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 267362 */ /*GILLT_v2s64*//*Label 5337*/ GIMT_Encode4(269183), GIMT_Encode4(0),
     /* 267370 */ /*GILLT_v4s32*//*Label 5338*/ GIMT_Encode4(269493), GIMT_Encode4(0),
     /* 267378 */ /*GILLT_v8s16*//*Label 5339*/ GIMT_Encode4(269803),
     /* 267382 */ // Label 5336: @267382
     /* 267382 */ GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(267532), // Rule ID 13126 //
     /* 267387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 267390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267394 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267398 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267402 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267405 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 267410 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 267414 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 267419 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267421 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 727:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267421 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 267424 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 267428 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267433 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267437 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267439 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267442 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267446 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267451 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267453 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267456 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267460 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267465 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267468 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267471 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 267474 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267479 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267484 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 267489 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267492 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267496 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267501 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267508 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267513 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267523 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267526 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267531 */   // GIR_Coverage, 13126,
     /* 267531 */   GIR_EraseRootFromParent_Done,
     /* 267532 */ // Label 5341: @267532
     /* 267532 */ GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(267682), // Rule ID 13128 //
     /* 267537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 267540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267544 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267548 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267552 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267555 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 267560 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 267564 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267569 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267571 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 727:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267571 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 267574 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 267578 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267583 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267587 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267589 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267592 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267596 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267601 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267603 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267606 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267610 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267615 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267618 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267621 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 267624 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267629 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267634 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 267639 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267642 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267646 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267651 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267658 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267663 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267673 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267676 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267681 */   // GIR_Coverage, 13128,
     /* 267681 */   GIR_EraseRootFromParent_Done,
     /* 267682 */ // Label 5342: @267682
     /* 267682 */ GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(267832), // Rule ID 13130 //
     /* 267687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 267690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267694 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267698 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267702 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267705 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 267710 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 267714 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 267719 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267721 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 727:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267721 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 267724 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 267728 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267733 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267739 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267742 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267746 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267751 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267753 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267756 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267760 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267765 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267768 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267771 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 267774 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267779 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267784 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 267789 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267792 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267796 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267801 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267808 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267813 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267823 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267826 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267831 */   // GIR_Coverage, 13130,
     /* 267831 */   GIR_EraseRootFromParent_Done,
     /* 267832 */ // Label 5343: @267832
     /* 267832 */ GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(267982), // Rule ID 13132 //
     /* 267837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 267840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267844 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267848 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267852 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267855 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 267860 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 267864 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267869 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267871 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 727:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267871 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 267874 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 267878 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267883 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267887 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267889 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267892 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267896 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267901 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267903 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267906 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267910 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267915 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267918 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267921 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 267924 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267929 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267934 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 267939 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267942 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267946 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267951 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267958 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267963 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267973 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267976 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267981 */   // GIR_Coverage, 13132,
     /* 267981 */   GIR_EraseRootFromParent_Done,
     /* 267982 */ // Label 5344: @267982
     /* 267982 */ GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(268132), // Rule ID 13159 //
     /* 267987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 267990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267994 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267998 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268002 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268005 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 268010 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 268014 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268019 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268021 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 733:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268021 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 268024 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i8v),
     /* 268028 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268033 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268039 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268042 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268046 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268053 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268056 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268060 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268065 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268068 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268071 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 268074 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268079 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268084 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 268089 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268092 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268096 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268101 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268108 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268113 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268123 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268126 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268131 */   // GIR_Coverage, 13159,
     /* 268131 */   GIR_EraseRootFromParent_Done,
     /* 268132 */ // Label 5345: @268132
     /* 268132 */ GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(268282), // Rule ID 13161 //
     /* 268137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 268140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268144 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268148 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268152 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268155 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 268160 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 268164 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268169 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268171 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 733:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268171 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 268174 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv16i8v),
     /* 268178 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268183 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268187 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268189 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268192 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268196 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268201 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268203 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268206 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268210 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268215 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268218 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268221 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 268224 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268229 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268234 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 268239 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268242 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268246 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268251 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268258 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268263 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268273 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268276 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268281 */   // GIR_Coverage, 13161,
     /* 268281 */   GIR_EraseRootFromParent_Done,
     /* 268282 */ // Label 5346: @268282
     /* 268282 */ GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(268432), // Rule ID 13163 //
     /* 268287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 268290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268294 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268298 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268302 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268305 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 268310 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268314 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268319 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268321 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 733:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268321 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 268324 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i16v),
     /* 268328 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268333 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268337 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268339 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268342 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268346 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268351 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268353 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268356 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268360 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268365 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268368 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268371 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 268374 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268379 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268384 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 268389 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268392 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268396 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268401 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268408 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268413 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268423 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268426 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268431 */   // GIR_Coverage, 13163,
     /* 268431 */   GIR_EraseRootFromParent_Done,
     /* 268432 */ // Label 5347: @268432
     /* 268432 */ GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(268582), // Rule ID 13165 //
     /* 268437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 268440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268444 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268448 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268452 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268455 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 268460 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 268464 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268469 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268471 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 733:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268471 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 268474 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i16v),
     /* 268478 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268483 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268487 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268489 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268492 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268496 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268501 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268503 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268506 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268510 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268515 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268518 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268521 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 268524 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268529 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268534 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 268539 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268542 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268546 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268551 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268558 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268563 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268573 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268576 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268581 */   // GIR_Coverage, 13165,
     /* 268581 */   GIR_EraseRootFromParent_Done,
     /* 268582 */ // Label 5348: @268582
     /* 268582 */ GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(268732), // Rule ID 13169 //
     /* 268587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 268590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268594 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268598 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268602 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268605 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 268610 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 268614 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268619 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268621 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 736:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268621 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 268624 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i8v),
     /* 268628 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268633 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268639 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268642 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268646 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268651 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268653 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268656 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268660 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268665 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268668 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268671 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 268674 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268679 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268684 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 268689 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268692 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268696 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268701 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268708 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268713 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268723 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268726 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268731 */   // GIR_Coverage, 13169,
     /* 268731 */   GIR_EraseRootFromParent_Done,
     /* 268732 */ // Label 5349: @268732
     /* 268732 */ GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(268882), // Rule ID 13171 //
     /* 268737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 268740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268744 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268748 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268752 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268755 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 268760 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 268764 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268769 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268771 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 736:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268771 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 268774 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv16i8v),
     /* 268778 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268783 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268787 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268789 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268792 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268796 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268801 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268803 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268806 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268810 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268815 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268818 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268821 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 268824 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268829 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268834 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 268839 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268842 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268846 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268851 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268858 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268863 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268873 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268876 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268881 */   // GIR_Coverage, 13171,
     /* 268881 */   GIR_EraseRootFromParent_Done,
     /* 268882 */ // Label 5350: @268882
     /* 268882 */ GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(269032), // Rule ID 13173 //
     /* 268887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 268890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268894 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268898 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268902 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268905 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 268910 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268914 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268919 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268921 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 736:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268921 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 268924 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i16v),
     /* 268928 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268933 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268937 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268939 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268942 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268946 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268951 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268953 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268956 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268960 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268965 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268968 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268971 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 268974 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268979 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268984 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 268989 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268992 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268996 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269001 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 269008 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 269013 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 269023 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 269026 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269031 */   // GIR_Coverage, 13173,
     /* 269031 */   GIR_EraseRootFromParent_Done,
     /* 269032 */ // Label 5351: @269032
     /* 269032 */ GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(269182), // Rule ID 13175 //
     /* 269037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 269040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269044 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269048 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269052 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 269055 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 269060 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 269064 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269069 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269071 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 736:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 269071 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 269074 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i16v),
     /* 269078 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269083 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 269087 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 269089 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 269092 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 269096 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269101 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 269103 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 269106 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 269110 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269115 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 269118 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 269121 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 269124 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269129 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269134 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 269139 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 269142 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269146 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269151 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 269158 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 269163 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 269173 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 269176 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269181 */   // GIR_Coverage, 13175,
     /* 269181 */   GIR_EraseRootFromParent_Done,
     /* 269182 */ // Label 5352: @269182
     /* 269182 */ GIM_Reject,
     /* 269183 */ // Label 5337: @269183
     /* 269183 */ GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(269492),
     /* 269188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 269191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269195 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(269260), // Rule ID 702 //
     /* 269200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269211 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269214 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 269219 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 269223 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 269227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269229 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 269236 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 269243 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UABDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 269243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i32_v2i64),
     /* 269246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 269258 */     GIR_RootConstrainSelectedInstOperands,
     /* 269259 */     // GIR_Coverage, 702,
     /* 269259 */     GIR_EraseRootFromParent_Done,
     /* 269260 */   // Label 5354: @269260
     /* 269260 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(269325), // Rule ID 1711 //
     /* 269265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269276 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269279 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 269284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 269288 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 269292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269294 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 269301 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 269308 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SABDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 269308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv4i32_v2i64),
     /* 269311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 269323 */     GIR_RootConstrainSelectedInstOperands,
     /* 269324 */     // GIR_Coverage, 1711,
     /* 269324 */     GIR_EraseRootFromParent_Done,
     /* 269325 */   // Label 5355: @269325
     /* 269325 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(269384), // Rule ID 700 //
     /* 269330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269341 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269344 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 269349 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 269353 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 269357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269369 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UABDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 269369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv2i32_v2i64),
     /* 269372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 269378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 269382 */     GIR_RootConstrainSelectedInstOperands,
     /* 269383 */     // GIR_Coverage, 700,
     /* 269383 */     GIR_EraseRootFromParent_Done,
     /* 269384 */   // Label 5356: @269384
     /* 269384 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(269443), // Rule ID 1709 //
     /* 269389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269400 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269403 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 269408 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 269412 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 269416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269428 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SABDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 269428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv2i32_v2i64),
     /* 269431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 269437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 269441 */     GIR_RootConstrainSelectedInstOperands,
     /* 269442 */     // GIR_Coverage, 1709,
     /* 269442 */     GIR_EraseRootFromParent_Done,
     /* 269443 */   // Label 5357: @269443
     /* 269443 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(269470), // Rule ID 6378 //
     /* 269448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 269455 */     // (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (USHLLv4i32_shift:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i32] })
     /* 269455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i32_shift),
     /* 269458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 269468 */     GIR_RootConstrainSelectedInstOperands,
     /* 269469 */     // GIR_Coverage, 6378,
     /* 269469 */     GIR_EraseRootFromParent_Done,
     /* 269470 */   // Label 5358: @269470
     /* 269470 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(269491), // Rule ID 6369 //
     /* 269475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269479 */     // (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (USHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, 0:{ *:[i32] })
     /* 269479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 269482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269484 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 269489 */     GIR_RootConstrainSelectedInstOperands,
     /* 269490 */     // GIR_Coverage, 6369,
     /* 269490 */     GIR_EraseRootFromParent_Done,
     /* 269491 */   // Label 5359: @269491
     /* 269491 */   GIM_Reject,
     /* 269492 */ // Label 5353: @269492
     /* 269492 */ GIM_Reject,
     /* 269493 */ // Label 5338: @269493
     /* 269493 */ GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(269802),
     /* 269498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 269501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269505 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(269570), // Rule ID 698 //
     /* 269510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269521 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269524 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 269529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 269533 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 269537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269539 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 269546 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 269553 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UABDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 269553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i16_v4i32),
     /* 269556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 269568 */     GIR_RootConstrainSelectedInstOperands,
     /* 269569 */     // GIR_Coverage, 698,
     /* 269569 */     GIR_EraseRootFromParent_Done,
     /* 269570 */   // Label 5361: @269570
     /* 269570 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(269635), // Rule ID 1707 //
     /* 269575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269586 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269589 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 269594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 269598 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 269602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 269611 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 269618 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SABDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 269618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv8i16_v4i32),
     /* 269621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 269633 */     GIR_RootConstrainSelectedInstOperands,
     /* 269634 */     // GIR_Coverage, 1707,
     /* 269634 */     GIR_EraseRootFromParent_Done,
     /* 269635 */   // Label 5362: @269635
     /* 269635 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(269694), // Rule ID 696 //
     /* 269640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269651 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269654 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 269659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 269663 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 269667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269679 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UABDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 269679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i16_v4i32),
     /* 269682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 269688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 269692 */     GIR_RootConstrainSelectedInstOperands,
     /* 269693 */     // GIR_Coverage, 696,
     /* 269693 */     GIR_EraseRootFromParent_Done,
     /* 269694 */   // Label 5363: @269694
     /* 269694 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(269753), // Rule ID 1705 //
     /* 269699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269710 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269713 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 269718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 269722 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 269726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269738 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SABDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 269738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv4i16_v4i32),
     /* 269741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 269747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 269751 */     GIR_RootConstrainSelectedInstOperands,
     /* 269752 */     // GIR_Coverage, 1705,
     /* 269752 */     GIR_EraseRootFromParent_Done,
     /* 269753 */   // Label 5364: @269753
     /* 269753 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(269780), // Rule ID 6375 //
     /* 269758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 269765 */     // (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (USHLLv8i16_shift:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i32] })
     /* 269765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i16_shift),
     /* 269768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 269778 */     GIR_RootConstrainSelectedInstOperands,
     /* 269779 */     // GIR_Coverage, 6375,
     /* 269779 */     GIR_EraseRootFromParent_Done,
     /* 269780 */   // Label 5365: @269780
     /* 269780 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(269801), // Rule ID 6366 //
     /* 269785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269789 */     // (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (USHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, 0:{ *:[i32] })
     /* 269789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i16_shift),
     /* 269792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269794 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 269799 */     GIR_RootConstrainSelectedInstOperands,
     /* 269800 */     // GIR_Coverage, 6366,
     /* 269800 */     GIR_EraseRootFromParent_Done,
     /* 269801 */   // Label 5366: @269801
     /* 269801 */   GIM_Reject,
     /* 269802 */ // Label 5360: @269802
     /* 269802 */ GIM_Reject,
     /* 269803 */ // Label 5339: @269803
     /* 269803 */ GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(270112),
     /* 269808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 269811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269815 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(269880), // Rule ID 694 //
     /* 269820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269831 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269834 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 269839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 269843 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 269847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269849 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 269856 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 269863 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UABDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 269863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv16i8_v8i16),
     /* 269866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 269878 */     GIR_RootConstrainSelectedInstOperands,
     /* 269879 */     // GIR_Coverage, 694,
     /* 269879 */     GIR_EraseRootFromParent_Done,
     /* 269880 */   // Label 5368: @269880
     /* 269880 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(269945), // Rule ID 1703 //
     /* 269885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269896 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269899 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 269904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 269908 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 269912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269914 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 269921 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 269928 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SABDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 269928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv16i8_v8i16),
     /* 269931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 269943 */     GIR_RootConstrainSelectedInstOperands,
     /* 269944 */     // GIR_Coverage, 1703,
     /* 269944 */     GIR_EraseRootFromParent_Done,
     /* 269945 */   // Label 5369: @269945
     /* 269945 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(270004), // Rule ID 692 //
     /* 269950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269961 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269964 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 269969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 269973 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 269977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269989 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UABDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 269989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i8_v8i16),
     /* 269992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 269998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 270002 */     GIR_RootConstrainSelectedInstOperands,
     /* 270003 */     // GIR_Coverage, 692,
     /* 270003 */     GIR_EraseRootFromParent_Done,
     /* 270004 */   // Label 5370: @270004
     /* 270004 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(270063), // Rule ID 1701 //
     /* 270009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 270020 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 270023 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 270028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 270032 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 270036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270048 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SABDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 270048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv8i8_v8i16),
     /* 270051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 270057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 270061 */     GIR_RootConstrainSelectedInstOperands,
     /* 270062 */     // GIR_Coverage, 1701,
     /* 270062 */     GIR_EraseRootFromParent_Done,
     /* 270063 */   // Label 5371: @270063
     /* 270063 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(270090), // Rule ID 6372 //
     /* 270068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 270075 */     // (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn))  =>  (USHLLv16i8_shift:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i32] })
     /* 270075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv16i8_shift),
     /* 270078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 270085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 270088 */     GIR_RootConstrainSelectedInstOperands,
     /* 270089 */     // GIR_Coverage, 6372,
     /* 270089 */     GIR_EraseRootFromParent_Done,
     /* 270090 */   // Label 5372: @270090
     /* 270090 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(270111), // Rule ID 6363 //
     /* 270095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270099 */     // (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn)  =>  (USHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, 0:{ *:[i32] })
     /* 270099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i8_shift),
     /* 270102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270104 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 270109 */     GIR_RootConstrainSelectedInstOperands,
     /* 270110 */     // GIR_Coverage, 6363,
     /* 270110 */     GIR_EraseRootFromParent_Done,
     /* 270111 */   // Label 5373: @270111
     /* 270111 */   GIM_Reject,
     /* 270112 */ // Label 5367: @270112
     /* 270112 */ GIM_Reject,
     /* 270113 */ // Label 5340: @270113
     /* 270113 */ GIM_Reject,
     /* 270114 */ // Label 44: @270114
     /* 270114 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 5379*/ GIMT_Encode4(270938),
     /* 270125 */ /*GILLT_s32*//*Label 5374*/ GIMT_Encode4(270161),
     /* 270129 */ /*GILLT_s64*//*Label 5375*/ GIMT_Encode4(270338), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 270141 */ /*GILLT_v2s64*//*Label 5376*/ GIMT_Encode4(270511), GIMT_Encode4(0),
     /* 270149 */ /*GILLT_v4s32*//*Label 5377*/ GIMT_Encode4(270656), GIMT_Encode4(0),
     /* 270157 */ /*GILLT_v8s16*//*Label 5378*/ GIMT_Encode4(270797),
     /* 270161 */ // Label 5374: @270161
     /* 270161 */ GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(270337),
     /* 270166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 270169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 270172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270180 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(270217), // Rule ID 3935 //
     /* 270185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 270193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270204 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 270204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 270207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270209 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270215 */     GIR_RootConstrainSelectedInstOperands,
     /* 270216 */     // GIR_Coverage, 3935,
     /* 270216 */     GIR_EraseRootFromParent_Done,
     /* 270217 */   // Label 5381: @270217
     /* 270217 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(270254), // Rule ID 3936 //
     /* 270222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270241 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 270241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 270244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270246 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270252 */     GIR_RootConstrainSelectedInstOperands,
     /* 270253 */     // GIR_Coverage, 3936,
     /* 270253 */     GIR_EraseRootFromParent_Done,
     /* 270254 */   // Label 5382: @270254
     /* 270254 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(270291), // Rule ID 3934 //
     /* 270259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270278 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 270278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 270281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270283 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270289 */     GIR_RootConstrainSelectedInstOperands,
     /* 270290 */     // GIR_Coverage, 3934,
     /* 270290 */     GIR_EraseRootFromParent_Done,
     /* 270291 */   // Label 5383: @270291
     /* 270291 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(270336), // Rule ID 3933 //
     /* 270296 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i64:{ *:[i64] }:$Rm)  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rm, sub_32:{ *:[i32] }))
     /* 270296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 270299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 270303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270308 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // Rm
     /* 270314 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270319 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 270327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270329 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 270334 */     GIR_RootConstrainSelectedInstOperands,
     /* 270335 */     // GIR_Coverage, 3933,
     /* 270335 */     GIR_EraseRootFromParent_Done,
     /* 270336 */   // Label 5384: @270336
     /* 270336 */   GIM_Reject,
     /* 270337 */ // Label 5380: @270337
     /* 270337 */ GIM_Reject,
     /* 270338 */ // Label 5375: @270338
     /* 270338 */ GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(270510),
     /* 270343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 270346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 270349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270357 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(270425), // Rule ID 3937 //
     /* 270362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270381 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 270381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 270384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 270388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270393 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 270396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270400 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 270403 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 270408 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVXr),
     /* 270416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270418 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 270423 */     GIR_RootConstrainSelectedInstOperands,
     /* 270424 */     // GIR_Coverage, 3937,
     /* 270424 */     GIR_EraseRootFromParent_Done,
     /* 270425 */   // Label 5386: @270425
     /* 270425 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(270493), // Rule ID 3938 //
     /* 270430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270449 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 270449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 270452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 270456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270461 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 270464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270468 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 270471 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 270476 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVXr),
     /* 270484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270486 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 270491 */     GIR_RootConstrainSelectedInstOperands,
     /* 270492 */     // GIR_Coverage, 3938,
     /* 270492 */     GIR_EraseRootFromParent_Done,
     /* 270493 */   // Label 5387: @270493
     /* 270493 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(270509), // Rule ID 120 //
     /* 270498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270502 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (LSLVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 270502 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LSLVXr),
     /* 270507 */     GIR_RootConstrainSelectedInstOperands,
     /* 270508 */     // GIR_Coverage, 120,
     /* 270508 */     GIR_Done,
     /* 270509 */   // Label 5388: @270509
     /* 270509 */   GIM_Reject,
     /* 270510 */ // Label 5385: @270510
     /* 270510 */ GIM_Reject,
     /* 270511 */ // Label 5376: @270511
     /* 270511 */ GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(270655),
     /* 270516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 270519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 270522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270526 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(270590), // Rule ID 6361 //
     /* 270531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 270543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 270556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 270560 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 270564 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270568 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 270572 */     // MIs[3] Operand 1
     /* 270572 */     // No operand predicates
     /* 270572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 270574 */     // (shl:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), (AArch64dup:{ *:[v2i64] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))  =>  (SSHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm, (trunc_imm:{ *:[i32] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))
     /* 270574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 270577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270583 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // size
     /* 270588 */     GIR_RootConstrainSelectedInstOperands,
     /* 270589 */     // GIR_Coverage, 6361,
     /* 270589 */     GIR_EraseRootFromParent_Done,
     /* 270590 */   // Label 5390: @270590
     /* 270590 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(270654), // Rule ID 6358 //
     /* 270595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 270607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270612 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270616 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 270620 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 270624 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 270628 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270632 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 270636 */     // MIs[3] Operand 1
     /* 270636 */     // No operand predicates
     /* 270636 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 270638 */     // (shl:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), (AArch64dup:{ *:[v2i64] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))  =>  (USHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm, (trunc_imm:{ *:[i32] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))
     /* 270638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 270641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270647 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // size
     /* 270652 */     GIR_RootConstrainSelectedInstOperands,
     /* 270653 */     // GIR_Coverage, 6358,
     /* 270653 */     GIR_EraseRootFromParent_Done,
     /* 270654 */   // Label 5391: @270654
     /* 270654 */   GIM_Reject,
     /* 270655 */ // Label 5389: @270655
     /* 270655 */ GIM_Reject,
     /* 270656 */ // Label 5377: @270656
     /* 270656 */ GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(270796),
     /* 270661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 270664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 270667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270671 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(270733), // Rule ID 6360 //
     /* 270676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 270688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 270701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 270705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 270709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270713 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 270717 */     // MIs[3] Operand 1
     /* 270717 */     // No operand predicates
     /* 270717 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 270719 */     // (shl:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), (AArch64dup:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size))  =>  (SSHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size)
     /* 270719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 270722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 270731 */     GIR_RootConstrainSelectedInstOperands,
     /* 270732 */     // GIR_Coverage, 6360,
     /* 270732 */     GIR_EraseRootFromParent_Done,
     /* 270733 */   // Label 5393: @270733
     /* 270733 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(270795), // Rule ID 6357 //
     /* 270738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 270750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270755 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270759 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 270763 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 270767 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 270771 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270775 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 270779 */     // MIs[3] Operand 1
     /* 270779 */     // No operand predicates
     /* 270779 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 270781 */     // (shl:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), (AArch64dup:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size))  =>  (USHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size)
     /* 270781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i16_shift),
     /* 270784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 270793 */     GIR_RootConstrainSelectedInstOperands,
     /* 270794 */     // GIR_Coverage, 6357,
     /* 270794 */     GIR_EraseRootFromParent_Done,
     /* 270795 */   // Label 5394: @270795
     /* 270795 */   GIM_Reject,
     /* 270796 */ // Label 5392: @270796
     /* 270796 */ GIM_Reject,
     /* 270797 */ // Label 5378: @270797
     /* 270797 */ GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(270937),
     /* 270802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 270805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 270808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270812 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(270874), // Rule ID 6359 //
     /* 270817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 270829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 270842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 270846 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 270850 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270854 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_7),
     /* 270858 */     // MIs[3] Operand 1
     /* 270858 */     // No operand predicates
     /* 270858 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 270860 */     // (shl:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), (AArch64dup:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size))  =>  (SSHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size)
     /* 270860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 270863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 270872 */     GIR_RootConstrainSelectedInstOperands,
     /* 270873 */     // GIR_Coverage, 6359,
     /* 270873 */     GIR_EraseRootFromParent_Done,
     /* 270874 */   // Label 5396: @270874
     /* 270874 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(270936), // Rule ID 6356 //
     /* 270879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 270891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 270904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 270908 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 270912 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270916 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_7),
     /* 270920 */     // MIs[3] Operand 1
     /* 270920 */     // No operand predicates
     /* 270920 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 270922 */     // (shl:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), (AArch64dup:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size))  =>  (USHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size)
     /* 270922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i8_shift),
     /* 270925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 270934 */     GIR_RootConstrainSelectedInstOperands,
     /* 270935 */     // GIR_Coverage, 6356,
     /* 270935 */     GIR_EraseRootFromParent_Done,
     /* 270936 */   // Label 5397: @270936
     /* 270936 */   GIM_Reject,
     /* 270937 */ // Label 5395: @270937
     /* 270937 */ GIM_Reject,
     /* 270938 */ // Label 5379: @270938
     /* 270938 */ GIM_Reject,
     /* 270939 */ // Label 45: @270939
     /* 270939 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5400*/ GIMT_Encode4(271376),
     /* 270950 */ /*GILLT_s32*//*Label 5398*/ GIMT_Encode4(270958),
     /* 270954 */ /*GILLT_s64*//*Label 5399*/ GIMT_Encode4(271169),
     /* 270958 */ // Label 5398: @270958
     /* 270958 */ GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(271168),
     /* 270963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 270966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 270969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270977 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(271011), // Rule ID 4024 //
     /* 270982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 270994 */     // MIs[1] Operand 1
     /* 270994 */     // No operand predicates
     /* 270994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270996 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (UBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, 31:{ *:[i64] })
     /* 270996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UBFMWri),
     /* 270999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271001 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 271006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 271009 */     GIR_RootConstrainSelectedInstOperands,
     /* 271010 */     // GIR_Coverage, 4024,
     /* 271010 */     GIR_EraseRootFromParent_Done,
     /* 271011 */   // Label 5402: @271011
     /* 271011 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(271048), // Rule ID 3941 //
     /* 271016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 271024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271035 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 271035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 271038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271040 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271046 */     GIR_RootConstrainSelectedInstOperands,
     /* 271047 */     // GIR_Coverage, 3941,
     /* 271047 */     GIR_EraseRootFromParent_Done,
     /* 271048 */   // Label 5403: @271048
     /* 271048 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(271085), // Rule ID 3942 //
     /* 271053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 271061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271072 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 271072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 271075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271077 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271083 */     GIR_RootConstrainSelectedInstOperands,
     /* 271084 */     // GIR_Coverage, 3942,
     /* 271084 */     GIR_EraseRootFromParent_Done,
     /* 271085 */   // Label 5404: @271085
     /* 271085 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(271122), // Rule ID 3940 //
     /* 271090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 271098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271109 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 271109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 271112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271114 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271120 */     GIR_RootConstrainSelectedInstOperands,
     /* 271121 */     // GIR_Coverage, 3940,
     /* 271121 */     GIR_EraseRootFromParent_Done,
     /* 271122 */   // Label 5405: @271122
     /* 271122 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(271167), // Rule ID 3939 //
     /* 271127 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i64:{ *:[i64] }:$Rm)  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rm, sub_32:{ *:[i32] }))
     /* 271127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 271130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 271134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271139 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // Rm
     /* 271145 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271150 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 271158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271160 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271165 */     GIR_RootConstrainSelectedInstOperands,
     /* 271166 */     // GIR_Coverage, 3939,
     /* 271166 */     GIR_EraseRootFromParent_Done,
     /* 271167 */   // Label 5406: @271167
     /* 271167 */   GIM_Reject,
     /* 271168 */ // Label 5401: @271168
     /* 271168 */ GIM_Reject,
     /* 271169 */ // Label 5399: @271169
     /* 271169 */ GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(271375),
     /* 271174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 271177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271188 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(271222), // Rule ID 4025 //
     /* 271193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 271205 */     // MIs[1] Operand 1
     /* 271205 */     // No operand predicates
     /* 271205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271207 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (UBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm, 63:{ *:[i64] })
     /* 271207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UBFMXri),
     /* 271210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271212 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 271217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /* 271220 */     GIR_RootConstrainSelectedInstOperands,
     /* 271221 */     // GIR_Coverage, 4025,
     /* 271221 */     GIR_EraseRootFromParent_Done,
     /* 271222 */   // Label 5408: @271222
     /* 271222 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(271290), // Rule ID 3943 //
     /* 271227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 271235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271246 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 271246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 271249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 271253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271258 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 271261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271265 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 271268 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 271273 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVXr),
     /* 271281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271283 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271288 */     GIR_RootConstrainSelectedInstOperands,
     /* 271289 */     // GIR_Coverage, 3943,
     /* 271289 */     GIR_EraseRootFromParent_Done,
     /* 271290 */   // Label 5409: @271290
     /* 271290 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(271358), // Rule ID 3944 //
     /* 271295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 271303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271314 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 271314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 271317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 271321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271326 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 271329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271333 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 271336 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 271341 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVXr),
     /* 271349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271351 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271356 */     GIR_RootConstrainSelectedInstOperands,
     /* 271357 */     // GIR_Coverage, 3944,
     /* 271357 */     GIR_EraseRootFromParent_Done,
     /* 271358 */   // Label 5410: @271358
     /* 271358 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(271374), // Rule ID 121 //
     /* 271363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271367 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (LSRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 271367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LSRVXr),
     /* 271372 */     GIR_RootConstrainSelectedInstOperands,
     /* 271373 */     // GIR_Coverage, 121,
     /* 271373 */     GIR_Done,
     /* 271374 */   // Label 5411: @271374
     /* 271374 */   GIM_Reject,
     /* 271375 */ // Label 5407: @271375
     /* 271375 */ GIM_Reject,
     /* 271376 */ // Label 5400: @271376
     /* 271376 */ GIM_Reject,
     /* 271377 */ // Label 46: @271377
     /* 271377 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5414*/ GIMT_Encode4(272201),
     /* 271388 */ /*GILLT_s32*//*Label 5412*/ GIMT_Encode4(271396),
     /* 271392 */ /*GILLT_s64*//*Label 5413*/ GIMT_Encode4(271751),
     /* 271396 */ // Label 5412: @271396
     /* 271396 */ GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(271750),
     /* 271401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 271404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271411 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(271475), // Rule ID 6521 //
     /* 271416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 271424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271433 */     // MIs[1] Operand 2
     /* 271433 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 271444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 271448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271452 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /* 271456 */     // MIs[2] Operand 1
     /* 271456 */     // No operand predicates
     /* 271456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 271458 */     // (sra:{ *:[i32] } (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i8:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm)  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm, 7:{ *:[i64] })
     /* 271458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 271461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 271467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 271470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 271473 */     GIR_RootConstrainSelectedInstOperands,
     /* 271474 */     // GIR_Coverage, 6521,
     /* 271474 */     GIR_EraseRootFromParent_Done,
     /* 271475 */   // Label 5416: @271475
     /* 271475 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(271539), // Rule ID 6523 //
     /* 271480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 271488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271497 */     // MIs[1] Operand 2
     /* 271497 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 271508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 271512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271516 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /* 271520 */     // MIs[2] Operand 1
     /* 271520 */     // No operand predicates
     /* 271520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 271522 */     // (sra:{ *:[i32] } (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm)  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm, 15:{ *:[i64] })
     /* 271522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 271525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 271531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 271534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 271537 */     GIR_RootConstrainSelectedInstOperands,
     /* 271538 */     // GIR_Coverage, 6523,
     /* 271538 */     GIR_EraseRootFromParent_Done,
     /* 271539 */   // Label 5417: @271539
     /* 271539 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(271577), // Rule ID 4022 //
     /* 271544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 271560 */     // MIs[1] Operand 1
     /* 271560 */     // No operand predicates
     /* 271560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271562 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, 31:{ *:[i64] })
     /* 271562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 271565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271567 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 271572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 271575 */     GIR_RootConstrainSelectedInstOperands,
     /* 271576 */     // GIR_Coverage, 4022,
     /* 271576 */     GIR_EraseRootFromParent_Done,
     /* 271577 */   // Label 5418: @271577
     /* 271577 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(271618), // Rule ID 2435 //
     /* 271582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 271594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271605 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 271605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 271608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271610 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271616 */     GIR_RootConstrainSelectedInstOperands,
     /* 271617 */     // GIR_Coverage, 2435,
     /* 271617 */     GIR_EraseRootFromParent_Done,
     /* 271618 */   // Label 5419: @271618
     /* 271618 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(271659), // Rule ID 2436 //
     /* 271623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 271635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271646 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 271646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 271649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271651 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271657 */     GIR_RootConstrainSelectedInstOperands,
     /* 271658 */     // GIR_Coverage, 2436,
     /* 271658 */     GIR_EraseRootFromParent_Done,
     /* 271659 */   // Label 5420: @271659
     /* 271659 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(271700), // Rule ID 2434 //
     /* 271664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 271676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271687 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 271687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 271690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271692 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271698 */     GIR_RootConstrainSelectedInstOperands,
     /* 271699 */     // GIR_Coverage, 2434,
     /* 271699 */     GIR_EraseRootFromParent_Done,
     /* 271700 */   // Label 5421: @271700
     /* 271700 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(271749), // Rule ID 2433 //
     /* 271705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271709 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i64:{ *:[i64] }:$Rm)  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rm, sub_32:{ *:[i32] }))
     /* 271709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 271712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 271716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271721 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // Rm
     /* 271727 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271732 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 271740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271742 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271747 */     GIR_RootConstrainSelectedInstOperands,
     /* 271748 */     // GIR_Coverage, 2433,
     /* 271748 */     GIR_EraseRootFromParent_Done,
     /* 271749 */   // Label 5422: @271749
     /* 271749 */   GIM_Reject,
     /* 271750 */ // Label 5415: @271750
     /* 271750 */ GIM_Reject,
     /* 271751 */ // Label 5413: @271751
     /* 271751 */ GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(272200),
     /* 271756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 271759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271766 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(271830), // Rule ID 6522 //
     /* 271771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 271779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 271783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271788 */     // MIs[1] Operand 2
     /* 271788 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 271799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 271803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271807 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /* 271811 */     // MIs[2] Operand 1
     /* 271811 */     // No operand predicates
     /* 271811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 271813 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i8:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm)  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm, 7:{ *:[i64] })
     /* 271813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 271816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 271822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 271825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 271828 */     GIR_RootConstrainSelectedInstOperands,
     /* 271829 */     // GIR_Coverage, 6522,
     /* 271829 */     GIR_EraseRootFromParent_Done,
     /* 271830 */   // Label 5424: @271830
     /* 271830 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(271894), // Rule ID 6524 //
     /* 271835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 271843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 271847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271852 */     // MIs[1] Operand 2
     /* 271852 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 271863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 271867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271871 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /* 271875 */     // MIs[2] Operand 1
     /* 271875 */     // No operand predicates
     /* 271875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 271877 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i16:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm)  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm, 15:{ *:[i64] })
     /* 271877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 271880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 271886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 271889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 271892 */     GIR_RootConstrainSelectedInstOperands,
     /* 271893 */     // GIR_Coverage, 6524,
     /* 271893 */     GIR_EraseRootFromParent_Done,
     /* 271894 */   // Label 5425: @271894
     /* 271894 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(271997), // Rule ID 6525 //
     /* 271899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 271907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 271920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271924 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 271928 */     // MIs[2] Operand 1
     /* 271928 */     // No operand predicates
     /* 271928 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 271930 */     // (sra:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (SBFMXri:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, 31:{ *:[i64] })
     /* 271930 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 271933 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 271937 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 271944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 271947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 271951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271956 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 271959 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 271963 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 271966 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 271971 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 271976 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 271984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 271992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 271995 */     GIR_RootConstrainSelectedInstOperands,
     /* 271996 */     // GIR_Coverage, 6525,
     /* 271996 */     GIR_EraseRootFromParent_Done,
     /* 271997 */   // Label 5426: @271997
     /* 271997 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(272035), // Rule ID 4023 //
     /* 272002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 272014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 272018 */     // MIs[1] Operand 1
     /* 272018 */     // No operand predicates
     /* 272018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272020 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm, 63:{ *:[i64] })
     /* 272020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 272023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272025 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 272030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /* 272033 */     GIR_RootConstrainSelectedInstOperands,
     /* 272034 */     // GIR_Coverage, 4023,
     /* 272034 */     GIR_EraseRootFromParent_Done,
     /* 272035 */   // Label 5427: @272035
     /* 272035 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(272107), // Rule ID 2437 //
     /* 272040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 272052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272063 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 272063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 272066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 272070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 272075 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 272078 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 272082 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 272085 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 272090 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVXr),
     /* 272098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272100 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 272105 */     GIR_RootConstrainSelectedInstOperands,
     /* 272106 */     // GIR_Coverage, 2437,
     /* 272106 */     GIR_EraseRootFromParent_Done,
     /* 272107 */   // Label 5428: @272107
     /* 272107 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(272179), // Rule ID 2438 //
     /* 272112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 272124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272135 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 272135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 272138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 272142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 272147 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 272150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 272154 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 272157 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 272162 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVXr),
     /* 272170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272172 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 272177 */     GIR_RootConstrainSelectedInstOperands,
     /* 272178 */     // GIR_Coverage, 2438,
     /* 272178 */     GIR_EraseRootFromParent_Done,
     /* 272179 */   // Label 5429: @272179
     /* 272179 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(272199), // Rule ID 119 //
     /* 272184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272192 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ASRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 272192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ASRVXr),
     /* 272197 */     GIR_RootConstrainSelectedInstOperands,
     /* 272198 */     // GIR_Coverage, 119,
     /* 272198 */     GIR_Done,
     /* 272199 */   // Label 5430: @272199
     /* 272199 */   GIM_Reject,
     /* 272200 */ // Label 5423: @272200
     /* 272200 */ GIM_Reject,
     /* 272201 */ // Label 5414: @272201
     /* 272201 */ GIM_Reject,
     /* 272202 */ // Label 47: @272202
     /* 272202 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5433*/ GIMT_Encode4(272331),
     /* 272213 */ /*GILLT_s32*//*Label 5431*/ GIMT_Encode4(272221),
     /* 272217 */ /*GILLT_s64*//*Label 5432*/ GIMT_Encode4(272276),
     /* 272221 */ // Label 5431: @272221
     /* 272221 */ GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(272275), // Rule ID 188 //
     /* 272226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 272229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 272232 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272247 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272251 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 272255 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 272259 */   // MIs[1] Operand 1
     /* 272259 */   // No operand predicates
     /* 272259 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272261 */   // (fshr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (EXTRWrri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] }):$imm)
     /* 272261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRWrri),
     /* 272264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272266 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272268 */   GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 272270 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 272273 */   GIR_RootConstrainSelectedInstOperands,
     /* 272274 */   // GIR_Coverage, 188,
     /* 272274 */   GIR_EraseRootFromParent_Done,
     /* 272275 */ // Label 5434: @272275
     /* 272275 */ GIM_Reject,
     /* 272276 */ // Label 5432: @272276
     /* 272276 */ GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(272330), // Rule ID 189 //
     /* 272281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 272284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272287 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272302 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272306 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 272310 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 272314 */   // MIs[1] Operand 1
     /* 272314 */   // No operand predicates
     /* 272314 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272316 */   // (fshr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (EXTRXrri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, (imm:{ *:[i64] }):$imm)
     /* 272316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRXrri),
     /* 272319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272321 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272323 */   GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 272325 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 272328 */   GIR_RootConstrainSelectedInstOperands,
     /* 272329 */   // GIR_Coverage, 189,
     /* 272329 */   GIR_EraseRootFromParent_Done,
     /* 272330 */ // Label 5435: @272330
     /* 272330 */ GIM_Reject,
     /* 272331 */ // Label 5433: @272331
     /* 272331 */ GIM_Reject,
     /* 272332 */ // Label 48: @272332
     /* 272332 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5438*/ GIMT_Encode4(272873),
     /* 272343 */ /*GILLT_s32*//*Label 5436*/ GIMT_Encode4(272351),
     /* 272347 */ /*GILLT_s64*//*Label 5437*/ GIMT_Encode4(272616),
     /* 272351 */ // Label 5436: @272351
     /* 272351 */ GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(272615),
     /* 272356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 272359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272366 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(272405), // Rule ID 184 //
     /* 272371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 272379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272388 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 16,
     /* 272392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272394 */     // (rotr:{ *:[i32] } (bswap:{ *:[i32] } GPR32:{ *:[i32] }:$Rn), 16:{ *:[i64] })  =>  (REV16Wr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 272394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Wr),
     /* 272397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 272403 */     GIR_RootConstrainSelectedInstOperands,
     /* 272404 */     // GIR_Coverage, 184,
     /* 272404 */     GIR_EraseRootFromParent_Done,
     /* 272405 */   // Label 5440: @272405
     /* 272405 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(272442), // Rule ID 4018 //
     /* 272410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 272422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 272426 */     // MIs[1] Operand 1
     /* 272426 */     // No operand predicates
     /* 272426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272428 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (EXTRWrri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)
     /* 272428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRWrri),
     /* 272431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272433 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272435 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 272440 */     GIR_RootConstrainSelectedInstOperands,
     /* 272441 */     // GIR_Coverage, 4018,
     /* 272441 */     GIR_EraseRootFromParent_Done,
     /* 272442 */   // Label 5441: @272442
     /* 272442 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(272483), // Rule ID 3947 //
     /* 272447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 272459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272470 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 272470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 272473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272475 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 272481 */     GIR_RootConstrainSelectedInstOperands,
     /* 272482 */     // GIR_Coverage, 3947,
     /* 272482 */     GIR_EraseRootFromParent_Done,
     /* 272483 */   // Label 5442: @272483
     /* 272483 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(272524), // Rule ID 3948 //
     /* 272488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 272500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272511 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 272511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 272514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272516 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 272522 */     GIR_RootConstrainSelectedInstOperands,
     /* 272523 */     // GIR_Coverage, 3948,
     /* 272523 */     GIR_EraseRootFromParent_Done,
     /* 272524 */   // Label 5443: @272524
     /* 272524 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(272565), // Rule ID 3946 //
     /* 272529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 272541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272552 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 272552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 272555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272557 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 272563 */     GIR_RootConstrainSelectedInstOperands,
     /* 272564 */     // GIR_Coverage, 3946,
     /* 272564 */     GIR_EraseRootFromParent_Done,
     /* 272565 */   // Label 5444: @272565
     /* 272565 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(272614), // Rule ID 3945 //
     /* 272570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272574 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i64:{ *:[i64] }:$Rm)  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rm, sub_32:{ *:[i32] }))
     /* 272574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 272577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 272581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 272586 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // Rm
     /* 272592 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272597 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 272605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272607 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 272612 */     GIR_RootConstrainSelectedInstOperands,
     /* 272613 */     // GIR_Coverage, 3945,
     /* 272613 */     GIR_EraseRootFromParent_Done,
     /* 272614 */   // Label 5445: @272614
     /* 272614 */   GIM_Reject,
     /* 272615 */ // Label 5439: @272615
     /* 272615 */ GIM_Reject,
     /* 272616 */ // Label 5437: @272616
     /* 272616 */ GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(272872),
     /* 272621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 272624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272631 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(272670), // Rule ID 187 //
     /* 272636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 272644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 272648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272653 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 272657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272659 */     // (rotr:{ *:[i64] } (bswap:{ *:[i64] } GPR64:{ *:[i64] }:$Rn), 32:{ *:[i64] })  =>  (REV32Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 272659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV32Xr),
     /* 272662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 272668 */     GIR_RootConstrainSelectedInstOperands,
     /* 272669 */     // GIR_Coverage, 187,
     /* 272669 */     GIR_EraseRootFromParent_Done,
     /* 272670 */   // Label 5447: @272670
     /* 272670 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(272707), // Rule ID 4019 //
     /* 272675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 272687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 272691 */     // MIs[1] Operand 1
     /* 272691 */     // No operand predicates
     /* 272691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272693 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (EXTRXrri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)
     /* 272693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRXrri),
     /* 272696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272698 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272700 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 272705 */     GIR_RootConstrainSelectedInstOperands,
     /* 272706 */     // GIR_Coverage, 4019,
     /* 272706 */     GIR_EraseRootFromParent_Done,
     /* 272707 */   // Label 5448: @272707
     /* 272707 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(272779), // Rule ID 3949 //
     /* 272712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 272724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272735 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 272735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 272738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 272742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 272747 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 272750 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 272754 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 272757 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 272762 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVXr),
     /* 272770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272772 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 272777 */     GIR_RootConstrainSelectedInstOperands,
     /* 272778 */     // GIR_Coverage, 3949,
     /* 272778 */     GIR_EraseRootFromParent_Done,
     /* 272779 */   // Label 5449: @272779
     /* 272779 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(272851), // Rule ID 3950 //
     /* 272784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 272796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272807 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 272807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 272810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 272814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 272819 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 272822 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 272826 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 272829 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 272834 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVXr),
     /* 272842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272844 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 272849 */     GIR_RootConstrainSelectedInstOperands,
     /* 272850 */     // GIR_Coverage, 3950,
     /* 272850 */     GIR_EraseRootFromParent_Done,
     /* 272851 */   // Label 5450: @272851
     /* 272851 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(272871), // Rule ID 122 //
     /* 272856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272864 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (RORVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 272864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RORVXr),
     /* 272869 */     GIR_RootConstrainSelectedInstOperands,
     /* 272870 */     // GIR_Coverage, 122,
     /* 272870 */     GIR_Done,
     /* 272871 */   // Label 5451: @272871
     /* 272871 */   GIM_Reject,
     /* 272872 */ // Label 5446: @272872
     /* 272872 */ GIM_Reject,
     /* 272873 */ // Label 5438: @272873
     /* 272873 */ GIM_Reject,
     /* 272874 */ // Label 49: @272874
     /* 272874 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 5460*/ GIMT_Encode4(280650),
     /* 272885 */ /*GILLT_s64*//*Label 5452*/ GIMT_Encode4(272921), GIMT_Encode4(0),
     /* 272893 */ /*GILLT_v2s32*//*Label 5453*/ GIMT_Encode4(273314),
     /* 272897 */ /*GILLT_v2s64*//*Label 5454*/ GIMT_Encode4(274362),
     /* 272901 */ /*GILLT_v4s16*//*Label 5455*/ GIMT_Encode4(275410),
     /* 272905 */ /*GILLT_v4s32*//*Label 5456*/ GIMT_Encode4(276458),
     /* 272909 */ /*GILLT_v8s8*//*Label 5457*/ GIMT_Encode4(277506),
     /* 272913 */ /*GILLT_v8s16*//*Label 5458*/ GIMT_Encode4(278554),
     /* 272917 */ /*GILLT_v16s8*//*Label 5459*/ GIMT_Encode4(279602),
     /* 272921 */ // Label 5452: @272921
     /* 272921 */ GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(273313),
     /* 272926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272936 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(272972), // Rule ID 5242 //
     /* 272941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272944 */     // MIs[0] Operand 1
     /* 272944 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 272949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272953 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272959 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272963 */     // (setcc:{ *:[v1i64] } immAllZerosV:{ *:[v1i64] }, v1i64:{ *:[v1i64] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 272963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv1i64rz),
     /* 272966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 272970 */     GIR_RootConstrainSelectedInstOperands,
     /* 272971 */     // GIR_Coverage, 5242,
     /* 272971 */     GIR_EraseRootFromParent_Done,
     /* 272972 */   // Label 5462: @272972
     /* 272972 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(273008), // Rule ID 5243 //
     /* 272977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272980 */     // MIs[0] Operand 1
     /* 272980 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 272985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272989 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272995 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272999 */     // (setcc:{ *:[v1i64] } immAllZerosV:{ *:[v1i64] }, v1i64:{ *:[v1i64] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 272999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv1i64rz),
     /* 273002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273004 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273006 */     GIR_RootConstrainSelectedInstOperands,
     /* 273007 */     // GIR_Coverage, 5243,
     /* 273007 */     GIR_EraseRootFromParent_Done,
     /* 273008 */   // Label 5463: @273008
     /* 273008 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(273044), // Rule ID 2512 //
     /* 273013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273016 */     // MIs[0] Operand 1
     /* 273016 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273025 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273031 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273035 */     // (setcc:{ *:[v1i64] } v1i64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] }, SETEQ:{ *:[Other] })  =>  (CMEQv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 273035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv1i64rz),
     /* 273038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273042 */     GIR_RootConstrainSelectedInstOperands,
     /* 273043 */     // GIR_Coverage, 2512,
     /* 273043 */     GIR_EraseRootFromParent_Done,
     /* 273044 */   // Label 5464: @273044
     /* 273044 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(273080), // Rule ID 5239 //
     /* 273049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273052 */     // MIs[0] Operand 1
     /* 273052 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273061 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273067 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273071 */     // (setcc:{ *:[v1i64] } v1i64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] }, SETGE:{ *:[Other] })  =>  (CMGEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 273071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv1i64rz),
     /* 273074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273078 */     GIR_RootConstrainSelectedInstOperands,
     /* 273079 */     // GIR_Coverage, 5239,
     /* 273079 */     GIR_EraseRootFromParent_Done,
     /* 273080 */   // Label 5465: @273080
     /* 273080 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(273116), // Rule ID 5240 //
     /* 273085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273088 */     // MIs[0] Operand 1
     /* 273088 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273097 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273103 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 273105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273107 */     // (setcc:{ *:[v1i64] } v1i64:{ *:[v1i64] }:$Rn, immAllOnesV:{ *:[v1i64] }, SETGT:{ *:[Other] })  =>  (CMGEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 273107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv1i64rz),
     /* 273110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273114 */     GIR_RootConstrainSelectedInstOperands,
     /* 273115 */     // GIR_Coverage, 5240,
     /* 273115 */     GIR_EraseRootFromParent_Done,
     /* 273116 */   // Label 5466: @273116
     /* 273116 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(273152), // Rule ID 5241 //
     /* 273121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273124 */     // MIs[0] Operand 1
     /* 273124 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273133 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273139 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273143 */     // (setcc:{ *:[v1i64] } v1i64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] }, SETGT:{ *:[Other] })  =>  (CMGTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 273143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv1i64rz),
     /* 273146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273150 */     GIR_RootConstrainSelectedInstOperands,
     /* 273151 */     // GIR_Coverage, 5241,
     /* 273151 */     GIR_EraseRootFromParent_Done,
     /* 273152 */   // Label 5467: @273152
     /* 273152 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(273184), // Rule ID 1608 //
     /* 273157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273160 */     // MIs[0] Operand 1
     /* 273160 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273173 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 273173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv1i64),
     /* 273176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273182 */     GIR_RootConstrainSelectedInstOperands,
     /* 273183 */     // GIR_Coverage, 1608,
     /* 273183 */     GIR_EraseRootFromParent_Done,
     /* 273184 */   // Label 5468: @273184
     /* 273184 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(273216), // Rule ID 1609 //
     /* 273189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273192 */     // MIs[0] Operand 1
     /* 273192 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273205 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 273205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv1i64),
     /* 273208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273214 */     GIR_RootConstrainSelectedInstOperands,
     /* 273215 */     // GIR_Coverage, 1609,
     /* 273215 */     GIR_EraseRootFromParent_Done,
     /* 273216 */   // Label 5469: @273216
     /* 273216 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(273248), // Rule ID 1610 //
     /* 273221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273224 */     // MIs[0] Operand 1
     /* 273224 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273237 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 273237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv1i64),
     /* 273240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273242 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273244 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273246 */     GIR_RootConstrainSelectedInstOperands,
     /* 273247 */     // GIR_Coverage, 1610,
     /* 273247 */     GIR_EraseRootFromParent_Done,
     /* 273248 */   // Label 5470: @273248
     /* 273248 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(273280), // Rule ID 1611 //
     /* 273253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273256 */     // MIs[0] Operand 1
     /* 273256 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 273261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273269 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 273269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv1i64),
     /* 273272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273276 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273278 */     GIR_RootConstrainSelectedInstOperands,
     /* 273279 */     // GIR_Coverage, 1611,
     /* 273279 */     GIR_EraseRootFromParent_Done,
     /* 273280 */   // Label 5471: @273280
     /* 273280 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(273312), // Rule ID 1612 //
     /* 273285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273288 */     // MIs[0] Operand 1
     /* 273288 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 273293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273301 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 273301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv1i64),
     /* 273304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273308 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273310 */     GIR_RootConstrainSelectedInstOperands,
     /* 273311 */     // GIR_Coverage, 1612,
     /* 273311 */     GIR_EraseRootFromParent_Done,
     /* 273312 */   // Label 5472: @273312
     /* 273312 */   GIM_Reject,
     /* 273313 */ // Label 5461: @273313
     /* 273313 */ GIM_Reject,
     /* 273314 */ // Label 5453: @273314
     /* 273314 */ GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(274361),
     /* 273319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273322 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 273325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273329 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(273369), // Rule ID 754 //
     /* 273334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273337 */     // MIs[0] Operand 1
     /* 273337 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273346 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273352 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273360 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i32rz),
     /* 273363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273367 */     GIR_RootConstrainSelectedInstOperands,
     /* 273368 */     // GIR_Coverage, 754,
     /* 273368 */     GIR_EraseRootFromParent_Done,
     /* 273369 */   // Label 5474: @273369
     /* 273369 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(273409), // Rule ID 761 //
     /* 273374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273377 */     // MIs[0] Operand 1
     /* 273377 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273386 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273392 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273400 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 273403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273405 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273407 */     GIR_RootConstrainSelectedInstOperands,
     /* 273408 */     // GIR_Coverage, 761,
     /* 273408 */     GIR_EraseRootFromParent_Done,
     /* 273409 */   // Label 5475: @273409
     /* 273409 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(273446), // Rule ID 5176 //
     /* 273414 */     // MIs[0] Operand 1
     /* 273414 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273423 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273429 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273437 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32rz),
     /* 273440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273444 */     GIR_RootConstrainSelectedInstOperands,
     /* 273445 */     // GIR_Coverage, 5176,
     /* 273445 */     GIR_EraseRootFromParent_Done,
     /* 273446 */   // Label 5476: @273446
     /* 273446 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(273483), // Rule ID 5183 //
     /* 273451 */     // MIs[0] Operand 1
     /* 273451 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273460 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273466 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273474 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 273477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273479 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273481 */     GIR_RootConstrainSelectedInstOperands,
     /* 273482 */     // GIR_Coverage, 5183,
     /* 273482 */     GIR_EraseRootFromParent_Done,
     /* 273483 */   // Label 5477: @273483
     /* 273483 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(273520), // Rule ID 5190 //
     /* 273488 */     // MIs[0] Operand 1
     /* 273488 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273497 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273503 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273511 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i32rz),
     /* 273514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273516 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273518 */     GIR_RootConstrainSelectedInstOperands,
     /* 273519 */     // GIR_Coverage, 5190,
     /* 273519 */     GIR_EraseRootFromParent_Done,
     /* 273520 */   // Label 5478: @273520
     /* 273520 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(273557), // Rule ID 5197 //
     /* 273525 */     // MIs[0] Operand 1
     /* 273525 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 273530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273534 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273540 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273548 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32rz),
     /* 273551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273553 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273555 */     GIR_RootConstrainSelectedInstOperands,
     /* 273556 */     // GIR_Coverage, 5197,
     /* 273556 */     GIR_EraseRootFromParent_Done,
     /* 273557 */   // Label 5479: @273557
     /* 273557 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(273594), // Rule ID 5204 //
     /* 273562 */     // MIs[0] Operand 1
     /* 273562 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 273567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273571 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273577 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273585 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 273588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273592 */     GIR_RootConstrainSelectedInstOperands,
     /* 273593 */     // GIR_Coverage, 5204,
     /* 273593 */     GIR_EraseRootFromParent_Done,
     /* 273594 */   // Label 5480: @273594
     /* 273594 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(273634), // Rule ID 726 //
     /* 273599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273602 */     // MIs[0] Operand 1
     /* 273602 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273615 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273621 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273625 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32rz),
     /* 273628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273632 */     GIR_RootConstrainSelectedInstOperands,
     /* 273633 */     // GIR_Coverage, 726,
     /* 273633 */     GIR_EraseRootFromParent_Done,
     /* 273634 */   // Label 5481: @273634
     /* 273634 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(273674), // Rule ID 737 //
     /* 273639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273642 */     // MIs[0] Operand 1
     /* 273642 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273655 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273661 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273665 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGE:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 273668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273672 */     GIR_RootConstrainSelectedInstOperands,
     /* 273673 */     // GIR_Coverage, 737,
     /* 273673 */     GIR_EraseRootFromParent_Done,
     /* 273674 */   // Label 5482: @273674
     /* 273674 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(273714), // Rule ID 738 //
     /* 273679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273682 */     // MIs[0] Operand 1
     /* 273682 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273695 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273701 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 273703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273705 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllOnesV:{ *:[v2i32] }, SETGT:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 273708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273712 */     GIR_RootConstrainSelectedInstOperands,
     /* 273713 */     // GIR_Coverage, 738,
     /* 273713 */     GIR_EraseRootFromParent_Done,
     /* 273714 */   // Label 5483: @273714
     /* 273714 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(273754), // Rule ID 747 //
     /* 273719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273722 */     // MIs[0] Operand 1
     /* 273722 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273735 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273741 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273745 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGT:{ *:[Other] })  =>  (CMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32rz),
     /* 273748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273752 */     GIR_RootConstrainSelectedInstOperands,
     /* 273753 */     // GIR_Coverage, 747,
     /* 273753 */     GIR_EraseRootFromParent_Done,
     /* 273754 */   // Label 5484: @273754
     /* 273754 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(273791), // Rule ID 5141 //
     /* 273759 */     // MIs[0] Operand 1
     /* 273759 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273772 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273778 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273782 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32rz),
     /* 273785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273787 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273789 */     GIR_RootConstrainSelectedInstOperands,
     /* 273790 */     // GIR_Coverage, 5141,
     /* 273790 */     GIR_EraseRootFromParent_Done,
     /* 273791 */   // Label 5485: @273791
     /* 273791 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(273828), // Rule ID 5148 //
     /* 273796 */     // MIs[0] Operand 1
     /* 273796 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273809 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273815 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273819 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGT:{ *:[Other] })  =>  (CMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32rz),
     /* 273822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273826 */     GIR_RootConstrainSelectedInstOperands,
     /* 273827 */     // GIR_Coverage, 5148,
     /* 273827 */     GIR_EraseRootFromParent_Done,
     /* 273828 */   // Label 5486: @273828
     /* 273828 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(273865), // Rule ID 5155 //
     /* 273833 */     // MIs[0] Operand 1
     /* 273833 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273846 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273852 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273856 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGE:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 273859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273863 */     GIR_RootConstrainSelectedInstOperands,
     /* 273864 */     // GIR_Coverage, 5155,
     /* 273864 */     GIR_EraseRootFromParent_Done,
     /* 273865 */   // Label 5487: @273865
     /* 273865 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(273902), // Rule ID 5162 //
     /* 273870 */     // MIs[0] Operand 1
     /* 273870 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 273875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273883 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273889 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273893 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETLT:{ *:[Other] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 273896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273900 */     GIR_RootConstrainSelectedInstOperands,
     /* 273901 */     // GIR_Coverage, 5162,
     /* 273901 */     GIR_EraseRootFromParent_Done,
     /* 273902 */   // Label 5488: @273902
     /* 273902 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(273939), // Rule ID 5169 //
     /* 273907 */     // MIs[0] Operand 1
     /* 273907 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 273912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273920 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273926 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273930 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETLE:{ *:[Other] })  =>  (CMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i32rz),
     /* 273933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273937 */     GIR_RootConstrainSelectedInstOperands,
     /* 273938 */     // GIR_Coverage, 5169,
     /* 273938 */     GIR_EraseRootFromParent_Done,
     /* 273939 */   // Label 5489: @273939
     /* 273939 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(273971), // Rule ID 1125 //
     /* 273944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273947 */     // MIs[0] Operand 1
     /* 273947 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273960 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 273960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32),
     /* 273963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273967 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273969 */     GIR_RootConstrainSelectedInstOperands,
     /* 273970 */     // GIR_Coverage, 1125,
     /* 273970 */     GIR_EraseRootFromParent_Done,
     /* 273971 */   // Label 5490: @273971
     /* 273971 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(274003), // Rule ID 1132 //
     /* 273976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273979 */     // MIs[0] Operand 1
     /* 273979 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273992 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 273992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32),
     /* 273995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273999 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274001 */     GIR_RootConstrainSelectedInstOperands,
     /* 274002 */     // GIR_Coverage, 1132,
     /* 274002 */     GIR_EraseRootFromParent_Done,
     /* 274003 */   // Label 5491: @274003
     /* 274003 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(274035), // Rule ID 1139 //
     /* 274008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274011 */     // MIs[0] Operand 1
     /* 274011 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274024 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 274024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32),
     /* 274027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274031 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274033 */     GIR_RootConstrainSelectedInstOperands,
     /* 274034 */     // GIR_Coverage, 1139,
     /* 274034 */     GIR_EraseRootFromParent_Done,
     /* 274035 */   // Label 5492: @274035
     /* 274035 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(274067), // Rule ID 1146 //
     /* 274040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274043 */     // MIs[0] Operand 1
     /* 274043 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 274048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274056 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 274056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i32),
     /* 274059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274063 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274065 */     GIR_RootConstrainSelectedInstOperands,
     /* 274066 */     // GIR_Coverage, 1146,
     /* 274066 */     GIR_EraseRootFromParent_Done,
     /* 274067 */   // Label 5493: @274067
     /* 274067 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(274099), // Rule ID 1153 //
     /* 274072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274075 */     // MIs[0] Operand 1
     /* 274075 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 274080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274088 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 274088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i32),
     /* 274091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274097 */     GIR_RootConstrainSelectedInstOperands,
     /* 274098 */     // GIR_Coverage, 1153,
     /* 274098 */     GIR_EraseRootFromParent_Done,
     /* 274099 */   // Label 5494: @274099
     /* 274099 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(274128), // Rule ID 5078 //
     /* 274104 */     // MIs[0] Operand 1
     /* 274104 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274117 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 274117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32),
     /* 274120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274124 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274126 */     GIR_RootConstrainSelectedInstOperands,
     /* 274127 */     // GIR_Coverage, 5078,
     /* 274127 */     GIR_EraseRootFromParent_Done,
     /* 274128 */   // Label 5495: @274128
     /* 274128 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(274157), // Rule ID 5085 //
     /* 274133 */     // MIs[0] Operand 1
     /* 274133 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274146 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 274146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32),
     /* 274149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274151 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274153 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274155 */     GIR_RootConstrainSelectedInstOperands,
     /* 274156 */     // GIR_Coverage, 5085,
     /* 274156 */     GIR_EraseRootFromParent_Done,
     /* 274157 */   // Label 5496: @274157
     /* 274157 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(274186), // Rule ID 5092 //
     /* 274162 */     // MIs[0] Operand 1
     /* 274162 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274175 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 274175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32),
     /* 274178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274184 */     GIR_RootConstrainSelectedInstOperands,
     /* 274185 */     // GIR_Coverage, 5092,
     /* 274185 */     GIR_EraseRootFromParent_Done,
     /* 274186 */   // Label 5497: @274186
     /* 274186 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(274215), // Rule ID 5099 //
     /* 274191 */     // MIs[0] Operand 1
     /* 274191 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 274196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274204 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 274204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i32),
     /* 274207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274209 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274211 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274213 */     GIR_RootConstrainSelectedInstOperands,
     /* 274214 */     // GIR_Coverage, 5099,
     /* 274214 */     GIR_EraseRootFromParent_Done,
     /* 274215 */   // Label 5498: @274215
     /* 274215 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(274244), // Rule ID 5106 //
     /* 274220 */     // MIs[0] Operand 1
     /* 274220 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 274225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274233 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 274233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i32),
     /* 274236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274240 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274242 */     GIR_RootConstrainSelectedInstOperands,
     /* 274243 */     // GIR_Coverage, 5106,
     /* 274243 */     GIR_EraseRootFromParent_Done,
     /* 274244 */   // Label 5499: @274244
     /* 274244 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(274273), // Rule ID 5113 //
     /* 274249 */     // MIs[0] Operand 1
     /* 274249 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 274254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274262 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 274262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32),
     /* 274265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274271 */     GIR_RootConstrainSelectedInstOperands,
     /* 274272 */     // GIR_Coverage, 5113,
     /* 274272 */     GIR_EraseRootFromParent_Done,
     /* 274273 */   // Label 5500: @274273
     /* 274273 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(274302), // Rule ID 5120 //
     /* 274278 */     // MIs[0] Operand 1
     /* 274278 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 274283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274291 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 274291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32),
     /* 274294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274300 */     GIR_RootConstrainSelectedInstOperands,
     /* 274301 */     // GIR_Coverage, 5120,
     /* 274301 */     GIR_EraseRootFromParent_Done,
     /* 274302 */   // Label 5501: @274302
     /* 274302 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(274331), // Rule ID 5127 //
     /* 274307 */     // MIs[0] Operand 1
     /* 274307 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 274312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274320 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 274320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i32),
     /* 274323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274325 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274327 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274329 */     GIR_RootConstrainSelectedInstOperands,
     /* 274330 */     // GIR_Coverage, 5127,
     /* 274330 */     GIR_EraseRootFromParent_Done,
     /* 274331 */   // Label 5502: @274331
     /* 274331 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(274360), // Rule ID 5134 //
     /* 274336 */     // MIs[0] Operand 1
     /* 274336 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 274341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274349 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 274349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i32),
     /* 274352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274354 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274358 */     GIR_RootConstrainSelectedInstOperands,
     /* 274359 */     // GIR_Coverage, 5134,
     /* 274359 */     GIR_EraseRootFromParent_Done,
     /* 274360 */   // Label 5503: @274360
     /* 274360 */   GIM_Reject,
     /* 274361 */ // Label 5473: @274361
     /* 274361 */ GIM_Reject,
     /* 274362 */ // Label 5454: @274362
     /* 274362 */ GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(275409),
     /* 274367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 274370 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 274373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274377 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(274417), // Rule ID 756 //
     /* 274382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274385 */     // MIs[0] Operand 1
     /* 274385 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274394 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274400 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274408 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i64rz),
     /* 274411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274413 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274415 */     GIR_RootConstrainSelectedInstOperands,
     /* 274416 */     // GIR_Coverage, 756,
     /* 274416 */     GIR_EraseRootFromParent_Done,
     /* 274417 */   // Label 5505: @274417
     /* 274417 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(274457), // Rule ID 763 //
     /* 274422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274425 */     // MIs[0] Operand 1
     /* 274425 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274434 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274440 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274448 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 274451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274453 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274455 */     GIR_RootConstrainSelectedInstOperands,
     /* 274456 */     // GIR_Coverage, 763,
     /* 274456 */     GIR_EraseRootFromParent_Done,
     /* 274457 */   // Label 5506: @274457
     /* 274457 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(274494), // Rule ID 5178 //
     /* 274462 */     // MIs[0] Operand 1
     /* 274462 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274471 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274477 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274485 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64rz),
     /* 274488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274492 */     GIR_RootConstrainSelectedInstOperands,
     /* 274493 */     // GIR_Coverage, 5178,
     /* 274493 */     GIR_EraseRootFromParent_Done,
     /* 274494 */   // Label 5507: @274494
     /* 274494 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(274531), // Rule ID 5185 //
     /* 274499 */     // MIs[0] Operand 1
     /* 274499 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274508 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274514 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274522 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 274525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274527 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274529 */     GIR_RootConstrainSelectedInstOperands,
     /* 274530 */     // GIR_Coverage, 5185,
     /* 274530 */     GIR_EraseRootFromParent_Done,
     /* 274531 */   // Label 5508: @274531
     /* 274531 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(274568), // Rule ID 5192 //
     /* 274536 */     // MIs[0] Operand 1
     /* 274536 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274545 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274551 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274559 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i64rz),
     /* 274562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274564 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274566 */     GIR_RootConstrainSelectedInstOperands,
     /* 274567 */     // GIR_Coverage, 5192,
     /* 274567 */     GIR_EraseRootFromParent_Done,
     /* 274568 */   // Label 5509: @274568
     /* 274568 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(274605), // Rule ID 5199 //
     /* 274573 */     // MIs[0] Operand 1
     /* 274573 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 274578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274582 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274588 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274596 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64rz),
     /* 274599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274601 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274603 */     GIR_RootConstrainSelectedInstOperands,
     /* 274604 */     // GIR_Coverage, 5199,
     /* 274604 */     GIR_EraseRootFromParent_Done,
     /* 274605 */   // Label 5510: @274605
     /* 274605 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(274642), // Rule ID 5206 //
     /* 274610 */     // MIs[0] Operand 1
     /* 274610 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 274615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274619 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274625 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274633 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 274636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274640 */     GIR_RootConstrainSelectedInstOperands,
     /* 274641 */     // GIR_Coverage, 5206,
     /* 274641 */     GIR_EraseRootFromParent_Done,
     /* 274642 */   // Label 5511: @274642
     /* 274642 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(274682), // Rule ID 728 //
     /* 274647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274650 */     // MIs[0] Operand 1
     /* 274650 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274663 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274669 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274673 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64rz),
     /* 274676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274680 */     GIR_RootConstrainSelectedInstOperands,
     /* 274681 */     // GIR_Coverage, 728,
     /* 274681 */     GIR_EraseRootFromParent_Done,
     /* 274682 */   // Label 5512: @274682
     /* 274682 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(274722), // Rule ID 741 //
     /* 274687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274690 */     // MIs[0] Operand 1
     /* 274690 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274703 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274709 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274713 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGE:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 274716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274720 */     GIR_RootConstrainSelectedInstOperands,
     /* 274721 */     // GIR_Coverage, 741,
     /* 274721 */     GIR_EraseRootFromParent_Done,
     /* 274722 */   // Label 5513: @274722
     /* 274722 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(274762), // Rule ID 742 //
     /* 274727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274730 */     // MIs[0] Operand 1
     /* 274730 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274743 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274749 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 274751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274753 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] }, SETGT:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 274756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274760 */     GIR_RootConstrainSelectedInstOperands,
     /* 274761 */     // GIR_Coverage, 742,
     /* 274761 */     GIR_EraseRootFromParent_Done,
     /* 274762 */   // Label 5514: @274762
     /* 274762 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(274802), // Rule ID 749 //
     /* 274767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274770 */     // MIs[0] Operand 1
     /* 274770 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274783 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274789 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274793 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGT:{ *:[Other] })  =>  (CMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64rz),
     /* 274796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274800 */     GIR_RootConstrainSelectedInstOperands,
     /* 274801 */     // GIR_Coverage, 749,
     /* 274801 */     GIR_EraseRootFromParent_Done,
     /* 274802 */   // Label 5515: @274802
     /* 274802 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(274839), // Rule ID 5143 //
     /* 274807 */     // MIs[0] Operand 1
     /* 274807 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274820 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274826 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274830 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64rz),
     /* 274833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274837 */     GIR_RootConstrainSelectedInstOperands,
     /* 274838 */     // GIR_Coverage, 5143,
     /* 274838 */     GIR_EraseRootFromParent_Done,
     /* 274839 */   // Label 5516: @274839
     /* 274839 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(274876), // Rule ID 5150 //
     /* 274844 */     // MIs[0] Operand 1
     /* 274844 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274857 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274863 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274867 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGT:{ *:[Other] })  =>  (CMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64rz),
     /* 274870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274872 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274874 */     GIR_RootConstrainSelectedInstOperands,
     /* 274875 */     // GIR_Coverage, 5150,
     /* 274875 */     GIR_EraseRootFromParent_Done,
     /* 274876 */   // Label 5517: @274876
     /* 274876 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(274913), // Rule ID 5157 //
     /* 274881 */     // MIs[0] Operand 1
     /* 274881 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274894 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274900 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274904 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGE:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 274907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274909 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274911 */     GIR_RootConstrainSelectedInstOperands,
     /* 274912 */     // GIR_Coverage, 5157,
     /* 274912 */     GIR_EraseRootFromParent_Done,
     /* 274913 */   // Label 5518: @274913
     /* 274913 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(274950), // Rule ID 5164 //
     /* 274918 */     // MIs[0] Operand 1
     /* 274918 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 274923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274931 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274937 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274941 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETLT:{ *:[Other] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 274944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274946 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274948 */     GIR_RootConstrainSelectedInstOperands,
     /* 274949 */     // GIR_Coverage, 5164,
     /* 274949 */     GIR_EraseRootFromParent_Done,
     /* 274950 */   // Label 5519: @274950
     /* 274950 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(274987), // Rule ID 5171 //
     /* 274955 */     // MIs[0] Operand 1
     /* 274955 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 274960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274968 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274974 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274978 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETLE:{ *:[Other] })  =>  (CMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i64rz),
     /* 274981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274985 */     GIR_RootConstrainSelectedInstOperands,
     /* 274986 */     // GIR_Coverage, 5171,
     /* 274986 */     GIR_EraseRootFromParent_Done,
     /* 274987 */   // Label 5520: @274987
     /* 274987 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(275019), // Rule ID 1127 //
     /* 274992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274995 */     // MIs[0] Operand 1
     /* 274995 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275008 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64),
     /* 275011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275013 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275015 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275017 */     GIR_RootConstrainSelectedInstOperands,
     /* 275018 */     // GIR_Coverage, 1127,
     /* 275018 */     GIR_EraseRootFromParent_Done,
     /* 275019 */   // Label 5521: @275019
     /* 275019 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(275051), // Rule ID 1134 //
     /* 275024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275027 */     // MIs[0] Operand 1
     /* 275027 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275040 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64),
     /* 275043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275049 */     GIR_RootConstrainSelectedInstOperands,
     /* 275050 */     // GIR_Coverage, 1134,
     /* 275050 */     GIR_EraseRootFromParent_Done,
     /* 275051 */   // Label 5522: @275051
     /* 275051 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(275083), // Rule ID 1141 //
     /* 275056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275059 */     // MIs[0] Operand 1
     /* 275059 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275072 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64),
     /* 275075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275077 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275079 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275081 */     GIR_RootConstrainSelectedInstOperands,
     /* 275082 */     // GIR_Coverage, 1141,
     /* 275082 */     GIR_EraseRootFromParent_Done,
     /* 275083 */   // Label 5523: @275083
     /* 275083 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(275115), // Rule ID 1148 //
     /* 275088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275091 */     // MIs[0] Operand 1
     /* 275091 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 275096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275104 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i64),
     /* 275107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275109 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275111 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275113 */     GIR_RootConstrainSelectedInstOperands,
     /* 275114 */     // GIR_Coverage, 1148,
     /* 275114 */     GIR_EraseRootFromParent_Done,
     /* 275115 */   // Label 5524: @275115
     /* 275115 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(275147), // Rule ID 1155 //
     /* 275120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275123 */     // MIs[0] Operand 1
     /* 275123 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 275128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275136 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i64),
     /* 275139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275141 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275143 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275145 */     GIR_RootConstrainSelectedInstOperands,
     /* 275146 */     // GIR_Coverage, 1155,
     /* 275146 */     GIR_EraseRootFromParent_Done,
     /* 275147 */   // Label 5525: @275147
     /* 275147 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(275176), // Rule ID 5080 //
     /* 275152 */     // MIs[0] Operand 1
     /* 275152 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275165 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64),
     /* 275168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275174 */     GIR_RootConstrainSelectedInstOperands,
     /* 275175 */     // GIR_Coverage, 5080,
     /* 275175 */     GIR_EraseRootFromParent_Done,
     /* 275176 */   // Label 5526: @275176
     /* 275176 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(275205), // Rule ID 5087 //
     /* 275181 */     // MIs[0] Operand 1
     /* 275181 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275194 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64),
     /* 275197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275199 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275201 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275203 */     GIR_RootConstrainSelectedInstOperands,
     /* 275204 */     // GIR_Coverage, 5087,
     /* 275204 */     GIR_EraseRootFromParent_Done,
     /* 275205 */   // Label 5527: @275205
     /* 275205 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(275234), // Rule ID 5094 //
     /* 275210 */     // MIs[0] Operand 1
     /* 275210 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275223 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64),
     /* 275226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275232 */     GIR_RootConstrainSelectedInstOperands,
     /* 275233 */     // GIR_Coverage, 5094,
     /* 275233 */     GIR_EraseRootFromParent_Done,
     /* 275234 */   // Label 5528: @275234
     /* 275234 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(275263), // Rule ID 5101 //
     /* 275239 */     // MIs[0] Operand 1
     /* 275239 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 275244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275252 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i64),
     /* 275255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275259 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275261 */     GIR_RootConstrainSelectedInstOperands,
     /* 275262 */     // GIR_Coverage, 5101,
     /* 275262 */     GIR_EraseRootFromParent_Done,
     /* 275263 */   // Label 5529: @275263
     /* 275263 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(275292), // Rule ID 5108 //
     /* 275268 */     // MIs[0] Operand 1
     /* 275268 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 275273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275281 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i64),
     /* 275284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275290 */     GIR_RootConstrainSelectedInstOperands,
     /* 275291 */     // GIR_Coverage, 5108,
     /* 275291 */     GIR_EraseRootFromParent_Done,
     /* 275292 */   // Label 5530: @275292
     /* 275292 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(275321), // Rule ID 5115 //
     /* 275297 */     // MIs[0] Operand 1
     /* 275297 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 275302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275310 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 275310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64),
     /* 275313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275315 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275319 */     GIR_RootConstrainSelectedInstOperands,
     /* 275320 */     // GIR_Coverage, 5115,
     /* 275320 */     GIR_EraseRootFromParent_Done,
     /* 275321 */   // Label 5531: @275321
     /* 275321 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(275350), // Rule ID 5122 //
     /* 275326 */     // MIs[0] Operand 1
     /* 275326 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 275331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275339 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 275339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64),
     /* 275342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275344 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275346 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275348 */     GIR_RootConstrainSelectedInstOperands,
     /* 275349 */     // GIR_Coverage, 5122,
     /* 275349 */     GIR_EraseRootFromParent_Done,
     /* 275350 */   // Label 5532: @275350
     /* 275350 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(275379), // Rule ID 5129 //
     /* 275355 */     // MIs[0] Operand 1
     /* 275355 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 275360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275368 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 275368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i64),
     /* 275371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275373 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275377 */     GIR_RootConstrainSelectedInstOperands,
     /* 275378 */     // GIR_Coverage, 5129,
     /* 275378 */     GIR_EraseRootFromParent_Done,
     /* 275379 */   // Label 5533: @275379
     /* 275379 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(275408), // Rule ID 5136 //
     /* 275384 */     // MIs[0] Operand 1
     /* 275384 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 275389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275397 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 275397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i64),
     /* 275400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275406 */     GIR_RootConstrainSelectedInstOperands,
     /* 275407 */     // GIR_Coverage, 5136,
     /* 275407 */     GIR_EraseRootFromParent_Done,
     /* 275408 */   // Label 5534: @275408
     /* 275408 */   GIM_Reject,
     /* 275409 */ // Label 5504: @275409
     /* 275409 */ GIM_Reject,
     /* 275410 */ // Label 5455: @275410
     /* 275410 */ GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(276457),
     /* 275415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 275418 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 275421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275425 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(275465), // Rule ID 752 //
     /* 275430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275433 */     // MIs[0] Operand 1
     /* 275433 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275442 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275448 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275456 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i16rz),
     /* 275459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275461 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275463 */     GIR_RootConstrainSelectedInstOperands,
     /* 275464 */     // GIR_Coverage, 752,
     /* 275464 */     GIR_EraseRootFromParent_Done,
     /* 275465 */   // Label 5536: @275465
     /* 275465 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(275505), // Rule ID 759 //
     /* 275470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275473 */     // MIs[0] Operand 1
     /* 275473 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275482 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275488 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275496 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 275499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275501 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275503 */     GIR_RootConstrainSelectedInstOperands,
     /* 275504 */     // GIR_Coverage, 759,
     /* 275504 */     GIR_EraseRootFromParent_Done,
     /* 275505 */   // Label 5537: @275505
     /* 275505 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(275542), // Rule ID 5174 //
     /* 275510 */     // MIs[0] Operand 1
     /* 275510 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275519 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275525 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275533 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16rz),
     /* 275536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275538 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275540 */     GIR_RootConstrainSelectedInstOperands,
     /* 275541 */     // GIR_Coverage, 5174,
     /* 275541 */     GIR_EraseRootFromParent_Done,
     /* 275542 */   // Label 5538: @275542
     /* 275542 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(275579), // Rule ID 5181 //
     /* 275547 */     // MIs[0] Operand 1
     /* 275547 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275556 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275562 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275570 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 275573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275575 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275577 */     GIR_RootConstrainSelectedInstOperands,
     /* 275578 */     // GIR_Coverage, 5181,
     /* 275578 */     GIR_EraseRootFromParent_Done,
     /* 275579 */   // Label 5539: @275579
     /* 275579 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(275616), // Rule ID 5188 //
     /* 275584 */     // MIs[0] Operand 1
     /* 275584 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275593 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275599 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275607 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i16rz),
     /* 275610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275614 */     GIR_RootConstrainSelectedInstOperands,
     /* 275615 */     // GIR_Coverage, 5188,
     /* 275615 */     GIR_EraseRootFromParent_Done,
     /* 275616 */   // Label 5540: @275616
     /* 275616 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(275653), // Rule ID 5195 //
     /* 275621 */     // MIs[0] Operand 1
     /* 275621 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 275626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275630 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275636 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275644 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16rz),
     /* 275647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275651 */     GIR_RootConstrainSelectedInstOperands,
     /* 275652 */     // GIR_Coverage, 5195,
     /* 275652 */     GIR_EraseRootFromParent_Done,
     /* 275653 */   // Label 5541: @275653
     /* 275653 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(275690), // Rule ID 5202 //
     /* 275658 */     // MIs[0] Operand 1
     /* 275658 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 275663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275667 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275673 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275681 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 275684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275688 */     GIR_RootConstrainSelectedInstOperands,
     /* 275689 */     // GIR_Coverage, 5202,
     /* 275689 */     GIR_EraseRootFromParent_Done,
     /* 275690 */   // Label 5542: @275690
     /* 275690 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(275730), // Rule ID 724 //
     /* 275695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275698 */     // MIs[0] Operand 1
     /* 275698 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275711 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275717 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275721 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16rz),
     /* 275724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275728 */     GIR_RootConstrainSelectedInstOperands,
     /* 275729 */     // GIR_Coverage, 724,
     /* 275729 */     GIR_EraseRootFromParent_Done,
     /* 275730 */   // Label 5543: @275730
     /* 275730 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(275770), // Rule ID 733 //
     /* 275735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275738 */     // MIs[0] Operand 1
     /* 275738 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275751 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275757 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275761 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGE:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 275764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275768 */     GIR_RootConstrainSelectedInstOperands,
     /* 275769 */     // GIR_Coverage, 733,
     /* 275769 */     GIR_EraseRootFromParent_Done,
     /* 275770 */   // Label 5544: @275770
     /* 275770 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(275810), // Rule ID 734 //
     /* 275775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275778 */     // MIs[0] Operand 1
     /* 275778 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275791 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275797 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 275799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275801 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllOnesV:{ *:[v4i16] }, SETGT:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 275804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275808 */     GIR_RootConstrainSelectedInstOperands,
     /* 275809 */     // GIR_Coverage, 734,
     /* 275809 */     GIR_EraseRootFromParent_Done,
     /* 275810 */   // Label 5545: @275810
     /* 275810 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(275850), // Rule ID 745 //
     /* 275815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275818 */     // MIs[0] Operand 1
     /* 275818 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275831 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275837 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275841 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGT:{ *:[Other] })  =>  (CMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16rz),
     /* 275844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275846 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275848 */     GIR_RootConstrainSelectedInstOperands,
     /* 275849 */     // GIR_Coverage, 745,
     /* 275849 */     GIR_EraseRootFromParent_Done,
     /* 275850 */   // Label 5546: @275850
     /* 275850 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(275887), // Rule ID 5139 //
     /* 275855 */     // MIs[0] Operand 1
     /* 275855 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275868 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275874 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275878 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16rz),
     /* 275881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275883 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275885 */     GIR_RootConstrainSelectedInstOperands,
     /* 275886 */     // GIR_Coverage, 5139,
     /* 275886 */     GIR_EraseRootFromParent_Done,
     /* 275887 */   // Label 5547: @275887
     /* 275887 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(275924), // Rule ID 5146 //
     /* 275892 */     // MIs[0] Operand 1
     /* 275892 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275905 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275911 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275915 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGT:{ *:[Other] })  =>  (CMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16rz),
     /* 275918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275922 */     GIR_RootConstrainSelectedInstOperands,
     /* 275923 */     // GIR_Coverage, 5146,
     /* 275923 */     GIR_EraseRootFromParent_Done,
     /* 275924 */   // Label 5548: @275924
     /* 275924 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(275961), // Rule ID 5153 //
     /* 275929 */     // MIs[0] Operand 1
     /* 275929 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275942 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275948 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275952 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGE:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 275955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275959 */     GIR_RootConstrainSelectedInstOperands,
     /* 275960 */     // GIR_Coverage, 5153,
     /* 275960 */     GIR_EraseRootFromParent_Done,
     /* 275961 */   // Label 5549: @275961
     /* 275961 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(275998), // Rule ID 5160 //
     /* 275966 */     // MIs[0] Operand 1
     /* 275966 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 275971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275979 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275985 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275989 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETLT:{ *:[Other] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 275992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275996 */     GIR_RootConstrainSelectedInstOperands,
     /* 275997 */     // GIR_Coverage, 5160,
     /* 275997 */     GIR_EraseRootFromParent_Done,
     /* 275998 */   // Label 5550: @275998
     /* 275998 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(276035), // Rule ID 5167 //
     /* 276003 */     // MIs[0] Operand 1
     /* 276003 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 276008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276016 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276022 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276026 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETLE:{ *:[Other] })  =>  (CMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 276026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i16rz),
     /* 276029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276031 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276033 */     GIR_RootConstrainSelectedInstOperands,
     /* 276034 */     // GIR_Coverage, 5167,
     /* 276034 */     GIR_EraseRootFromParent_Done,
     /* 276035 */   // Label 5551: @276035
     /* 276035 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(276067), // Rule ID 1123 //
     /* 276040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276043 */     // MIs[0] Operand 1
     /* 276043 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276056 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16),
     /* 276059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276063 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276065 */     GIR_RootConstrainSelectedInstOperands,
     /* 276066 */     // GIR_Coverage, 1123,
     /* 276066 */     GIR_EraseRootFromParent_Done,
     /* 276067 */   // Label 5552: @276067
     /* 276067 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(276099), // Rule ID 1130 //
     /* 276072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276075 */     // MIs[0] Operand 1
     /* 276075 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276088 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16),
     /* 276091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276097 */     GIR_RootConstrainSelectedInstOperands,
     /* 276098 */     // GIR_Coverage, 1130,
     /* 276098 */     GIR_EraseRootFromParent_Done,
     /* 276099 */   // Label 5553: @276099
     /* 276099 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(276131), // Rule ID 1137 //
     /* 276104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276107 */     // MIs[0] Operand 1
     /* 276107 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276120 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16),
     /* 276123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276129 */     GIR_RootConstrainSelectedInstOperands,
     /* 276130 */     // GIR_Coverage, 1137,
     /* 276130 */     GIR_EraseRootFromParent_Done,
     /* 276131 */   // Label 5554: @276131
     /* 276131 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(276163), // Rule ID 1144 //
     /* 276136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276139 */     // MIs[0] Operand 1
     /* 276139 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 276144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276152 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i16),
     /* 276155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276159 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276161 */     GIR_RootConstrainSelectedInstOperands,
     /* 276162 */     // GIR_Coverage, 1144,
     /* 276162 */     GIR_EraseRootFromParent_Done,
     /* 276163 */   // Label 5555: @276163
     /* 276163 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(276195), // Rule ID 1151 //
     /* 276168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276171 */     // MIs[0] Operand 1
     /* 276171 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 276176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276184 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i16),
     /* 276187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276191 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276193 */     GIR_RootConstrainSelectedInstOperands,
     /* 276194 */     // GIR_Coverage, 1151,
     /* 276194 */     GIR_EraseRootFromParent_Done,
     /* 276195 */   // Label 5556: @276195
     /* 276195 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(276224), // Rule ID 5076 //
     /* 276200 */     // MIs[0] Operand 1
     /* 276200 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276213 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16),
     /* 276216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276222 */     GIR_RootConstrainSelectedInstOperands,
     /* 276223 */     // GIR_Coverage, 5076,
     /* 276223 */     GIR_EraseRootFromParent_Done,
     /* 276224 */   // Label 5557: @276224
     /* 276224 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(276253), // Rule ID 5083 //
     /* 276229 */     // MIs[0] Operand 1
     /* 276229 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276242 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16),
     /* 276245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276247 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276249 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276251 */     GIR_RootConstrainSelectedInstOperands,
     /* 276252 */     // GIR_Coverage, 5083,
     /* 276252 */     GIR_EraseRootFromParent_Done,
     /* 276253 */   // Label 5558: @276253
     /* 276253 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(276282), // Rule ID 5090 //
     /* 276258 */     // MIs[0] Operand 1
     /* 276258 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276271 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16),
     /* 276274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276278 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276280 */     GIR_RootConstrainSelectedInstOperands,
     /* 276281 */     // GIR_Coverage, 5090,
     /* 276281 */     GIR_EraseRootFromParent_Done,
     /* 276282 */   // Label 5559: @276282
     /* 276282 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(276311), // Rule ID 5097 //
     /* 276287 */     // MIs[0] Operand 1
     /* 276287 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 276292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276300 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i16),
     /* 276303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276309 */     GIR_RootConstrainSelectedInstOperands,
     /* 276310 */     // GIR_Coverage, 5097,
     /* 276310 */     GIR_EraseRootFromParent_Done,
     /* 276311 */   // Label 5560: @276311
     /* 276311 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(276340), // Rule ID 5104 //
     /* 276316 */     // MIs[0] Operand 1
     /* 276316 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 276321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276329 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i16),
     /* 276332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276334 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276336 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276338 */     GIR_RootConstrainSelectedInstOperands,
     /* 276339 */     // GIR_Coverage, 5104,
     /* 276339 */     GIR_EraseRootFromParent_Done,
     /* 276340 */   // Label 5561: @276340
     /* 276340 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(276369), // Rule ID 5111 //
     /* 276345 */     // MIs[0] Operand 1
     /* 276345 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 276350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276358 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 276358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16),
     /* 276361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276363 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276367 */     GIR_RootConstrainSelectedInstOperands,
     /* 276368 */     // GIR_Coverage, 5111,
     /* 276368 */     GIR_EraseRootFromParent_Done,
     /* 276369 */   // Label 5562: @276369
     /* 276369 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(276398), // Rule ID 5118 //
     /* 276374 */     // MIs[0] Operand 1
     /* 276374 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 276379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276387 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 276387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16),
     /* 276390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276394 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276396 */     GIR_RootConstrainSelectedInstOperands,
     /* 276397 */     // GIR_Coverage, 5118,
     /* 276397 */     GIR_EraseRootFromParent_Done,
     /* 276398 */   // Label 5563: @276398
     /* 276398 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(276427), // Rule ID 5125 //
     /* 276403 */     // MIs[0] Operand 1
     /* 276403 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 276408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276416 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 276416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i16),
     /* 276419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276421 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276423 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276425 */     GIR_RootConstrainSelectedInstOperands,
     /* 276426 */     // GIR_Coverage, 5125,
     /* 276426 */     GIR_EraseRootFromParent_Done,
     /* 276427 */   // Label 5564: @276427
     /* 276427 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(276456), // Rule ID 5132 //
     /* 276432 */     // MIs[0] Operand 1
     /* 276432 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 276437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276445 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 276445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i16),
     /* 276448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276452 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276454 */     GIR_RootConstrainSelectedInstOperands,
     /* 276455 */     // GIR_Coverage, 5132,
     /* 276455 */     GIR_EraseRootFromParent_Done,
     /* 276456 */   // Label 5565: @276456
     /* 276456 */   GIM_Reject,
     /* 276457 */ // Label 5535: @276457
     /* 276457 */ GIM_Reject,
     /* 276458 */ // Label 5456: @276458
     /* 276458 */ GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(277505),
     /* 276463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 276466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 276469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276473 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(276513), // Rule ID 755 //
     /* 276478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276481 */     // MIs[0] Operand 1
     /* 276481 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276490 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276496 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276504 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i32rz),
     /* 276507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276509 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276511 */     GIR_RootConstrainSelectedInstOperands,
     /* 276512 */     // GIR_Coverage, 755,
     /* 276512 */     GIR_EraseRootFromParent_Done,
     /* 276513 */   // Label 5567: @276513
     /* 276513 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(276553), // Rule ID 762 //
     /* 276518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276521 */     // MIs[0] Operand 1
     /* 276521 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276530 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276536 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276544 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 276547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276549 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276551 */     GIR_RootConstrainSelectedInstOperands,
     /* 276552 */     // GIR_Coverage, 762,
     /* 276552 */     GIR_EraseRootFromParent_Done,
     /* 276553 */   // Label 5568: @276553
     /* 276553 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(276590), // Rule ID 5177 //
     /* 276558 */     // MIs[0] Operand 1
     /* 276558 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276567 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276573 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276581 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32rz),
     /* 276584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276588 */     GIR_RootConstrainSelectedInstOperands,
     /* 276589 */     // GIR_Coverage, 5177,
     /* 276589 */     GIR_EraseRootFromParent_Done,
     /* 276590 */   // Label 5569: @276590
     /* 276590 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(276627), // Rule ID 5184 //
     /* 276595 */     // MIs[0] Operand 1
     /* 276595 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276604 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276610 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276618 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 276621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276623 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276625 */     GIR_RootConstrainSelectedInstOperands,
     /* 276626 */     // GIR_Coverage, 5184,
     /* 276626 */     GIR_EraseRootFromParent_Done,
     /* 276627 */   // Label 5570: @276627
     /* 276627 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(276664), // Rule ID 5191 //
     /* 276632 */     // MIs[0] Operand 1
     /* 276632 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276641 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276647 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276655 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i32rz),
     /* 276658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276662 */     GIR_RootConstrainSelectedInstOperands,
     /* 276663 */     // GIR_Coverage, 5191,
     /* 276663 */     GIR_EraseRootFromParent_Done,
     /* 276664 */   // Label 5571: @276664
     /* 276664 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(276701), // Rule ID 5198 //
     /* 276669 */     // MIs[0] Operand 1
     /* 276669 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 276674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276678 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276684 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276692 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32rz),
     /* 276695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276699 */     GIR_RootConstrainSelectedInstOperands,
     /* 276700 */     // GIR_Coverage, 5198,
     /* 276700 */     GIR_EraseRootFromParent_Done,
     /* 276701 */   // Label 5572: @276701
     /* 276701 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(276738), // Rule ID 5205 //
     /* 276706 */     // MIs[0] Operand 1
     /* 276706 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 276711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276715 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276721 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276729 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 276732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276736 */     GIR_RootConstrainSelectedInstOperands,
     /* 276737 */     // GIR_Coverage, 5205,
     /* 276737 */     GIR_EraseRootFromParent_Done,
     /* 276738 */   // Label 5573: @276738
     /* 276738 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(276778), // Rule ID 727 //
     /* 276743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276746 */     // MIs[0] Operand 1
     /* 276746 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276759 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276765 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276769 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32rz),
     /* 276772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276776 */     GIR_RootConstrainSelectedInstOperands,
     /* 276777 */     // GIR_Coverage, 727,
     /* 276777 */     GIR_EraseRootFromParent_Done,
     /* 276778 */   // Label 5574: @276778
     /* 276778 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(276818), // Rule ID 739 //
     /* 276783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276786 */     // MIs[0] Operand 1
     /* 276786 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276799 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276805 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276809 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGE:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 276812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276816 */     GIR_RootConstrainSelectedInstOperands,
     /* 276817 */     // GIR_Coverage, 739,
     /* 276817 */     GIR_EraseRootFromParent_Done,
     /* 276818 */   // Label 5575: @276818
     /* 276818 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(276858), // Rule ID 740 //
     /* 276823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276826 */     // MIs[0] Operand 1
     /* 276826 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276839 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276845 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 276847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276849 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] }, SETGT:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 276852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276856 */     GIR_RootConstrainSelectedInstOperands,
     /* 276857 */     // GIR_Coverage, 740,
     /* 276857 */     GIR_EraseRootFromParent_Done,
     /* 276858 */   // Label 5576: @276858
     /* 276858 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(276898), // Rule ID 748 //
     /* 276863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276866 */     // MIs[0] Operand 1
     /* 276866 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276879 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276885 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276889 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGT:{ *:[Other] })  =>  (CMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32rz),
     /* 276892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276896 */     GIR_RootConstrainSelectedInstOperands,
     /* 276897 */     // GIR_Coverage, 748,
     /* 276897 */     GIR_EraseRootFromParent_Done,
     /* 276898 */   // Label 5577: @276898
     /* 276898 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(276935), // Rule ID 5142 //
     /* 276903 */     // MIs[0] Operand 1
     /* 276903 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276916 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276922 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276926 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32rz),
     /* 276929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276931 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276933 */     GIR_RootConstrainSelectedInstOperands,
     /* 276934 */     // GIR_Coverage, 5142,
     /* 276934 */     GIR_EraseRootFromParent_Done,
     /* 276935 */   // Label 5578: @276935
     /* 276935 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(276972), // Rule ID 5149 //
     /* 276940 */     // MIs[0] Operand 1
     /* 276940 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276953 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276959 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276963 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGT:{ *:[Other] })  =>  (CMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32rz),
     /* 276966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276970 */     GIR_RootConstrainSelectedInstOperands,
     /* 276971 */     // GIR_Coverage, 5149,
     /* 276971 */     GIR_EraseRootFromParent_Done,
     /* 276972 */   // Label 5579: @276972
     /* 276972 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(277009), // Rule ID 5156 //
     /* 276977 */     // MIs[0] Operand 1
     /* 276977 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276990 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276996 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277000 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGE:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 277000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 277003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277007 */     GIR_RootConstrainSelectedInstOperands,
     /* 277008 */     // GIR_Coverage, 5156,
     /* 277008 */     GIR_EraseRootFromParent_Done,
     /* 277009 */   // Label 5580: @277009
     /* 277009 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(277046), // Rule ID 5163 //
     /* 277014 */     // MIs[0] Operand 1
     /* 277014 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 277019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277027 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277033 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277037 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETLT:{ *:[Other] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 277037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 277040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277044 */     GIR_RootConstrainSelectedInstOperands,
     /* 277045 */     // GIR_Coverage, 5163,
     /* 277045 */     GIR_EraseRootFromParent_Done,
     /* 277046 */   // Label 5581: @277046
     /* 277046 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(277083), // Rule ID 5170 //
     /* 277051 */     // MIs[0] Operand 1
     /* 277051 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 277056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277064 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277070 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277074 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETLE:{ *:[Other] })  =>  (CMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 277074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i32rz),
     /* 277077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277079 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277081 */     GIR_RootConstrainSelectedInstOperands,
     /* 277082 */     // GIR_Coverage, 5170,
     /* 277082 */     GIR_EraseRootFromParent_Done,
     /* 277083 */   // Label 5582: @277083
     /* 277083 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(277115), // Rule ID 1126 //
     /* 277088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277091 */     // MIs[0] Operand 1
     /* 277091 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277104 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32),
     /* 277107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277109 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277111 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277113 */     GIR_RootConstrainSelectedInstOperands,
     /* 277114 */     // GIR_Coverage, 1126,
     /* 277114 */     GIR_EraseRootFromParent_Done,
     /* 277115 */   // Label 5583: @277115
     /* 277115 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(277147), // Rule ID 1133 //
     /* 277120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277123 */     // MIs[0] Operand 1
     /* 277123 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277136 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32),
     /* 277139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277141 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277143 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277145 */     GIR_RootConstrainSelectedInstOperands,
     /* 277146 */     // GIR_Coverage, 1133,
     /* 277146 */     GIR_EraseRootFromParent_Done,
     /* 277147 */   // Label 5584: @277147
     /* 277147 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(277179), // Rule ID 1140 //
     /* 277152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277155 */     // MIs[0] Operand 1
     /* 277155 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277168 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32),
     /* 277171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277175 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277177 */     GIR_RootConstrainSelectedInstOperands,
     /* 277178 */     // GIR_Coverage, 1140,
     /* 277178 */     GIR_EraseRootFromParent_Done,
     /* 277179 */   // Label 5585: @277179
     /* 277179 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(277211), // Rule ID 1147 //
     /* 277184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277187 */     // MIs[0] Operand 1
     /* 277187 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 277192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277200 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i32),
     /* 277203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277207 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277209 */     GIR_RootConstrainSelectedInstOperands,
     /* 277210 */     // GIR_Coverage, 1147,
     /* 277210 */     GIR_EraseRootFromParent_Done,
     /* 277211 */   // Label 5586: @277211
     /* 277211 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(277243), // Rule ID 1154 //
     /* 277216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277219 */     // MIs[0] Operand 1
     /* 277219 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 277224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277232 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i32),
     /* 277235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277237 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277239 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277241 */     GIR_RootConstrainSelectedInstOperands,
     /* 277242 */     // GIR_Coverage, 1154,
     /* 277242 */     GIR_EraseRootFromParent_Done,
     /* 277243 */   // Label 5587: @277243
     /* 277243 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(277272), // Rule ID 5079 //
     /* 277248 */     // MIs[0] Operand 1
     /* 277248 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277261 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32),
     /* 277264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277270 */     GIR_RootConstrainSelectedInstOperands,
     /* 277271 */     // GIR_Coverage, 5079,
     /* 277271 */     GIR_EraseRootFromParent_Done,
     /* 277272 */   // Label 5588: @277272
     /* 277272 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(277301), // Rule ID 5086 //
     /* 277277 */     // MIs[0] Operand 1
     /* 277277 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277290 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32),
     /* 277293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277297 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277299 */     GIR_RootConstrainSelectedInstOperands,
     /* 277300 */     // GIR_Coverage, 5086,
     /* 277300 */     GIR_EraseRootFromParent_Done,
     /* 277301 */   // Label 5589: @277301
     /* 277301 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(277330), // Rule ID 5093 //
     /* 277306 */     // MIs[0] Operand 1
     /* 277306 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277319 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32),
     /* 277322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277326 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277328 */     GIR_RootConstrainSelectedInstOperands,
     /* 277329 */     // GIR_Coverage, 5093,
     /* 277329 */     GIR_EraseRootFromParent_Done,
     /* 277330 */   // Label 5590: @277330
     /* 277330 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(277359), // Rule ID 5100 //
     /* 277335 */     // MIs[0] Operand 1
     /* 277335 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 277340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277348 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i32),
     /* 277351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277355 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277357 */     GIR_RootConstrainSelectedInstOperands,
     /* 277358 */     // GIR_Coverage, 5100,
     /* 277358 */     GIR_EraseRootFromParent_Done,
     /* 277359 */   // Label 5591: @277359
     /* 277359 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(277388), // Rule ID 5107 //
     /* 277364 */     // MIs[0] Operand 1
     /* 277364 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 277369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277377 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i32),
     /* 277380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277384 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277386 */     GIR_RootConstrainSelectedInstOperands,
     /* 277387 */     // GIR_Coverage, 5107,
     /* 277387 */     GIR_EraseRootFromParent_Done,
     /* 277388 */   // Label 5592: @277388
     /* 277388 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(277417), // Rule ID 5114 //
     /* 277393 */     // MIs[0] Operand 1
     /* 277393 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 277398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277406 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 277406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32),
     /* 277409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277415 */     GIR_RootConstrainSelectedInstOperands,
     /* 277416 */     // GIR_Coverage, 5114,
     /* 277416 */     GIR_EraseRootFromParent_Done,
     /* 277417 */   // Label 5593: @277417
     /* 277417 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(277446), // Rule ID 5121 //
     /* 277422 */     // MIs[0] Operand 1
     /* 277422 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 277427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277435 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 277435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32),
     /* 277438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277440 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277442 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277444 */     GIR_RootConstrainSelectedInstOperands,
     /* 277445 */     // GIR_Coverage, 5121,
     /* 277445 */     GIR_EraseRootFromParent_Done,
     /* 277446 */   // Label 5594: @277446
     /* 277446 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(277475), // Rule ID 5128 //
     /* 277451 */     // MIs[0] Operand 1
     /* 277451 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 277456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277464 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 277464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i32),
     /* 277467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277469 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277471 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277473 */     GIR_RootConstrainSelectedInstOperands,
     /* 277474 */     // GIR_Coverage, 5128,
     /* 277474 */     GIR_EraseRootFromParent_Done,
     /* 277475 */   // Label 5595: @277475
     /* 277475 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(277504), // Rule ID 5135 //
     /* 277480 */     // MIs[0] Operand 1
     /* 277480 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 277485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277493 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 277493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i32),
     /* 277496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277502 */     GIR_RootConstrainSelectedInstOperands,
     /* 277503 */     // GIR_Coverage, 5135,
     /* 277503 */     GIR_EraseRootFromParent_Done,
     /* 277504 */   // Label 5596: @277504
     /* 277504 */   GIM_Reject,
     /* 277505 */ // Label 5566: @277505
     /* 277505 */ GIM_Reject,
     /* 277506 */ // Label 5457: @277506
     /* 277506 */ GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(278553),
     /* 277511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 277514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 277517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277521 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(277561), // Rule ID 750 //
     /* 277526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277529 */     // MIs[0] Operand 1
     /* 277529 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277538 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277544 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277552 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i8rz),
     /* 277555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277557 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277559 */     GIR_RootConstrainSelectedInstOperands,
     /* 277560 */     // GIR_Coverage, 750,
     /* 277560 */     GIR_EraseRootFromParent_Done,
     /* 277561 */   // Label 5598: @277561
     /* 277561 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(277601), // Rule ID 757 //
     /* 277566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277569 */     // MIs[0] Operand 1
     /* 277569 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277578 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277584 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277592 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 277595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277597 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277599 */     GIR_RootConstrainSelectedInstOperands,
     /* 277600 */     // GIR_Coverage, 757,
     /* 277600 */     GIR_EraseRootFromParent_Done,
     /* 277601 */   // Label 5599: @277601
     /* 277601 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(277638), // Rule ID 5172 //
     /* 277606 */     // MIs[0] Operand 1
     /* 277606 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277615 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277621 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277629 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8rz),
     /* 277632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277634 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277636 */     GIR_RootConstrainSelectedInstOperands,
     /* 277637 */     // GIR_Coverage, 5172,
     /* 277637 */     GIR_EraseRootFromParent_Done,
     /* 277638 */   // Label 5600: @277638
     /* 277638 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(277675), // Rule ID 5179 //
     /* 277643 */     // MIs[0] Operand 1
     /* 277643 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277652 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277658 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277666 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 277669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277671 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277673 */     GIR_RootConstrainSelectedInstOperands,
     /* 277674 */     // GIR_Coverage, 5179,
     /* 277674 */     GIR_EraseRootFromParent_Done,
     /* 277675 */   // Label 5601: @277675
     /* 277675 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(277712), // Rule ID 5186 //
     /* 277680 */     // MIs[0] Operand 1
     /* 277680 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277689 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277695 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277703 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i8rz),
     /* 277706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277710 */     GIR_RootConstrainSelectedInstOperands,
     /* 277711 */     // GIR_Coverage, 5186,
     /* 277711 */     GIR_EraseRootFromParent_Done,
     /* 277712 */   // Label 5602: @277712
     /* 277712 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(277749), // Rule ID 5193 //
     /* 277717 */     // MIs[0] Operand 1
     /* 277717 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 277722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277726 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277732 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277740 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8rz),
     /* 277743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277745 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277747 */     GIR_RootConstrainSelectedInstOperands,
     /* 277748 */     // GIR_Coverage, 5193,
     /* 277748 */     GIR_EraseRootFromParent_Done,
     /* 277749 */   // Label 5603: @277749
     /* 277749 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(277786), // Rule ID 5200 //
     /* 277754 */     // MIs[0] Operand 1
     /* 277754 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 277759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277763 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277769 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277777 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 277780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277782 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277784 */     GIR_RootConstrainSelectedInstOperands,
     /* 277785 */     // GIR_Coverage, 5200,
     /* 277785 */     GIR_EraseRootFromParent_Done,
     /* 277786 */   // Label 5604: @277786
     /* 277786 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(277826), // Rule ID 722 //
     /* 277791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277794 */     // MIs[0] Operand 1
     /* 277794 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277807 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277813 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277817 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8rz),
     /* 277820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277822 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277824 */     GIR_RootConstrainSelectedInstOperands,
     /* 277825 */     // GIR_Coverage, 722,
     /* 277825 */     GIR_EraseRootFromParent_Done,
     /* 277826 */   // Label 5605: @277826
     /* 277826 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(277866), // Rule ID 729 //
     /* 277831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277834 */     // MIs[0] Operand 1
     /* 277834 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277847 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277853 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277857 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGE:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 277860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277862 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277864 */     GIR_RootConstrainSelectedInstOperands,
     /* 277865 */     // GIR_Coverage, 729,
     /* 277865 */     GIR_EraseRootFromParent_Done,
     /* 277866 */   // Label 5606: @277866
     /* 277866 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(277906), // Rule ID 730 //
     /* 277871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277874 */     // MIs[0] Operand 1
     /* 277874 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277887 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277893 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 277895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277897 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllOnesV:{ *:[v8i8] }, SETGT:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 277900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277904 */     GIR_RootConstrainSelectedInstOperands,
     /* 277905 */     // GIR_Coverage, 730,
     /* 277905 */     GIR_EraseRootFromParent_Done,
     /* 277906 */   // Label 5607: @277906
     /* 277906 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(277946), // Rule ID 743 //
     /* 277911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277914 */     // MIs[0] Operand 1
     /* 277914 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277927 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277933 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277937 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGT:{ *:[Other] })  =>  (CMGTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8rz),
     /* 277940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277944 */     GIR_RootConstrainSelectedInstOperands,
     /* 277945 */     // GIR_Coverage, 743,
     /* 277945 */     GIR_EraseRootFromParent_Done,
     /* 277946 */   // Label 5608: @277946
     /* 277946 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(277983), // Rule ID 5137 //
     /* 277951 */     // MIs[0] Operand 1
     /* 277951 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277964 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277970 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277974 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8rz),
     /* 277977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277979 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277981 */     GIR_RootConstrainSelectedInstOperands,
     /* 277982 */     // GIR_Coverage, 5137,
     /* 277982 */     GIR_EraseRootFromParent_Done,
     /* 277983 */   // Label 5609: @277983
     /* 277983 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(278020), // Rule ID 5144 //
     /* 277988 */     // MIs[0] Operand 1
     /* 277988 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278001 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278007 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278011 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGT:{ *:[Other] })  =>  (CMGTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 278011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8rz),
     /* 278014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278018 */     GIR_RootConstrainSelectedInstOperands,
     /* 278019 */     // GIR_Coverage, 5144,
     /* 278019 */     GIR_EraseRootFromParent_Done,
     /* 278020 */   // Label 5610: @278020
     /* 278020 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(278057), // Rule ID 5151 //
     /* 278025 */     // MIs[0] Operand 1
     /* 278025 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278038 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278044 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278048 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGE:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 278048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 278051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278055 */     GIR_RootConstrainSelectedInstOperands,
     /* 278056 */     // GIR_Coverage, 5151,
     /* 278056 */     GIR_EraseRootFromParent_Done,
     /* 278057 */   // Label 5611: @278057
     /* 278057 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(278094), // Rule ID 5158 //
     /* 278062 */     // MIs[0] Operand 1
     /* 278062 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 278067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278075 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278081 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278085 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETLT:{ *:[Other] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 278085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 278088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278092 */     GIR_RootConstrainSelectedInstOperands,
     /* 278093 */     // GIR_Coverage, 5158,
     /* 278093 */     GIR_EraseRootFromParent_Done,
     /* 278094 */   // Label 5612: @278094
     /* 278094 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(278131), // Rule ID 5165 //
     /* 278099 */     // MIs[0] Operand 1
     /* 278099 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 278104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278112 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278118 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278122 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETLE:{ *:[Other] })  =>  (CMLEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 278122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i8rz),
     /* 278125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278129 */     GIR_RootConstrainSelectedInstOperands,
     /* 278130 */     // GIR_Coverage, 5165,
     /* 278130 */     GIR_EraseRootFromParent_Done,
     /* 278131 */   // Label 5613: @278131
     /* 278131 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(278163), // Rule ID 1121 //
     /* 278136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278139 */     // MIs[0] Operand 1
     /* 278139 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 278144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278152 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8),
     /* 278155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278159 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278161 */     GIR_RootConstrainSelectedInstOperands,
     /* 278162 */     // GIR_Coverage, 1121,
     /* 278162 */     GIR_EraseRootFromParent_Done,
     /* 278163 */   // Label 5614: @278163
     /* 278163 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(278195), // Rule ID 1128 //
     /* 278168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278171 */     // MIs[0] Operand 1
     /* 278171 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278184 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8),
     /* 278187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278191 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278193 */     GIR_RootConstrainSelectedInstOperands,
     /* 278194 */     // GIR_Coverage, 1128,
     /* 278194 */     GIR_EraseRootFromParent_Done,
     /* 278195 */   // Label 5615: @278195
     /* 278195 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(278227), // Rule ID 1135 //
     /* 278200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278203 */     // MIs[0] Operand 1
     /* 278203 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278216 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8),
     /* 278219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278223 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278225 */     GIR_RootConstrainSelectedInstOperands,
     /* 278226 */     // GIR_Coverage, 1135,
     /* 278226 */     GIR_EraseRootFromParent_Done,
     /* 278227 */   // Label 5616: @278227
     /* 278227 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(278259), // Rule ID 1142 //
     /* 278232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278235 */     // MIs[0] Operand 1
     /* 278235 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 278240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278248 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i8),
     /* 278251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278257 */     GIR_RootConstrainSelectedInstOperands,
     /* 278258 */     // GIR_Coverage, 1142,
     /* 278258 */     GIR_EraseRootFromParent_Done,
     /* 278259 */   // Label 5617: @278259
     /* 278259 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(278291), // Rule ID 1149 //
     /* 278264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278267 */     // MIs[0] Operand 1
     /* 278267 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 278272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278280 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i8),
     /* 278283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278287 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278289 */     GIR_RootConstrainSelectedInstOperands,
     /* 278290 */     // GIR_Coverage, 1149,
     /* 278290 */     GIR_EraseRootFromParent_Done,
     /* 278291 */   // Label 5618: @278291
     /* 278291 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(278320), // Rule ID 5074 //
     /* 278296 */     // MIs[0] Operand 1
     /* 278296 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 278301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278309 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8),
     /* 278312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278318 */     GIR_RootConstrainSelectedInstOperands,
     /* 278319 */     // GIR_Coverage, 5074,
     /* 278319 */     GIR_EraseRootFromParent_Done,
     /* 278320 */   // Label 5619: @278320
     /* 278320 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(278349), // Rule ID 5081 //
     /* 278325 */     // MIs[0] Operand 1
     /* 278325 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278338 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8),
     /* 278341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278343 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278345 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278347 */     GIR_RootConstrainSelectedInstOperands,
     /* 278348 */     // GIR_Coverage, 5081,
     /* 278348 */     GIR_EraseRootFromParent_Done,
     /* 278349 */   // Label 5620: @278349
     /* 278349 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(278378), // Rule ID 5088 //
     /* 278354 */     // MIs[0] Operand 1
     /* 278354 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278367 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8),
     /* 278370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278376 */     GIR_RootConstrainSelectedInstOperands,
     /* 278377 */     // GIR_Coverage, 5088,
     /* 278377 */     GIR_EraseRootFromParent_Done,
     /* 278378 */   // Label 5621: @278378
     /* 278378 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(278407), // Rule ID 5095 //
     /* 278383 */     // MIs[0] Operand 1
     /* 278383 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 278388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278396 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i8),
     /* 278399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278401 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278403 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278405 */     GIR_RootConstrainSelectedInstOperands,
     /* 278406 */     // GIR_Coverage, 5095,
     /* 278406 */     GIR_EraseRootFromParent_Done,
     /* 278407 */   // Label 5622: @278407
     /* 278407 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(278436), // Rule ID 5102 //
     /* 278412 */     // MIs[0] Operand 1
     /* 278412 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 278417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278425 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i8),
     /* 278428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278430 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278432 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278434 */     GIR_RootConstrainSelectedInstOperands,
     /* 278435 */     // GIR_Coverage, 5102,
     /* 278435 */     GIR_EraseRootFromParent_Done,
     /* 278436 */   // Label 5623: @278436
     /* 278436 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(278465), // Rule ID 5109 //
     /* 278441 */     // MIs[0] Operand 1
     /* 278441 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 278446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278454 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 278454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8),
     /* 278457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278459 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278463 */     GIR_RootConstrainSelectedInstOperands,
     /* 278464 */     // GIR_Coverage, 5109,
     /* 278464 */     GIR_EraseRootFromParent_Done,
     /* 278465 */   // Label 5624: @278465
     /* 278465 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(278494), // Rule ID 5116 //
     /* 278470 */     // MIs[0] Operand 1
     /* 278470 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 278475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278483 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 278483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8),
     /* 278486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278488 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278492 */     GIR_RootConstrainSelectedInstOperands,
     /* 278493 */     // GIR_Coverage, 5116,
     /* 278493 */     GIR_EraseRootFromParent_Done,
     /* 278494 */   // Label 5625: @278494
     /* 278494 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(278523), // Rule ID 5123 //
     /* 278499 */     // MIs[0] Operand 1
     /* 278499 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 278504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278512 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 278512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i8),
     /* 278515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278517 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278519 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278521 */     GIR_RootConstrainSelectedInstOperands,
     /* 278522 */     // GIR_Coverage, 5123,
     /* 278522 */     GIR_EraseRootFromParent_Done,
     /* 278523 */   // Label 5626: @278523
     /* 278523 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(278552), // Rule ID 5130 //
     /* 278528 */     // MIs[0] Operand 1
     /* 278528 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 278533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278541 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 278541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i8),
     /* 278544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278546 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278550 */     GIR_RootConstrainSelectedInstOperands,
     /* 278551 */     // GIR_Coverage, 5130,
     /* 278551 */     GIR_EraseRootFromParent_Done,
     /* 278552 */   // Label 5627: @278552
     /* 278552 */   GIM_Reject,
     /* 278553 */ // Label 5597: @278553
     /* 278553 */ GIM_Reject,
     /* 278554 */ // Label 5458: @278554
     /* 278554 */ GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(279601),
     /* 278559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 278562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 278565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278569 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(278609), // Rule ID 753 //
     /* 278574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278577 */     // MIs[0] Operand 1
     /* 278577 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278586 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278592 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278600 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i16rz),
     /* 278603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278605 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278607 */     GIR_RootConstrainSelectedInstOperands,
     /* 278608 */     // GIR_Coverage, 753,
     /* 278608 */     GIR_EraseRootFromParent_Done,
     /* 278609 */   // Label 5629: @278609
     /* 278609 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(278649), // Rule ID 760 //
     /* 278614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278617 */     // MIs[0] Operand 1
     /* 278617 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278626 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278632 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278640 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 278643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278645 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278647 */     GIR_RootConstrainSelectedInstOperands,
     /* 278648 */     // GIR_Coverage, 760,
     /* 278648 */     GIR_EraseRootFromParent_Done,
     /* 278649 */   // Label 5630: @278649
     /* 278649 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(278686), // Rule ID 5175 //
     /* 278654 */     // MIs[0] Operand 1
     /* 278654 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 278659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278663 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278669 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278677 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16rz),
     /* 278680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278682 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278684 */     GIR_RootConstrainSelectedInstOperands,
     /* 278685 */     // GIR_Coverage, 5175,
     /* 278685 */     GIR_EraseRootFromParent_Done,
     /* 278686 */   // Label 5631: @278686
     /* 278686 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(278723), // Rule ID 5182 //
     /* 278691 */     // MIs[0] Operand 1
     /* 278691 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278700 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278706 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278714 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 278717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278719 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278721 */     GIR_RootConstrainSelectedInstOperands,
     /* 278722 */     // GIR_Coverage, 5182,
     /* 278722 */     GIR_EraseRootFromParent_Done,
     /* 278723 */   // Label 5632: @278723
     /* 278723 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(278760), // Rule ID 5189 //
     /* 278728 */     // MIs[0] Operand 1
     /* 278728 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278737 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278743 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278751 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i16rz),
     /* 278754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278756 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278758 */     GIR_RootConstrainSelectedInstOperands,
     /* 278759 */     // GIR_Coverage, 5189,
     /* 278759 */     GIR_EraseRootFromParent_Done,
     /* 278760 */   // Label 5633: @278760
     /* 278760 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(278797), // Rule ID 5196 //
     /* 278765 */     // MIs[0] Operand 1
     /* 278765 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 278770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278774 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278780 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278788 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16rz),
     /* 278791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278793 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278795 */     GIR_RootConstrainSelectedInstOperands,
     /* 278796 */     // GIR_Coverage, 5196,
     /* 278796 */     GIR_EraseRootFromParent_Done,
     /* 278797 */   // Label 5634: @278797
     /* 278797 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(278834), // Rule ID 5203 //
     /* 278802 */     // MIs[0] Operand 1
     /* 278802 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 278807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278811 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278817 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278825 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 278828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278830 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278832 */     GIR_RootConstrainSelectedInstOperands,
     /* 278833 */     // GIR_Coverage, 5203,
     /* 278833 */     GIR_EraseRootFromParent_Done,
     /* 278834 */   // Label 5635: @278834
     /* 278834 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(278874), // Rule ID 725 //
     /* 278839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278842 */     // MIs[0] Operand 1
     /* 278842 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 278847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278855 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278861 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278865 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16rz),
     /* 278868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278872 */     GIR_RootConstrainSelectedInstOperands,
     /* 278873 */     // GIR_Coverage, 725,
     /* 278873 */     GIR_EraseRootFromParent_Done,
     /* 278874 */   // Label 5636: @278874
     /* 278874 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(278914), // Rule ID 735 //
     /* 278879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278882 */     // MIs[0] Operand 1
     /* 278882 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278895 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278901 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278905 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGE:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 278908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278912 */     GIR_RootConstrainSelectedInstOperands,
     /* 278913 */     // GIR_Coverage, 735,
     /* 278913 */     GIR_EraseRootFromParent_Done,
     /* 278914 */   // Label 5637: @278914
     /* 278914 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(278954), // Rule ID 736 //
     /* 278919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278922 */     // MIs[0] Operand 1
     /* 278922 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278935 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278941 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 278943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278945 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] }, SETGT:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 278948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278952 */     GIR_RootConstrainSelectedInstOperands,
     /* 278953 */     // GIR_Coverage, 736,
     /* 278953 */     GIR_EraseRootFromParent_Done,
     /* 278954 */   // Label 5638: @278954
     /* 278954 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(278994), // Rule ID 746 //
     /* 278959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278962 */     // MIs[0] Operand 1
     /* 278962 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278975 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278981 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278985 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGT:{ *:[Other] })  =>  (CMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16rz),
     /* 278988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278992 */     GIR_RootConstrainSelectedInstOperands,
     /* 278993 */     // GIR_Coverage, 746,
     /* 278993 */     GIR_EraseRootFromParent_Done,
     /* 278994 */   // Label 5639: @278994
     /* 278994 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(279031), // Rule ID 5140 //
     /* 278999 */     // MIs[0] Operand 1
     /* 278999 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 279004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279012 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279018 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279022 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 279022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16rz),
     /* 279025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279029 */     GIR_RootConstrainSelectedInstOperands,
     /* 279030 */     // GIR_Coverage, 5140,
     /* 279030 */     GIR_EraseRootFromParent_Done,
     /* 279031 */   // Label 5640: @279031
     /* 279031 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(279068), // Rule ID 5147 //
     /* 279036 */     // MIs[0] Operand 1
     /* 279036 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279049 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279055 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279059 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGT:{ *:[Other] })  =>  (CMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 279059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16rz),
     /* 279062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279066 */     GIR_RootConstrainSelectedInstOperands,
     /* 279067 */     // GIR_Coverage, 5147,
     /* 279067 */     GIR_EraseRootFromParent_Done,
     /* 279068 */   // Label 5641: @279068
     /* 279068 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(279105), // Rule ID 5154 //
     /* 279073 */     // MIs[0] Operand 1
     /* 279073 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279086 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279092 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279096 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGE:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 279096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 279099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279103 */     GIR_RootConstrainSelectedInstOperands,
     /* 279104 */     // GIR_Coverage, 5154,
     /* 279104 */     GIR_EraseRootFromParent_Done,
     /* 279105 */   // Label 5642: @279105
     /* 279105 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(279142), // Rule ID 5161 //
     /* 279110 */     // MIs[0] Operand 1
     /* 279110 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 279115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279123 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279129 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279133 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETLT:{ *:[Other] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 279133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 279136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279140 */     GIR_RootConstrainSelectedInstOperands,
     /* 279141 */     // GIR_Coverage, 5161,
     /* 279141 */     GIR_EraseRootFromParent_Done,
     /* 279142 */   // Label 5643: @279142
     /* 279142 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(279179), // Rule ID 5168 //
     /* 279147 */     // MIs[0] Operand 1
     /* 279147 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 279152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279160 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279166 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279170 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETLE:{ *:[Other] })  =>  (CMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 279170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i16rz),
     /* 279173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279177 */     GIR_RootConstrainSelectedInstOperands,
     /* 279178 */     // GIR_Coverage, 5168,
     /* 279178 */     GIR_EraseRootFromParent_Done,
     /* 279179 */   // Label 5644: @279179
     /* 279179 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(279211), // Rule ID 1124 //
     /* 279184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279187 */     // MIs[0] Operand 1
     /* 279187 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 279192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279200 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16),
     /* 279203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279207 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279209 */     GIR_RootConstrainSelectedInstOperands,
     /* 279210 */     // GIR_Coverage, 1124,
     /* 279210 */     GIR_EraseRootFromParent_Done,
     /* 279211 */   // Label 5645: @279211
     /* 279211 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(279243), // Rule ID 1131 //
     /* 279216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279219 */     // MIs[0] Operand 1
     /* 279219 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279232 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16),
     /* 279235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279237 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279239 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279241 */     GIR_RootConstrainSelectedInstOperands,
     /* 279242 */     // GIR_Coverage, 1131,
     /* 279242 */     GIR_EraseRootFromParent_Done,
     /* 279243 */   // Label 5646: @279243
     /* 279243 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(279275), // Rule ID 1138 //
     /* 279248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279251 */     // MIs[0] Operand 1
     /* 279251 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279264 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16),
     /* 279267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279271 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279273 */     GIR_RootConstrainSelectedInstOperands,
     /* 279274 */     // GIR_Coverage, 1138,
     /* 279274 */     GIR_EraseRootFromParent_Done,
     /* 279275 */   // Label 5647: @279275
     /* 279275 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(279307), // Rule ID 1145 //
     /* 279280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279283 */     // MIs[0] Operand 1
     /* 279283 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 279288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279296 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i16),
     /* 279299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279301 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279303 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279305 */     GIR_RootConstrainSelectedInstOperands,
     /* 279306 */     // GIR_Coverage, 1145,
     /* 279306 */     GIR_EraseRootFromParent_Done,
     /* 279307 */   // Label 5648: @279307
     /* 279307 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(279339), // Rule ID 1152 //
     /* 279312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279315 */     // MIs[0] Operand 1
     /* 279315 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 279320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279328 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i16),
     /* 279331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279335 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279337 */     GIR_RootConstrainSelectedInstOperands,
     /* 279338 */     // GIR_Coverage, 1152,
     /* 279338 */     GIR_EraseRootFromParent_Done,
     /* 279339 */   // Label 5649: @279339
     /* 279339 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(279368), // Rule ID 5077 //
     /* 279344 */     // MIs[0] Operand 1
     /* 279344 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 279349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279357 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16),
     /* 279360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279366 */     GIR_RootConstrainSelectedInstOperands,
     /* 279367 */     // GIR_Coverage, 5077,
     /* 279367 */     GIR_EraseRootFromParent_Done,
     /* 279368 */   // Label 5650: @279368
     /* 279368 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(279397), // Rule ID 5084 //
     /* 279373 */     // MIs[0] Operand 1
     /* 279373 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279386 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16),
     /* 279389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279391 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279393 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279395 */     GIR_RootConstrainSelectedInstOperands,
     /* 279396 */     // GIR_Coverage, 5084,
     /* 279396 */     GIR_EraseRootFromParent_Done,
     /* 279397 */   // Label 5651: @279397
     /* 279397 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(279426), // Rule ID 5091 //
     /* 279402 */     // MIs[0] Operand 1
     /* 279402 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279415 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16),
     /* 279418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279424 */     GIR_RootConstrainSelectedInstOperands,
     /* 279425 */     // GIR_Coverage, 5091,
     /* 279425 */     GIR_EraseRootFromParent_Done,
     /* 279426 */   // Label 5652: @279426
     /* 279426 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(279455), // Rule ID 5098 //
     /* 279431 */     // MIs[0] Operand 1
     /* 279431 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 279436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279444 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i16),
     /* 279447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279449 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279451 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279453 */     GIR_RootConstrainSelectedInstOperands,
     /* 279454 */     // GIR_Coverage, 5098,
     /* 279454 */     GIR_EraseRootFromParent_Done,
     /* 279455 */   // Label 5653: @279455
     /* 279455 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(279484), // Rule ID 5105 //
     /* 279460 */     // MIs[0] Operand 1
     /* 279460 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 279465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279473 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i16),
     /* 279476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279478 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279480 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279482 */     GIR_RootConstrainSelectedInstOperands,
     /* 279483 */     // GIR_Coverage, 5105,
     /* 279483 */     GIR_EraseRootFromParent_Done,
     /* 279484 */   // Label 5654: @279484
     /* 279484 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(279513), // Rule ID 5112 //
     /* 279489 */     // MIs[0] Operand 1
     /* 279489 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 279494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279502 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 279502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16),
     /* 279505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279507 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279511 */     GIR_RootConstrainSelectedInstOperands,
     /* 279512 */     // GIR_Coverage, 5112,
     /* 279512 */     GIR_EraseRootFromParent_Done,
     /* 279513 */   // Label 5655: @279513
     /* 279513 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(279542), // Rule ID 5119 //
     /* 279518 */     // MIs[0] Operand 1
     /* 279518 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 279523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279531 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 279531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16),
     /* 279534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279536 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279540 */     GIR_RootConstrainSelectedInstOperands,
     /* 279541 */     // GIR_Coverage, 5119,
     /* 279541 */     GIR_EraseRootFromParent_Done,
     /* 279542 */   // Label 5656: @279542
     /* 279542 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(279571), // Rule ID 5126 //
     /* 279547 */     // MIs[0] Operand 1
     /* 279547 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 279552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279560 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 279560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i16),
     /* 279563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279565 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279567 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279569 */     GIR_RootConstrainSelectedInstOperands,
     /* 279570 */     // GIR_Coverage, 5126,
     /* 279570 */     GIR_EraseRootFromParent_Done,
     /* 279571 */   // Label 5657: @279571
     /* 279571 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(279600), // Rule ID 5133 //
     /* 279576 */     // MIs[0] Operand 1
     /* 279576 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 279581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279589 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 279589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i16),
     /* 279592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279598 */     GIR_RootConstrainSelectedInstOperands,
     /* 279599 */     // GIR_Coverage, 5133,
     /* 279599 */     GIR_EraseRootFromParent_Done,
     /* 279600 */   // Label 5658: @279600
     /* 279600 */   GIM_Reject,
     /* 279601 */ // Label 5628: @279601
     /* 279601 */ GIM_Reject,
     /* 279602 */ // Label 5459: @279602
     /* 279602 */ GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(280649),
     /* 279607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 279610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 279613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279617 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(279657), // Rule ID 751 //
     /* 279622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279625 */     // MIs[0] Operand 1
     /* 279625 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279634 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279640 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279648 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv16i8rz),
     /* 279651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279653 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279655 */     GIR_RootConstrainSelectedInstOperands,
     /* 279656 */     // GIR_Coverage, 751,
     /* 279656 */     GIR_EraseRootFromParent_Done,
     /* 279657 */   // Label 5660: @279657
     /* 279657 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(279697), // Rule ID 758 //
     /* 279662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279665 */     // MIs[0] Operand 1
     /* 279665 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279674 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279680 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279688 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 279691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279693 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279695 */     GIR_RootConstrainSelectedInstOperands,
     /* 279696 */     // GIR_Coverage, 758,
     /* 279696 */     GIR_EraseRootFromParent_Done,
     /* 279697 */   // Label 5661: @279697
     /* 279697 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(279734), // Rule ID 5173 //
     /* 279702 */     // MIs[0] Operand 1
     /* 279702 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 279707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279711 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279717 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279725 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8rz),
     /* 279728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279730 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279732 */     GIR_RootConstrainSelectedInstOperands,
     /* 279733 */     // GIR_Coverage, 5173,
     /* 279733 */     GIR_EraseRootFromParent_Done,
     /* 279734 */   // Label 5662: @279734
     /* 279734 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(279771), // Rule ID 5180 //
     /* 279739 */     // MIs[0] Operand 1
     /* 279739 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279748 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279754 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279762 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 279765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279767 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279769 */     GIR_RootConstrainSelectedInstOperands,
     /* 279770 */     // GIR_Coverage, 5180,
     /* 279770 */     GIR_EraseRootFromParent_Done,
     /* 279771 */   // Label 5663: @279771
     /* 279771 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(279808), // Rule ID 5187 //
     /* 279776 */     // MIs[0] Operand 1
     /* 279776 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279785 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279791 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279799 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv16i8rz),
     /* 279802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279804 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279806 */     GIR_RootConstrainSelectedInstOperands,
     /* 279807 */     // GIR_Coverage, 5187,
     /* 279807 */     GIR_EraseRootFromParent_Done,
     /* 279808 */   // Label 5664: @279808
     /* 279808 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(279845), // Rule ID 5194 //
     /* 279813 */     // MIs[0] Operand 1
     /* 279813 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 279818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279822 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279828 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279836 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8rz),
     /* 279839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279841 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279843 */     GIR_RootConstrainSelectedInstOperands,
     /* 279844 */     // GIR_Coverage, 5194,
     /* 279844 */     GIR_EraseRootFromParent_Done,
     /* 279845 */   // Label 5665: @279845
     /* 279845 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(279882), // Rule ID 5201 //
     /* 279850 */     // MIs[0] Operand 1
     /* 279850 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 279855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279859 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279865 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279873 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 279876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279880 */     GIR_RootConstrainSelectedInstOperands,
     /* 279881 */     // GIR_Coverage, 5201,
     /* 279881 */     GIR_EraseRootFromParent_Done,
     /* 279882 */   // Label 5666: @279882
     /* 279882 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(279922), // Rule ID 723 //
     /* 279887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279890 */     // MIs[0] Operand 1
     /* 279890 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 279895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279903 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279909 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279913 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8rz),
     /* 279916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279920 */     GIR_RootConstrainSelectedInstOperands,
     /* 279921 */     // GIR_Coverage, 723,
     /* 279921 */     GIR_EraseRootFromParent_Done,
     /* 279922 */   // Label 5667: @279922
     /* 279922 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(279962), // Rule ID 731 //
     /* 279927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279930 */     // MIs[0] Operand 1
     /* 279930 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279943 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279949 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279953 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGE:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 279956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279960 */     GIR_RootConstrainSelectedInstOperands,
     /* 279961 */     // GIR_Coverage, 731,
     /* 279961 */     GIR_EraseRootFromParent_Done,
     /* 279962 */   // Label 5668: @279962
     /* 279962 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(280002), // Rule ID 732 //
     /* 279967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279970 */     // MIs[0] Operand 1
     /* 279970 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279983 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279989 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 279991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279993 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllOnesV:{ *:[v16i8] }, SETGT:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 279996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279998 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280000 */     GIR_RootConstrainSelectedInstOperands,
     /* 280001 */     // GIR_Coverage, 732,
     /* 280001 */     GIR_EraseRootFromParent_Done,
     /* 280002 */   // Label 5669: @280002
     /* 280002 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(280042), // Rule ID 744 //
     /* 280007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 280010 */     // MIs[0] Operand 1
     /* 280010 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 280015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 280023 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 280029 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 280031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 280033 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGT:{ *:[Other] })  =>  (CMGTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 280033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8rz),
     /* 280036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280038 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280040 */     GIR_RootConstrainSelectedInstOperands,
     /* 280041 */     // GIR_Coverage, 744,
     /* 280041 */     GIR_EraseRootFromParent_Done,
     /* 280042 */   // Label 5670: @280042
     /* 280042 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(280079), // Rule ID 5138 //
     /* 280047 */     // MIs[0] Operand 1
     /* 280047 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 280052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 280060 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 280066 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 280068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 280070 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 280070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8rz),
     /* 280073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280075 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280077 */     GIR_RootConstrainSelectedInstOperands,
     /* 280078 */     // GIR_Coverage, 5138,
     /* 280078 */     GIR_EraseRootFromParent_Done,
     /* 280079 */   // Label 5671: @280079
     /* 280079 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(280116), // Rule ID 5145 //
     /* 280084 */     // MIs[0] Operand 1
     /* 280084 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 280089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 280097 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 280103 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 280105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 280107 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGT:{ *:[Other] })  =>  (CMGTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 280107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8rz),
     /* 280110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280114 */     GIR_RootConstrainSelectedInstOperands,
     /* 280115 */     // GIR_Coverage, 5145,
     /* 280115 */     GIR_EraseRootFromParent_Done,
     /* 280116 */   // Label 5672: @280116
     /* 280116 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(280153), // Rule ID 5152 //
     /* 280121 */     // MIs[0] Operand 1
     /* 280121 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 280126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 280134 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 280140 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 280142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 280144 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGE:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 280144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 280147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280151 */     GIR_RootConstrainSelectedInstOperands,
     /* 280152 */     // GIR_Coverage, 5152,
     /* 280152 */     GIR_EraseRootFromParent_Done,
     /* 280153 */   // Label 5673: @280153
     /* 280153 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(280190), // Rule ID 5159 //
     /* 280158 */     // MIs[0] Operand 1
     /* 280158 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 280163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 280171 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 280177 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 280179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 280181 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETLT:{ *:[Other] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 280181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 280184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280188 */     GIR_RootConstrainSelectedInstOperands,
     /* 280189 */     // GIR_Coverage, 5159,
     /* 280189 */     GIR_EraseRootFromParent_Done,
     /* 280190 */   // Label 5674: @280190
     /* 280190 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(280227), // Rule ID 5166 //
     /* 280195 */     // MIs[0] Operand 1
     /* 280195 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 280200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 280208 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 280214 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 280216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 280218 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETLE:{ *:[Other] })  =>  (CMLEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 280218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv16i8rz),
     /* 280221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280223 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280225 */     GIR_RootConstrainSelectedInstOperands,
     /* 280226 */     // GIR_Coverage, 5166,
     /* 280226 */     GIR_EraseRootFromParent_Done,
     /* 280227 */   // Label 5675: @280227
     /* 280227 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(280259), // Rule ID 1122 //
     /* 280232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 280235 */     // MIs[0] Operand 1
     /* 280235 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 280240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280248 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8),
     /* 280251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280257 */     GIR_RootConstrainSelectedInstOperands,
     /* 280258 */     // GIR_Coverage, 1122,
     /* 280258 */     GIR_EraseRootFromParent_Done,
     /* 280259 */   // Label 5676: @280259
     /* 280259 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(280291), // Rule ID 1129 //
     /* 280264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 280267 */     // MIs[0] Operand 1
     /* 280267 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 280272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280280 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8),
     /* 280283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280287 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280289 */     GIR_RootConstrainSelectedInstOperands,
     /* 280290 */     // GIR_Coverage, 1129,
     /* 280290 */     GIR_EraseRootFromParent_Done,
     /* 280291 */   // Label 5677: @280291
     /* 280291 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(280323), // Rule ID 1136 //
     /* 280296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 280299 */     // MIs[0] Operand 1
     /* 280299 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 280304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280312 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8),
     /* 280315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280319 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280321 */     GIR_RootConstrainSelectedInstOperands,
     /* 280322 */     // GIR_Coverage, 1136,
     /* 280322 */     GIR_EraseRootFromParent_Done,
     /* 280323 */   // Label 5678: @280323
     /* 280323 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(280355), // Rule ID 1143 //
     /* 280328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 280331 */     // MIs[0] Operand 1
     /* 280331 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 280336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280344 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv16i8),
     /* 280347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280349 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280351 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280353 */     GIR_RootConstrainSelectedInstOperands,
     /* 280354 */     // GIR_Coverage, 1143,
     /* 280354 */     GIR_EraseRootFromParent_Done,
     /* 280355 */   // Label 5679: @280355
     /* 280355 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(280387), // Rule ID 1150 //
     /* 280360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 280363 */     // MIs[0] Operand 1
     /* 280363 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 280368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280376 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv16i8),
     /* 280379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280383 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280385 */     GIR_RootConstrainSelectedInstOperands,
     /* 280386 */     // GIR_Coverage, 1150,
     /* 280386 */     GIR_EraseRootFromParent_Done,
     /* 280387 */   // Label 5680: @280387
     /* 280387 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(280416), // Rule ID 5075 //
     /* 280392 */     // MIs[0] Operand 1
     /* 280392 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 280397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280405 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8),
     /* 280408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280410 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280412 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280414 */     GIR_RootConstrainSelectedInstOperands,
     /* 280415 */     // GIR_Coverage, 5075,
     /* 280415 */     GIR_EraseRootFromParent_Done,
     /* 280416 */   // Label 5681: @280416
     /* 280416 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(280445), // Rule ID 5082 //
     /* 280421 */     // MIs[0] Operand 1
     /* 280421 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 280426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280434 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8),
     /* 280437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280439 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280441 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280443 */     GIR_RootConstrainSelectedInstOperands,
     /* 280444 */     // GIR_Coverage, 5082,
     /* 280444 */     GIR_EraseRootFromParent_Done,
     /* 280445 */   // Label 5682: @280445
     /* 280445 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(280474), // Rule ID 5089 //
     /* 280450 */     // MIs[0] Operand 1
     /* 280450 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 280455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280463 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8),
     /* 280466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280470 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280472 */     GIR_RootConstrainSelectedInstOperands,
     /* 280473 */     // GIR_Coverage, 5089,
     /* 280473 */     GIR_EraseRootFromParent_Done,
     /* 280474 */   // Label 5683: @280474
     /* 280474 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(280503), // Rule ID 5096 //
     /* 280479 */     // MIs[0] Operand 1
     /* 280479 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 280484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280492 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv16i8),
     /* 280495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280499 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280501 */     GIR_RootConstrainSelectedInstOperands,
     /* 280502 */     // GIR_Coverage, 5096,
     /* 280502 */     GIR_EraseRootFromParent_Done,
     /* 280503 */   // Label 5684: @280503
     /* 280503 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(280532), // Rule ID 5103 //
     /* 280508 */     // MIs[0] Operand 1
     /* 280508 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 280513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280521 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv16i8),
     /* 280524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280530 */     GIR_RootConstrainSelectedInstOperands,
     /* 280531 */     // GIR_Coverage, 5103,
     /* 280531 */     GIR_EraseRootFromParent_Done,
     /* 280532 */   // Label 5685: @280532
     /* 280532 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(280561), // Rule ID 5110 //
     /* 280537 */     // MIs[0] Operand 1
     /* 280537 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 280542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280550 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 280550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8),
     /* 280553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280555 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280559 */     GIR_RootConstrainSelectedInstOperands,
     /* 280560 */     // GIR_Coverage, 5110,
     /* 280560 */     GIR_EraseRootFromParent_Done,
     /* 280561 */   // Label 5686: @280561
     /* 280561 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(280590), // Rule ID 5117 //
     /* 280566 */     // MIs[0] Operand 1
     /* 280566 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 280571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280579 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 280579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8),
     /* 280582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280588 */     GIR_RootConstrainSelectedInstOperands,
     /* 280589 */     // GIR_Coverage, 5117,
     /* 280589 */     GIR_EraseRootFromParent_Done,
     /* 280590 */   // Label 5687: @280590
     /* 280590 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(280619), // Rule ID 5124 //
     /* 280595 */     // MIs[0] Operand 1
     /* 280595 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 280600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280608 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 280608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv16i8),
     /* 280611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280613 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280617 */     GIR_RootConstrainSelectedInstOperands,
     /* 280618 */     // GIR_Coverage, 5124,
     /* 280618 */     GIR_EraseRootFromParent_Done,
     /* 280619 */   // Label 5688: @280619
     /* 280619 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(280648), // Rule ID 5131 //
     /* 280624 */     // MIs[0] Operand 1
     /* 280624 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 280629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280637 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 280637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv16i8),
     /* 280640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280646 */     GIR_RootConstrainSelectedInstOperands,
     /* 280647 */     // GIR_Coverage, 5131,
     /* 280647 */     GIR_EraseRootFromParent_Done,
     /* 280648 */   // Label 5689: @280648
     /* 280648 */   GIM_Reject,
     /* 280649 */ // Label 5659: @280649
     /* 280649 */ GIM_Reject,
     /* 280650 */ // Label 5460: @280650
     /* 280650 */ GIM_Reject,
     /* 280651 */ // Label 50: @280651
     /* 280651 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(12), GIMT_Encode2(24), /*)*//*default:*//*Label 5702*/ GIMT_Encode4(281695),
     /* 280662 */ /*GILLT_nxv1s1*//*Label 5690*/ GIMT_Encode4(280710),
     /* 280666 */ /*GILLT_nxv2s1*//*Label 5691*/ GIMT_Encode4(280739),
     /* 280670 */ /*GILLT_nxv2s16*//*Label 5692*/ GIMT_Encode4(280768),
     /* 280674 */ /*GILLT_nxv2s32*//*Label 5693*/ GIMT_Encode4(280853),
     /* 280678 */ /*GILLT_nxv2s64*//*Label 5694*/ GIMT_Encode4(280938),
     /* 280682 */ /*GILLT_nxv4s1*//*Label 5695*/ GIMT_Encode4(281104),
     /* 280686 */ /*GILLT_nxv4s16*//*Label 5696*/ GIMT_Encode4(281133),
     /* 280690 */ /*GILLT_nxv4s32*//*Label 5697*/ GIMT_Encode4(281218),
     /* 280694 */ /*GILLT_nxv8s1*//*Label 5698*/ GIMT_Encode4(281384),
     /* 280698 */ /*GILLT_nxv8s16*//*Label 5699*/ GIMT_Encode4(281413),
     /* 280702 */ /*GILLT_nxv16s1*//*Label 5700*/ GIMT_Encode4(281579),
     /* 280706 */ /*GILLT_nxv16s8*//*Label 5701*/ GIMT_Encode4(281608),
     /* 280710 */ // Label 5690: @280710
     /* 280710 */ GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(280738), // Rule ID 8439 //
     /* 280715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 280721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 280724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 280727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 280731 */   // (vselect:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 280731 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 280736 */   GIR_RootConstrainSelectedInstOperands,
     /* 280737 */   // GIR_Coverage, 8439,
     /* 280737 */   GIR_Done,
     /* 280738 */ // Label 5703: @280738
     /* 280738 */ GIM_Reject,
     /* 280739 */ // Label 5691: @280739
     /* 280739 */ GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(280767), // Rule ID 8438 //
     /* 280744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 280750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 280753 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 280756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 280760 */   // (vselect:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 280760 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 280765 */   GIR_RootConstrainSelectedInstOperands,
     /* 280766 */   // GIR_Coverage, 8438,
     /* 280766 */   GIR_Done,
     /* 280767 */ // Label 5704: @280767
     /* 280767 */ GIM_Reject,
     /* 280768 */ // Label 5692: @280768
     /* 280768 */ GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(280852),
     /* 280773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 280776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 280779 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 280782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280786 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(280836), // Rule ID 3161 //
     /* 280791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 280802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 280806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 280810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 280814 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 280818 */     // MIs[2] Operand 1
     /* 280818 */     // No operand predicates
     /* 280818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 280820 */     // (vselect:{ *:[nxv2f16] } nxv2i1:{ *:[nxv2i1] }:$pg, (splat_vector:{ *:[nxv2f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8), nxv2f16:{ *:[nxv2f16] }:$zd)  =>  (FCPY_ZPmI_H:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$zd, ?:{ *:[nxv2i1] }:$pg, (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 280820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_H),
     /* 280823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 280825 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 280827 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 280829 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 280834 */     GIR_RootConstrainSelectedInstOperands,
     /* 280835 */     // GIR_Coverage, 3161,
     /* 280835 */     GIR_EraseRootFromParent_Done,
     /* 280836 */   // Label 5706: @280836
     /* 280836 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(280851), // Rule ID 2741 //
     /* 280841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280844 */     // (vselect:{ *:[nxv2f16] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 280844 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 280849 */     GIR_RootConstrainSelectedInstOperands,
     /* 280850 */     // GIR_Coverage, 2741,
     /* 280850 */     GIR_Done,
     /* 280851 */   // Label 5707: @280851
     /* 280851 */   GIM_Reject,
     /* 280852 */ // Label 5705: @280852
     /* 280852 */ GIM_Reject,
     /* 280853 */ // Label 5693: @280853
     /* 280853 */ GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(280937),
     /* 280858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 280861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 280864 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 280867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280871 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(280921), // Rule ID 3163 //
     /* 280876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 280887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 280891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 280895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 280899 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 280903 */     // MIs[2] Operand 1
     /* 280903 */     // No operand predicates
     /* 280903 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 280905 */     // (vselect:{ *:[nxv2f32] } nxv2i1:{ *:[nxv2i1] }:$pg, (splat_vector:{ *:[nxv2f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8), nxv2f32:{ *:[nxv2f32] }:$zd)  =>  (FCPY_ZPmI_S:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$zd, ?:{ *:[nxv2i1] }:$pg, (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 280905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_S),
     /* 280908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 280910 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 280912 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 280914 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 280919 */     GIR_RootConstrainSelectedInstOperands,
     /* 280920 */     // GIR_Coverage, 3163,
     /* 280920 */     GIR_EraseRootFromParent_Done,
     /* 280921 */   // Label 5709: @280921
     /* 280921 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(280936), // Rule ID 2742 //
     /* 280926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280929 */     // (vselect:{ *:[nxv2f32] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 280929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 280934 */     GIR_RootConstrainSelectedInstOperands,
     /* 280935 */     // GIR_Coverage, 2742,
     /* 280935 */     GIR_Done,
     /* 280936 */   // Label 5710: @280936
     /* 280936 */   GIM_Reject,
     /* 280937 */ // Label 5708: @280937
     /* 280937 */ GIM_Reject,
     /* 280938 */ // Label 5694: @280938
     /* 280938 */ GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(281103),
     /* 280943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 280946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 280949 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(281006), // Rule ID 3164 //
     /* 280954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 280960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 280972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 280976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 280980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 280984 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm64),
     /* 280988 */     // MIs[2] Operand 1
     /* 280988 */     // No operand predicates
     /* 280988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 280990 */     // (vselect:{ *:[nxv2f64] } nxv2i1:{ *:[nxv2i1] }:$pg, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>><<X:fpimm64XForm>>:$imm8), nxv2f64:{ *:[nxv2f64] }:$zd)  =>  (FCPY_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$zd, ?:{ *:[nxv2i1] }:$pg, (fpimm64XForm:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>>:$imm8))
     /* 280990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_D),
     /* 280993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 280995 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 280997 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 280999 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm64), // imm8
     /* 281004 */     GIR_RootConstrainSelectedInstOperands,
     /* 281005 */     // GIR_Coverage, 3164,
     /* 281005 */     GIR_EraseRootFromParent_Done,
     /* 281006 */   // Label 5712: @281006
     /* 281006 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(281058), // Rule ID 7485 //
     /* 281011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 281026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 281030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 281034 */     // MIs[0] Op2
     /* 281034 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 281039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 281041 */     // (vselect:{ *:[nxv2i64] } nxv2i1:{ *:[nxv2i1] }:$Op1, (sub:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 281041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_D),
     /* 281044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 281046 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 281048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 281052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 281056 */     GIR_RootConstrainSelectedInstOperands,
     /* 281057 */     // GIR_Coverage, 7485,
     /* 281057 */     GIR_EraseRootFromParent_Done,
     /* 281058 */   // Label 5713: @281058
     /* 281058 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(281080), // Rule ID 2737 //
     /* 281063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 281069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281073 */     // (vselect:{ *:[nxv2i64] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 281073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 281078 */     GIR_RootConstrainSelectedInstOperands,
     /* 281079 */     // GIR_Coverage, 2737,
     /* 281079 */     GIR_Done,
     /* 281080 */   // Label 5714: @281080
     /* 281080 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(281102), // Rule ID 2743 //
     /* 281085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 281091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281095 */     // (vselect:{ *:[nxv2f64] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 281095 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 281100 */     GIR_RootConstrainSelectedInstOperands,
     /* 281101 */     // GIR_Coverage, 2743,
     /* 281101 */     GIR_Done,
     /* 281102 */   // Label 5715: @281102
     /* 281102 */   GIM_Reject,
     /* 281103 */ // Label 5711: @281103
     /* 281103 */ GIM_Reject,
     /* 281104 */ // Label 5695: @281104
     /* 281104 */ GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(281132), // Rule ID 8437 //
     /* 281109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 281115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 281118 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 281121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 281125 */   // (vselect:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 281125 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 281130 */   GIR_RootConstrainSelectedInstOperands,
     /* 281131 */   // GIR_Coverage, 8437,
     /* 281131 */   GIR_Done,
     /* 281132 */ // Label 5716: @281132
     /* 281132 */ GIM_Reject,
     /* 281133 */ // Label 5696: @281133
     /* 281133 */ GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(281217),
     /* 281138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 281141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 281144 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 281147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281151 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(281201), // Rule ID 3160 //
     /* 281156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 281167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 281171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 281175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 281179 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 281183 */     // MIs[2] Operand 1
     /* 281183 */     // No operand predicates
     /* 281183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 281185 */     // (vselect:{ *:[nxv4f16] } nxv4i1:{ *:[nxv4i1] }:$pg, (splat_vector:{ *:[nxv4f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8), nxv4f16:{ *:[nxv4f16] }:$zd)  =>  (FCPY_ZPmI_H:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$zd, ?:{ *:[nxv4i1] }:$pg, (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 281185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_H),
     /* 281188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 281190 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 281192 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 281194 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 281199 */     GIR_RootConstrainSelectedInstOperands,
     /* 281200 */     // GIR_Coverage, 3160,
     /* 281200 */     GIR_EraseRootFromParent_Done,
     /* 281201 */   // Label 5718: @281201
     /* 281201 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(281216), // Rule ID 2739 //
     /* 281206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281209 */     // (vselect:{ *:[nxv4f16] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (SEL_ZPZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 281209 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_S),
     /* 281214 */     GIR_RootConstrainSelectedInstOperands,
     /* 281215 */     // GIR_Coverage, 2739,
     /* 281215 */     GIR_Done,
     /* 281216 */   // Label 5719: @281216
     /* 281216 */   GIM_Reject,
     /* 281217 */ // Label 5717: @281217
     /* 281217 */ GIM_Reject,
     /* 281218 */ // Label 5697: @281218
     /* 281218 */ GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(281383),
     /* 281223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 281226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 281229 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(281286), // Rule ID 3162 //
     /* 281234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 281240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 281252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 281256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 281260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 281264 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 281268 */     // MIs[2] Operand 1
     /* 281268 */     // No operand predicates
     /* 281268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 281270 */     // (vselect:{ *:[nxv4f32] } nxv4i1:{ *:[nxv4i1] }:$pg, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8), nxv4f32:{ *:[nxv4f32] }:$zd)  =>  (FCPY_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$zd, ?:{ *:[nxv4i1] }:$pg, (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 281270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_S),
     /* 281273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 281275 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 281277 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 281279 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 281284 */     GIR_RootConstrainSelectedInstOperands,
     /* 281285 */     // GIR_Coverage, 3162,
     /* 281285 */     GIR_EraseRootFromParent_Done,
     /* 281286 */   // Label 5721: @281286
     /* 281286 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(281338), // Rule ID 7483 //
     /* 281291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 281306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 281310 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 281314 */     // MIs[0] Op2
     /* 281314 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 281319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 281321 */     // (vselect:{ *:[nxv4i32] } nxv4i1:{ *:[nxv4i1] }:$Op1, (sub:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 281321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_S),
     /* 281324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 281326 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 281328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 281332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 281336 */     GIR_RootConstrainSelectedInstOperands,
     /* 281337 */     // GIR_Coverage, 7483,
     /* 281337 */     GIR_EraseRootFromParent_Done,
     /* 281338 */   // Label 5722: @281338
     /* 281338 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(281360), // Rule ID 2736 //
     /* 281343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 281349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281353 */     // (vselect:{ *:[nxv4i32] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SEL_ZPZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 281353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_S),
     /* 281358 */     GIR_RootConstrainSelectedInstOperands,
     /* 281359 */     // GIR_Coverage, 2736,
     /* 281359 */     GIR_Done,
     /* 281360 */   // Label 5723: @281360
     /* 281360 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(281382), // Rule ID 2740 //
     /* 281365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 281371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281375 */     // (vselect:{ *:[nxv4f32] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (SEL_ZPZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 281375 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_S),
     /* 281380 */     GIR_RootConstrainSelectedInstOperands,
     /* 281381 */     // GIR_Coverage, 2740,
     /* 281381 */     GIR_Done,
     /* 281382 */   // Label 5724: @281382
     /* 281382 */   GIM_Reject,
     /* 281383 */ // Label 5720: @281383
     /* 281383 */ GIM_Reject,
     /* 281384 */ // Label 5698: @281384
     /* 281384 */ GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(281412), // Rule ID 8436 //
     /* 281389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 281395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 281398 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 281401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 281405 */   // (vselect:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 281405 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 281410 */   GIR_RootConstrainSelectedInstOperands,
     /* 281411 */   // GIR_Coverage, 8436,
     /* 281411 */   GIR_Done,
     /* 281412 */ // Label 5725: @281412
     /* 281412 */ GIM_Reject,
     /* 281413 */ // Label 5699: @281413
     /* 281413 */ GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(281578),
     /* 281418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 281421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 281424 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(281481), // Rule ID 3159 //
     /* 281429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 281435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 281447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 281451 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 281455 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 281459 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 281463 */     // MIs[2] Operand 1
     /* 281463 */     // No operand predicates
     /* 281463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 281465 */     // (vselect:{ *:[nxv8f16] } nxv8i1:{ *:[nxv8i1] }:$pg, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8), nxv8f16:{ *:[nxv8f16] }:$zd)  =>  (FCPY_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$zd, ?:{ *:[nxv8i1] }:$pg, (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 281465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_H),
     /* 281468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 281470 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 281472 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 281474 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 281479 */     GIR_RootConstrainSelectedInstOperands,
     /* 281480 */     // GIR_Coverage, 3159,
     /* 281480 */     GIR_EraseRootFromParent_Done,
     /* 281481 */   // Label 5727: @281481
     /* 281481 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(281533), // Rule ID 7481 //
     /* 281486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 281501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 281505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 281509 */     // MIs[0] Op2
     /* 281509 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 281514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 281516 */     // (vselect:{ *:[nxv8i16] } nxv8i1:{ *:[nxv8i1] }:$Op1, (sub:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 281516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_H),
     /* 281519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 281521 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 281523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 281527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 281531 */     GIR_RootConstrainSelectedInstOperands,
     /* 281532 */     // GIR_Coverage, 7481,
     /* 281532 */     GIR_EraseRootFromParent_Done,
     /* 281533 */   // Label 5728: @281533
     /* 281533 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(281555), // Rule ID 2735 //
     /* 281538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 281544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281548 */     // (vselect:{ *:[nxv8i16] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SEL_ZPZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 281548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_H),
     /* 281553 */     GIR_RootConstrainSelectedInstOperands,
     /* 281554 */     // GIR_Coverage, 2735,
     /* 281554 */     GIR_Done,
     /* 281555 */   // Label 5729: @281555
     /* 281555 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(281577), // Rule ID 2738 //
     /* 281560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 281566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281570 */     // (vselect:{ *:[nxv8f16] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (SEL_ZPZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 281570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_H),
     /* 281575 */     GIR_RootConstrainSelectedInstOperands,
     /* 281576 */     // GIR_Coverage, 2738,
     /* 281576 */     GIR_Done,
     /* 281577 */   // Label 5730: @281577
     /* 281577 */   GIM_Reject,
     /* 281578 */ // Label 5726: @281578
     /* 281578 */ GIM_Reject,
     /* 281579 */ // Label 5700: @281579
     /* 281579 */ GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(281607), // Rule ID 8435 //
     /* 281584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 281590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 281593 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 281596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 281600 */   // (vselect:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 281600 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 281605 */   GIR_RootConstrainSelectedInstOperands,
     /* 281606 */   // GIR_Coverage, 8435,
     /* 281606 */   GIR_Done,
     /* 281607 */ // Label 5731: @281607
     /* 281607 */ GIM_Reject,
     /* 281608 */ // Label 5701: @281608
     /* 281608 */ GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(281694),
     /* 281613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 281616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 281619 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(281671), // Rule ID 7479 //
     /* 281624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 281639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 281643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 281647 */     // MIs[0] Op2
     /* 281647 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 281652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 281654 */     // (vselect:{ *:[nxv16i8] } nxv16i1:{ *:[nxv16i1] }:$Op1, (sub:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 281654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_B),
     /* 281657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 281659 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 281661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 281665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 281669 */     GIR_RootConstrainSelectedInstOperands,
     /* 281670 */     // GIR_Coverage, 7479,
     /* 281670 */     GIR_EraseRootFromParent_Done,
     /* 281671 */   // Label 5733: @281671
     /* 281671 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(281693), // Rule ID 2734 //
     /* 281676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 281682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281686 */     // (vselect:{ *:[nxv16i8] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SEL_ZPZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 281686 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_B),
     /* 281691 */     GIR_RootConstrainSelectedInstOperands,
     /* 281692 */     // GIR_Coverage, 2734,
     /* 281692 */     GIR_Done,
     /* 281693 */   // Label 5734: @281693
     /* 281693 */   GIM_Reject,
     /* 281694 */ // Label 5732: @281694
     /* 281694 */ GIM_Reject,
     /* 281695 */ // Label 5702: @281695
     /* 281695 */ GIM_Reject,
     /* 281696 */ // Label 51: @281696
     /* 281696 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 5739*/ GIMT_Encode4(282179),
     /* 281707 */ /*GILLT_s64*//*Label 5735*/ GIMT_Encode4(281743), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 281727 */ /*GILLT_v4s32*//*Label 5736*/ GIMT_Encode4(281774), GIMT_Encode4(0),
     /* 281735 */ /*GILLT_v8s16*//*Label 5737*/ GIMT_Encode4(281909),
     /* 281739 */ /*GILLT_v16s8*//*Label 5738*/ GIMT_Encode4(282044),
     /* 281743 */ // Label 5735: @281743
     /* 281743 */ GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(281773), // Rule ID 128 //
     /* 281748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 281751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 281754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 281758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 281762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 281766 */   // (mulhu:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UMULHrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 281766 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULHrr),
     /* 281771 */   GIR_RootConstrainSelectedInstOperands,
     /* 281772 */   // GIR_Coverage, 128,
     /* 281772 */   GIR_Done,
     /* 281773 */ // Label 5740: @281773
     /* 281773 */ GIM_Reject,
     /* 281774 */ // Label 5736: @281774
     /* 281774 */ GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(281908), // Rule ID 6535 //
     /* 281779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 281785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281797 */   // (mulhu:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4i32] } (UMULLv2i32_v2i64:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rm, dsub:{ *:[i32] })), (UMULLv4i32_v2i64:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))
     /* 281797 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 281800 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_v2i64),
     /* 281804 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281809 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 281813 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 281817 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 281819 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 281822 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281826 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281831 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 281837 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281842 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281847 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 281850 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281854 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281859 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 281865 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281870 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281875 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 281878 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_v2i64),
     /* 281882 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281887 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 281890 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 281893 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 281895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 281898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281900 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 281903 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 281906 */   GIR_RootConstrainSelectedInstOperands,
     /* 281907 */   // GIR_Coverage, 6535,
     /* 281907 */   GIR_EraseRootFromParent_Done,
     /* 281908 */ // Label 5741: @281908
     /* 281908 */ GIM_Reject,
     /* 281909 */ // Label 5737: @281909
     /* 281909 */ GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(282043), // Rule ID 6534 //
     /* 281914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 281917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 281920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281932 */   // (mulhu:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8i16] } (UMULLv4i16_v4i32:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rm, dsub:{ *:[i32] })), (UMULLv8i16_v4i32:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))
     /* 281932 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 281935 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_v4i32),
     /* 281939 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281944 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 281948 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 281952 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 281954 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 281957 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281961 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281966 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 281972 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281977 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281982 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 281985 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281989 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281994 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 282000 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282005 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282010 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 282013 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_v4i32),
     /* 282017 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282022 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 282025 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 282028 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 282033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 282035 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282038 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 282041 */   GIR_RootConstrainSelectedInstOperands,
     /* 282042 */   // GIR_Coverage, 6534,
     /* 282042 */   GIR_EraseRootFromParent_Done,
     /* 282043 */ // Label 5742: @282043
     /* 282043 */ GIM_Reject,
     /* 282044 */ // Label 5738: @282044
     /* 282044 */ GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(282178), // Rule ID 6533 //
     /* 282049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 282052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 282055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282067 */   // (mulhu:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP2v16i8:{ *:[v16i8] } (UMULLv8i8_v8i16:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rm, dsub:{ *:[i32] })), (UMULLv16i8_v8i16:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))
     /* 282067 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 282070 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMULLv16i8_v8i16),
     /* 282074 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282079 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 282083 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 282087 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 282089 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 282092 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282096 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282101 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 282107 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282112 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282117 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 282120 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282124 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282129 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 282135 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282140 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282145 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 282148 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i8_v8i16),
     /* 282152 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282157 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 282160 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 282163 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /* 282168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 282170 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282173 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 282176 */   GIR_RootConstrainSelectedInstOperands,
     /* 282177 */   // GIR_Coverage, 6533,
     /* 282177 */   GIR_EraseRootFromParent_Done,
     /* 282178 */ // Label 5743: @282178
     /* 282178 */ GIM_Reject,
     /* 282179 */ // Label 5739: @282179
     /* 282179 */ GIM_Reject,
     /* 282180 */ // Label 52: @282180
     /* 282180 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 5748*/ GIMT_Encode4(282663),
     /* 282191 */ /*GILLT_s64*//*Label 5744*/ GIMT_Encode4(282227), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 282211 */ /*GILLT_v4s32*//*Label 5745*/ GIMT_Encode4(282258), GIMT_Encode4(0),
     /* 282219 */ /*GILLT_v8s16*//*Label 5746*/ GIMT_Encode4(282393),
     /* 282223 */ /*GILLT_v16s8*//*Label 5747*/ GIMT_Encode4(282528),
     /* 282227 */ // Label 5744: @282227
     /* 282227 */ GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(282257), // Rule ID 127 //
     /* 282232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 282235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 282238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 282242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 282246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 282250 */   // (mulhs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SMULHrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 282250 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULHrr),
     /* 282255 */   GIR_RootConstrainSelectedInstOperands,
     /* 282256 */   // GIR_Coverage, 127,
     /* 282256 */   GIR_Done,
     /* 282257 */ // Label 5749: @282257
     /* 282257 */ GIM_Reject,
     /* 282258 */ // Label 5745: @282258
     /* 282258 */ GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(282392), // Rule ID 6532 //
     /* 282263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 282269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282281 */   // (mulhs:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4i32] } (SMULLv2i32_v2i64:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rm, dsub:{ *:[i32] })), (SMULLv4i32_v2i64:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))
     /* 282281 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 282284 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_v2i64),
     /* 282288 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282293 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 282297 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 282301 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 282303 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 282306 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282310 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282315 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 282321 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282326 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282331 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 282334 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282338 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282343 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 282349 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282354 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282359 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 282362 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_v2i64),
     /* 282366 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282371 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 282374 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 282377 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 282382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 282384 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282387 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 282390 */   GIR_RootConstrainSelectedInstOperands,
     /* 282391 */   // GIR_Coverage, 6532,
     /* 282391 */   GIR_EraseRootFromParent_Done,
     /* 282392 */ // Label 5750: @282392
     /* 282392 */ GIM_Reject,
     /* 282393 */ // Label 5746: @282393
     /* 282393 */ GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(282527), // Rule ID 6531 //
     /* 282398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 282401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 282404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282416 */   // (mulhs:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8i16] } (SMULLv4i16_v4i32:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rm, dsub:{ *:[i32] })), (SMULLv8i16_v4i32:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))
     /* 282416 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 282419 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_v4i32),
     /* 282423 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282428 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 282432 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 282436 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 282438 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 282441 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282445 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282450 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 282456 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282461 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282466 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 282469 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282473 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282478 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 282484 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282489 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282494 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 282497 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_v4i32),
     /* 282501 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282506 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 282509 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 282512 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 282517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 282519 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282522 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 282525 */   GIR_RootConstrainSelectedInstOperands,
     /* 282526 */   // GIR_Coverage, 6531,
     /* 282526 */   GIR_EraseRootFromParent_Done,
     /* 282527 */ // Label 5751: @282527
     /* 282527 */ GIM_Reject,
     /* 282528 */ // Label 5747: @282528
     /* 282528 */ GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(282662), // Rule ID 6530 //
     /* 282533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 282536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 282539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282551 */   // (mulhs:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP2v16i8:{ *:[v16i8] } (SMULLv8i8_v8i16:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rm, dsub:{ *:[i32] })), (SMULLv16i8_v8i16:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))
     /* 282551 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 282554 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SMULLv16i8_v8i16),
     /* 282558 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282563 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 282567 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 282571 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 282573 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 282576 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282580 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282585 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 282591 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282596 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282601 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 282604 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282608 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282613 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 282619 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282624 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282629 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 282632 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i8_v8i16),
     /* 282636 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282641 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 282644 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 282647 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /* 282652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 282654 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282657 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 282660 */   GIR_RootConstrainSelectedInstOperands,
     /* 282661 */   // GIR_Coverage, 6530,
     /* 282661 */   GIR_EraseRootFromParent_Done,
     /* 282662 */ // Label 5752: @282662
     /* 282662 */ GIM_Reject,
     /* 282663 */ // Label 5748: @282663
     /* 282663 */ GIM_Reject,
     /* 282664 */ // Label 53: @282664
     /* 282664 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5764*/ GIMT_Encode4(283093),
     /* 282675 */ /*GILLT_v2s32*//*Label 5753*/ GIMT_Encode4(282751),
     /* 282679 */ /*GILLT_v2s64*//*Label 5754*/ GIMT_Encode4(282785),
     /* 282683 */ /*GILLT_v4s16*//*Label 5755*/ GIMT_Encode4(282819),
     /* 282687 */ /*GILLT_v4s32*//*Label 5756*/ GIMT_Encode4(282853),
     /* 282691 */ /*GILLT_v8s8*//*Label 5757*/ GIMT_Encode4(282887),
     /* 282695 */ /*GILLT_v8s16*//*Label 5758*/ GIMT_Encode4(282921),
     /* 282699 */ /*GILLT_v16s8*//*Label 5759*/ GIMT_Encode4(282955), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 282719 */ /*GILLT_nxv2s64*//*Label 5760*/ GIMT_Encode4(282989), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 282731 */ /*GILLT_nxv4s32*//*Label 5761*/ GIMT_Encode4(283015), GIMT_Encode4(0),
     /* 282739 */ /*GILLT_nxv8s16*//*Label 5762*/ GIMT_Encode4(283041), GIMT_Encode4(0),
     /* 282747 */ /*GILLT_nxv16s8*//*Label 5763*/ GIMT_Encode4(283067),
     /* 282751 */ // Label 5753: @282751
     /* 282751 */ GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(282784), // Rule ID 5023 //
     /* 282756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 282762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 282765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282777 */   // (uaddsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (UQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 282777 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i32),
     /* 282782 */   GIR_RootConstrainSelectedInstOperands,
     /* 282783 */   // GIR_Coverage, 5023,
     /* 282783 */   GIR_Done,
     /* 282784 */ // Label 5765: @282784
     /* 282784 */ GIM_Reject,
     /* 282785 */ // Label 5754: @282785
     /* 282785 */ GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(282818), // Rule ID 5027 //
     /* 282790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 282796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 282799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282811 */   // (uaddsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (UQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 282811 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i64),
     /* 282816 */   GIR_RootConstrainSelectedInstOperands,
     /* 282817 */   // GIR_Coverage, 5027,
     /* 282817 */   GIR_Done,
     /* 282818 */ // Label 5766: @282818
     /* 282818 */ GIM_Reject,
     /* 282819 */ // Label 5755: @282819
     /* 282819 */ GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(282852), // Rule ID 5022 //
     /* 282824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 282830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 282833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282845 */   // (uaddsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (UQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 282845 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i16),
     /* 282850 */   GIR_RootConstrainSelectedInstOperands,
     /* 282851 */   // GIR_Coverage, 5022,
     /* 282851 */   GIR_Done,
     /* 282852 */ // Label 5767: @282852
     /* 282852 */ GIM_Reject,
     /* 282853 */ // Label 5756: @282853
     /* 282853 */ GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(282886), // Rule ID 5026 //
     /* 282858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 282867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282879 */   // (uaddsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (UQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 282879 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i32),
     /* 282884 */   GIR_RootConstrainSelectedInstOperands,
     /* 282885 */   // GIR_Coverage, 5026,
     /* 282885 */   GIR_Done,
     /* 282886 */ // Label 5768: @282886
     /* 282886 */ GIM_Reject,
     /* 282887 */ // Label 5757: @282887
     /* 282887 */ GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(282920), // Rule ID 5021 //
     /* 282892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 282898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 282901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282913 */   // (uaddsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (UQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 282913 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i8),
     /* 282918 */   GIR_RootConstrainSelectedInstOperands,
     /* 282919 */   // GIR_Coverage, 5021,
     /* 282919 */   GIR_Done,
     /* 282920 */ // Label 5769: @282920
     /* 282920 */ GIM_Reject,
     /* 282921 */ // Label 5758: @282921
     /* 282921 */ GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(282954), // Rule ID 5025 //
     /* 282926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 282932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 282935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282947 */   // (uaddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (UQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 282947 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i16),
     /* 282952 */   GIR_RootConstrainSelectedInstOperands,
     /* 282953 */   // GIR_Coverage, 5025,
     /* 282953 */   GIR_Done,
     /* 282954 */ // Label 5770: @282954
     /* 282954 */ GIM_Reject,
     /* 282955 */ // Label 5759: @282955
     /* 282955 */ GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(282988), // Rule ID 5024 //
     /* 282960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 282966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 282969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282981 */   // (uaddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (UQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 282981 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv16i8),
     /* 282986 */   GIR_RootConstrainSelectedInstOperands,
     /* 282987 */   // GIR_Coverage, 5024,
     /* 282987 */   GIR_Done,
     /* 282988 */ // Label 5771: @282988
     /* 282988 */ GIM_Reject,
     /* 282989 */ // Label 5760: @282989
     /* 282989 */ GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(283014), // Rule ID 7437 //
     /* 282994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 283000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 283003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283007 */   // (uaddsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UQADD_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 283007 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_D),
     /* 283012 */   GIR_RootConstrainSelectedInstOperands,
     /* 283013 */   // GIR_Coverage, 7437,
     /* 283013 */   GIR_Done,
     /* 283014 */ // Label 5772: @283014
     /* 283014 */ GIM_Reject,
     /* 283015 */ // Label 5761: @283015
     /* 283015 */ GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(283040), // Rule ID 7436 //
     /* 283020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 283026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 283029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283033 */   // (uaddsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UQADD_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 283033 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_S),
     /* 283038 */   GIR_RootConstrainSelectedInstOperands,
     /* 283039 */   // GIR_Coverage, 7436,
     /* 283039 */   GIR_Done,
     /* 283040 */ // Label 5773: @283040
     /* 283040 */ GIM_Reject,
     /* 283041 */ // Label 5762: @283041
     /* 283041 */ GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(283066), // Rule ID 7435 //
     /* 283046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 283052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 283055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283059 */   // (uaddsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UQADD_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 283059 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_H),
     /* 283064 */   GIR_RootConstrainSelectedInstOperands,
     /* 283065 */   // GIR_Coverage, 7435,
     /* 283065 */   GIR_Done,
     /* 283066 */ // Label 5774: @283066
     /* 283066 */ GIM_Reject,
     /* 283067 */ // Label 5763: @283067
     /* 283067 */ GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(283092), // Rule ID 7434 //
     /* 283072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 283078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 283081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283085 */   // (uaddsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UQADD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 283085 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_B),
     /* 283090 */   GIR_RootConstrainSelectedInstOperands,
     /* 283091 */   // GIR_Coverage, 7434,
     /* 283091 */   GIR_Done,
     /* 283092 */ // Label 5775: @283092
     /* 283092 */ GIM_Reject,
     /* 283093 */ // Label 5764: @283093
     /* 283093 */ GIM_Reject,
     /* 283094 */ // Label 54: @283094
     /* 283094 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5787*/ GIMT_Encode4(283523),
     /* 283105 */ /*GILLT_v2s32*//*Label 5776*/ GIMT_Encode4(283181),
     /* 283109 */ /*GILLT_v2s64*//*Label 5777*/ GIMT_Encode4(283215),
     /* 283113 */ /*GILLT_v4s16*//*Label 5778*/ GIMT_Encode4(283249),
     /* 283117 */ /*GILLT_v4s32*//*Label 5779*/ GIMT_Encode4(283283),
     /* 283121 */ /*GILLT_v8s8*//*Label 5780*/ GIMT_Encode4(283317),
     /* 283125 */ /*GILLT_v8s16*//*Label 5781*/ GIMT_Encode4(283351),
     /* 283129 */ /*GILLT_v16s8*//*Label 5782*/ GIMT_Encode4(283385), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 283149 */ /*GILLT_nxv2s64*//*Label 5783*/ GIMT_Encode4(283419), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 283161 */ /*GILLT_nxv4s32*//*Label 5784*/ GIMT_Encode4(283445), GIMT_Encode4(0),
     /* 283169 */ /*GILLT_nxv8s16*//*Label 5785*/ GIMT_Encode4(283471), GIMT_Encode4(0),
     /* 283177 */ /*GILLT_nxv16s8*//*Label 5786*/ GIMT_Encode4(283497),
     /* 283181 */ // Label 5776: @283181
     /* 283181 */ GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(283214), // Rule ID 2477 //
     /* 283186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 283192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 283195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283207 */   // (saddsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (SQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 283207 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i32),
     /* 283212 */   GIR_RootConstrainSelectedInstOperands,
     /* 283213 */   // GIR_Coverage, 2477,
     /* 283213 */   GIR_Done,
     /* 283214 */ // Label 5788: @283214
     /* 283214 */ GIM_Reject,
     /* 283215 */ // Label 5777: @283215
     /* 283215 */ GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(283248), // Rule ID 2481 //
     /* 283220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 283226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 283229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283241 */   // (saddsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (SQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 283241 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i64),
     /* 283246 */   GIR_RootConstrainSelectedInstOperands,
     /* 283247 */   // GIR_Coverage, 2481,
     /* 283247 */   GIR_Done,
     /* 283248 */ // Label 5789: @283248
     /* 283248 */ GIM_Reject,
     /* 283249 */ // Label 5778: @283249
     /* 283249 */ GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(283282), // Rule ID 2476 //
     /* 283254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 283260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 283263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283275 */   // (saddsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (SQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 283275 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i16),
     /* 283280 */   GIR_RootConstrainSelectedInstOperands,
     /* 283281 */   // GIR_Coverage, 2476,
     /* 283281 */   GIR_Done,
     /* 283282 */ // Label 5790: @283282
     /* 283282 */ GIM_Reject,
     /* 283283 */ // Label 5779: @283283
     /* 283283 */ GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(283316), // Rule ID 2480 //
     /* 283288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 283297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283309 */   // (saddsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (SQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 283309 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i32),
     /* 283314 */   GIR_RootConstrainSelectedInstOperands,
     /* 283315 */   // GIR_Coverage, 2480,
     /* 283315 */   GIR_Done,
     /* 283316 */ // Label 5791: @283316
     /* 283316 */ GIM_Reject,
     /* 283317 */ // Label 5780: @283317
     /* 283317 */ GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(283350), // Rule ID 2475 //
     /* 283322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 283328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 283331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283343 */   // (saddsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (SQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 283343 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i8),
     /* 283348 */   GIR_RootConstrainSelectedInstOperands,
     /* 283349 */   // GIR_Coverage, 2475,
     /* 283349 */   GIR_Done,
     /* 283350 */ // Label 5792: @283350
     /* 283350 */ GIM_Reject,
     /* 283351 */ // Label 5781: @283351
     /* 283351 */ GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(283384), // Rule ID 2479 //
     /* 283356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 283362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 283365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283377 */   // (saddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (SQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 283377 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i16),
     /* 283382 */   GIR_RootConstrainSelectedInstOperands,
     /* 283383 */   // GIR_Coverage, 2479,
     /* 283383 */   GIR_Done,
     /* 283384 */ // Label 5793: @283384
     /* 283384 */ GIM_Reject,
     /* 283385 */ // Label 5782: @283385
     /* 283385 */ GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(283418), // Rule ID 2478 //
     /* 283390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 283396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 283399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283411 */   // (saddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (SQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 283411 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv16i8),
     /* 283416 */   GIR_RootConstrainSelectedInstOperands,
     /* 283417 */   // GIR_Coverage, 2478,
     /* 283417 */   GIR_Done,
     /* 283418 */ // Label 5794: @283418
     /* 283418 */ GIM_Reject,
     /* 283419 */ // Label 5783: @283419
     /* 283419 */ GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(283444), // Rule ID 7433 //
     /* 283424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 283430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 283433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283437 */   // (saddsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQADD_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 283437 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_D),
     /* 283442 */   GIR_RootConstrainSelectedInstOperands,
     /* 283443 */   // GIR_Coverage, 7433,
     /* 283443 */   GIR_Done,
     /* 283444 */ // Label 5795: @283444
     /* 283444 */ GIM_Reject,
     /* 283445 */ // Label 5784: @283445
     /* 283445 */ GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(283470), // Rule ID 7432 //
     /* 283450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 283456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 283459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283463 */   // (saddsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQADD_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 283463 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_S),
     /* 283468 */   GIR_RootConstrainSelectedInstOperands,
     /* 283469 */   // GIR_Coverage, 7432,
     /* 283469 */   GIR_Done,
     /* 283470 */ // Label 5796: @283470
     /* 283470 */ GIM_Reject,
     /* 283471 */ // Label 5785: @283471
     /* 283471 */ GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(283496), // Rule ID 7431 //
     /* 283476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 283482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 283485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283489 */   // (saddsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQADD_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 283489 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_H),
     /* 283494 */   GIR_RootConstrainSelectedInstOperands,
     /* 283495 */   // GIR_Coverage, 7431,
     /* 283495 */   GIR_Done,
     /* 283496 */ // Label 5797: @283496
     /* 283496 */ GIM_Reject,
     /* 283497 */ // Label 5786: @283497
     /* 283497 */ GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(283522), // Rule ID 7430 //
     /* 283502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 283508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 283511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283515 */   // (saddsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQADD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 283515 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_B),
     /* 283520 */   GIR_RootConstrainSelectedInstOperands,
     /* 283521 */   // GIR_Coverage, 7430,
     /* 283521 */   GIR_Done,
     /* 283522 */ // Label 5798: @283522
     /* 283522 */ GIM_Reject,
     /* 283523 */ // Label 5787: @283523
     /* 283523 */ GIM_Reject,
     /* 283524 */ // Label 55: @283524
     /* 283524 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5810*/ GIMT_Encode4(283953),
     /* 283535 */ /*GILLT_v2s32*//*Label 5799*/ GIMT_Encode4(283611),
     /* 283539 */ /*GILLT_v2s64*//*Label 5800*/ GIMT_Encode4(283645),
     /* 283543 */ /*GILLT_v4s16*//*Label 5801*/ GIMT_Encode4(283679),
     /* 283547 */ /*GILLT_v4s32*//*Label 5802*/ GIMT_Encode4(283713),
     /* 283551 */ /*GILLT_v8s8*//*Label 5803*/ GIMT_Encode4(283747),
     /* 283555 */ /*GILLT_v8s16*//*Label 5804*/ GIMT_Encode4(283781),
     /* 283559 */ /*GILLT_v16s8*//*Label 5805*/ GIMT_Encode4(283815), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 283579 */ /*GILLT_nxv2s64*//*Label 5806*/ GIMT_Encode4(283849), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 283591 */ /*GILLT_nxv4s32*//*Label 5807*/ GIMT_Encode4(283875), GIMT_Encode4(0),
     /* 283599 */ /*GILLT_nxv8s16*//*Label 5808*/ GIMT_Encode4(283901), GIMT_Encode4(0),
     /* 283607 */ /*GILLT_nxv16s8*//*Label 5809*/ GIMT_Encode4(283927),
     /* 283611 */ // Label 5799: @283611
     /* 283611 */ GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(283644), // Rule ID 5037 //
     /* 283616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 283622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 283625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283637 */   // (usubsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (UQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 283637 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i32),
     /* 283642 */   GIR_RootConstrainSelectedInstOperands,
     /* 283643 */   // GIR_Coverage, 5037,
     /* 283643 */   GIR_Done,
     /* 283644 */ // Label 5811: @283644
     /* 283644 */ GIM_Reject,
     /* 283645 */ // Label 5800: @283645
     /* 283645 */ GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(283678), // Rule ID 5041 //
     /* 283650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 283656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 283659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283671 */   // (usubsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (UQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 283671 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i64),
     /* 283676 */   GIR_RootConstrainSelectedInstOperands,
     /* 283677 */   // GIR_Coverage, 5041,
     /* 283677 */   GIR_Done,
     /* 283678 */ // Label 5812: @283678
     /* 283678 */ GIM_Reject,
     /* 283679 */ // Label 5801: @283679
     /* 283679 */ GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(283712), // Rule ID 5036 //
     /* 283684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 283690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 283693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283705 */   // (usubsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (UQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 283705 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i16),
     /* 283710 */   GIR_RootConstrainSelectedInstOperands,
     /* 283711 */   // GIR_Coverage, 5036,
     /* 283711 */   GIR_Done,
     /* 283712 */ // Label 5813: @283712
     /* 283712 */ GIM_Reject,
     /* 283713 */ // Label 5802: @283713
     /* 283713 */ GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(283746), // Rule ID 5040 //
     /* 283718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 283727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283735 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283739 */   // (usubsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (UQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 283739 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i32),
     /* 283744 */   GIR_RootConstrainSelectedInstOperands,
     /* 283745 */   // GIR_Coverage, 5040,
     /* 283745 */   GIR_Done,
     /* 283746 */ // Label 5814: @283746
     /* 283746 */ GIM_Reject,
     /* 283747 */ // Label 5803: @283747
     /* 283747 */ GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(283780), // Rule ID 5035 //
     /* 283752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 283758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 283761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283773 */   // (usubsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (UQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 283773 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i8),
     /* 283778 */   GIR_RootConstrainSelectedInstOperands,
     /* 283779 */   // GIR_Coverage, 5035,
     /* 283779 */   GIR_Done,
     /* 283780 */ // Label 5815: @283780
     /* 283780 */ GIM_Reject,
     /* 283781 */ // Label 5804: @283781
     /* 283781 */ GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(283814), // Rule ID 5039 //
     /* 283786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 283792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 283795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283807 */   // (usubsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (UQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 283807 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i16),
     /* 283812 */   GIR_RootConstrainSelectedInstOperands,
     /* 283813 */   // GIR_Coverage, 5039,
     /* 283813 */   GIR_Done,
     /* 283814 */ // Label 5816: @283814
     /* 283814 */ GIM_Reject,
     /* 283815 */ // Label 5805: @283815
     /* 283815 */ GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(283848), // Rule ID 5038 //
     /* 283820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 283826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 283829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283841 */   // (usubsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (UQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 283841 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv16i8),
     /* 283846 */   GIR_RootConstrainSelectedInstOperands,
     /* 283847 */   // GIR_Coverage, 5038,
     /* 283847 */   GIR_Done,
     /* 283848 */ // Label 5817: @283848
     /* 283848 */ GIM_Reject,
     /* 283849 */ // Label 5806: @283849
     /* 283849 */ GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(283874), // Rule ID 7445 //
     /* 283854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 283860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 283863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283867 */   // (usubsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UQSUB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 283867 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_D),
     /* 283872 */   GIR_RootConstrainSelectedInstOperands,
     /* 283873 */   // GIR_Coverage, 7445,
     /* 283873 */   GIR_Done,
     /* 283874 */ // Label 5818: @283874
     /* 283874 */ GIM_Reject,
     /* 283875 */ // Label 5807: @283875
     /* 283875 */ GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(283900), // Rule ID 7444 //
     /* 283880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 283886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 283889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283893 */   // (usubsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UQSUB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 283893 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_S),
     /* 283898 */   GIR_RootConstrainSelectedInstOperands,
     /* 283899 */   // GIR_Coverage, 7444,
     /* 283899 */   GIR_Done,
     /* 283900 */ // Label 5819: @283900
     /* 283900 */ GIM_Reject,
     /* 283901 */ // Label 5808: @283901
     /* 283901 */ GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(283926), // Rule ID 7443 //
     /* 283906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 283912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 283915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283919 */   // (usubsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UQSUB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 283919 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_H),
     /* 283924 */   GIR_RootConstrainSelectedInstOperands,
     /* 283925 */   // GIR_Coverage, 7443,
     /* 283925 */   GIR_Done,
     /* 283926 */ // Label 5820: @283926
     /* 283926 */ GIM_Reject,
     /* 283927 */ // Label 5809: @283927
     /* 283927 */ GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(283952), // Rule ID 7442 //
     /* 283932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 283938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 283941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283945 */   // (usubsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UQSUB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 283945 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_B),
     /* 283950 */   GIR_RootConstrainSelectedInstOperands,
     /* 283951 */   // GIR_Coverage, 7442,
     /* 283951 */   GIR_Done,
     /* 283952 */ // Label 5821: @283952
     /* 283952 */ GIM_Reject,
     /* 283953 */ // Label 5810: @283953
     /* 283953 */ GIM_Reject,
     /* 283954 */ // Label 56: @283954
     /* 283954 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5833*/ GIMT_Encode4(284383),
     /* 283965 */ /*GILLT_v2s32*//*Label 5822*/ GIMT_Encode4(284041),
     /* 283969 */ /*GILLT_v2s64*//*Label 5823*/ GIMT_Encode4(284075),
     /* 283973 */ /*GILLT_v4s16*//*Label 5824*/ GIMT_Encode4(284109),
     /* 283977 */ /*GILLT_v4s32*//*Label 5825*/ GIMT_Encode4(284143),
     /* 283981 */ /*GILLT_v8s8*//*Label 5826*/ GIMT_Encode4(284177),
     /* 283985 */ /*GILLT_v8s16*//*Label 5827*/ GIMT_Encode4(284211),
     /* 283989 */ /*GILLT_v16s8*//*Label 5828*/ GIMT_Encode4(284245), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 284009 */ /*GILLT_nxv2s64*//*Label 5829*/ GIMT_Encode4(284279), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 284021 */ /*GILLT_nxv4s32*//*Label 5830*/ GIMT_Encode4(284305), GIMT_Encode4(0),
     /* 284029 */ /*GILLT_nxv8s16*//*Label 5831*/ GIMT_Encode4(284331), GIMT_Encode4(0),
     /* 284037 */ /*GILLT_nxv16s8*//*Label 5832*/ GIMT_Encode4(284357),
     /* 284041 */ // Label 5822: @284041
     /* 284041 */ GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(284074), // Rule ID 5030 //
     /* 284046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 284052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 284055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284067 */   // (ssubsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (SQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 284067 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i32),
     /* 284072 */   GIR_RootConstrainSelectedInstOperands,
     /* 284073 */   // GIR_Coverage, 5030,
     /* 284073 */   GIR_Done,
     /* 284074 */ // Label 5834: @284074
     /* 284074 */ GIM_Reject,
     /* 284075 */ // Label 5823: @284075
     /* 284075 */ GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(284108), // Rule ID 5034 //
     /* 284080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 284086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 284089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284101 */   // (ssubsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (SQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 284101 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i64),
     /* 284106 */   GIR_RootConstrainSelectedInstOperands,
     /* 284107 */   // GIR_Coverage, 5034,
     /* 284107 */   GIR_Done,
     /* 284108 */ // Label 5835: @284108
     /* 284108 */ GIM_Reject,
     /* 284109 */ // Label 5824: @284109
     /* 284109 */ GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(284142), // Rule ID 5029 //
     /* 284114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 284120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 284123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284135 */   // (ssubsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (SQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 284135 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i16),
     /* 284140 */   GIR_RootConstrainSelectedInstOperands,
     /* 284141 */   // GIR_Coverage, 5029,
     /* 284141 */   GIR_Done,
     /* 284142 */ // Label 5836: @284142
     /* 284142 */ GIM_Reject,
     /* 284143 */ // Label 5825: @284143
     /* 284143 */ GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(284176), // Rule ID 5033 //
     /* 284148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 284154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 284157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284169 */   // (ssubsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (SQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 284169 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i32),
     /* 284174 */   GIR_RootConstrainSelectedInstOperands,
     /* 284175 */   // GIR_Coverage, 5033,
     /* 284175 */   GIR_Done,
     /* 284176 */ // Label 5837: @284176
     /* 284176 */ GIM_Reject,
     /* 284177 */ // Label 5826: @284177
     /* 284177 */ GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(284210), // Rule ID 5028 //
     /* 284182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 284188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 284191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284199 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284203 */   // (ssubsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (SQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 284203 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i8),
     /* 284208 */   GIR_RootConstrainSelectedInstOperands,
     /* 284209 */   // GIR_Coverage, 5028,
     /* 284209 */   GIR_Done,
     /* 284210 */ // Label 5838: @284210
     /* 284210 */ GIM_Reject,
     /* 284211 */ // Label 5827: @284211
     /* 284211 */ GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(284244), // Rule ID 5032 //
     /* 284216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 284222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 284225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284237 */   // (ssubsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (SQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 284237 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i16),
     /* 284242 */   GIR_RootConstrainSelectedInstOperands,
     /* 284243 */   // GIR_Coverage, 5032,
     /* 284243 */   GIR_Done,
     /* 284244 */ // Label 5839: @284244
     /* 284244 */ GIM_Reject,
     /* 284245 */ // Label 5828: @284245
     /* 284245 */ GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(284278), // Rule ID 5031 //
     /* 284250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 284256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 284259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284271 */   // (ssubsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (SQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 284271 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv16i8),
     /* 284276 */   GIR_RootConstrainSelectedInstOperands,
     /* 284277 */   // GIR_Coverage, 5031,
     /* 284277 */   GIR_Done,
     /* 284278 */ // Label 5840: @284278
     /* 284278 */ GIM_Reject,
     /* 284279 */ // Label 5829: @284279
     /* 284279 */ GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(284304), // Rule ID 7441 //
     /* 284284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 284287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 284290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 284293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 284297 */   // (ssubsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQSUB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 284297 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_D),
     /* 284302 */   GIR_RootConstrainSelectedInstOperands,
     /* 284303 */   // GIR_Coverage, 7441,
     /* 284303 */   GIR_Done,
     /* 284304 */ // Label 5841: @284304
     /* 284304 */ GIM_Reject,
     /* 284305 */ // Label 5830: @284305
     /* 284305 */ GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(284330), // Rule ID 7440 //
     /* 284310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 284313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 284316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 284319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 284323 */   // (ssubsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQSUB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 284323 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_S),
     /* 284328 */   GIR_RootConstrainSelectedInstOperands,
     /* 284329 */   // GIR_Coverage, 7440,
     /* 284329 */   GIR_Done,
     /* 284330 */ // Label 5842: @284330
     /* 284330 */ GIM_Reject,
     /* 284331 */ // Label 5831: @284331
     /* 284331 */ GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(284356), // Rule ID 7439 //
     /* 284336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 284339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 284342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 284345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 284349 */   // (ssubsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQSUB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 284349 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_H),
     /* 284354 */   GIR_RootConstrainSelectedInstOperands,
     /* 284355 */   // GIR_Coverage, 7439,
     /* 284355 */   GIR_Done,
     /* 284356 */ // Label 5843: @284356
     /* 284356 */ GIM_Reject,
     /* 284357 */ // Label 5832: @284357
     /* 284357 */ GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(284382), // Rule ID 7438 //
     /* 284362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 284365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 284368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 284371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 284375 */   // (ssubsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQSUB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 284375 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_B),
     /* 284380 */   GIR_RootConstrainSelectedInstOperands,
     /* 284381 */   // GIR_Coverage, 7438,
     /* 284381 */   GIR_Done,
     /* 284382 */ // Label 5844: @284382
     /* 284382 */ GIM_Reject,
     /* 284383 */ // Label 5833: @284383
     /* 284383 */ GIM_Reject,
     /* 284384 */ // Label 57: @284384
     /* 284384 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 5856*/ GIMT_Encode4(286181),
     /* 284395 */ /*GILLT_s16*//*Label 5845*/ GIMT_Encode4(284479),
     /* 284399 */ /*GILLT_s32*//*Label 5846*/ GIMT_Encode4(284705),
     /* 284403 */ /*GILLT_s64*//*Label 5847*/ GIMT_Encode4(285059), GIMT_Encode4(0),
     /* 284411 */ /*GILLT_v2s32*//*Label 5848*/ GIMT_Encode4(285231),
     /* 284415 */ /*GILLT_v2s64*//*Label 5849*/ GIMT_Encode4(285269),
     /* 284419 */ /*GILLT_v4s16*//*Label 5850*/ GIMT_Encode4(285445),
     /* 284423 */ /*GILLT_v4s32*//*Label 5851*/ GIMT_Encode4(285483), GIMT_Encode4(0),
     /* 284431 */ /*GILLT_v8s16*//*Label 5852*/ GIMT_Encode4(285659), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 284455 */ /*GILLT_nxv2s64*//*Label 5853*/ GIMT_Encode4(286103), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 284467 */ /*GILLT_nxv4s32*//*Label 5854*/ GIMT_Encode4(286129), GIMT_Encode4(0),
     /* 284475 */ /*GILLT_nxv8s16*//*Label 5855*/ GIMT_Encode4(286155),
     /* 284479 */ // Label 5845: @284479
     /* 284479 */ GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(284704),
     /* 284484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 284487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 284490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 284494 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(284585), // Rule ID 6923 //
     /* 284499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 284511 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284520 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 284524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284532 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284536 */     // MIs[2] Rn
     /* 284536 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284541 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 284545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284547 */     // (fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 284547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 284550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284559 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 284565 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284570 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 284578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284583 */     GIR_RootConstrainSelectedInstOperands,
     /* 284584 */     // GIR_Coverage, 6923,
     /* 284584 */     GIR_EraseRootFromParent_Done,
     /* 284585 */   // Label 5858: @284585
     /* 284585 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(284676), // Rule ID 13928 //
     /* 284590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 284602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284611 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 284615 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284619 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284623 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284627 */     // MIs[2] Rn
     /* 284627 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284632 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 284636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284638 */     // (fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 284638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 284641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284650 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 284656 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284661 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 284669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284674 */     GIR_RootConstrainSelectedInstOperands,
     /* 284675 */     // GIR_Coverage, 13928,
     /* 284675 */     GIR_EraseRootFromParent_Done,
     /* 284676 */   // Label 5859: @284676
     /* 284676 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(284703), // Rule ID 584 //
     /* 284681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 284684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 284688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 284692 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FADDHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 284692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDHrr),
     /* 284697 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 284701 */     GIR_RootConstrainSelectedInstOperands,
     /* 284702 */     // GIR_Coverage, 584,
     /* 284702 */     GIR_Done,
     /* 284703 */   // Label 5860: @284703
     /* 284703 */   GIM_Reject,
     /* 284704 */ // Label 5857: @284704
     /* 284704 */ GIM_Reject,
     /* 284705 */ // Label 5846: @284705
     /* 284705 */ GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(285058),
     /* 284710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 284713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 284716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284720 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(284811), // Rule ID 6921 //
     /* 284725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 284737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284746 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 284750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284758 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284762 */     // MIs[2] Rn
     /* 284762 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284767 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 284771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284773 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 284773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 284776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284785 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 284791 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284796 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 284804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284809 */     GIR_RootConstrainSelectedInstOperands,
     /* 284810 */     // GIR_Coverage, 6921,
     /* 284810 */     GIR_EraseRootFromParent_Done,
     /* 284811 */   // Label 5862: @284811
     /* 284811 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(284875), // Rule ID 13110 //
     /* 284816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 284828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284837 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 284841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284849 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284853 */     // MIs[2] Rn
     /* 284853 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284858 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 284862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284864 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn)
     /* 284864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 284867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284873 */     GIR_RootConstrainSelectedInstOperands,
     /* 284874 */     // GIR_Coverage, 13110,
     /* 284874 */     GIR_EraseRootFromParent_Done,
     /* 284875 */   // Label 5863: @284875
     /* 284875 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(284966), // Rule ID 13926 //
     /* 284880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 284892 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284901 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 284905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284913 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284917 */     // MIs[2] Rn
     /* 284917 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284922 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 284926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284928 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 284928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 284931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284940 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 284946 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284951 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 284959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284964 */     GIR_RootConstrainSelectedInstOperands,
     /* 284965 */     // GIR_Coverage, 13926,
     /* 284965 */     GIR_EraseRootFromParent_Done,
     /* 284966 */   // Label 5864: @284966
     /* 284966 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(285030), // Rule ID 15613 //
     /* 284971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 284983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284992 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 284996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285004 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 285008 */     // MIs[2] Rn
     /* 285008 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285013 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 285017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285019 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn)
     /* 285019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 285022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285028 */     GIR_RootConstrainSelectedInstOperands,
     /* 285029 */     // GIR_Coverage, 15613,
     /* 285029 */     GIR_EraseRootFromParent_Done,
     /* 285030 */   // Label 5865: @285030
     /* 285030 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(285057), // Rule ID 586 //
     /* 285035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 285038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 285042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 285046 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FADDSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 285046 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDSrr),
     /* 285051 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285055 */     GIR_RootConstrainSelectedInstOperands,
     /* 285056 */     // GIR_Coverage, 586,
     /* 285056 */     GIR_Done,
     /* 285057 */   // Label 5866: @285057
     /* 285057 */   GIM_Reject,
     /* 285058 */ // Label 5861: @285058
     /* 285058 */ GIM_Reject,
     /* 285059 */ // Label 5847: @285059
     /* 285059 */ GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(285230),
     /* 285064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 285067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 285070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285074 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(285138), // Rule ID 6919 //
     /* 285079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285091 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 285095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285100 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 285104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285112 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 285116 */     // MIs[2] Rn
     /* 285116 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285121 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 285125 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285127 */     // (fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 285127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 285130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285136 */     GIR_RootConstrainSelectedInstOperands,
     /* 285137 */     // GIR_Coverage, 6919,
     /* 285137 */     GIR_EraseRootFromParent_Done,
     /* 285138 */   // Label 5868: @285138
     /* 285138 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(285202), // Rule ID 13924 //
     /* 285143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 285159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285164 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 285168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285176 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 285180 */     // MIs[2] Rn
     /* 285180 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285185 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 285189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285191 */     // (fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 285191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 285194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285200 */     GIR_RootConstrainSelectedInstOperands,
     /* 285201 */     // GIR_Coverage, 13924,
     /* 285201 */     GIR_EraseRootFromParent_Done,
     /* 285202 */   // Label 5869: @285202
     /* 285202 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(285229), // Rule ID 588 //
     /* 285207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 285210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285218 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FADDDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 285218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDDrr),
     /* 285223 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285227 */     GIR_RootConstrainSelectedInstOperands,
     /* 285228 */     // GIR_Coverage, 588,
     /* 285228 */     GIR_Done,
     /* 285229 */   // Label 5870: @285229
     /* 285229 */   GIM_Reject,
     /* 285230 */ // Label 5867: @285230
     /* 285230 */ GIM_Reject,
     /* 285231 */ // Label 5848: @285231
     /* 285231 */ GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(285268), // Rule ID 1203 //
     /* 285236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 285242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 285245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285257 */   // (fadd:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 285257 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f32),
     /* 285262 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285266 */   GIR_RootConstrainSelectedInstOperands,
     /* 285267 */   // GIR_Coverage, 1203,
     /* 285267 */   GIR_Done,
     /* 285268 */ // Label 5871: @285268
     /* 285268 */ GIM_Reject,
     /* 285269 */ // Label 5849: @285269
     /* 285269 */ GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(285444),
     /* 285274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 285280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285284 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(285350), // Rule ID 6941 //
     /* 285289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP1),
     /* 285297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285301 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 285305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP2),
     /* 285323 */     // MIs[2] Rn
     /* 285323 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285328 */     // MIs[2] Rm
     /* 285328 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 285333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285335 */     // (fadd:{ *:[v2f64] } (AArch64zip1:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm), (AArch64zip2:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm))  =>  (FADDPv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm)
     /* 285335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f64),
     /* 285338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 285348 */     GIR_RootConstrainSelectedInstOperands,
     /* 285349 */     // GIR_Coverage, 6941,
     /* 285349 */     GIR_EraseRootFromParent_Done,
     /* 285350 */   // Label 5873: @285350
     /* 285350 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(285416), // Rule ID 13936 //
     /* 285355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP2),
     /* 285363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285367 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 285371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP1),
     /* 285389 */     // MIs[2] Rn
     /* 285389 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285394 */     // MIs[2] Rm
     /* 285394 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 285399 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285401 */     // (fadd:{ *:[v2f64] } (AArch64zip2:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm), (AArch64zip1:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm))  =>  (FADDPv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm)
     /* 285401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f64),
     /* 285404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 285414 */     GIR_RootConstrainSelectedInstOperands,
     /* 285415 */     // GIR_Coverage, 13936,
     /* 285415 */     GIR_EraseRootFromParent_Done,
     /* 285416 */   // Label 5874: @285416
     /* 285416 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(285443), // Rule ID 1207 //
     /* 285421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285432 */     // (fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 285432 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f64),
     /* 285437 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285441 */     GIR_RootConstrainSelectedInstOperands,
     /* 285442 */     // GIR_Coverage, 1207,
     /* 285442 */     GIR_Done,
     /* 285443 */   // Label 5875: @285443
     /* 285443 */   GIM_Reject,
     /* 285444 */ // Label 5872: @285444
     /* 285444 */ GIM_Reject,
     /* 285445 */ // Label 5850: @285445
     /* 285445 */ GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(285482), // Rule ID 1199 //
     /* 285450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 285453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 285456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 285459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285471 */   // (fadd:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 285471 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f16),
     /* 285476 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285480 */   GIR_RootConstrainSelectedInstOperands,
     /* 285481 */   // GIR_Coverage, 1199,
     /* 285481 */   GIR_Done,
     /* 285482 */ // Label 5876: @285482
     /* 285482 */ GIM_Reject,
     /* 285483 */ // Label 5851: @285483
     /* 285483 */ GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(285658),
     /* 285488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 285491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 285494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285498 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(285564), // Rule ID 6942 //
     /* 285503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /* 285511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 285515 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 285519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /* 285537 */     // MIs[2] Rn
     /* 285537 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285542 */     // MIs[2] Rm
     /* 285542 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 285547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285549 */     // (fadd:{ *:[v4f32] } (AArch64uzp1:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm), (AArch64uzp2:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm))  =>  (FADDPv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm)
     /* 285549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 285552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 285562 */     GIR_RootConstrainSelectedInstOperands,
     /* 285563 */     // GIR_Coverage, 6942,
     /* 285563 */     GIR_EraseRootFromParent_Done,
     /* 285564 */   // Label 5878: @285564
     /* 285564 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(285630), // Rule ID 13937 //
     /* 285569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /* 285577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 285581 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 285585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /* 285603 */     // MIs[2] Rn
     /* 285603 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285608 */     // MIs[2] Rm
     /* 285608 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 285613 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285615 */     // (fadd:{ *:[v4f32] } (AArch64uzp2:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm), (AArch64uzp1:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm))  =>  (FADDPv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm)
     /* 285615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 285618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 285628 */     GIR_RootConstrainSelectedInstOperands,
     /* 285629 */     // GIR_Coverage, 13937,
     /* 285629 */     GIR_EraseRootFromParent_Done,
     /* 285630 */   // Label 5879: @285630
     /* 285630 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(285657), // Rule ID 1205 //
     /* 285635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285646 */     // (fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 285646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 285651 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285655 */     GIR_RootConstrainSelectedInstOperands,
     /* 285656 */     // GIR_Coverage, 1205,
     /* 285656 */     GIR_Done,
     /* 285657 */   // Label 5880: @285657
     /* 285657 */   GIM_Reject,
     /* 285658 */ // Label 5877: @285658
     /* 285658 */ GIM_Reject,
     /* 285659 */ // Label 5852: @285659
     /* 285659 */ GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(286102),
     /* 285664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 285667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 285670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285674 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(285743), // Rule ID 6943 //
     /* 285679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 285682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /* 285690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 285694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 285698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /* 285716 */     // MIs[2] Rn
     /* 285716 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285721 */     // MIs[2] Rm
     /* 285721 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 285726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285728 */     // (fadd:{ *:[v8f16] } (AArch64uzp1:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm), (AArch64uzp2:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm))  =>  (FADDPv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm)
     /* 285728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 285731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 285741 */     GIR_RootConstrainSelectedInstOperands,
     /* 285742 */     // GIR_Coverage, 6943,
     /* 285742 */     GIR_EraseRootFromParent_Done,
     /* 285743 */   // Label 5882: @285743
     /* 285743 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(285812), // Rule ID 13938 //
     /* 285748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 285751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /* 285759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 285763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 285767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /* 285785 */     // MIs[2] Rn
     /* 285785 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285790 */     // MIs[2] Rm
     /* 285790 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 285795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285797 */     // (fadd:{ *:[v8f16] } (AArch64uzp2:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm), (AArch64uzp1:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm))  =>  (FADDPv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm)
     /* 285797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 285800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 285810 */     GIR_RootConstrainSelectedInstOperands,
     /* 285811 */     // GIR_Coverage, 13938,
     /* 285811 */     GIR_EraseRootFromParent_Done,
     /* 285812 */   // Label 5883: @285812
     /* 285812 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(285839), // Rule ID 1201 //
     /* 285817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 285820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285828 */     // (fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 285828 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv8f16),
     /* 285833 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285837 */     GIR_RootConstrainSelectedInstOperands,
     /* 285838 */     // GIR_Coverage, 1201,
     /* 285838 */     GIR_Done,
     /* 285839 */   // Label 5884: @285839
     /* 285839 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(286101), // Rule ID 7012 //
     /* 285844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 285847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285855 */     // (fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FADDv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FADDv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 285855 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 285858 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 285862 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285867 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 285871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 285873 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 285876 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 285880 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285885 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 285889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 285891 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 285894 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 285898 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285903 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 285906 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 285909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 285911 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 285914 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285918 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285923 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 285929 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285934 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285939 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 285942 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 285946 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285951 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 285954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 285956 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 285959 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285963 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285968 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 285974 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285979 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285984 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 285987 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 285991 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285996 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 285999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 286001 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 286004 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 286008 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286013 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 286016 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 286019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 286021 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 286024 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 286028 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286033 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 286036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 286038 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 286041 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 286045 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 286052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 286055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 286059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286064 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 286067 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 286070 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 286073 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286078 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286083 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 286091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 286093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 286099 */     GIR_RootConstrainSelectedInstOperands,
     /* 286100 */     // GIR_Coverage, 7012,
     /* 286100 */     GIR_EraseRootFromParent_Done,
     /* 286101 */   // Label 5885: @286101
     /* 286101 */   GIM_Reject,
     /* 286102 */ // Label 5881: @286102
     /* 286102 */ GIM_Reject,
     /* 286103 */ // Label 5853: @286103
     /* 286103 */ GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(286128), // Rule ID 2824 //
     /* 286108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 286111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 286114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 286117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 286121 */   // (fadd:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FADD_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 286121 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZZZ_D),
     /* 286126 */   GIR_RootConstrainSelectedInstOperands,
     /* 286127 */   // GIR_Coverage, 2824,
     /* 286127 */   GIR_Done,
     /* 286128 */ // Label 5886: @286128
     /* 286128 */ GIM_Reject,
     /* 286129 */ // Label 5854: @286129
     /* 286129 */ GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(286154), // Rule ID 2822 //
     /* 286134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 286137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 286140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 286143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 286147 */   // (fadd:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FADD_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 286147 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZZZ_S),
     /* 286152 */   GIR_RootConstrainSelectedInstOperands,
     /* 286153 */   // GIR_Coverage, 2822,
     /* 286153 */   GIR_Done,
     /* 286154 */ // Label 5887: @286154
     /* 286154 */ GIM_Reject,
     /* 286155 */ // Label 5855: @286155
     /* 286155 */ GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(286180), // Rule ID 2820 //
     /* 286160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 286163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 286166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 286169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 286173 */   // (fadd:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FADD_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 286173 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZZZ_H),
     /* 286178 */   GIR_RootConstrainSelectedInstOperands,
     /* 286179 */   // GIR_Coverage, 2820,
     /* 286179 */   GIR_Done,
     /* 286180 */ // Label 5888: @286180
     /* 286180 */ GIM_Reject,
     /* 286181 */ // Label 5856: @286181
     /* 286181 */ GIM_Reject,
     /* 286182 */ // Label 58: @286182
     /* 286182 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 5900*/ GIMT_Encode4(286919),
     /* 286193 */ /*GILLT_s16*//*Label 5889*/ GIMT_Encode4(286277),
     /* 286197 */ /*GILLT_s32*//*Label 5890*/ GIMT_Encode4(286315),
     /* 286201 */ /*GILLT_s64*//*Label 5891*/ GIMT_Encode4(286353), GIMT_Encode4(0),
     /* 286209 */ /*GILLT_v2s32*//*Label 5892*/ GIMT_Encode4(286391),
     /* 286213 */ /*GILLT_v2s64*//*Label 5893*/ GIMT_Encode4(286429),
     /* 286217 */ /*GILLT_v4s16*//*Label 5894*/ GIMT_Encode4(286467),
     /* 286221 */ /*GILLT_v4s32*//*Label 5895*/ GIMT_Encode4(286505), GIMT_Encode4(0),
     /* 286229 */ /*GILLT_v8s16*//*Label 5896*/ GIMT_Encode4(286543), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 286253 */ /*GILLT_nxv2s64*//*Label 5897*/ GIMT_Encode4(286841), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 286265 */ /*GILLT_nxv4s32*//*Label 5898*/ GIMT_Encode4(286867), GIMT_Encode4(0),
     /* 286273 */ /*GILLT_nxv8s16*//*Label 5899*/ GIMT_Encode4(286893),
     /* 286277 */ // Label 5889: @286277
     /* 286277 */ GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(286314), // Rule ID 632 //
     /* 286282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 286285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 286291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286303 */   // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FSUBHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 286303 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBHrr),
     /* 286308 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286312 */   GIR_RootConstrainSelectedInstOperands,
     /* 286313 */   // GIR_Coverage, 632,
     /* 286313 */   GIR_Done,
     /* 286314 */ // Label 5901: @286314
     /* 286314 */ GIM_Reject,
     /* 286315 */ // Label 5890: @286315
     /* 286315 */ GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(286352), // Rule ID 634 //
     /* 286320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 286323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 286326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 286329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286341 */   // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FSUBSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 286341 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBSrr),
     /* 286346 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286350 */   GIR_RootConstrainSelectedInstOperands,
     /* 286351 */   // GIR_Coverage, 634,
     /* 286351 */   GIR_Done,
     /* 286352 */ // Label 5902: @286352
     /* 286352 */ GIM_Reject,
     /* 286353 */ // Label 5891: @286353
     /* 286353 */ GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(286390), // Rule ID 636 //
     /* 286358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 286361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 286364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 286367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286379 */   // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FSUBDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 286379 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBDrr),
     /* 286384 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286388 */   GIR_RootConstrainSelectedInstOperands,
     /* 286389 */   // GIR_Coverage, 636,
     /* 286389 */   GIR_Done,
     /* 286390 */ // Label 5903: @286390
     /* 286390 */ GIM_Reject,
     /* 286391 */ // Label 5892: @286391
     /* 286391 */ GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(286428), // Rule ID 1343 //
     /* 286396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 286402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 286405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286417 */   // (fsub:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FSUBv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 286417 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f32),
     /* 286422 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286426 */   GIR_RootConstrainSelectedInstOperands,
     /* 286427 */   // GIR_Coverage, 1343,
     /* 286427 */   GIR_Done,
     /* 286428 */ // Label 5904: @286428
     /* 286428 */ GIM_Reject,
     /* 286429 */ // Label 5893: @286429
     /* 286429 */ GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(286466), // Rule ID 1347 //
     /* 286434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 286443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286455 */   // (fsub:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FSUBv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 286455 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f64),
     /* 286460 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286464 */   GIR_RootConstrainSelectedInstOperands,
     /* 286465 */   // GIR_Coverage, 1347,
     /* 286465 */   GIR_Done,
     /* 286466 */ // Label 5905: @286466
     /* 286466 */ GIM_Reject,
     /* 286467 */ // Label 5894: @286467
     /* 286467 */ GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(286504), // Rule ID 1339 //
     /* 286472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 286475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 286478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 286481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286493 */   // (fsub:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FSUBv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 286493 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f16),
     /* 286498 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286502 */   GIR_RootConstrainSelectedInstOperands,
     /* 286503 */   // GIR_Coverage, 1339,
     /* 286503 */   GIR_Done,
     /* 286504 */ // Label 5906: @286504
     /* 286504 */ GIM_Reject,
     /* 286505 */ // Label 5895: @286505
     /* 286505 */ GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(286542), // Rule ID 1345 //
     /* 286510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 286516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 286519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286531 */   // (fsub:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FSUBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 286531 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 286536 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286540 */   GIR_RootConstrainSelectedInstOperands,
     /* 286541 */   // GIR_Coverage, 1345,
     /* 286541 */   GIR_Done,
     /* 286542 */ // Label 5907: @286542
     /* 286542 */ GIM_Reject,
     /* 286543 */ // Label 5896: @286543
     /* 286543 */ GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(286840),
     /* 286548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 286551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 286554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286566 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(286585), // Rule ID 1341 //
     /* 286571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 286574 */     // (fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FSUBv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 286574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv8f16),
     /* 286579 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286583 */     GIR_RootConstrainSelectedInstOperands,
     /* 286584 */     // GIR_Coverage, 1341,
     /* 286584 */     GIR_Done,
     /* 286585 */   // Label 5909: @286585
     /* 286585 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(286839), // Rule ID 7018 //
     /* 286590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 286593 */     // (fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FSUBv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FSUBv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 286593 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 286596 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 286600 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286605 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 286609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 286611 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 286614 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 286618 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286623 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 286627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 286629 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 286632 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 286636 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286641 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 286644 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 286647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 286649 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 286652 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286656 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286661 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 286667 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286672 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286677 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 286680 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 286684 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286689 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 286692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 286694 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 286697 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286701 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286706 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 286712 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286717 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286722 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 286725 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 286729 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286734 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 286737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 286739 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 286742 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 286746 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286751 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 286754 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 286757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 286759 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 286762 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 286766 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286771 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 286774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 286776 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 286779 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 286783 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 286790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 286793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 286797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286802 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 286805 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 286808 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 286811 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286816 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286821 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 286829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 286831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 286837 */     GIR_RootConstrainSelectedInstOperands,
     /* 286838 */     // GIR_Coverage, 7018,
     /* 286838 */     GIR_EraseRootFromParent_Done,
     /* 286839 */   // Label 5910: @286839
     /* 286839 */   GIM_Reject,
     /* 286840 */ // Label 5908: @286840
     /* 286840 */ GIM_Reject,
     /* 286841 */ // Label 5897: @286841
     /* 286841 */ GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(286866), // Rule ID 8188 //
     /* 286846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 286849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 286852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 286855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 286859 */   // (fsub:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FSUB_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 286859 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZZZ_D),
     /* 286864 */   GIR_RootConstrainSelectedInstOperands,
     /* 286865 */   // GIR_Coverage, 8188,
     /* 286865 */   GIR_Done,
     /* 286866 */ // Label 5911: @286866
     /* 286866 */ GIM_Reject,
     /* 286867 */ // Label 5898: @286867
     /* 286867 */ GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(286892), // Rule ID 8186 //
     /* 286872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 286875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 286878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 286881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 286885 */   // (fsub:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FSUB_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 286885 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZZZ_S),
     /* 286890 */   GIR_RootConstrainSelectedInstOperands,
     /* 286891 */   // GIR_Coverage, 8186,
     /* 286891 */   GIR_Done,
     /* 286892 */ // Label 5912: @286892
     /* 286892 */ GIM_Reject,
     /* 286893 */ // Label 5899: @286893
     /* 286893 */ GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(286918), // Rule ID 8184 //
     /* 286898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 286901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 286904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 286907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 286911 */   // (fsub:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FSUB_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 286911 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZZZ_H),
     /* 286916 */   GIR_RootConstrainSelectedInstOperands,
     /* 286917 */   // GIR_Coverage, 8184,
     /* 286917 */   GIR_Done,
     /* 286918 */ // Label 5913: @286918
     /* 286918 */ GIM_Reject,
     /* 286919 */ // Label 5900: @286919
     /* 286919 */ GIM_Reject,
     /* 286920 */ // Label 59: @286920
     /* 286920 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 5925*/ GIMT_Encode4(291015),
     /* 286931 */ /*GILLT_s16*//*Label 5914*/ GIMT_Encode4(287015),
     /* 286935 */ /*GILLT_s32*//*Label 5915*/ GIMT_Encode4(287657),
     /* 286939 */ /*GILLT_s64*//*Label 5916*/ GIMT_Encode4(288287), GIMT_Encode4(0),
     /* 286947 */ /*GILLT_v2s32*//*Label 5917*/ GIMT_Encode4(288917),
     /* 286951 */ /*GILLT_v2s64*//*Label 5918*/ GIMT_Encode4(289447),
     /* 286955 */ /*GILLT_v4s16*//*Label 5919*/ GIMT_Encode4(289805),
     /* 286959 */ /*GILLT_v4s32*//*Label 5920*/ GIMT_Encode4(290147), GIMT_Encode4(0),
     /* 286967 */ /*GILLT_v8s16*//*Label 5921*/ GIMT_Encode4(290505), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 286991 */ /*GILLT_nxv2s64*//*Label 5922*/ GIMT_Encode4(290937), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 287003 */ /*GILLT_nxv4s32*//*Label 5923*/ GIMT_Encode4(290963), GIMT_Encode4(0),
     /* 287011 */ /*GILLT_nxv8s16*//*Label 5924*/ GIMT_Encode4(290989),
     /* 287015 */ // Label 5914: @287015
     /* 287015 */ GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(287656),
     /* 287020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 287023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 287026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287030 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(287143), // Rule ID 6253 //
     /* 287035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 287038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287059 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 287067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287075 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 287079 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287084 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 287088 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287092 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 287096 */     // MIs[3] Operand 1
     /* 287096 */     // No operand predicates
     /* 287096 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287098 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 287098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287110 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 287116 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287121 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 287129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 287138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 287141 */     GIR_RootConstrainSelectedInstOperands,
     /* 287142 */     // GIR_Coverage, 6253,
     /* 287142 */     GIR_EraseRootFromParent_Done,
     /* 287143 */   // Label 5927: @287143
     /* 287143 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(287256), // Rule ID 13905 //
     /* 287148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 287151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287180 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 287184 */     // MIs[2] Operand 1
     /* 287184 */     // No operand predicates
     /* 287184 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 287188 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287192 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287196 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 287200 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287205 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 287209 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287211 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 287211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287223 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 287229 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287234 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 287242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287254 */     GIR_RootConstrainSelectedInstOperands,
     /* 287255 */     // GIR_Coverage, 13905,
     /* 287255 */     GIR_EraseRootFromParent_Done,
     /* 287256 */   // Label 5928: @287256
     /* 287256 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(287335), // Rule ID 13839 //
     /* 287261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 287264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287276 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287285 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287295 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rn)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 287295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287307 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 287313 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287318 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 287326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287333 */     GIR_RootConstrainSelectedInstOperands,
     /* 287334 */     // GIR_Coverage, 13839,
     /* 287334 */     GIR_EraseRootFromParent_Done,
     /* 287335 */   // Label 5929: @287335
     /* 287335 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(287414), // Rule ID 4803 //
     /* 287340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 287343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287359 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287368 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287374 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }))  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 287374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287386 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 287392 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287397 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 287405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287407 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287412 */     GIR_RootConstrainSelectedInstOperands,
     /* 287413 */     // GIR_Coverage, 4803,
     /* 287413 */     GIR_EraseRootFromParent_Done,
     /* 287414 */   // Label 5930: @287414
     /* 287414 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(287477), // Rule ID 13454 //
     /* 287419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 287422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287434 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 287443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287451 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 287455 */     // MIs[2] Operand 1
     /* 287455 */     // No operand predicates
     /* 287455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287459 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287461 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16Op:{ *:[f16] }:$Rn)  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 287461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 287464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287475 */     GIR_RootConstrainSelectedInstOperands,
     /* 287476 */     // GIR_Coverage, 13454,
     /* 287476 */     GIR_EraseRootFromParent_Done,
     /* 287477 */   // Label 5931: @287477
     /* 287477 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(287540), // Rule ID 2012 //
     /* 287482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 287485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 287510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287518 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 287522 */     // MIs[2] Operand 1
     /* 287522 */     // No operand predicates
     /* 287522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287524 */     // (fmul:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 287524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 287527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287529 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287538 */     GIR_RootConstrainSelectedInstOperands,
     /* 287539 */     // GIR_Coverage, 2012,
     /* 287539 */     GIR_EraseRootFromParent_Done,
     /* 287540 */   // Label 5932: @287540
     /* 287540 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(287584), // Rule ID 4808 //
     /* 287545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 287548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287571 */     // (fmul:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$a), FPR16:{ *:[f16] }:$b)  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 287571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 287574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 287580 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 287582 */     GIR_RootConstrainSelectedInstOperands,
     /* 287583 */     // GIR_Coverage, 4808,
     /* 287583 */     GIR_EraseRootFromParent_Done,
     /* 287584 */   // Label 5933: @287584
     /* 287584 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(287628), // Rule ID 13844 //
     /* 287589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 287592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287615 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$b, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$a))  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 287615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 287618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 287624 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 287626 */     GIR_RootConstrainSelectedInstOperands,
     /* 287627 */     // GIR_Coverage, 13844,
     /* 287627 */     GIR_EraseRootFromParent_Done,
     /* 287628 */   // Label 5934: @287628
     /* 287628 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(287655), // Rule ID 620 //
     /* 287633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 287636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287644 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 287644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 287649 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 287653 */     GIR_RootConstrainSelectedInstOperands,
     /* 287654 */     // GIR_Coverage, 620,
     /* 287654 */     GIR_Done,
     /* 287655 */   // Label 5935: @287655
     /* 287655 */   GIM_Reject,
     /* 287656 */ // Label 5926: @287656
     /* 287656 */ GIM_Reject,
     /* 287657 */ // Label 5915: @287657
     /* 287657 */ GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(288286),
     /* 287662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 287665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 287668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287672 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(287785), // Rule ID 6255 //
     /* 287677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287701 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 287709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287713 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287717 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 287721 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287726 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 287730 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287734 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287738 */     // MIs[3] Operand 1
     /* 287738 */     // No operand predicates
     /* 287738 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287740 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 287740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 287743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287752 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 287758 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287763 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 287771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 287780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 287783 */     GIR_RootConstrainSelectedInstOperands,
     /* 287784 */     // GIR_Coverage, 6255,
     /* 287784 */     GIR_EraseRootFromParent_Done,
     /* 287785 */   // Label 5937: @287785
     /* 287785 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(287898), // Rule ID 13907 //
     /* 287790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287805 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287822 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287826 */     // MIs[2] Operand 1
     /* 287826 */     // No operand predicates
     /* 287826 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 287830 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287834 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287838 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 287842 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287847 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 287851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287853 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 287853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 287856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287865 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 287871 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287876 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 287884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287896 */     GIR_RootConstrainSelectedInstOperands,
     /* 287897 */     // GIR_Coverage, 13907,
     /* 287897 */     GIR_EraseRootFromParent_Done,
     /* 287898 */   // Label 5938: @287898
     /* 287898 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(287974), // Rule ID 13841 //
     /* 287903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287924 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287934 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rn)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 287934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 287937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287946 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 287952 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 287965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287967 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287972 */     GIR_RootConstrainSelectedInstOperands,
     /* 287973 */     // GIR_Coverage, 13841,
     /* 287973 */     GIR_EraseRootFromParent_Done,
     /* 287974 */   // Label 5939: @287974
     /* 287974 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(288050), // Rule ID 4805 //
     /* 287979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288004 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 288008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288010 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }))  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 288010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 288013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 288017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288022 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 288028 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288033 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 288041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288043 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288048 */     GIR_RootConstrainSelectedInstOperands,
     /* 288049 */     // GIR_Coverage, 4805,
     /* 288049 */     GIR_EraseRootFromParent_Done,
     /* 288050 */   // Label 5940: @288050
     /* 288050 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(288113), // Rule ID 13456 //
     /* 288055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288070 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288087 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 288091 */     // MIs[2] Operand 1
     /* 288091 */     // No operand predicates
     /* 288091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288097 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32Op:{ *:[f32] }:$Rn)  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 288100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288111 */     GIR_RootConstrainSelectedInstOperands,
     /* 288112 */     // GIR_Coverage, 13456,
     /* 288112 */     GIR_EraseRootFromParent_Done,
     /* 288113 */   // Label 5941: @288113
     /* 288113 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(288176), // Rule ID 2014 //
     /* 288118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288137 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288154 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 288158 */     // MIs[2] Operand 1
     /* 288158 */     // No operand predicates
     /* 288158 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288160 */     // (fmul:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 288163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288165 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288174 */     GIR_RootConstrainSelectedInstOperands,
     /* 288175 */     // GIR_Coverage, 2014,
     /* 288175 */     GIR_EraseRootFromParent_Done,
     /* 288176 */   // Label 5942: @288176
     /* 288176 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(288217), // Rule ID 4809 //
     /* 288181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 288193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288204 */     // (fmul:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$a), FPR32:{ *:[f32] }:$b)  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 288204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 288207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 288213 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 288215 */     GIR_RootConstrainSelectedInstOperands,
     /* 288216 */     // GIR_Coverage, 4809,
     /* 288216 */     GIR_EraseRootFromParent_Done,
     /* 288217 */   // Label 5943: @288217
     /* 288217 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(288258), // Rule ID 13845 //
     /* 288222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 288238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288245 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$b, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$a))  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 288245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 288248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 288254 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 288256 */     GIR_RootConstrainSelectedInstOperands,
     /* 288257 */     // GIR_Coverage, 13845,
     /* 288257 */     GIR_EraseRootFromParent_Done,
     /* 288258 */   // Label 5944: @288258
     /* 288258 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(288285), // Rule ID 622 //
     /* 288263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 288266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288274 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 288274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 288279 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 288283 */     GIR_RootConstrainSelectedInstOperands,
     /* 288284 */     // GIR_Coverage, 622,
     /* 288284 */     GIR_Done,
     /* 288285 */   // Label 5945: @288285
     /* 288285 */   GIM_Reject,
     /* 288286 */ // Label 5936: @288286
     /* 288286 */ GIM_Reject,
     /* 288287 */ // Label 5916: @288287
     /* 288287 */ GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(288916),
     /* 288292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 288295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 288298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288302 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(288415), // Rule ID 6257 //
     /* 288307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288331 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 288335 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 288339 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288343 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288347 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 288351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288356 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 288360 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288364 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 288368 */     // MIs[3] Operand 1
     /* 288368 */     // No operand predicates
     /* 288368 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 288370 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 288370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 288373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 288377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288382 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 288388 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288393 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 288401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 288413 */     GIR_RootConstrainSelectedInstOperands,
     /* 288414 */     // GIR_Coverage, 6257,
     /* 288414 */     GIR_EraseRootFromParent_Done,
     /* 288415 */   // Label 5947: @288415
     /* 288415 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(288528), // Rule ID 13909 //
     /* 288420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288452 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 288456 */     // MIs[2] Operand 1
     /* 288456 */     // No operand predicates
     /* 288456 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 288460 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288464 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288468 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 288472 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288477 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 288481 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 288483 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 288483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 288486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 288490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288495 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 288501 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288506 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 288514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288526 */     GIR_RootConstrainSelectedInstOperands,
     /* 288527 */     // GIR_Coverage, 13909,
     /* 288527 */     GIR_EraseRootFromParent_Done,
     /* 288528 */   // Label 5948: @288528
     /* 288528 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(288604), // Rule ID 13843 //
     /* 288533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288554 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 288558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288564 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rn)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 288564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 288567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 288571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288576 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 288582 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288587 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 288595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288597 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288602 */     GIR_RootConstrainSelectedInstOperands,
     /* 288603 */     // GIR_Coverage, 13843,
     /* 288603 */     GIR_EraseRootFromParent_Done,
     /* 288604 */   // Label 5949: @288604
     /* 288604 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(288680), // Rule ID 4807 //
     /* 288609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288634 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 288638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288640 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }))  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 288640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 288643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 288647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288652 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 288658 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288663 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 288671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288673 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288678 */     GIR_RootConstrainSelectedInstOperands,
     /* 288679 */     // GIR_Coverage, 4807,
     /* 288679 */     GIR_EraseRootFromParent_Done,
     /* 288680 */   // Label 5950: @288680
     /* 288680 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(288743), // Rule ID 13458 //
     /* 288685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288717 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 288721 */     // MIs[2] Operand 1
     /* 288721 */     // No operand predicates
     /* 288721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288725 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288727 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64Op:{ *:[f64] }:$Rn)  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 288730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288732 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288741 */     GIR_RootConstrainSelectedInstOperands,
     /* 288742 */     // GIR_Coverage, 13458,
     /* 288742 */     GIR_EraseRootFromParent_Done,
     /* 288743 */   // Label 5951: @288743
     /* 288743 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(288806), // Rule ID 2016 //
     /* 288748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288784 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 288788 */     // MIs[2] Operand 1
     /* 288788 */     // No operand predicates
     /* 288788 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288790 */     // (fmul:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 288793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288795 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288804 */     GIR_RootConstrainSelectedInstOperands,
     /* 288805 */     // GIR_Coverage, 2016,
     /* 288805 */     GIR_EraseRootFromParent_Done,
     /* 288806 */   // Label 5952: @288806
     /* 288806 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(288847), // Rule ID 4810 //
     /* 288811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 288823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288834 */     // (fmul:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$a), FPR64:{ *:[f64] }:$b)  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 288834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 288837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 288843 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 288845 */     GIR_RootConstrainSelectedInstOperands,
     /* 288846 */     // GIR_Coverage, 4810,
     /* 288846 */     GIR_EraseRootFromParent_Done,
     /* 288847 */   // Label 5953: @288847
     /* 288847 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(288888), // Rule ID 13846 //
     /* 288852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 288868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288875 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$b, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$a))  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 288875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 288878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 288884 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 288886 */     GIR_RootConstrainSelectedInstOperands,
     /* 288887 */     // GIR_Coverage, 13846,
     /* 288887 */     GIR_EraseRootFromParent_Done,
     /* 288888 */   // Label 5954: @288888
     /* 288888 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(288915), // Rule ID 624 //
     /* 288893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 288896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288904 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 288904 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 288909 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 288913 */     GIR_RootConstrainSelectedInstOperands,
     /* 288914 */     // GIR_Coverage, 624,
     /* 288914 */     GIR_Done,
     /* 288915 */   // Label 5955: @288915
     /* 288915 */   GIM_Reject,
     /* 288916 */ // Label 5946: @288916
     /* 288916 */ GIM_Reject,
     /* 288917 */ // Label 5917: @288917
     /* 288917 */ GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(289446),
     /* 288922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 288925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 288928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288932 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(289018), // Rule ID 13447 //
     /* 288937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 288948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 288960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288964 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 288968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 288977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288981 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 288985 */     // MIs[3] Operand 1
     /* 288985 */     // No operand predicates
     /* 288985 */     // MIs[1] Operand 2
     /* 288985 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 288996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289000 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289002 */     // (fmul:{ *:[v2f32] } (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 289005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 289013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 289016 */     GIR_RootConstrainSelectedInstOperands,
     /* 289017 */     // GIR_Coverage, 13447,
     /* 289017 */     GIR_EraseRootFromParent_Done,
     /* 289018 */   // Label 5957: @289018
     /* 289018 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(289104), // Rule ID 2005 //
     /* 289023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 289038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 289042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 289046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 289050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 289054 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 289058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289063 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 289067 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289071 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 289075 */     // MIs[3] Operand 1
     /* 289075 */     // No operand predicates
     /* 289075 */     // MIs[1] Operand 2
     /* 289075 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 289086 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289088 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 289091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289093 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 289099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 289102 */     GIR_RootConstrainSelectedInstOperands,
     /* 289103 */     // GIR_Coverage, 2005,
     /* 289103 */     GIR_EraseRootFromParent_Done,
     /* 289104 */   // Label 5958: @289104
     /* 289104 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(289167), // Rule ID 13448 //
     /* 289109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 289120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 289124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289141 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 289145 */     // MIs[2] Operand 1
     /* 289145 */     // No operand predicates
     /* 289145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289151 */     // (fmul:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 289154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289165 */     GIR_RootConstrainSelectedInstOperands,
     /* 289166 */     // GIR_Coverage, 13448,
     /* 289166 */     GIR_EraseRootFromParent_Done,
     /* 289167 */   // Label 5959: @289167
     /* 289167 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(289230), // Rule ID 2006 //
     /* 289172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 289187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 289191 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289200 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289204 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289208 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 289212 */     // MIs[2] Operand 1
     /* 289212 */     // No operand predicates
     /* 289212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289214 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 289217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289219 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289228 */     GIR_RootConstrainSelectedInstOperands,
     /* 289229 */     // GIR_Coverage, 2006,
     /* 289229 */     GIR_EraseRootFromParent_Done,
     /* 289230 */   // Label 5960: @289230
     /* 289230 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(289324), // Rule ID 13911 //
     /* 289235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 289243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289258 */     // (fmul:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 289258 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 289261 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 289265 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 289272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 289275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 289279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289284 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 289287 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289291 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 289294 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289299 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289304 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 289312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289322 */     GIR_RootConstrainSelectedInstOperands,
     /* 289323 */     // GIR_Coverage, 13911,
     /* 289323 */     GIR_EraseRootFromParent_Done,
     /* 289324 */   // Label 5961: @289324
     /* 289324 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(289418), // Rule ID 6259 //
     /* 289329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 289341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289352 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 289352 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 289355 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 289359 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 289366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 289369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 289373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289378 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 289381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289385 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 289388 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289393 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289398 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 289406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289408 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289416 */     GIR_RootConstrainSelectedInstOperands,
     /* 289417 */     // GIR_Coverage, 6259,
     /* 289417 */     GIR_EraseRootFromParent_Done,
     /* 289418 */   // Label 5962: @289418
     /* 289418 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(289445), // Rule ID 1323 //
     /* 289423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289434 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMULv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 289434 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f32),
     /* 289439 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 289443 */     GIR_RootConstrainSelectedInstOperands,
     /* 289444 */     // GIR_Coverage, 1323,
     /* 289444 */     GIR_Done,
     /* 289445 */   // Label 5963: @289445
     /* 289445 */   GIM_Reject,
     /* 289446 */ // Label 5956: @289446
     /* 289446 */ GIM_Reject,
     /* 289447 */ // Label 5918: @289447
     /* 289447 */ GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(289804),
     /* 289452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 289458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289462 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(289525), // Rule ID 13452 //
     /* 289467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 289478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289482 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289499 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 289503 */     // MIs[2] Operand 1
     /* 289503 */     // No operand predicates
     /* 289503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289509 */     // (fmul:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 289512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289523 */     GIR_RootConstrainSelectedInstOperands,
     /* 289524 */     // GIR_Coverage, 13452,
     /* 289524 */     GIR_EraseRootFromParent_Done,
     /* 289525 */   // Label 5965: @289525
     /* 289525 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(289588), // Rule ID 2010 //
     /* 289530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 289545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289566 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 289570 */     // MIs[2] Operand 1
     /* 289570 */     // No operand predicates
     /* 289570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289572 */     // (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 289575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289577 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289586 */     GIR_RootConstrainSelectedInstOperands,
     /* 289587 */     // GIR_Coverage, 2010,
     /* 289587 */     GIR_EraseRootFromParent_Done,
     /* 289588 */   // Label 5966: @289588
     /* 289588 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(289682), // Rule ID 13915 //
     /* 289593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 289601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 289605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289616 */     // (fmul:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 289616 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 289619 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 289623 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 289630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 289633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 289637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289642 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 289645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289649 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 289652 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289657 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289662 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 289670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289680 */     GIR_RootConstrainSelectedInstOperands,
     /* 289681 */     // GIR_Coverage, 13915,
     /* 289681 */     GIR_EraseRootFromParent_Done,
     /* 289682 */   // Label 5967: @289682
     /* 289682 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(289776), // Rule ID 6263 //
     /* 289687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 289699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 289703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289710 */     // (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 289710 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 289713 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 289717 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 289724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 289727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 289731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289736 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 289739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289743 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 289746 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289751 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289756 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 289764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289766 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289774 */     GIR_RootConstrainSelectedInstOperands,
     /* 289775 */     // GIR_Coverage, 6263,
     /* 289775 */     GIR_EraseRootFromParent_Done,
     /* 289776 */   // Label 5968: @289776
     /* 289776 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(289803), // Rule ID 1327 //
     /* 289781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289792 */     // (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMULv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 289792 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f64),
     /* 289797 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 289801 */     GIR_RootConstrainSelectedInstOperands,
     /* 289802 */     // GIR_Coverage, 1327,
     /* 289802 */     GIR_Done,
     /* 289803 */   // Label 5969: @289803
     /* 289803 */   GIM_Reject,
     /* 289804 */ // Label 5964: @289804
     /* 289804 */ GIM_Reject,
     /* 289805 */ // Label 5919: @289805
     /* 289805 */ GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(290146),
     /* 289810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 289813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 289816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289820 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(289906), // Rule ID 13441 //
     /* 289825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 289828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 289836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289840 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 289844 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 289848 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289852 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 289856 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 289861 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 289865 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289869 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 289873 */     // MIs[3] Operand 1
     /* 289873 */     // No operand predicates
     /* 289873 */     // MIs[1] Operand 2
     /* 289873 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 289884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289888 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289890 */     // (fmul:{ *:[v4f16] } (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 289893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289895 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 289901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 289904 */     GIR_RootConstrainSelectedInstOperands,
     /* 289905 */     // GIR_Coverage, 13441,
     /* 289905 */     GIR_EraseRootFromParent_Done,
     /* 289906 */   // Label 5971: @289906
     /* 289906 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(289992), // Rule ID 1999 //
     /* 289911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 289914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 289926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 289934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 289938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289942 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 289946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 289951 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 289955 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289959 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 289963 */     // MIs[3] Operand 1
     /* 289963 */     // No operand predicates
     /* 289963 */     // MIs[1] Operand 2
     /* 289963 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 289974 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289976 */     // (fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 289979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289981 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 289987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 289990 */     GIR_RootConstrainSelectedInstOperands,
     /* 289991 */     // GIR_Coverage, 1999,
     /* 289991 */     GIR_EraseRootFromParent_Done,
     /* 289992 */   // Label 5972: @289992
     /* 289992 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(290055), // Rule ID 13442 //
     /* 289997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 290008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290029 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290033 */     // MIs[2] Operand 1
     /* 290033 */     // No operand predicates
     /* 290033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290039 */     // (fmul:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 290039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 290042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 290046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 290053 */     GIR_RootConstrainSelectedInstOperands,
     /* 290054 */     // GIR_Coverage, 13442,
     /* 290054 */     GIR_EraseRootFromParent_Done,
     /* 290055 */   // Label 5973: @290055
     /* 290055 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(290118), // Rule ID 2000 //
     /* 290060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 290075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290096 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290100 */     // MIs[2] Operand 1
     /* 290100 */     // No operand predicates
     /* 290100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290102 */     // (fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 290102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 290105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290107 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 290109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 290116 */     GIR_RootConstrainSelectedInstOperands,
     /* 290117 */     // GIR_Coverage, 2000,
     /* 290117 */     GIR_EraseRootFromParent_Done,
     /* 290118 */   // Label 5974: @290118
     /* 290118 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(290145), // Rule ID 1319 //
     /* 290123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290134 */     // (fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMULv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 290134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f16),
     /* 290139 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 290143 */     GIR_RootConstrainSelectedInstOperands,
     /* 290144 */     // GIR_Coverage, 1319,
     /* 290144 */     GIR_Done,
     /* 290145 */   // Label 5975: @290145
     /* 290145 */   GIM_Reject,
     /* 290146 */ // Label 5970: @290146
     /* 290146 */ GIM_Reject,
     /* 290147 */ // Label 5920: @290147
     /* 290147 */ GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(290504),
     /* 290152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 290155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 290158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290162 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(290225), // Rule ID 13450 //
     /* 290167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 290178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 290182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290199 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 290203 */     // MIs[2] Operand 1
     /* 290203 */     // No operand predicates
     /* 290203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290207 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290209 */     // (fmul:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 290209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 290212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290214 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 290216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 290223 */     GIR_RootConstrainSelectedInstOperands,
     /* 290224 */     // GIR_Coverage, 13450,
     /* 290224 */     GIR_EraseRootFromParent_Done,
     /* 290225 */   // Label 5977: @290225
     /* 290225 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(290288), // Rule ID 2008 //
     /* 290230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 290245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 290249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290266 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 290270 */     // MIs[2] Operand 1
     /* 290270 */     // No operand predicates
     /* 290270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290272 */     // (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 290272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 290275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290277 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 290279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 290286 */     GIR_RootConstrainSelectedInstOperands,
     /* 290287 */     // GIR_Coverage, 2008,
     /* 290287 */     GIR_EraseRootFromParent_Done,
     /* 290288 */   // Label 5978: @290288
     /* 290288 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(290382), // Rule ID 13913 //
     /* 290293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 290301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 290305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 290310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 290316 */     // (fmul:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 290316 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 290319 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 290323 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 290330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 290333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 290337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290342 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 290345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290349 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 290352 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290357 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290362 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 290367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 290370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 290374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290380 */     GIR_RootConstrainSelectedInstOperands,
     /* 290381 */     // GIR_Coverage, 13913,
     /* 290381 */     GIR_EraseRootFromParent_Done,
     /* 290382 */   // Label 5979: @290382
     /* 290382 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(290476), // Rule ID 6261 //
     /* 290387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 290399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 290403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 290408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 290410 */     // (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 290410 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 290413 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 290417 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290422 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 290424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 290427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 290431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290436 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 290439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290443 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 290446 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290451 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290456 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 290461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 290464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290466 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 290468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290474 */     GIR_RootConstrainSelectedInstOperands,
     /* 290475 */     // GIR_Coverage, 6261,
     /* 290475 */     GIR_EraseRootFromParent_Done,
     /* 290476 */   // Label 5980: @290476
     /* 290476 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(290503), // Rule ID 1325 //
     /* 290481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290492 */     // (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMULv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 290492 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 290497 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 290501 */     GIR_RootConstrainSelectedInstOperands,
     /* 290502 */     // GIR_Coverage, 1325,
     /* 290502 */     GIR_Done,
     /* 290503 */   // Label 5981: @290503
     /* 290503 */   GIM_Reject,
     /* 290504 */ // Label 5976: @290504
     /* 290504 */ GIM_Reject,
     /* 290505 */ // Label 5921: @290505
     /* 290505 */ GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(290936),
     /* 290510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 290516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290520 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(290583), // Rule ID 13444 //
     /* 290525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 290536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290540 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290557 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290561 */     // MIs[2] Operand 1
     /* 290561 */     // No operand predicates
     /* 290561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290565 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290567 */     // (fmul:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn)  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 290567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 290570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 290574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 290581 */     GIR_RootConstrainSelectedInstOperands,
     /* 290582 */     // GIR_Coverage, 13444,
     /* 290582 */     GIR_EraseRootFromParent_Done,
     /* 290583 */   // Label 5983: @290583
     /* 290583 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(290646), // Rule ID 2002 //
     /* 290588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 290603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290624 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290628 */     // MIs[2] Operand 1
     /* 290628 */     // No operand predicates
     /* 290628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290630 */     // (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 290630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 290633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290635 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 290637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 290644 */     GIR_RootConstrainSelectedInstOperands,
     /* 290645 */     // GIR_Coverage, 2002,
     /* 290645 */     GIR_EraseRootFromParent_Done,
     /* 290646 */   // Label 5984: @290646
     /* 290646 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(290673), // Rule ID 1321 //
     /* 290651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290662 */     // (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMULv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 290662 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv8f16),
     /* 290667 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 290671 */     GIR_RootConstrainSelectedInstOperands,
     /* 290672 */     // GIR_Coverage, 1321,
     /* 290672 */     GIR_Done,
     /* 290673 */   // Label 5985: @290673
     /* 290673 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(290935), // Rule ID 7016 //
     /* 290678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 290681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290689 */     // (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FMULv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FMULv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 290689 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 290692 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 290696 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290701 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 290705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 290707 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 290710 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 290714 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290719 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 290723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 290725 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 290728 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 290732 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290737 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 290740 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 290743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 290745 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 290748 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290752 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290757 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 290763 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290768 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290773 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 290776 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 290780 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290785 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 290788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 290790 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 290793 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290797 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290802 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 290808 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290813 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290818 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 290821 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 290825 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290830 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 290833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 290835 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 290838 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 290842 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290847 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 290850 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 290853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 290855 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 290858 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 290862 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290867 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 290870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 290872 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 290875 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 290879 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 290886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 290889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 290893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290898 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 290901 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 290904 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 290907 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290912 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290917 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 290925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 290933 */     GIR_RootConstrainSelectedInstOperands,
     /* 290934 */     // GIR_Coverage, 7016,
     /* 290934 */     GIR_EraseRootFromParent_Done,
     /* 290935 */   // Label 5986: @290935
     /* 290935 */   GIM_Reject,
     /* 290936 */ // Label 5982: @290936
     /* 290936 */ GIM_Reject,
     /* 290937 */ // Label 5922: @290937
     /* 290937 */ GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(290962), // Rule ID 8194 //
     /* 290942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 290945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 290948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 290951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 290955 */   // (fmul:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMUL_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 290955 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZ_D),
     /* 290960 */   GIR_RootConstrainSelectedInstOperands,
     /* 290961 */   // GIR_Coverage, 8194,
     /* 290961 */   GIR_Done,
     /* 290962 */ // Label 5987: @290962
     /* 290962 */ GIM_Reject,
     /* 290963 */ // Label 5923: @290963
     /* 290963 */ GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(290988), // Rule ID 8192 //
     /* 290968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 290971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 290974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 290977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 290981 */   // (fmul:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMUL_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 290981 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZ_S),
     /* 290986 */   GIR_RootConstrainSelectedInstOperands,
     /* 290987 */   // GIR_Coverage, 8192,
     /* 290987 */   GIR_Done,
     /* 290988 */ // Label 5988: @290988
     /* 290988 */ GIM_Reject,
     /* 290989 */ // Label 5924: @290989
     /* 290989 */ GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(291014), // Rule ID 8190 //
     /* 290994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 290997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 291000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 291003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 291007 */   // (fmul:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMUL_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 291007 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZ_H),
     /* 291012 */   GIR_RootConstrainSelectedInstOperands,
     /* 291013 */   // GIR_Coverage, 8190,
     /* 291013 */   GIR_Done,
     /* 291014 */ // Label 5989: @291014
     /* 291014 */ GIM_Reject,
     /* 291015 */ // Label 5925: @291015
     /* 291015 */ GIM_Reject,
     /* 291016 */ // Label 60: @291016
     /* 291016 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 5998*/ GIMT_Encode4(307288),
     /* 291027 */ /*GILLT_s16*//*Label 5990*/ GIMT_Encode4(291067),
     /* 291031 */ /*GILLT_s32*//*Label 5991*/ GIMT_Encode4(294071),
     /* 291035 */ /*GILLT_s64*//*Label 5992*/ GIMT_Encode4(297219), GIMT_Encode4(0),
     /* 291043 */ /*GILLT_v2s32*//*Label 5993*/ GIMT_Encode4(300367),
     /* 291047 */ /*GILLT_v2s64*//*Label 5994*/ GIMT_Encode4(301888),
     /* 291051 */ /*GILLT_v4s16*//*Label 5995*/ GIMT_Encode4(303409),
     /* 291055 */ /*GILLT_v4s32*//*Label 5996*/ GIMT_Encode4(304588), GIMT_Encode4(0),
     /* 291063 */ /*GILLT_v8s16*//*Label 5997*/ GIMT_Encode4(306109),
     /* 291067 */ // Label 5990: @291067
     /* 291067 */ GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(294070),
     /* 291072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 291075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 291078 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 291081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291085 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(291235), // Rule ID 4865 //
     /* 291090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 291093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291105 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291114 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 291118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 291122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291130 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291139 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 291143 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 291147 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291151 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 291155 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291160 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 291162 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 291162 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 291165 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291169 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291174 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 291180 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291185 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291202 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291208 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291213 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 291221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 291229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 291233 */     GIR_RootConstrainSelectedInstOperands,
     /* 291234 */     // GIR_Coverage, 4865,
     /* 291234 */     GIR_EraseRootFromParent_Done,
     /* 291235 */   // Label 6000: @291235
     /* 291235 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(291382), // Rule ID 4829 //
     /* 291240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 291243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291264 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 291268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 291272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 291280 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 291284 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291288 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291292 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 291296 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291301 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 291305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291309 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 291311 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 291311 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 291314 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291318 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291323 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 291329 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291334 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291351 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291357 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291362 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 291370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 291378 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 291380 */     GIR_RootConstrainSelectedInstOperands,
     /* 291381 */     // GIR_Coverage, 4829,
     /* 291381 */     GIR_EraseRootFromParent_Done,
     /* 291382 */   // Label 6001: @291382
     /* 291382 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(291529), // Rule ID 13852 //
     /* 291387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 291390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291414 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291423 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 291427 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 291431 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291435 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291439 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 291443 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291448 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 291452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291456 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 291458 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 291458 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 291461 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291465 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291470 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 291476 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291481 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291498 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291504 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291509 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 291517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 291525 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 291527 */     GIR_RootConstrainSelectedInstOperands,
     /* 291528 */     // GIR_Coverage, 13852,
     /* 291528 */     GIR_EraseRootFromParent_Done,
     /* 291529 */   // Label 6002: @291529
     /* 291529 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(291660), // Rule ID 6091 //
     /* 291534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291558 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 291562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 291566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 291574 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 291578 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291582 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291586 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 291590 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291595 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 291599 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291603 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291607 */     // MIs[4] Operand 1
     /* 291607 */     // No operand predicates
     /* 291607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291611 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 291613 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291625 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291631 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291636 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 291644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 291655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 291658 */     GIR_RootConstrainSelectedInstOperands,
     /* 291659 */     // GIR_Coverage, 6091,
     /* 291659 */     GIR_EraseRootFromParent_Done,
     /* 291660 */   // Label 6003: @291660
     /* 291660 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(291791), // Rule ID 6123 //
     /* 291665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291697 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291701 */     // MIs[2] Operand 1
     /* 291701 */     // No operand predicates
     /* 291701 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 291705 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291709 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 291713 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 291717 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291721 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291725 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 291729 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291734 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 291738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291742 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 291744 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291756 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291762 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291767 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 291775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291777 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 291786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 291789 */     GIR_RootConstrainSelectedInstOperands,
     /* 291790 */     // GIR_Coverage, 6123,
     /* 291790 */     GIR_EraseRootFromParent_Done,
     /* 291791 */   // Label 6004: @291791
     /* 291791 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(291922), // Rule ID 6187 //
     /* 291796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291823 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291832 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 291836 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 291840 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291844 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291848 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 291852 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291857 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 291861 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291865 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291869 */     // MIs[4] Operand 1
     /* 291869 */     // No operand predicates
     /* 291869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291873 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 291875 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291887 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291893 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291898 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 291906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291908 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 291917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 291920 */     GIR_RootConstrainSelectedInstOperands,
     /* 291921 */     // GIR_Coverage, 6187,
     /* 291921 */     GIR_EraseRootFromParent_Done,
     /* 291922 */   // Label 6005: @291922
     /* 291922 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(292053), // Rule ID 6155 //
     /* 291927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291954 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291963 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 291967 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291971 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291975 */     // MIs[3] Operand 1
     /* 291975 */     // No operand predicates
     /* 291975 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 291979 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291983 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291987 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 291991 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291996 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 292000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292004 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 292006 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 292006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292018 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292024 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292029 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 292037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292039 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 292051 */     GIR_RootConstrainSelectedInstOperands,
     /* 292052 */     // GIR_Coverage, 6155,
     /* 292052 */     GIR_EraseRootFromParent_Done,
     /* 292053 */   // Label 6006: @292053
     /* 292053 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(292188), // Rule ID 2456 //
     /* 292058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292082 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 292090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292098 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292107 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 292111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292117 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 292117 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 292120 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292124 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292129 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 292135 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292140 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292157 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292163 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292168 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 292176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 292184 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292186 */     GIR_RootConstrainSelectedInstOperands,
     /* 292187 */     // GIR_Coverage, 2456,
     /* 292187 */     GIR_EraseRootFromParent_Done,
     /* 292188 */   // Label 6007: @292188
     /* 292188 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(292307), // Rule ID 6059 //
     /* 292193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 292196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292217 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 292225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292233 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292237 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 292242 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 292246 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292250 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 292254 */     // MIs[3] Operand 1
     /* 292254 */     // No operand predicates
     /* 292254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292258 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292260 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 292260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292272 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292278 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292283 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 292291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292293 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 292305 */     GIR_RootConstrainSelectedInstOperands,
     /* 292306 */     // GIR_Coverage, 6059,
     /* 292306 */     GIR_EraseRootFromParent_Done,
     /* 292307 */   // Label 6008: @292307
     /* 292307 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(292426), // Rule ID 2538 //
     /* 292312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 292315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 292336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 292340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292344 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 292348 */     // MIs[2] Operand 1
     /* 292348 */     // No operand predicates
     /* 292348 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 292352 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292356 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292360 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 292364 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292369 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 292373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292379 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 292379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292391 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292397 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292402 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 292410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292412 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 292424 */     GIR_RootConstrainSelectedInstOperands,
     /* 292425 */     // GIR_Coverage, 2538,
     /* 292425 */     GIR_EraseRootFromParent_Done,
     /* 292426 */   // Label 6009: @292426
     /* 292426 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(292526), // Rule ID 4827 //
     /* 292431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292446 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292455 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 292463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 292471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292480 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292482 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292494 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292500 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292505 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 292513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292524 */     GIR_RootConstrainSelectedInstOperands,
     /* 292525 */     // GIR_Coverage, 4827,
     /* 292525 */     GIR_EraseRootFromParent_Done,
     /* 292526 */   // Label 6010: @292526
     /* 292526 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(292626), // Rule ID 4863 //
     /* 292531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292555 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 292567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 292575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292582 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292594 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292600 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292605 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 292613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 292620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 292624 */     GIR_RootConstrainSelectedInstOperands,
     /* 292625 */     // GIR_Coverage, 4863,
     /* 292625 */     GIR_EraseRootFromParent_Done,
     /* 292626 */   // Label 6011: @292626
     /* 292626 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(292723), // Rule ID 13848 //
     /* 292631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 292650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292658 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292667 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 292671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292681 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 292681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292693 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 292699 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292704 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 292712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 292716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292719 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292721 */     GIR_RootConstrainSelectedInstOperands,
     /* 292722 */     // GIR_Coverage, 13848,
     /* 292722 */     GIR_EraseRootFromParent_Done,
     /* 292723 */   // Label 6012: @292723
     /* 292723 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(292823), // Rule ID 13850 //
     /* 292728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 292752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292760 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292769 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 292773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292779 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292791 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292797 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292802 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 292810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292819 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292821 */     GIR_RootConstrainSelectedInstOperands,
     /* 292822 */     // GIR_Coverage, 13850,
     /* 292822 */     GIR_EraseRootFromParent_Done,
     /* 292823 */   // Label 6013: @292823
     /* 292823 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(292923), // Rule ID 4861 //
     /* 292828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292856 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 292864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292868 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 292872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292879 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 292879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292891 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 292897 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292902 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 292910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292912 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 292914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 292921 */     GIR_RootConstrainSelectedInstOperands,
     /* 292922 */     // GIR_Coverage, 4861,
     /* 292922 */     GIR_EraseRootFromParent_Done,
     /* 292923 */   // Label 6014: @292923
     /* 292923 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(293020), // Rule ID 4825 //
     /* 292928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 292951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292959 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292963 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292968 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 292972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292978 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 292978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292990 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 292996 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293001 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 293009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293011 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293016 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293018 */     GIR_RootConstrainSelectedInstOperands,
     /* 293019 */     // GIR_Coverage, 4825,
     /* 293019 */     GIR_EraseRootFromParent_Done,
     /* 293020 */   // Label 6015: @293020
     /* 293020 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(293104), // Rule ID 6121 //
     /* 293025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293040 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 293053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293057 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293061 */     // MIs[2] Operand 1
     /* 293061 */     // No operand predicates
     /* 293061 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 293065 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293069 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 293073 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293084 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 293087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293089 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 293095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 293102 */     GIR_RootConstrainSelectedInstOperands,
     /* 293103 */     // GIR_Coverage, 6121,
     /* 293103 */     GIR_EraseRootFromParent_Done,
     /* 293104 */   // Label 6016: @293104
     /* 293104 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(293185), // Rule ID 6153 //
     /* 293109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 293128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293136 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293140 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293145 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 293149 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293153 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293157 */     // MIs[3] Operand 1
     /* 293157 */     // No operand predicates
     /* 293157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293165 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293167 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 293170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 293176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 293180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 293183 */     GIR_RootConstrainSelectedInstOperands,
     /* 293184 */     // GIR_Coverage, 6153,
     /* 293184 */     GIR_EraseRootFromParent_Done,
     /* 293185 */   // Label 6017: @293185
     /* 293185 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(293269), // Rule ID 6185 //
     /* 293190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 293214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293222 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 293235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293239 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293243 */     // MIs[3] Operand 1
     /* 293243 */     // No operand predicates
     /* 293243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293247 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293249 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 293252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 293260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 293264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 293267 */     GIR_RootConstrainSelectedInstOperands,
     /* 293268 */     // GIR_Coverage, 6185,
     /* 293268 */     GIR_EraseRootFromParent_Done,
     /* 293269 */   // Label 6018: @293269
     /* 293269 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(293350), // Rule ID 6089 //
     /* 293274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 293297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293305 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293314 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 293318 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293322 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293326 */     // MIs[3] Operand 1
     /* 293326 */     // No operand predicates
     /* 293326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293330 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293332 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 293335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293337 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293339 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 293345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 293348 */     GIR_RootConstrainSelectedInstOperands,
     /* 293349 */     // GIR_Coverage, 6089,
     /* 293349 */     GIR_EraseRootFromParent_Done,
     /* 293350 */   // Label 6019: @293350
     /* 293350 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(293435), // Rule ID 2454 //
     /* 293355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 293358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293370 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293379 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 293383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293393 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 293396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293405 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 293411 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293416 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 293424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293429 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 293431 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293433 */     GIR_RootConstrainSelectedInstOperands,
     /* 293434 */     // GIR_Coverage, 2454,
     /* 293434 */     GIR_EraseRootFromParent_Done,
     /* 293435 */   // Label 6020: @293435
     /* 293435 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(293520), // Rule ID 2452 //
     /* 293440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 293443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293468 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 293472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293478 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 293478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 293481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293490 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 293496 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293501 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 293509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293511 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293516 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293518 */     GIR_RootConstrainSelectedInstOperands,
     /* 293519 */     // GIR_Coverage, 2452,
     /* 293519 */     GIR_EraseRootFromParent_Done,
     /* 293520 */   // Label 6021: @293520
     /* 293520 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(293589), // Rule ID 2536 //
     /* 293525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293540 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 293553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293557 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293561 */     // MIs[2] Operand 1
     /* 293561 */     // No operand predicates
     /* 293561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293569 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293571 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 293574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293576 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 293580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 293587 */     GIR_RootConstrainSelectedInstOperands,
     /* 293588 */     // GIR_Coverage, 2536,
     /* 293588 */     GIR_EraseRootFromParent_Done,
     /* 293589 */   // Label 6022: @293589
     /* 293589 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(293658), // Rule ID 6057 //
     /* 293594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 293626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293630 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293634 */     // MIs[2] Operand 1
     /* 293634 */     // No operand predicates
     /* 293634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293640 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 293643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293645 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293647 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 293656 */     GIR_RootConstrainSelectedInstOperands,
     /* 293657 */     // GIR_Coverage, 6057,
     /* 293657 */     GIR_EraseRootFromParent_Done,
     /* 293658 */   // Label 6023: @293658
     /* 293658 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(293723), // Rule ID 4881 //
     /* 293663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 293691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 293699 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293704 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293706 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 293709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 293715 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 293717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 293721 */     GIR_RootConstrainSelectedInstOperands,
     /* 293722 */     // GIR_Coverage, 4881,
     /* 293722 */     GIR_EraseRootFromParent_Done,
     /* 293723 */   // Label 6024: @293723
     /* 293723 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(293788), // Rule ID 13868 //
     /* 293728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 293756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 293764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293771 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 293774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 293780 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 293782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 293786 */     GIR_RootConstrainSelectedInstOperands,
     /* 293787 */     // GIR_Coverage, 13868,
     /* 293787 */     GIR_EraseRootFromParent_Done,
     /* 293788 */   // Label 6025: @293788
     /* 293788 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(293838), // Rule ID 4878 //
     /* 293793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293823 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 293826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 293832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 293834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293836 */     GIR_RootConstrainSelectedInstOperands,
     /* 293837 */     // GIR_Coverage, 4878,
     /* 293837 */     GIR_EraseRootFromParent_Done,
     /* 293838 */   // Label 6026: @293838
     /* 293838 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(293888), // Rule ID 13294 //
     /* 293843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 293846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293873 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 293876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 293880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293884 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293886 */     GIR_RootConstrainSelectedInstOperands,
     /* 293887 */     // GIR_Coverage, 13294,
     /* 293887 */     GIR_EraseRootFromParent_Done,
     /* 293888 */   // Label 6027: @293888
     /* 293888 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(293938), // Rule ID 644 //
     /* 293893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 293896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293923 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 293926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293928 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293934 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293936 */     GIR_RootConstrainSelectedInstOperands,
     /* 293937 */     // GIR_Coverage, 644,
     /* 293937 */     GIR_EraseRootFromParent_Done,
     /* 293938 */   // Label 6028: @293938
     /* 293938 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(293988), // Rule ID 13865 //
     /* 293943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293973 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 293976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 293982 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 293984 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293986 */     GIR_RootConstrainSelectedInstOperands,
     /* 293987 */     // GIR_Coverage, 13865,
     /* 293987 */     GIR_EraseRootFromParent_Done,
     /* 293988 */   // Label 6029: @293988
     /* 293988 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(294038), // Rule ID 656 //
     /* 293993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 293996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 294000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 294004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 294008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 294016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 294021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 294023 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 294023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 294026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294028 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 294030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 294032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 294036 */     GIR_RootConstrainSelectedInstOperands,
     /* 294037 */     // GIR_Coverage, 656,
     /* 294037 */     GIR_EraseRootFromParent_Done,
     /* 294038 */   // Label 6030: @294038
     /* 294038 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(294069), // Rule ID 638 //
     /* 294043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 294046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 294050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 294054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 294058 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 294058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 294063 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 294067 */     GIR_RootConstrainSelectedInstOperands,
     /* 294068 */     // GIR_Coverage, 638,
     /* 294068 */     GIR_Done,
     /* 294069 */   // Label 6031: @294069
     /* 294069 */   GIM_Reject,
     /* 294070 */ // Label 5999: @294070
     /* 294070 */ GIM_Reject,
     /* 294071 */ // Label 5991: @294071
     /* 294071 */ GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(297218),
     /* 294076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 294079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 294082 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 294085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294089 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(294239), // Rule ID 4871 //
     /* 294094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294118 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 294122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 294126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294134 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294143 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 294147 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 294151 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294155 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 294159 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294164 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 294166 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 294166 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 294169 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294173 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294178 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 294184 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294189 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294206 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294212 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294217 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 294225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 294233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 294237 */     GIR_RootConstrainSelectedInstOperands,
     /* 294238 */     // GIR_Coverage, 4871,
     /* 294238 */     GIR_EraseRootFromParent_Done,
     /* 294239 */   // Label 6033: @294239
     /* 294239 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(294386), // Rule ID 4835 //
     /* 294244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294268 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 294272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 294276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 294284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 294288 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294292 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294296 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 294300 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294305 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 294309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294313 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 294315 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 294315 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 294318 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294322 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294327 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 294333 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294338 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294355 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294361 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294366 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 294374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 294382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 294384 */     GIR_RootConstrainSelectedInstOperands,
     /* 294385 */     // GIR_Coverage, 4835,
     /* 294385 */     GIR_EraseRootFromParent_Done,
     /* 294386 */   // Label 6034: @294386
     /* 294386 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(294533), // Rule ID 13858 //
     /* 294391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 294406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 294410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294418 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294427 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 294431 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 294435 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294439 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294443 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 294447 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294452 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 294456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294460 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 294462 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 294462 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 294465 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294469 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294474 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 294480 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294485 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294502 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294508 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294513 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 294521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 294529 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 294531 */     GIR_RootConstrainSelectedInstOperands,
     /* 294532 */     // GIR_Coverage, 13858,
     /* 294532 */     GIR_EraseRootFromParent_Done,
     /* 294533 */   // Label 6035: @294533
     /* 294533 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(294664), // Rule ID 6107 //
     /* 294538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294553 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294562 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 294566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 294570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 294578 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 294582 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294586 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294590 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 294594 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294599 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 294603 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 294607 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 294611 */     // MIs[4] Operand 1
     /* 294611 */     // No operand predicates
     /* 294611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294615 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 294617 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 294617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294629 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294635 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294640 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 294648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 294659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 294662 */     GIR_RootConstrainSelectedInstOperands,
     /* 294663 */     // GIR_Coverage, 6107,
     /* 294663 */     GIR_EraseRootFromParent_Done,
     /* 294664 */   // Label 6036: @294664
     /* 294664 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(294795), // Rule ID 6139 //
     /* 294669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294684 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 294697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 294701 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 294705 */     // MIs[2] Operand 1
     /* 294705 */     // No operand predicates
     /* 294705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 294709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294713 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 294717 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 294721 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294725 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294729 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 294733 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294738 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 294742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294746 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 294748 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 294748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294760 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294766 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294771 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 294779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294781 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 294790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 294793 */     GIR_RootConstrainSelectedInstOperands,
     /* 294794 */     // GIR_Coverage, 6139,
     /* 294794 */     GIR_EraseRootFromParent_Done,
     /* 294795 */   // Label 6037: @294795
     /* 294795 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(294926), // Rule ID 6203 //
     /* 294800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 294815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 294819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294827 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294831 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294836 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 294840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 294844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294848 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294852 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 294856 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294861 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 294865 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 294869 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 294873 */     // MIs[4] Operand 1
     /* 294873 */     // No operand predicates
     /* 294873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294877 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 294879 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 294879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294891 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294897 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294902 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 294910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 294921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 294924 */     GIR_RootConstrainSelectedInstOperands,
     /* 294925 */     // GIR_Coverage, 6203,
     /* 294925 */     GIR_EraseRootFromParent_Done,
     /* 294926 */   // Label 6038: @294926
     /* 294926 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(295057), // Rule ID 6171 //
     /* 294931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 294946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 294950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294958 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294967 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 294971 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 294975 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 294979 */     // MIs[3] Operand 1
     /* 294979 */     // No operand predicates
     /* 294979 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 294983 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294987 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294991 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 294995 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295000 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 295004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295008 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 295010 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 295010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295022 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295028 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295033 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 295041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 295043 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 295045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 295052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 295055 */     GIR_RootConstrainSelectedInstOperands,
     /* 295056 */     // GIR_Coverage, 6171,
     /* 295056 */     GIR_EraseRootFromParent_Done,
     /* 295057 */   // Label 6039: @295057
     /* 295057 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(295192), // Rule ID 2462 //
     /* 295062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295086 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 295090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 295094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295102 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295111 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295119 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295121 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 295121 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 295124 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295128 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295133 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 295139 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295144 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295161 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295167 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295172 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 295180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 295188 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295190 */     GIR_RootConstrainSelectedInstOperands,
     /* 295191 */     // GIR_Coverage, 2462,
     /* 295191 */     GIR_EraseRootFromParent_Done,
     /* 295192 */   // Label 6040: @295192
     /* 295192 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(295311), // Rule ID 6075 //
     /* 295197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 295200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295212 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295221 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 295225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 295229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295237 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295241 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295246 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 295250 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 295254 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 295258 */     // MIs[3] Operand 1
     /* 295258 */     // No operand predicates
     /* 295258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295262 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 295264 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 295264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295276 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295282 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295287 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 295295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 295297 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 295299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 295306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 295309 */     GIR_RootConstrainSelectedInstOperands,
     /* 295310 */     // GIR_Coverage, 6075,
     /* 295310 */     GIR_EraseRootFromParent_Done,
     /* 295311 */   // Label 6041: @295311
     /* 295311 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(295430), // Rule ID 2554 //
     /* 295316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 295319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295331 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 295344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 295348 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 295352 */     // MIs[2] Operand 1
     /* 295352 */     // No operand predicates
     /* 295352 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 295356 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295360 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295364 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 295368 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295373 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 295377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295381 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 295383 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 295383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295395 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295401 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295406 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 295414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 295416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 295418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 295425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 295428 */     GIR_RootConstrainSelectedInstOperands,
     /* 295429 */     // GIR_Coverage, 2554,
     /* 295429 */     GIR_EraseRootFromParent_Done,
     /* 295430 */   // Label 6042: @295430
     /* 295430 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(295530), // Rule ID 4833 //
     /* 295435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295459 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 295463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 295467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 295475 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295486 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295498 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295504 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295509 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 295517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 295526 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295528 */     GIR_RootConstrainSelectedInstOperands,
     /* 295529 */     // GIR_Coverage, 4833,
     /* 295529 */     GIR_EraseRootFromParent_Done,
     /* 295530 */   // Label 6043: @295530
     /* 295530 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(295630), // Rule ID 4869 //
     /* 295535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295559 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 295563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 295571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 295579 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295586 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295598 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 295617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 295624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 295628 */     GIR_RootConstrainSelectedInstOperands,
     /* 295629 */     // GIR_Coverage, 4869,
     /* 295629 */     GIR_EraseRootFromParent_Done,
     /* 295630 */   // Label 6044: @295630
     /* 295630 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(295727), // Rule ID 13854 //
     /* 295635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 295654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295662 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295671 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295685 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 295685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295697 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 295703 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295708 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 295716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 295720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295723 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295725 */     GIR_RootConstrainSelectedInstOperands,
     /* 295726 */     // GIR_Coverage, 13854,
     /* 295726 */     GIR_EraseRootFromParent_Done,
     /* 295727 */   // Label 6045: @295727
     /* 295727 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(295827), // Rule ID 13856 //
     /* 295732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 295756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295764 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295773 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295783 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295795 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295801 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295806 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 295814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 295823 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295825 */     GIR_RootConstrainSelectedInstOperands,
     /* 295826 */     // GIR_Coverage, 13856,
     /* 295826 */     GIR_EraseRootFromParent_Done,
     /* 295827 */   // Label 6046: @295827
     /* 295827 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(295927), // Rule ID 4867 //
     /* 295832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 295843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295860 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 295864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 295868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 295876 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295883 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 295883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295895 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 295901 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295906 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 295914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295916 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 295918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 295925 */     GIR_RootConstrainSelectedInstOperands,
     /* 295926 */     // GIR_Coverage, 4867,
     /* 295926 */     GIR_EraseRootFromParent_Done,
     /* 295927 */   // Label 6047: @295927
     /* 295927 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(296024), // Rule ID 4831 //
     /* 295932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 295943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 295955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295963 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295972 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295982 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 295982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295994 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 296000 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296005 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 296013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296015 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 296017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296022 */     GIR_RootConstrainSelectedInstOperands,
     /* 296023 */     // GIR_Coverage, 4831,
     /* 296023 */     GIR_EraseRootFromParent_Done,
     /* 296024 */   // Label 6048: @296024
     /* 296024 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(296102), // Rule ID 6225 //
     /* 296029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296045 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296053 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 296066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296070 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296074 */     // MIs[3] Operand 1
     /* 296074 */     // No operand predicates
     /* 296074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296084 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 296087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296089 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296091 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 296093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 296097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 296100 */     GIR_RootConstrainSelectedInstOperands,
     /* 296101 */     // GIR_Coverage, 6225,
     /* 296101 */     GIR_EraseRootFromParent_Done,
     /* 296102 */   // Label 6049: @296102
     /* 296102 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(296186), // Rule ID 6137 //
     /* 296107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 296135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296139 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296143 */     // MIs[2] Operand 1
     /* 296143 */     // No operand predicates
     /* 296143 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 296147 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296151 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 296155 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296164 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296166 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 296169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296171 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 296177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 296181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 296184 */     GIR_RootConstrainSelectedInstOperands,
     /* 296185 */     // GIR_Coverage, 6137,
     /* 296185 */     GIR_EraseRootFromParent_Done,
     /* 296186 */   // Label 6050: @296186
     /* 296186 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(296267), // Rule ID 6169 //
     /* 296191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296218 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296222 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296227 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 296231 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296235 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296239 */     // MIs[3] Operand 1
     /* 296239 */     // No operand predicates
     /* 296239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296247 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296249 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 296252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 296258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 296262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 296265 */     GIR_RootConstrainSelectedInstOperands,
     /* 296266 */     // GIR_Coverage, 6169,
     /* 296266 */     GIR_EraseRootFromParent_Done,
     /* 296267 */   // Label 6051: @296267
     /* 296267 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(296351), // Rule ID 6201 //
     /* 296272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 296296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296304 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 296317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296321 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296325 */     // MIs[3] Operand 1
     /* 296325 */     // No operand predicates
     /* 296325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296329 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296331 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 296334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296336 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 296346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 296349 */     GIR_RootConstrainSelectedInstOperands,
     /* 296350 */     // GIR_Coverage, 6201,
     /* 296350 */     GIR_EraseRootFromParent_Done,
     /* 296351 */   // Label 6052: @296351
     /* 296351 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(296429), // Rule ID 6247 //
     /* 296356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 296364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296393 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 296397 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296401 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296405 */     // MIs[3] Operand 1
     /* 296405 */     // No operand predicates
     /* 296405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296409 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296411 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 296414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296418 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 296420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 296424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 296427 */     GIR_RootConstrainSelectedInstOperands,
     /* 296428 */     // GIR_Coverage, 6247,
     /* 296428 */     GIR_EraseRootFromParent_Done,
     /* 296429 */   // Label 6053: @296429
     /* 296429 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(296510), // Rule ID 6105 //
     /* 296434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 296445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296465 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296474 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 296478 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296482 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296486 */     // MIs[3] Operand 1
     /* 296486 */     // No operand predicates
     /* 296486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296490 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296492 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 296495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296497 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296499 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 296501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 296505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 296508 */     GIR_RootConstrainSelectedInstOperands,
     /* 296509 */     // GIR_Coverage, 6105,
     /* 296509 */     GIR_EraseRootFromParent_Done,
     /* 296510 */   // Label 6054: @296510
     /* 296510 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(296595), // Rule ID 2460 //
     /* 296515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296539 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 296543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296553 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 296556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296565 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 296571 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296576 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 296584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 296591 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296593 */     GIR_RootConstrainSelectedInstOperands,
     /* 296594 */     // GIR_Coverage, 2460,
     /* 296594 */     GIR_EraseRootFromParent_Done,
     /* 296595 */   // Label 6055: @296595
     /* 296595 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(296680), // Rule ID 2458 //
     /* 296600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 296611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296628 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 296632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296638 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 296638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 296641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296650 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 296656 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296661 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 296669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296671 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 296673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296676 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296678 */     GIR_RootConstrainSelectedInstOperands,
     /* 296679 */     // GIR_Coverage, 2458,
     /* 296679 */     GIR_EraseRootFromParent_Done,
     /* 296680 */   // Label 6056: @296680
     /* 296680 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(296749), // Rule ID 2552 //
     /* 296685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 296713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296717 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296721 */     // MIs[2] Operand 1
     /* 296721 */     // No operand predicates
     /* 296721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 296731 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 296734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296736 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 296740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 296744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 296747 */     GIR_RootConstrainSelectedInstOperands,
     /* 296748 */     // GIR_Coverage, 2552,
     /* 296748 */     GIR_EraseRootFromParent_Done,
     /* 296749 */   // Label 6057: @296749
     /* 296749 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(296818), // Rule ID 6073 //
     /* 296754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 296765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 296786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296790 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296794 */     // MIs[2] Operand 1
     /* 296794 */     // No operand predicates
     /* 296794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 296800 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 296803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296805 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296807 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 296809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 296813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 296816 */     GIR_RootConstrainSelectedInstOperands,
     /* 296817 */     // GIR_Coverage, 6073,
     /* 296817 */     GIR_EraseRootFromParent_Done,
     /* 296818 */   // Label 6058: @296818
     /* 296818 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(296880), // Rule ID 4882 //
     /* 296823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 296848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296852 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 296856 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296861 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 296863 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 296866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296872 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 296874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 296878 */     GIR_RootConstrainSelectedInstOperands,
     /* 296879 */     // GIR_Coverage, 4882,
     /* 296879 */     GIR_EraseRootFromParent_Done,
     /* 296880 */   // Label 6059: @296880
     /* 296880 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(296942), // Rule ID 13869 //
     /* 296885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 296893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 296910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 296918 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296923 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 296925 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 296928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296934 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 296936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 296940 */     GIR_RootConstrainSelectedInstOperands,
     /* 296941 */     // GIR_Coverage, 13869,
     /* 296941 */     GIR_EraseRootFromParent_Done,
     /* 296942 */   // Label 6060: @296942
     /* 296942 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(296989), // Rule ID 4879 //
     /* 296947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296974 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 296977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 296985 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296987 */     GIR_RootConstrainSelectedInstOperands,
     /* 296988 */     // GIR_Coverage, 4879,
     /* 296988 */     GIR_EraseRootFromParent_Done,
     /* 296989 */   // Label 6061: @296989
     /* 296989 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(297039), // Rule ID 13296 //
     /* 296994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 297009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 297024 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 297024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 297027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 297031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 297035 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 297037 */     GIR_RootConstrainSelectedInstOperands,
     /* 297038 */     // GIR_Coverage, 13296,
     /* 297038 */     GIR_EraseRootFromParent_Done,
     /* 297039 */   // Label 6062: @297039
     /* 297039 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(297089), // Rule ID 646 //
     /* 297044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 297055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 297063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 297074 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 297074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 297077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297079 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 297081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 297085 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 297087 */     GIR_RootConstrainSelectedInstOperands,
     /* 297088 */     // GIR_Coverage, 646,
     /* 297088 */     GIR_EraseRootFromParent_Done,
     /* 297089 */   // Label 6063: @297089
     /* 297089 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(297136), // Rule ID 13866 //
     /* 297094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 297102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 297110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 297121 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 297121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 297124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 297130 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 297132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 297134 */     GIR_RootConstrainSelectedInstOperands,
     /* 297135 */     // GIR_Coverage, 13866,
     /* 297135 */     GIR_EraseRootFromParent_Done,
     /* 297136 */   // Label 6064: @297136
     /* 297136 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(297186), // Rule ID 658 //
     /* 297141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 297156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 297164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 297171 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 297171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 297174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297176 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 297178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 297180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 297184 */     GIR_RootConstrainSelectedInstOperands,
     /* 297185 */     // GIR_Coverage, 658,
     /* 297185 */     GIR_EraseRootFromParent_Done,
     /* 297186 */   // Label 6065: @297186
     /* 297186 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(297217), // Rule ID 640 //
     /* 297191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297206 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 297206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 297211 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 297215 */     GIR_RootConstrainSelectedInstOperands,
     /* 297216 */     // GIR_Coverage, 640,
     /* 297216 */     GIR_Done,
     /* 297217 */   // Label 6066: @297217
     /* 297217 */   GIM_Reject,
     /* 297218 */ // Label 6032: @297218
     /* 297218 */ GIM_Reject,
     /* 297219 */ // Label 5992: @297219
     /* 297219 */ GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(300366),
     /* 297224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 297227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 297230 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 297233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297237 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(297387), // Rule ID 4877 //
     /* 297242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297266 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 297270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 297274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297282 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297291 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297295 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 297299 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297303 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 297307 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297312 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 297314 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 297314 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 297317 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297321 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297326 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 297332 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297337 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297354 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297360 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297365 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 297373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 297381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 297385 */     GIR_RootConstrainSelectedInstOperands,
     /* 297386 */     // GIR_Coverage, 4877,
     /* 297386 */     GIR_EraseRootFromParent_Done,
     /* 297387 */   // Label 6068: @297387
     /* 297387 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(297534), // Rule ID 4841 //
     /* 297392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297416 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 297420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 297424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 297432 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 297436 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297440 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297444 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 297448 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297453 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 297457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297461 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 297463 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 297463 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 297466 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297470 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297475 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 297481 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297486 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297503 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297509 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297514 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 297522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 297530 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 297532 */     GIR_RootConstrainSelectedInstOperands,
     /* 297533 */     // GIR_Coverage, 4841,
     /* 297533 */     GIR_EraseRootFromParent_Done,
     /* 297534 */   // Label 6069: @297534
     /* 297534 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(297681), // Rule ID 13864 //
     /* 297539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 297558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297566 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297575 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 297583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297591 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 297595 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297600 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 297604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297608 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 297610 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 297610 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 297613 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297617 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297622 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 297628 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297633 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297650 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297656 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297661 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 297669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 297677 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 297679 */     GIR_RootConstrainSelectedInstOperands,
     /* 297680 */     // GIR_Coverage, 13864,
     /* 297680 */     GIR_EraseRootFromParent_Done,
     /* 297681 */   // Label 6070: @297681
     /* 297681 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(297812), // Rule ID 6111 //
     /* 297686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 297689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297701 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297710 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 297714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 297718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 297726 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 297730 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297734 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297738 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 297742 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297747 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 297751 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 297755 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 297759 */     // MIs[4] Operand 1
     /* 297759 */     // No operand predicates
     /* 297759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297763 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 297765 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 297765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297777 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297783 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297788 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 297796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 297798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 297800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 297807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 297810 */     GIR_RootConstrainSelectedInstOperands,
     /* 297811 */     // GIR_Coverage, 6111,
     /* 297811 */     GIR_EraseRootFromParent_Done,
     /* 297812 */   // Label 6071: @297812
     /* 297812 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(297943), // Rule ID 6143 //
     /* 297817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 297820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 297845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 297849 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 297853 */     // MIs[2] Operand 1
     /* 297853 */     // No operand predicates
     /* 297853 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 297857 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297861 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 297865 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 297869 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297873 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297877 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 297881 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297886 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 297890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297894 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 297896 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 297896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297908 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297914 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297919 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 297927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 297929 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 297931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 297938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 297941 */     GIR_RootConstrainSelectedInstOperands,
     /* 297942 */     // GIR_Coverage, 6143,
     /* 297942 */     GIR_EraseRootFromParent_Done,
     /* 297943 */   // Label 6072: @297943
     /* 297943 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(298074), // Rule ID 6207 //
     /* 297948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 297951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 297967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297975 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297979 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297984 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297988 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 297992 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297996 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298000 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 298004 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298009 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 298013 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 298017 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 298021 */     // MIs[4] Operand 1
     /* 298021 */     // No operand predicates
     /* 298021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298025 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 298027 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 298027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298039 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298045 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298050 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 298058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298060 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 298069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 298072 */     GIR_RootConstrainSelectedInstOperands,
     /* 298073 */     // GIR_Coverage, 6207,
     /* 298073 */     GIR_EraseRootFromParent_Done,
     /* 298074 */   // Label 6073: @298074
     /* 298074 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(298205), // Rule ID 6175 //
     /* 298079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 298098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298106 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298115 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 298119 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 298123 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 298127 */     // MIs[3] Operand 1
     /* 298127 */     // No operand predicates
     /* 298127 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 298131 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298135 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298139 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 298143 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298148 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 298152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298156 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 298158 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 298158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298170 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298176 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298181 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 298189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298191 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 298200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 298203 */     GIR_RootConstrainSelectedInstOperands,
     /* 298204 */     // GIR_Coverage, 6175,
     /* 298204 */     GIR_EraseRootFromParent_Done,
     /* 298205 */   // Label 6074: @298205
     /* 298205 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(298340), // Rule ID 2468 //
     /* 298210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298225 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298234 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 298238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 298242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298259 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 298263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298269 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 298269 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 298272 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298276 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298281 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 298287 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298292 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298309 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298315 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298320 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 298328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 298336 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298338 */     GIR_RootConstrainSelectedInstOperands,
     /* 298339 */     // GIR_Coverage, 2468,
     /* 298339 */     GIR_EraseRootFromParent_Done,
     /* 298340 */   // Label 6075: @298340
     /* 298340 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(298459), // Rule ID 6079 //
     /* 298345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298369 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 298373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 298377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298385 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298394 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 298398 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 298402 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 298406 */     // MIs[3] Operand 1
     /* 298406 */     // No operand predicates
     /* 298406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298410 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 298412 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 298412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298424 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298430 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298435 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 298443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298445 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 298454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 298457 */     GIR_RootConstrainSelectedInstOperands,
     /* 298458 */     // GIR_Coverage, 6079,
     /* 298458 */     GIR_EraseRootFromParent_Done,
     /* 298459 */   // Label 6076: @298459
     /* 298459 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(298578), // Rule ID 2558 //
     /* 298464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 298492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 298496 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 298500 */     // MIs[2] Operand 1
     /* 298500 */     // No operand predicates
     /* 298500 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 298504 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298508 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298512 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 298516 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298521 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 298525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298529 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 298531 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 298531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298543 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298549 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298554 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 298562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298564 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 298573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 298576 */     GIR_RootConstrainSelectedInstOperands,
     /* 298577 */     // GIR_Coverage, 2558,
     /* 298577 */     GIR_EraseRootFromParent_Done,
     /* 298578 */   // Label 6077: @298578
     /* 298578 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(298678), // Rule ID 4839 //
     /* 298583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298607 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 298611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 298615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 298623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298634 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298646 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298652 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298657 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 298665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 298674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298676 */     GIR_RootConstrainSelectedInstOperands,
     /* 298677 */     // GIR_Coverage, 4839,
     /* 298677 */     GIR_EraseRootFromParent_Done,
     /* 298678 */   // Label 6078: @298678
     /* 298678 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(298778), // Rule ID 4875 //
     /* 298683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298707 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 298711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 298719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 298727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298734 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298746 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298752 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298757 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 298765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 298772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 298776 */     GIR_RootConstrainSelectedInstOperands,
     /* 298777 */     // GIR_Coverage, 4875,
     /* 298777 */     GIR_EraseRootFromParent_Done,
     /* 298778 */   // Label 6079: @298778
     /* 298778 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(298875), // Rule ID 13860 //
     /* 298783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 298802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298810 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298814 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298819 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 298823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298833 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 298833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298845 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 298851 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298856 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 298864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 298868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298871 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298873 */     GIR_RootConstrainSelectedInstOperands,
     /* 298874 */     // GIR_Coverage, 13860,
     /* 298874 */     GIR_EraseRootFromParent_Done,
     /* 298875 */   // Label 6080: @298875
     /* 298875 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(298975), // Rule ID 13862 //
     /* 298880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 298904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298912 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298921 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 298925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298931 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298943 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298949 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298954 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 298962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 298971 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298973 */     GIR_RootConstrainSelectedInstOperands,
     /* 298974 */     // GIR_Coverage, 13862,
     /* 298974 */     GIR_EraseRootFromParent_Done,
     /* 298975 */   // Label 6081: @298975
     /* 298975 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(299075), // Rule ID 4873 //
     /* 298980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 298991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299008 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 299012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 299016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 299024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299031 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 299031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 299034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 299038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 299043 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 299049 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299054 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 299062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299064 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 299069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 299073 */     GIR_RootConstrainSelectedInstOperands,
     /* 299074 */     // GIR_Coverage, 4873,
     /* 299074 */     GIR_EraseRootFromParent_Done,
     /* 299075 */   // Label 6082: @299075
     /* 299075 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(299172), // Rule ID 4837 //
     /* 299080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299111 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 299115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299120 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 299124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299130 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 299130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 299133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 299137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 299142 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 299148 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299153 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 299161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299163 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 299168 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 299170 */     GIR_RootConstrainSelectedInstOperands,
     /* 299171 */     // GIR_Coverage, 4837,
     /* 299171 */     GIR_EraseRootFromParent_Done,
     /* 299172 */   // Label 6083: @299172
     /* 299172 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(299250), // Rule ID 6229 //
     /* 299177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299189 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299205 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299210 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 299214 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299218 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 299222 */     // MIs[3] Operand 1
     /* 299222 */     // No operand predicates
     /* 299222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299230 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299232 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 299232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 299235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 299241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299248 */     GIR_RootConstrainSelectedInstOperands,
     /* 299249 */     // GIR_Coverage, 6229,
     /* 299249 */     GIR_EraseRootFromParent_Done,
     /* 299250 */   // Label 6084: @299250
     /* 299250 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(299334), // Rule ID 6141 //
     /* 299255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299270 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 299283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299287 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 299291 */     // MIs[2] Operand 1
     /* 299291 */     // No operand predicates
     /* 299291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 299295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299299 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 299303 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299312 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299314 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 299314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 299317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299319 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 299325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 299329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 299332 */     GIR_RootConstrainSelectedInstOperands,
     /* 299333 */     // GIR_Coverage, 6141,
     /* 299333 */     GIR_EraseRootFromParent_Done,
     /* 299334 */   // Label 6085: @299334
     /* 299334 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(299415), // Rule ID 6173 //
     /* 299339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299366 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 299370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299375 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 299379 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299383 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 299387 */     // MIs[3] Operand 1
     /* 299387 */     // No operand predicates
     /* 299387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299395 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299397 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 299397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 299400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 299406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299413 */     GIR_RootConstrainSelectedInstOperands,
     /* 299414 */     // GIR_Coverage, 6173,
     /* 299414 */     GIR_EraseRootFromParent_Done,
     /* 299415 */   // Label 6086: @299415
     /* 299415 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(299499), // Rule ID 6205 //
     /* 299420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 299444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299452 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 299456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299461 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 299465 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299469 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 299473 */     // MIs[3] Operand 1
     /* 299473 */     // No operand predicates
     /* 299473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299477 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299479 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 299479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 299482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299497 */     GIR_RootConstrainSelectedInstOperands,
     /* 299498 */     // GIR_Coverage, 6205,
     /* 299498 */     GIR_EraseRootFromParent_Done,
     /* 299499 */   // Label 6087: @299499
     /* 299499 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(299577), // Rule ID 6251 //
     /* 299504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 299545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299549 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 299553 */     // MIs[3] Operand 1
     /* 299553 */     // No operand predicates
     /* 299553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299557 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299559 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 299559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 299562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299564 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299566 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299575 */     GIR_RootConstrainSelectedInstOperands,
     /* 299576 */     // GIR_Coverage, 6251,
     /* 299576 */     GIR_EraseRootFromParent_Done,
     /* 299577 */   // Label 6088: @299577
     /* 299577 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(299658), // Rule ID 6109 //
     /* 299582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299613 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 299617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299622 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 299626 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299630 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 299634 */     // MIs[3] Operand 1
     /* 299634 */     // No operand predicates
     /* 299634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299640 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 299640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 299643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299645 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299647 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299656 */     GIR_RootConstrainSelectedInstOperands,
     /* 299657 */     // GIR_Coverage, 6109,
     /* 299657 */     GIR_EraseRootFromParent_Done,
     /* 299658 */   // Label 6089: @299658
     /* 299658 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(299743), // Rule ID 2466 //
     /* 299663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299687 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 299691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299701 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 299701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 299704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 299708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 299713 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 299719 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299724 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 299732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 299737 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 299739 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 299741 */     GIR_RootConstrainSelectedInstOperands,
     /* 299742 */     // GIR_Coverage, 2466,
     /* 299742 */     GIR_EraseRootFromParent_Done,
     /* 299743 */   // Label 6090: @299743
     /* 299743 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(299828), // Rule ID 2464 //
     /* 299748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299776 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 299780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299786 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 299786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 299789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 299793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 299798 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 299804 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299809 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 299817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299819 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 299824 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 299826 */     GIR_RootConstrainSelectedInstOperands,
     /* 299827 */     // GIR_Coverage, 2464,
     /* 299827 */     GIR_EraseRootFromParent_Done,
     /* 299828 */   // Label 6091: @299828
     /* 299828 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(299897), // Rule ID 2556 //
     /* 299833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 299861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299865 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 299869 */     // MIs[2] Operand 1
     /* 299869 */     // No operand predicates
     /* 299869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299879 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 299879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 299882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299884 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 299888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 299892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 299895 */     GIR_RootConstrainSelectedInstOperands,
     /* 299896 */     // GIR_Coverage, 2556,
     /* 299896 */     GIR_EraseRootFromParent_Done,
     /* 299897 */   // Label 6092: @299897
     /* 299897 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(299966), // Rule ID 6077 //
     /* 299902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 299934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299938 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 299942 */     // MIs[2] Operand 1
     /* 299942 */     // No operand predicates
     /* 299942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299948 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 299948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 299951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299953 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299955 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 299961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 299964 */     GIR_RootConstrainSelectedInstOperands,
     /* 299965 */     // GIR_Coverage, 6077,
     /* 299965 */     GIR_EraseRootFromParent_Done,
     /* 299966 */   // Label 6093: @299966
     /* 299966 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(300028), // Rule ID 4883 //
     /* 299971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 299996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 300004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 300011 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 300011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 300014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 300022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 300026 */     GIR_RootConstrainSelectedInstOperands,
     /* 300027 */     // GIR_Coverage, 4883,
     /* 300027 */     GIR_EraseRootFromParent_Done,
     /* 300028 */   // Label 6094: @300028
     /* 300028 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(300090), // Rule ID 13870 //
     /* 300033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 300058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 300066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 300073 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 300073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 300076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300082 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 300084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 300088 */     GIR_RootConstrainSelectedInstOperands,
     /* 300089 */     // GIR_Coverage, 13870,
     /* 300089 */     GIR_EraseRootFromParent_Done,
     /* 300090 */   // Label 6095: @300090
     /* 300090 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(300137), // Rule ID 4880 //
     /* 300095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300122 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 300122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 300125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300131 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 300133 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 300135 */     GIR_RootConstrainSelectedInstOperands,
     /* 300136 */     // GIR_Coverage, 4880,
     /* 300136 */     GIR_EraseRootFromParent_Done,
     /* 300137 */   // Label 6096: @300137
     /* 300137 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(300187), // Rule ID 13298 //
     /* 300142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 300145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300172 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 300172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 300175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300183 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 300185 */     GIR_RootConstrainSelectedInstOperands,
     /* 300186 */     // GIR_Coverage, 13298,
     /* 300186 */     GIR_EraseRootFromParent_Done,
     /* 300187 */   // Label 6097: @300187
     /* 300187 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(300237), // Rule ID 648 //
     /* 300192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 300195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300222 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 300222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 300225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300227 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300233 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 300235 */     GIR_RootConstrainSelectedInstOperands,
     /* 300236 */     // GIR_Coverage, 648,
     /* 300236 */     GIR_EraseRootFromParent_Done,
     /* 300237 */   // Label 6098: @300237
     /* 300237 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(300284), // Rule ID 13867 //
     /* 300242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300269 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 300269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 300272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300278 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 300280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 300282 */     GIR_RootConstrainSelectedInstOperands,
     /* 300283 */     // GIR_Coverage, 13867,
     /* 300283 */     GIR_EraseRootFromParent_Done,
     /* 300284 */   // Label 6099: @300284
     /* 300284 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(300334), // Rule ID 660 //
     /* 300289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 300292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 300304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300319 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 300319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 300322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300324 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300326 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 300328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 300332 */     GIR_RootConstrainSelectedInstOperands,
     /* 300333 */     // GIR_Coverage, 660,
     /* 300333 */     GIR_EraseRootFromParent_Done,
     /* 300334 */   // Label 6100: @300334
     /* 300334 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(300365), // Rule ID 642 //
     /* 300339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 300342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300354 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 300354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 300359 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 300363 */     GIR_RootConstrainSelectedInstOperands,
     /* 300364 */     // GIR_Coverage, 642,
     /* 300364 */     GIR_Done,
     /* 300365 */   // Label 6101: @300365
     /* 300365 */   GIM_Reject,
     /* 300366 */ // Label 6067: @300366
     /* 300366 */ GIM_Reject,
     /* 300367 */ // Label 5993: @300367
     /* 300367 */ GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(301887),
     /* 300372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 300378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 300381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300385 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(300463), // Rule ID 6209 //
     /* 300390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 300427 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300431 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300435 */     // MIs[3] Operand 1
     /* 300435 */     // No operand predicates
     /* 300435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300443 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300445 */     // (fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300452 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300461 */     GIR_RootConstrainSelectedInstOperands,
     /* 300462 */     // GIR_Coverage, 6209,
     /* 300462 */     GIR_EraseRootFromParent_Done,
     /* 300463 */   // Label 6103: @300463
     /* 300463 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(300547), // Rule ID 6125 //
     /* 300468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300483 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 300496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300500 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300504 */     // MIs[2] Operand 1
     /* 300504 */     // No operand predicates
     /* 300504 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 300508 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300512 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300516 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300525 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300527 */     // (fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 300538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 300545 */     GIR_RootConstrainSelectedInstOperands,
     /* 300546 */     // GIR_Coverage, 6125,
     /* 300546 */     GIR_EraseRootFromParent_Done,
     /* 300547 */   // Label 6104: @300547
     /* 300547 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(300628), // Rule ID 6157 //
     /* 300552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300579 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 300583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300588 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 300592 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300596 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300600 */     // MIs[3] Operand 1
     /* 300600 */     // No operand predicates
     /* 300600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300608 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300610 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300615 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300617 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300626 */     GIR_RootConstrainSelectedInstOperands,
     /* 300627 */     // GIR_Coverage, 6157,
     /* 300627 */     GIR_EraseRootFromParent_Done,
     /* 300628 */   // Label 6105: @300628
     /* 300628 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(300712), // Rule ID 6189 //
     /* 300633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 300657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300665 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 300669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 300678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300682 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300686 */     // MIs[3] Operand 1
     /* 300686 */     // No operand predicates
     /* 300686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300690 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300692 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300710 */     GIR_RootConstrainSelectedInstOperands,
     /* 300711 */     // GIR_Coverage, 6189,
     /* 300711 */     GIR_EraseRootFromParent_Done,
     /* 300712 */   // Label 6106: @300712
     /* 300712 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(300790), // Rule ID 6231 //
     /* 300717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300754 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 300758 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300762 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300766 */     // MIs[3] Operand 1
     /* 300766 */     // No operand predicates
     /* 300766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300770 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300772 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300777 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300779 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300788 */     GIR_RootConstrainSelectedInstOperands,
     /* 300789 */     // GIR_Coverage, 6231,
     /* 300789 */     GIR_EraseRootFromParent_Done,
     /* 300790 */   // Label 6107: @300790
     /* 300790 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(300871), // Rule ID 6093 //
     /* 300795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300826 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 300830 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300835 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 300839 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300843 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300847 */     // MIs[3] Operand 1
     /* 300847 */     // No operand predicates
     /* 300847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300853 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300858 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300860 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300869 */     GIR_RootConstrainSelectedInstOperands,
     /* 300870 */     // GIR_Coverage, 6093,
     /* 300870 */     GIR_EraseRootFromParent_Done,
     /* 300871 */   // Label 6108: @300871
     /* 300871 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(300940), // Rule ID 2540 //
     /* 300876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 300904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300908 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300912 */     // MIs[2] Operand 1
     /* 300912 */     // No operand predicates
     /* 300912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 300922 */     // (fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 300925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300927 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 300938 */     GIR_RootConstrainSelectedInstOperands,
     /* 300939 */     // GIR_Coverage, 2540,
     /* 300939 */     GIR_EraseRootFromParent_Done,
     /* 300940 */   // Label 6109: @300940
     /* 300940 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(301009), // Rule ID 6061 //
     /* 300945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300964 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 300977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300981 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300985 */     // MIs[2] Operand 1
     /* 300985 */     // No operand predicates
     /* 300985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300989 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 300991 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 300994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300996 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300998 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 301007 */     GIR_RootConstrainSelectedInstOperands,
     /* 301008 */     // GIR_Coverage, 6061,
     /* 301008 */     GIR_EraseRootFromParent_Done,
     /* 301009 */   // Label 6110: @301009
     /* 301009 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(301102), // Rule ID 6213 //
     /* 301014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 301026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 301038 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301053 */     // (fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301065 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301072 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301075 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301080 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 301088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301090 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301100 */     GIR_RootConstrainSelectedInstOperands,
     /* 301101 */     // GIR_Coverage, 6213,
     /* 301101 */     GIR_EraseRootFromParent_Done,
     /* 301102 */   // Label 6111: @301102
     /* 301102 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(301201), // Rule ID 6127 //
     /* 301107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 301122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 301131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301139 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301148 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301150 */     // (fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301162 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301169 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301172 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301177 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 301185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301187 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 301193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301199 */     GIR_RootConstrainSelectedInstOperands,
     /* 301200 */     // GIR_Coverage, 6127,
     /* 301200 */     GIR_EraseRootFromParent_Done,
     /* 301201 */   // Label 6112: @301201
     /* 301201 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(301297), // Rule ID 6159 //
     /* 301206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 301229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 301233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301248 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301260 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301267 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301270 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301275 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 301283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301285 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301295 */     GIR_RootConstrainSelectedInstOperands,
     /* 301296 */     // GIR_Coverage, 6159,
     /* 301296 */     GIR_EraseRootFromParent_Done,
     /* 301297 */   // Label 6113: @301297
     /* 301297 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(301396), // Rule ID 6191 //
     /* 301302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 301326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 301330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 301334 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301343 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301345 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301357 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301364 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301367 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301372 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 301380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 301388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301394 */     GIR_RootConstrainSelectedInstOperands,
     /* 301395 */     // GIR_Coverage, 6191,
     /* 301395 */     GIR_EraseRootFromParent_Done,
     /* 301396 */   // Label 6114: @301396
     /* 301396 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(301489), // Rule ID 6235 //
     /* 301401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 301417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 301429 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301438 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301440 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301452 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301455 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301459 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301462 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301467 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 301475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301477 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301479 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301487 */     GIR_RootConstrainSelectedInstOperands,
     /* 301488 */     // GIR_Coverage, 6235,
     /* 301488 */     GIR_EraseRootFromParent_Done,
     /* 301489 */   // Label 6115: @301489
     /* 301489 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(301585), // Rule ID 6095 //
     /* 301494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 301521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 301525 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301536 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301548 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301555 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301558 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301563 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 301571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301573 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301575 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301583 */     GIR_RootConstrainSelectedInstOperands,
     /* 301584 */     // GIR_Coverage, 6095,
     /* 301584 */     GIR_EraseRootFromParent_Done,
     /* 301585 */   // Label 6116: @301585
     /* 301585 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(301669), // Rule ID 2542 //
     /* 301590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 301605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301620 */     // (fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301632 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301635 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301639 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301642 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301647 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 301655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301657 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301659 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301667 */     GIR_RootConstrainSelectedInstOperands,
     /* 301668 */     // GIR_Coverage, 2542,
     /* 301668 */     GIR_EraseRootFromParent_Done,
     /* 301669 */   // Label 6117: @301669
     /* 301669 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(301719), // Rule ID 13328 //
     /* 301674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301704 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 301704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 301707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301709 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301711 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301717 */     GIR_RootConstrainSelectedInstOperands,
     /* 301718 */     // GIR_Coverage, 13328,
     /* 301718 */     GIR_EraseRootFromParent_Done,
     /* 301719 */   // Label 6118: @301719
     /* 301719 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(301803), // Rule ID 6063 //
     /* 301724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 301743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301754 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301766 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301773 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301776 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301781 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 301789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301791 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301793 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301801 */     GIR_RootConstrainSelectedInstOperands,
     /* 301802 */     // GIR_Coverage, 6063,
     /* 301802 */     GIR_EraseRootFromParent_Done,
     /* 301803 */   // Label 6119: @301803
     /* 301803 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(301853), // Rule ID 1308 //
     /* 301808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301838 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 301838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 301841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301843 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301845 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301851 */     GIR_RootConstrainSelectedInstOperands,
     /* 301852 */     // GIR_Coverage, 1308,
     /* 301852 */     GIR_EraseRootFromParent_Done,
     /* 301853 */   // Label 6120: @301853
     /* 301853 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(301886), // Rule ID 1298 //
     /* 301858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301873 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 301873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f32),
     /* 301876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301882 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 301884 */     GIR_RootConstrainSelectedInstOperands,
     /* 301885 */     // GIR_Coverage, 1298,
     /* 301885 */     GIR_EraseRootFromParent_Done,
     /* 301886 */   // Label 6121: @301886
     /* 301886 */   GIM_Reject,
     /* 301887 */ // Label 6102: @301887
     /* 301887 */ GIM_Reject,
     /* 301888 */ // Label 5994: @301888
     /* 301888 */ GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(303408),
     /* 301893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 301899 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 301902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301906 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(301984), // Rule ID 6221 //
     /* 301911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 301919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 301927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301944 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 301948 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 301952 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 301956 */     // MIs[3] Operand 1
     /* 301956 */     // No operand predicates
     /* 301956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301964 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 301966 */     // (fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 301966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 301969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301971 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 301982 */     GIR_RootConstrainSelectedInstOperands,
     /* 301983 */     // GIR_Coverage, 6221,
     /* 301983 */     GIR_EraseRootFromParent_Done,
     /* 301984 */   // Label 6123: @301984
     /* 301984 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(302068), // Rule ID 6133 //
     /* 301989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 302000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 302008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 302017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302021 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 302025 */     // MIs[2] Operand 1
     /* 302025 */     // No operand predicates
     /* 302025 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 302029 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302033 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302037 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302046 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 302048 */     // (fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 302048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302053 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 302059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 302066 */     GIR_RootConstrainSelectedInstOperands,
     /* 302067 */     // GIR_Coverage, 6133,
     /* 302067 */     GIR_EraseRootFromParent_Done,
     /* 302068 */   // Label 6124: @302068
     /* 302068 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(302149), // Rule ID 6165 //
     /* 302073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 302096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302100 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 302104 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302109 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 302113 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302117 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 302121 */     // MIs[3] Operand 1
     /* 302121 */     // No operand predicates
     /* 302121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302129 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 302131 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 302131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302136 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 302140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 302147 */     GIR_RootConstrainSelectedInstOperands,
     /* 302148 */     // GIR_Coverage, 6165,
     /* 302148 */     GIR_EraseRootFromParent_Done,
     /* 302149 */   // Label 6125: @302149
     /* 302149 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(302233), // Rule ID 6197 //
     /* 302154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 302178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 302182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302186 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 302190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 302199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302203 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 302207 */     // MIs[3] Operand 1
     /* 302207 */     // No operand predicates
     /* 302207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302211 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 302213 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 302213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302218 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 302224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 302231 */     GIR_RootConstrainSelectedInstOperands,
     /* 302232 */     // GIR_Coverage, 6197,
     /* 302232 */     GIR_EraseRootFromParent_Done,
     /* 302233 */   // Label 6126: @302233
     /* 302233 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(302311), // Rule ID 6243 //
     /* 302238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 302250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302254 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 302258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302270 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302275 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 302279 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302283 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 302287 */     // MIs[3] Operand 1
     /* 302287 */     // No operand predicates
     /* 302287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302291 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 302293 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 302293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302298 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302300 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 302302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 302309 */     GIR_RootConstrainSelectedInstOperands,
     /* 302310 */     // GIR_Coverage, 6243,
     /* 302310 */     GIR_EraseRootFromParent_Done,
     /* 302311 */   // Label 6127: @302311
     /* 302311 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(302392), // Rule ID 6101 //
     /* 302316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302335 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302339 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 302343 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302347 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 302351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302356 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 302360 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302364 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 302368 */     // MIs[3] Operand 1
     /* 302368 */     // No operand predicates
     /* 302368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302372 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 302374 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 302374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302379 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302381 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 302383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 302390 */     GIR_RootConstrainSelectedInstOperands,
     /* 302391 */     // GIR_Coverage, 6101,
     /* 302391 */     GIR_EraseRootFromParent_Done,
     /* 302392 */   // Label 6128: @302392
     /* 302392 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(302461), // Rule ID 2548 //
     /* 302397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 302408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 302416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302421 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 302425 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302429 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 302433 */     // MIs[2] Operand 1
     /* 302433 */     // No operand predicates
     /* 302433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302443 */     // (fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 302443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 302446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302450 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 302452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 302459 */     GIR_RootConstrainSelectedInstOperands,
     /* 302460 */     // GIR_Coverage, 2548,
     /* 302460 */     GIR_EraseRootFromParent_Done,
     /* 302461 */   // Label 6129: @302461
     /* 302461 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(302530), // Rule ID 6069 //
     /* 302466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 302481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 302489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 302498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302502 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 302506 */     // MIs[2] Operand 1
     /* 302506 */     // No operand predicates
     /* 302506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302512 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 302512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 302515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302517 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302519 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 302521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 302528 */     GIR_RootConstrainSelectedInstOperands,
     /* 302529 */     // GIR_Coverage, 6069,
     /* 302529 */     GIR_EraseRootFromParent_Done,
     /* 302530 */   // Label 6130: @302530
     /* 302530 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(302623), // Rule ID 6223 //
     /* 302535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 302543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 302547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 302559 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302572 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302574 */     // (fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 302577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302586 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302593 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 302596 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302601 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302611 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 302615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302621 */     GIR_RootConstrainSelectedInstOperands,
     /* 302622 */     // GIR_Coverage, 6223,
     /* 302622 */     GIR_EraseRootFromParent_Done,
     /* 302623 */   // Label 6131: @302623
     /* 302623 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(302722), // Rule ID 6135 //
     /* 302628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 302639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 302643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 302652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302671 */     // (fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 302674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302683 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302686 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302690 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 302693 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302698 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 302714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302720 */     GIR_RootConstrainSelectedInstOperands,
     /* 302721 */     // GIR_Coverage, 6135,
     /* 302721 */     GIR_EraseRootFromParent_Done,
     /* 302722 */   // Label 6132: @302722
     /* 302722 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(302818), // Rule ID 6167 //
     /* 302727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 302750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 302754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302769 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 302772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302781 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302784 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302788 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 302791 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302796 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302808 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 302810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302816 */     GIR_RootConstrainSelectedInstOperands,
     /* 302817 */     // GIR_Coverage, 6167,
     /* 302817 */     GIR_EraseRootFromParent_Done,
     /* 302818 */   // Label 6133: @302818
     /* 302818 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(302917), // Rule ID 6199 //
     /* 302823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 302847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 302851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 302855 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302866 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 302869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302878 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302881 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302885 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 302888 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302893 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302903 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 302909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302915 */     GIR_RootConstrainSelectedInstOperands,
     /* 302916 */     // GIR_Coverage, 6199,
     /* 302916 */     GIR_EraseRootFromParent_Done,
     /* 302917 */   // Label 6134: @302917
     /* 302917 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(303010), // Rule ID 6245 //
     /* 302922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 302934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 302938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 302950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302959 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302961 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 302964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302973 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302976 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302980 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 302983 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302988 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303000 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303008 */     GIR_RootConstrainSelectedInstOperands,
     /* 303009 */     // GIR_Coverage, 6245,
     /* 303009 */     GIR_EraseRootFromParent_Done,
     /* 303010 */   // Label 6135: @303010
     /* 303010 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(303106), // Rule ID 6103 //
     /* 303015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 303034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 303038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 303042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 303046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303055 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 303057 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 303057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 303060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 303064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303069 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 303072 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303076 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 303079 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303084 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 303092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303096 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303104 */     GIR_RootConstrainSelectedInstOperands,
     /* 303105 */     // GIR_Coverage, 6103,
     /* 303105 */     GIR_EraseRootFromParent_Done,
     /* 303106 */   // Label 6136: @303106
     /* 303106 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(303190), // Rule ID 2550 //
     /* 303111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 303122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 303126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303141 */     // (fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 303141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 303144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 303148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303153 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 303156 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303160 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 303163 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303168 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 303176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303188 */     GIR_RootConstrainSelectedInstOperands,
     /* 303189 */     // GIR_Coverage, 2550,
     /* 303189 */     GIR_EraseRootFromParent_Done,
     /* 303190 */   // Label 6137: @303190
     /* 303190 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(303240), // Rule ID 13332 //
     /* 303195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 303210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303225 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 303225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 303228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303238 */     GIR_RootConstrainSelectedInstOperands,
     /* 303239 */     // GIR_Coverage, 13332,
     /* 303239 */     GIR_EraseRootFromParent_Done,
     /* 303240 */   // Label 6138: @303240
     /* 303240 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(303324), // Rule ID 6071 //
     /* 303245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 303260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 303264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303275 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 303275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 303278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 303282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303287 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 303290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303294 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 303297 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303302 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 303310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303312 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303314 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303322 */     GIR_RootConstrainSelectedInstOperands,
     /* 303323 */     // GIR_Coverage, 6071,
     /* 303323 */     GIR_EraseRootFromParent_Done,
     /* 303324 */   // Label 6139: @303324
     /* 303324 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(303374), // Rule ID 1312 //
     /* 303329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 303348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303359 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 303359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 303362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303366 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303372 */     GIR_RootConstrainSelectedInstOperands,
     /* 303373 */     // GIR_Coverage, 1312,
     /* 303373 */     GIR_EraseRootFromParent_Done,
     /* 303374 */   // Label 6140: @303374
     /* 303374 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(303407), // Rule ID 1302 //
     /* 303379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303394 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 303394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f64),
     /* 303397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303399 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303401 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303403 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 303405 */     GIR_RootConstrainSelectedInstOperands,
     /* 303406 */     // GIR_Coverage, 1302,
     /* 303406 */     GIR_EraseRootFromParent_Done,
     /* 303407 */   // Label 6141: @303407
     /* 303407 */   GIM_Reject,
     /* 303408 */ // Label 6122: @303408
     /* 303408 */ GIM_Reject,
     /* 303409 */ // Label 5995: @303409
     /* 303409 */ GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(304587),
     /* 303414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 303420 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 303423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303427 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(303511), // Rule ID 6117 //
     /* 303432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 303443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 303447 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 303451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 303456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 303460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303464 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 303468 */     // MIs[2] Operand 1
     /* 303468 */     // No operand predicates
     /* 303468 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 303472 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303476 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303480 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303489 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303491 */     // (fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 303491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 303494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303496 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 303502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 303509 */     GIR_RootConstrainSelectedInstOperands,
     /* 303510 */     // GIR_Coverage, 6117,
     /* 303510 */     GIR_EraseRootFromParent_Done,
     /* 303511 */   // Label 6143: @303511
     /* 303511 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(303592), // Rule ID 6149 //
     /* 303516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 303535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 303539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 303543 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 303547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 303552 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 303556 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303560 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 303564 */     // MIs[3] Operand 1
     /* 303564 */     // No operand predicates
     /* 303564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303574 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 303574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 303577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303579 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303581 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 303590 */     GIR_RootConstrainSelectedInstOperands,
     /* 303591 */     // GIR_Coverage, 6149,
     /* 303591 */     GIR_EraseRootFromParent_Done,
     /* 303592 */   // Label 6144: @303592
     /* 303592 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(303676), // Rule ID 6181 //
     /* 303597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 303621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 303625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 303629 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 303633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 303638 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 303642 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303646 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 303650 */     // MIs[3] Operand 1
     /* 303650 */     // No operand predicates
     /* 303650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303654 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303656 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 303656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 303659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303661 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 303667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 303674 */     GIR_RootConstrainSelectedInstOperands,
     /* 303675 */     // GIR_Coverage, 6181,
     /* 303675 */     GIR_EraseRootFromParent_Done,
     /* 303676 */   // Label 6145: @303676
     /* 303676 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(303757), // Rule ID 6085 //
     /* 303681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 303704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 303708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 303712 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 303716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 303721 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 303725 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303729 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 303733 */     // MIs[3] Operand 1
     /* 303733 */     // No operand predicates
     /* 303733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303737 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303739 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 303739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 303742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303746 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 303755 */     GIR_RootConstrainSelectedInstOperands,
     /* 303756 */     // GIR_Coverage, 6085,
     /* 303756 */     GIR_EraseRootFromParent_Done,
     /* 303757 */   // Label 6146: @303757
     /* 303757 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(303826), // Rule ID 2532 //
     /* 303762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 303773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 303777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 303781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 303786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 303790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303794 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 303798 */     // MIs[2] Operand 1
     /* 303798 */     // No operand predicates
     /* 303798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 303808 */     // (fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 303808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 303811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303813 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303815 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 303824 */     GIR_RootConstrainSelectedInstOperands,
     /* 303825 */     // GIR_Coverage, 2532,
     /* 303825 */     GIR_EraseRootFromParent_Done,
     /* 303826 */   // Label 6147: @303826
     /* 303826 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(303895), // Rule ID 6053 //
     /* 303831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 303846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 303850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 303854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 303859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 303863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303867 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 303871 */     // MIs[2] Operand 1
     /* 303871 */     // No operand predicates
     /* 303871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 303877 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 303877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 303880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303884 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 303893 */     GIR_RootConstrainSelectedInstOperands,
     /* 303894 */     // GIR_Coverage, 6053,
     /* 303894 */     GIR_EraseRootFromParent_Done,
     /* 303895 */   // Label 6148: @303895
     /* 303895 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(303994), // Rule ID 6119 //
     /* 303900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 303911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 303915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 303920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 303924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 303943 */     // (fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 303943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 303946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 303950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303955 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 303958 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303962 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 303965 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303970 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 303975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 303978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 303986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303992 */     GIR_RootConstrainSelectedInstOperands,
     /* 303993 */     // GIR_Coverage, 6119,
     /* 303993 */     GIR_EraseRootFromParent_Done,
     /* 303994 */   // Label 6149: @303994
     /* 303994 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(304090), // Rule ID 6151 //
     /* 303999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 304014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 304022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 304026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 304041 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 304044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304053 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304056 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304060 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 304063 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304068 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 304076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304088 */     GIR_RootConstrainSelectedInstOperands,
     /* 304089 */     // GIR_Coverage, 6151,
     /* 304089 */     GIR_EraseRootFromParent_Done,
     /* 304090 */   // Label 6150: @304090
     /* 304090 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(304189), // Rule ID 6183 //
     /* 304095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 304110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 304119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 304123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 304127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 304138 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 304141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304150 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304153 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304157 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 304160 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304165 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 304173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304175 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 304181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304187 */     GIR_RootConstrainSelectedInstOperands,
     /* 304188 */     // GIR_Coverage, 6183,
     /* 304188 */     GIR_EraseRootFromParent_Done,
     /* 304189 */   // Label 6151: @304189
     /* 304189 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(304285), // Rule ID 6087 //
     /* 304194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 304213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 304221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 304225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 304236 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 304239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304248 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304255 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 304258 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304263 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 304271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304273 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304275 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 304277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304283 */     GIR_RootConstrainSelectedInstOperands,
     /* 304284 */     // GIR_Coverage, 6087,
     /* 304284 */     GIR_EraseRootFromParent_Done,
     /* 304285 */   // Label 6152: @304285
     /* 304285 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(304369), // Rule ID 2534 //
     /* 304290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 304301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 304305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304320 */     // (fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 304323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304332 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304339 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 304342 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304347 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 304355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304357 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304359 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304367 */     GIR_RootConstrainSelectedInstOperands,
     /* 304368 */     // GIR_Coverage, 2534,
     /* 304368 */     GIR_EraseRootFromParent_Done,
     /* 304369 */   // Label 6153: @304369
     /* 304369 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(304419), // Rule ID 13324 //
     /* 304374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 304389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304404 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 304404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 304407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304409 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304411 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304417 */     GIR_RootConstrainSelectedInstOperands,
     /* 304418 */     // GIR_Coverage, 13324,
     /* 304418 */     GIR_EraseRootFromParent_Done,
     /* 304419 */   // Label 6154: @304419
     /* 304419 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(304503), // Rule ID 6055 //
     /* 304424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 304439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 304443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304454 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 304457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304466 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304473 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 304476 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304481 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 304489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304491 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304493 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 304495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304501 */     GIR_RootConstrainSelectedInstOperands,
     /* 304502 */     // GIR_Coverage, 6055,
     /* 304502 */     GIR_EraseRootFromParent_Done,
     /* 304503 */   // Label 6155: @304503
     /* 304503 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(304553), // Rule ID 1304 //
     /* 304508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 304527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304538 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 304538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 304541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304543 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304545 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 304547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304551 */     GIR_RootConstrainSelectedInstOperands,
     /* 304552 */     // GIR_Coverage, 1304,
     /* 304552 */     GIR_EraseRootFromParent_Done,
     /* 304553 */   // Label 6156: @304553
     /* 304553 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(304586), // Rule ID 1294 //
     /* 304558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304573 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 304573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f16),
     /* 304576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304582 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 304584 */     GIR_RootConstrainSelectedInstOperands,
     /* 304585 */     // GIR_Coverage, 1294,
     /* 304585 */     GIR_EraseRootFromParent_Done,
     /* 304586 */   // Label 6157: @304586
     /* 304586 */   GIM_Reject,
     /* 304587 */ // Label 6142: @304587
     /* 304587 */ GIM_Reject,
     /* 304588 */ // Label 5996: @304588
     /* 304588 */ GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(306108),
     /* 304593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 304599 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 304602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304606 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(304684), // Rule ID 6215 //
     /* 304611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 304627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304639 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304644 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 304648 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304652 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 304656 */     // MIs[3] Operand 1
     /* 304656 */     // No operand predicates
     /* 304656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304664 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304666 */     // (fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 304666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304671 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 304682 */     GIR_RootConstrainSelectedInstOperands,
     /* 304683 */     // GIR_Coverage, 6215,
     /* 304683 */     GIR_EraseRootFromParent_Done,
     /* 304684 */   // Label 6159: @304684
     /* 304684 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(304768), // Rule ID 6129 //
     /* 304689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 304708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 304717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304721 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 304725 */     // MIs[2] Operand 1
     /* 304725 */     // No operand predicates
     /* 304725 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 304729 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304733 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304737 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304746 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304748 */     // (fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 304748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 304759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 304766 */     GIR_RootConstrainSelectedInstOperands,
     /* 304767 */     // GIR_Coverage, 6129,
     /* 304767 */     GIR_EraseRootFromParent_Done,
     /* 304768 */   // Label 6160: @304768
     /* 304768 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(304849), // Rule ID 6161 //
     /* 304773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304800 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 304804 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304809 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 304813 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304817 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 304821 */     // MIs[3] Operand 1
     /* 304821 */     // No operand predicates
     /* 304821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304829 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304831 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 304831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304836 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304838 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 304847 */     GIR_RootConstrainSelectedInstOperands,
     /* 304848 */     // GIR_Coverage, 6161,
     /* 304848 */     GIR_EraseRootFromParent_Done,
     /* 304849 */   // Label 6161: @304849
     /* 304849 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(304933), // Rule ID 6193 //
     /* 304854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 304878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304886 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 304890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304895 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 304899 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304903 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 304907 */     // MIs[3] Operand 1
     /* 304907 */     // No operand predicates
     /* 304907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304911 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304913 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 304913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 304924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 304931 */     GIR_RootConstrainSelectedInstOperands,
     /* 304932 */     // GIR_Coverage, 6193,
     /* 304932 */     GIR_EraseRootFromParent_Done,
     /* 304933 */   // Label 6162: @304933
     /* 304933 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(305011), // Rule ID 6237 //
     /* 304938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 304958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304966 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304970 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304975 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 304979 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304983 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 304987 */     // MIs[3] Operand 1
     /* 304987 */     // No operand predicates
     /* 304987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304991 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304993 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 304993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305000 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 305009 */     GIR_RootConstrainSelectedInstOperands,
     /* 305010 */     // GIR_Coverage, 6237,
     /* 305010 */     GIR_EraseRootFromParent_Done,
     /* 305011 */   // Label 6163: @305011
     /* 305011 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(305092), // Rule ID 6097 //
     /* 305016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 305043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305047 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 305051 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305056 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 305060 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 305064 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 305068 */     // MIs[3] Operand 1
     /* 305068 */     // No operand predicates
     /* 305068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305072 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 305074 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 305074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305079 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305081 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 305090 */     GIR_RootConstrainSelectedInstOperands,
     /* 305091 */     // GIR_Coverage, 6097,
     /* 305091 */     GIR_EraseRootFromParent_Done,
     /* 305092 */   // Label 6164: @305092
     /* 305092 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(305161), // Rule ID 2544 //
     /* 305097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 305108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 305116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 305125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 305129 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 305133 */     // MIs[2] Operand 1
     /* 305133 */     // No operand predicates
     /* 305133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305141 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305143 */     // (fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 305143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 305146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 305159 */     GIR_RootConstrainSelectedInstOperands,
     /* 305160 */     // GIR_Coverage, 2544,
     /* 305160 */     GIR_EraseRootFromParent_Done,
     /* 305161 */   // Label 6165: @305161
     /* 305161 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(305230), // Rule ID 6065 //
     /* 305166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 305181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 305189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 305198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 305202 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 305206 */     // MIs[2] Operand 1
     /* 305206 */     // No operand predicates
     /* 305206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305212 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 305212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 305215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305219 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 305228 */     GIR_RootConstrainSelectedInstOperands,
     /* 305229 */     // GIR_Coverage, 6065,
     /* 305229 */     GIR_EraseRootFromParent_Done,
     /* 305230 */   // Label 6166: @305230
     /* 305230 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(305323), // Rule ID 6219 //
     /* 305235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 305247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 305259 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305274 */     // (fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305286 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305293 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305296 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305301 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305311 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305313 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305321 */     GIR_RootConstrainSelectedInstOperands,
     /* 305322 */     // GIR_Coverage, 6219,
     /* 305322 */     GIR_EraseRootFromParent_Done,
     /* 305323 */   // Label 6167: @305323
     /* 305323 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(305422), // Rule ID 6131 //
     /* 305328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 305343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 305352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305371 */     // (fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305383 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305386 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305390 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305393 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305398 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 305414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305420 */     GIR_RootConstrainSelectedInstOperands,
     /* 305421 */     // GIR_Coverage, 6131,
     /* 305421 */     GIR_EraseRootFromParent_Done,
     /* 305422 */   // Label 6168: @305422
     /* 305422 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(305518), // Rule ID 6163 //
     /* 305427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 305450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 305454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305469 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305481 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305484 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305488 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305491 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305496 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305506 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305508 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305516 */     GIR_RootConstrainSelectedInstOperands,
     /* 305517 */     // GIR_Coverage, 6163,
     /* 305517 */     GIR_EraseRootFromParent_Done,
     /* 305518 */   // Label 6169: @305518
     /* 305518 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(305617), // Rule ID 6195 //
     /* 305523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 305547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 305551 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 305555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305564 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305566 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305578 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305585 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305588 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305593 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305603 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 305609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305615 */     GIR_RootConstrainSelectedInstOperands,
     /* 305616 */     // GIR_Coverage, 6195,
     /* 305616 */     GIR_EraseRootFromParent_Done,
     /* 305617 */   // Label 6170: @305617
     /* 305617 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(305710), // Rule ID 6241 //
     /* 305622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 305638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 305650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305661 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305673 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305680 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305683 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305688 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305700 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305708 */     GIR_RootConstrainSelectedInstOperands,
     /* 305709 */     // GIR_Coverage, 6241,
     /* 305709 */     GIR_EraseRootFromParent_Done,
     /* 305710 */   // Label 6171: @305710
     /* 305710 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(305806), // Rule ID 6099 //
     /* 305715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 305742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 305746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305757 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305769 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305772 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305776 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305779 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305784 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305796 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305804 */     GIR_RootConstrainSelectedInstOperands,
     /* 305805 */     // GIR_Coverage, 6099,
     /* 305805 */     GIR_EraseRootFromParent_Done,
     /* 305806 */   // Label 6172: @305806
     /* 305806 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(305890), // Rule ID 2546 //
     /* 305811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 305826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305841 */     // (fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305853 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305860 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305863 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305868 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 305876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305888 */     GIR_RootConstrainSelectedInstOperands,
     /* 305889 */     // GIR_Coverage, 2546,
     /* 305889 */     GIR_EraseRootFromParent_Done,
     /* 305890 */   // Label 6173: @305890
     /* 305890 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(305940), // Rule ID 13330 //
     /* 305895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305925 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 305925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 305928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305938 */     GIR_RootConstrainSelectedInstOperands,
     /* 305939 */     // GIR_Coverage, 13330,
     /* 305939 */     GIR_EraseRootFromParent_Done,
     /* 305940 */   // Label 6174: @305940
     /* 305940 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(306024), // Rule ID 6067 //
     /* 305945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 305964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305975 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305987 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305990 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305994 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305997 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306002 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 306010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306012 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306014 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 306016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306022 */     GIR_RootConstrainSelectedInstOperands,
     /* 306023 */     // GIR_Coverage, 6067,
     /* 306023 */     GIR_EraseRootFromParent_Done,
     /* 306024 */   // Label 6175: @306024
     /* 306024 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(306074), // Rule ID 1310 //
     /* 306029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 306032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 306040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 306048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 306059 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 306059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 306062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306064 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306066 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 306068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 306072 */     GIR_RootConstrainSelectedInstOperands,
     /* 306073 */     // GIR_Coverage, 1310,
     /* 306073 */     GIR_EraseRootFromParent_Done,
     /* 306074 */   // Label 6176: @306074
     /* 306074 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(306107), // Rule ID 1300 //
     /* 306079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 306082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306094 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 306094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f32),
     /* 306097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306099 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 306103 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 306105 */     GIR_RootConstrainSelectedInstOperands,
     /* 306106 */     // GIR_Coverage, 1300,
     /* 306106 */     GIR_EraseRootFromParent_Done,
     /* 306107 */   // Label 6177: @306107
     /* 306107 */   GIM_Reject,
     /* 306108 */ // Label 6158: @306108
     /* 306108 */ GIM_Reject,
     /* 306109 */ // Label 5997: @306109
     /* 306109 */ GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(307287),
     /* 306114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 306120 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 306123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306127 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(306211), // Rule ID 6113 //
     /* 306132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 306143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 306151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 306156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 306160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 306164 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 306168 */     // MIs[2] Operand 1
     /* 306168 */     // No operand predicates
     /* 306168 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 306172 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306176 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306180 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306189 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 306191 */     // (fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 306191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306196 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 306202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 306206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 306209 */     GIR_RootConstrainSelectedInstOperands,
     /* 306210 */     // GIR_Coverage, 6113,
     /* 306210 */     GIR_EraseRootFromParent_Done,
     /* 306211 */   // Label 6179: @306211
     /* 306211 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(306292), // Rule ID 6145 //
     /* 306216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 306235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 306239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306243 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 306247 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 306252 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 306256 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 306260 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 306264 */     // MIs[3] Operand 1
     /* 306264 */     // No operand predicates
     /* 306264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306272 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 306274 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 306274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306279 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 306283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 306287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 306290 */     GIR_RootConstrainSelectedInstOperands,
     /* 306291 */     // GIR_Coverage, 6145,
     /* 306291 */     GIR_EraseRootFromParent_Done,
     /* 306292 */   // Label 6180: @306292
     /* 306292 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(306376), // Rule ID 6177 //
     /* 306297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 306321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 306325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306329 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 306333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 306338 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 306342 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 306346 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 306350 */     // MIs[3] Operand 1
     /* 306350 */     // No operand predicates
     /* 306350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306354 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 306356 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 306356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306361 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 306367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 306371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 306374 */     GIR_RootConstrainSelectedInstOperands,
     /* 306375 */     // GIR_Coverage, 6177,
     /* 306375 */     GIR_EraseRootFromParent_Done,
     /* 306376 */   // Label 6181: @306376
     /* 306376 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(306457), // Rule ID 6081 //
     /* 306381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 306392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 306404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 306408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306412 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 306416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 306421 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 306425 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 306429 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 306433 */     // MIs[3] Operand 1
     /* 306433 */     // No operand predicates
     /* 306433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306437 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 306439 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 306439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306444 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306446 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 306448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 306452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 306455 */     GIR_RootConstrainSelectedInstOperands,
     /* 306456 */     // GIR_Coverage, 6081,
     /* 306456 */     GIR_EraseRootFromParent_Done,
     /* 306457 */   // Label 6182: @306457
     /* 306457 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(306526), // Rule ID 2528 //
     /* 306462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 306473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306477 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 306481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 306486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 306490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 306494 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 306498 */     // MIs[2] Operand 1
     /* 306498 */     // No operand predicates
     /* 306498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306508 */     // (fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 306508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 306511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306513 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306515 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 306517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 306521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 306524 */     GIR_RootConstrainSelectedInstOperands,
     /* 306525 */     // GIR_Coverage, 2528,
     /* 306525 */     GIR_EraseRootFromParent_Done,
     /* 306526 */   // Label 6183: @306526
     /* 306526 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(306595), // Rule ID 6049 //
     /* 306531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 306542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 306546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 306554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 306559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 306563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 306567 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 306571 */     // MIs[2] Operand 1
     /* 306571 */     // No operand predicates
     /* 306571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306577 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 306577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 306580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306584 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 306586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 306590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 306593 */     GIR_RootConstrainSelectedInstOperands,
     /* 306594 */     // GIR_Coverage, 6049,
     /* 306594 */     GIR_EraseRootFromParent_Done,
     /* 306595 */   // Label 6184: @306595
     /* 306595 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(306694), // Rule ID 6115 //
     /* 306600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 306611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 306615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 306624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306643 */     // (fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 306643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 306646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 306650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306655 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306658 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 306662 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306665 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306670 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 306686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306692 */     GIR_RootConstrainSelectedInstOperands,
     /* 306693 */     // GIR_Coverage, 6115,
     /* 306693 */     GIR_EraseRootFromParent_Done,
     /* 306694 */   // Label 6185: @306694
     /* 306694 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(306790), // Rule ID 6147 //
     /* 306699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 306718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 306722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 306726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306741 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 306741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 306744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 306748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306753 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 306760 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306763 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306768 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306778 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306780 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 306782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306788 */     GIR_RootConstrainSelectedInstOperands,
     /* 306789 */     // GIR_Coverage, 6147,
     /* 306789 */     GIR_EraseRootFromParent_Done,
     /* 306790 */   // Label 6186: @306790
     /* 306790 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(306889), // Rule ID 6179 //
     /* 306795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 306819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 306823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 306827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306838 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 306838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 306841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 306845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306850 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 306857 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306860 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306865 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306875 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 306881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306887 */     GIR_RootConstrainSelectedInstOperands,
     /* 306888 */     // GIR_Coverage, 6179,
     /* 306888 */     GIR_EraseRootFromParent_Done,
     /* 306889 */   // Label 6187: @306889
     /* 306889 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(306985), // Rule ID 6083 //
     /* 306894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 306905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 306917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 306921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 306925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306936 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 306936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 306939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 306943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306948 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306951 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 306955 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306958 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306963 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306975 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 306977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306983 */     GIR_RootConstrainSelectedInstOperands,
     /* 306984 */     // GIR_Coverage, 6083,
     /* 306984 */     GIR_EraseRootFromParent_Done,
     /* 306985 */   // Label 6188: @306985
     /* 306985 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(307069), // Rule ID 2530 //
     /* 306990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 307001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 307010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307020 */     // (fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 307020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 307023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 307027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307032 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 307035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 307039 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 307042 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307047 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 307052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 307055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 307057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 307059 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 307061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 307067 */     GIR_RootConstrainSelectedInstOperands,
     /* 307068 */     // GIR_Coverage, 2530,
     /* 307068 */     GIR_EraseRootFromParent_Done,
     /* 307069 */   // Label 6189: @307069
     /* 307069 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(307119), // Rule ID 13326 //
     /* 307074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 307077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 307085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 307089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307104 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 307104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 307107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 307109 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 307111 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 307113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 307117 */     GIR_RootConstrainSelectedInstOperands,
     /* 307118 */     // GIR_Coverage, 13326,
     /* 307118 */     GIR_EraseRootFromParent_Done,
     /* 307119 */   // Label 6190: @307119
     /* 307119 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(307203), // Rule ID 6051 //
     /* 307124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 307127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 307135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 307139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 307148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307154 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 307154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 307157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 307161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307166 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 307169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 307173 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 307176 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307181 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 307186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 307189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 307191 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 307193 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 307195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 307201 */     GIR_RootConstrainSelectedInstOperands,
     /* 307202 */     // GIR_Coverage, 6051,
     /* 307202 */     GIR_EraseRootFromParent_Done,
     /* 307203 */   // Label 6191: @307203
     /* 307203 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(307253), // Rule ID 1306 //
     /* 307208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 307211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 307219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 307223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 307227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307238 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 307238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 307241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 307243 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 307245 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 307247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 307251 */     GIR_RootConstrainSelectedInstOperands,
     /* 307252 */     // GIR_Coverage, 1306,
     /* 307252 */     GIR_EraseRootFromParent_Done,
     /* 307253 */   // Label 6192: @307253
     /* 307253 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(307286), // Rule ID 1296 //
     /* 307258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 307261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307273 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 307273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8f16),
     /* 307276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 307278 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 307280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 307282 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 307284 */     GIR_RootConstrainSelectedInstOperands,
     /* 307285 */     // GIR_Coverage, 1296,
     /* 307285 */     GIR_EraseRootFromParent_Done,
     /* 307286 */   // Label 6193: @307286
     /* 307286 */   GIM_Reject,
     /* 307287 */ // Label 6178: @307287
     /* 307287 */ GIM_Reject,
     /* 307288 */ // Label 5998: @307288
     /* 307288 */ GIM_Reject,
     /* 307289 */ // Label 61: @307289
     /* 307289 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6202*/ GIMT_Encode4(307904),
     /* 307300 */ /*GILLT_s16*//*Label 6194*/ GIMT_Encode4(307340),
     /* 307304 */ /*GILLT_s32*//*Label 6195*/ GIMT_Encode4(307378),
     /* 307308 */ /*GILLT_s64*//*Label 6196*/ GIMT_Encode4(307416), GIMT_Encode4(0),
     /* 307316 */ /*GILLT_v2s32*//*Label 6197*/ GIMT_Encode4(307454),
     /* 307320 */ /*GILLT_v2s64*//*Label 6198*/ GIMT_Encode4(307492),
     /* 307324 */ /*GILLT_v4s16*//*Label 6199*/ GIMT_Encode4(307530),
     /* 307328 */ /*GILLT_v4s32*//*Label 6200*/ GIMT_Encode4(307568), GIMT_Encode4(0),
     /* 307336 */ /*GILLT_v8s16*//*Label 6201*/ GIMT_Encode4(307606),
     /* 307340 */ // Label 6194: @307340
     /* 307340 */ GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(307377), // Rule ID 590 //
     /* 307345 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 307351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 307354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307366 */   // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FDIVHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 307366 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVHrr),
     /* 307371 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307375 */   GIR_RootConstrainSelectedInstOperands,
     /* 307376 */   // GIR_Coverage, 590,
     /* 307376 */   GIR_Done,
     /* 307377 */ // Label 6203: @307377
     /* 307377 */ GIM_Reject,
     /* 307378 */ // Label 6195: @307378
     /* 307378 */ GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(307415), // Rule ID 592 //
     /* 307383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 307386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 307392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307404 */   // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FDIVSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 307404 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVSrr),
     /* 307409 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307413 */   GIR_RootConstrainSelectedInstOperands,
     /* 307414 */   // GIR_Coverage, 592,
     /* 307414 */   GIR_Done,
     /* 307415 */ // Label 6204: @307415
     /* 307415 */ GIM_Reject,
     /* 307416 */ // Label 6196: @307416
     /* 307416 */ GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(307453), // Rule ID 594 //
     /* 307421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 307424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 307427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 307430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307442 */   // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FDIVDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 307442 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVDrr),
     /* 307447 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307451 */   GIR_RootConstrainSelectedInstOperands,
     /* 307452 */   // GIR_Coverage, 594,
     /* 307452 */   GIR_Done,
     /* 307453 */ // Label 6205: @307453
     /* 307453 */ GIM_Reject,
     /* 307454 */ // Label 6197: @307454
     /* 307454 */ GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(307491), // Rule ID 1228 //
     /* 307459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 307462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 307465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 307468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307480 */   // (fdiv:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FDIVv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 307480 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f32),
     /* 307485 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307489 */   GIR_RootConstrainSelectedInstOperands,
     /* 307490 */   // GIR_Coverage, 1228,
     /* 307490 */   GIR_Done,
     /* 307491 */ // Label 6206: @307491
     /* 307491 */ GIM_Reject,
     /* 307492 */ // Label 6198: @307492
     /* 307492 */ GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(307529), // Rule ID 1232 //
     /* 307497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 307500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 307503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 307506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307518 */   // (fdiv:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FDIVv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 307518 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f64),
     /* 307523 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307527 */   GIR_RootConstrainSelectedInstOperands,
     /* 307528 */   // GIR_Coverage, 1232,
     /* 307528 */   GIR_Done,
     /* 307529 */ // Label 6207: @307529
     /* 307529 */ GIM_Reject,
     /* 307530 */ // Label 6199: @307530
     /* 307530 */ GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(307567), // Rule ID 1224 //
     /* 307535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 307538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 307541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 307544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307556 */   // (fdiv:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FDIVv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 307556 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f16),
     /* 307561 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307565 */   GIR_RootConstrainSelectedInstOperands,
     /* 307566 */   // GIR_Coverage, 1224,
     /* 307566 */   GIR_Done,
     /* 307567 */ // Label 6208: @307567
     /* 307567 */ GIM_Reject,
     /* 307568 */ // Label 6200: @307568
     /* 307568 */ GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(307605), // Rule ID 1230 //
     /* 307573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 307576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 307579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 307582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307594 */   // (fdiv:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FDIVv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 307594 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 307599 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307603 */   GIR_RootConstrainSelectedInstOperands,
     /* 307604 */   // GIR_Coverage, 1230,
     /* 307604 */   GIR_Done,
     /* 307605 */ // Label 6209: @307605
     /* 307605 */ GIM_Reject,
     /* 307606 */ // Label 6201: @307606
     /* 307606 */ GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(307903),
     /* 307611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 307614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 307617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307629 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(307648), // Rule ID 1226 //
     /* 307634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 307637 */     // (fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FDIVv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 307637 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv8f16),
     /* 307642 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307646 */     GIR_RootConstrainSelectedInstOperands,
     /* 307647 */     // GIR_Coverage, 1226,
     /* 307647 */     GIR_Done,
     /* 307648 */   // Label 6211: @307648
     /* 307648 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(307902), // Rule ID 7014 //
     /* 307653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 307656 */     // (fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FDIVv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FDIVv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 307656 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 307659 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 307663 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307668 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 307672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 307674 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 307677 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 307681 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307686 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 307690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 307692 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 307695 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 307699 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307704 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 307707 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 307710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 307712 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 307715 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307719 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307724 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 307730 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307735 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307740 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 307743 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 307747 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307752 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 307755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 307757 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 307760 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307764 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307769 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 307775 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307780 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307785 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 307788 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 307792 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307797 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 307800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 307802 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 307805 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 307809 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307814 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 307817 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 307820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 307822 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 307825 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 307829 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307834 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 307837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 307839 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 307842 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 307846 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 307853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 307856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 307860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307865 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 307868 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 307871 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 307874 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307879 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307884 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 307892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 307894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 307900 */     GIR_RootConstrainSelectedInstOperands,
     /* 307901 */     // GIR_Coverage, 7014,
     /* 307901 */     GIR_EraseRootFromParent_Done,
     /* 307902 */   // Label 6212: @307902
     /* 307902 */   GIM_Reject,
     /* 307903 */ // Label 6210: @307903
     /* 307903 */ GIM_Reject,
     /* 307904 */ // Label 6202: @307904
     /* 307904 */ GIM_Reject,
     /* 307905 */ // Label 62: @307905
     /* 307905 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6221*/ GIMT_Encode4(311411),
     /* 307916 */ /*GILLT_s16*//*Label 6213*/ GIMT_Encode4(307956),
     /* 307920 */ /*GILLT_s32*//*Label 6214*/ GIMT_Encode4(309124),
     /* 307924 */ /*GILLT_s64*//*Label 6215*/ GIMT_Encode4(310147), GIMT_Encode4(0),
     /* 307932 */ /*GILLT_v2s32*//*Label 6216*/ GIMT_Encode4(311170),
     /* 307936 */ /*GILLT_v2s64*//*Label 6217*/ GIMT_Encode4(311197),
     /* 307940 */ /*GILLT_v4s16*//*Label 6218*/ GIMT_Encode4(311224),
     /* 307944 */ /*GILLT_v4s32*//*Label 6219*/ GIMT_Encode4(311304), GIMT_Encode4(0),
     /* 307952 */ /*GILLT_v8s16*//*Label 6220*/ GIMT_Encode4(311331),
     /* 307956 */ // Label 6213: @307956
     /* 307956 */ GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(309123),
     /* 307961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 307964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307968 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(308126), // Rule ID 4847 //
     /* 307973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 307984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307988 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 307992 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 307996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 308000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308008 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308017 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 308025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308029 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308033 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 308037 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308042 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 308046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308051 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 308053 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 308053 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 308056 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308060 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308065 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 308071 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308076 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308093 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 308099 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308104 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 308120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308124 */     GIR_RootConstrainSelectedInstOperands,
     /* 308125 */     // GIR_Coverage, 4847,
     /* 308125 */     GIR_EraseRootFromParent_Done,
     /* 308126 */   // Label 6223: @308126
     /* 308126 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(308284), // Rule ID 4846 //
     /* 308131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 308142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308146 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308150 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 308158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308166 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308175 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308179 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 308183 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308187 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308191 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 308195 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308200 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 308204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308209 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 308211 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 308211 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 308214 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308218 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308223 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 308229 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308234 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308251 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 308257 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308262 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 308278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308282 */     GIR_RootConstrainSelectedInstOperands,
     /* 308283 */     // GIR_Coverage, 4846,
     /* 308283 */     GIR_EraseRootFromParent_Done,
     /* 308284 */   // Label 6224: @308284
     /* 308284 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(308395), // Rule ID 4845 //
     /* 308289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 308300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308304 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308308 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308312 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 308316 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308320 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308324 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308333 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308349 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 308349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308361 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 308367 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308372 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308393 */     GIR_RootConstrainSelectedInstOperands,
     /* 308394 */     // GIR_Coverage, 4845,
     /* 308394 */     GIR_EraseRootFromParent_Done,
     /* 308395 */   // Label 6225: @308395
     /* 308395 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(308506), // Rule ID 4843 //
     /* 308400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 308411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308415 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308419 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 308432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308440 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308449 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308460 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 308460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308472 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 308478 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308483 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308504 */     GIR_RootConstrainSelectedInstOperands,
     /* 308505 */     // GIR_Coverage, 4843,
     /* 308505 */     GIR_EraseRootFromParent_Done,
     /* 308506 */   // Label 6226: @308506
     /* 308506 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(308617), // Rule ID 4844 //
     /* 308511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 308522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308530 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 308538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308546 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308555 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308569 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308571 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 308571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308583 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 308589 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308594 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308615 */     GIR_RootConstrainSelectedInstOperands,
     /* 308616 */     // GIR_Coverage, 4844,
     /* 308616 */     GIR_EraseRootFromParent_Done,
     /* 308617 */   // Label 6227: @308617
     /* 308617 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(308728), // Rule ID 4842 //
     /* 308622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 308633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308641 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 308654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308662 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308671 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308682 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 308682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308694 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 308700 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308705 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308726 */     GIR_RootConstrainSelectedInstOperands,
     /* 308727 */     // GIR_Coverage, 4842,
     /* 308727 */     GIR_EraseRootFromParent_Done,
     /* 308728 */   // Label 6228: @308728
     /* 308728 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(308792), // Rule ID 650 //
     /* 308733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 308744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308752 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308773 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 308773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308790 */     GIR_RootConstrainSelectedInstOperands,
     /* 308791 */     // GIR_Coverage, 650,
     /* 308791 */     GIR_EraseRootFromParent_Done,
     /* 308792 */   // Label 6229: @308792
     /* 308792 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(308856), // Rule ID 649 //
     /* 308797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 308808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308816 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308837 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 308837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308854 */     GIR_RootConstrainSelectedInstOperands,
     /* 308855 */     // GIR_Coverage, 649,
     /* 308855 */     GIR_EraseRootFromParent_Done,
     /* 308856 */   // Label 6230: @308856
     /* 308856 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(308907), // Rule ID 626 //
     /* 308861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 308872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308876 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308892 */     // (fneg:{ *:[f16] } (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm))  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 308892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 308895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308905 */     GIR_RootConstrainSelectedInstOperands,
     /* 308906 */     // GIR_Coverage, 626,
     /* 308906 */     GIR_EraseRootFromParent_Done,
     /* 308907 */   // Label 6231: @308907
     /* 308907 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(308958), // Rule ID 625 //
     /* 308912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMUL),
     /* 308923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308943 */     // (fneg:{ *:[f16] } (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm))  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 308943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 308946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308956 */     GIR_RootConstrainSelectedInstOperands,
     /* 308957 */     // GIR_Coverage, 625,
     /* 308957 */     GIR_EraseRootFromParent_Done,
     /* 308958 */   // Label 6232: @308958
     /* 308958 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(308977), // Rule ID 524 //
     /* 308963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308970 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FNEGHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 308970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGHr),
     /* 308975 */     GIR_RootConstrainSelectedInstOperands,
     /* 308976 */     // GIR_Coverage, 524,
     /* 308976 */     GIR_Done,
     /* 308977 */   // Label 6233: @308977
     /* 308977 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(309122), // Rule ID 6381 //
     /* 308982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308986 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[f16] } (COPY_TO_REGCLASS:{ *:[f32] } (EORWri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), GPR32:{ *:[i32] }), (logical_imm32_XFORM:{ *:[i32] } 32768:{ *:[i32] })), FPR32:{ *:[i32] }), hsub:{ *:[i32] })
     /* 308986 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 308989 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 308993 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 309000 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 309003 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 309007 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309012 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 309015 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 309019 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/9,
     /* 309022 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309027 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309032 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 309037 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 309040 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309044 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309049 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 309052 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 309057 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 309060 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::EORWri),
     /* 309064 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309069 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 309072 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // 
     /* 309077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 309079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309091 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 309094 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 309104 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 309111 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 309116 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309121 */     // GIR_Coverage, 6381,
     /* 309121 */     GIR_EraseRootFromParent_Done,
     /* 309122 */   // Label 6234: @309122
     /* 309122 */   GIM_Reject,
     /* 309123 */ // Label 6222: @309123
     /* 309123 */ GIM_Reject,
     /* 309124 */ // Label 6214: @309124
     /* 309124 */ GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(310146),
     /* 309129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 309132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309136 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(309294), // Rule ID 4853 //
     /* 309141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 309152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309156 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309160 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 309168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309176 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309180 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309185 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309189 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 309193 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309197 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309201 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 309205 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309210 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 309214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309219 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 309221 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 309221 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 309224 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309228 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309233 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 309239 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309244 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309261 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 309267 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309272 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 309288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309292 */     GIR_RootConstrainSelectedInstOperands,
     /* 309293 */     // GIR_Coverage, 4853,
     /* 309293 */     GIR_EraseRootFromParent_Done,
     /* 309294 */   // Label 6236: @309294
     /* 309294 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(309452), // Rule ID 4852 //
     /* 309299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 309310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309314 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309318 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 309326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309334 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309338 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309343 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309347 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 309351 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309355 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309359 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 309363 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309368 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 309372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 309379 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 309379 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 309382 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309386 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309391 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 309397 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309402 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309419 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 309425 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309430 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 309446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309450 */     GIR_RootConstrainSelectedInstOperands,
     /* 309451 */     // GIR_Coverage, 4852,
     /* 309451 */     GIR_EraseRootFromParent_Done,
     /* 309452 */   // Label 6237: @309452
     /* 309452 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(309563), // Rule ID 4851 //
     /* 309457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 309468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309476 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 309484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309492 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309501 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 309517 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 309517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309529 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 309535 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309540 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309561 */     GIR_RootConstrainSelectedInstOperands,
     /* 309562 */     // GIR_Coverage, 4851,
     /* 309562 */     GIR_EraseRootFromParent_Done,
     /* 309563 */   // Label 6238: @309563
     /* 309563 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(309674), // Rule ID 4849 //
     /* 309568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 309579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309587 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 309600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309608 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309617 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 309628 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 309628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309640 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 309646 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309651 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309672 */     GIR_RootConstrainSelectedInstOperands,
     /* 309673 */     // GIR_Coverage, 4849,
     /* 309673 */     GIR_EraseRootFromParent_Done,
     /* 309674 */   // Label 6239: @309674
     /* 309674 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(309785), // Rule ID 4850 //
     /* 309679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 309690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309698 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 309706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309714 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309723 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 309739 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 309739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309751 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 309757 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309762 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309783 */     GIR_RootConstrainSelectedInstOperands,
     /* 309784 */     // GIR_Coverage, 4850,
     /* 309784 */     GIR_EraseRootFromParent_Done,
     /* 309785 */   // Label 6240: @309785
     /* 309785 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(309896), // Rule ID 4848 //
     /* 309790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 309801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309805 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309809 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 309822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309830 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309839 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 309850 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 309850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309862 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 309868 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309873 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309894 */     GIR_RootConstrainSelectedInstOperands,
     /* 309895 */     // GIR_Coverage, 4848,
     /* 309895 */     GIR_EraseRootFromParent_Done,
     /* 309896 */   // Label 6241: @309896
     /* 309896 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(309960), // Rule ID 652 //
     /* 309901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 309912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309916 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309920 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309941 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 309941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309958 */     GIR_RootConstrainSelectedInstOperands,
     /* 309959 */     // GIR_Coverage, 652,
     /* 309959 */     GIR_EraseRootFromParent_Done,
     /* 309960 */   // Label 6242: @309960
     /* 309960 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(310024), // Rule ID 651 //
     /* 309965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 309976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309984 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310005 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 310005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 310008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310022 */     GIR_RootConstrainSelectedInstOperands,
     /* 310023 */     // GIR_Coverage, 651,
     /* 310023 */     GIR_EraseRootFromParent_Done,
     /* 310024 */   // Label 6243: @310024
     /* 310024 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(310075), // Rule ID 628 //
     /* 310029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 310040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 310044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 310048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310060 */     // (fneg:{ *:[f32] } (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm))  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 310060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 310063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310073 */     GIR_RootConstrainSelectedInstOperands,
     /* 310074 */     // GIR_Coverage, 628,
     /* 310074 */     GIR_EraseRootFromParent_Done,
     /* 310075 */   // Label 6244: @310075
     /* 310075 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(310126), // Rule ID 627 //
     /* 310080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMUL),
     /* 310091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 310095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 310099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310111 */     // (fneg:{ *:[f32] } (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm))  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 310111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 310114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310124 */     GIR_RootConstrainSelectedInstOperands,
     /* 310125 */     // GIR_Coverage, 627,
     /* 310125 */     GIR_EraseRootFromParent_Done,
     /* 310126 */   // Label 6245: @310126
     /* 310126 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(310145), // Rule ID 525 //
     /* 310131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310138 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FNEGSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 310138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGSr),
     /* 310143 */     GIR_RootConstrainSelectedInstOperands,
     /* 310144 */     // GIR_Coverage, 525,
     /* 310144 */     GIR_Done,
     /* 310145 */   // Label 6246: @310145
     /* 310145 */   GIM_Reject,
     /* 310146 */ // Label 6235: @310146
     /* 310146 */ GIM_Reject,
     /* 310147 */ // Label 6215: @310147
     /* 310147 */ GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(311169),
     /* 310152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 310155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310159 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(310317), // Rule ID 4859 //
     /* 310164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 310175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310183 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 310191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310199 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 310203 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310208 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 310212 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 310216 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310220 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310224 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 310228 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310233 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 310237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310242 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 310244 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 310244 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 310247 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310251 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310256 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 310262 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310267 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 310275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310284 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 310290 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310295 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 310311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310315 */     GIR_RootConstrainSelectedInstOperands,
     /* 310316 */     // GIR_Coverage, 4859,
     /* 310316 */     GIR_EraseRootFromParent_Done,
     /* 310317 */   // Label 6248: @310317
     /* 310317 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(310475), // Rule ID 4858 //
     /* 310322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 310333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310341 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 310349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310357 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 310361 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310366 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 310370 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 310374 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310378 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310382 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 310386 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310391 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 310395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310400 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 310402 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 310402 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 310405 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310409 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310414 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 310420 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310425 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 310433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310442 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 310448 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310453 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 310469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310473 */     GIR_RootConstrainSelectedInstOperands,
     /* 310474 */     // GIR_Coverage, 4858,
     /* 310474 */     GIR_EraseRootFromParent_Done,
     /* 310475 */   // Label 6249: @310475
     /* 310475 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(310586), // Rule ID 4857 //
     /* 310480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 310491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310499 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 310507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310515 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 310519 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310524 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 310528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 310540 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 310540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 310543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310552 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 310558 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310563 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310584 */     GIR_RootConstrainSelectedInstOperands,
     /* 310585 */     // GIR_Coverage, 4857,
     /* 310585 */     GIR_EraseRootFromParent_Done,
     /* 310586 */   // Label 6250: @310586
     /* 310586 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(310697), // Rule ID 4855 //
     /* 310591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 310602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310606 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310610 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 310623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310631 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 310635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310640 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 310644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 310651 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 310651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 310654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310663 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 310669 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310674 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310695 */     GIR_RootConstrainSelectedInstOperands,
     /* 310696 */     // GIR_Coverage, 4855,
     /* 310696 */     GIR_EraseRootFromParent_Done,
     /* 310697 */   // Label 6251: @310697
     /* 310697 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(310808), // Rule ID 4856 //
     /* 310702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 310713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310721 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 310729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310737 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 310741 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310746 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 310750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 310762 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 310762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 310765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310774 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 310780 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310785 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310806 */     GIR_RootConstrainSelectedInstOperands,
     /* 310807 */     // GIR_Coverage, 4856,
     /* 310807 */     GIR_EraseRootFromParent_Done,
     /* 310808 */   // Label 6252: @310808
     /* 310808 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(310919), // Rule ID 4854 //
     /* 310813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 310824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310832 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 310845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310853 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 310857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310862 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 310866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310871 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 310873 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 310873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 310876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310885 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 310891 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310917 */     GIR_RootConstrainSelectedInstOperands,
     /* 310918 */     // GIR_Coverage, 4854,
     /* 310918 */     GIR_EraseRootFromParent_Done,
     /* 310919 */   // Label 6253: @310919
     /* 310919 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(310983), // Rule ID 654 //
     /* 310924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 310935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310943 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310964 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 310964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310981 */     GIR_RootConstrainSelectedInstOperands,
     /* 310982 */     // GIR_Coverage, 654,
     /* 310982 */     GIR_EraseRootFromParent_Done,
     /* 310983 */   // Label 6254: @310983
     /* 310983 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(311047), // Rule ID 653 //
     /* 310988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 310999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 311007 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 311011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311028 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 311028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 311031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 311041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 311045 */     GIR_RootConstrainSelectedInstOperands,
     /* 311046 */     // GIR_Coverage, 653,
     /* 311046 */     GIR_EraseRootFromParent_Done,
     /* 311047 */   // Label 6255: @311047
     /* 311047 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(311098), // Rule ID 630 //
     /* 311052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 311063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 311071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311083 */     // (fneg:{ *:[f64] } (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm))  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 311083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 311086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 311096 */     GIR_RootConstrainSelectedInstOperands,
     /* 311097 */     // GIR_Coverage, 630,
     /* 311097 */     GIR_EraseRootFromParent_Done,
     /* 311098 */   // Label 6256: @311098
     /* 311098 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(311149), // Rule ID 629 //
     /* 311103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMUL),
     /* 311114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 311122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311134 */     // (fneg:{ *:[f64] } (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm))  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 311134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 311137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 311147 */     GIR_RootConstrainSelectedInstOperands,
     /* 311148 */     // GIR_Coverage, 629,
     /* 311148 */     GIR_EraseRootFromParent_Done,
     /* 311149 */   // Label 6257: @311149
     /* 311149 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(311168), // Rule ID 526 //
     /* 311154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311161 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FNEGDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 311161 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGDr),
     /* 311166 */     GIR_RootConstrainSelectedInstOperands,
     /* 311167 */     // GIR_Coverage, 526,
     /* 311167 */     GIR_Done,
     /* 311168 */   // Label 6258: @311168
     /* 311168 */   GIM_Reject,
     /* 311169 */ // Label 6247: @311169
     /* 311169 */ GIM_Reject,
     /* 311170 */ // Label 6216: @311170
     /* 311170 */ GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(311196), // Rule ID 860 //
     /* 311175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 311181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311189 */   // (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FNEGv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 311189 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv2f32),
     /* 311194 */   GIR_RootConstrainSelectedInstOperands,
     /* 311195 */   // GIR_Coverage, 860,
     /* 311195 */   GIR_Done,
     /* 311196 */ // Label 6259: @311196
     /* 311196 */ GIM_Reject,
     /* 311197 */ // Label 6217: @311197
     /* 311197 */ GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(311223), // Rule ID 862 //
     /* 311202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 311208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311216 */   // (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FNEGv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 311216 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv2f64),
     /* 311221 */   GIR_RootConstrainSelectedInstOperands,
     /* 311222 */   // GIR_Coverage, 862,
     /* 311222 */   GIR_Done,
     /* 311223 */ // Label 6260: @311223
     /* 311223 */ GIM_Reject,
     /* 311224 */ // Label 6218: @311224
     /* 311224 */ GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(311303),
     /* 311229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 311232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311240 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(311255), // Rule ID 858 //
     /* 311245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 311248 */     // (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FNEGv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 311248 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv4f16),
     /* 311253 */     GIR_RootConstrainSelectedInstOperands,
     /* 311254 */     // GIR_Coverage, 858,
     /* 311254 */     GIR_Done,
     /* 311255 */   // Label 6262: @311255
     /* 311255 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(311302), // Rule ID 6384 //
     /* 311260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311263 */     // (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (EORv8i8:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (MOVIv4i16:{ *:[i64] } 128:{ *:[i32] }, 8:{ *:[i32] }))
     /* 311263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 311266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv4i16),
     /* 311270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 311275 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(128),
     /* 311285 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 311288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 311290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /* 311293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311295 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 311300 */     GIR_RootConstrainSelectedInstOperands,
     /* 311301 */     // GIR_Coverage, 6384,
     /* 311301 */     GIR_EraseRootFromParent_Done,
     /* 311302 */   // Label 6263: @311302
     /* 311302 */   GIM_Reject,
     /* 311303 */ // Label 6261: @311303
     /* 311303 */ GIM_Reject,
     /* 311304 */ // Label 6219: @311304
     /* 311304 */ GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(311330), // Rule ID 861 //
     /* 311309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 311315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311323 */   // (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FNEGv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 311323 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv4f32),
     /* 311328 */   GIR_RootConstrainSelectedInstOperands,
     /* 311329 */   // GIR_Coverage, 861,
     /* 311329 */   GIR_Done,
     /* 311330 */ // Label 6264: @311330
     /* 311330 */ GIM_Reject,
     /* 311331 */ // Label 6220: @311331
     /* 311331 */ GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(311410),
     /* 311336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 311339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311347 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(311362), // Rule ID 859 //
     /* 311352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 311355 */     // (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FNEGv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 311355 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv8f16),
     /* 311360 */     GIR_RootConstrainSelectedInstOperands,
     /* 311361 */     // GIR_Coverage, 859,
     /* 311361 */     GIR_Done,
     /* 311362 */   // Label 6266: @311362
     /* 311362 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(311409), // Rule ID 6385 //
     /* 311367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311370 */     // (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (EORv16i8:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (MOVIv8i16:{ *:[f128] } 128:{ *:[i32] }, 8:{ *:[i32] }))
     /* 311370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 311373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv8i16),
     /* 311377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 311382 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(128),
     /* 311392 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 311395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 311397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /* 311400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311402 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 311407 */     GIR_RootConstrainSelectedInstOperands,
     /* 311408 */     // GIR_Coverage, 6385,
     /* 311408 */     GIR_EraseRootFromParent_Done,
     /* 311409 */   // Label 6267: @311409
     /* 311409 */   GIM_Reject,
     /* 311410 */ // Label 6265: @311410
     /* 311410 */ GIM_Reject,
     /* 311411 */ // Label 6221: @311411
     /* 311411 */ GIM_Reject,
     /* 311412 */ // Label 63: @311412
     /* 311412 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(9), /*)*//*default:*//*Label 6272*/ GIMT_Encode4(311659),
     /* 311423 */ /*GILLT_s32*//*Label 6268*/ GIMT_Encode4(311451),
     /* 311427 */ /*GILLT_s64*//*Label 6269*/ GIMT_Encode4(311482), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 311439 */ /*GILLT_v2s64*//*Label 6270*/ GIMT_Encode4(311543), GIMT_Encode4(0),
     /* 311447 */ /*GILLT_v4s32*//*Label 6271*/ GIMT_Encode4(311601),
     /* 311451 */ // Label 6268: @311451
     /* 311451 */ GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(311481), // Rule ID 516 //
     /* 311456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311470 */   // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTSHr:{ *:[f32] } FPR16:{ *:[f16] }:$Rn)
     /* 311470 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTSHr),
     /* 311475 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311479 */   GIR_RootConstrainSelectedInstOperands,
     /* 311480 */   // GIR_Coverage, 516,
     /* 311480 */   GIR_Done,
     /* 311481 */ // Label 6273: @311481
     /* 311481 */ GIM_Reject,
     /* 311482 */ // Label 6269: @311482
     /* 311482 */ GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(311512), // Rule ID 514 //
     /* 311487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311501 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTDHr:{ *:[f64] } FPR16:{ *:[f16] }:$Rn)
     /* 311501 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTDHr),
     /* 311506 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311510 */   GIR_RootConstrainSelectedInstOperands,
     /* 311511 */   // GIR_Coverage, 514,
     /* 311511 */   GIR_Done,
     /* 311512 */ // Label 6274: @311512
     /* 311512 */ GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(311542), // Rule ID 518 //
     /* 311517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311531 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTDSr:{ *:[f64] } FPR32:{ *:[f32] }:$Rn)
     /* 311531 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTDSr),
     /* 311536 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311540 */   GIR_RootConstrainSelectedInstOperands,
     /* 311541 */   // GIR_Coverage, 518,
     /* 311541 */   GIR_Done,
     /* 311542 */ // Label 6275: @311542
     /* 311542 */ GIM_Reject,
     /* 311543 */ // Label 6270: @311543
     /* 311543 */ GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(311600),
     /* 311548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 311551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311555 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(311579), // Rule ID 4902 //
     /* 311560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4f32),
     /* 311567 */     // (fpextend:{ *:[v2f64] } (extract_high_v4f32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn))  =>  (FCVTLv4i32:{ *:[v2f64] } V128:{ *:[v4f32] }:$Rn)
     /* 311567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i32),
     /* 311570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 311577 */     GIR_RootConstrainSelectedInstOperands,
     /* 311578 */     // GIR_Coverage, 4902,
     /* 311578 */     GIR_EraseRootFromParent_Done,
     /* 311579 */   // Label 6277: @311579
     /* 311579 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(311599), // Rule ID 4900 //
     /* 311584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311588 */     // (fpextend:{ *:[v2f64] } V64:{ *:[v2f32] }:$Rn)  =>  (FCVTLv2i32:{ *:[v2f64] } V64:{ *:[v2f32] }:$Rn)
     /* 311588 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv2i32),
     /* 311593 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311597 */     GIR_RootConstrainSelectedInstOperands,
     /* 311598 */     // GIR_Coverage, 4900,
     /* 311598 */     GIR_Done,
     /* 311599 */   // Label 6278: @311599
     /* 311599 */   GIM_Reject,
     /* 311600 */ // Label 6276: @311600
     /* 311600 */ GIM_Reject,
     /* 311601 */ // Label 6271: @311601
     /* 311601 */ GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(311658),
     /* 311606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 311609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311613 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(311637), // Rule ID 4906 //
     /* 311618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8f16),
     /* 311625 */     // (fpextend:{ *:[v4f32] } (extract_high_v8f16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn))  =>  (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)
     /* 311625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 311628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 311635 */     GIR_RootConstrainSelectedInstOperands,
     /* 311636 */     // GIR_Coverage, 4906,
     /* 311636 */     GIR_EraseRootFromParent_Done,
     /* 311637 */   // Label 6280: @311637
     /* 311637 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(311657), // Rule ID 4904 //
     /* 311642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311646 */     // (fpextend:{ *:[v4f32] } V64:{ *:[v4f16] }:$Rn)  =>  (FCVTLv4i16:{ *:[v4f32] } V64:{ *:[v4f16] }:$Rn)
     /* 311646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 311651 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311655 */     GIR_RootConstrainSelectedInstOperands,
     /* 311656 */     // GIR_Coverage, 4904,
     /* 311656 */     GIR_Done,
     /* 311657 */   // Label 6281: @311657
     /* 311657 */   GIM_Reject,
     /* 311658 */ // Label 6279: @311658
     /* 311658 */ GIM_Reject,
     /* 311659 */ // Label 6272: @311659
     /* 311659 */ GIM_Reject,
     /* 311660 */ // Label 64: @311660
     /* 311660 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(8), /*)*//*default:*//*Label 6286*/ GIMT_Encode4(311847),
     /* 311671 */ /*GILLT_s16*//*Label 6282*/ GIMT_Encode4(311699),
     /* 311675 */ /*GILLT_s32*//*Label 6283*/ GIMT_Encode4(311760), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 311687 */ /*GILLT_v2s32*//*Label 6284*/ GIMT_Encode4(311791), GIMT_Encode4(0),
     /* 311695 */ /*GILLT_v4s16*//*Label 6285*/ GIMT_Encode4(311819),
     /* 311699 */ // Label 6282: @311699
     /* 311699 */ GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(311729), // Rule ID 510 //
     /* 311704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311718 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTHDr:{ *:[f16] } FPR64:{ *:[f64] }:$Rn)
     /* 311718 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTHDr),
     /* 311723 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311727 */   GIR_RootConstrainSelectedInstOperands,
     /* 311728 */   // GIR_Coverage, 510,
     /* 311728 */   GIR_Done,
     /* 311729 */ // Label 6287: @311729
     /* 311729 */ GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(311759), // Rule ID 520 //
     /* 311734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311748 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTHSr:{ *:[f16] } FPR32:{ *:[f32] }:$Rn)
     /* 311748 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTHSr),
     /* 311753 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311757 */   GIR_RootConstrainSelectedInstOperands,
     /* 311758 */   // GIR_Coverage, 520,
     /* 311758 */   GIR_Done,
     /* 311759 */ // Label 6288: @311759
     /* 311759 */ GIM_Reject,
     /* 311760 */ // Label 6283: @311760
     /* 311760 */ GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(311790), // Rule ID 512 //
     /* 311765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311779 */   // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTSDr:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 311779 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTSDr),
     /* 311784 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311788 */   GIR_RootConstrainSelectedInstOperands,
     /* 311789 */   // GIR_Coverage, 512,
     /* 311789 */   GIR_Done,
     /* 311790 */ // Label 6289: @311790
     /* 311790 */ GIM_Reject,
     /* 311791 */ // Label 6284: @311791
     /* 311791 */ GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(311818), // Rule ID 4910 //
     /* 311796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 311799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311807 */   // (fpround:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn)  =>  (FCVTNv2i32:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn)
     /* 311807 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv2i32),
     /* 311812 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311816 */   GIR_RootConstrainSelectedInstOperands,
     /* 311817 */   // GIR_Coverage, 4910,
     /* 311817 */   GIR_Done,
     /* 311818 */ // Label 6290: @311818
     /* 311818 */ GIM_Reject,
     /* 311819 */ // Label 6285: @311819
     /* 311819 */ GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(311846), // Rule ID 4912 //
     /* 311824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 311827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311835 */   // (fpround:{ *:[v4f16] } V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNv4i16:{ *:[v4f16] } V128:{ *:[v4f32] }:$Rn)
     /* 311835 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 311840 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311844 */   GIR_RootConstrainSelectedInstOperands,
     /* 311845 */   // GIR_Coverage, 4912,
     /* 311845 */   GIR_Done,
     /* 311846 */ // Label 6291: @311846
     /* 311846 */ GIM_Reject,
     /* 311847 */ // Label 6286: @311847
     /* 311847 */ GIM_Reject,
     /* 311848 */ // Label 65: @311848
     /* 311848 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6299*/ GIMT_Encode4(312824),
     /* 311859 */ /*GILLT_s32*//*Label 6292*/ GIMT_Encode4(311895),
     /* 311863 */ /*GILLT_s64*//*Label 6293*/ GIMT_Encode4(312282), GIMT_Encode4(0),
     /* 311871 */ /*GILLT_v2s32*//*Label 6294*/ GIMT_Encode4(312669),
     /* 311875 */ /*GILLT_v2s64*//*Label 6295*/ GIMT_Encode4(312700),
     /* 311879 */ /*GILLT_v4s16*//*Label 6296*/ GIMT_Encode4(312731),
     /* 311883 */ /*GILLT_v4s32*//*Label 6297*/ GIMT_Encode4(312762), GIMT_Encode4(0),
     /* 311891 */ /*GILLT_v8s16*//*Label 6298*/ GIMT_Encode4(312793),
     /* 311895 */ // Label 6292: @311895
     /* 311895 */ GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(311932), // Rule ID 4649 //
     /* 311900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311907 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311911 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 311915 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311919 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311921 */   // (fp_to_sint:{ *:[i32] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 311921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWSr),
     /* 311924 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311926 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311930 */   GIR_RootConstrainSelectedInstOperands,
     /* 311931 */   // GIR_Coverage, 4649,
     /* 311931 */   GIR_EraseRootFromParent_Done,
     /* 311932 */ // Label 6300: @311932
     /* 311932 */ GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(311969), // Rule ID 4651 //
     /* 311937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311944 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311948 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 311952 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311956 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311958 */   // (fp_to_sint:{ *:[i32] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 311958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWDr),
     /* 311961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311963 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311967 */   GIR_RootConstrainSelectedInstOperands,
     /* 311968 */   // GIR_Coverage, 4651,
     /* 311968 */   GIR_EraseRootFromParent_Done,
     /* 311969 */ // Label 6301: @311969
     /* 311969 */ GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(312006), // Rule ID 4669 //
     /* 311974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311981 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311985 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 311989 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311993 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311995 */   // (fp_to_sint:{ *:[i32] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 311995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWSr),
     /* 311998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312000 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312004 */   GIR_RootConstrainSelectedInstOperands,
     /* 312005 */   // GIR_Coverage, 4669,
     /* 312005 */   GIR_EraseRootFromParent_Done,
     /* 312006 */ // Label 6302: @312006
     /* 312006 */ GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(312043), // Rule ID 4671 //
     /* 312011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312018 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312022 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 312026 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312030 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312032 */   // (fp_to_sint:{ *:[i32] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 312032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWDr),
     /* 312035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312037 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312041 */   GIR_RootConstrainSelectedInstOperands,
     /* 312042 */   // GIR_Coverage, 4671,
     /* 312042 */   GIR_EraseRootFromParent_Done,
     /* 312043 */ // Label 6303: @312043
     /* 312043 */ GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(312080), // Rule ID 4709 //
     /* 312048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312055 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312059 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 312063 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312067 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312069 */   // (fp_to_sint:{ *:[i32] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTASUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 312069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWSr),
     /* 312072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312074 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312078 */   GIR_RootConstrainSelectedInstOperands,
     /* 312079 */   // GIR_Coverage, 4709,
     /* 312079 */   GIR_EraseRootFromParent_Done,
     /* 312080 */ // Label 6304: @312080
     /* 312080 */ GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(312117), // Rule ID 4711 //
     /* 312085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312092 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312096 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 312100 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312104 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312106 */   // (fp_to_sint:{ *:[i32] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTASUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 312106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWDr),
     /* 312109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312111 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312115 */   GIR_RootConstrainSelectedInstOperands,
     /* 312116 */   // GIR_Coverage, 4711,
     /* 312116 */   GIR_EraseRootFromParent_Done,
     /* 312117 */ // Label 6305: @312117
     /* 312117 */ GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(312154), // Rule ID 4689 //
     /* 312122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312129 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312133 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 312137 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312141 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312143 */   // (fp_to_sint:{ *:[i32] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 312143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 312146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312148 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312152 */   GIR_RootConstrainSelectedInstOperands,
     /* 312153 */   // GIR_Coverage, 4689,
     /* 312153 */   GIR_EraseRootFromParent_Done,
     /* 312154 */ // Label 6306: @312154
     /* 312154 */ GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(312191), // Rule ID 4691 //
     /* 312159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312166 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312170 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 312174 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312178 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312180 */   // (fp_to_sint:{ *:[i32] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 312180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 312183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312185 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312189 */   GIR_RootConstrainSelectedInstOperands,
     /* 312190 */   // GIR_Coverage, 4691,
     /* 312190 */   GIR_EraseRootFromParent_Done,
     /* 312191 */ // Label 6307: @312191
     /* 312191 */ GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(312221), // Rule ID 395 //
     /* 312196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 312199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 312202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312210 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 312210 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /* 312215 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312219 */   GIR_RootConstrainSelectedInstOperands,
     /* 312220 */   // GIR_Coverage, 395,
     /* 312220 */   GIR_Done,
     /* 312221 */ // Label 6308: @312221
     /* 312221 */ GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(312251), // Rule ID 399 //
     /* 312226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 312229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312240 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 312240 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 312245 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312249 */   GIR_RootConstrainSelectedInstOperands,
     /* 312250 */   // GIR_Coverage, 399,
     /* 312250 */   GIR_Done,
     /* 312251 */ // Label 6309: @312251
     /* 312251 */ GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(312281), // Rule ID 403 //
     /* 312256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 312259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312270 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 312270 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 312275 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312279 */   GIR_RootConstrainSelectedInstOperands,
     /* 312280 */   // GIR_Coverage, 403,
     /* 312280 */   GIR_Done,
     /* 312281 */ // Label 6310: @312281
     /* 312281 */ GIM_Reject,
     /* 312282 */ // Label 6293: @312282
     /* 312282 */ GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(312319), // Rule ID 4650 //
     /* 312287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312294 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312298 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 312302 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312306 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312308 */   // (fp_to_sint:{ *:[i64] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 312308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXSr),
     /* 312311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312313 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312317 */   GIR_RootConstrainSelectedInstOperands,
     /* 312318 */   // GIR_Coverage, 4650,
     /* 312318 */   GIR_EraseRootFromParent_Done,
     /* 312319 */ // Label 6311: @312319
     /* 312319 */ GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(312356), // Rule ID 4652 //
     /* 312324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312331 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312335 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 312339 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312343 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312345 */   // (fp_to_sint:{ *:[i64] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 312345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXDr),
     /* 312348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312350 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312354 */   GIR_RootConstrainSelectedInstOperands,
     /* 312355 */   // GIR_Coverage, 4652,
     /* 312355 */   GIR_EraseRootFromParent_Done,
     /* 312356 */ // Label 6312: @312356
     /* 312356 */ GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(312393), // Rule ID 4670 //
     /* 312361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312368 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312372 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 312376 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312380 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312382 */   // (fp_to_sint:{ *:[i64] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 312382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXSr),
     /* 312385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312387 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312391 */   GIR_RootConstrainSelectedInstOperands,
     /* 312392 */   // GIR_Coverage, 4670,
     /* 312392 */   GIR_EraseRootFromParent_Done,
     /* 312393 */ // Label 6313: @312393
     /* 312393 */ GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(312430), // Rule ID 4672 //
     /* 312398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312405 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312409 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 312413 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312417 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312419 */   // (fp_to_sint:{ *:[i64] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 312419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXDr),
     /* 312422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312424 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312428 */   GIR_RootConstrainSelectedInstOperands,
     /* 312429 */   // GIR_Coverage, 4672,
     /* 312429 */   GIR_EraseRootFromParent_Done,
     /* 312430 */ // Label 6314: @312430
     /* 312430 */ GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(312467), // Rule ID 4710 //
     /* 312435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312442 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312446 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 312450 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312454 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312456 */   // (fp_to_sint:{ *:[i64] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTASUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 312456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 312459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312461 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312465 */   GIR_RootConstrainSelectedInstOperands,
     /* 312466 */   // GIR_Coverage, 4710,
     /* 312466 */   GIR_EraseRootFromParent_Done,
     /* 312467 */ // Label 6315: @312467
     /* 312467 */ GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(312504), // Rule ID 4712 //
     /* 312472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312479 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312483 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 312487 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312491 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312493 */   // (fp_to_sint:{ *:[i64] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTASUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 312493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 312496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312498 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312502 */   GIR_RootConstrainSelectedInstOperands,
     /* 312503 */   // GIR_Coverage, 4712,
     /* 312503 */   GIR_EraseRootFromParent_Done,
     /* 312504 */ // Label 6316: @312504
     /* 312504 */ GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(312541), // Rule ID 4690 //
     /* 312509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312516 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312520 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 312524 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312528 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312530 */   // (fp_to_sint:{ *:[i64] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 312530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 312533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312535 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312539 */   GIR_RootConstrainSelectedInstOperands,
     /* 312540 */   // GIR_Coverage, 4690,
     /* 312540 */   GIR_EraseRootFromParent_Done,
     /* 312541 */ // Label 6317: @312541
     /* 312541 */ GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(312578), // Rule ID 4692 //
     /* 312546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312553 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312557 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 312561 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312565 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312567 */   // (fp_to_sint:{ *:[i64] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 312567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 312570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312572 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312576 */   GIR_RootConstrainSelectedInstOperands,
     /* 312577 */   // GIR_Coverage, 4692,
     /* 312577 */   GIR_EraseRootFromParent_Done,
     /* 312578 */ // Label 6318: @312578
     /* 312578 */ GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(312608), // Rule ID 397 //
     /* 312583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 312586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 312589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312597 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 312597 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /* 312602 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312606 */   GIR_RootConstrainSelectedInstOperands,
     /* 312607 */   // GIR_Coverage, 397,
     /* 312607 */   GIR_Done,
     /* 312608 */ // Label 6319: @312608
     /* 312608 */ GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(312638), // Rule ID 401 //
     /* 312613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 312616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312627 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 312627 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 312632 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312636 */   GIR_RootConstrainSelectedInstOperands,
     /* 312637 */   // GIR_Coverage, 401,
     /* 312637 */   GIR_Done,
     /* 312638 */ // Label 6320: @312638
     /* 312638 */ GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(312668), // Rule ID 405 //
     /* 312643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 312646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312657 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 312657 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 312662 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312666 */   GIR_RootConstrainSelectedInstOperands,
     /* 312667 */   // GIR_Coverage, 405,
     /* 312667 */   GIR_Done,
     /* 312668 */ // Label 6321: @312668
     /* 312668 */ GIM_Reject,
     /* 312669 */ // Label 6294: @312669
     /* 312669 */ GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(312699), // Rule ID 843 //
     /* 312674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 312680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312688 */   // (fp_to_sint:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCVTZSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 312688 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f32),
     /* 312693 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312697 */   GIR_RootConstrainSelectedInstOperands,
     /* 312698 */   // GIR_Coverage, 843,
     /* 312698 */   GIR_Done,
     /* 312699 */ // Label 6322: @312699
     /* 312699 */ GIM_Reject,
     /* 312700 */ // Label 6295: @312700
     /* 312700 */ GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(312730), // Rule ID 847 //
     /* 312705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 312711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312719 */   // (fp_to_sint:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCVTZSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 312719 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 312724 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312728 */   GIR_RootConstrainSelectedInstOperands,
     /* 312729 */   // GIR_Coverage, 847,
     /* 312729 */   GIR_Done,
     /* 312730 */ // Label 6323: @312730
     /* 312730 */ GIM_Reject,
     /* 312731 */ // Label 6296: @312731
     /* 312731 */ GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(312761), // Rule ID 839 //
     /* 312736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 312739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 312742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312750 */   // (fp_to_sint:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCVTZSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 312750 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f16),
     /* 312755 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312759 */   GIR_RootConstrainSelectedInstOperands,
     /* 312760 */   // GIR_Coverage, 839,
     /* 312760 */   GIR_Done,
     /* 312761 */ // Label 6324: @312761
     /* 312761 */ GIM_Reject,
     /* 312762 */ // Label 6297: @312762
     /* 312762 */ GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(312792), // Rule ID 845 //
     /* 312767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 312773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312781 */   // (fp_to_sint:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCVTZSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 312781 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f32),
     /* 312786 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312790 */   GIR_RootConstrainSelectedInstOperands,
     /* 312791 */   // GIR_Coverage, 845,
     /* 312791 */   GIR_Done,
     /* 312792 */ // Label 6325: @312792
     /* 312792 */ GIM_Reject,
     /* 312793 */ // Label 6298: @312793
     /* 312793 */ GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(312823), // Rule ID 841 //
     /* 312798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 312801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 312804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312812 */   // (fp_to_sint:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTZSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 312812 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8f16),
     /* 312817 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312821 */   GIR_RootConstrainSelectedInstOperands,
     /* 312822 */   // GIR_Coverage, 841,
     /* 312822 */   GIR_Done,
     /* 312823 */ // Label 6326: @312823
     /* 312823 */ GIM_Reject,
     /* 312824 */ // Label 6299: @312824
     /* 312824 */ GIM_Reject,
     /* 312825 */ // Label 66: @312825
     /* 312825 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6334*/ GIMT_Encode4(313801),
     /* 312836 */ /*GILLT_s32*//*Label 6327*/ GIMT_Encode4(312872),
     /* 312840 */ /*GILLT_s64*//*Label 6328*/ GIMT_Encode4(313259), GIMT_Encode4(0),
     /* 312848 */ /*GILLT_v2s32*//*Label 6329*/ GIMT_Encode4(313646),
     /* 312852 */ /*GILLT_v2s64*//*Label 6330*/ GIMT_Encode4(313677),
     /* 312856 */ /*GILLT_v4s16*//*Label 6331*/ GIMT_Encode4(313708),
     /* 312860 */ /*GILLT_v4s32*//*Label 6332*/ GIMT_Encode4(313739), GIMT_Encode4(0),
     /* 312868 */ /*GILLT_v8s16*//*Label 6333*/ GIMT_Encode4(313770),
     /* 312872 */ // Label 6327: @312872
     /* 312872 */ GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(312909), // Rule ID 4659 //
     /* 312877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312884 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312888 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 312892 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312896 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312898 */   // (fp_to_uint:{ *:[i32] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 312898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWSr),
     /* 312901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312903 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312907 */   GIR_RootConstrainSelectedInstOperands,
     /* 312908 */   // GIR_Coverage, 4659,
     /* 312908 */   GIR_EraseRootFromParent_Done,
     /* 312909 */ // Label 6335: @312909
     /* 312909 */ GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(312946), // Rule ID 4661 //
     /* 312914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312921 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312925 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 312929 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312933 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312935 */   // (fp_to_uint:{ *:[i32] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 312935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWDr),
     /* 312938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312940 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312944 */   GIR_RootConstrainSelectedInstOperands,
     /* 312945 */   // GIR_Coverage, 4661,
     /* 312945 */   GIR_EraseRootFromParent_Done,
     /* 312946 */ // Label 6336: @312946
     /* 312946 */ GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(312983), // Rule ID 4679 //
     /* 312951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312958 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312962 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 312966 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312970 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312972 */   // (fp_to_uint:{ *:[i32] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 312972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWSr),
     /* 312975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312977 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312981 */   GIR_RootConstrainSelectedInstOperands,
     /* 312982 */   // GIR_Coverage, 4679,
     /* 312982 */   GIR_EraseRootFromParent_Done,
     /* 312983 */ // Label 6337: @312983
     /* 312983 */ GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(313020), // Rule ID 4681 //
     /* 312988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312995 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312999 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 313003 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 313007 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313009 */   // (fp_to_uint:{ *:[i32] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 313009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWDr),
     /* 313012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313014 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313018 */   GIR_RootConstrainSelectedInstOperands,
     /* 313019 */   // GIR_Coverage, 4681,
     /* 313019 */   GIR_EraseRootFromParent_Done,
     /* 313020 */ // Label 6338: @313020
     /* 313020 */ GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(313057), // Rule ID 4719 //
     /* 313025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 313032 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313036 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 313040 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 313044 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313046 */   // (fp_to_uint:{ *:[i32] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTAUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 313046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWSr),
     /* 313049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313051 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313055 */   GIR_RootConstrainSelectedInstOperands,
     /* 313056 */   // GIR_Coverage, 4719,
     /* 313056 */   GIR_EraseRootFromParent_Done,
     /* 313057 */ // Label 6339: @313057
     /* 313057 */ GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(313094), // Rule ID 4721 //
     /* 313062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 313069 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313073 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 313077 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 313081 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313083 */   // (fp_to_uint:{ *:[i32] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTAUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 313083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWDr),
     /* 313086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313088 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313092 */   GIR_RootConstrainSelectedInstOperands,
     /* 313093 */   // GIR_Coverage, 4721,
     /* 313093 */   GIR_EraseRootFromParent_Done,
     /* 313094 */ // Label 6340: @313094
     /* 313094 */ GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(313131), // Rule ID 4699 //
     /* 313099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 313106 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313110 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 313114 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 313118 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313120 */   // (fp_to_uint:{ *:[i32] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 313120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 313123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313125 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313129 */   GIR_RootConstrainSelectedInstOperands,
     /* 313130 */   // GIR_Coverage, 4699,
     /* 313130 */   GIR_EraseRootFromParent_Done,
     /* 313131 */ // Label 6341: @313131
     /* 313131 */ GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(313168), // Rule ID 4701 //
     /* 313136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 313143 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313147 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 313151 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 313155 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313157 */   // (fp_to_uint:{ *:[i32] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 313157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 313160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313162 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313166 */   GIR_RootConstrainSelectedInstOperands,
     /* 313167 */   // GIR_Coverage, 4701,
     /* 313167 */   GIR_EraseRootFromParent_Done,
     /* 313168 */ // Label 6342: @313168
     /* 313168 */ GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(313198), // Rule ID 407 //
     /* 313173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 313176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 313179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 313183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313187 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 313187 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWHr),
     /* 313192 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313196 */   GIR_RootConstrainSelectedInstOperands,
     /* 313197 */   // GIR_Coverage, 407,
     /* 313197 */   GIR_Done,
     /* 313198 */ // Label 6343: @313198
     /* 313198 */ GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(313228), // Rule ID 411 //
     /* 313203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 313206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 313213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313217 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 313217 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 313222 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313226 */   GIR_RootConstrainSelectedInstOperands,
     /* 313227 */   // GIR_Coverage, 411,
     /* 313227 */   GIR_Done,
     /* 313228 */ // Label 6344: @313228
     /* 313228 */ GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(313258), // Rule ID 415 //
     /* 313233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 313236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 313243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313247 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 313247 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 313252 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313256 */   GIR_RootConstrainSelectedInstOperands,
     /* 313257 */   // GIR_Coverage, 415,
     /* 313257 */   GIR_Done,
     /* 313258 */ // Label 6345: @313258
     /* 313258 */ GIM_Reject,
     /* 313259 */ // Label 6328: @313259
     /* 313259 */ GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(313296), // Rule ID 4660 //
     /* 313264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313271 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313275 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 313279 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 313283 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313285 */   // (fp_to_uint:{ *:[i64] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 313285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXSr),
     /* 313288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313290 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313294 */   GIR_RootConstrainSelectedInstOperands,
     /* 313295 */   // GIR_Coverage, 4660,
     /* 313295 */   GIR_EraseRootFromParent_Done,
     /* 313296 */ // Label 6346: @313296
     /* 313296 */ GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(313333), // Rule ID 4662 //
     /* 313301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313308 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313312 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 313316 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 313320 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313322 */   // (fp_to_uint:{ *:[i64] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 313322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXDr),
     /* 313325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313327 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313331 */   GIR_RootConstrainSelectedInstOperands,
     /* 313332 */   // GIR_Coverage, 4662,
     /* 313332 */   GIR_EraseRootFromParent_Done,
     /* 313333 */ // Label 6347: @313333
     /* 313333 */ GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(313370), // Rule ID 4680 //
     /* 313338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313345 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313349 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 313353 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 313357 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313359 */   // (fp_to_uint:{ *:[i64] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 313359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXSr),
     /* 313362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313364 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313368 */   GIR_RootConstrainSelectedInstOperands,
     /* 313369 */   // GIR_Coverage, 4680,
     /* 313369 */   GIR_EraseRootFromParent_Done,
     /* 313370 */ // Label 6348: @313370
     /* 313370 */ GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(313407), // Rule ID 4682 //
     /* 313375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313382 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313386 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 313390 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 313394 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313396 */   // (fp_to_uint:{ *:[i64] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 313396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXDr),
     /* 313399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313401 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313405 */   GIR_RootConstrainSelectedInstOperands,
     /* 313406 */   // GIR_Coverage, 4682,
     /* 313406 */   GIR_EraseRootFromParent_Done,
     /* 313407 */ // Label 6349: @313407
     /* 313407 */ GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(313444), // Rule ID 4720 //
     /* 313412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313419 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313423 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 313427 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 313431 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313433 */   // (fp_to_uint:{ *:[i64] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTAUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 313433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXSr),
     /* 313436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313438 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313442 */   GIR_RootConstrainSelectedInstOperands,
     /* 313443 */   // GIR_Coverage, 4720,
     /* 313443 */   GIR_EraseRootFromParent_Done,
     /* 313444 */ // Label 6350: @313444
     /* 313444 */ GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(313481), // Rule ID 4722 //
     /* 313449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313456 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313460 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 313464 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 313468 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313470 */   // (fp_to_uint:{ *:[i64] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTAUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 313470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXDr),
     /* 313473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313475 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313479 */   GIR_RootConstrainSelectedInstOperands,
     /* 313480 */   // GIR_Coverage, 4722,
     /* 313480 */   GIR_EraseRootFromParent_Done,
     /* 313481 */ // Label 6351: @313481
     /* 313481 */ GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(313518), // Rule ID 4700 //
     /* 313486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313493 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313497 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 313501 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 313505 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313507 */   // (fp_to_uint:{ *:[i64] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 313507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 313510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313512 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313516 */   GIR_RootConstrainSelectedInstOperands,
     /* 313517 */   // GIR_Coverage, 4700,
     /* 313517 */   GIR_EraseRootFromParent_Done,
     /* 313518 */ // Label 6352: @313518
     /* 313518 */ GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(313555), // Rule ID 4702 //
     /* 313523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313530 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313534 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 313538 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 313542 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313544 */   // (fp_to_uint:{ *:[i64] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 313544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 313547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313549 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313553 */   GIR_RootConstrainSelectedInstOperands,
     /* 313554 */   // GIR_Coverage, 4702,
     /* 313554 */   GIR_EraseRootFromParent_Done,
     /* 313555 */ // Label 6353: @313555
     /* 313555 */ GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(313585), // Rule ID 409 //
     /* 313560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 313563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 313566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313574 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 313574 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXHr),
     /* 313579 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313583 */   GIR_RootConstrainSelectedInstOperands,
     /* 313584 */   // GIR_Coverage, 409,
     /* 313584 */   GIR_Done,
     /* 313585 */ // Label 6354: @313585
     /* 313585 */ GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(313615), // Rule ID 413 //
     /* 313590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 313593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313604 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 313604 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 313609 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313613 */   GIR_RootConstrainSelectedInstOperands,
     /* 313614 */   // GIR_Coverage, 413,
     /* 313614 */   GIR_Done,
     /* 313615 */ // Label 6355: @313615
     /* 313615 */ GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(313645), // Rule ID 417 //
     /* 313620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 313623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313634 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 313634 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 313639 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313643 */   GIR_RootConstrainSelectedInstOperands,
     /* 313644 */   // GIR_Coverage, 417,
     /* 313644 */   GIR_Done,
     /* 313645 */ // Label 6356: @313645
     /* 313645 */ GIM_Reject,
     /* 313646 */ // Label 6329: @313646
     /* 313646 */ GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(313676), // Rule ID 853 //
     /* 313651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 313654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 313657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313665 */   // (fp_to_uint:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCVTZUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 313665 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f32),
     /* 313670 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313674 */   GIR_RootConstrainSelectedInstOperands,
     /* 313675 */   // GIR_Coverage, 853,
     /* 313675 */   GIR_Done,
     /* 313676 */ // Label 6357: @313676
     /* 313676 */ GIM_Reject,
     /* 313677 */ // Label 6330: @313677
     /* 313677 */ GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(313707), // Rule ID 857 //
     /* 313682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 313685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 313688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313696 */   // (fp_to_uint:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCVTZUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 313696 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 313701 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313705 */   GIR_RootConstrainSelectedInstOperands,
     /* 313706 */   // GIR_Coverage, 857,
     /* 313706 */   GIR_Done,
     /* 313707 */ // Label 6358: @313707
     /* 313707 */ GIM_Reject,
     /* 313708 */ // Label 6331: @313708
     /* 313708 */ GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(313738), // Rule ID 849 //
     /* 313713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 313716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 313719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313727 */   // (fp_to_uint:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCVTZUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 313727 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f16),
     /* 313732 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313736 */   GIR_RootConstrainSelectedInstOperands,
     /* 313737 */   // GIR_Coverage, 849,
     /* 313737 */   GIR_Done,
     /* 313738 */ // Label 6359: @313738
     /* 313738 */ GIM_Reject,
     /* 313739 */ // Label 6332: @313739
     /* 313739 */ GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(313769), // Rule ID 855 //
     /* 313744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 313747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 313750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313758 */   // (fp_to_uint:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCVTZUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 313758 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f32),
     /* 313763 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313767 */   GIR_RootConstrainSelectedInstOperands,
     /* 313768 */   // GIR_Coverage, 855,
     /* 313768 */   GIR_Done,
     /* 313769 */ // Label 6360: @313769
     /* 313769 */ GIM_Reject,
     /* 313770 */ // Label 6333: @313770
     /* 313770 */ GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(313800), // Rule ID 851 //
     /* 313775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 313778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 313781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313789 */   // (fp_to_uint:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTZUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 313789 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8f16),
     /* 313794 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313798 */   GIR_RootConstrainSelectedInstOperands,
     /* 313799 */   // GIR_Coverage, 851,
     /* 313799 */   GIR_Done,
     /* 313800 */ // Label 6361: @313800
     /* 313800 */ GIM_Reject,
     /* 313801 */ // Label 6334: @313801
     /* 313801 */ GIM_Reject,
     /* 313802 */ // Label 67: @313802
     /* 313802 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6370*/ GIMT_Encode4(318429),
     /* 313813 */ /*GILLT_s16*//*Label 6362*/ GIMT_Encode4(313853),
     /* 313817 */ /*GILLT_s32*//*Label 6363*/ GIMT_Encode4(314294),
     /* 313821 */ /*GILLT_s64*//*Label 6364*/ GIMT_Encode4(316290), GIMT_Encode4(0),
     /* 313829 */ /*GILLT_v2s32*//*Label 6365*/ GIMT_Encode4(318274),
     /* 313833 */ /*GILLT_v2s64*//*Label 6366*/ GIMT_Encode4(318305),
     /* 313837 */ /*GILLT_v4s16*//*Label 6367*/ GIMT_Encode4(318336),
     /* 313841 */ /*GILLT_v4s32*//*Label 6368*/ GIMT_Encode4(318367), GIMT_Encode4(0),
     /* 313849 */ /*GILLT_v8s16*//*Label 6369*/ GIMT_Encode4(318398),
     /* 313853 */ // Label 6362: @313853
     /* 313853 */ GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(313956), // Rule ID 5323 //
     /* 313858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 313861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313868 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313872 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 313876 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 313880 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 313884 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 313888 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 313892 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 313896 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313901 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 313905 */   // MIs[1] Operand 2
     /* 313905 */   GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 313916 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 313918 */   // (sint_to_fp:{ *:[f16] } (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), i16:{ *:[Other] }))  =>  (SCVTFv1i16:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR128:{ *:[v8i16] }:$Rn, hsub:{ *:[i32] }))
     /* 313918 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 313921 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313925 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313930 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 313936 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313941 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i16),
     /* 313949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313951 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313954 */   GIR_RootConstrainSelectedInstOperands,
     /* 313955 */   // GIR_Coverage, 5323,
     /* 313955 */   GIR_EraseRootFromParent_Done,
     /* 313956 */ // Label 6371: @313956
     /* 313956 */ GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(314036), // Rule ID 2444 //
     /* 313961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 313964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313971 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313975 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 313979 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 313983 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 313987 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313992 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 313996 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313998 */   // (sint_to_fp:{ *:[f16] } (extractelt:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFHSr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 313998 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314001 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314005 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314010 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 314016 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314021 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFHSr),
     /* 314029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314031 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314034 */   GIR_RootConstrainSelectedInstOperands,
     /* 314035 */   // GIR_Coverage, 2444,
     /* 314035 */   GIR_EraseRootFromParent_Done,
     /* 314036 */ // Label 6372: @314036
     /* 314036 */ GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(314116), // Rule ID 2448 //
     /* 314041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 314044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 314047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314051 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314055 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 314059 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 314063 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 314067 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314072 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 314076 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314078 */   // (sint_to_fp:{ *:[f16] } (extractelt:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFHDr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 314078 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 314081 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314085 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314090 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 314096 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314101 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFHDr),
     /* 314109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314111 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314114 */   GIR_RootConstrainSelectedInstOperands,
     /* 314115 */   // GIR_Coverage, 2448,
     /* 314115 */   GIR_EraseRootFromParent_Done,
     /* 314116 */ // Label 6373: @314116
     /* 314116 */ GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(314173), // Rule ID 5314 //
     /* 314121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 314124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314131 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314135 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOSI),
     /* 314139 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 314143 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314145 */   // (sint_to_fp:{ *:[f16] } (fp_to_sint:{ *:[i32] } f16:{ *:[f16] }:$Rn))  =>  (SCVTFv1i16:{ *:[f16] } (FCVTZSv1f16:{ *:[f16] } f16:{ *:[f16] }:$Rn))
     /* 314145 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 314148 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1f16),
     /* 314152 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314157 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 314161 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i16),
     /* 314166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314168 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314171 */   GIR_RootConstrainSelectedInstOperands,
     /* 314172 */   // GIR_Coverage, 5314,
     /* 314172 */   GIR_EraseRootFromParent_Done,
     /* 314173 */ // Label 6374: @314173
     /* 314173 */ GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(314203), // Rule ID 443 //
     /* 314178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 314181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 314192 */   // (sint_to_fp:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)  =>  (SCVTFUWHri:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)
     /* 314192 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUWHri),
     /* 314197 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 314201 */   GIR_RootConstrainSelectedInstOperands,
     /* 314202 */   // GIR_Coverage, 443,
     /* 314202 */   GIR_Done,
     /* 314203 */ // Label 6375: @314203
     /* 314203 */ GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(314233), // Rule ID 449 //
     /* 314208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 314211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 314214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 314222 */   // (sint_to_fp:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)  =>  (SCVTFUXHri:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)
     /* 314222 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUXHri),
     /* 314227 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 314231 */   GIR_RootConstrainSelectedInstOperands,
     /* 314232 */   // GIR_Coverage, 449,
     /* 314232 */   GIR_Done,
     /* 314233 */ // Label 6376: @314233
     /* 314233 */ GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(314263), // Rule ID 491 //
     /* 314238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 314241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314252 */   // (sint_to_fp:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)  =>  (SCVTFHSr:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)
     /* 314252 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFHSr),
     /* 314257 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 314261 */   GIR_RootConstrainSelectedInstOperands,
     /* 314262 */   // GIR_Coverage, 491,
     /* 314262 */   GIR_Done,
     /* 314263 */ // Label 6377: @314263
     /* 314263 */ GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(314293), // Rule ID 495 //
     /* 314268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 314271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 314274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314282 */   // (sint_to_fp:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)  =>  (SCVTFHDr:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)
     /* 314282 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFHDr),
     /* 314287 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 314291 */   GIR_RootConstrainSelectedInstOperands,
     /* 314292 */   // GIR_Coverage, 495,
     /* 314292 */   GIR_Done,
     /* 314293 */ // Label 6378: @314293
     /* 314293 */ GIM_Reject,
     /* 314294 */ // Label 6363: @314294
     /* 314294 */ GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(314532), // Rule ID 6386 //
     /* 314299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314309 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314313 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 314317 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314320 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 314327 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 314331 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314333 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 314340 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$ext), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 314340 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 314343 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 314347 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314352 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 314357 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 314362 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 314367 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 314372 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 314374 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 314377 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 314381 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 314388 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 314391 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 314395 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314400 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 314403 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 314406 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 314409 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314414 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314419 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 314424 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 314427 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 314431 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314436 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 314439 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 314442 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 314444 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 314447 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314451 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314456 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 314463 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314468 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314473 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 314476 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 314480 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314485 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 314488 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 314491 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314493 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314496 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314500 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314505 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 314512 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314517 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 314525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314527 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314530 */   GIR_RootConstrainSelectedInstOperands,
     /* 314531 */   // GIR_Coverage, 6386,
     /* 314531 */   GIR_EraseRootFromParent_Done,
     /* 314532 */ // Label 6379: @314532
     /* 314532 */ GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(314770), // Rule ID 6387 //
     /* 314537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314547 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314551 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 314555 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314558 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 314565 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 314569 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314571 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 314578 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$ext), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 314578 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 314581 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 314585 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314590 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 314595 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 314600 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 314605 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 314610 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 314612 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 314615 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 314619 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314624 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 314626 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 314629 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 314633 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314638 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 314641 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 314644 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 314647 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314652 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314657 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 314662 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 314665 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 314669 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314674 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 314677 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 314680 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 314682 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 314685 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314689 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314694 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 314701 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314706 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314711 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 314714 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 314718 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314723 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 314726 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 314729 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314731 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314734 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314738 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314743 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 314750 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314755 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 314763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314768 */   GIR_RootConstrainSelectedInstOperands,
     /* 314769 */   // GIR_Coverage, 6387,
     /* 314769 */   GIR_EraseRootFromParent_Done,
     /* 314770 */ // Label 6380: @314770
     /* 314770 */ GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(314959), // Rule ID 6390 //
     /* 314775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314785 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314789 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 314793 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314796 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 314803 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 314807 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314809 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 314816 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 314816 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 314819 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 314823 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314828 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 314833 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 314838 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 314843 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 314848 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 314850 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 314853 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 314857 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314862 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 314864 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 314867 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 314871 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314876 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 314879 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 314882 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 314885 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314890 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314895 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314900 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 314903 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 314907 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314912 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 314915 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 314918 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314920 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314923 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314927 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314932 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 314939 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314944 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 314952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314954 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314957 */   GIR_RootConstrainSelectedInstOperands,
     /* 314958 */   // GIR_Coverage, 6390,
     /* 314958 */   GIR_EraseRootFromParent_Done,
     /* 314959 */ // Label 6381: @314959
     /* 314959 */ GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(315148), // Rule ID 6391 //
     /* 314964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314974 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314978 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 314982 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314985 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 314992 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 314996 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314998 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 315005 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 315005 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 315008 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 315012 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315017 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315022 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 315027 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 315032 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 315039 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 315042 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315046 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315053 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315056 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315060 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315065 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 315068 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 315071 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 315074 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315079 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315084 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 315089 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315092 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 315096 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315101 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315104 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315107 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315109 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 315112 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315116 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315121 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 315128 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315133 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 315141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315143 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315146 */   GIR_RootConstrainSelectedInstOperands,
     /* 315147 */   // GIR_Coverage, 6391,
     /* 315147 */   GIR_EraseRootFromParent_Done,
     /* 315148 */ // Label 6382: @315148
     /* 315148 */ GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(315381), // Rule ID 6388 //
     /* 315153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 315156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315163 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315167 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 315171 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 315174 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 315181 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315185 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315187 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 315194 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 315194 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 315197 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 315201 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315206 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315211 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 315216 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315221 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 315223 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 315226 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315230 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315235 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 315237 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 315240 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315244 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315249 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 315252 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 315255 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 315258 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315263 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315268 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 315273 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 315276 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 315280 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315285 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 315288 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 315291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315293 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315296 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315300 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315305 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 315312 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315317 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315322 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315325 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 315329 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315334 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315337 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315340 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315342 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 315345 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315349 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315354 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 315361 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315366 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 315374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315376 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315379 */   GIR_RootConstrainSelectedInstOperands,
     /* 315380 */   // GIR_Coverage, 6388,
     /* 315380 */   GIR_EraseRootFromParent_Done,
     /* 315381 */ // Label 6383: @315381
     /* 315381 */ GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(315614), // Rule ID 6389 //
     /* 315386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 315389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315396 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315400 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 315404 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 315407 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 315414 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315418 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315420 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 315427 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 315427 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 315430 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 315434 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315439 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315444 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 315449 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315454 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 315456 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 315459 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315463 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315468 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 315470 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 315473 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315477 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315482 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 315485 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 315488 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 315491 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315496 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315501 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 315506 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 315509 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 315513 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315518 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 315521 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 315524 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315526 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315529 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315533 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315538 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 315545 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315550 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315555 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315558 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 315562 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315567 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315570 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315573 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 315578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315587 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 315594 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315599 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 315607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315609 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315612 */   GIR_RootConstrainSelectedInstOperands,
     /* 315613 */   // GIR_Coverage, 6389,
     /* 315613 */   GIR_EraseRootFromParent_Done,
     /* 315614 */ // Label 6384: @315614
     /* 315614 */ GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(315798), // Rule ID 6392 //
     /* 315619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 315622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315629 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315633 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 315637 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 315640 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 315647 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315651 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315653 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 315660 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 315660 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 315663 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 315667 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315672 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 315682 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315687 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 315689 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 315692 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315696 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315703 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315706 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315710 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315715 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 315718 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 315721 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 315724 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315729 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315734 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 315739 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315742 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 315746 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315751 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315754 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315757 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315759 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 315762 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315766 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315771 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 315778 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315783 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 315791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315796 */   GIR_RootConstrainSelectedInstOperands,
     /* 315797 */   // GIR_Coverage, 6392,
     /* 315797 */   GIR_EraseRootFromParent_Done,
     /* 315798 */ // Label 6385: @315798
     /* 315798 */ GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(315982), // Rule ID 6393 //
     /* 315803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 315806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315813 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315817 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 315821 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 315824 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 315831 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315835 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315837 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 315844 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 315844 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 315847 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 315851 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315856 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315861 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 315866 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315871 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 315873 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 315876 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315880 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315885 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315887 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315890 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315894 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315899 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 315902 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 315905 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 315908 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315913 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315918 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 315923 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315926 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 315930 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315935 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315938 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315941 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315943 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 315946 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315950 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315955 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 315962 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315967 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 315975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315977 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315980 */   GIR_RootConstrainSelectedInstOperands,
     /* 315981 */   // GIR_Coverage, 6393,
     /* 315981 */   GIR_EraseRootFromParent_Done,
     /* 315982 */ // Label 6386: @315982
     /* 315982 */ GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(316062), // Rule ID 2450 //
     /* 315987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 315990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 315993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315997 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316001 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 316005 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 316009 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 316013 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316018 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 316022 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316024 */   // (sint_to_fp:{ *:[f32] } (extractelt:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFSDr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 316024 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 316027 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316031 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316036 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 316042 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316047 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFSDr),
     /* 316055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316057 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316060 */   GIR_RootConstrainSelectedInstOperands,
     /* 316061 */   // GIR_Coverage, 2450,
     /* 316061 */   GIR_EraseRootFromParent_Done,
     /* 316062 */ // Label 6387: @316062
     /* 316062 */ GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(316142), // Rule ID 5319 //
     /* 316067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 316070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316077 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316081 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 316085 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 316089 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 316093 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316098 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 316102 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316104 */   // (sint_to_fp:{ *:[f32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 316104 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 316107 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316111 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316116 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 316122 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316127 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 316135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316137 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316140 */   GIR_RootConstrainSelectedInstOperands,
     /* 316141 */   // GIR_Coverage, 5319,
     /* 316141 */   GIR_EraseRootFromParent_Done,
     /* 316142 */ // Label 6388: @316142
     /* 316142 */ GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(316199), // Rule ID 5302 //
     /* 316147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 316150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316157 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316161 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOSI),
     /* 316165 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 316169 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316171 */   // (sint_to_fp:{ *:[f32] } (fp_to_sint:{ *:[i32] } f32:{ *:[f32] }:$Rn))  =>  (SCVTFv1i32:{ *:[f32] } (FCVTZSv1i32:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /* 316171 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 316174 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1i32),
     /* 316178 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316183 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 316187 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 316189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 316192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316194 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316197 */   GIR_RootConstrainSelectedInstOperands,
     /* 316198 */   // GIR_Coverage, 5302,
     /* 316198 */   GIR_EraseRootFromParent_Done,
     /* 316199 */ // Label 6389: @316199
     /* 316199 */ GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(316229), // Rule ID 445 //
     /* 316204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 316207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 316218 */   // (sint_to_fp:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)  =>  (SCVTFUWSri:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)
     /* 316218 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUWSri),
     /* 316223 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316227 */   GIR_RootConstrainSelectedInstOperands,
     /* 316228 */   // GIR_Coverage, 445,
     /* 316228 */   GIR_Done,
     /* 316229 */ // Label 6390: @316229
     /* 316229 */ GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(316259), // Rule ID 451 //
     /* 316234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 316237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 316240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 316248 */   // (sint_to_fp:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)  =>  (SCVTFUXSri:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)
     /* 316248 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUXSri),
     /* 316253 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316257 */   GIR_RootConstrainSelectedInstOperands,
     /* 316258 */   // GIR_Coverage, 451,
     /* 316258 */   GIR_Done,
     /* 316259 */ // Label 6391: @316259
     /* 316259 */ GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(316289), // Rule ID 497 //
     /* 316264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 316267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 316270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316278 */   // (sint_to_fp:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)  =>  (SCVTFSDr:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)
     /* 316278 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFSDr),
     /* 316283 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316287 */   GIR_RootConstrainSelectedInstOperands,
     /* 316288 */   // GIR_Coverage, 497,
     /* 316288 */   GIR_Done,
     /* 316289 */ // Label 6392: @316289
     /* 316289 */ GIM_Reject,
     /* 316290 */ // Label 6364: @316290
     /* 316290 */ GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(316476), // Rule ID 6398 //
     /* 316295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 316298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316305 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316309 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 316313 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 316316 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 316320 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 316324 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316326 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 316333 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$ext), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 316333 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 316336 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 316340 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316345 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 316350 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 316355 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 316360 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 316365 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 316367 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 316370 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 316374 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316379 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 316381 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 316384 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 316388 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316393 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 316396 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 316399 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 316402 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316407 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316412 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316417 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 316420 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 316424 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316429 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 316432 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 316435 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 316437 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 316440 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316444 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316449 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316456 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316461 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 316469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316471 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316474 */   GIR_RootConstrainSelectedInstOperands,
     /* 316475 */   // GIR_Coverage, 6398,
     /* 316475 */   GIR_EraseRootFromParent_Done,
     /* 316476 */ // Label 6393: @316476
     /* 316476 */ GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(316662), // Rule ID 6399 //
     /* 316481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 316484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316491 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316495 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 316499 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 316502 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 316506 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 316510 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316512 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 316519 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$ext), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 316519 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 316522 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 316526 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316531 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 316536 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 316541 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 316546 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 316551 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 316553 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 316556 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 316560 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316565 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 316567 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 316570 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 316574 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316579 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 316582 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 316585 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 316588 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316593 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316598 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316603 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 316606 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 316610 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316615 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 316618 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 316621 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 316623 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 316626 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316630 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316635 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316642 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316647 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 316655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316657 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316660 */   GIR_RootConstrainSelectedInstOperands,
     /* 316661 */   // GIR_Coverage, 6399,
     /* 316661 */   GIR_EraseRootFromParent_Done,
     /* 316662 */ // Label 6394: @316662
     /* 316662 */ GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(316900), // Rule ID 6394 //
     /* 316667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 316670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316677 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316681 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 316685 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 316688 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 316695 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 316699 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316701 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 316708 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 316708 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 316711 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 316715 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316720 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 316725 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 316730 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 316735 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 316740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 316742 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 316745 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 316749 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316754 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 316756 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 316759 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 316763 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316768 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 316771 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 316774 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 316777 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316782 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316787 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 316792 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 316795 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 316799 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316804 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 316807 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 316810 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 316812 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 316815 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316819 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316824 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316831 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316836 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316841 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 316844 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 316848 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316853 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 316856 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 316859 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 316861 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 316864 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316868 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316873 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316880 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316885 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 316893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316895 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316898 */   GIR_RootConstrainSelectedInstOperands,
     /* 316899 */   // GIR_Coverage, 6394,
     /* 316899 */   GIR_EraseRootFromParent_Done,
     /* 316900 */ // Label 6395: @316900
     /* 316900 */ GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(317138), // Rule ID 6395 //
     /* 316905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 316908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316915 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316919 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 316923 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 316926 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 316933 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 316937 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316939 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 316946 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 316946 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 316949 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 316953 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316958 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 316963 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 316968 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 316973 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 316978 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 316980 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 316983 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 316987 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316992 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 316994 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 316997 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317001 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317006 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 317009 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 317012 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 317015 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317020 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317025 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 317030 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 317033 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 317037 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317042 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 317045 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 317048 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 317050 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 317053 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317057 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317062 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317069 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317074 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317079 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 317082 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 317086 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317091 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 317094 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 317097 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317099 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 317102 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317106 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317111 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317118 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317123 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 317131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317133 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317136 */   GIR_RootConstrainSelectedInstOperands,
     /* 317137 */   // GIR_Coverage, 6395,
     /* 317137 */   GIR_EraseRootFromParent_Done,
     /* 317138 */ // Label 6396: @317138
     /* 317138 */ GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(317319), // Rule ID 6400 //
     /* 317143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 317146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317153 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317157 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 317161 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317164 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 317168 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317172 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317174 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 317181 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 317181 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 317184 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 317188 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317193 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317198 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 317203 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317208 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 317210 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 317213 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317217 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317222 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 317224 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 317227 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317231 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317236 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 317239 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 317242 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 317245 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317250 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317255 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317260 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 317263 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 317267 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317272 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 317275 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 317278 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317280 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 317283 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317287 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317292 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317299 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317304 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 317312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317314 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317317 */   GIR_RootConstrainSelectedInstOperands,
     /* 317318 */   // GIR_Coverage, 6400,
     /* 317318 */   GIR_EraseRootFromParent_Done,
     /* 317319 */ // Label 6397: @317319
     /* 317319 */ GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(317500), // Rule ID 6401 //
     /* 317324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 317327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317334 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317338 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 317342 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317345 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 317349 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317353 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317355 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 317362 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 317362 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 317365 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 317369 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317374 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 317384 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317389 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 317391 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 317394 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317398 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 317405 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 317408 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317412 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317417 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 317420 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 317423 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 317426 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317431 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317436 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317441 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 317444 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 317448 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317453 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 317456 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 317459 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317461 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 317464 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317468 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317473 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317480 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317485 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 317493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317495 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317498 */   GIR_RootConstrainSelectedInstOperands,
     /* 317499 */   // GIR_Coverage, 6401,
     /* 317499 */   GIR_EraseRootFromParent_Done,
     /* 317500 */ // Label 6398: @317500
     /* 317500 */ GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(317733), // Rule ID 6396 //
     /* 317505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 317508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317515 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317519 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 317523 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317526 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 317533 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317537 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317539 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 317546 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 317546 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 317549 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 317553 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317558 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317563 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 317568 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317573 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 317575 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 317578 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317582 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317587 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 317589 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 317592 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317596 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317601 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 317604 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 317607 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 317610 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317615 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317620 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 317625 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 317628 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 317632 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317637 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 317640 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 317643 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 317645 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 317648 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317652 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317657 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317664 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317669 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317674 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 317677 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 317681 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317686 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 317689 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 317692 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317694 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 317697 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317701 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317706 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317713 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317718 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 317726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317728 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317731 */   GIR_RootConstrainSelectedInstOperands,
     /* 317732 */   // GIR_Coverage, 6396,
     /* 317732 */   GIR_EraseRootFromParent_Done,
     /* 317733 */ // Label 6399: @317733
     /* 317733 */ GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(317966), // Rule ID 6397 //
     /* 317738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 317741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317748 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317752 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 317756 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317759 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 317766 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317770 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317772 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 317779 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 317779 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 317782 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 317786 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317791 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317796 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 317801 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317806 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 317808 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 317811 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317815 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317820 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 317822 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 317825 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317829 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317834 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 317837 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 317840 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 317843 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317848 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317853 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 317858 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 317861 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 317865 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317870 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 317873 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 317876 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 317878 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 317881 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317885 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317890 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317897 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317902 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317907 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 317910 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 317914 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317919 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 317922 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 317925 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317927 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 317930 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317934 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317939 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317946 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317951 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 317959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317964 */   GIR_RootConstrainSelectedInstOperands,
     /* 317965 */   // GIR_Coverage, 6397,
     /* 317965 */   GIR_EraseRootFromParent_Done,
     /* 317966 */ // Label 6400: @317966
     /* 317966 */ GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(318046), // Rule ID 2446 //
     /* 317971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 317974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317981 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317985 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 317989 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 317993 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 317997 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318002 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 318006 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318008 */   // (sint_to_fp:{ *:[f64] } (extractelt:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFDSr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 318008 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 318011 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 318015 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318020 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 318026 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318031 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFDSr),
     /* 318039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318041 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318044 */   GIR_RootConstrainSelectedInstOperands,
     /* 318045 */   // GIR_Coverage, 2446,
     /* 318045 */   GIR_EraseRootFromParent_Done,
     /* 318046 */ // Label 6401: @318046
     /* 318046 */ GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(318126), // Rule ID 5321 //
     /* 318051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 318057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318061 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318065 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 318069 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 318073 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 318077 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318082 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 318086 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318088 */   // (sint_to_fp:{ *:[f64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 318088 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 318091 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 318095 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318100 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 318106 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318111 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 318119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318121 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318124 */   GIR_RootConstrainSelectedInstOperands,
     /* 318125 */   // GIR_Coverage, 5321,
     /* 318125 */   GIR_EraseRootFromParent_Done,
     /* 318126 */ // Label 6402: @318126
     /* 318126 */ GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(318183), // Rule ID 5298 //
     /* 318131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 318137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318141 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318145 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOSI),
     /* 318149 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 318153 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318155 */   // (sint_to_fp:{ *:[f64] } (fp_to_sint:{ *:[i64] } f64:{ *:[f64] }:$Rn))  =>  (SCVTFv1i64:{ *:[f64] } (FCVTZSv1i64:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /* 318155 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 318158 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1i64),
     /* 318162 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318167 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 318171 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 318176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318178 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318181 */   GIR_RootConstrainSelectedInstOperands,
     /* 318182 */   // GIR_Coverage, 5298,
     /* 318182 */   GIR_EraseRootFromParent_Done,
     /* 318183 */ // Label 6403: @318183
     /* 318183 */ GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(318213), // Rule ID 447 //
     /* 318188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 318191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 318202 */   // (sint_to_fp:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)  =>  (SCVTFUWDri:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)
     /* 318202 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUWDri),
     /* 318207 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318211 */   GIR_RootConstrainSelectedInstOperands,
     /* 318212 */   // GIR_Coverage, 447,
     /* 318212 */   GIR_Done,
     /* 318213 */ // Label 6404: @318213
     /* 318213 */ GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(318243), // Rule ID 453 //
     /* 318218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 318221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 318224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 318232 */   // (sint_to_fp:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)  =>  (SCVTFUXDri:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)
     /* 318232 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUXDri),
     /* 318237 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318241 */   GIR_RootConstrainSelectedInstOperands,
     /* 318242 */   // GIR_Coverage, 453,
     /* 318242 */   GIR_Done,
     /* 318243 */ // Label 6405: @318243
     /* 318243 */ GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(318273), // Rule ID 493 //
     /* 318248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 318251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318262 */   // (sint_to_fp:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)  =>  (SCVTFDSr:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)
     /* 318262 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFDSr),
     /* 318267 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318271 */   GIR_RootConstrainSelectedInstOperands,
     /* 318272 */   // GIR_Coverage, 493,
     /* 318272 */   GIR_Done,
     /* 318273 */ // Label 6406: @318273
     /* 318273 */ GIM_Reject,
     /* 318274 */ // Label 6365: @318274
     /* 318274 */ GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(318304), // Rule ID 1017 //
     /* 318279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 318282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 318285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318293 */   // (sint_to_fp:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)  =>  (SCVTFv2f32:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)
     /* 318293 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2f32),
     /* 318298 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318302 */   GIR_RootConstrainSelectedInstOperands,
     /* 318303 */   // GIR_Coverage, 1017,
     /* 318303 */   GIR_Done,
     /* 318304 */ // Label 6407: @318304
     /* 318304 */ GIM_Reject,
     /* 318305 */ // Label 6366: @318305
     /* 318305 */ GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(318335), // Rule ID 1021 //
     /* 318310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 318313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 318316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318324 */   // (sint_to_fp:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)  =>  (SCVTFv2f64:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)
     /* 318324 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2f64),
     /* 318329 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318333 */   GIR_RootConstrainSelectedInstOperands,
     /* 318334 */   // GIR_Coverage, 1021,
     /* 318334 */   GIR_Done,
     /* 318335 */ // Label 6408: @318335
     /* 318335 */ GIM_Reject,
     /* 318336 */ // Label 6367: @318336
     /* 318336 */ GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(318366), // Rule ID 1013 //
     /* 318341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 318344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 318347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318355 */   // (sint_to_fp:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)  =>  (SCVTFv4f16:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)
     /* 318355 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4f16),
     /* 318360 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318364 */   GIR_RootConstrainSelectedInstOperands,
     /* 318365 */   // GIR_Coverage, 1013,
     /* 318365 */   GIR_Done,
     /* 318366 */ // Label 6409: @318366
     /* 318366 */ GIM_Reject,
     /* 318367 */ // Label 6368: @318367
     /* 318367 */ GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(318397), // Rule ID 1019 //
     /* 318372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 318375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 318378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318386 */   // (sint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)  =>  (SCVTFv4f32:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)
     /* 318386 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4f32),
     /* 318391 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318395 */   GIR_RootConstrainSelectedInstOperands,
     /* 318396 */   // GIR_Coverage, 1019,
     /* 318396 */   GIR_Done,
     /* 318397 */ // Label 6410: @318397
     /* 318397 */ GIM_Reject,
     /* 318398 */ // Label 6369: @318398
     /* 318398 */ GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(318428), // Rule ID 1015 //
     /* 318403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 318406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 318409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318417 */   // (sint_to_fp:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)  =>  (SCVTFv8f16:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)
     /* 318417 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv8f16),
     /* 318422 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318426 */   GIR_RootConstrainSelectedInstOperands,
     /* 318427 */   // GIR_Coverage, 1015,
     /* 318427 */   GIR_Done,
     /* 318428 */ // Label 6411: @318428
     /* 318428 */ GIM_Reject,
     /* 318429 */ // Label 6370: @318429
     /* 318429 */ GIM_Reject,
     /* 318430 */ // Label 68: @318430
     /* 318430 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6420*/ GIMT_Encode4(322435),
     /* 318441 */ /*GILLT_s16*//*Label 6412*/ GIMT_Encode4(318481),
     /* 318445 */ /*GILLT_s32*//*Label 6413*/ GIMT_Encode4(318926),
     /* 318449 */ /*GILLT_s64*//*Label 6414*/ GIMT_Encode4(320334), GIMT_Encode4(0),
     /* 318457 */ /*GILLT_v2s32*//*Label 6415*/ GIMT_Encode4(322280),
     /* 318461 */ /*GILLT_v2s64*//*Label 6416*/ GIMT_Encode4(322311),
     /* 318465 */ /*GILLT_v4s16*//*Label 6417*/ GIMT_Encode4(322342),
     /* 318469 */ /*GILLT_v4s32*//*Label 6418*/ GIMT_Encode4(322373), GIMT_Encode4(0),
     /* 318477 */ /*GILLT_v8s16*//*Label 6419*/ GIMT_Encode4(322404),
     /* 318481 */ // Label 6412: @318481
     /* 318481 */ GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(318588), // Rule ID 5324 //
     /* 318486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 318489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318496 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318500 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 318504 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 318508 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 318512 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 318516 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 318520 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 318524 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 318528 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318533 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 318537 */   GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 318548 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 318550 */   // (uint_to_fp:{ *:[f16] } (and:{ *:[i32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), 65535:{ *:[i32] }))  =>  (UCVTFv1i16:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR128:{ *:[v8i16] }:$Rn, hsub:{ *:[i32] }))
     /* 318550 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 318553 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 318557 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318562 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 318568 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318573 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i16),
     /* 318581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318583 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318586 */   GIR_RootConstrainSelectedInstOperands,
     /* 318587 */   // GIR_Coverage, 5324,
     /* 318587 */   GIR_EraseRootFromParent_Done,
     /* 318588 */ // Label 6421: @318588
     /* 318588 */ GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(318668), // Rule ID 4748 //
     /* 318593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 318596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318603 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318607 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 318611 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 318615 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 318619 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318624 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 318628 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318630 */   // (uint_to_fp:{ *:[f16] } (extractelt:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFHSr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 318630 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 318633 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 318637 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318642 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 318648 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318653 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFHSr),
     /* 318661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318663 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318666 */   GIR_RootConstrainSelectedInstOperands,
     /* 318667 */   // GIR_Coverage, 4748,
     /* 318667 */   GIR_EraseRootFromParent_Done,
     /* 318668 */ // Label 6422: @318668
     /* 318668 */ GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(318748), // Rule ID 4752 //
     /* 318673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 318676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 318679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318683 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318687 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 318691 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 318695 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 318699 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318704 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 318708 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318710 */   // (uint_to_fp:{ *:[f16] } (extractelt:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFHDr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 318710 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 318713 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 318717 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318722 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 318728 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318733 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFHDr),
     /* 318741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318743 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318746 */   GIR_RootConstrainSelectedInstOperands,
     /* 318747 */   // GIR_Coverage, 4752,
     /* 318747 */   GIR_EraseRootFromParent_Done,
     /* 318748 */ // Label 6423: @318748
     /* 318748 */ GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(318805), // Rule ID 5318 //
     /* 318753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 318756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318763 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318767 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOUI),
     /* 318771 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 318775 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318777 */   // (uint_to_fp:{ *:[f16] } (fp_to_uint:{ *:[i32] } f16:{ *:[f16] }:$Rn))  =>  (UCVTFv1i16:{ *:[f16] } (FCVTZUv1f16:{ *:[f16] } f16:{ *:[f16] }:$Rn))
     /* 318777 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 318780 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1f16),
     /* 318784 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318789 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 318793 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i16),
     /* 318798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318800 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318803 */   GIR_RootConstrainSelectedInstOperands,
     /* 318804 */   // GIR_Coverage, 5318,
     /* 318804 */   GIR_EraseRootFromParent_Done,
     /* 318805 */ // Label 6424: @318805
     /* 318805 */ GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(318835), // Rule ID 467 //
     /* 318810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 318813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 318824 */   // (uint_to_fp:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)  =>  (UCVTFUWHri:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)
     /* 318824 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUWHri),
     /* 318829 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318833 */   GIR_RootConstrainSelectedInstOperands,
     /* 318834 */   // GIR_Coverage, 467,
     /* 318834 */   GIR_Done,
     /* 318835 */ // Label 6425: @318835
     /* 318835 */ GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(318865), // Rule ID 473 //
     /* 318840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 318843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 318846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 318854 */   // (uint_to_fp:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)  =>  (UCVTFUXHri:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)
     /* 318854 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUXHri),
     /* 318859 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318863 */   GIR_RootConstrainSelectedInstOperands,
     /* 318864 */   // GIR_Coverage, 473,
     /* 318864 */   GIR_Done,
     /* 318865 */ // Label 6426: @318865
     /* 318865 */ GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(318895), // Rule ID 499 //
     /* 318870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 318873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318884 */   // (uint_to_fp:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)  =>  (UCVTFHSr:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)
     /* 318884 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFHSr),
     /* 318889 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318893 */   GIR_RootConstrainSelectedInstOperands,
     /* 318894 */   // GIR_Coverage, 499,
     /* 318894 */   GIR_Done,
     /* 318895 */ // Label 6427: @318895
     /* 318895 */ GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(318925), // Rule ID 503 //
     /* 318900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 318903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 318906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318914 */   // (uint_to_fp:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)  =>  (UCVTFHDr:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)
     /* 318914 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFHDr),
     /* 318919 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318923 */   GIR_RootConstrainSelectedInstOperands,
     /* 318924 */   // GIR_Coverage, 503,
     /* 318924 */   GIR_Done,
     /* 318925 */ // Label 6428: @318925
     /* 318925 */ GIM_Reject,
     /* 318926 */ // Label 6413: @318926
     /* 318926 */ GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(319066), // Rule ID 5325 //
     /* 318931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318941 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318945 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 318949 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 318952 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 318959 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 318963 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318965 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 318972 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 318972 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 318975 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 318979 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318984 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 318989 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 318994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 318999 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319004 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319006 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319009 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319013 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319018 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319020 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319023 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319027 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319032 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319035 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319038 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 319041 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319046 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319051 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 319056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319061 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319064 */   GIR_RootConstrainSelectedInstOperands,
     /* 319065 */   // GIR_Coverage, 5325,
     /* 319065 */   GIR_EraseRootFromParent_Done,
     /* 319066 */ // Label 6429: @319066
     /* 319066 */ GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(319206), // Rule ID 5326 //
     /* 319071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319081 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319085 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319089 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319092 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 319099 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319103 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319105 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 319112 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 319112 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 319115 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 319119 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319124 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319129 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 319134 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 319139 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319144 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319146 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319149 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319153 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319158 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319160 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319163 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319167 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319172 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319175 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319178 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 319181 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319186 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319191 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 319196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319201 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319204 */   GIR_RootConstrainSelectedInstOperands,
     /* 319205 */   // GIR_Coverage, 5326,
     /* 319205 */   GIR_EraseRootFromParent_Done,
     /* 319206 */ // Label 6430: @319206
     /* 319206 */ GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(319346), // Rule ID 5329 //
     /* 319211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319221 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319225 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319229 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319232 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 319239 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319243 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319245 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 319252 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 319252 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 319255 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 319259 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319264 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319269 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 319274 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 319279 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319284 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319286 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319289 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319293 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319298 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319300 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319303 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319307 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319312 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319315 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319318 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 319321 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319326 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319331 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 319336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319341 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319344 */   GIR_RootConstrainSelectedInstOperands,
     /* 319345 */   // GIR_Coverage, 5329,
     /* 319345 */   GIR_EraseRootFromParent_Done,
     /* 319346 */ // Label 6431: @319346
     /* 319346 */ GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(319486), // Rule ID 5330 //
     /* 319351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319361 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319365 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319369 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319372 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 319379 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319383 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319385 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 319392 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 319392 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 319395 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 319399 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319404 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319409 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 319414 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 319419 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319426 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319429 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319433 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319438 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319440 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319443 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319447 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319452 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319455 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319458 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 319461 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319466 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319471 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 319476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319481 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319484 */   GIR_RootConstrainSelectedInstOperands,
     /* 319485 */   // GIR_Coverage, 5330,
     /* 319485 */   GIR_EraseRootFromParent_Done,
     /* 319486 */ // Label 6432: @319486
     /* 319486 */ GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(319621), // Rule ID 5327 //
     /* 319491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319501 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319505 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319509 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319512 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 319519 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319523 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319525 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 319532 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] }))
     /* 319532 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 319535 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 319539 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319549 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319554 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319559 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319561 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319564 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319568 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319573 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319587 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319590 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319593 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 319596 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319601 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319606 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 319611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319616 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319619 */   GIR_RootConstrainSelectedInstOperands,
     /* 319620 */   // GIR_Coverage, 5327,
     /* 319620 */   GIR_EraseRootFromParent_Done,
     /* 319621 */ // Label 6433: @319621
     /* 319621 */ GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(319756), // Rule ID 5328 //
     /* 319626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319636 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319640 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319644 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319647 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 319654 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319658 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319660 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 319667 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] }))
     /* 319667 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 319670 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 319674 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319679 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319684 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319689 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319694 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319696 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319699 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319703 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319708 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319710 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319713 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319717 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319722 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319725 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319728 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 319731 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319736 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319741 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 319746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319751 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319754 */   GIR_RootConstrainSelectedInstOperands,
     /* 319755 */   // GIR_Coverage, 5328,
     /* 319755 */   GIR_EraseRootFromParent_Done,
     /* 319756 */ // Label 6434: @319756
     /* 319756 */ GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(319891), // Rule ID 5331 //
     /* 319761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319771 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319775 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319779 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319782 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 319789 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319793 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319795 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 319802 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }))
     /* 319802 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 319805 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 319809 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319814 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319819 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319824 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319829 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319831 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319834 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319838 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319843 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319845 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319848 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319852 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319857 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319860 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319863 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 319866 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319871 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319876 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 319881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319886 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319889 */   GIR_RootConstrainSelectedInstOperands,
     /* 319890 */   // GIR_Coverage, 5331,
     /* 319890 */   GIR_EraseRootFromParent_Done,
     /* 319891 */ // Label 6435: @319891
     /* 319891 */ GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(320026), // Rule ID 5332 //
     /* 319896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319906 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319910 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319914 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319917 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 319924 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319928 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319930 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 319937 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }))
     /* 319937 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 319940 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 319944 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319949 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319954 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319959 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319964 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319966 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319969 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319973 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319978 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319980 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319983 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319987 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319992 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319995 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319998 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 320001 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320006 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320011 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 320016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 320019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320024 */   GIR_RootConstrainSelectedInstOperands,
     /* 320025 */   // GIR_Coverage, 5332,
     /* 320025 */   GIR_EraseRootFromParent_Done,
     /* 320026 */ // Label 6436: @320026
     /* 320026 */ GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(320106), // Rule ID 4754 //
     /* 320031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 320034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 320037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320041 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320045 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 320049 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 320053 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 320057 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320062 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 320066 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320068 */   // (uint_to_fp:{ *:[f32] } (extractelt:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFSDr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 320068 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320071 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 320075 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320080 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 320086 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320091 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFSDr),
     /* 320099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320101 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320104 */   GIR_RootConstrainSelectedInstOperands,
     /* 320105 */   // GIR_Coverage, 4754,
     /* 320105 */   GIR_EraseRootFromParent_Done,
     /* 320106 */ // Label 6437: @320106
     /* 320106 */ GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(320186), // Rule ID 5320 //
     /* 320111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320121 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320125 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 320129 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 320133 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 320137 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320142 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 320146 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320148 */   // (uint_to_fp:{ *:[f32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 320148 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 320151 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 320155 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320160 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 320166 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320171 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 320179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320181 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320184 */   GIR_RootConstrainSelectedInstOperands,
     /* 320185 */   // GIR_Coverage, 5320,
     /* 320185 */   GIR_EraseRootFromParent_Done,
     /* 320186 */ // Label 6438: @320186
     /* 320186 */ GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(320243), // Rule ID 5310 //
     /* 320191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320201 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320205 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOUI),
     /* 320209 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 320213 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320215 */   // (uint_to_fp:{ *:[f32] } (fp_to_uint:{ *:[i32] } f32:{ *:[f32] }:$Rn))  =>  (UCVTFv1i32:{ *:[f32] } (FCVTZUv1i32:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /* 320215 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 320218 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1i32),
     /* 320222 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320227 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 320231 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 320236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320238 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320241 */   GIR_RootConstrainSelectedInstOperands,
     /* 320242 */   // GIR_Coverage, 5310,
     /* 320242 */   GIR_EraseRootFromParent_Done,
     /* 320243 */ // Label 6439: @320243
     /* 320243 */ GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(320273), // Rule ID 469 //
     /* 320248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 320251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 320262 */   // (uint_to_fp:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)  =>  (UCVTFUWSri:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)
     /* 320262 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUWSri),
     /* 320267 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320271 */   GIR_RootConstrainSelectedInstOperands,
     /* 320272 */   // GIR_Coverage, 469,
     /* 320272 */   GIR_Done,
     /* 320273 */ // Label 6440: @320273
     /* 320273 */ GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(320303), // Rule ID 475 //
     /* 320278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 320281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 320284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 320292 */   // (uint_to_fp:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)  =>  (UCVTFUXSri:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)
     /* 320292 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUXSri),
     /* 320297 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320301 */   GIR_RootConstrainSelectedInstOperands,
     /* 320302 */   // GIR_Coverage, 475,
     /* 320302 */   GIR_Done,
     /* 320303 */ // Label 6441: @320303
     /* 320303 */ GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(320333), // Rule ID 505 //
     /* 320308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 320311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 320314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320322 */   // (uint_to_fp:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)  =>  (UCVTFSDr:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)
     /* 320322 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFSDr),
     /* 320327 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320331 */   GIR_RootConstrainSelectedInstOperands,
     /* 320332 */   // GIR_Coverage, 505,
     /* 320332 */   GIR_Done,
     /* 320333 */ // Label 6442: @320333
     /* 320333 */ GIM_Reject,
     /* 320334 */ // Label 6414: @320334
     /* 320334 */ GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(320471), // Rule ID 5341 //
     /* 320339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320349 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320353 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 320357 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 320360 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 320364 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 320368 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320370 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 320377 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] }))
     /* 320377 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 320380 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 320384 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320389 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 320394 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 320399 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 320404 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 320409 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320411 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 320414 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 320418 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320423 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320425 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320428 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 320432 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320437 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320440 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 320443 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 320446 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320451 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320456 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320466 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320469 */   GIR_RootConstrainSelectedInstOperands,
     /* 320470 */   // GIR_Coverage, 5341,
     /* 320470 */   GIR_EraseRootFromParent_Done,
     /* 320471 */ // Label 6443: @320471
     /* 320471 */ GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(320608), // Rule ID 5342 //
     /* 320476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320486 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320490 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 320494 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 320497 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 320501 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 320505 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320507 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 320514 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] }))
     /* 320514 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 320517 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 320521 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320526 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 320531 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 320536 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 320541 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 320546 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320548 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 320551 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 320555 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320560 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320562 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320565 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 320569 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320574 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320577 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 320580 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 320583 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320588 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320593 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320603 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320606 */   GIR_RootConstrainSelectedInstOperands,
     /* 320607 */   // GIR_Coverage, 5342,
     /* 320607 */   GIR_EraseRootFromParent_Done,
     /* 320608 */ // Label 6444: @320608
     /* 320608 */ GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(320748), // Rule ID 5333 //
     /* 320613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320623 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320627 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 320631 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 320634 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 320641 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 320645 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320647 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 320654 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 320654 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 320657 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 320661 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320666 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 320671 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 320676 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 320681 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 320686 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320688 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 320691 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 320695 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320700 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320702 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320705 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 320709 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320714 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320717 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 320720 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 320723 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320728 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320733 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 320738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320743 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320746 */   GIR_RootConstrainSelectedInstOperands,
     /* 320747 */   // GIR_Coverage, 5333,
     /* 320747 */   GIR_EraseRootFromParent_Done,
     /* 320748 */ // Label 6445: @320748
     /* 320748 */ GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(320888), // Rule ID 5334 //
     /* 320753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320763 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320767 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 320771 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 320774 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 320781 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 320785 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320787 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 320794 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 320794 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 320797 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 320801 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320806 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 320811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 320816 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 320821 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 320826 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320828 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 320831 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 320835 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320840 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320842 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320845 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 320849 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320854 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320857 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 320860 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 320863 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320868 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320873 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 320878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320883 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320886 */   GIR_RootConstrainSelectedInstOperands,
     /* 320887 */   // GIR_Coverage, 5334,
     /* 320887 */   GIR_EraseRootFromParent_Done,
     /* 320888 */ // Label 6446: @320888
     /* 320888 */ GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(321028), // Rule ID 5337 //
     /* 320893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320903 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320907 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 320911 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 320914 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 320921 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 320925 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320927 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 320934 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 320934 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 320937 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 320941 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320946 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 320951 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 320956 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 320961 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 320966 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320968 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 320971 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 320975 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320982 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320985 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 320989 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320994 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320997 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321000 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 321003 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321008 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321013 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 321018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321023 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321026 */   GIR_RootConstrainSelectedInstOperands,
     /* 321027 */   // GIR_Coverage, 5337,
     /* 321027 */   GIR_EraseRootFromParent_Done,
     /* 321028 */ // Label 6447: @321028
     /* 321028 */ GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(321168), // Rule ID 5338 //
     /* 321033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321043 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321047 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 321051 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321054 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 321061 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321065 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321067 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 321074 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 321074 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 321077 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 321081 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321086 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321091 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 321096 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 321101 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321106 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321108 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321111 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321115 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321120 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321122 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321125 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321129 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321134 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321137 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321140 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 321143 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321148 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321153 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 321158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321163 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321166 */   GIR_RootConstrainSelectedInstOperands,
     /* 321167 */   // GIR_Coverage, 5338,
     /* 321167 */   GIR_EraseRootFromParent_Done,
     /* 321168 */ // Label 6448: @321168
     /* 321168 */ GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(321300), // Rule ID 5343 //
     /* 321173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321183 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321187 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 321191 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321194 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 321198 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321202 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321204 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 321211 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] }))
     /* 321211 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 321214 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 321218 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321223 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321228 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 321233 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321238 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321240 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321243 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321247 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321252 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321254 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321257 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321261 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321266 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321269 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321272 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 321275 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321280 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321285 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 321290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321295 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321298 */   GIR_RootConstrainSelectedInstOperands,
     /* 321299 */   // GIR_Coverage, 5343,
     /* 321299 */   GIR_EraseRootFromParent_Done,
     /* 321300 */ // Label 6449: @321300
     /* 321300 */ GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(321432), // Rule ID 5344 //
     /* 321305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321315 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321319 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 321323 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321326 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 321330 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321334 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321336 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 321343 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] }))
     /* 321343 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 321346 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 321350 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321355 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321360 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 321365 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321372 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321375 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321379 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321384 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321386 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321389 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321393 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321398 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321401 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321404 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 321407 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321412 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321417 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 321422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321427 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321430 */   GIR_RootConstrainSelectedInstOperands,
     /* 321431 */   // GIR_Coverage, 5344,
     /* 321431 */   GIR_EraseRootFromParent_Done,
     /* 321432 */ // Label 6450: @321432
     /* 321432 */ GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(321567), // Rule ID 5335 //
     /* 321437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321447 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321451 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 321455 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321458 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 321465 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321469 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321471 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 321478 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] }))
     /* 321478 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 321481 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 321485 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321490 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321495 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 321500 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321505 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321507 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321510 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321514 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321519 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321521 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321524 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321528 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321533 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321536 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321539 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 321542 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321547 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321552 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 321557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321562 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321565 */   GIR_RootConstrainSelectedInstOperands,
     /* 321566 */   // GIR_Coverage, 5335,
     /* 321566 */   GIR_EraseRootFromParent_Done,
     /* 321567 */ // Label 6451: @321567
     /* 321567 */ GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(321702), // Rule ID 5336 //
     /* 321572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321582 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321586 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 321590 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321593 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 321600 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321604 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321606 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 321613 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] }))
     /* 321613 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 321616 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 321620 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 321635 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321640 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321642 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321645 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321649 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321654 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321656 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321659 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321663 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321668 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321671 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321674 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 321677 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321682 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321687 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 321692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321697 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321700 */   GIR_RootConstrainSelectedInstOperands,
     /* 321701 */   // GIR_Coverage, 5336,
     /* 321701 */   GIR_EraseRootFromParent_Done,
     /* 321702 */ // Label 6452: @321702
     /* 321702 */ GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(321837), // Rule ID 5339 //
     /* 321707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321717 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321721 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 321725 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321728 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 321735 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321739 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321741 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 321748 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }))
     /* 321748 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 321751 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 321755 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321760 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321765 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 321770 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321775 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321777 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321780 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321784 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321789 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321791 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321798 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321803 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321806 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321809 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 321812 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321817 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321822 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 321827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321832 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321835 */   GIR_RootConstrainSelectedInstOperands,
     /* 321836 */   // GIR_Coverage, 5339,
     /* 321836 */   GIR_EraseRootFromParent_Done,
     /* 321837 */ // Label 6453: @321837
     /* 321837 */ GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(321972), // Rule ID 5340 //
     /* 321842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321852 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321856 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 321860 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321863 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 321870 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321874 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321876 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 321883 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }))
     /* 321883 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 321886 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 321890 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321895 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321900 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 321905 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321910 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321912 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321915 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321919 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321924 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321926 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321929 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321933 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321938 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321941 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321944 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 321947 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321952 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321957 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 321962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321967 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321970 */   GIR_RootConstrainSelectedInstOperands,
     /* 321971 */   // GIR_Coverage, 5340,
     /* 321971 */   GIR_EraseRootFromParent_Done,
     /* 321972 */ // Label 6454: @321972
     /* 321972 */ GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(322052), // Rule ID 4750 //
     /* 321977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 321980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321987 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321991 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 321995 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 321999 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 322003 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322008 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 322012 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 322014 */   // (uint_to_fp:{ *:[f64] } (extractelt:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFDSr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 322014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 322017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 322021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322026 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 322032 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322037 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFDSr),
     /* 322045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322047 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 322050 */   GIR_RootConstrainSelectedInstOperands,
     /* 322051 */   // GIR_Coverage, 4750,
     /* 322051 */   GIR_EraseRootFromParent_Done,
     /* 322052 */ // Label 6455: @322052
     /* 322052 */ GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(322132), // Rule ID 5322 //
     /* 322057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 322060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322067 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322071 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 322075 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 322079 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 322083 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322088 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 322092 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 322094 */   // (uint_to_fp:{ *:[f64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 322094 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 322097 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 322101 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322106 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 322112 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322117 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 322125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322127 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 322130 */   GIR_RootConstrainSelectedInstOperands,
     /* 322131 */   // GIR_Coverage, 5322,
     /* 322131 */   GIR_EraseRootFromParent_Done,
     /* 322132 */ // Label 6456: @322132
     /* 322132 */ GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(322189), // Rule ID 5306 //
     /* 322137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 322140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322147 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322151 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOUI),
     /* 322155 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 322159 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 322161 */   // (uint_to_fp:{ *:[f64] } (fp_to_uint:{ *:[i64] } f64:{ *:[f64] }:$Rn))  =>  (UCVTFv1i64:{ *:[f64] } (FCVTZUv1i64:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /* 322161 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 322164 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1i64),
     /* 322168 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322173 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 322177 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 322179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 322182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322184 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 322187 */   GIR_RootConstrainSelectedInstOperands,
     /* 322188 */   // GIR_Coverage, 5306,
     /* 322188 */   GIR_EraseRootFromParent_Done,
     /* 322189 */ // Label 6457: @322189
     /* 322189 */ GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(322219), // Rule ID 471 //
     /* 322194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 322197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322208 */   // (uint_to_fp:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)  =>  (UCVTFUWDri:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)
     /* 322208 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUWDri),
     /* 322213 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322217 */   GIR_RootConstrainSelectedInstOperands,
     /* 322218 */   // GIR_Coverage, 471,
     /* 322218 */   GIR_Done,
     /* 322219 */ // Label 6458: @322219
     /* 322219 */ GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(322249), // Rule ID 477 //
     /* 322224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 322227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322238 */   // (uint_to_fp:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)  =>  (UCVTFUXDri:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)
     /* 322238 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUXDri),
     /* 322243 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322247 */   GIR_RootConstrainSelectedInstOperands,
     /* 322248 */   // GIR_Coverage, 477,
     /* 322248 */   GIR_Done,
     /* 322249 */ // Label 6459: @322249
     /* 322249 */ GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(322279), // Rule ID 501 //
     /* 322254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 322257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322268 */   // (uint_to_fp:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)  =>  (UCVTFDSr:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)
     /* 322268 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFDSr),
     /* 322273 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322277 */   GIR_RootConstrainSelectedInstOperands,
     /* 322278 */   // GIR_Coverage, 501,
     /* 322278 */   GIR_Done,
     /* 322279 */ // Label 6460: @322279
     /* 322279 */ GIM_Reject,
     /* 322280 */ // Label 6415: @322280
     /* 322280 */ GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(322310), // Rule ID 1078 //
     /* 322285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 322291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322299 */   // (uint_to_fp:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)  =>  (UCVTFv2f32:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)
     /* 322299 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2f32),
     /* 322304 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322308 */   GIR_RootConstrainSelectedInstOperands,
     /* 322309 */   // GIR_Coverage, 1078,
     /* 322309 */   GIR_Done,
     /* 322310 */ // Label 6461: @322310
     /* 322310 */ GIM_Reject,
     /* 322311 */ // Label 6416: @322311
     /* 322311 */ GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(322341), // Rule ID 1082 //
     /* 322316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 322322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322330 */   // (uint_to_fp:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)  =>  (UCVTFv2f64:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)
     /* 322330 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2f64),
     /* 322335 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322339 */   GIR_RootConstrainSelectedInstOperands,
     /* 322340 */   // GIR_Coverage, 1082,
     /* 322340 */   GIR_Done,
     /* 322341 */ // Label 6462: @322341
     /* 322341 */ GIM_Reject,
     /* 322342 */ // Label 6417: @322342
     /* 322342 */ GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(322372), // Rule ID 1074 //
     /* 322347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 322350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 322353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322361 */   // (uint_to_fp:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)  =>  (UCVTFv4f16:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)
     /* 322361 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4f16),
     /* 322366 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322370 */   GIR_RootConstrainSelectedInstOperands,
     /* 322371 */   // GIR_Coverage, 1074,
     /* 322371 */   GIR_Done,
     /* 322372 */ // Label 6463: @322372
     /* 322372 */ GIM_Reject,
     /* 322373 */ // Label 6418: @322373
     /* 322373 */ GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(322403), // Rule ID 1080 //
     /* 322378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 322384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322392 */   // (uint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)  =>  (UCVTFv4f32:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)
     /* 322392 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4f32),
     /* 322397 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322401 */   GIR_RootConstrainSelectedInstOperands,
     /* 322402 */   // GIR_Coverage, 1080,
     /* 322402 */   GIR_Done,
     /* 322403 */ // Label 6464: @322403
     /* 322403 */ GIM_Reject,
     /* 322404 */ // Label 6419: @322404
     /* 322404 */ GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(322434), // Rule ID 1076 //
     /* 322409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 322412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 322415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322423 */   // (uint_to_fp:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)  =>  (UCVTFv8f16:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)
     /* 322423 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv8f16),
     /* 322428 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322432 */   GIR_RootConstrainSelectedInstOperands,
     /* 322433 */   // GIR_Coverage, 1076,
     /* 322433 */   GIR_Done,
     /* 322434 */ // Label 6465: @322434
     /* 322434 */ GIM_Reject,
     /* 322435 */ // Label 6420: @322435
     /* 322435 */ GIM_Reject,
     /* 322436 */ // Label 69: @322436
     /* 322436 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6473*/ GIMT_Encode4(322755),
     /* 322447 */ /*GILLT_s32*//*Label 6466*/ GIMT_Encode4(322483),
     /* 322451 */ /*GILLT_s64*//*Label 6467*/ GIMT_Encode4(322556), GIMT_Encode4(0),
     /* 322459 */ /*GILLT_v2s32*//*Label 6468*/ GIMT_Encode4(322629),
     /* 322463 */ /*GILLT_v2s64*//*Label 6469*/ GIMT_Encode4(322653),
     /* 322467 */ /*GILLT_v4s16*//*Label 6470*/ GIMT_Encode4(322677),
     /* 322471 */ /*GILLT_v4s32*//*Label 6471*/ GIMT_Encode4(322704), GIMT_Encode4(0),
     /* 322479 */ /*GILLT_v8s16*//*Label 6472*/ GIMT_Encode4(322728),
     /* 322483 */ // Label 6466: @322483
     /* 322483 */ GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(322509), // Rule ID 4583 //
     /* 322488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 322494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322498 */   // (fp_to_sint_sat_gi:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } f16:{ *:[f16] }:$Rn)
     /* 322498 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /* 322503 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322507 */   GIR_RootConstrainSelectedInstOperands,
     /* 322508 */   // GIR_Coverage, 4583,
     /* 322508 */   GIR_Done,
     /* 322509 */ // Label 6474: @322509
     /* 322509 */ GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(322532), // Rule ID 4585 //
     /* 322514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322521 */   // (fp_to_sint_sat_gi:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 322521 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 322526 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322530 */   GIR_RootConstrainSelectedInstOperands,
     /* 322531 */   // GIR_Coverage, 4585,
     /* 322531 */   GIR_Done,
     /* 322532 */ // Label 6475: @322532
     /* 322532 */ GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(322555), // Rule ID 4587 //
     /* 322537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322544 */   // (fp_to_sint_sat_gi:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 322544 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 322549 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322553 */   GIR_RootConstrainSelectedInstOperands,
     /* 322554 */   // GIR_Coverage, 4587,
     /* 322554 */   GIR_Done,
     /* 322555 */ // Label 6476: @322555
     /* 322555 */ GIM_Reject,
     /* 322556 */ // Label 6467: @322556
     /* 322556 */ GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(322582), // Rule ID 4584 //
     /* 322561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 322567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322571 */   // (fp_to_sint_sat_gi:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 322571 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /* 322576 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322580 */   GIR_RootConstrainSelectedInstOperands,
     /* 322581 */   // GIR_Coverage, 4584,
     /* 322581 */   GIR_Done,
     /* 322582 */ // Label 6477: @322582
     /* 322582 */ GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(322605), // Rule ID 4586 //
     /* 322587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322594 */   // (fp_to_sint_sat_gi:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 322594 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 322599 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322603 */   GIR_RootConstrainSelectedInstOperands,
     /* 322604 */   // GIR_Coverage, 4586,
     /* 322604 */   GIR_Done,
     /* 322605 */ // Label 6478: @322605
     /* 322605 */ GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(322628), // Rule ID 4588 //
     /* 322610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322617 */   // (fp_to_sint_sat_gi:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 322617 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 322622 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322626 */   GIR_RootConstrainSelectedInstOperands,
     /* 322627 */   // GIR_Coverage, 4588,
     /* 322627 */   GIR_Done,
     /* 322628 */ // Label 6479: @322628
     /* 322628 */ GIM_Reject,
     /* 322629 */ // Label 6468: @322629
     /* 322629 */ GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(322652), // Rule ID 4924 //
     /* 322634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 322637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322641 */   // (fp_to_sint_sat_gi:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZSv2f32:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)
     /* 322641 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f32),
     /* 322646 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322650 */   GIR_RootConstrainSelectedInstOperands,
     /* 322651 */   // GIR_Coverage, 4924,
     /* 322651 */   GIR_Done,
     /* 322652 */ // Label 6480: @322652
     /* 322652 */ GIM_Reject,
     /* 322653 */ // Label 6469: @322653
     /* 322653 */ GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(322676), // Rule ID 4926 //
     /* 322658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 322661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322665 */   // (fp_to_sint_sat_gi:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZSv2f64:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)
     /* 322665 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 322670 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322674 */   GIR_RootConstrainSelectedInstOperands,
     /* 322675 */   // GIR_Coverage, 4926,
     /* 322675 */   GIR_Done,
     /* 322676 */ // Label 6481: @322676
     /* 322676 */ GIM_Reject,
     /* 322677 */ // Label 6470: @322677
     /* 322677 */ GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(322703), // Rule ID 4919 //
     /* 322682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 322688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322692 */   // (fp_to_sint_sat_gi:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZSv4f16:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)
     /* 322692 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f16),
     /* 322697 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322701 */   GIR_RootConstrainSelectedInstOperands,
     /* 322702 */   // GIR_Coverage, 4919,
     /* 322702 */   GIR_Done,
     /* 322703 */ // Label 6482: @322703
     /* 322703 */ GIM_Reject,
     /* 322704 */ // Label 6471: @322704
     /* 322704 */ GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(322727), // Rule ID 4925 //
     /* 322709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 322712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322716 */   // (fp_to_sint_sat_gi:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZSv4f32:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)
     /* 322716 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f32),
     /* 322721 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322725 */   GIR_RootConstrainSelectedInstOperands,
     /* 322726 */   // GIR_Coverage, 4925,
     /* 322726 */   GIR_Done,
     /* 322727 */ // Label 6483: @322727
     /* 322727 */ GIM_Reject,
     /* 322728 */ // Label 6472: @322728
     /* 322728 */ GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(322754), // Rule ID 4920 //
     /* 322733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 322739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322743 */   // (fp_to_sint_sat_gi:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZSv8f16:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)
     /* 322743 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8f16),
     /* 322748 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322752 */   GIR_RootConstrainSelectedInstOperands,
     /* 322753 */   // GIR_Coverage, 4920,
     /* 322753 */   GIR_Done,
     /* 322754 */ // Label 6484: @322754
     /* 322754 */ GIM_Reject,
     /* 322755 */ // Label 6473: @322755
     /* 322755 */ GIM_Reject,
     /* 322756 */ // Label 70: @322756
     /* 322756 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6492*/ GIMT_Encode4(323075),
     /* 322767 */ /*GILLT_s32*//*Label 6485*/ GIMT_Encode4(322803),
     /* 322771 */ /*GILLT_s64*//*Label 6486*/ GIMT_Encode4(322876), GIMT_Encode4(0),
     /* 322779 */ /*GILLT_v2s32*//*Label 6487*/ GIMT_Encode4(322949),
     /* 322783 */ /*GILLT_v2s64*//*Label 6488*/ GIMT_Encode4(322973),
     /* 322787 */ /*GILLT_v4s16*//*Label 6489*/ GIMT_Encode4(322997),
     /* 322791 */ /*GILLT_v4s32*//*Label 6490*/ GIMT_Encode4(323024), GIMT_Encode4(0),
     /* 322799 */ /*GILLT_v8s16*//*Label 6491*/ GIMT_Encode4(323048),
     /* 322803 */ // Label 6485: @322803
     /* 322803 */ GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(322829), // Rule ID 4607 //
     /* 322808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 322814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322818 */   // (fp_to_uint_sat_gi:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUWHr:{ *:[i32] } f16:{ *:[f16] }:$Rn)
     /* 322818 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWHr),
     /* 322823 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322827 */   GIR_RootConstrainSelectedInstOperands,
     /* 322828 */   // GIR_Coverage, 4607,
     /* 322828 */   GIR_Done,
     /* 322829 */ // Label 6493: @322829
     /* 322829 */ GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(322852), // Rule ID 4609 //
     /* 322834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322841 */   // (fp_to_uint_sat_gi:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 322841 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 322846 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322850 */   GIR_RootConstrainSelectedInstOperands,
     /* 322851 */   // GIR_Coverage, 4609,
     /* 322851 */   GIR_Done,
     /* 322852 */ // Label 6494: @322852
     /* 322852 */ GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(322875), // Rule ID 4611 //
     /* 322857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322864 */   // (fp_to_uint_sat_gi:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 322864 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 322869 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322873 */   GIR_RootConstrainSelectedInstOperands,
     /* 322874 */   // GIR_Coverage, 4611,
     /* 322874 */   GIR_Done,
     /* 322875 */ // Label 6495: @322875
     /* 322875 */ GIM_Reject,
     /* 322876 */ // Label 6486: @322876
     /* 322876 */ GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(322902), // Rule ID 4608 //
     /* 322881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 322887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322891 */   // (fp_to_uint_sat_gi:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 322891 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXHr),
     /* 322896 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322900 */   GIR_RootConstrainSelectedInstOperands,
     /* 322901 */   // GIR_Coverage, 4608,
     /* 322901 */   GIR_Done,
     /* 322902 */ // Label 6496: @322902
     /* 322902 */ GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(322925), // Rule ID 4610 //
     /* 322907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322914 */   // (fp_to_uint_sat_gi:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 322914 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 322919 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322923 */   GIR_RootConstrainSelectedInstOperands,
     /* 322924 */   // GIR_Coverage, 4610,
     /* 322924 */   GIR_Done,
     /* 322925 */ // Label 6497: @322925
     /* 322925 */ GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(322948), // Rule ID 4612 //
     /* 322930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322937 */   // (fp_to_uint_sat_gi:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 322937 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 322942 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322946 */   GIR_RootConstrainSelectedInstOperands,
     /* 322947 */   // GIR_Coverage, 4612,
     /* 322947 */   GIR_Done,
     /* 322948 */ // Label 6498: @322948
     /* 322948 */ GIM_Reject,
     /* 322949 */ // Label 6487: @322949
     /* 322949 */ GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(322972), // Rule ID 4934 //
     /* 322954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 322957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322961 */   // (fp_to_uint_sat_gi:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZUv2f32:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)
     /* 322961 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f32),
     /* 322966 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322970 */   GIR_RootConstrainSelectedInstOperands,
     /* 322971 */   // GIR_Coverage, 4934,
     /* 322971 */   GIR_Done,
     /* 322972 */ // Label 6499: @322972
     /* 322972 */ GIM_Reject,
     /* 322973 */ // Label 6488: @322973
     /* 322973 */ GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(322996), // Rule ID 4936 //
     /* 322978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 322981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322985 */   // (fp_to_uint_sat_gi:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZUv2f64:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)
     /* 322985 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 322990 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322994 */   GIR_RootConstrainSelectedInstOperands,
     /* 322995 */   // GIR_Coverage, 4936,
     /* 322995 */   GIR_Done,
     /* 322996 */ // Label 6500: @322996
     /* 322996 */ GIM_Reject,
     /* 322997 */ // Label 6489: @322997
     /* 322997 */ GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(323023), // Rule ID 4929 //
     /* 323002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 323005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 323008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323012 */   // (fp_to_uint_sat_gi:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZUv4f16:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)
     /* 323012 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f16),
     /* 323017 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323021 */   GIR_RootConstrainSelectedInstOperands,
     /* 323022 */   // GIR_Coverage, 4929,
     /* 323022 */   GIR_Done,
     /* 323023 */ // Label 6501: @323023
     /* 323023 */ GIM_Reject,
     /* 323024 */ // Label 6490: @323024
     /* 323024 */ GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(323047), // Rule ID 4935 //
     /* 323029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 323032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323036 */   // (fp_to_uint_sat_gi:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZUv4f32:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)
     /* 323036 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f32),
     /* 323041 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323045 */   GIR_RootConstrainSelectedInstOperands,
     /* 323046 */   // GIR_Coverage, 4935,
     /* 323046 */   GIR_Done,
     /* 323047 */ // Label 6502: @323047
     /* 323047 */ GIM_Reject,
     /* 323048 */ // Label 6491: @323048
     /* 323048 */ GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(323074), // Rule ID 4930 //
     /* 323053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 323056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 323059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323063 */   // (fp_to_uint_sat_gi:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZUv8f16:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)
     /* 323063 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8f16),
     /* 323068 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323072 */   GIR_RootConstrainSelectedInstOperands,
     /* 323073 */   // GIR_Coverage, 4930,
     /* 323073 */   GIR_Done,
     /* 323074 */ // Label 6503: @323074
     /* 323074 */ GIM_Reject,
     /* 323075 */ // Label 6492: @323075
     /* 323075 */ GIM_Reject,
     /* 323076 */ // Label 71: @323076
     /* 323076 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6512*/ GIMT_Encode4(323932),
     /* 323087 */ /*GILLT_s16*//*Label 6504*/ GIMT_Encode4(323127),
     /* 323091 */ /*GILLT_s32*//*Label 6505*/ GIMT_Encode4(323346),
     /* 323095 */ /*GILLT_s64*//*Label 6506*/ GIMT_Encode4(323420), GIMT_Encode4(0),
     /* 323103 */ /*GILLT_v2s32*//*Label 6507*/ GIMT_Encode4(323494),
     /* 323107 */ /*GILLT_v2s64*//*Label 6508*/ GIMT_Encode4(323568),
     /* 323111 */ /*GILLT_v4s16*//*Label 6509*/ GIMT_Encode4(323642),
     /* 323115 */ /*GILLT_v4s32*//*Label 6510*/ GIMT_Encode4(323750), GIMT_Encode4(0),
     /* 323123 */ /*GILLT_v8s16*//*Label 6511*/ GIMT_Encode4(323824),
     /* 323127 */ // Label 6504: @323127
     /* 323127 */ GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(323345),
     /* 323132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 323135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323139 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(323180), // Rule ID 5208 //
     /* 323144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 323159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 323163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323165 */     // (fabs:{ *:[f16] } (fsub:{ *:[f16] } f16:{ *:[f16] }:$Rn, f16:{ *:[f16] }:$Rm))  =>  (FABD16:{ *:[f16] } f16:{ *:[f16] }:$Rn, f16:{ *:[f16] }:$Rm)
     /* 323165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD16),
     /* 323168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323178 */     GIR_RootConstrainSelectedInstOperands,
     /* 323179 */     // GIR_Coverage, 5208,
     /* 323179 */     GIR_EraseRootFromParent_Done,
     /* 323180 */   // Label 6514: @323180
     /* 323180 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(323199), // Rule ID 521 //
     /* 323185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 323188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323192 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FABSHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 323192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSHr),
     /* 323197 */     GIR_RootConstrainSelectedInstOperands,
     /* 323198 */     // GIR_Coverage, 521,
     /* 323198 */     GIR_Done,
     /* 323199 */   // Label 6515: @323199
     /* 323199 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(323344), // Rule ID 6380 //
     /* 323204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323208 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[f16] } (COPY_TO_REGCLASS:{ *:[f32] } (ANDWri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), GPR32:{ *:[i32] }), (logical_imm32_XFORM:{ *:[i32] } 32767:{ *:[i32] })), FPR32:{ *:[i32] }), hsub:{ *:[i32] })
     /* 323208 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 323211 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 323215 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 323222 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 323225 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 323229 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323234 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 323237 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 323241 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/9,
     /* 323244 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323249 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323254 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323259 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 323262 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 323266 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323271 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 323274 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 323279 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 323282 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::ANDWri),
     /* 323286 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323291 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 323294 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // 
     /* 323299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 323301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 323304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 323308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323313 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 323316 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 323324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323326 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 323333 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323338 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323343 */     // GIR_Coverage, 6380,
     /* 323343 */     GIR_EraseRootFromParent_Done,
     /* 323344 */   // Label 6516: @323344
     /* 323344 */   GIM_Reject,
     /* 323345 */ // Label 6513: @323345
     /* 323345 */ GIM_Reject,
     /* 323346 */ // Label 6505: @323346
     /* 323346 */ GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(323419),
     /* 323351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 323354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323358 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(323399), // Rule ID 5209 //
     /* 323363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 323378 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 323382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323384 */     // (fabs:{ *:[f32] } (fsub:{ *:[f32] } f32:{ *:[f32] }:$Rn, f32:{ *:[f32] }:$Rm))  =>  (FABD32:{ *:[f32] } f32:{ *:[f32] }:$Rn, f32:{ *:[f32] }:$Rm)
     /* 323384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD32),
     /* 323387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323397 */     GIR_RootConstrainSelectedInstOperands,
     /* 323398 */     // GIR_Coverage, 5209,
     /* 323398 */     GIR_EraseRootFromParent_Done,
     /* 323399 */   // Label 6518: @323399
     /* 323399 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(323418), // Rule ID 522 //
     /* 323404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 323407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323411 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FABSSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 323411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSSr),
     /* 323416 */     GIR_RootConstrainSelectedInstOperands,
     /* 323417 */     // GIR_Coverage, 522,
     /* 323417 */     GIR_Done,
     /* 323418 */   // Label 6519: @323418
     /* 323418 */   GIM_Reject,
     /* 323419 */ // Label 6517: @323419
     /* 323419 */ GIM_Reject,
     /* 323420 */ // Label 6506: @323420
     /* 323420 */ GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(323493),
     /* 323425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 323428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323432 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(323473), // Rule ID 5210 //
     /* 323437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 323452 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 323456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323458 */     // (fabs:{ *:[f64] } (fsub:{ *:[f64] } f64:{ *:[f64] }:$Rn, f64:{ *:[f64] }:$Rm))  =>  (FABD64:{ *:[f64] } f64:{ *:[f64] }:$Rn, f64:{ *:[f64] }:$Rm)
     /* 323458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 323461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323471 */     GIR_RootConstrainSelectedInstOperands,
     /* 323472 */     // GIR_Coverage, 5210,
     /* 323472 */     GIR_EraseRootFromParent_Done,
     /* 323473 */   // Label 6521: @323473
     /* 323473 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(323492), // Rule ID 523 //
     /* 323478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 323481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323485 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FABSDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 323485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSDr),
     /* 323490 */     GIR_RootConstrainSelectedInstOperands,
     /* 323491 */     // GIR_Coverage, 523,
     /* 323491 */     GIR_Done,
     /* 323492 */   // Label 6522: @323492
     /* 323492 */   GIM_Reject,
     /* 323493 */ // Label 6520: @323493
     /* 323493 */ GIM_Reject,
     /* 323494 */ // Label 6507: @323494
     /* 323494 */ GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(323567),
     /* 323499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 323502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323506 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(323547), // Rule ID 5001 //
     /* 323511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 323526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 323530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323532 */     // (fabs:{ *:[v2f32] } (fsub:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$Rn, v2f32:{ *:[v2f32] }:$Rm))  =>  (FABDv2f32:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$Rn, v2f32:{ *:[v2f32] }:$Rm)
     /* 323532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f32),
     /* 323535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323545 */     GIR_RootConstrainSelectedInstOperands,
     /* 323546 */     // GIR_Coverage, 5001,
     /* 323546 */     GIR_EraseRootFromParent_Done,
     /* 323547 */   // Label 6524: @323547
     /* 323547 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(323566), // Rule ID 768 //
     /* 323552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323559 */     // (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FABSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 323559 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv2f32),
     /* 323564 */     GIR_RootConstrainSelectedInstOperands,
     /* 323565 */     // GIR_Coverage, 768,
     /* 323565 */     GIR_Done,
     /* 323566 */   // Label 6525: @323566
     /* 323566 */   GIM_Reject,
     /* 323567 */ // Label 6523: @323567
     /* 323567 */ GIM_Reject,
     /* 323568 */ // Label 6508: @323568
     /* 323568 */ GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(323641),
     /* 323573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 323576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323580 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(323621), // Rule ID 5003 //
     /* 323585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 323600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 323604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323606 */     // (fabs:{ *:[v2f64] } (fsub:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, v2f64:{ *:[v2f64] }:$Rm))  =>  (FABDv2f64:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, v2f64:{ *:[v2f64] }:$Rm)
     /* 323606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f64),
     /* 323609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323619 */     GIR_RootConstrainSelectedInstOperands,
     /* 323620 */     // GIR_Coverage, 5003,
     /* 323620 */     GIR_EraseRootFromParent_Done,
     /* 323621 */   // Label 6527: @323621
     /* 323621 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(323640), // Rule ID 770 //
     /* 323626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323633 */     // (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FABSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 323633 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv2f64),
     /* 323638 */     GIR_RootConstrainSelectedInstOperands,
     /* 323639 */     // GIR_Coverage, 770,
     /* 323639 */     GIR_Done,
     /* 323640 */   // Label 6528: @323640
     /* 323640 */   GIM_Reject,
     /* 323641 */ // Label 6526: @323641
     /* 323641 */ GIM_Reject,
     /* 323642 */ // Label 6509: @323642
     /* 323642 */ GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(323749),
     /* 323647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 323650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323654 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(323695), // Rule ID 5004 //
     /* 323659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 323674 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 323678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323680 */     // (fabs:{ *:[v4f16] } (fsub:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$Rn, v4f16:{ *:[v4f16] }:$Rm))  =>  (FABDv4f16:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$Rn, v4f16:{ *:[v4f16] }:$Rm)
     /* 323680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f16),
     /* 323683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323693 */     GIR_RootConstrainSelectedInstOperands,
     /* 323694 */     // GIR_Coverage, 5004,
     /* 323694 */     GIR_EraseRootFromParent_Done,
     /* 323695 */   // Label 6530: @323695
     /* 323695 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(323714), // Rule ID 766 //
     /* 323700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323707 */     // (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FABSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 323707 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv4f16),
     /* 323712 */     GIR_RootConstrainSelectedInstOperands,
     /* 323713 */     // GIR_Coverage, 766,
     /* 323713 */     GIR_Done,
     /* 323714 */   // Label 6531: @323714
     /* 323714 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(323748), // Rule ID 6382 //
     /* 323719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323726 */     // (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (BICv4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, 128:{ *:[i32] }, 8:{ *:[i32] })
     /* 323726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv4i16),
     /* 323729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323731 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 323733 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(128),
     /* 323743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 323746 */     GIR_RootConstrainSelectedInstOperands,
     /* 323747 */     // GIR_Coverage, 6382,
     /* 323747 */     GIR_EraseRootFromParent_Done,
     /* 323748 */   // Label 6532: @323748
     /* 323748 */   GIM_Reject,
     /* 323749 */ // Label 6529: @323749
     /* 323749 */ GIM_Reject,
     /* 323750 */ // Label 6510: @323750
     /* 323750 */ GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(323823),
     /* 323755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 323758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323762 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(323803), // Rule ID 5002 //
     /* 323767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 323782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 323786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323788 */     // (fabs:{ *:[v4f32] } (fsub:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$Rn, v4f32:{ *:[v4f32] }:$Rm))  =>  (FABDv4f32:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$Rn, v4f32:{ *:[v4f32] }:$Rm)
     /* 323788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f32),
     /* 323791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323801 */     GIR_RootConstrainSelectedInstOperands,
     /* 323802 */     // GIR_Coverage, 5002,
     /* 323802 */     GIR_EraseRootFromParent_Done,
     /* 323803 */   // Label 6534: @323803
     /* 323803 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(323822), // Rule ID 769 //
     /* 323808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323815 */     // (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FABSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 323815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv4f32),
     /* 323820 */     GIR_RootConstrainSelectedInstOperands,
     /* 323821 */     // GIR_Coverage, 769,
     /* 323821 */     GIR_Done,
     /* 323822 */   // Label 6535: @323822
     /* 323822 */   GIM_Reject,
     /* 323823 */ // Label 6533: @323823
     /* 323823 */ GIM_Reject,
     /* 323824 */ // Label 6511: @323824
     /* 323824 */ GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(323931),
     /* 323829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 323832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323836 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(323877), // Rule ID 5005 //
     /* 323841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 323856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 323860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323862 */     // (fabs:{ *:[v8f16] } (fsub:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$Rn, v8f16:{ *:[v8f16] }:$Rm))  =>  (FABDv8f16:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$Rn, v8f16:{ *:[v8f16] }:$Rm)
     /* 323862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv8f16),
     /* 323865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323875 */     GIR_RootConstrainSelectedInstOperands,
     /* 323876 */     // GIR_Coverage, 5005,
     /* 323876 */     GIR_EraseRootFromParent_Done,
     /* 323877 */   // Label 6537: @323877
     /* 323877 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(323896), // Rule ID 767 //
     /* 323882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323889 */     // (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FABSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 323889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv8f16),
     /* 323894 */     GIR_RootConstrainSelectedInstOperands,
     /* 323895 */     // GIR_Coverage, 767,
     /* 323895 */     GIR_Done,
     /* 323896 */   // Label 6538: @323896
     /* 323896 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(323930), // Rule ID 6383 //
     /* 323901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323908 */     // (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (BICv8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, 128:{ *:[i32] }, 8:{ *:[i32] })
     /* 323908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i16),
     /* 323911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323913 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 323915 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(128),
     /* 323925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 323928 */     GIR_RootConstrainSelectedInstOperands,
     /* 323929 */     // GIR_Coverage, 6383,
     /* 323929 */     GIR_EraseRootFromParent_Done,
     /* 323930 */   // Label 6539: @323930
     /* 323930 */   GIM_Reject,
     /* 323931 */ // Label 6536: @323931
     /* 323931 */ GIM_Reject,
     /* 323932 */ // Label 6512: @323932
     /* 323932 */ GIM_Reject,
     /* 323933 */ // Label 72: @323933
     /* 323933 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6548*/ GIMT_Encode4(324214),
     /* 323944 */ /*GILLT_s16*//*Label 6540*/ GIMT_Encode4(323984),
     /* 323948 */ /*GILLT_s32*//*Label 6541*/ GIMT_Encode4(324011),
     /* 323952 */ /*GILLT_s64*//*Label 6542*/ GIMT_Encode4(324035), GIMT_Encode4(0),
     /* 323960 */ /*GILLT_v2s32*//*Label 6543*/ GIMT_Encode4(324059),
     /* 323964 */ /*GILLT_v2s64*//*Label 6544*/ GIMT_Encode4(324090),
     /* 323968 */ /*GILLT_v4s16*//*Label 6545*/ GIMT_Encode4(324121),
     /* 323972 */ /*GILLT_v4s32*//*Label 6546*/ GIMT_Encode4(324152), GIMT_Encode4(0),
     /* 323980 */ /*GILLT_v8s16*//*Label 6547*/ GIMT_Encode4(324183),
     /* 323984 */ // Label 6540: @323984
     /* 323984 */ GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(324010), // Rule ID 4823 //
     /* 323989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 323992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 323995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323999 */   // (fcanonicalize:{ *:[f16] } f16:{ *:[f16] }:$a)  =>  (FMINNMHrr:{ *:[f16] } f16:{ *:[f16] }:$a, f16:{ *:[f16] }:$a)
     /* 323999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMHrr),
     /* 324002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324004 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 324006 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 324008 */   GIR_RootConstrainSelectedInstOperands,
     /* 324009 */   // GIR_Coverage, 4823,
     /* 324009 */   GIR_EraseRootFromParent_Done,
     /* 324010 */ // Label 6549: @324010
     /* 324010 */ GIM_Reject,
     /* 324011 */ // Label 6541: @324011
     /* 324011 */ GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(324034), // Rule ID 4820 //
     /* 324016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 324019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324023 */   // (fcanonicalize:{ *:[f32] } f32:{ *:[f32] }:$a)  =>  (FMINNMSrr:{ *:[f32] } f32:{ *:[f32] }:$a, f32:{ *:[f32] }:$a)
     /* 324023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMSrr),
     /* 324026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324028 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 324030 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 324032 */   GIR_RootConstrainSelectedInstOperands,
     /* 324033 */   // GIR_Coverage, 4820,
     /* 324033 */   GIR_EraseRootFromParent_Done,
     /* 324034 */ // Label 6550: @324034
     /* 324034 */ GIM_Reject,
     /* 324035 */ // Label 6542: @324035
     /* 324035 */ GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(324058), // Rule ID 4817 //
     /* 324040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 324043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324047 */   // (fcanonicalize:{ *:[f64] } f64:{ *:[f64] }:$a)  =>  (FMINNMDrr:{ *:[f64] } f64:{ *:[f64] }:$a, f64:{ *:[f64] }:$a)
     /* 324047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 324050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324052 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 324054 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 324056 */   GIR_RootConstrainSelectedInstOperands,
     /* 324057 */   // GIR_Coverage, 4817,
     /* 324057 */   GIR_EraseRootFromParent_Done,
     /* 324058 */ // Label 6551: @324058
     /* 324058 */ GIM_Reject,
     /* 324059 */ // Label 6543: @324059
     /* 324059 */ GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(324089), // Rule ID 5014 //
     /* 324064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 324070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324078 */   // (fcanonicalize:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMINNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rn)
     /* 324078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f32),
     /* 324081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324083 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 324085 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 324087 */   GIR_RootConstrainSelectedInstOperands,
     /* 324088 */   // GIR_Coverage, 5014,
     /* 324088 */   GIR_EraseRootFromParent_Done,
     /* 324089 */ // Label 6552: @324089
     /* 324089 */ GIM_Reject,
     /* 324090 */ // Label 6544: @324090
     /* 324090 */ GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(324120), // Rule ID 5008 //
     /* 324095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 324101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324109 */   // (fcanonicalize:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMINNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rn)
     /* 324109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f64),
     /* 324112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324114 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 324116 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 324118 */   GIR_RootConstrainSelectedInstOperands,
     /* 324119 */   // GIR_Coverage, 5008,
     /* 324119 */   GIR_EraseRootFromParent_Done,
     /* 324120 */ // Label 6553: @324120
     /* 324120 */ GIM_Reject,
     /* 324121 */ // Label 6545: @324121
     /* 324121 */ GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(324151), // Rule ID 5020 //
     /* 324126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 324132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324140 */   // (fcanonicalize:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMINNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rn)
     /* 324140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f16),
     /* 324143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324145 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 324147 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 324149 */   GIR_RootConstrainSelectedInstOperands,
     /* 324150 */   // GIR_Coverage, 5020,
     /* 324150 */   GIR_EraseRootFromParent_Done,
     /* 324151 */ // Label 6554: @324151
     /* 324151 */ GIM_Reject,
     /* 324152 */ // Label 6546: @324152
     /* 324152 */ GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(324182), // Rule ID 5011 //
     /* 324157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324171 */   // (fcanonicalize:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMINNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn)
     /* 324171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f32),
     /* 324174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324176 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 324178 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 324180 */   GIR_RootConstrainSelectedInstOperands,
     /* 324181 */   // GIR_Coverage, 5011,
     /* 324181 */   GIR_EraseRootFromParent_Done,
     /* 324182 */ // Label 6555: @324182
     /* 324182 */ GIM_Reject,
     /* 324183 */ // Label 6547: @324183
     /* 324183 */ GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(324213), // Rule ID 5017 //
     /* 324188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 324194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324202 */   // (fcanonicalize:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMINNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn)
     /* 324202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv8f16),
     /* 324205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324207 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 324209 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 324211 */   GIR_RootConstrainSelectedInstOperands,
     /* 324212 */   // GIR_Coverage, 5017,
     /* 324212 */   GIR_EraseRootFromParent_Done,
     /* 324213 */ // Label 6556: @324213
     /* 324213 */ GIM_Reject,
     /* 324214 */ // Label 6548: @324214
     /* 324214 */ GIM_Reject,
     /* 324215 */ // Label 73: @324215
     /* 324215 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6565*/ GIMT_Encode4(324592),
     /* 324226 */ /*GILLT_s16*//*Label 6557*/ GIMT_Encode4(324266),
     /* 324230 */ /*GILLT_s32*//*Label 6558*/ GIMT_Encode4(324304),
     /* 324234 */ /*GILLT_s64*//*Label 6559*/ GIMT_Encode4(324342), GIMT_Encode4(0),
     /* 324242 */ /*GILLT_v2s32*//*Label 6560*/ GIMT_Encode4(324402),
     /* 324246 */ /*GILLT_v2s64*//*Label 6561*/ GIMT_Encode4(324440),
     /* 324250 */ /*GILLT_v4s16*//*Label 6562*/ GIMT_Encode4(324478),
     /* 324254 */ /*GILLT_v4s32*//*Label 6563*/ GIMT_Encode4(324516), GIMT_Encode4(0),
     /* 324262 */ /*GILLT_v8s16*//*Label 6564*/ GIMT_Encode4(324554),
     /* 324266 */ // Label 6557: @324266
     /* 324266 */ GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(324303), // Rule ID 608 //
     /* 324271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 324274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 324277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 324280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324292 */   // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMINNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 324292 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMHrr),
     /* 324297 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324301 */   GIR_RootConstrainSelectedInstOperands,
     /* 324302 */   // GIR_Coverage, 608,
     /* 324302 */   GIR_Done,
     /* 324303 */ // Label 6566: @324303
     /* 324303 */ GIM_Reject,
     /* 324304 */ // Label 6558: @324304
     /* 324304 */ GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(324341), // Rule ID 610 //
     /* 324309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 324312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 324315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 324318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324330 */   // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMINNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 324330 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMSrr),
     /* 324335 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324339 */   GIR_RootConstrainSelectedInstOperands,
     /* 324340 */   // GIR_Coverage, 610,
     /* 324340 */   GIR_Done,
     /* 324341 */ // Label 6567: @324341
     /* 324341 */ GIM_Reject,
     /* 324342 */ // Label 6559: @324342
     /* 324342 */ GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(324401),
     /* 324347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 324350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 324353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324365 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(324384), // Rule ID 612 //
     /* 324370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 324373 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMINNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 324373 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 324378 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324382 */     GIR_RootConstrainSelectedInstOperands,
     /* 324383 */     // GIR_Coverage, 612,
     /* 324383 */     GIR_Done,
     /* 324384 */   // Label 6569: @324384
     /* 324384 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(324400), // Rule ID 4814 //
     /* 324389 */     // (fminnum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMINNMDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 324389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 324394 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324398 */     GIR_RootConstrainSelectedInstOperands,
     /* 324399 */     // GIR_Coverage, 4814,
     /* 324399 */     GIR_Done,
     /* 324400 */   // Label 6570: @324400
     /* 324400 */   GIM_Reject,
     /* 324401 */ // Label 6568: @324401
     /* 324401 */ GIM_Reject,
     /* 324402 */ // Label 6560: @324402
     /* 324402 */ GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(324439), // Rule ID 1273 //
     /* 324407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 324413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 324416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324428 */   // (fminnum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 324428 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f32),
     /* 324433 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324437 */   GIR_RootConstrainSelectedInstOperands,
     /* 324438 */   // GIR_Coverage, 1273,
     /* 324438 */   GIR_Done,
     /* 324439 */ // Label 6571: @324439
     /* 324439 */ GIM_Reject,
     /* 324440 */ // Label 6561: @324440
     /* 324440 */ GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(324477), // Rule ID 1277 //
     /* 324445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 324451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 324454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324466 */   // (fminnum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 324466 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f64),
     /* 324471 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324475 */   GIR_RootConstrainSelectedInstOperands,
     /* 324476 */   // GIR_Coverage, 1277,
     /* 324476 */   GIR_Done,
     /* 324477 */ // Label 6572: @324477
     /* 324477 */ GIM_Reject,
     /* 324478 */ // Label 6562: @324478
     /* 324478 */ GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(324515), // Rule ID 1269 //
     /* 324483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 324489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 324492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324504 */   // (fminnum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 324504 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f16),
     /* 324509 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324513 */   GIR_RootConstrainSelectedInstOperands,
     /* 324514 */   // GIR_Coverage, 1269,
     /* 324514 */   GIR_Done,
     /* 324515 */ // Label 6573: @324515
     /* 324515 */ GIM_Reject,
     /* 324516 */ // Label 6563: @324516
     /* 324516 */ GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(324553), // Rule ID 1275 //
     /* 324521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 324530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324542 */   // (fminnum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 324542 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f32),
     /* 324547 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324551 */   GIR_RootConstrainSelectedInstOperands,
     /* 324552 */   // GIR_Coverage, 1275,
     /* 324552 */   GIR_Done,
     /* 324553 */ // Label 6574: @324553
     /* 324553 */ GIM_Reject,
     /* 324554 */ // Label 6564: @324554
     /* 324554 */ GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(324591), // Rule ID 1271 //
     /* 324559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 324565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 324568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324580 */   // (fminnum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 324580 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv8f16),
     /* 324585 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324589 */   GIR_RootConstrainSelectedInstOperands,
     /* 324590 */   // GIR_Coverage, 1271,
     /* 324590 */   GIR_Done,
     /* 324591 */ // Label 6575: @324591
     /* 324591 */ GIM_Reject,
     /* 324592 */ // Label 6565: @324592
     /* 324592 */ GIM_Reject,
     /* 324593 */ // Label 74: @324593
     /* 324593 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6584*/ GIMT_Encode4(324970),
     /* 324604 */ /*GILLT_s16*//*Label 6576*/ GIMT_Encode4(324644),
     /* 324608 */ /*GILLT_s32*//*Label 6577*/ GIMT_Encode4(324682),
     /* 324612 */ /*GILLT_s64*//*Label 6578*/ GIMT_Encode4(324720), GIMT_Encode4(0),
     /* 324620 */ /*GILLT_v2s32*//*Label 6579*/ GIMT_Encode4(324780),
     /* 324624 */ /*GILLT_v2s64*//*Label 6580*/ GIMT_Encode4(324818),
     /* 324628 */ /*GILLT_v4s16*//*Label 6581*/ GIMT_Encode4(324856),
     /* 324632 */ /*GILLT_v4s32*//*Label 6582*/ GIMT_Encode4(324894), GIMT_Encode4(0),
     /* 324640 */ /*GILLT_v8s16*//*Label 6583*/ GIMT_Encode4(324932),
     /* 324644 */ // Label 6576: @324644
     /* 324644 */ GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(324681), // Rule ID 596 //
     /* 324649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 324652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 324655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 324658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324670 */   // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMAXNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 324670 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMHrr),
     /* 324675 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324679 */   GIR_RootConstrainSelectedInstOperands,
     /* 324680 */   // GIR_Coverage, 596,
     /* 324680 */   GIR_Done,
     /* 324681 */ // Label 6585: @324681
     /* 324681 */ GIM_Reject,
     /* 324682 */ // Label 6577: @324682
     /* 324682 */ GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(324719), // Rule ID 598 //
     /* 324687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 324690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 324693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 324696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324708 */   // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMAXNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 324708 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMSrr),
     /* 324713 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324717 */   GIR_RootConstrainSelectedInstOperands,
     /* 324718 */   // GIR_Coverage, 598,
     /* 324718 */   GIR_Done,
     /* 324719 */ // Label 6586: @324719
     /* 324719 */ GIM_Reject,
     /* 324720 */ // Label 6578: @324720
     /* 324720 */ GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(324779),
     /* 324725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 324728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 324731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324743 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(324762), // Rule ID 600 //
     /* 324748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 324751 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMAXNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 324751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMDrr),
     /* 324756 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324760 */     GIR_RootConstrainSelectedInstOperands,
     /* 324761 */     // GIR_Coverage, 600,
     /* 324761 */     GIR_Done,
     /* 324762 */   // Label 6588: @324762
     /* 324762 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(324778), // Rule ID 4813 //
     /* 324767 */     // (fmaxnum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMAXNMDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 324767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMDrr),
     /* 324772 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324776 */     GIR_RootConstrainSelectedInstOperands,
     /* 324777 */     // GIR_Coverage, 4813,
     /* 324777 */     GIR_Done,
     /* 324778 */   // Label 6589: @324778
     /* 324778 */   GIM_Reject,
     /* 324779 */ // Label 6587: @324779
     /* 324779 */ GIM_Reject,
     /* 324780 */ // Label 6579: @324780
     /* 324780 */ GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(324817), // Rule ID 1243 //
     /* 324785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 324791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 324794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324806 */   // (fmaxnum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 324806 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f32),
     /* 324811 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324815 */   GIR_RootConstrainSelectedInstOperands,
     /* 324816 */   // GIR_Coverage, 1243,
     /* 324816 */   GIR_Done,
     /* 324817 */ // Label 6590: @324817
     /* 324817 */ GIM_Reject,
     /* 324818 */ // Label 6580: @324818
     /* 324818 */ GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(324855), // Rule ID 1247 //
     /* 324823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 324829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 324832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324844 */   // (fmaxnum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 324844 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f64),
     /* 324849 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324853 */   GIR_RootConstrainSelectedInstOperands,
     /* 324854 */   // GIR_Coverage, 1247,
     /* 324854 */   GIR_Done,
     /* 324855 */ // Label 6591: @324855
     /* 324855 */ GIM_Reject,
     /* 324856 */ // Label 6581: @324856
     /* 324856 */ GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(324893), // Rule ID 1239 //
     /* 324861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 324867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 324870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324882 */   // (fmaxnum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 324882 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f16),
     /* 324887 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324891 */   GIR_RootConstrainSelectedInstOperands,
     /* 324892 */   // GIR_Coverage, 1239,
     /* 324892 */   GIR_Done,
     /* 324893 */ // Label 6592: @324893
     /* 324893 */ GIM_Reject,
     /* 324894 */ // Label 6582: @324894
     /* 324894 */ GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(324931), // Rule ID 1245 //
     /* 324899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 324908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324920 */   // (fmaxnum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 324920 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f32),
     /* 324925 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324929 */   GIR_RootConstrainSelectedInstOperands,
     /* 324930 */   // GIR_Coverage, 1245,
     /* 324930 */   GIR_Done,
     /* 324931 */ // Label 6593: @324931
     /* 324931 */ GIM_Reject,
     /* 324932 */ // Label 6583: @324932
     /* 324932 */ GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(324969), // Rule ID 1241 //
     /* 324937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 324943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 324946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324958 */   // (fmaxnum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 324958 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv8f16),
     /* 324963 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324967 */   GIR_RootConstrainSelectedInstOperands,
     /* 324968 */   // GIR_Coverage, 1241,
     /* 324968 */   GIR_Done,
     /* 324969 */ // Label 6594: @324969
     /* 324969 */ GIM_Reject,
     /* 324970 */ // Label 6584: @324970
     /* 324970 */ GIM_Reject,
     /* 324971 */ // Label 75: @324971
     /* 324971 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6603*/ GIMT_Encode4(325320),
     /* 324982 */ /*GILLT_s16*//*Label 6595*/ GIMT_Encode4(325022),
     /* 324986 */ /*GILLT_s32*//*Label 6596*/ GIMT_Encode4(325060),
     /* 324990 */ /*GILLT_s64*//*Label 6597*/ GIMT_Encode4(325095), GIMT_Encode4(0),
     /* 324998 */ /*GILLT_v2s32*//*Label 6598*/ GIMT_Encode4(325130),
     /* 325002 */ /*GILLT_v2s64*//*Label 6599*/ GIMT_Encode4(325168),
     /* 325006 */ /*GILLT_v4s16*//*Label 6600*/ GIMT_Encode4(325206),
     /* 325010 */ /*GILLT_v4s32*//*Label 6601*/ GIMT_Encode4(325244), GIMT_Encode4(0),
     /* 325018 */ /*GILLT_v8s16*//*Label 6602*/ GIMT_Encode4(325282),
     /* 325022 */ // Label 6595: @325022
     /* 325022 */ GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(325059), // Rule ID 4821 //
     /* 325027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 325030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 325033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 325036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325048 */   // (fminnum_ieee:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)  =>  (FMINNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 325048 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMHrr),
     /* 325053 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325057 */   GIR_RootConstrainSelectedInstOperands,
     /* 325058 */   // GIR_Coverage, 4821,
     /* 325058 */   GIR_Done,
     /* 325059 */ // Label 6604: @325059
     /* 325059 */ GIM_Reject,
     /* 325060 */ // Label 6596: @325060
     /* 325060 */ GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(325094), // Rule ID 4818 //
     /* 325065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 325068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 325071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325083 */   // (fminnum_ieee:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)  =>  (FMINNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 325083 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMSrr),
     /* 325088 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325092 */   GIR_RootConstrainSelectedInstOperands,
     /* 325093 */   // GIR_Coverage, 4818,
     /* 325093 */   GIR_Done,
     /* 325094 */ // Label 6605: @325094
     /* 325094 */ GIM_Reject,
     /* 325095 */ // Label 6597: @325095
     /* 325095 */ GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(325129), // Rule ID 4815 //
     /* 325100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 325103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 325106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325118 */   // (fminnum_ieee:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)  =>  (FMINNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 325118 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 325123 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325127 */   GIR_RootConstrainSelectedInstOperands,
     /* 325128 */   // GIR_Coverage, 4815,
     /* 325128 */   GIR_Done,
     /* 325129 */ // Label 6606: @325129
     /* 325129 */ GIM_Reject,
     /* 325130 */ // Label 6598: @325130
     /* 325130 */ GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(325167), // Rule ID 5012 //
     /* 325135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 325141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 325144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325156 */   // (fminnum_ieee:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 325156 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f32),
     /* 325161 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325165 */   GIR_RootConstrainSelectedInstOperands,
     /* 325166 */   // GIR_Coverage, 5012,
     /* 325166 */   GIR_Done,
     /* 325167 */ // Label 6607: @325167
     /* 325167 */ GIM_Reject,
     /* 325168 */ // Label 6599: @325168
     /* 325168 */ GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(325205), // Rule ID 5006 //
     /* 325173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 325179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 325182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325194 */   // (fminnum_ieee:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 325194 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f64),
     /* 325199 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325203 */   GIR_RootConstrainSelectedInstOperands,
     /* 325204 */   // GIR_Coverage, 5006,
     /* 325204 */   GIR_Done,
     /* 325205 */ // Label 6608: @325205
     /* 325205 */ GIM_Reject,
     /* 325206 */ // Label 6600: @325206
     /* 325206 */ GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(325243), // Rule ID 5018 //
     /* 325211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 325214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 325217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 325220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325232 */   // (fminnum_ieee:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 325232 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f16),
     /* 325237 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325241 */   GIR_RootConstrainSelectedInstOperands,
     /* 325242 */   // GIR_Coverage, 5018,
     /* 325242 */   GIR_Done,
     /* 325243 */ // Label 6609: @325243
     /* 325243 */ GIM_Reject,
     /* 325244 */ // Label 6601: @325244
     /* 325244 */ GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(325281), // Rule ID 5009 //
     /* 325249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 325255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 325258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325270 */   // (fminnum_ieee:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 325270 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f32),
     /* 325275 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325279 */   GIR_RootConstrainSelectedInstOperands,
     /* 325280 */   // GIR_Coverage, 5009,
     /* 325280 */   GIR_Done,
     /* 325281 */ // Label 6610: @325281
     /* 325281 */ GIM_Reject,
     /* 325282 */ // Label 6602: @325282
     /* 325282 */ GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(325319), // Rule ID 5015 //
     /* 325287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 325290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 325293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 325296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325308 */   // (fminnum_ieee:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 325308 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv8f16),
     /* 325313 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325317 */   GIR_RootConstrainSelectedInstOperands,
     /* 325318 */   // GIR_Coverage, 5015,
     /* 325318 */   GIR_Done,
     /* 325319 */ // Label 6611: @325319
     /* 325319 */ GIM_Reject,
     /* 325320 */ // Label 6603: @325320
     /* 325320 */ GIM_Reject,
     /* 325321 */ // Label 76: @325321
     /* 325321 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6620*/ GIMT_Encode4(325670),
     /* 325332 */ /*GILLT_s16*//*Label 6612*/ GIMT_Encode4(325372),
     /* 325336 */ /*GILLT_s32*//*Label 6613*/ GIMT_Encode4(325410),
     /* 325340 */ /*GILLT_s64*//*Label 6614*/ GIMT_Encode4(325445), GIMT_Encode4(0),
     /* 325348 */ /*GILLT_v2s32*//*Label 6615*/ GIMT_Encode4(325480),
     /* 325352 */ /*GILLT_v2s64*//*Label 6616*/ GIMT_Encode4(325518),
     /* 325356 */ /*GILLT_v4s16*//*Label 6617*/ GIMT_Encode4(325556),
     /* 325360 */ /*GILLT_v4s32*//*Label 6618*/ GIMT_Encode4(325594), GIMT_Encode4(0),
     /* 325368 */ /*GILLT_v8s16*//*Label 6619*/ GIMT_Encode4(325632),
     /* 325372 */ // Label 6612: @325372
     /* 325372 */ GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(325409), // Rule ID 4822 //
     /* 325377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 325380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 325383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 325386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325398 */   // (fmaxnum_ieee:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)  =>  (FMAXNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 325398 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMHrr),
     /* 325403 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325407 */   GIR_RootConstrainSelectedInstOperands,
     /* 325408 */   // GIR_Coverage, 4822,
     /* 325408 */   GIR_Done,
     /* 325409 */ // Label 6621: @325409
     /* 325409 */ GIM_Reject,
     /* 325410 */ // Label 6613: @325410
     /* 325410 */ GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(325444), // Rule ID 4819 //
     /* 325415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 325418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 325421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325433 */   // (fmaxnum_ieee:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)  =>  (FMAXNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 325433 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMSrr),
     /* 325438 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325442 */   GIR_RootConstrainSelectedInstOperands,
     /* 325443 */   // GIR_Coverage, 4819,
     /* 325443 */   GIR_Done,
     /* 325444 */ // Label 6622: @325444
     /* 325444 */ GIM_Reject,
     /* 325445 */ // Label 6614: @325445
     /* 325445 */ GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(325479), // Rule ID 4816 //
     /* 325450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 325453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 325456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325468 */   // (fmaxnum_ieee:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)  =>  (FMAXNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 325468 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMDrr),
     /* 325473 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325477 */   GIR_RootConstrainSelectedInstOperands,
     /* 325478 */   // GIR_Coverage, 4816,
     /* 325478 */   GIR_Done,
     /* 325479 */ // Label 6623: @325479
     /* 325479 */ GIM_Reject,
     /* 325480 */ // Label 6615: @325480
     /* 325480 */ GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(325517), // Rule ID 5013 //
     /* 325485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 325491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 325494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325506 */   // (fmaxnum_ieee:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 325506 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f32),
     /* 325511 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325515 */   GIR_RootConstrainSelectedInstOperands,
     /* 325516 */   // GIR_Coverage, 5013,
     /* 325516 */   GIR_Done,
     /* 325517 */ // Label 6624: @325517
     /* 325517 */ GIM_Reject,
     /* 325518 */ // Label 6616: @325518
     /* 325518 */ GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(325555), // Rule ID 5007 //
     /* 325523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 325529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 325532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325544 */   // (fmaxnum_ieee:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 325544 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f64),
     /* 325549 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325553 */   GIR_RootConstrainSelectedInstOperands,
     /* 325554 */   // GIR_Coverage, 5007,
     /* 325554 */   GIR_Done,
     /* 325555 */ // Label 6625: @325555
     /* 325555 */ GIM_Reject,
     /* 325556 */ // Label 6617: @325556
     /* 325556 */ GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(325593), // Rule ID 5019 //
     /* 325561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 325564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 325567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 325570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325582 */   // (fmaxnum_ieee:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 325582 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f16),
     /* 325587 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325591 */   GIR_RootConstrainSelectedInstOperands,
     /* 325592 */   // GIR_Coverage, 5019,
     /* 325592 */   GIR_Done,
     /* 325593 */ // Label 6626: @325593
     /* 325593 */ GIM_Reject,
     /* 325594 */ // Label 6618: @325594
     /* 325594 */ GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(325631), // Rule ID 5010 //
     /* 325599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 325605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 325608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325620 */   // (fmaxnum_ieee:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 325620 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f32),
     /* 325625 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325629 */   GIR_RootConstrainSelectedInstOperands,
     /* 325630 */   // GIR_Coverage, 5010,
     /* 325630 */   GIR_Done,
     /* 325631 */ // Label 6627: @325631
     /* 325631 */ GIM_Reject,
     /* 325632 */ // Label 6619: @325632
     /* 325632 */ GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(325669), // Rule ID 5016 //
     /* 325637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 325640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 325643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 325646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325658 */   // (fmaxnum_ieee:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 325658 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv8f16),
     /* 325663 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325667 */   GIR_RootConstrainSelectedInstOperands,
     /* 325668 */   // GIR_Coverage, 5016,
     /* 325668 */   GIR_Done,
     /* 325669 */ // Label 6628: @325669
     /* 325669 */ GIM_Reject,
     /* 325670 */ // Label 6620: @325670
     /* 325670 */ GIM_Reject,
     /* 325671 */ // Label 77: @325671
     /* 325671 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6637*/ GIMT_Encode4(326373),
     /* 325682 */ /*GILLT_s16*//*Label 6629*/ GIMT_Encode4(325722),
     /* 325686 */ /*GILLT_s32*//*Label 6630*/ GIMT_Encode4(325760),
     /* 325690 */ /*GILLT_s64*//*Label 6631*/ GIMT_Encode4(325798), GIMT_Encode4(0),
     /* 325698 */ /*GILLT_v2s32*//*Label 6632*/ GIMT_Encode4(325858),
     /* 325702 */ /*GILLT_v2s64*//*Label 6633*/ GIMT_Encode4(325961),
     /* 325706 */ /*GILLT_v4s16*//*Label 6634*/ GIMT_Encode4(326064),
     /* 325710 */ /*GILLT_v4s32*//*Label 6635*/ GIMT_Encode4(326167), GIMT_Encode4(0),
     /* 325718 */ /*GILLT_v8s16*//*Label 6636*/ GIMT_Encode4(326270),
     /* 325722 */ // Label 6629: @325722
     /* 325722 */ GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(325759), // Rule ID 614 //
     /* 325727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 325730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 325733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 325736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325748 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMINHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 325748 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINHrr),
     /* 325753 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325757 */   GIR_RootConstrainSelectedInstOperands,
     /* 325758 */   // GIR_Coverage, 614,
     /* 325758 */   GIR_Done,
     /* 325759 */ // Label 6638: @325759
     /* 325759 */ GIM_Reject,
     /* 325760 */ // Label 6630: @325760
     /* 325760 */ GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(325797), // Rule ID 616 //
     /* 325765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 325768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 325771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 325774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325786 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMINSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 325786 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINSrr),
     /* 325791 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325795 */   GIR_RootConstrainSelectedInstOperands,
     /* 325796 */   // GIR_Coverage, 616,
     /* 325796 */   GIR_Done,
     /* 325797 */ // Label 6639: @325797
     /* 325797 */ GIM_Reject,
     /* 325798 */ // Label 6631: @325798
     /* 325798 */ GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(325857),
     /* 325803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 325806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 325809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325821 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(325840), // Rule ID 618 //
     /* 325826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 325829 */     // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMINDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 325829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINDrr),
     /* 325834 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325838 */     GIR_RootConstrainSelectedInstOperands,
     /* 325839 */     // GIR_Coverage, 618,
     /* 325839 */     GIR_Done,
     /* 325840 */   // Label 6641: @325840
     /* 325840 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(325856), // Rule ID 4812 //
     /* 325845 */     // (fminimum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMINDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 325845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINDrr),
     /* 325850 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325854 */     GIR_RootConstrainSelectedInstOperands,
     /* 325855 */     // GIR_Coverage, 4812,
     /* 325855 */     GIR_Done,
     /* 325856 */   // Label 6642: @325856
     /* 325856 */   GIM_Reject,
     /* 325857 */ // Label 6640: @325857
     /* 325857 */ GIM_Reject,
     /* 325858 */ // Label 6632: @325858
     /* 325858 */ GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(325960),
     /* 325863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 325866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 325869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325873 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(325932), // Rule ID 2366 //
     /* 325878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 325881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 325889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 325893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 325902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 325906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 325910 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325915 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 325917 */     // (fminimum:{ *:[v2f32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FAMINv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 325917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f32),
     /* 325920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 325922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 325926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 325930 */     GIR_RootConstrainSelectedInstOperands,
     /* 325931 */     // GIR_Coverage, 2366,
     /* 325931 */     GIR_EraseRootFromParent_Done,
     /* 325932 */   // Label 6644: @325932
     /* 325932 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(325959), // Rule ID 1288 //
     /* 325937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325948 */     // (fminimum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 325948 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv2f32),
     /* 325953 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325957 */     GIR_RootConstrainSelectedInstOperands,
     /* 325958 */     // GIR_Coverage, 1288,
     /* 325958 */     GIR_Done,
     /* 325959 */   // Label 6645: @325959
     /* 325959 */   GIM_Reject,
     /* 325960 */ // Label 6643: @325960
     /* 325960 */ GIM_Reject,
     /* 325961 */ // Label 6633: @325961
     /* 325961 */ GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(326063),
     /* 325966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 325969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 325972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325976 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(326035), // Rule ID 2372 //
     /* 325981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 325984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 325992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 325996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 326013 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326018 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326020 */     // (fminimum:{ *:[v2f64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FAMINv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 326020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f64),
     /* 326023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326033 */     GIR_RootConstrainSelectedInstOperands,
     /* 326034 */     // GIR_Coverage, 2372,
     /* 326034 */     GIR_EraseRootFromParent_Done,
     /* 326035 */   // Label 6647: @326035
     /* 326035 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(326062), // Rule ID 1292 //
     /* 326040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326051 */     // (fminimum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 326051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv2f64),
     /* 326056 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326060 */     GIR_RootConstrainSelectedInstOperands,
     /* 326061 */     // GIR_Coverage, 1292,
     /* 326061 */     GIR_Done,
     /* 326062 */   // Label 6648: @326062
     /* 326062 */   GIM_Reject,
     /* 326063 */ // Label 6646: @326063
     /* 326063 */ GIM_Reject,
     /* 326064 */ // Label 6634: @326064
     /* 326064 */ GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(326166),
     /* 326069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 326072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 326075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326079 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(326138), // Rule ID 2360 //
     /* 326084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 326099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 326116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326123 */     // (fminimum:{ *:[v4f16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FAMINv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 326123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f16),
     /* 326126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326136 */     GIR_RootConstrainSelectedInstOperands,
     /* 326137 */     // GIR_Coverage, 2360,
     /* 326137 */     GIR_EraseRootFromParent_Done,
     /* 326138 */   // Label 6650: @326138
     /* 326138 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(326165), // Rule ID 1284 //
     /* 326143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 326146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326154 */     // (fminimum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 326154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv4f16),
     /* 326159 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326163 */     GIR_RootConstrainSelectedInstOperands,
     /* 326164 */     // GIR_Coverage, 1284,
     /* 326164 */     GIR_Done,
     /* 326165 */   // Label 6651: @326165
     /* 326165 */   GIM_Reject,
     /* 326166 */ // Label 6649: @326166
     /* 326166 */ GIM_Reject,
     /* 326167 */ // Label 6635: @326167
     /* 326167 */ GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(326269),
     /* 326172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 326178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326182 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(326241), // Rule ID 2369 //
     /* 326187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326226 */     // (fminimum:{ *:[v4f32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FAMINv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 326226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f32),
     /* 326229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326239 */     GIR_RootConstrainSelectedInstOperands,
     /* 326240 */     // GIR_Coverage, 2369,
     /* 326240 */     GIR_EraseRootFromParent_Done,
     /* 326241 */   // Label 6653: @326241
     /* 326241 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(326268), // Rule ID 1290 //
     /* 326246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326257 */     // (fminimum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 326257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv4f32),
     /* 326262 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326266 */     GIR_RootConstrainSelectedInstOperands,
     /* 326267 */     // GIR_Coverage, 1290,
     /* 326267 */     GIR_Done,
     /* 326268 */   // Label 6654: @326268
     /* 326268 */   GIM_Reject,
     /* 326269 */ // Label 6652: @326269
     /* 326269 */ GIM_Reject,
     /* 326270 */ // Label 6636: @326270
     /* 326270 */ GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(326372),
     /* 326275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 326278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 326281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326285 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(326344), // Rule ID 2363 //
     /* 326290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 326305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 326322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326329 */     // (fminimum:{ *:[v8f16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FAMINv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 326329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv8f16),
     /* 326332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326342 */     GIR_RootConstrainSelectedInstOperands,
     /* 326343 */     // GIR_Coverage, 2363,
     /* 326343 */     GIR_EraseRootFromParent_Done,
     /* 326344 */   // Label 6656: @326344
     /* 326344 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(326371), // Rule ID 1286 //
     /* 326349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 326352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326360 */     // (fminimum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 326360 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv8f16),
     /* 326365 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326369 */     GIR_RootConstrainSelectedInstOperands,
     /* 326370 */     // GIR_Coverage, 1286,
     /* 326370 */     GIR_Done,
     /* 326371 */   // Label 6657: @326371
     /* 326371 */   GIM_Reject,
     /* 326372 */ // Label 6655: @326372
     /* 326372 */ GIM_Reject,
     /* 326373 */ // Label 6637: @326373
     /* 326373 */ GIM_Reject,
     /* 326374 */ // Label 78: @326374
     /* 326374 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6666*/ GIMT_Encode4(327076),
     /* 326385 */ /*GILLT_s16*//*Label 6658*/ GIMT_Encode4(326425),
     /* 326389 */ /*GILLT_s32*//*Label 6659*/ GIMT_Encode4(326463),
     /* 326393 */ /*GILLT_s64*//*Label 6660*/ GIMT_Encode4(326501), GIMT_Encode4(0),
     /* 326401 */ /*GILLT_v2s32*//*Label 6661*/ GIMT_Encode4(326561),
     /* 326405 */ /*GILLT_v2s64*//*Label 6662*/ GIMT_Encode4(326664),
     /* 326409 */ /*GILLT_v4s16*//*Label 6663*/ GIMT_Encode4(326767),
     /* 326413 */ /*GILLT_v4s32*//*Label 6664*/ GIMT_Encode4(326870), GIMT_Encode4(0),
     /* 326421 */ /*GILLT_v8s16*//*Label 6665*/ GIMT_Encode4(326973),
     /* 326425 */ // Label 6658: @326425
     /* 326425 */ GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(326462), // Rule ID 602 //
     /* 326430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 326433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 326436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 326439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 326443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 326447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 326451 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMAXHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 326451 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXHrr),
     /* 326456 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326460 */   GIR_RootConstrainSelectedInstOperands,
     /* 326461 */   // GIR_Coverage, 602,
     /* 326461 */   GIR_Done,
     /* 326462 */ // Label 6667: @326462
     /* 326462 */ GIM_Reject,
     /* 326463 */ // Label 6659: @326463
     /* 326463 */ GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(326500), // Rule ID 604 //
     /* 326468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 326471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 326474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 326477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 326481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 326485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 326489 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMAXSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 326489 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXSrr),
     /* 326494 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326498 */   GIR_RootConstrainSelectedInstOperands,
     /* 326499 */   // GIR_Coverage, 604,
     /* 326499 */   GIR_Done,
     /* 326500 */ // Label 6668: @326500
     /* 326500 */ GIM_Reject,
     /* 326501 */ // Label 6660: @326501
     /* 326501 */ GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(326560),
     /* 326506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 326509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 326512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326524 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(326543), // Rule ID 606 //
     /* 326529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 326532 */     // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMAXDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 326532 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXDrr),
     /* 326537 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326541 */     GIR_RootConstrainSelectedInstOperands,
     /* 326542 */     // GIR_Coverage, 606,
     /* 326542 */     GIR_Done,
     /* 326543 */   // Label 6670: @326543
     /* 326543 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(326559), // Rule ID 4811 //
     /* 326548 */     // (fmaximum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMAXDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 326548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXDrr),
     /* 326553 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326557 */     GIR_RootConstrainSelectedInstOperands,
     /* 326558 */     // GIR_Coverage, 4811,
     /* 326558 */     GIR_Done,
     /* 326559 */   // Label 6671: @326559
     /* 326559 */   GIM_Reject,
     /* 326560 */ // Label 6669: @326560
     /* 326560 */ GIM_Reject,
     /* 326561 */ // Label 6661: @326561
     /* 326561 */ GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(326663),
     /* 326566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 326569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 326572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326576 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(326635), // Rule ID 2351 //
     /* 326581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 326596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 326613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326620 */     // (fmaximum:{ *:[v2f32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FAMAXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 326620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f32),
     /* 326623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326633 */     GIR_RootConstrainSelectedInstOperands,
     /* 326634 */     // GIR_Coverage, 2351,
     /* 326634 */     GIR_EraseRootFromParent_Done,
     /* 326635 */   // Label 6673: @326635
     /* 326635 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(326662), // Rule ID 1258 //
     /* 326640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326651 */     // (fmaximum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 326651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv2f32),
     /* 326656 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326660 */     GIR_RootConstrainSelectedInstOperands,
     /* 326661 */     // GIR_Coverage, 1258,
     /* 326661 */     GIR_Done,
     /* 326662 */   // Label 6674: @326662
     /* 326662 */   GIM_Reject,
     /* 326663 */ // Label 6672: @326663
     /* 326663 */ GIM_Reject,
     /* 326664 */ // Label 6662: @326664
     /* 326664 */ GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(326766),
     /* 326669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 326672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 326675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326679 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(326738), // Rule ID 2357 //
     /* 326684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 326699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 326716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326723 */     // (fmaximum:{ *:[v2f64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FAMAXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 326723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f64),
     /* 326726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326736 */     GIR_RootConstrainSelectedInstOperands,
     /* 326737 */     // GIR_Coverage, 2357,
     /* 326737 */     GIR_EraseRootFromParent_Done,
     /* 326738 */   // Label 6676: @326738
     /* 326738 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(326765), // Rule ID 1262 //
     /* 326743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326754 */     // (fmaximum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 326754 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv2f64),
     /* 326759 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326763 */     GIR_RootConstrainSelectedInstOperands,
     /* 326764 */     // GIR_Coverage, 1262,
     /* 326764 */     GIR_Done,
     /* 326765 */   // Label 6677: @326765
     /* 326765 */   GIM_Reject,
     /* 326766 */ // Label 6675: @326766
     /* 326766 */ GIM_Reject,
     /* 326767 */ // Label 6663: @326767
     /* 326767 */ GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(326869),
     /* 326772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 326775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 326778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326782 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(326841), // Rule ID 2345 //
     /* 326787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 326802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 326819 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326826 */     // (fmaximum:{ *:[v4f16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FAMAXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 326826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f16),
     /* 326829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326839 */     GIR_RootConstrainSelectedInstOperands,
     /* 326840 */     // GIR_Coverage, 2345,
     /* 326840 */     GIR_EraseRootFromParent_Done,
     /* 326841 */   // Label 6679: @326841
     /* 326841 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(326868), // Rule ID 1254 //
     /* 326846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 326849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326857 */     // (fmaximum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 326857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv4f16),
     /* 326862 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326866 */     GIR_RootConstrainSelectedInstOperands,
     /* 326867 */     // GIR_Coverage, 1254,
     /* 326867 */     GIR_Done,
     /* 326868 */   // Label 6680: @326868
     /* 326868 */   GIM_Reject,
     /* 326869 */ // Label 6678: @326869
     /* 326869 */ GIM_Reject,
     /* 326870 */ // Label 6664: @326870
     /* 326870 */ GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(326972),
     /* 326875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 326881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326885 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(326944), // Rule ID 2354 //
     /* 326890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326927 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326929 */     // (fmaximum:{ *:[v4f32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FAMAXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 326929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f32),
     /* 326932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326942 */     GIR_RootConstrainSelectedInstOperands,
     /* 326943 */     // GIR_Coverage, 2354,
     /* 326943 */     GIR_EraseRootFromParent_Done,
     /* 326944 */   // Label 6682: @326944
     /* 326944 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(326971), // Rule ID 1260 //
     /* 326949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326960 */     // (fmaximum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 326960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv4f32),
     /* 326965 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326969 */     GIR_RootConstrainSelectedInstOperands,
     /* 326970 */     // GIR_Coverage, 1260,
     /* 326970 */     GIR_Done,
     /* 326971 */   // Label 6683: @326971
     /* 326971 */   GIM_Reject,
     /* 326972 */ // Label 6681: @326972
     /* 326972 */ GIM_Reject,
     /* 326973 */ // Label 6665: @326973
     /* 326973 */ GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(327075),
     /* 326978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 326981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 326984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326988 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(327047), // Rule ID 2348 //
     /* 326993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 327004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 327008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 327021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 327025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327030 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 327032 */     // (fmaximum:{ *:[v8f16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FAMAXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 327032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv8f16),
     /* 327035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 327041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 327045 */     GIR_RootConstrainSelectedInstOperands,
     /* 327046 */     // GIR_Coverage, 2348,
     /* 327046 */     GIR_EraseRootFromParent_Done,
     /* 327047 */   // Label 6685: @327047
     /* 327047 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(327074), // Rule ID 1256 //
     /* 327052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 327055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327063 */     // (fmaximum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 327063 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv8f16),
     /* 327068 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 327072 */     GIR_RootConstrainSelectedInstOperands,
     /* 327073 */     // GIR_Coverage, 1256,
     /* 327073 */     GIR_Done,
     /* 327074 */   // Label 6686: @327074
     /* 327074 */   GIM_Reject,
     /* 327075 */ // Label 6684: @327075
     /* 327075 */ GIM_Reject,
     /* 327076 */ // Label 6666: @327076
     /* 327076 */ GIM_Reject,
     /* 327077 */ // Label 79: @327077
     /* 327077 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6695*/ GIMT_Encode4(327480),
     /* 327088 */ /*GILLT_s32*//*Label 6687*/ GIMT_Encode4(327128),
     /* 327092 */ /*GILLT_s64*//*Label 6688*/ GIMT_Encode4(327202), GIMT_Encode4(0),
     /* 327100 */ /*GILLT_v2s32*//*Label 6689*/ GIMT_Encode4(327276), GIMT_Encode4(0),
     /* 327108 */ /*GILLT_v4s16*//*Label 6690*/ GIMT_Encode4(327310),
     /* 327112 */ /*GILLT_v4s32*//*Label 6691*/ GIMT_Encode4(327344),
     /* 327116 */ /*GILLT_v8s8*//*Label 6692*/ GIMT_Encode4(327378),
     /* 327120 */ /*GILLT_v8s16*//*Label 6693*/ GIMT_Encode4(327412),
     /* 327124 */ /*GILLT_v16s8*//*Label 6694*/ GIMT_Encode4(327446),
     /* 327128 */ // Label 6687: @327128
     /* 327128 */ GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(327201),
     /* 327133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 327136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 327139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327147 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(327181), // Rule ID 2328 //
     /* 327152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 327159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_32b),
     /* 327167 */     // MIs[1] Operand 1
     /* 327167 */     // No operand predicates
     /* 327167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 327169 */     // (smin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_simm8_32b>>:$imm)  =>  (SMINWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 327169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINWri),
     /* 327172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327174 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 327176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 327179 */     GIR_RootConstrainSelectedInstOperands,
     /* 327180 */     // GIR_Coverage, 2328,
     /* 327180 */     GIR_EraseRootFromParent_Done,
     /* 327181 */   // Label 6697: @327181
     /* 327181 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(327200), // Rule ID 2327 //
     /* 327186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327193 */     // (smin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SMINWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 327193 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINWrr),
     /* 327198 */     GIR_RootConstrainSelectedInstOperands,
     /* 327199 */     // GIR_Coverage, 2327,
     /* 327199 */     GIR_Done,
     /* 327200 */   // Label 6698: @327200
     /* 327200 */   GIM_Reject,
     /* 327201 */ // Label 6696: @327201
     /* 327201 */ GIM_Reject,
     /* 327202 */ // Label 6688: @327202
     /* 327202 */ GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(327275),
     /* 327207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 327210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 327213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327221 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(327255), // Rule ID 2330 //
     /* 327226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 327233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_64b),
     /* 327241 */     // MIs[1] Operand 1
     /* 327241 */     // No operand predicates
     /* 327241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 327243 */     // (smin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm8_64b>>:$imm)  =>  (SMINXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 327243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINXri),
     /* 327246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327248 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 327250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 327253 */     GIR_RootConstrainSelectedInstOperands,
     /* 327254 */     // GIR_Coverage, 2330,
     /* 327254 */     GIR_EraseRootFromParent_Done,
     /* 327255 */   // Label 6700: @327255
     /* 327255 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(327274), // Rule ID 2329 //
     /* 327260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327267 */     // (smin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SMINXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 327267 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINXrr),
     /* 327272 */     GIR_RootConstrainSelectedInstOperands,
     /* 327273 */     // GIR_Coverage, 2329,
     /* 327273 */     GIR_Done,
     /* 327274 */   // Label 6701: @327274
     /* 327274 */   GIM_Reject,
     /* 327275 */ // Label 6699: @327275
     /* 327275 */ GIM_Reject,
     /* 327276 */ // Label 6689: @327276
     /* 327276 */ GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(327309), // Rule ID 1414 //
     /* 327281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 327287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 327290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327302 */   // (smin:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMINv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 327302 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv2i32),
     /* 327307 */   GIR_RootConstrainSelectedInstOperands,
     /* 327308 */   // GIR_Coverage, 1414,
     /* 327308 */   GIR_Done,
     /* 327309 */ // Label 6702: @327309
     /* 327309 */ GIM_Reject,
     /* 327310 */ // Label 6690: @327310
     /* 327310 */ GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(327343), // Rule ID 1412 //
     /* 327315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 327321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 327324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327336 */   // (smin:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMINv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 327336 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv4i16),
     /* 327341 */   GIR_RootConstrainSelectedInstOperands,
     /* 327342 */   // GIR_Coverage, 1412,
     /* 327342 */   GIR_Done,
     /* 327343 */ // Label 6703: @327343
     /* 327343 */ GIM_Reject,
     /* 327344 */ // Label 6691: @327344
     /* 327344 */ GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(327377), // Rule ID 1415 //
     /* 327349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 327355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 327358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327370 */   // (smin:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMINv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 327370 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv4i32),
     /* 327375 */   GIR_RootConstrainSelectedInstOperands,
     /* 327376 */   // GIR_Coverage, 1415,
     /* 327376 */   GIR_Done,
     /* 327377 */ // Label 6704: @327377
     /* 327377 */ GIM_Reject,
     /* 327378 */ // Label 6692: @327378
     /* 327378 */ GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(327411), // Rule ID 1410 //
     /* 327383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 327389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 327392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327404 */   // (smin:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMINv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 327404 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv8i8),
     /* 327409 */   GIR_RootConstrainSelectedInstOperands,
     /* 327410 */   // GIR_Coverage, 1410,
     /* 327410 */   GIR_Done,
     /* 327411 */ // Label 6705: @327411
     /* 327411 */ GIM_Reject,
     /* 327412 */ // Label 6693: @327412
     /* 327412 */ GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(327445), // Rule ID 1413 //
     /* 327417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 327423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 327426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327438 */   // (smin:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMINv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 327438 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv8i16),
     /* 327443 */   GIR_RootConstrainSelectedInstOperands,
     /* 327444 */   // GIR_Coverage, 1413,
     /* 327444 */   GIR_Done,
     /* 327445 */ // Label 6706: @327445
     /* 327445 */ GIM_Reject,
     /* 327446 */ // Label 6694: @327446
     /* 327446 */ GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(327479), // Rule ID 1411 //
     /* 327451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 327457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 327460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327468 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327472 */   // (smin:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMINv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 327472 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv16i8),
     /* 327477 */   GIR_RootConstrainSelectedInstOperands,
     /* 327478 */   // GIR_Coverage, 1411,
     /* 327478 */   GIR_Done,
     /* 327479 */ // Label 6707: @327479
     /* 327479 */ GIM_Reject,
     /* 327480 */ // Label 6695: @327480
     /* 327480 */ GIM_Reject,
     /* 327481 */ // Label 80: @327481
     /* 327481 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6716*/ GIMT_Encode4(327884),
     /* 327492 */ /*GILLT_s32*//*Label 6708*/ GIMT_Encode4(327532),
     /* 327496 */ /*GILLT_s64*//*Label 6709*/ GIMT_Encode4(327606), GIMT_Encode4(0),
     /* 327504 */ /*GILLT_v2s32*//*Label 6710*/ GIMT_Encode4(327680), GIMT_Encode4(0),
     /* 327512 */ /*GILLT_v4s16*//*Label 6711*/ GIMT_Encode4(327714),
     /* 327516 */ /*GILLT_v4s32*//*Label 6712*/ GIMT_Encode4(327748),
     /* 327520 */ /*GILLT_v8s8*//*Label 6713*/ GIMT_Encode4(327782),
     /* 327524 */ /*GILLT_v8s16*//*Label 6714*/ GIMT_Encode4(327816),
     /* 327528 */ /*GILLT_v16s8*//*Label 6715*/ GIMT_Encode4(327850),
     /* 327532 */ // Label 6708: @327532
     /* 327532 */ GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(327605),
     /* 327537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 327540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 327543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327551 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(327585), // Rule ID 2324 //
     /* 327556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 327563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_32b),
     /* 327571 */     // MIs[1] Operand 1
     /* 327571 */     // No operand predicates
     /* 327571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 327573 */     // (smax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_simm8_32b>>:$imm)  =>  (SMAXWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 327573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXWri),
     /* 327576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327578 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 327580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 327583 */     GIR_RootConstrainSelectedInstOperands,
     /* 327584 */     // GIR_Coverage, 2324,
     /* 327584 */     GIR_EraseRootFromParent_Done,
     /* 327585 */   // Label 6718: @327585
     /* 327585 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(327604), // Rule ID 2323 //
     /* 327590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327597 */     // (smax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SMAXWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 327597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXWrr),
     /* 327602 */     GIR_RootConstrainSelectedInstOperands,
     /* 327603 */     // GIR_Coverage, 2323,
     /* 327603 */     GIR_Done,
     /* 327604 */   // Label 6719: @327604
     /* 327604 */   GIM_Reject,
     /* 327605 */ // Label 6717: @327605
     /* 327605 */ GIM_Reject,
     /* 327606 */ // Label 6709: @327606
     /* 327606 */ GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(327679),
     /* 327611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 327614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 327617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327625 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(327659), // Rule ID 2326 //
     /* 327630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 327637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_64b),
     /* 327645 */     // MIs[1] Operand 1
     /* 327645 */     // No operand predicates
     /* 327645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 327647 */     // (smax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm8_64b>>:$imm)  =>  (SMAXXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 327647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXXri),
     /* 327650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327652 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 327654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 327657 */     GIR_RootConstrainSelectedInstOperands,
     /* 327658 */     // GIR_Coverage, 2326,
     /* 327658 */     GIR_EraseRootFromParent_Done,
     /* 327659 */   // Label 6721: @327659
     /* 327659 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(327678), // Rule ID 2325 //
     /* 327664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327671 */     // (smax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SMAXXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 327671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXXrr),
     /* 327676 */     GIR_RootConstrainSelectedInstOperands,
     /* 327677 */     // GIR_Coverage, 2325,
     /* 327677 */     GIR_Done,
     /* 327678 */   // Label 6722: @327678
     /* 327678 */   GIM_Reject,
     /* 327679 */ // Label 6720: @327679
     /* 327679 */ GIM_Reject,
     /* 327680 */ // Label 6710: @327680
     /* 327680 */ GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(327713), // Rule ID 1402 //
     /* 327685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 327691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 327694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327702 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327706 */   // (smax:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMAXv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 327706 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv2i32),
     /* 327711 */   GIR_RootConstrainSelectedInstOperands,
     /* 327712 */   // GIR_Coverage, 1402,
     /* 327712 */   GIR_Done,
     /* 327713 */ // Label 6723: @327713
     /* 327713 */ GIM_Reject,
     /* 327714 */ // Label 6711: @327714
     /* 327714 */ GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(327747), // Rule ID 1400 //
     /* 327719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 327725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 327728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327740 */   // (smax:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMAXv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 327740 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv4i16),
     /* 327745 */   GIR_RootConstrainSelectedInstOperands,
     /* 327746 */   // GIR_Coverage, 1400,
     /* 327746 */   GIR_Done,
     /* 327747 */ // Label 6724: @327747
     /* 327747 */ GIM_Reject,
     /* 327748 */ // Label 6712: @327748
     /* 327748 */ GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(327781), // Rule ID 1403 //
     /* 327753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 327759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 327762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327774 */   // (smax:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMAXv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 327774 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv4i32),
     /* 327779 */   GIR_RootConstrainSelectedInstOperands,
     /* 327780 */   // GIR_Coverage, 1403,
     /* 327780 */   GIR_Done,
     /* 327781 */ // Label 6725: @327781
     /* 327781 */ GIM_Reject,
     /* 327782 */ // Label 6713: @327782
     /* 327782 */ GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(327815), // Rule ID 1398 //
     /* 327787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 327793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 327796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327808 */   // (smax:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMAXv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 327808 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv8i8),
     /* 327813 */   GIR_RootConstrainSelectedInstOperands,
     /* 327814 */   // GIR_Coverage, 1398,
     /* 327814 */   GIR_Done,
     /* 327815 */ // Label 6726: @327815
     /* 327815 */ GIM_Reject,
     /* 327816 */ // Label 6714: @327816
     /* 327816 */ GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(327849), // Rule ID 1401 //
     /* 327821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 327827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 327830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327838 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327842 */   // (smax:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMAXv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 327842 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv8i16),
     /* 327847 */   GIR_RootConstrainSelectedInstOperands,
     /* 327848 */   // GIR_Coverage, 1401,
     /* 327848 */   GIR_Done,
     /* 327849 */ // Label 6727: @327849
     /* 327849 */ GIM_Reject,
     /* 327850 */ // Label 6715: @327850
     /* 327850 */ GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(327883), // Rule ID 1399 //
     /* 327855 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 327861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 327864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327876 */   // (smax:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMAXv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 327876 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv16i8),
     /* 327881 */   GIR_RootConstrainSelectedInstOperands,
     /* 327882 */   // GIR_Coverage, 1399,
     /* 327882 */   GIR_Done,
     /* 327883 */ // Label 6728: @327883
     /* 327883 */ GIM_Reject,
     /* 327884 */ // Label 6716: @327884
     /* 327884 */ GIM_Reject,
     /* 327885 */ // Label 81: @327885
     /* 327885 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6737*/ GIMT_Encode4(328288),
     /* 327896 */ /*GILLT_s32*//*Label 6729*/ GIMT_Encode4(327936),
     /* 327900 */ /*GILLT_s64*//*Label 6730*/ GIMT_Encode4(328010), GIMT_Encode4(0),
     /* 327908 */ /*GILLT_v2s32*//*Label 6731*/ GIMT_Encode4(328084), GIMT_Encode4(0),
     /* 327916 */ /*GILLT_v4s16*//*Label 6732*/ GIMT_Encode4(328118),
     /* 327920 */ /*GILLT_v4s32*//*Label 6733*/ GIMT_Encode4(328152),
     /* 327924 */ /*GILLT_v8s8*//*Label 6734*/ GIMT_Encode4(328186),
     /* 327928 */ /*GILLT_v8s16*//*Label 6735*/ GIMT_Encode4(328220),
     /* 327932 */ /*GILLT_v16s8*//*Label 6736*/ GIMT_Encode4(328254),
     /* 327936 */ // Label 6729: @327936
     /* 327936 */ GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(328009),
     /* 327941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 327944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 327947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327955 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(327989), // Rule ID 2336 //
     /* 327960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 327967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_32b),
     /* 327975 */     // MIs[1] Operand 1
     /* 327975 */     // No operand predicates
     /* 327975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 327977 */     // (umin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_uimm8_32b>>:$imm)  =>  (UMINWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 327977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINWri),
     /* 327980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327982 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 327984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 327987 */     GIR_RootConstrainSelectedInstOperands,
     /* 327988 */     // GIR_Coverage, 2336,
     /* 327988 */     GIR_EraseRootFromParent_Done,
     /* 327989 */   // Label 6739: @327989
     /* 327989 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(328008), // Rule ID 2335 //
     /* 327994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 328001 */     // (umin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UMINWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 328001 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINWrr),
     /* 328006 */     GIR_RootConstrainSelectedInstOperands,
     /* 328007 */     // GIR_Coverage, 2335,
     /* 328007 */     GIR_Done,
     /* 328008 */   // Label 6740: @328008
     /* 328008 */   GIM_Reject,
     /* 328009 */ // Label 6738: @328009
     /* 328009 */ GIM_Reject,
     /* 328010 */ // Label 6730: @328010
     /* 328010 */ GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(328083),
     /* 328015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 328018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 328021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328029 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(328063), // Rule ID 2338 //
     /* 328034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_64b),
     /* 328049 */     // MIs[1] Operand 1
     /* 328049 */     // No operand predicates
     /* 328049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328051 */     // (umin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_uimm8_64b>>:$imm)  =>  (UMINXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 328051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINXri),
     /* 328054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328056 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 328058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 328061 */     GIR_RootConstrainSelectedInstOperands,
     /* 328062 */     // GIR_Coverage, 2338,
     /* 328062 */     GIR_EraseRootFromParent_Done,
     /* 328063 */   // Label 6742: @328063
     /* 328063 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(328082), // Rule ID 2337 //
     /* 328068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328075 */     // (umin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UMINXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 328075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINXrr),
     /* 328080 */     GIR_RootConstrainSelectedInstOperands,
     /* 328081 */     // GIR_Coverage, 2337,
     /* 328081 */     GIR_Done,
     /* 328082 */   // Label 6743: @328082
     /* 328082 */   GIM_Reject,
     /* 328083 */ // Label 6741: @328083
     /* 328083 */ GIM_Reject,
     /* 328084 */ // Label 6731: @328084
     /* 328084 */ GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(328117), // Rule ID 1537 //
     /* 328089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 328095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 328098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328110 */   // (umin:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMINv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 328110 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv2i32),
     /* 328115 */   GIR_RootConstrainSelectedInstOperands,
     /* 328116 */   // GIR_Coverage, 1537,
     /* 328116 */   GIR_Done,
     /* 328117 */ // Label 6744: @328117
     /* 328117 */ GIM_Reject,
     /* 328118 */ // Label 6732: @328118
     /* 328118 */ GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(328151), // Rule ID 1535 //
     /* 328123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 328129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 328132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328144 */   // (umin:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMINv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 328144 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv4i16),
     /* 328149 */   GIR_RootConstrainSelectedInstOperands,
     /* 328150 */   // GIR_Coverage, 1535,
     /* 328150 */   GIR_Done,
     /* 328151 */ // Label 6745: @328151
     /* 328151 */ GIM_Reject,
     /* 328152 */ // Label 6733: @328152
     /* 328152 */ GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(328185), // Rule ID 1538 //
     /* 328157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 328163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 328166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328178 */   // (umin:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMINv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 328178 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv4i32),
     /* 328183 */   GIR_RootConstrainSelectedInstOperands,
     /* 328184 */   // GIR_Coverage, 1538,
     /* 328184 */   GIR_Done,
     /* 328185 */ // Label 6746: @328185
     /* 328185 */ GIM_Reject,
     /* 328186 */ // Label 6734: @328186
     /* 328186 */ GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(328219), // Rule ID 1533 //
     /* 328191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 328197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 328200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328212 */   // (umin:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMINv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 328212 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv8i8),
     /* 328217 */   GIR_RootConstrainSelectedInstOperands,
     /* 328218 */   // GIR_Coverage, 1533,
     /* 328218 */   GIR_Done,
     /* 328219 */ // Label 6747: @328219
     /* 328219 */ GIM_Reject,
     /* 328220 */ // Label 6735: @328220
     /* 328220 */ GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(328253), // Rule ID 1536 //
     /* 328225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 328231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 328234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328246 */   // (umin:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMINv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 328246 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv8i16),
     /* 328251 */   GIR_RootConstrainSelectedInstOperands,
     /* 328252 */   // GIR_Coverage, 1536,
     /* 328252 */   GIR_Done,
     /* 328253 */ // Label 6748: @328253
     /* 328253 */ GIM_Reject,
     /* 328254 */ // Label 6736: @328254
     /* 328254 */ GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(328287), // Rule ID 1534 //
     /* 328259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 328265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 328268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328280 */   // (umin:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMINv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 328280 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv16i8),
     /* 328285 */   GIR_RootConstrainSelectedInstOperands,
     /* 328286 */   // GIR_Coverage, 1534,
     /* 328286 */   GIR_Done,
     /* 328287 */ // Label 6749: @328287
     /* 328287 */ GIM_Reject,
     /* 328288 */ // Label 6737: @328288
     /* 328288 */ GIM_Reject,
     /* 328289 */ // Label 82: @328289
     /* 328289 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6758*/ GIMT_Encode4(328692),
     /* 328300 */ /*GILLT_s32*//*Label 6750*/ GIMT_Encode4(328340),
     /* 328304 */ /*GILLT_s64*//*Label 6751*/ GIMT_Encode4(328414), GIMT_Encode4(0),
     /* 328312 */ /*GILLT_v2s32*//*Label 6752*/ GIMT_Encode4(328488), GIMT_Encode4(0),
     /* 328320 */ /*GILLT_v4s16*//*Label 6753*/ GIMT_Encode4(328522),
     /* 328324 */ /*GILLT_v4s32*//*Label 6754*/ GIMT_Encode4(328556),
     /* 328328 */ /*GILLT_v8s8*//*Label 6755*/ GIMT_Encode4(328590),
     /* 328332 */ /*GILLT_v8s16*//*Label 6756*/ GIMT_Encode4(328624),
     /* 328336 */ /*GILLT_v16s8*//*Label 6757*/ GIMT_Encode4(328658),
     /* 328340 */ // Label 6750: @328340
     /* 328340 */ GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(328413),
     /* 328345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 328348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 328351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 328355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 328359 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(328393), // Rule ID 2332 //
     /* 328364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_32b),
     /* 328379 */     // MIs[1] Operand 1
     /* 328379 */     // No operand predicates
     /* 328379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328381 */     // (umax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_uimm8_32b>>:$imm)  =>  (UMAXWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 328381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXWri),
     /* 328384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328386 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 328388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 328391 */     GIR_RootConstrainSelectedInstOperands,
     /* 328392 */     // GIR_Coverage, 2332,
     /* 328392 */     GIR_EraseRootFromParent_Done,
     /* 328393 */   // Label 6760: @328393
     /* 328393 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(328412), // Rule ID 2331 //
     /* 328398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 328405 */     // (umax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UMAXWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 328405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXWrr),
     /* 328410 */     GIR_RootConstrainSelectedInstOperands,
     /* 328411 */     // GIR_Coverage, 2331,
     /* 328411 */     GIR_Done,
     /* 328412 */   // Label 6761: @328412
     /* 328412 */   GIM_Reject,
     /* 328413 */ // Label 6759: @328413
     /* 328413 */ GIM_Reject,
     /* 328414 */ // Label 6751: @328414
     /* 328414 */ GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(328487),
     /* 328419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 328422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 328425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328433 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(328467), // Rule ID 2334 //
     /* 328438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_64b),
     /* 328453 */     // MIs[1] Operand 1
     /* 328453 */     // No operand predicates
     /* 328453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328455 */     // (umax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_uimm8_64b>>:$imm)  =>  (UMAXXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 328455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXXri),
     /* 328458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328460 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 328462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 328465 */     GIR_RootConstrainSelectedInstOperands,
     /* 328466 */     // GIR_Coverage, 2334,
     /* 328466 */     GIR_EraseRootFromParent_Done,
     /* 328467 */   // Label 6763: @328467
     /* 328467 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(328486), // Rule ID 2333 //
     /* 328472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328479 */     // (umax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UMAXXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 328479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXXrr),
     /* 328484 */     GIR_RootConstrainSelectedInstOperands,
     /* 328485 */     // GIR_Coverage, 2333,
     /* 328485 */     GIR_Done,
     /* 328486 */   // Label 6764: @328486
     /* 328486 */   GIM_Reject,
     /* 328487 */ // Label 6762: @328487
     /* 328487 */ GIM_Reject,
     /* 328488 */ // Label 6752: @328488
     /* 328488 */ GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(328521), // Rule ID 1525 //
     /* 328493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 328499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 328502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328510 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328514 */   // (umax:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMAXv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 328514 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv2i32),
     /* 328519 */   GIR_RootConstrainSelectedInstOperands,
     /* 328520 */   // GIR_Coverage, 1525,
     /* 328520 */   GIR_Done,
     /* 328521 */ // Label 6765: @328521
     /* 328521 */ GIM_Reject,
     /* 328522 */ // Label 6753: @328522
     /* 328522 */ GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(328555), // Rule ID 1523 //
     /* 328527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 328533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 328536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328548 */   // (umax:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMAXv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 328548 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv4i16),
     /* 328553 */   GIR_RootConstrainSelectedInstOperands,
     /* 328554 */   // GIR_Coverage, 1523,
     /* 328554 */   GIR_Done,
     /* 328555 */ // Label 6766: @328555
     /* 328555 */ GIM_Reject,
     /* 328556 */ // Label 6754: @328556
     /* 328556 */ GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(328589), // Rule ID 1526 //
     /* 328561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 328567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 328570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328582 */   // (umax:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMAXv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 328582 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv4i32),
     /* 328587 */   GIR_RootConstrainSelectedInstOperands,
     /* 328588 */   // GIR_Coverage, 1526,
     /* 328588 */   GIR_Done,
     /* 328589 */ // Label 6767: @328589
     /* 328589 */ GIM_Reject,
     /* 328590 */ // Label 6755: @328590
     /* 328590 */ GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(328623), // Rule ID 1521 //
     /* 328595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 328601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 328604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328616 */   // (umax:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMAXv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 328616 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv8i8),
     /* 328621 */   GIR_RootConstrainSelectedInstOperands,
     /* 328622 */   // GIR_Coverage, 1521,
     /* 328622 */   GIR_Done,
     /* 328623 */ // Label 6768: @328623
     /* 328623 */ GIM_Reject,
     /* 328624 */ // Label 6756: @328624
     /* 328624 */ GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(328657), // Rule ID 1524 //
     /* 328629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 328635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 328638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328650 */   // (umax:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMAXv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 328650 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv8i16),
     /* 328655 */   GIR_RootConstrainSelectedInstOperands,
     /* 328656 */   // GIR_Coverage, 1524,
     /* 328656 */   GIR_Done,
     /* 328657 */ // Label 6769: @328657
     /* 328657 */ GIM_Reject,
     /* 328658 */ // Label 6757: @328658
     /* 328658 */ GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(328691), // Rule ID 1522 //
     /* 328663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 328669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 328672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328684 */   // (umax:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMAXv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 328684 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv16i8),
     /* 328689 */   GIR_RootConstrainSelectedInstOperands,
     /* 328690 */   // GIR_Coverage, 1522,
     /* 328690 */   GIR_Done,
     /* 328691 */ // Label 6770: @328691
     /* 328691 */ GIM_Reject,
     /* 328692 */ // Label 6758: @328692
     /* 328692 */ GIM_Reject,
     /* 328693 */ // Label 83: @328693
     /* 328693 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6780*/ GIMT_Encode4(329507),
     /* 328704 */ /*GILLT_s32*//*Label 6771*/ GIMT_Encode4(328744),
     /* 328708 */ /*GILLT_s64*//*Label 6772*/ GIMT_Encode4(328771), GIMT_Encode4(0),
     /* 328716 */ /*GILLT_v2s32*//*Label 6773*/ GIMT_Encode4(328850),
     /* 328720 */ /*GILLT_v2s64*//*Label 6774*/ GIMT_Encode4(328877),
     /* 328724 */ /*GILLT_v4s16*//*Label 6775*/ GIMT_Encode4(329060),
     /* 328728 */ /*GILLT_v4s32*//*Label 6776*/ GIMT_Encode4(329087),
     /* 328732 */ /*GILLT_v8s8*//*Label 6777*/ GIMT_Encode4(329270),
     /* 328736 */ /*GILLT_v8s16*//*Label 6778*/ GIMT_Encode4(329297),
     /* 328740 */ /*GILLT_v16s8*//*Label 6779*/ GIMT_Encode4(329480),
     /* 328744 */ // Label 6771: @328744
     /* 328744 */ GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(328770), // Rule ID 2317 //
     /* 328749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 328755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 328759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 328763 */   // (abs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (ABSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 328763 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSWr),
     /* 328768 */   GIR_RootConstrainSelectedInstOperands,
     /* 328769 */   // GIR_Coverage, 2317,
     /* 328769 */   GIR_Done,
     /* 328770 */ // Label 6781: @328770
     /* 328770 */ GIM_Reject,
     /* 328771 */ // Label 6772: @328771
     /* 328771 */ GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(328849),
     /* 328776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 328779 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(328802), // Rule ID 1652 //
     /* 328784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328795 */     // (abs:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)  =>  (ABSv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 328795 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv1i64),
     /* 328800 */     GIR_RootConstrainSelectedInstOperands,
     /* 328801 */     // GIR_Coverage, 1652,
     /* 328801 */     GIR_Done,
     /* 328802 */   // Label 6783: @328802
     /* 328802 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(328825), // Rule ID 2318 //
     /* 328807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328818 */     // (abs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (ABSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 328818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSXr),
     /* 328823 */     GIR_RootConstrainSelectedInstOperands,
     /* 328824 */     // GIR_Coverage, 2318,
     /* 328824 */     GIR_Done,
     /* 328825 */   // Label 6784: @328825
     /* 328825 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(328848), // Rule ID 2514 //
     /* 328830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoCSSC),
     /* 328833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328841 */     // (abs:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)  =>  (ABSv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /* 328841 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv1i64),
     /* 328846 */     GIR_RootConstrainSelectedInstOperands,
     /* 328847 */     // GIR_Coverage, 2514,
     /* 328847 */     GIR_Done,
     /* 328848 */   // Label 6785: @328848
     /* 328848 */   GIM_Reject,
     /* 328849 */ // Label 6782: @328849
     /* 328849 */ GIM_Reject,
     /* 328850 */ // Label 6773: @328850
     /* 328850 */ GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(328876), // Rule ID 707 //
     /* 328855 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 328861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328869 */   // (abs:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (ABSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 328869 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv2i32),
     /* 328874 */   GIR_RootConstrainSelectedInstOperands,
     /* 328875 */   // GIR_Coverage, 707,
     /* 328875 */   GIR_Done,
     /* 328876 */ // Label 6786: @328876
     /* 328876 */ GIM_Reject,
     /* 328877 */ // Label 6774: @328877
     /* 328877 */ GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(329059),
     /* 328882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 328885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328889 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(328967), // Rule ID 4889 //
     /* 328894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 328902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 328906 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 328910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 328914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 328918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 328922 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 328926 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 328930 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 328934 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328936 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 328943 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 328950 */     // (abs:{ *:[v2i64] } (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$opA)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$opB))))  =>  (UABDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$opA, V128:{ *:[v4i32] }:$opB)
     /* 328950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i32_v2i64),
     /* 328953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // opA
     /* 328960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // opB
     /* 328965 */     GIR_RootConstrainSelectedInstOperands,
     /* 328966 */     // GIR_Coverage, 4889,
     /* 328966 */     GIR_EraseRootFromParent_Done,
     /* 328967 */   // Label 6788: @328967
     /* 328967 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(329039), // Rule ID 4888 //
     /* 328972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 328980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 328984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 328988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 328992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 328996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 329000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329005 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 329009 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329013 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 329017 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329024 */     // (abs:{ *:[v2i64] } (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$opA), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$opB)))  =>  (UABDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$opA, V64:{ *:[v2i32] }:$opB)
     /* 329024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv2i32_v2i64),
     /* 329027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 329029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // opA
     /* 329033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // opB
     /* 329037 */     GIR_RootConstrainSelectedInstOperands,
     /* 329038 */     // GIR_Coverage, 4888,
     /* 329038 */     GIR_EraseRootFromParent_Done,
     /* 329039 */   // Label 6789: @329039
     /* 329039 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(329058), // Rule ID 709 //
     /* 329044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 329047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329051 */     // (abs:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)  =>  (ABSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 329051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv2i64),
     /* 329056 */     GIR_RootConstrainSelectedInstOperands,
     /* 329057 */     // GIR_Coverage, 709,
     /* 329057 */     GIR_Done,
     /* 329058 */   // Label 6790: @329058
     /* 329058 */   GIM_Reject,
     /* 329059 */ // Label 6787: @329059
     /* 329059 */ GIM_Reject,
     /* 329060 */ // Label 6775: @329060
     /* 329060 */ GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(329086), // Rule ID 705 //
     /* 329065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 329068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 329071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329079 */   // (abs:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (ABSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 329079 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv4i16),
     /* 329084 */   GIR_RootConstrainSelectedInstOperands,
     /* 329085 */   // GIR_Coverage, 705,
     /* 329085 */   GIR_Done,
     /* 329086 */ // Label 6791: @329086
     /* 329086 */ GIM_Reject,
     /* 329087 */ // Label 6776: @329087
     /* 329087 */ GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(329269),
     /* 329092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 329095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329099 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(329177), // Rule ID 4887 //
     /* 329104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 329112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 329116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 329120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 329124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 329132 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 329136 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329140 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 329144 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329146 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 329153 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 329160 */     // (abs:{ *:[v4i32] } (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$opA)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$opB))))  =>  (UABDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$opA, V128:{ *:[v8i16] }:$opB)
     /* 329160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i16_v4i32),
     /* 329163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 329165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // opA
     /* 329170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // opB
     /* 329175 */     GIR_RootConstrainSelectedInstOperands,
     /* 329176 */     // GIR_Coverage, 4887,
     /* 329176 */     GIR_EraseRootFromParent_Done,
     /* 329177 */   // Label 6793: @329177
     /* 329177 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(329249), // Rule ID 4886 //
     /* 329182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 329190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 329194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 329198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 329202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 329210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329215 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 329219 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329223 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 329227 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329232 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329234 */     // (abs:{ *:[v4i32] } (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$opA), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$opB)))  =>  (UABDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$opA, V64:{ *:[v4i16] }:$opB)
     /* 329234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i16_v4i32),
     /* 329237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 329239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // opA
     /* 329243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // opB
     /* 329247 */     GIR_RootConstrainSelectedInstOperands,
     /* 329248 */     // GIR_Coverage, 4886,
     /* 329248 */     GIR_EraseRootFromParent_Done,
     /* 329249 */   // Label 6794: @329249
     /* 329249 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(329268), // Rule ID 708 //
     /* 329254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 329257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329261 */     // (abs:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (ABSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 329261 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv4i32),
     /* 329266 */     GIR_RootConstrainSelectedInstOperands,
     /* 329267 */     // GIR_Coverage, 708,
     /* 329267 */     GIR_Done,
     /* 329268 */   // Label 6795: @329268
     /* 329268 */   GIM_Reject,
     /* 329269 */ // Label 6792: @329269
     /* 329269 */ GIM_Reject,
     /* 329270 */ // Label 6777: @329270
     /* 329270 */ GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(329296), // Rule ID 703 //
     /* 329275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 329278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 329281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329289 */   // (abs:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (ABSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 329289 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv8i8),
     /* 329294 */   GIR_RootConstrainSelectedInstOperands,
     /* 329295 */   // GIR_Coverage, 703,
     /* 329295 */   GIR_Done,
     /* 329296 */ // Label 6796: @329296
     /* 329296 */ GIM_Reject,
     /* 329297 */ // Label 6778: @329297
     /* 329297 */ GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(329479),
     /* 329302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 329305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329309 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(329387), // Rule ID 4885 //
     /* 329314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 329322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 329326 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 329330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 329334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 329342 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 329346 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329350 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 329354 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329356 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 329363 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 329370 */     // (abs:{ *:[v8i16] } (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$opA)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$opB))))  =>  (UABDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$opA, V128:{ *:[v16i8] }:$opB)
     /* 329370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv16i8_v8i16),
     /* 329373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 329375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // opA
     /* 329380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // opB
     /* 329385 */     GIR_RootConstrainSelectedInstOperands,
     /* 329386 */     // GIR_Coverage, 4885,
     /* 329386 */     GIR_EraseRootFromParent_Done,
     /* 329387 */   // Label 6798: @329387
     /* 329387 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(329459), // Rule ID 4884 //
     /* 329392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 329400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 329404 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 329408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 329412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 329420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329425 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 329429 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329433 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 329437 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329442 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329444 */     // (abs:{ *:[v8i16] } (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$opA), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$opB)))  =>  (UABDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$opA, V64:{ *:[v8i8] }:$opB)
     /* 329444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i8_v8i16),
     /* 329447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 329449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // opA
     /* 329453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // opB
     /* 329457 */     GIR_RootConstrainSelectedInstOperands,
     /* 329458 */     // GIR_Coverage, 4884,
     /* 329458 */     GIR_EraseRootFromParent_Done,
     /* 329459 */   // Label 6799: @329459
     /* 329459 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(329478), // Rule ID 706 //
     /* 329464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 329467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329471 */     // (abs:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (ABSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 329471 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv8i16),
     /* 329476 */     GIR_RootConstrainSelectedInstOperands,
     /* 329477 */     // GIR_Coverage, 706,
     /* 329477 */     GIR_Done,
     /* 329478 */   // Label 6800: @329478
     /* 329478 */   GIM_Reject,
     /* 329479 */ // Label 6797: @329479
     /* 329479 */ GIM_Reject,
     /* 329480 */ // Label 6779: @329480
     /* 329480 */ GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(329506), // Rule ID 704 //
     /* 329485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 329488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 329491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329499 */   // (abs:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (ABSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 329499 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv16i8),
     /* 329504 */   GIR_RootConstrainSelectedInstOperands,
     /* 329505 */   // GIR_Coverage, 704,
     /* 329505 */   GIR_Done,
     /* 329506 */ // Label 6801: @329506
     /* 329506 */ GIM_Reject,
     /* 329507 */ // Label 6780: @329507
     /* 329507 */ GIM_Reject,
     /* 329508 */ // Label 84: @329508
     /* 329508 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 6804*/ GIMT_Encode4(329673),
     /* 329519 */ /*GILLT_s32*//*Label 6802*/ GIMT_Encode4(329527),
     /* 329523 */ /*GILLT_s64*//*Label 6803*/ GIMT_Encode4(329600),
     /* 329527 */ // Label 6802: @329527
     /* 329527 */ GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(329553), // Rule ID 4730 //
     /* 329532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 329535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 329538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 329542 */   // (lround:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTASUWHr:{ *:[i32] } f16:{ *:[f16] }:$Rn)
     /* 329542 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWHr),
     /* 329547 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329551 */   GIR_RootConstrainSelectedInstOperands,
     /* 329552 */   // GIR_Coverage, 4730,
     /* 329552 */   GIR_Done,
     /* 329553 */ // Label 6805: @329553
     /* 329553 */ GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(329576), // Rule ID 4736 //
     /* 329558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 329561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 329565 */   // (lround:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTASUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 329565 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWSr),
     /* 329570 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329574 */   GIR_RootConstrainSelectedInstOperands,
     /* 329575 */   // GIR_Coverage, 4736,
     /* 329575 */   GIR_Done,
     /* 329576 */ // Label 6806: @329576
     /* 329576 */ GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(329599), // Rule ID 4738 //
     /* 329581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 329584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 329588 */   // (lround:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTASUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 329588 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWDr),
     /* 329593 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329597 */   GIR_RootConstrainSelectedInstOperands,
     /* 329598 */   // GIR_Coverage, 4738,
     /* 329598 */   GIR_Done,
     /* 329599 */ // Label 6807: @329599
     /* 329599 */ GIM_Reject,
     /* 329600 */ // Label 6803: @329600
     /* 329600 */ GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(329626), // Rule ID 4732 //
     /* 329605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 329608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 329611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 329615 */   // (lround:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTASUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 329615 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXHr),
     /* 329620 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329624 */   GIR_RootConstrainSelectedInstOperands,
     /* 329625 */   // GIR_Coverage, 4732,
     /* 329625 */   GIR_Done,
     /* 329626 */ // Label 6808: @329626
     /* 329626 */ GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(329649), // Rule ID 4740 //
     /* 329631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 329634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 329638 */   // (lround:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTASUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 329638 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 329643 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329647 */   GIR_RootConstrainSelectedInstOperands,
     /* 329648 */   // GIR_Coverage, 4740,
     /* 329648 */   GIR_Done,
     /* 329649 */ // Label 6809: @329649
     /* 329649 */ GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(329672), // Rule ID 4742 //
     /* 329654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 329657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 329661 */   // (lround:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTASUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 329661 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 329666 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329670 */   GIR_RootConstrainSelectedInstOperands,
     /* 329671 */   // GIR_Coverage, 4742,
     /* 329671 */   GIR_Done,
     /* 329672 */ // Label 6810: @329672
     /* 329672 */ GIM_Reject,
     /* 329673 */ // Label 6804: @329673
     /* 329673 */ GIM_Reject,
     /* 329674 */ // Label 85: @329674
     /* 329674 */ GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(329772),
     /* 329679 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 329682 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 6815*/ GIMT_Encode4(329771),
     /* 329693 */   /*GILLT_s16*//*Label 6812*/ GIMT_Encode4(329705),
     /* 329697 */   /*GILLT_s32*//*Label 6813*/ GIMT_Encode4(329729),
     /* 329701 */   /*GILLT_s64*//*Label 6814*/ GIMT_Encode4(329750),
     /* 329705 */   // Label 6812: @329705
     /* 329705 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(329728), // Rule ID 4734 //
     /* 329710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 329713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 329717 */     // (llround:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTASUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 329717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXHr),
     /* 329722 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329726 */     GIR_RootConstrainSelectedInstOperands,
     /* 329727 */     // GIR_Coverage, 4734,
     /* 329727 */     GIR_Done,
     /* 329728 */   // Label 6816: @329728
     /* 329728 */   GIM_Reject,
     /* 329729 */   // Label 6813: @329729
     /* 329729 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(329749), // Rule ID 4744 //
     /* 329734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 329738 */     // (llround:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTASUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 329738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 329743 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329747 */     GIR_RootConstrainSelectedInstOperands,
     /* 329748 */     // GIR_Coverage, 4744,
     /* 329748 */     GIR_Done,
     /* 329749 */   // Label 6817: @329749
     /* 329749 */   GIM_Reject,
     /* 329750 */   // Label 6814: @329750
     /* 329750 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(329770), // Rule ID 4746 //
     /* 329755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 329759 */     // (llround:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTASUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 329759 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 329764 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329768 */     GIR_RootConstrainSelectedInstOperands,
     /* 329769 */     // GIR_Coverage, 4746,
     /* 329769 */     GIR_Done,
     /* 329770 */   // Label 6818: @329770
     /* 329770 */   GIM_Reject,
     /* 329771 */   // Label 6815: @329771
     /* 329771 */   GIM_Reject,
     /* 329772 */ // Label 6811: @329772
     /* 329772 */ GIM_Reject,
     /* 329773 */ // Label 86: @329773
     /* 329773 */ GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(329788), // Rule ID 225 //
     /* 329778 */   // MIs[0] addr
     /* 329778 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 329781 */   // (br (bb:{ *:[Other] }):$addr)  =>  (B (bb:{ *:[Other] }):$addr)
     /* 329781 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::B),
     /* 329786 */   GIR_RootConstrainSelectedInstOperands,
     /* 329787 */   // GIR_Coverage, 225,
     /* 329787 */   GIR_Done,
     /* 329788 */ // Label 6819: @329788
     /* 329788 */ GIM_Reject,
     /* 329789 */ // Label 87: @329789
     /* 329789 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(21), /*)*//*default:*//*Label 6831*/ GIMT_Encode4(335160),
     /* 329800 */ /*GILLT_s64*//*Label 6820*/ GIMT_Encode4(329872), GIMT_Encode4(0),
     /* 329808 */ /*GILLT_v2s32*//*Label 6821*/ GIMT_Encode4(330274), GIMT_Encode4(0),
     /* 329816 */ /*GILLT_v4s16*//*Label 6822*/ GIMT_Encode4(330676), GIMT_Encode4(0),
     /* 329824 */ /*GILLT_v8s8*//*Label 6823*/ GIMT_Encode4(331078), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 329836 */ /*GILLT_nxv1s1*//*Label 6824*/ GIMT_Encode4(331258),
     /* 329840 */ /*GILLT_nxv2s1*//*Label 6825*/ GIMT_Encode4(333521),
     /* 329844 */ /*GILLT_nxv2s16*//*Label 6826*/ GIMT_Encode4(334376),
     /* 329848 */ /*GILLT_nxv2s32*//*Label 6827*/ GIMT_Encode4(334663), GIMT_Encode4(0),
     /* 329856 */ /*GILLT_nxv4s1*//*Label 6828*/ GIMT_Encode4(334733),
     /* 329860 */ /*GILLT_nxv4s16*//*Label 6829*/ GIMT_Encode4(335020), GIMT_Encode4(0),
     /* 329868 */ /*GILLT_nxv8s1*//*Label 6830*/ GIMT_Encode4(335090),
     /* 329872 */ // Label 6820: @329872
     /* 329872 */ GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(330273),
     /* 329877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 329880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329884 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(329936), // Rule ID 5580 //
     /* 329889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 329897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 329901 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 329903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329908 */     // MIs[0] Operand 2
     /* 329908 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 329919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 329921 */     // (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Vn)<<P:Predicate_anyext_oneuse>>, 0:{ *:[i64] })  =>  (ZIP1v2i32:{ *:[v1i64] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vn)
     /* 329921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i32),
     /* 329924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 329926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 329930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 329934 */     GIR_RootConstrainSelectedInstOperands,
     /* 329935 */     // GIR_Coverage, 5580,
     /* 329935 */     GIR_EraseRootFromParent_Done,
     /* 329936 */   // Label 6833: @329936
     /* 329936 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(329988), // Rule ID 5583 //
     /* 329941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 329949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 329953 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 329955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329960 */     // MIs[0] Operand 2
     /* 329960 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 329971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 329973 */     // (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Vn)<<P:Predicate_anyext_oneuse>>, 1:{ *:[i64] })  =>  (ZIP2v2i32:{ *:[v1i64] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vn)
     /* 329973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i32),
     /* 329976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 329978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 329982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 329986 */     GIR_RootConstrainSelectedInstOperands,
     /* 329987 */     // GIR_Coverage, 5583,
     /* 329987 */     GIR_EraseRootFromParent_Done,
     /* 329988 */   // Label 6834: @329988
     /* 329988 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(330056), // Rule ID 5459 //
     /* 329993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329997 */     // MIs[0] Operand 2
     /* 329997 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 330008 */     // (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 330008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 330015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330020 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330024 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330028 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 330031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330038 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330045 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330050 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330055 */     // GIR_Coverage, 5459,
     /* 330055 */     GIR_EraseRootFromParent_Done,
     /* 330056 */   // Label 6835: @330056
     /* 330056 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(330124), // Rule ID 5464 //
     /* 330061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330065 */     // MIs[0] Operand 2
     /* 330065 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 330076 */     // (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 330076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 330083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330088 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330092 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330096 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 330099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330106 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330113 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330118 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330123 */     // GIR_Coverage, 5464,
     /* 330123 */     GIR_EraseRootFromParent_Done,
     /* 330124 */   // Label 6836: @330124
     /* 330124 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(330166), // Rule ID 6897 //
     /* 330129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330133 */     // MIs[0] Operand 2
     /* 330133 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330144 */     // (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] })
     /* 330144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330149 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 330155 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330160 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330165 */     // GIR_Coverage, 6897,
     /* 330165 */     GIR_EraseRootFromParent_Done,
     /* 330166 */   // Label 6837: @330166
     /* 330166 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(330208), // Rule ID 6898 //
     /* 330171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330175 */     // MIs[0] Operand 2
     /* 330175 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330186 */     // (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] })
     /* 330186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330191 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 330197 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330202 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330207 */     // GIR_Coverage, 6898,
     /* 330207 */     GIR_EraseRootFromParent_Done,
     /* 330208 */   // Label 6838: @330208
     /* 330208 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(330272), // Rule ID 6902 //
     /* 330213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330217 */     // MIs[0] Operand 2
     /* 330217 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 330228 */     // (extract_subvector:{ *:[v1i64] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 330228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 330235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330244 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 330247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330254 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330261 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330266 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330271 */     // GIR_Coverage, 6902,
     /* 330271 */     GIR_EraseRootFromParent_Done,
     /* 330272 */   // Label 6839: @330272
     /* 330272 */   GIM_Reject,
     /* 330273 */ // Label 6832: @330273
     /* 330273 */ GIM_Reject,
     /* 330274 */ // Label 6821: @330274
     /* 330274 */ GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(330675),
     /* 330279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 330282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330286 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(330338), // Rule ID 5579 //
     /* 330291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 330299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 330303 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 330305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330310 */     // MIs[0] Operand 2
     /* 330310 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 330323 */     // (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Vn)<<P:Predicate_anyext_oneuse>>, 0:{ *:[i64] })  =>  (ZIP1v4i16:{ *:[v2i32] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vn)
     /* 330323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i16),
     /* 330326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 330328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330336 */     GIR_RootConstrainSelectedInstOperands,
     /* 330337 */     // GIR_Coverage, 5579,
     /* 330337 */     GIR_EraseRootFromParent_Done,
     /* 330338 */   // Label 6841: @330338
     /* 330338 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(330390), // Rule ID 5582 //
     /* 330343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 330351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 330355 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 330357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330362 */     // MIs[0] Operand 2
     /* 330362 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 330373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 330375 */     // (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Vn)<<P:Predicate_anyext_oneuse>>, 2:{ *:[i64] })  =>  (ZIP2v4i16:{ *:[v2i32] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vn)
     /* 330375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i16),
     /* 330378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 330380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330388 */     GIR_RootConstrainSelectedInstOperands,
     /* 330389 */     // GIR_Coverage, 5582,
     /* 330389 */     GIR_EraseRootFromParent_Done,
     /* 330390 */   // Label 6842: @330390
     /* 330390 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(330458), // Rule ID 5449 //
     /* 330395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330399 */     // MIs[0] Operand 2
     /* 330399 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 330410 */     // (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 330410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 330417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330422 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330426 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330430 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 330433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330440 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330447 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330452 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330457 */     // GIR_Coverage, 5449,
     /* 330457 */     GIR_EraseRootFromParent_Done,
     /* 330458 */   // Label 6843: @330458
     /* 330458 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(330526), // Rule ID 5454 //
     /* 330463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330467 */     // MIs[0] Operand 2
     /* 330467 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 330478 */     // (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 2:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 330478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 330485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330494 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330498 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 330501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330508 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330515 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330520 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330525 */     // GIR_Coverage, 5454,
     /* 330525 */     GIR_EraseRootFromParent_Done,
     /* 330526 */   // Label 6844: @330526
     /* 330526 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(330568), // Rule ID 6894 //
     /* 330531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330535 */     // MIs[0] Operand 2
     /* 330535 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330546 */     // (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] })
     /* 330546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330551 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 330557 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330562 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330567 */     // GIR_Coverage, 6894,
     /* 330567 */     GIR_EraseRootFromParent_Done,
     /* 330568 */   // Label 6845: @330568
     /* 330568 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(330610), // Rule ID 6896 //
     /* 330573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330577 */     // MIs[0] Operand 2
     /* 330577 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330588 */     // (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, dsub:{ *:[i32] })
     /* 330588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330593 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 330599 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330604 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330609 */     // GIR_Coverage, 6896,
     /* 330609 */     GIR_EraseRootFromParent_Done,
     /* 330610 */   // Label 6846: @330610
     /* 330610 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(330674), // Rule ID 6901 //
     /* 330615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330619 */     // MIs[0] Operand 2
     /* 330619 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 330630 */     // (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v4i32] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 330630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 330637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330642 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330646 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 330649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330656 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330663 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330668 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330673 */     // GIR_Coverage, 6901,
     /* 330673 */     GIR_EraseRootFromParent_Done,
     /* 330674 */   // Label 6847: @330674
     /* 330674 */   GIM_Reject,
     /* 330675 */ // Label 6840: @330675
     /* 330675 */ GIM_Reject,
     /* 330676 */ // Label 6822: @330676
     /* 330676 */ GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(331077),
     /* 330681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 330684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330688 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(330740), // Rule ID 5578 //
     /* 330693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 330701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 330705 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 330707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330712 */     // MIs[0] Operand 2
     /* 330712 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 330725 */     // (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Vn)<<P:Predicate_anyext_oneuse>>, 0:{ *:[i64] })  =>  (ZIP1v8i8:{ *:[v4i16] } V64:{ *:[v8i8] }:$Vn, V64:{ *:[v8i8] }:$Vn)
     /* 330725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i8),
     /* 330728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 330730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330738 */     GIR_RootConstrainSelectedInstOperands,
     /* 330739 */     // GIR_Coverage, 5578,
     /* 330739 */     GIR_EraseRootFromParent_Done,
     /* 330740 */   // Label 6849: @330740
     /* 330740 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(330792), // Rule ID 5581 //
     /* 330745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 330753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 330757 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 330759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330764 */     // MIs[0] Operand 2
     /* 330764 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 330775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 330777 */     // (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Vn)<<P:Predicate_anyext_oneuse>>, 4:{ *:[i64] })  =>  (ZIP2v8i8:{ *:[v4i16] } V64:{ *:[v8i8] }:$Vn, V64:{ *:[v8i8] }:$Vn)
     /* 330777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i8),
     /* 330780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 330782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330790 */     GIR_RootConstrainSelectedInstOperands,
     /* 330791 */     // GIR_Coverage, 5581,
     /* 330791 */     GIR_EraseRootFromParent_Done,
     /* 330792 */   // Label 6850: @330792
     /* 330792 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(330860), // Rule ID 5439 //
     /* 330797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330801 */     // MIs[0] Operand 2
     /* 330801 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 330812 */     // (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 330812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 330819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330824 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330828 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330832 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 330835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330842 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330849 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330854 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330859 */     // GIR_Coverage, 5439,
     /* 330859 */     GIR_EraseRootFromParent_Done,
     /* 330860 */   // Label 6851: @330860
     /* 330860 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(330928), // Rule ID 5444 //
     /* 330865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330869 */     // MIs[0] Operand 2
     /* 330869 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 330880 */     // (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 4:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 330880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 330887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330892 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330896 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330900 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 330903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330910 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330917 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330922 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330927 */     // GIR_Coverage, 5444,
     /* 330927 */     GIR_EraseRootFromParent_Done,
     /* 330928 */   // Label 6852: @330928
     /* 330928 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(330970), // Rule ID 6892 //
     /* 330933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330937 */     // MIs[0] Operand 2
     /* 330937 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330948 */     // (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, dsub:{ *:[i32] })
     /* 330948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330953 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 330959 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330964 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330969 */     // GIR_Coverage, 6892,
     /* 330969 */     GIR_EraseRootFromParent_Done,
     /* 330970 */   // Label 6853: @330970
     /* 330970 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(331012), // Rule ID 6895 //
     /* 330975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330979 */     // MIs[0] Operand 2
     /* 330979 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330990 */     // (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })
     /* 330990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330995 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 331001 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331006 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331011 */     // GIR_Coverage, 6895,
     /* 331011 */     GIR_EraseRootFromParent_Done,
     /* 331012 */   // Label 6854: @331012
     /* 331012 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(331076), // Rule ID 6900 //
     /* 331017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331021 */     // MIs[0] Operand 2
     /* 331021 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 331032 */     // (extract_subvector:{ *:[v4i16] } FPR128:{ *:[v8i16] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v8i16] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 331032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 331035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 331039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331044 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 331048 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 331051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 331056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331058 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 331065 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331070 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331075 */     // GIR_Coverage, 6900,
     /* 331075 */     GIR_EraseRootFromParent_Done,
     /* 331076 */   // Label 6855: @331076
     /* 331076 */   GIM_Reject,
     /* 331077 */ // Label 6848: @331077
     /* 331077 */ GIM_Reject,
     /* 331078 */ // Label 6823: @331078
     /* 331078 */ GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(331257),
     /* 331083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 331086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331094 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(331158), // Rule ID 5434 //
     /* 331099 */     // MIs[0] Operand 2
     /* 331099 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 331110 */     // (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 8:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (EXTv16i8:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 331110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 331113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 331117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331122 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 331126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 331130 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 331133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 331138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331140 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 331147 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331152 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331157 */     // GIR_Coverage, 5434,
     /* 331157 */     GIR_EraseRootFromParent_Done,
     /* 331158 */   // Label 6857: @331158
     /* 331158 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(331196), // Rule ID 6893 //
     /* 331163 */     // MIs[0] Operand 2
     /* 331163 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 331174 */     // (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, dsub:{ *:[i32] })
     /* 331174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 331177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331179 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 331185 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331190 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331195 */     // GIR_Coverage, 6893,
     /* 331195 */     GIR_EraseRootFromParent_Done,
     /* 331196 */   // Label 6858: @331196
     /* 331196 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(331256), // Rule ID 6899 //
     /* 331201 */     // MIs[0] Operand 2
     /* 331201 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 331212 */     // (extract_subvector:{ *:[v8i8] } FPR128:{ *:[v16i8] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v16i8] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 331212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 331215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 331219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 331228 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 331231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 331236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331238 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 331245 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331250 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331255 */     // GIR_Coverage, 6899,
     /* 331255 */     GIR_EraseRootFromParent_Done,
     /* 331256 */   // Label 6859: @331256
     /* 331256 */   GIM_Reject,
     /* 331257 */ // Label 6856: @331257
     /* 331257 */ GIM_Reject,
     /* 331258 */ // Label 6824: @331258
     /* 331258 */ GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(331293), // Rule ID 8961 //
     /* 331263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 331269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331273 */   // MIs[0] Operand 2
     /* 331273 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 331284 */   // (extract_subvector:{ *:[nxv1i1] } nxv2i1:{ *:[nxv2i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv2i1] }:$Ps)
     /* 331284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331289 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 331291 */   GIR_RootConstrainSelectedInstOperands,
     /* 331292 */   // GIR_Coverage, 8961,
     /* 331292 */   GIR_EraseRootFromParent_Done,
     /* 331293 */ // Label 6860: @331293
     /* 331293 */ GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(331328), // Rule ID 8962 //
     /* 331298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 331304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331308 */   // MIs[0] Operand 2
     /* 331308 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 331319 */   // (extract_subvector:{ *:[nxv1i1] } nxv2i1:{ *:[nxv2i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv2i1] }:$Ps)
     /* 331319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331324 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 331326 */   GIR_RootConstrainSelectedInstOperands,
     /* 331327 */   // GIR_Coverage, 8962,
     /* 331327 */   GIR_EraseRootFromParent_Done,
     /* 331328 */ // Label 6861: @331328
     /* 331328 */ GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(331382), // Rule ID 8969 //
     /* 331333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 331339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331343 */   // MIs[0] Operand 2
     /* 331343 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 331354 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 331354 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331357 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331361 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331366 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331380 */   GIR_RootConstrainSelectedInstOperands,
     /* 331381 */   // GIR_Coverage, 8969,
     /* 331381 */   GIR_EraseRootFromParent_Done,
     /* 331382 */ // Label 6862: @331382
     /* 331382 */ GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(331436), // Rule ID 8970 //
     /* 331387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 331393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331397 */   // MIs[0] Operand 2
     /* 331397 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 331408 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 331408 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331411 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331415 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331420 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331434 */   GIR_RootConstrainSelectedInstOperands,
     /* 331435 */   // GIR_Coverage, 8970,
     /* 331435 */   GIR_EraseRootFromParent_Done,
     /* 331436 */ // Label 6863: @331436
     /* 331436 */ GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(331490), // Rule ID 8971 //
     /* 331441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 331447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331451 */   // MIs[0] Operand 2
     /* 331451 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 331462 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 331462 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331465 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331469 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331474 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331478 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331485 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331488 */   GIR_RootConstrainSelectedInstOperands,
     /* 331489 */   // GIR_Coverage, 8971,
     /* 331489 */   GIR_EraseRootFromParent_Done,
     /* 331490 */ // Label 6864: @331490
     /* 331490 */ GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(331544), // Rule ID 8972 //
     /* 331495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 331501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331505 */   // MIs[0] Operand 2
     /* 331505 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(3),
     /* 331516 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 3:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 331516 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331519 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331523 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331528 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331532 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331539 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331542 */   GIR_RootConstrainSelectedInstOperands,
     /* 331543 */   // GIR_Coverage, 8972,
     /* 331543 */   GIR_EraseRootFromParent_Done,
     /* 331544 */ // Label 6865: @331544
     /* 331544 */ GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(331615), // Rule ID 8981 //
     /* 331549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331559 */   // MIs[0] Operand 2
     /* 331559 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 331570 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331570 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331573 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331577 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331582 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331588 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331591 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331595 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331600 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331603 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331610 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331613 */   GIR_RootConstrainSelectedInstOperands,
     /* 331614 */   // GIR_Coverage, 8981,
     /* 331614 */   GIR_EraseRootFromParent_Done,
     /* 331615 */ // Label 6866: @331615
     /* 331615 */ GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(331686), // Rule ID 8982 //
     /* 331620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331630 */   // MIs[0] Operand 2
     /* 331630 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 331641 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331641 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331644 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331648 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331653 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331657 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331659 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331662 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331666 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331671 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331674 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331681 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331684 */   GIR_RootConstrainSelectedInstOperands,
     /* 331685 */   // GIR_Coverage, 8982,
     /* 331685 */   GIR_EraseRootFromParent_Done,
     /* 331686 */ // Label 6867: @331686
     /* 331686 */ GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(331757), // Rule ID 8983 //
     /* 331691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331701 */   // MIs[0] Operand 2
     /* 331701 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 331712 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331712 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331715 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331719 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331724 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331730 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331733 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331737 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331742 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331745 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331755 */   GIR_RootConstrainSelectedInstOperands,
     /* 331756 */   // GIR_Coverage, 8983,
     /* 331756 */   GIR_EraseRootFromParent_Done,
     /* 331757 */ // Label 6868: @331757
     /* 331757 */ GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(331828), // Rule ID 8984 //
     /* 331762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331772 */   // MIs[0] Operand 2
     /* 331772 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(3),
     /* 331783 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 3:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331783 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331786 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331790 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331795 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331799 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331801 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331804 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331808 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331813 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331816 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331823 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331826 */   GIR_RootConstrainSelectedInstOperands,
     /* 331827 */   // GIR_Coverage, 8984,
     /* 331827 */   GIR_EraseRootFromParent_Done,
     /* 331828 */ // Label 6869: @331828
     /* 331828 */ GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(331899), // Rule ID 8985 //
     /* 331833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331843 */   // MIs[0] Operand 2
     /* 331843 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 331854 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331854 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331857 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331861 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331866 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331870 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331872 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331875 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331879 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331884 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331887 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331894 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331897 */   GIR_RootConstrainSelectedInstOperands,
     /* 331898 */   // GIR_Coverage, 8985,
     /* 331898 */   GIR_EraseRootFromParent_Done,
     /* 331899 */ // Label 6870: @331899
     /* 331899 */ GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(331970), // Rule ID 8986 //
     /* 331904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331914 */   // MIs[0] Operand 2
     /* 331914 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(5),
     /* 331925 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 5:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331925 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331928 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331932 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331937 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331941 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331943 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331946 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331950 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331955 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331958 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331965 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331968 */   GIR_RootConstrainSelectedInstOperands,
     /* 331969 */   // GIR_Coverage, 8986,
     /* 331969 */   GIR_EraseRootFromParent_Done,
     /* 331970 */ // Label 6871: @331970
     /* 331970 */ GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(332041), // Rule ID 8987 //
     /* 331975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331985 */   // MIs[0] Operand 2
     /* 331985 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 331996 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331996 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331999 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332003 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332008 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332012 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332026 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332029 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332036 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332039 */   GIR_RootConstrainSelectedInstOperands,
     /* 332040 */   // GIR_Coverage, 8987,
     /* 332040 */   GIR_EraseRootFromParent_Done,
     /* 332041 */ // Label 6872: @332041
     /* 332041 */ GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(332112), // Rule ID 8988 //
     /* 332046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 332052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332056 */   // MIs[0] Operand 2
     /* 332056 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 332067 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 7:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 332067 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332070 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332074 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332079 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332083 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332085 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332088 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332092 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332097 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332100 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332107 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332110 */   GIR_RootConstrainSelectedInstOperands,
     /* 332111 */   // GIR_Coverage, 8988,
     /* 332111 */   GIR_EraseRootFromParent_Done,
     /* 332112 */ // Label 6873: @332112
     /* 332112 */ GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(332200), // Rule ID 8997 //
     /* 332117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332127 */   // MIs[0] Operand 2
     /* 332127 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 332138 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332138 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332141 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332145 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332150 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332154 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332156 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332159 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332163 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332168 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332171 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332185 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332188 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332195 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332198 */   GIR_RootConstrainSelectedInstOperands,
     /* 332199 */   // GIR_Coverage, 8997,
     /* 332199 */   GIR_EraseRootFromParent_Done,
     /* 332200 */ // Label 6874: @332200
     /* 332200 */ GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(332288), // Rule ID 8998 //
     /* 332205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332215 */   // MIs[0] Operand 2
     /* 332215 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 332226 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332226 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332229 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332233 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332238 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332244 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332247 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332251 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332256 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332259 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332261 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332264 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332268 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332273 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332276 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332283 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332286 */   GIR_RootConstrainSelectedInstOperands,
     /* 332287 */   // GIR_Coverage, 8998,
     /* 332287 */   GIR_EraseRootFromParent_Done,
     /* 332288 */ // Label 6875: @332288
     /* 332288 */ GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(332376), // Rule ID 8999 //
     /* 332293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332303 */   // MIs[0] Operand 2
     /* 332303 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 332314 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332314 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332317 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332321 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332326 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332330 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332332 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332335 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332339 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332344 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332347 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332349 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332352 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332356 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332361 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332364 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332371 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332374 */   GIR_RootConstrainSelectedInstOperands,
     /* 332375 */   // GIR_Coverage, 8999,
     /* 332375 */   GIR_EraseRootFromParent_Done,
     /* 332376 */ // Label 6876: @332376
     /* 332376 */ GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(332464), // Rule ID 9000 //
     /* 332381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332391 */   // MIs[0] Operand 2
     /* 332391 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(3),
     /* 332402 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 3:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332402 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332405 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332409 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332414 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332418 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332420 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332423 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332427 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332432 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332435 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332437 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332440 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332444 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332449 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332452 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332459 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332462 */   GIR_RootConstrainSelectedInstOperands,
     /* 332463 */   // GIR_Coverage, 9000,
     /* 332463 */   GIR_EraseRootFromParent_Done,
     /* 332464 */ // Label 6877: @332464
     /* 332464 */ GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(332552), // Rule ID 9001 //
     /* 332469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332479 */   // MIs[0] Operand 2
     /* 332479 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 332490 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332490 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332493 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332497 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332502 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332506 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332508 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332511 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332515 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332520 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332523 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332525 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332528 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332532 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332537 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332540 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332547 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332550 */   GIR_RootConstrainSelectedInstOperands,
     /* 332551 */   // GIR_Coverage, 9001,
     /* 332551 */   GIR_EraseRootFromParent_Done,
     /* 332552 */ // Label 6878: @332552
     /* 332552 */ GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(332640), // Rule ID 9002 //
     /* 332557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332567 */   // MIs[0] Operand 2
     /* 332567 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(5),
     /* 332578 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 5:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332578 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332581 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332585 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332590 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332594 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332596 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332599 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332603 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332608 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332611 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332613 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332616 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332620 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332625 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332628 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332635 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332638 */   GIR_RootConstrainSelectedInstOperands,
     /* 332639 */   // GIR_Coverage, 9002,
     /* 332639 */   GIR_EraseRootFromParent_Done,
     /* 332640 */ // Label 6879: @332640
     /* 332640 */ GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(332728), // Rule ID 9003 //
     /* 332645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332655 */   // MIs[0] Operand 2
     /* 332655 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 332666 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332666 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332669 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332673 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332678 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332682 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332684 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332687 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332691 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332696 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332699 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332701 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332704 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332708 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332713 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332716 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332723 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332726 */   GIR_RootConstrainSelectedInstOperands,
     /* 332727 */   // GIR_Coverage, 9003,
     /* 332727 */   GIR_EraseRootFromParent_Done,
     /* 332728 */ // Label 6880: @332728
     /* 332728 */ GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(332816), // Rule ID 9004 //
     /* 332733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332743 */   // MIs[0] Operand 2
     /* 332743 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 332754 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 7:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332754 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332757 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332761 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332766 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332770 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332772 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332775 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332779 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332784 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332787 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332789 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332792 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332796 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332801 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332804 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332811 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332814 */   GIR_RootConstrainSelectedInstOperands,
     /* 332815 */   // GIR_Coverage, 9004,
     /* 332815 */   GIR_EraseRootFromParent_Done,
     /* 332816 */ // Label 6881: @332816
     /* 332816 */ GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(332904), // Rule ID 9005 //
     /* 332821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332831 */   // MIs[0] Operand 2
     /* 332831 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 332842 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332842 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332845 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332849 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332854 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332858 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332860 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332863 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332867 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332872 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332875 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332877 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332880 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332884 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332889 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332892 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332899 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332902 */   GIR_RootConstrainSelectedInstOperands,
     /* 332903 */   // GIR_Coverage, 9005,
     /* 332903 */   GIR_EraseRootFromParent_Done,
     /* 332904 */ // Label 6882: @332904
     /* 332904 */ GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(332992), // Rule ID 9006 //
     /* 332909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332919 */   // MIs[0] Operand 2
     /* 332919 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(9),
     /* 332930 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 9:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332930 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332933 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332937 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332942 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332946 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332948 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332951 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332955 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332960 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332963 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332965 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332968 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332972 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332977 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332987 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332990 */   GIR_RootConstrainSelectedInstOperands,
     /* 332991 */   // GIR_Coverage, 9006,
     /* 332991 */   GIR_EraseRootFromParent_Done,
     /* 332992 */ // Label 6883: @332992
     /* 332992 */ GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(333080), // Rule ID 9007 //
     /* 332997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333007 */   // MIs[0] Operand 2
     /* 333007 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(10),
     /* 333018 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 10:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 333018 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 333021 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333025 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333030 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333034 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 333036 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333039 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333043 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333048 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 333051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333053 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333056 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333060 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333065 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333068 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333075 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333078 */   GIR_RootConstrainSelectedInstOperands,
     /* 333079 */   // GIR_Coverage, 9007,
     /* 333079 */   GIR_EraseRootFromParent_Done,
     /* 333080 */ // Label 6884: @333080
     /* 333080 */ GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(333168), // Rule ID 9008 //
     /* 333085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333095 */   // MIs[0] Operand 2
     /* 333095 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(11),
     /* 333106 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 11:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 333106 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 333109 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333113 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333118 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333122 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 333124 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333127 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333131 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333136 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 333139 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333153 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333156 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333163 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333166 */   GIR_RootConstrainSelectedInstOperands,
     /* 333167 */   // GIR_Coverage, 9008,
     /* 333167 */   GIR_EraseRootFromParent_Done,
     /* 333168 */ // Label 6885: @333168
     /* 333168 */ GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(333256), // Rule ID 9009 //
     /* 333173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333183 */   // MIs[0] Operand 2
     /* 333183 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(12),
     /* 333194 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 12:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 333194 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 333197 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333201 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333206 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333210 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 333212 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333215 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333219 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333224 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 333227 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333229 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333232 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333236 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333241 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333244 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333251 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333254 */   GIR_RootConstrainSelectedInstOperands,
     /* 333255 */   // GIR_Coverage, 9009,
     /* 333255 */   GIR_EraseRootFromParent_Done,
     /* 333256 */ // Label 6886: @333256
     /* 333256 */ GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(333344), // Rule ID 9010 //
     /* 333261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333271 */   // MIs[0] Operand 2
     /* 333271 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(13),
     /* 333282 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 13:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 333282 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 333285 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333289 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333294 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333298 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 333300 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333303 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333307 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333312 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 333315 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333317 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333320 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333324 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333329 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333332 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333339 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333342 */   GIR_RootConstrainSelectedInstOperands,
     /* 333343 */   // GIR_Coverage, 9010,
     /* 333343 */   GIR_EraseRootFromParent_Done,
     /* 333344 */ // Label 6887: @333344
     /* 333344 */ GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(333432), // Rule ID 9011 //
     /* 333349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333359 */   // MIs[0] Operand 2
     /* 333359 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(14),
     /* 333370 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 14:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 333370 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 333373 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333377 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333382 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 333388 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333391 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333395 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333400 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 333403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333405 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333408 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333412 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333417 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333420 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333427 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333430 */   GIR_RootConstrainSelectedInstOperands,
     /* 333431 */   // GIR_Coverage, 9011,
     /* 333431 */   GIR_EraseRootFromParent_Done,
     /* 333432 */ // Label 6888: @333432
     /* 333432 */ GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(333520), // Rule ID 9012 //
     /* 333437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333447 */   // MIs[0] Operand 2
     /* 333447 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(15),
     /* 333458 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 15:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 333458 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 333461 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333465 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333470 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333474 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 333476 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333479 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333483 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333488 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 333491 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333493 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333496 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333500 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333505 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333508 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333515 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333518 */   GIR_RootConstrainSelectedInstOperands,
     /* 333519 */   // GIR_Coverage, 9012,
     /* 333519 */   GIR_EraseRootFromParent_Done,
     /* 333520 */ // Label 6889: @333520
     /* 333520 */ GIM_Reject,
     /* 333521 */ // Label 6825: @333521
     /* 333521 */ GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(333556), // Rule ID 8963 //
     /* 333526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 333532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333536 */   // MIs[0] Operand 2
     /* 333536 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 333547 */   // (extract_subvector:{ *:[nxv2i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } PPR:{ *:[nxv4i1] }:$Ps)
     /* 333547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333552 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 333554 */   GIR_RootConstrainSelectedInstOperands,
     /* 333555 */   // GIR_Coverage, 8963,
     /* 333555 */   GIR_EraseRootFromParent_Done,
     /* 333556 */ // Label 6890: @333556
     /* 333556 */ GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(333591), // Rule ID 8964 //
     /* 333561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 333567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333571 */   // MIs[0] Operand 2
     /* 333571 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 333582 */   // (extract_subvector:{ *:[nxv2i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } PPR:{ *:[nxv4i1] }:$Ps)
     /* 333582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333587 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 333589 */   GIR_RootConstrainSelectedInstOperands,
     /* 333590 */   // GIR_Coverage, 8964,
     /* 333590 */   GIR_EraseRootFromParent_Done,
     /* 333591 */ // Label 6891: @333591
     /* 333591 */ GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(333645), // Rule ID 8973 //
     /* 333596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 333602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333606 */   // MIs[0] Operand 2
     /* 333606 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 333617 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 333617 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333620 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333624 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333629 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333633 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333638 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333640 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333643 */   GIR_RootConstrainSelectedInstOperands,
     /* 333644 */   // GIR_Coverage, 8973,
     /* 333644 */   GIR_EraseRootFromParent_Done,
     /* 333645 */ // Label 6892: @333645
     /* 333645 */ GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(333699), // Rule ID 8974 //
     /* 333650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 333656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333660 */   // MIs[0] Operand 2
     /* 333660 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 333671 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 333671 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333674 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333678 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333683 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333687 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333694 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333697 */   GIR_RootConstrainSelectedInstOperands,
     /* 333698 */   // GIR_Coverage, 8974,
     /* 333698 */   GIR_EraseRootFromParent_Done,
     /* 333699 */ // Label 6893: @333699
     /* 333699 */ GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(333753), // Rule ID 8975 //
     /* 333704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 333710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333714 */   // MIs[0] Operand 2
     /* 333714 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 333725 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 333725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333737 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333741 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333748 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333751 */   GIR_RootConstrainSelectedInstOperands,
     /* 333752 */   // GIR_Coverage, 8975,
     /* 333752 */   GIR_EraseRootFromParent_Done,
     /* 333753 */ // Label 6894: @333753
     /* 333753 */ GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(333807), // Rule ID 8976 //
     /* 333758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 333764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333768 */   // MIs[0] Operand 2
     /* 333768 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 333779 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 333779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333791 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333795 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333802 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333805 */   GIR_RootConstrainSelectedInstOperands,
     /* 333806 */   // GIR_Coverage, 8976,
     /* 333806 */   GIR_EraseRootFromParent_Done,
     /* 333807 */ // Label 6895: @333807
     /* 333807 */ GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(333878), // Rule ID 8989 //
     /* 333812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333822 */   // MIs[0] Operand 2
     /* 333822 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 333833 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 333833 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333836 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333840 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333845 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333849 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333851 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333854 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333858 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333863 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333866 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333873 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333876 */   GIR_RootConstrainSelectedInstOperands,
     /* 333877 */   // GIR_Coverage, 8989,
     /* 333877 */   GIR_EraseRootFromParent_Done,
     /* 333878 */ // Label 6896: @333878
     /* 333878 */ GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(333949), // Rule ID 8990 //
     /* 333883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333893 */   // MIs[0] Operand 2
     /* 333893 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 333904 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 333904 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333907 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333911 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333916 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333920 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333922 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333925 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333929 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333934 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333937 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333944 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333947 */   GIR_RootConstrainSelectedInstOperands,
     /* 333948 */   // GIR_Coverage, 8990,
     /* 333948 */   GIR_EraseRootFromParent_Done,
     /* 333949 */ // Label 6897: @333949
     /* 333949 */ GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(334020), // Rule ID 8991 //
     /* 333954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333964 */   // MIs[0] Operand 2
     /* 333964 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 333975 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 333975 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333978 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333982 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333987 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333993 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333996 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334000 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334005 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 334008 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334015 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334018 */   GIR_RootConstrainSelectedInstOperands,
     /* 334019 */   // GIR_Coverage, 8991,
     /* 334019 */   GIR_EraseRootFromParent_Done,
     /* 334020 */ // Label 6898: @334020
     /* 334020 */ GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(334091), // Rule ID 8992 //
     /* 334025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334035 */   // MIs[0] Operand 2
     /* 334035 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 334046 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 334046 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 334049 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334053 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334058 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334062 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 334064 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334067 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334071 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334076 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 334079 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334086 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334089 */   GIR_RootConstrainSelectedInstOperands,
     /* 334090 */   // GIR_Coverage, 8992,
     /* 334090 */   GIR_EraseRootFromParent_Done,
     /* 334091 */ // Label 6899: @334091
     /* 334091 */ GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(334162), // Rule ID 8993 //
     /* 334096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334106 */   // MIs[0] Operand 2
     /* 334106 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 334117 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 334117 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 334120 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334124 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334129 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334133 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 334135 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334138 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334142 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334147 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 334150 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334157 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334160 */   GIR_RootConstrainSelectedInstOperands,
     /* 334161 */   // GIR_Coverage, 8993,
     /* 334161 */   GIR_EraseRootFromParent_Done,
     /* 334162 */ // Label 6900: @334162
     /* 334162 */ GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(334233), // Rule ID 8994 //
     /* 334167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334177 */   // MIs[0] Operand 2
     /* 334177 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(10),
     /* 334188 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 10:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 334188 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 334191 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334195 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334200 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334204 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 334206 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334209 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334213 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334218 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 334221 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334228 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334231 */   GIR_RootConstrainSelectedInstOperands,
     /* 334232 */   // GIR_Coverage, 8994,
     /* 334232 */   GIR_EraseRootFromParent_Done,
     /* 334233 */ // Label 6901: @334233
     /* 334233 */ GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(334304), // Rule ID 8995 //
     /* 334238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334248 */   // MIs[0] Operand 2
     /* 334248 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(12),
     /* 334259 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 12:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 334259 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 334262 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334266 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334271 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334275 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 334277 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334280 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334284 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334289 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 334292 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334299 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334302 */   GIR_RootConstrainSelectedInstOperands,
     /* 334303 */   // GIR_Coverage, 8995,
     /* 334303 */   GIR_EraseRootFromParent_Done,
     /* 334304 */ // Label 6902: @334304
     /* 334304 */ GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(334375), // Rule ID 8996 //
     /* 334309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334319 */   // MIs[0] Operand 2
     /* 334319 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(14),
     /* 334330 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 14:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 334330 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 334333 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334337 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334342 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334346 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 334348 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334351 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334355 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334360 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 334363 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334370 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334373 */   GIR_RootConstrainSelectedInstOperands,
     /* 334374 */   // GIR_Coverage, 8996,
     /* 334374 */   GIR_EraseRootFromParent_Done,
     /* 334375 */ // Label 6903: @334375
     /* 334375 */ GIM_Reject,
     /* 334376 */ // Label 6826: @334376
     /* 334376 */ GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(334411), // Rule ID 9013 //
     /* 334381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 334387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334391 */   // MIs[0] Operand 2
     /* 334391 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 334402 */   // (extract_subvector:{ *:[nxv2f16] } nxv4f16:{ *:[nxv4f16] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f16] } ZPR:{ *:[nxv4f16] }:$Zs)
     /* 334402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 334405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334407 */   GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 334409 */   GIR_RootConstrainSelectedInstOperands,
     /* 334410 */   // GIR_Coverage, 9013,
     /* 334410 */   GIR_EraseRootFromParent_Done,
     /* 334411 */ // Label 6904: @334411
     /* 334411 */ GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(334446), // Rule ID 9014 //
     /* 334416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 334422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334426 */   // MIs[0] Operand 2
     /* 334426 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 334437 */   // (extract_subvector:{ *:[nxv2f16] } nxv4f16:{ *:[nxv4f16] }:$Zs, 2:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f16] } ZPR:{ *:[nxv4f16] }:$Zs)
     /* 334437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 334440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334442 */   GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 334444 */   GIR_RootConstrainSelectedInstOperands,
     /* 334445 */   // GIR_Coverage, 9014,
     /* 334445 */   GIR_EraseRootFromParent_Done,
     /* 334446 */ // Label 6905: @334446
     /* 334446 */ GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(334500), // Rule ID 9019 //
     /* 334451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 334457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334461 */   // MIs[0] Operand 2
     /* 334461 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 334472 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f16] } (UUNPKLO_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 334472 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 334475 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_S),
     /* 334479 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334484 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 334488 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 334493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334495 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334498 */   GIR_RootConstrainSelectedInstOperands,
     /* 334499 */   // GIR_Coverage, 9019,
     /* 334499 */   GIR_EraseRootFromParent_Done,
     /* 334500 */ // Label 6906: @334500
     /* 334500 */ GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(334554), // Rule ID 9020 //
     /* 334505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 334511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334515 */   // MIs[0] Operand 2
     /* 334515 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 334526 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 2:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f16] } (UUNPKLO_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 334526 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 334529 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_S),
     /* 334533 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334538 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 334542 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 334547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334549 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334552 */   GIR_RootConstrainSelectedInstOperands,
     /* 334553 */   // GIR_Coverage, 9020,
     /* 334553 */   GIR_EraseRootFromParent_Done,
     /* 334554 */ // Label 6907: @334554
     /* 334554 */ GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(334608), // Rule ID 9021 //
     /* 334559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 334565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334569 */   // MIs[0] Operand 2
     /* 334569 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 334580 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 4:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f16] } (UUNPKHI_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 334580 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 334583 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_S),
     /* 334587 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334592 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 334596 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 334601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334603 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334606 */   GIR_RootConstrainSelectedInstOperands,
     /* 334607 */   // GIR_Coverage, 9021,
     /* 334607 */   GIR_EraseRootFromParent_Done,
     /* 334608 */ // Label 6908: @334608
     /* 334608 */ GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(334662), // Rule ID 9022 //
     /* 334613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 334619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334623 */   // MIs[0] Operand 2
     /* 334623 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 334634 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 6:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f16] } (UUNPKHI_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 334634 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 334637 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_S),
     /* 334641 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334646 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 334650 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 334655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334657 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334660 */   GIR_RootConstrainSelectedInstOperands,
     /* 334661 */   // GIR_Coverage, 9022,
     /* 334661 */   GIR_EraseRootFromParent_Done,
     /* 334662 */ // Label 6909: @334662
     /* 334662 */ GIM_Reject,
     /* 334663 */ // Label 6827: @334663
     /* 334663 */ GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(334732),
     /* 334668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 334671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334675 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(334703), // Rule ID 9017 //
     /* 334680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334683 */     // MIs[0] Operand 2
     /* 334683 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 334694 */     // (extract_subvector:{ *:[nxv2f32] } nxv4f32:{ *:[nxv4f32] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f32] } ZPR:{ *:[nxv4f32] }:$Zs)
     /* 334694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 334697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334699 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 334701 */     GIR_RootConstrainSelectedInstOperands,
     /* 334702 */     // GIR_Coverage, 9017,
     /* 334702 */     GIR_EraseRootFromParent_Done,
     /* 334703 */   // Label 6911: @334703
     /* 334703 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(334731), // Rule ID 9018 //
     /* 334708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334711 */     // MIs[0] Operand 2
     /* 334711 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 334722 */     // (extract_subvector:{ *:[nxv2f32] } nxv4f32:{ *:[nxv4f32] }:$Zs, 2:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f32] } ZPR:{ *:[nxv4f32] }:$Zs)
     /* 334722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 334725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334727 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 334729 */     GIR_RootConstrainSelectedInstOperands,
     /* 334730 */     // GIR_Coverage, 9018,
     /* 334730 */     GIR_EraseRootFromParent_Done,
     /* 334731 */   // Label 6912: @334731
     /* 334731 */   GIM_Reject,
     /* 334732 */ // Label 6910: @334732
     /* 334732 */ GIM_Reject,
     /* 334733 */ // Label 6828: @334733
     /* 334733 */ GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(334768), // Rule ID 8965 //
     /* 334738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 334744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334748 */   // MIs[0] Operand 2
     /* 334748 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 334759 */   // (extract_subvector:{ *:[nxv4i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv4i1] } PPR:{ *:[nxv8i1] }:$Ps)
     /* 334759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334764 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 334766 */   GIR_RootConstrainSelectedInstOperands,
     /* 334767 */   // GIR_Coverage, 8965,
     /* 334767 */   GIR_EraseRootFromParent_Done,
     /* 334768 */ // Label 6913: @334768
     /* 334768 */ GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(334803), // Rule ID 8966 //
     /* 334773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 334779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334783 */   // MIs[0] Operand 2
     /* 334783 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 334794 */   // (extract_subvector:{ *:[nxv4i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv4i1] } PPR:{ *:[nxv8i1] }:$Ps)
     /* 334794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334799 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 334801 */   GIR_RootConstrainSelectedInstOperands,
     /* 334802 */   // GIR_Coverage, 8966,
     /* 334802 */   GIR_EraseRootFromParent_Done,
     /* 334803 */ // Label 6914: @334803
     /* 334803 */ GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(334857), // Rule ID 8977 //
     /* 334808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334818 */   // MIs[0] Operand 2
     /* 334818 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 334829 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv4i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 334829 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334832 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334836 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334841 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334852 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334855 */   GIR_RootConstrainSelectedInstOperands,
     /* 334856 */   // GIR_Coverage, 8977,
     /* 334856 */   GIR_EraseRootFromParent_Done,
     /* 334857 */ // Label 6915: @334857
     /* 334857 */ GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(334911), // Rule ID 8978 //
     /* 334862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334872 */   // MIs[0] Operand 2
     /* 334872 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 334883 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv4i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 334883 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334886 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334890 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334895 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334899 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334906 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334909 */   GIR_RootConstrainSelectedInstOperands,
     /* 334910 */   // GIR_Coverage, 8978,
     /* 334910 */   GIR_EraseRootFromParent_Done,
     /* 334911 */ // Label 6916: @334911
     /* 334911 */ GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(334965), // Rule ID 8979 //
     /* 334916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334926 */   // MIs[0] Operand 2
     /* 334926 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 334937 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv4i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 334937 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334940 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334944 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334949 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334953 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334960 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334963 */   GIR_RootConstrainSelectedInstOperands,
     /* 334964 */   // GIR_Coverage, 8979,
     /* 334964 */   GIR_EraseRootFromParent_Done,
     /* 334965 */ // Label 6917: @334965
     /* 334965 */ GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(335019), // Rule ID 8980 //
     /* 334970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334980 */   // MIs[0] Operand 2
     /* 334980 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(12),
     /* 334991 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 12:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv4i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 334991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335003 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 335007 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 335012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 335014 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335017 */   GIR_RootConstrainSelectedInstOperands,
     /* 335018 */   // GIR_Coverage, 8980,
     /* 335018 */   GIR_EraseRootFromParent_Done,
     /* 335019 */ // Label 6918: @335019
     /* 335019 */ GIM_Reject,
     /* 335020 */ // Label 6829: @335020
     /* 335020 */ GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(335089),
     /* 335025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 335028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 335032 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(335060), // Rule ID 9015 //
     /* 335037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 335040 */     // MIs[0] Operand 2
     /* 335040 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 335051 */     // (extract_subvector:{ *:[nxv4f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_S:{ *:[nxv4f16] } ZPR:{ *:[nxv8f16] }:$Zs)
     /* 335051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_S),
     /* 335054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 335056 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 335058 */     GIR_RootConstrainSelectedInstOperands,
     /* 335059 */     // GIR_Coverage, 9015,
     /* 335059 */     GIR_EraseRootFromParent_Done,
     /* 335060 */   // Label 6920: @335060
     /* 335060 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(335088), // Rule ID 9016 //
     /* 335065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 335068 */     // MIs[0] Operand 2
     /* 335068 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 335079 */     // (extract_subvector:{ *:[nxv4f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 4:{ *:[i64] })  =>  (UUNPKHI_ZZ_S:{ *:[nxv4f16] } ZPR:{ *:[nxv8f16] }:$Zs)
     /* 335079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_S),
     /* 335082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 335084 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 335086 */     GIR_RootConstrainSelectedInstOperands,
     /* 335087 */     // GIR_Coverage, 9016,
     /* 335087 */     GIR_EraseRootFromParent_Done,
     /* 335088 */   // Label 6921: @335088
     /* 335088 */   GIM_Reject,
     /* 335089 */ // Label 6919: @335089
     /* 335089 */ GIM_Reject,
     /* 335090 */ // Label 6830: @335090
     /* 335090 */ GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(335159),
     /* 335095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 335098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 335102 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(335130), // Rule ID 8967 //
     /* 335107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 335110 */     // MIs[0] Operand 2
     /* 335110 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 335121 */     // (extract_subvector:{ *:[nxv8i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv8i1] } PPR:{ *:[nxv16i1] }:$Ps)
     /* 335121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 335124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 335126 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 335128 */     GIR_RootConstrainSelectedInstOperands,
     /* 335129 */     // GIR_Coverage, 8967,
     /* 335129 */     GIR_EraseRootFromParent_Done,
     /* 335130 */   // Label 6923: @335130
     /* 335130 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(335158), // Rule ID 8968 //
     /* 335135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 335138 */     // MIs[0] Operand 2
     /* 335138 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 335149 */     // (extract_subvector:{ *:[nxv8i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv8i1] } PPR:{ *:[nxv16i1] }:$Ps)
     /* 335149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 335152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 335154 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 335156 */     GIR_RootConstrainSelectedInstOperands,
     /* 335157 */     // GIR_Coverage, 8968,
     /* 335157 */     GIR_EraseRootFromParent_Done,
     /* 335158 */   // Label 6924: @335158
     /* 335158 */   GIM_Reject,
     /* 335159 */ // Label 6922: @335159
     /* 335159 */ GIM_Reject,
     /* 335160 */ // Label 6831: @335160
     /* 335160 */ GIM_Reject,
     /* 335161 */ // Label 88: @335161
     /* 335161 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(24), /*)*//*default:*//*Label 6940*/ GIMT_Encode4(364305),
     /* 335172 */ /*GILLT_s64*//*Label 6925*/ GIMT_Encode4(335256), GIMT_Encode4(0),
     /* 335180 */ /*GILLT_v2s32*//*Label 6926*/ GIMT_Encode4(335966),
     /* 335184 */ /*GILLT_v2s64*//*Label 6927*/ GIMT_Encode4(339497),
     /* 335188 */ /*GILLT_v4s16*//*Label 6928*/ GIMT_Encode4(342738),
     /* 335192 */ /*GILLT_v4s32*//*Label 6929*/ GIMT_Encode4(346378),
     /* 335196 */ /*GILLT_v8s8*//*Label 6930*/ GIMT_Encode4(349446),
     /* 335200 */ /*GILLT_v8s16*//*Label 6931*/ GIMT_Encode4(351290),
     /* 335204 */ /*GILLT_v16s8*//*Label 6932*/ GIMT_Encode4(354709), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 335216 */ /*GILLT_nxv2s16*//*Label 6933*/ GIMT_Encode4(356511),
     /* 335220 */ /*GILLT_nxv2s32*//*Label 6934*/ GIMT_Encode4(356636),
     /* 335224 */ /*GILLT_nxv2s64*//*Label 6935*/ GIMT_Encode4(356761), GIMT_Encode4(0),
     /* 335232 */ /*GILLT_nxv4s16*//*Label 6936*/ GIMT_Encode4(358739),
     /* 335236 */ /*GILLT_nxv4s32*//*Label 6937*/ GIMT_Encode4(358891), GIMT_Encode4(0),
     /* 335244 */ /*GILLT_nxv8s16*//*Label 6938*/ GIMT_Encode4(360923), GIMT_Encode4(0),
     /* 335252 */ /*GILLT_nxv16s8*//*Label 6939*/ GIMT_Encode4(363191),
     /* 335256 */ // Label 6925: @335256
     /* 335256 */ GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(335965),
     /* 335261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 335264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 335267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 335270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335274 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(335404), // Rule ID 5734 //
     /* 335279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 335287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 335291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 335295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 335299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335312 */     // MIs[2] Operand 1
     /* 335312 */     // No operand predicates
     /* 335312 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 335316 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335320 */     // MIs[3] Operand 1
     /* 335320 */     // No operand predicates
     /* 335320 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335322 */     // (vector_insert:{ *:[v1f64] } V64:{ *:[v1f64] }:$src, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 335322 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 335325 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335329 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335334 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 335337 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 335341 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 335344 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335349 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 335357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 335361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335366 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 335372 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 335376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 335379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335386 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 335393 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335398 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335403 */     // GIR_Coverage, 5734,
     /* 335403 */     GIR_EraseRootFromParent_Done,
     /* 335404 */   // Label 6942: @335404
     /* 335404 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(335565), // Rule ID 5735 //
     /* 335409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 335417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 335421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 335425 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 335429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335442 */     // MIs[2] Operand 1
     /* 335442 */     // No operand predicates
     /* 335442 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 335446 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335450 */     // MIs[3] Operand 1
     /* 335450 */     // No operand predicates
     /* 335450 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335452 */     // (vector_insert:{ *:[v1f64] } V64:{ *:[v1f64] }:$src, (vector_extract:{ *:[f64] } V64:{ *:[v1f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 335452 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 335455 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335459 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335464 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 335467 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 335471 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 335474 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335479 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335484 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 335487 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335491 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335496 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 335499 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 335503 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 335506 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335511 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 335519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 335523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335528 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 335534 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 335537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 335540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335547 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 335554 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335559 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335564 */     // GIR_Coverage, 5735,
     /* 335564 */     GIR_EraseRootFromParent_Done,
     /* 335565 */   // Label 6943: @335565
     /* 335565 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(335695), // Rule ID 5766 //
     /* 335570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 335578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 335582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 335586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 335590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335603 */     // MIs[2] Operand 1
     /* 335603 */     // No operand predicates
     /* 335603 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 335607 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335611 */     // MIs[3] Operand 1
     /* 335611 */     // No operand predicates
     /* 335611 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335613 */     // (vector_insert:{ *:[v1i64] } V64:{ *:[v1i64] }:$src, (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 335613 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 335616 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335620 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335625 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 335628 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 335632 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 335635 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335640 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 335648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 335652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335657 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 335663 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 335667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 335670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335677 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 335684 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335689 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335694 */     // GIR_Coverage, 5766,
     /* 335694 */     GIR_EraseRootFromParent_Done,
     /* 335695 */   // Label 6944: @335695
     /* 335695 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(335856), // Rule ID 5767 //
     /* 335700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 335708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 335712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 335716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 335720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335733 */     // MIs[2] Operand 1
     /* 335733 */     // No operand predicates
     /* 335733 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 335737 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335741 */     // MIs[3] Operand 1
     /* 335741 */     // No operand predicates
     /* 335741 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335743 */     // (vector_insert:{ *:[v1i64] } V64:{ *:[v1i64] }:$src, (vector_extract:{ *:[i64] } V64:{ *:[v1i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 335743 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 335746 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335750 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335755 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 335758 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 335762 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 335765 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335770 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335775 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 335778 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335782 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335787 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 335790 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 335794 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 335797 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335802 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 335810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 335814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335819 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 335825 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 335828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 335831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335838 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 335845 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335850 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335855 */     // GIR_Coverage, 5767,
     /* 335855 */     GIR_EraseRootFromParent_Done,
     /* 335856 */   // Label 6945: @335856
     /* 335856 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(335892), // Rule ID 6673 //
     /* 335861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 335873 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 335879 */     // (vector_insert:{ *:[v1i64] } (undef:{ *:[v1i64] }), GPR64:{ *:[i64] }:$Xn, 0:{ *:[i64] })  =>  (COPY_TO_REGCLASS:{ *:[v1i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /* 335879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335884 */     GIR_RootToRootCopy, /*OpIdx*/2, // Xn
     /* 335886 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335891 */     // GIR_Coverage, 6673,
     /* 335891 */     GIR_EraseRootFromParent_Done,
     /* 335892 */   // Label 6946: @335892
     /* 335892 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(335928), // Rule ID 6675 //
     /* 335897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 335909 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 335915 */     // (vector_insert:{ *:[v1f64] } (undef:{ *:[v1f64] }), GPR64:{ *:[i64] }:$Xn, 0:{ *:[i64] })  =>  (COPY_TO_REGCLASS:{ *:[v1f64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /* 335915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Xn
     /* 335922 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335927 */     // GIR_Coverage, 6675,
     /* 335927 */     GIR_EraseRootFromParent_Done,
     /* 335928 */   // Label 6947: @335928
     /* 335928 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(335964), // Rule ID 6677 //
     /* 335933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335945 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 335951 */     // (vector_insert:{ *:[v1f64] } (undef:{ *:[v1f64] }), FPR64:{ *:[f64] }:$Xn, 0:{ *:[i64] })  =>  FPR64:{ *:[v1f64] }:$Xn
     /* 335951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335954 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 335956 */     GIR_RootToRootCopy, /*OpIdx*/2, // Xn
     /* 335958 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335963 */     // GIR_Coverage, 6677,
     /* 335963 */     GIR_EraseRootFromParent_Done,
     /* 335964 */   // Label 6948: @335964
     /* 335964 */   GIM_Reject,
     /* 335965 */ // Label 6941: @335965
     /* 335965 */ GIM_Reject,
     /* 335966 */ // Label 6926: @335966
     /* 335966 */ GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(339496),
     /* 335971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 335974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 335977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 335980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335984 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(336093), // Rule ID 4272 //
     /* 335989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335993 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 335999 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 336001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336009 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336012 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336016 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336020 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336026 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 336033 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 336040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336060 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336082 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336087 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336092 */     // GIR_Coverage, 4272,
     /* 336092 */     GIR_EraseRootFromParent_Done,
     /* 336093 */   // Label 6950: @336093
     /* 336093 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(336202), // Rule ID 4273 //
     /* 336098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336102 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 336108 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 336110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336118 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336121 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336125 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336129 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336135 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 336142 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 336149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336169 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336191 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336196 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336201 */     // GIR_Coverage, 4273,
     /* 336201 */     GIR_EraseRootFromParent_Done,
     /* 336202 */   // Label 6951: @336202
     /* 336202 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(336311), // Rule ID 4380 //
     /* 336207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336211 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 336217 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 336219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336227 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336230 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336234 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336238 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336242 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336244 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 336251 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 336258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336278 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336300 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336305 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336310 */     // GIR_Coverage, 4380,
     /* 336310 */     GIR_EraseRootFromParent_Done,
     /* 336311 */   // Label 6952: @336311
     /* 336311 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(336420), // Rule ID 4381 //
     /* 336316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336320 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 336326 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 336328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336336 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336339 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336343 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336347 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336353 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 336360 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 336367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336387 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336409 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336414 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336419 */     // GIR_Coverage, 4381,
     /* 336419 */     GIR_EraseRootFromParent_Done,
     /* 336420 */   // Label 6953: @336420
     /* 336420 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(336525), // Rule ID 4278 //
     /* 336425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336441 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336444 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336448 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336452 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336458 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 336465 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 336472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336492 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336514 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336519 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336524 */     // GIR_Coverage, 4278,
     /* 336524 */     GIR_EraseRootFromParent_Done,
     /* 336525 */   // Label 6954: @336525
     /* 336525 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(336630), // Rule ID 4280 //
     /* 336530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336546 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336549 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336553 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336557 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336563 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 336570 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 336577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336597 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336619 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336624 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336629 */     // GIR_Coverage, 4280,
     /* 336629 */     GIR_EraseRootFromParent_Done,
     /* 336630 */   // Label 6955: @336630
     /* 336630 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(336735), // Rule ID 4386 //
     /* 336635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336651 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336654 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336658 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336662 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336668 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 336675 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 336682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336702 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336724 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336729 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336734 */     // GIR_Coverage, 4386,
     /* 336734 */     GIR_EraseRootFromParent_Done,
     /* 336735 */   // Label 6956: @336735
     /* 336735 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(336840), // Rule ID 4388 //
     /* 336740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336756 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336759 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336763 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336767 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336773 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 336780 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 336787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336807 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336829 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336834 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336839 */     // GIR_Coverage, 4388,
     /* 336839 */     GIR_EraseRootFromParent_Done,
     /* 336840 */   // Label 6957: @336840
     /* 336840 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(336944), // Rule ID 4270 //
     /* 336845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336849 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 336855 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 336857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336865 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336868 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336872 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336876 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336882 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 336889 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 336889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 336896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 336911 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336933 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336938 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336943 */     // GIR_Coverage, 4270,
     /* 336943 */     GIR_EraseRootFromParent_Done,
     /* 336944 */   // Label 6958: @336944
     /* 336944 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(337048), // Rule ID 4271 //
     /* 336949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336953 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 336959 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 336961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336969 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336972 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336976 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336980 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336984 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336986 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 336993 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 336993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 337000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 337015 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 337037 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337042 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337047 */     // GIR_Coverage, 4271,
     /* 337047 */     GIR_EraseRootFromParent_Done,
     /* 337048 */   // Label 6959: @337048
     /* 337048 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(337152), // Rule ID 4378 //
     /* 337053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337057 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 337063 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 337065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337073 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337076 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337080 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337084 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337090 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 337097 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 337097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 337100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 337104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 337119 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 337141 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337146 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337151 */     // GIR_Coverage, 4378,
     /* 337151 */     GIR_EraseRootFromParent_Done,
     /* 337152 */   // Label 6960: @337152
     /* 337152 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(337256), // Rule ID 4379 //
     /* 337157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337161 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 337167 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 337169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337177 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337180 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337184 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337188 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337194 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 337201 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 337201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 337204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 337208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 337223 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 337245 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337250 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337255 */     // GIR_Coverage, 4379,
     /* 337255 */     GIR_EraseRootFromParent_Done,
     /* 337256 */   // Label 6961: @337256
     /* 337256 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(337356), // Rule ID 4274 //
     /* 337261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337277 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337280 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337284 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337288 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337294 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 337301 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 337301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 337304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 337308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 337323 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 337345 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337350 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337355 */     // GIR_Coverage, 4274,
     /* 337355 */     GIR_EraseRootFromParent_Done,
     /* 337356 */   // Label 6962: @337356
     /* 337356 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(337456), // Rule ID 4276 //
     /* 337361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337377 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337380 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337384 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337388 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337394 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 337401 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 337401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 337404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 337408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 337423 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 337445 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337450 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337455 */     // GIR_Coverage, 4276,
     /* 337455 */     GIR_EraseRootFromParent_Done,
     /* 337456 */   // Label 6963: @337456
     /* 337456 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(337556), // Rule ID 4382 //
     /* 337461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337477 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337480 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337484 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337488 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337492 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337494 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 337501 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 337501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 337504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 337508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 337523 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 337545 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337550 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337555 */     // GIR_Coverage, 4382,
     /* 337555 */     GIR_EraseRootFromParent_Done,
     /* 337556 */   // Label 6964: @337556
     /* 337556 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(337656), // Rule ID 4384 //
     /* 337561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337577 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337580 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337584 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337588 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337592 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337594 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 337601 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 337601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 337604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 337608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 337623 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 337645 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337650 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337655 */     // GIR_Coverage, 4384,
     /* 337655 */     GIR_EraseRootFromParent_Done,
     /* 337656 */   // Label 6965: @337656
     /* 337656 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(337776), // Rule ID 6452 //
     /* 337661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 337664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337680 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337683 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337687 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 337694 */     // MIs[2] Rn
     /* 337694 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 337698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 337703 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337707 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337709 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (LD1i16:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 337709 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 337712 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 337716 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 337723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 337726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 337730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337735 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 337738 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 337741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 337745 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 337756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337758 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 337765 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337770 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337775 */     // GIR_Coverage, 6452,
     /* 337775 */     GIR_EraseRootFromParent_Done,
     /* 337776 */   // Label 6966: @337776
     /* 337776 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(337896), // Rule ID 6454 //
     /* 337781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 337784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337800 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337803 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337807 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 337814 */     // MIs[2] Rn
     /* 337814 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 337818 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 337823 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337829 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (LD1i8:{ *:[f128] } (IMPLICIT_DEF:{ *:[v16i8] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 337829 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 337832 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 337836 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 337843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 337846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 337850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337855 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 337858 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 337861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 337865 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 337876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337878 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 337885 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337890 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337895 */     // GIR_Coverage, 6454,
     /* 337895 */     GIR_EraseRootFromParent_Done,
     /* 337896 */   // Label 6967: @337896
     /* 337896 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(338026), // Rule ID 5726 //
     /* 337901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 337909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 337913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 337917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 337921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 337930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 337934 */     // MIs[2] Operand 1
     /* 337934 */     // No operand predicates
     /* 337934 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 337938 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 337942 */     // MIs[3] Operand 1
     /* 337942 */     // No operand predicates
     /* 337942 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 337944 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$src, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 337944 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 337947 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337951 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337956 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 337959 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 337963 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 337966 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337971 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 337979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 337983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337988 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 337991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 337994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 337998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 338001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338008 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338015 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338020 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338025 */     // GIR_Coverage, 5726,
     /* 338025 */     GIR_EraseRootFromParent_Done,
     /* 338026 */   // Label 6968: @338026
     /* 338026 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(338187), // Rule ID 5727 //
     /* 338031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 338039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 338043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 338047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 338051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 338060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338064 */     // MIs[2] Operand 1
     /* 338064 */     // No operand predicates
     /* 338064 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 338068 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338072 */     // MIs[3] Operand 1
     /* 338072 */     // No operand predicates
     /* 338072 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 338074 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$src, (vector_extract:{ *:[f32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 338074 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 338077 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338081 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338086 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 338089 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 338093 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 338096 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338101 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338106 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 338109 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338113 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338118 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 338121 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 338125 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 338128 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338133 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 338141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 338145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338150 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 338153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 338156 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 338159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 338162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338169 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338176 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338181 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338186 */     // GIR_Coverage, 5727,
     /* 338186 */     GIR_EraseRootFromParent_Done,
     /* 338187 */   // Label 6969: @338187
     /* 338187 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(338317), // Rule ID 5758 //
     /* 338192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 338200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 338204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 338208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 338212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 338221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338225 */     // MIs[2] Operand 1
     /* 338225 */     // No operand predicates
     /* 338225 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 338229 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338233 */     // MIs[3] Operand 1
     /* 338233 */     // No operand predicates
     /* 338233 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 338235 */     // (vector_insert:{ *:[v2i32] } V64:{ *:[v2i32] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 338235 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 338238 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338242 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338247 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 338250 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 338254 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 338257 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338262 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 338270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 338274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338279 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 338282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 338285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 338289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 338292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338299 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338306 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338311 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338316 */     // GIR_Coverage, 5758,
     /* 338316 */     GIR_EraseRootFromParent_Done,
     /* 338317 */   // Label 6970: @338317
     /* 338317 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(338478), // Rule ID 5759 //
     /* 338322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 338330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 338334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 338338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 338342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 338351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338355 */     // MIs[2] Operand 1
     /* 338355 */     // No operand predicates
     /* 338355 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 338359 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338363 */     // MIs[3] Operand 1
     /* 338363 */     // No operand predicates
     /* 338363 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 338365 */     // (vector_insert:{ *:[v2i32] } V64:{ *:[v2i32] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 338365 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 338368 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338372 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338377 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 338380 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 338384 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 338387 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338392 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338397 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 338400 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338404 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338409 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 338412 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 338416 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 338419 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338424 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 338432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 338436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338441 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 338444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 338447 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 338450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 338453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338460 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338467 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338472 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338477 */     // GIR_Coverage, 5759,
     /* 338477 */     GIR_EraseRootFromParent_Done,
     /* 338478 */   // Label 6971: @338478
     /* 338478 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(338544), // Rule ID 5677 //
     /* 338483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 338495 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 338501 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), FPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2i32] } (IMPLICIT_DEF:{ *:[v2i32] }), FPR32:{ *:[i32] }:$Rn, ssub:{ *:[i32] })
     /* 338501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 338504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 338508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 338518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338523 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 338525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 338528 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338533 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338538 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 338543 */     // GIR_Coverage, 5677,
     /* 338543 */     GIR_EraseRootFromParent_Done,
     /* 338544 */   // Label 6972: @338544
     /* 338544 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(338610), // Rule ID 5689 //
     /* 338549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 338561 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 338567 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), FPR32:{ *:[f32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] })
     /* 338567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 338570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 338574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 338584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 338591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 338594 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338599 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338604 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 338609 */     // GIR_Coverage, 5689,
     /* 338609 */     GIR_EraseRootFromParent_Done,
     /* 338610 */   // Label 6973: @338610
     /* 338610 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(338745), // Rule ID 5697 //
     /* 338615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 338623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 338627 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 338631 */     // MIs[1] Operand 1
     /* 338631 */     // No operand predicates
     /* 338631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 338635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338639 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 338643 */     // MIs[2] Operand 1
     /* 338643 */     // No operand predicates
     /* 338643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338645 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, WZR:{ *:[i32] }), dsub:{ *:[i32] })
     /* 338645 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 338648 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 338652 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 338659 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 338662 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 338666 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338671 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 338674 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 338678 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 338681 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338686 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338691 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 338699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 338703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338708 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 338711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // imm
     /* 338714 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 338720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338727 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338734 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338739 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338744 */     // GIR_Coverage, 5697,
     /* 338744 */     GIR_EraseRootFromParent_Done,
     /* 338745 */   // Label 6974: @338745
     /* 338745 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(338877), // Rule ID 6460 //
     /* 338750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 338758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338762 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338765 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 338769 */     // MIs[1] Rn
     /* 338769 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 338773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 338778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 338782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338786 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 338790 */     // MIs[2] Operand 1
     /* 338790 */     // No operand predicates
     /* 338790 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338792 */     // (vector_insert:{ *:[v2i32] } VecListOne64:{ *:[v2i32] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (LD1i32:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 338792 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 338795 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338799 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338804 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 338807 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 338811 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 338814 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338819 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 338827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 338831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338836 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 338839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 338842 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 338846 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338859 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338866 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338871 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338876 */     // GIR_Coverage, 6460,
     /* 338876 */     GIR_EraseRootFromParent_Done,
     /* 338877 */   // Label 6975: @338877
     /* 338877 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(339009), // Rule ID 6461 //
     /* 338882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 338890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338894 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338897 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 338901 */     // MIs[1] Rn
     /* 338901 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 338905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 338910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 338914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338918 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 338922 */     // MIs[2] Operand 1
     /* 338922 */     // No operand predicates
     /* 338922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338924 */     // (vector_insert:{ *:[v2f32] } VecListOne64:{ *:[v2f32] }:$Rd, (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (LD1i32:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 338924 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 338927 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338931 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338936 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 338939 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 338943 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 338946 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338951 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 338959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 338963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338968 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 338971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 338974 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 338978 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338991 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338998 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339003 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339008 */     // GIR_Coverage, 6461,
     /* 339008 */     GIR_EraseRootFromParent_Done,
     /* 339009 */   // Label 6976: @339009
     /* 339009 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(339192), // Rule ID 5769 //
     /* 339014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 339022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 339026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 339031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 339035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339039 */     // MIs[2] Operand 1
     /* 339039 */     // No operand predicates
     /* 339039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339041 */     // (vector_insert:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$src, (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$Sn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), FPR32:{ *:[f32] }:$Sn, ssub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 339041 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s128,
     /* 339044 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 339048 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 339055 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 339058 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 339062 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339067 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 339070 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 339074 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/18,
     /* 339077 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339082 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339087 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 339092 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 339095 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 339099 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 339106 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 339109 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 339113 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339118 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 339121 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 339125 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 339128 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339133 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339138 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 339146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 339150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339155 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 339158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immd
     /* 339161 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 339164 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 339167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 339172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339174 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 339181 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339186 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339191 */     // GIR_Coverage, 5769,
     /* 339191 */     GIR_EraseRootFromParent_Done,
     /* 339192 */   // Label 6977: @339192
     /* 339192 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(339370), // Rule ID 5700 //
     /* 339197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 339205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 339209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 339217 */     // MIs[1] Operand 1
     /* 339217 */     // No operand predicates
     /* 339217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 339219 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 339219 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 339222 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 339226 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 339233 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 339236 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 339240 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339245 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 339248 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 339252 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/18,
     /* 339255 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339260 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339265 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 339270 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 339273 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 339277 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 339284 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 339287 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 339291 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339296 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 339299 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 339303 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 339306 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339311 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339316 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 339324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 339328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339333 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 339336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 339339 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 339342 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 339345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 339350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339352 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 339359 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339364 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339369 */     // GIR_Coverage, 5700,
     /* 339369 */     GIR_EraseRootFromParent_Done,
     /* 339370 */   // Label 6978: @339370
     /* 339370 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(339495), // Rule ID 5703 //
     /* 339375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 339383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 339387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 339395 */     // MIs[1] Operand 1
     /* 339395 */     // No operand predicates
     /* 339395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 339397 */     // (vector_insert:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, GPR32:{ *:[i32] }:$Rm), dsub:{ *:[i32] })
     /* 339397 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 339400 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 339404 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 339411 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 339414 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 339418 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339423 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 339426 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 339430 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 339433 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339438 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339443 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 339451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 339455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339460 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 339463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 339466 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 339470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 339475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339477 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 339484 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339489 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339494 */     // GIR_Coverage, 5703,
     /* 339494 */     GIR_EraseRootFromParent_Done,
     /* 339495 */   // Label 6979: @339495
     /* 339495 */   GIM_Reject,
     /* 339496 */ // Label 6949: @339496
     /* 339496 */ GIM_Reject,
     /* 339497 */ // Label 6927: @339497
     /* 339497 */ GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(342737),
     /* 339502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 339505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 339508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339515 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(339624), // Rule ID 4296 //
     /* 339520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339524 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 339530 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 339532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339540 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339543 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339547 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339551 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339555 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339557 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 339564 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 339564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 339571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 339581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 339586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 339591 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339613 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339618 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339623 */     // GIR_Coverage, 4296,
     /* 339623 */     GIR_EraseRootFromParent_Done,
     /* 339624 */   // Label 6981: @339624
     /* 339624 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(339733), // Rule ID 4297 //
     /* 339629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339633 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 339639 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 339641 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339645 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339649 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339652 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339656 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339660 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339664 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339666 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 339673 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 339673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 339680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 339690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 339695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 339700 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339722 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339727 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339732 */     // GIR_Coverage, 4297,
     /* 339732 */     GIR_EraseRootFromParent_Done,
     /* 339733 */   // Label 6982: @339733
     /* 339733 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(339842), // Rule ID 4404 //
     /* 339738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339742 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 339748 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 339750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339758 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339761 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339765 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339769 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339775 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 339782 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 339782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 339789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 339799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 339804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 339809 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339831 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339836 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339841 */     // GIR_Coverage, 4404,
     /* 339841 */     GIR_EraseRootFromParent_Done,
     /* 339842 */   // Label 6983: @339842
     /* 339842 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(339951), // Rule ID 4405 //
     /* 339847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339851 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 339857 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 339859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339867 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339870 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339874 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339878 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339884 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 339891 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 339891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 339898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 339908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 339913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 339918 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339940 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339945 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339950 */     // GIR_Coverage, 4405,
     /* 339950 */     GIR_EraseRootFromParent_Done,
     /* 339951 */   // Label 6984: @339951
     /* 339951 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(340056), // Rule ID 4302 //
     /* 339956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 339964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339972 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339975 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339979 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339983 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339989 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 339996 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 339996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 340003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340023 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340045 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340050 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340055 */     // GIR_Coverage, 4302,
     /* 340055 */     GIR_EraseRootFromParent_Done,
     /* 340056 */   // Label 6985: @340056
     /* 340056 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(340161), // Rule ID 4304 //
     /* 340061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340077 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340080 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340084 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340088 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340094 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 340101 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 340101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 340108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340128 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340150 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340155 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340160 */     // GIR_Coverage, 4304,
     /* 340160 */     GIR_EraseRootFromParent_Done,
     /* 340161 */   // Label 6986: @340161
     /* 340161 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(340266), // Rule ID 4410 //
     /* 340166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340182 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340185 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340189 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340193 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340199 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 340206 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 340206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 340213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340233 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340255 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340260 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340265 */     // GIR_Coverage, 4410,
     /* 340265 */     GIR_EraseRootFromParent_Done,
     /* 340266 */   // Label 6987: @340266
     /* 340266 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(340371), // Rule ID 4412 //
     /* 340271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340287 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340290 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340294 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340298 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340304 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 340311 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 340311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 340318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340338 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340360 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340365 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340370 */     // GIR_Coverage, 4412,
     /* 340370 */     GIR_EraseRootFromParent_Done,
     /* 340371 */   // Label 6988: @340371
     /* 340371 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(340475), // Rule ID 4294 //
     /* 340376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340380 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340386 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340396 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340399 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340403 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340407 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340413 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 340420 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 340420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 340427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340442 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340464 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340469 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340474 */     // GIR_Coverage, 4294,
     /* 340474 */     GIR_EraseRootFromParent_Done,
     /* 340475 */   // Label 6989: @340475
     /* 340475 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(340579), // Rule ID 4295 //
     /* 340480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340484 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340490 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340500 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340503 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340507 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340511 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340517 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 340524 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 340524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 340531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340546 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340568 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340573 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340578 */     // GIR_Coverage, 4295,
     /* 340578 */     GIR_EraseRootFromParent_Done,
     /* 340579 */   // Label 6990: @340579
     /* 340579 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(340683), // Rule ID 4402 //
     /* 340584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340588 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340594 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340604 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340607 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340611 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340615 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340619 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340621 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 340628 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 340628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 340635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340650 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340672 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340677 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340682 */     // GIR_Coverage, 4402,
     /* 340682 */     GIR_EraseRootFromParent_Done,
     /* 340683 */   // Label 6991: @340683
     /* 340683 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(340787), // Rule ID 4403 //
     /* 340688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340692 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340698 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340708 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340711 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340715 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340719 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340723 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340725 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 340732 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 340732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 340739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340754 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340776 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340781 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340786 */     // GIR_Coverage, 4403,
     /* 340786 */     GIR_EraseRootFromParent_Done,
     /* 340787 */   // Label 6992: @340787
     /* 340787 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(340887), // Rule ID 4298 //
     /* 340792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340808 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340811 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340815 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340819 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340823 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340825 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 340832 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 340832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 340839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340854 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340876 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340881 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340886 */     // GIR_Coverage, 4298,
     /* 340886 */     GIR_EraseRootFromParent_Done,
     /* 340887 */   // Label 6993: @340887
     /* 340887 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(340987), // Rule ID 4300 //
     /* 340892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340908 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340911 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340915 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340919 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340923 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340925 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 340932 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 340932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 340939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340954 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340976 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340981 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340986 */     // GIR_Coverage, 4300,
     /* 340986 */     GIR_EraseRootFromParent_Done,
     /* 340987 */   // Label 6994: @340987
     /* 340987 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(341087), // Rule ID 4406 //
     /* 340992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341008 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341011 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341015 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 341019 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341025 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 341032 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 341032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 341035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 341039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 341049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 341054 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 341076 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341081 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341086 */     // GIR_Coverage, 4406,
     /* 341086 */     GIR_EraseRootFromParent_Done,
     /* 341087 */   // Label 6995: @341087
     /* 341087 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(341187), // Rule ID 4408 //
     /* 341092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341108 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341111 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341115 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 341119 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341125 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 341132 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 341132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 341135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 341139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 341149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 341154 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 341176 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341181 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341186 */     // GIR_Coverage, 4408,
     /* 341186 */     GIR_EraseRootFromParent_Done,
     /* 341187 */   // Label 6996: @341187
     /* 341187 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(341300), // Rule ID 5732 //
     /* 341192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341200 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341204 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341208 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 341212 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 341216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341221 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 341225 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341229 */     // MIs[3] Operand 1
     /* 341229 */     // No operand predicates
     /* 341229 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341233 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341235 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), (DUPi64:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 341235 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 341238 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi64),
     /* 341242 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341247 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 341251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 341254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 341256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 341259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 341263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 341273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 341281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 341284 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341289 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341294 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341299 */     // GIR_Coverage, 5732,
     /* 341299 */     GIR_EraseRootFromParent_Done,
     /* 341300 */   // Label 6997: @341300
     /* 341300 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(341413), // Rule ID 5764 //
     /* 341305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 341325 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 341329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341334 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 341338 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341342 */     // MIs[3] Operand 1
     /* 341342 */     // No operand predicates
     /* 341342 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341346 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341348 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (DUPi64:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 341348 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 341351 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi64),
     /* 341355 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341360 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 341364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 341367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 341369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 341372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 341376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 341386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 341394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 341397 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341402 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341407 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341412 */     // GIR_Coverage, 5764,
     /* 341412 */     GIR_EraseRootFromParent_Done,
     /* 341413 */   // Label 6998: @341413
     /* 341413 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(341491), // Rule ID 1941 //
     /* 341418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 341421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 341437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341454 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 341458 */     // MIs[2] Operand 1
     /* 341458 */     // No operand predicates
     /* 341458 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341462 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341466 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 341470 */     // MIs[3] Operand 1
     /* 341470 */     // No operand predicates
     /* 341470 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341472 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 341472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341477 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 341479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 341482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 341489 */     GIR_RootConstrainSelectedInstOperands,
     /* 341490 */     // GIR_Coverage, 1941,
     /* 341490 */     GIR_EraseRootFromParent_Done,
     /* 341491 */   // Label 6999: @341491
     /* 341491 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(341586), // Rule ID 7410 //
     /* 341496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 341499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 341511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 341515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 341519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341523 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 341526 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341530 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 341537 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 341540 */     // MIs[2] Rn
     /* 341540 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 341544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 341549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341557 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 341561 */     // MIs[3] Operand 1
     /* 341561 */     // No operand predicates
     /* 341561 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341563 */     // (vector_insert:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15856>>), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LDAP1:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 341563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAP1),
     /* 341566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341568 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 341570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 341573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 341577 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /* 341584 */     GIR_RootConstrainSelectedInstOperands,
     /* 341585 */     // GIR_Coverage, 7410,
     /* 341585 */     GIR_EraseRootFromParent_Done,
     /* 341586 */   // Label 7000: @341586
     /* 341586 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(341675), // Rule ID 5729 //
     /* 341591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 341603 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341615 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 341619 */     // MIs[2] Operand 1
     /* 341619 */     // No operand predicates
     /* 341619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341627 */     // MIs[3] Operand 1
     /* 341627 */     // No operand predicates
     /* 341627 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341629 */     // (vector_insert:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v2f64] } ZPR:{ *:[nxv2f64] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$Immn)
     /* 341629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 341632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 341636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341641 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 341647 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341652 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 341657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341662 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 341664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341673 */     GIR_RootConstrainSelectedInstOperands,
     /* 341674 */     // GIR_Coverage, 5729,
     /* 341674 */     GIR_EraseRootFromParent_Done,
     /* 341675 */   // Label 7001: @341675
     /* 341675 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(341764), // Rule ID 5761 //
     /* 341680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 341692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341704 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 341708 */     // MIs[2] Operand 1
     /* 341708 */     // No operand predicates
     /* 341708 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341712 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341716 */     // MIs[3] Operand 1
     /* 341716 */     // No operand predicates
     /* 341716 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341718 */     // (vector_insert:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$Rn, (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v2i64] } ZPR:{ *:[nxv2i64] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$Immn)
     /* 341718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 341721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 341725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341730 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 341736 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341741 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 341746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341751 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 341753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341762 */     GIR_RootConstrainSelectedInstOperands,
     /* 341763 */     // GIR_Coverage, 5761,
     /* 341763 */     GIR_EraseRootFromParent_Done,
     /* 341764 */   // Label 7002: @341764
     /* 341764 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(341831), // Rule ID 5731 //
     /* 341769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 341785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341802 */     // MIs[2] Operand 1
     /* 341802 */     // No operand predicates
     /* 341802 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341806 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341810 */     // MIs[3] Operand 1
     /* 341810 */     // No operand predicates
     /* 341810 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341812 */     // (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 341812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341817 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 341819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341829 */     GIR_RootConstrainSelectedInstOperands,
     /* 341830 */     // GIR_Coverage, 5731,
     /* 341830 */     GIR_EraseRootFromParent_Done,
     /* 341831 */   // Label 7003: @341831
     /* 341831 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(341929), // Rule ID 5733 //
     /* 341836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 341852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341869 */     // MIs[2] Operand 1
     /* 341869 */     // No operand predicates
     /* 341869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341877 */     // MIs[3] Operand 1
     /* 341877 */     // No operand predicates
     /* 341877 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341879 */     // (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (vector_extract:{ *:[f64] } V64:{ *:[v1f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 341879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 341882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341891 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 341894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341898 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 341901 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341906 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341916 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 341918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341927 */     GIR_RootConstrainSelectedInstOperands,
     /* 341928 */     // GIR_Coverage, 5733,
     /* 341928 */     GIR_EraseRootFromParent_Done,
     /* 341929 */   // Label 7004: @341929
     /* 341929 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(341996), // Rule ID 5763 //
     /* 341934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 341950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341967 */     // MIs[2] Operand 1
     /* 341967 */     // No operand predicates
     /* 341967 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341971 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341975 */     // MIs[3] Operand 1
     /* 341975 */     // No operand predicates
     /* 341975 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341977 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 341977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341982 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 341984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341994 */     GIR_RootConstrainSelectedInstOperands,
     /* 341995 */     // GIR_Coverage, 5763,
     /* 341995 */     GIR_EraseRootFromParent_Done,
     /* 341996 */   // Label 7005: @341996
     /* 341996 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(342094), // Rule ID 5765 //
     /* 342001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 342013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 342017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 342021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 342030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342034 */     // MIs[2] Operand 1
     /* 342034 */     // No operand predicates
     /* 342034 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 342038 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342042 */     // MIs[3] Operand 1
     /* 342042 */     // No operand predicates
     /* 342042 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342044 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (vector_extract:{ *:[i64] } V64:{ *:[v1i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 342044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 342047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342056 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 342059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 342063 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 342066 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342071 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 342079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342081 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 342083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 342086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 342092 */     GIR_RootConstrainSelectedInstOperands,
     /* 342093 */     // GIR_Coverage, 5765,
     /* 342093 */     GIR_EraseRootFromParent_Done,
     /* 342094 */   // Label 7006: @342094
     /* 342094 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(342160), // Rule ID 5681 //
     /* 342099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 342107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342111 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 342117 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), FPR64:{ *:[i64] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), FPR64:{ *:[i64] }:$Rn, dsub:{ *:[i32] })
     /* 342117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 342120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 342124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 342134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342139 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 342141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 342144 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342149 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342154 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342159 */     // GIR_Coverage, 5681,
     /* 342159 */     GIR_EraseRootFromParent_Done,
     /* 342160 */   // Label 7007: @342160
     /* 342160 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(342226), // Rule ID 5691 //
     /* 342165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 342173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342177 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 342183 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), FPR64:{ *:[f64] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), FPR64:{ *:[f64] }:$Rn, dsub:{ *:[i32] })
     /* 342183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 342186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 342190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 342200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 342207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 342210 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342215 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342220 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342225 */     // GIR_Coverage, 5691,
     /* 342225 */     GIR_EraseRootFromParent_Done,
     /* 342226 */   // Label 7008: @342226
     /* 342226 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(342295), // Rule ID 6443 //
     /* 342231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342243 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342246 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 342250 */     // MIs[1] Rn
     /* 342250 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 342254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 342259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 342263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342267 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 342271 */     // MIs[2] Operand 1
     /* 342271 */     // No operand predicates
     /* 342271 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342273 */     // (vector_insert:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LD1i64:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 342273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i64),
     /* 342276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342278 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 342280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 342283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 342287 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342293 */     GIR_RootConstrainSelectedInstOperands,
     /* 342294 */     // GIR_Coverage, 6443,
     /* 342294 */     GIR_EraseRootFromParent_Done,
     /* 342295 */   // Label 7009: @342295
     /* 342295 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(342364), // Rule ID 6444 //
     /* 342300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342312 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342315 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 342319 */     // MIs[1] Rn
     /* 342319 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 342323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 342328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 342332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342336 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 342340 */     // MIs[2] Operand 1
     /* 342340 */     // No operand predicates
     /* 342340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342342 */     // (vector_insert:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (ld:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LD1i64:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 342342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i64),
     /* 342345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342347 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 342349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 342352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 342356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342362 */     GIR_RootConstrainSelectedInstOperands,
     /* 342363 */     // GIR_Coverage, 6444,
     /* 342363 */     GIR_EraseRootFromParent_Done,
     /* 342364 */   // Label 7010: @342364
     /* 342364 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(342446), // Rule ID 7409 //
     /* 342369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 342372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342384 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 342387 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 342391 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 342398 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 342401 */     // MIs[1] Rn
     /* 342401 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 342405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 342410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 342414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342418 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 342422 */     // MIs[2] Operand 1
     /* 342422 */     // No operand predicates
     /* 342422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342424 */     // (vector_insert:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_15856>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LDAP1:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 342424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAP1),
     /* 342427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342429 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 342431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 342434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 342438 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342444 */     GIR_RootConstrainSelectedInstOperands,
     /* 342445 */     // GIR_Coverage, 7409,
     /* 342445 */     GIR_EraseRootFromParent_Done,
     /* 342446 */   // Label 7011: @342446
     /* 342446 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(342495), // Rule ID 5698 //
     /* 342451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 342459 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 342463 */     // MIs[1] Operand 1
     /* 342463 */     // No operand predicates
     /* 342463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 342467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342471 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 342475 */     // MIs[2] Operand 1
     /* 342475 */     // No operand predicates
     /* 342475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342477 */     // (vector_insert:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)  =>  (INSvi64gpr:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, XZR:{ *:[i64] })
     /* 342477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64gpr),
     /* 342480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342482 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 342484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 342487 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 342493 */     GIR_RootConstrainSelectedInstOperands,
     /* 342494 */     // GIR_Coverage, 5698,
     /* 342494 */     GIR_EraseRootFromParent_Done,
     /* 342495 */   // Label 7012: @342495
     /* 342495 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(342596), // Rule ID 5770 //
     /* 342500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 342508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 342512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 342521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342525 */     // MIs[2] Operand 1
     /* 342525 */     // No operand predicates
     /* 342525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342527 */     // (vector_insert:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$src, (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$Sn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (imm:{ *:[i64] }):$Immd, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), FPR64:{ *:[f64] }:$Sn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 342527 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 342530 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 342534 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 342541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 342544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 342548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342553 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 342556 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 342560 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 342563 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342568 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342573 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 342581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342583 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 342585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immd
     /* 342588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342594 */     GIR_RootConstrainSelectedInstOperands,
     /* 342595 */     // GIR_Coverage, 5770,
     /* 342595 */     GIR_EraseRootFromParent_Done,
     /* 342596 */   // Label 7013: @342596
     /* 342596 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(342640), // Rule ID 1937 //
     /* 342601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 342604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 342612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 342616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 342624 */     // MIs[1] Operand 1
     /* 342624 */     // No operand predicates
     /* 342624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 342626 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (INSvi64gpr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] }):$idx, GPR64:{ *:[i64] }:$Rn)
     /* 342626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64gpr),
     /* 342629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342631 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 342633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 342636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 342638 */     GIR_RootConstrainSelectedInstOperands,
     /* 342639 */     // GIR_Coverage, 1937,
     /* 342639 */     GIR_EraseRootFromParent_Done,
     /* 342640 */   // Label 7014: @342640
     /* 342640 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(342736), // Rule ID 5702 //
     /* 342645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 342657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 342665 */     // MIs[1] Operand 1
     /* 342665 */     // No operand predicates
     /* 342665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 342667 */     // (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)  =>  (INSvi64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm, (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 342667 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /* 342670 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 342674 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 342681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 342684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 342688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342693 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 342696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 342700 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 342703 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342708 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342713 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 342721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342723 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 342725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 342728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342734 */     GIR_RootConstrainSelectedInstOperands,
     /* 342735 */     // GIR_Coverage, 5702,
     /* 342735 */     GIR_EraseRootFromParent_Done,
     /* 342736 */   // Label 7015: @342736
     /* 342736 */   GIM_Reject,
     /* 342737 */ // Label 6980: @342737
     /* 342737 */ GIM_Reject,
     /* 342738 */ // Label 6928: @342738
     /* 342738 */ GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(346377),
     /* 342743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 342746 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(342872), // Rule ID 4236 //
     /* 342751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 342754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342765 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 342771 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 342773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342777 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342781 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342784 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342788 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 342795 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342799 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 342812 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 342812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 342815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 342819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342839 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 342861 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342866 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 342871 */     // GIR_Coverage, 4236,
     /* 342871 */     GIR_EraseRootFromParent_Done,
     /* 342872 */   // Label 7017: @342872
     /* 342872 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(342998), // Rule ID 4237 //
     /* 342877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 342880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342891 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 342897 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 342899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342907 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342910 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342914 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 342921 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342925 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342931 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 342938 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 342938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 342941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 342945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342965 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 342987 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342992 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 342997 */     // GIR_Coverage, 4237,
     /* 342997 */     GIR_EraseRootFromParent_Done,
     /* 342998 */   // Label 7018: @342998
     /* 342998 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(343117), // Rule ID 4344 //
     /* 343003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343017 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 343023 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 343025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343033 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343036 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343040 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343044 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343048 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343050 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 343057 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 343057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 343064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 343079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 343084 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343106 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343111 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343116 */     // GIR_Coverage, 4344,
     /* 343116 */     GIR_EraseRootFromParent_Done,
     /* 343117 */   // Label 7019: @343117
     /* 343117 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(343236), // Rule ID 4345 //
     /* 343122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343136 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 343142 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 343144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343152 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343155 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343159 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343163 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343167 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343169 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 343176 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 343176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 343183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 343198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 343203 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343225 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343230 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343235 */     // GIR_Coverage, 4345,
     /* 343235 */     GIR_EraseRootFromParent_Done,
     /* 343236 */   // Label 7020: @343236
     /* 343236 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(343358), // Rule ID 4242 //
     /* 343241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 343244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343267 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343270 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343274 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 343281 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343285 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343291 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 343298 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 343298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 343305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 343320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 343325 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343347 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343352 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343357 */     // GIR_Coverage, 4242,
     /* 343357 */     GIR_EraseRootFromParent_Done,
     /* 343358 */   // Label 7021: @343358
     /* 343358 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(343480), // Rule ID 4244 //
     /* 343363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 343366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343389 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343392 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343396 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 343403 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343407 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343413 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 343420 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 343420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 343427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 343442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 343447 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343469 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343474 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343479 */     // GIR_Coverage, 4244,
     /* 343479 */     GIR_EraseRootFromParent_Done,
     /* 343480 */   // Label 7022: @343480
     /* 343480 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(343595), // Rule ID 4350 //
     /* 343485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343511 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343514 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343518 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343522 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343528 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 343535 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 343535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 343542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 343557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 343562 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343584 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343589 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343594 */     // GIR_Coverage, 4350,
     /* 343594 */     GIR_EraseRootFromParent_Done,
     /* 343595 */   // Label 7023: @343595
     /* 343595 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(343710), // Rule ID 4352 //
     /* 343600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343626 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343629 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343633 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343637 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343643 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 343650 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 343650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 343657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 343672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 343677 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343699 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343704 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343709 */     // GIR_Coverage, 4352,
     /* 343709 */     GIR_EraseRootFromParent_Done,
     /* 343710 */   // Label 7024: @343710
     /* 343710 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(343831), // Rule ID 4234 //
     /* 343715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 343718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343729 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 343735 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 343737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343745 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343748 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343752 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 343759 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343763 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343769 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 343776 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 343776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 343783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 343798 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343820 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343825 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343830 */     // GIR_Coverage, 4234,
     /* 343830 */     GIR_EraseRootFromParent_Done,
     /* 343831 */   // Label 7025: @343831
     /* 343831 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(343952), // Rule ID 4235 //
     /* 343836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 343839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343850 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 343856 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 343858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343866 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343869 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343873 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 343880 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343884 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343888 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343890 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 343897 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 343897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 343904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 343919 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343941 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343946 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343951 */     // GIR_Coverage, 4235,
     /* 343951 */     GIR_EraseRootFromParent_Done,
     /* 343952 */   // Label 7026: @343952
     /* 343952 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(344066), // Rule ID 4342 //
     /* 343957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343971 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 343977 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 343979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343987 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343990 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343994 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343998 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344004 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 344011 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 344011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 344014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 344018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 344033 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 344055 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344060 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 344065 */     // GIR_Coverage, 4342,
     /* 344065 */     GIR_EraseRootFromParent_Done,
     /* 344066 */   // Label 7027: @344066
     /* 344066 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(344180), // Rule ID 4343 //
     /* 344071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 344074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344085 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344091 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344101 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344104 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344108 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344112 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344116 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344118 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 344125 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 344125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 344128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 344132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 344147 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 344169 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344174 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 344179 */     // GIR_Coverage, 4343,
     /* 344179 */     GIR_EraseRootFromParent_Done,
     /* 344180 */   // Label 7028: @344180
     /* 344180 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(344297), // Rule ID 4238 //
     /* 344185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 344188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344211 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344214 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344218 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 344225 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344229 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344235 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 344242 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 344242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 344245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 344249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 344264 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 344286 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344291 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 344296 */     // GIR_Coverage, 4238,
     /* 344296 */     GIR_EraseRootFromParent_Done,
     /* 344297 */   // Label 7029: @344297
     /* 344297 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(344414), // Rule ID 4240 //
     /* 344302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 344305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344328 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344331 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344335 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 344342 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344346 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344352 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 344359 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 344359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 344362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 344366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 344381 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 344403 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344408 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 344413 */     // GIR_Coverage, 4240,
     /* 344413 */     GIR_EraseRootFromParent_Done,
     /* 344414 */   // Label 7030: @344414
     /* 344414 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(344524), // Rule ID 4346 //
     /* 344419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 344422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344445 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344448 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344452 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344462 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 344469 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 344469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 344472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 344476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 344491 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 344513 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344518 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 344523 */     // GIR_Coverage, 4346,
     /* 344523 */     GIR_EraseRootFromParent_Done,
     /* 344524 */   // Label 7031: @344524
     /* 344524 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(344634), // Rule ID 4348 //
     /* 344529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 344532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344555 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344558 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344562 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344566 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344572 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 344579 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 344579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 344582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 344586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 344601 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 344623 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344628 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 344633 */     // GIR_Coverage, 4348,
     /* 344633 */     GIR_EraseRootFromParent_Done,
     /* 344634 */   // Label 7032: @344634
     /* 344634 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(344764), // Rule ID 6456 //
     /* 344639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 344642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 344645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344668 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344671 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344675 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 344682 */     // MIs[2] Rn
     /* 344682 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 344686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 344691 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344695 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344697 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (LD1i8:{ *:[f128] } (IMPLICIT_DEF:{ *:[v16i8] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 344697 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 344700 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 344704 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 344711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 344714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 344718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344723 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 344726 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 344729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 344733 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 344744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344746 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 344753 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344758 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344763 */     // GIR_Coverage, 6456,
     /* 344763 */     GIR_EraseRootFromParent_Done,
     /* 344764 */   // Label 7033: @344764
     /* 344764 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(344904), // Rule ID 5718 //
     /* 344769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 344772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 344787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 344791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 344795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 344799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 344808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 344812 */     // MIs[2] Operand 1
     /* 344812 */     // No operand predicates
     /* 344812 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 344816 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 344820 */     // MIs[3] Operand 1
     /* 344820 */     // No operand predicates
     /* 344820 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 344822 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$src, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 344822 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 344825 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344829 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344834 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 344837 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 344841 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 344844 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344849 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 344857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 344861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344866 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 344869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 344872 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 344876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 344879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 344884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344886 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 344893 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344898 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344903 */     // GIR_Coverage, 5718,
     /* 344903 */     GIR_EraseRootFromParent_Done,
     /* 344904 */   // Label 7034: @344904
     /* 344904 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(345075), // Rule ID 5719 //
     /* 344909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 344912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 344927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 344931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 344935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 344939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 344948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 344952 */     // MIs[2] Operand 1
     /* 344952 */     // No operand predicates
     /* 344952 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 344956 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 344960 */     // MIs[3] Operand 1
     /* 344960 */     // No operand predicates
     /* 344960 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 344962 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$src, (vector_extract:{ *:[f16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 344962 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 344965 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344969 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344974 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 344977 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 344981 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 344984 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344989 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344994 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 344997 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345001 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345006 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 345009 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 345013 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 345016 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345021 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 345029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 345033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345038 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 345041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 345044 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 345047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 345050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345057 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 345064 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345069 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345074 */     // GIR_Coverage, 5719,
     /* 345074 */     GIR_EraseRootFromParent_Done,
     /* 345075 */   // Label 7035: @345075
     /* 345075 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(345215), // Rule ID 5750 //
     /* 345080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 345083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 345102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 345106 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 345110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 345119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345123 */     // MIs[2] Operand 1
     /* 345123 */     // No operand predicates
     /* 345123 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 345127 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345131 */     // MIs[3] Operand 1
     /* 345131 */     // No operand predicates
     /* 345131 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345133 */     // (vector_insert:{ *:[v4i16] } V64:{ *:[v4i16] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 345133 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 345136 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345140 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345145 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 345148 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 345152 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 345155 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345160 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 345168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 345172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345177 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 345180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 345183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 345187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 345190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345197 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 345204 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345209 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345214 */     // GIR_Coverage, 5750,
     /* 345214 */     GIR_EraseRootFromParent_Done,
     /* 345215 */   // Label 7036: @345215
     /* 345215 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(345386), // Rule ID 5751 //
     /* 345220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 345223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 345242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 345246 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 345250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 345259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345263 */     // MIs[2] Operand 1
     /* 345263 */     // No operand predicates
     /* 345263 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 345267 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345271 */     // MIs[3] Operand 1
     /* 345271 */     // No operand predicates
     /* 345271 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345273 */     // (vector_insert:{ *:[v4i16] } V64:{ *:[v4i16] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 345273 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 345276 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345280 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345285 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 345288 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 345292 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 345295 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345300 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345305 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 345308 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345312 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345317 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 345320 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 345324 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 345327 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345332 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 345340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 345344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345349 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 345352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 345355 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 345358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 345361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345368 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 345375 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345380 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345385 */     // GIR_Coverage, 5751,
     /* 345385 */     GIR_EraseRootFromParent_Done,
     /* 345386 */   // Label 7037: @345386
     /* 345386 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(345465), // Rule ID 5671 //
     /* 345391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 345394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 345413 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 345419 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 345419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345431 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 345435 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345454 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345459 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345464 */     // GIR_Coverage, 5671,
     /* 345464 */     GIR_EraseRootFromParent_Done,
     /* 345465 */   // Label 7038: @345465
     /* 345465 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(345541), // Rule ID 5673 //
     /* 345470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 345473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 345492 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 345498 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f16] } (IMPLICIT_DEF:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 345498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s16,
     /* 345501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 345505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 345515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 345522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 345525 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345530 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345535 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 345540 */     // GIR_Coverage, 5673,
     /* 345540 */     GIR_EraseRootFromParent_Done,
     /* 345541 */   // Label 7039: @345541
     /* 345541 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(345617), // Rule ID 5683 //
     /* 345546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 345549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 345568 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 345574 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f16] } (IMPLICIT_DEF:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 345574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s16,
     /* 345577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 345581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 345591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 345598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 345601 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345606 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345611 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 345616 */     // GIR_Coverage, 5683,
     /* 345616 */     GIR_EraseRootFromParent_Done,
     /* 345617 */   // Label 7040: @345617
     /* 345617 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(345762), // Rule ID 5695 //
     /* 345622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 345625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 345644 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 345648 */     // MIs[1] Operand 1
     /* 345648 */     // No operand predicates
     /* 345648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 345652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345656 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 345660 */     // MIs[2] Operand 1
     /* 345660 */     // No operand predicates
     /* 345660 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345662 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, WZR:{ *:[i32] }), dsub:{ *:[i32] })
     /* 345662 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /* 345665 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 345669 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 345676 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 345679 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 345683 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345688 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 345691 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 345695 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 345698 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345703 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345708 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 345716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 345720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345725 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 345728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // imm
     /* 345731 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 345737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345744 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 345751 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345756 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345761 */     // GIR_Coverage, 5695,
     /* 345761 */     GIR_EraseRootFromParent_Done,
     /* 345762 */   // Label 7041: @345762
     /* 345762 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(345911), // Rule ID 6459 //
     /* 345767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 345770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345789 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345792 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 345796 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 345803 */     // MIs[1] Rn
     /* 345803 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 345807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 345812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 345816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345820 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 345824 */     // MIs[2] Operand 1
     /* 345824 */     // No operand predicates
     /* 345824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345826 */     // (vector_insert:{ *:[v4i16] } VecListOne64:{ *:[v4i16] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (LD1i16:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 345826 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 345829 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345833 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345838 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 345841 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 345845 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 345848 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345853 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 345861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 345865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345870 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 345873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 345876 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 345880 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345893 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 345900 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345905 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345910 */     // GIR_Coverage, 6459,
     /* 345910 */     GIR_EraseRootFromParent_Done,
     /* 345911 */   // Label 7042: @345911
     /* 345911 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(346053), // Rule ID 6462 //
     /* 345916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 345919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345938 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345941 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 345945 */     // MIs[1] Rn
     /* 345945 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 345949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 345954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 345958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345962 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 345966 */     // MIs[2] Operand 1
     /* 345966 */     // No operand predicates
     /* 345966 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345968 */     // (vector_insert:{ *:[v4f16] } VecListOne64:{ *:[v4f16] }:$Rd, (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (LD1i16:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4f16] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 345968 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 345971 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345975 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345980 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 345983 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 345987 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 345990 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345995 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 346003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 346007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346012 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 346015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 346018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 346022 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 346033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346035 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 346042 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346047 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346052 */     // GIR_Coverage, 6462,
     /* 346052 */     GIR_EraseRootFromParent_Done,
     /* 346053 */   // Label 7043: @346053
     /* 346053 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(346241), // Rule ID 5693 //
     /* 346058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 346061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 346076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 346080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 346084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 346088 */     // MIs[1] Operand 1
     /* 346088 */     // No operand predicates
     /* 346088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 346090 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 346090 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s16,
     /* 346093 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 346097 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 346104 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s16,
     /* 346107 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 346111 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346116 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 346119 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 346123 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/9,
     /* 346126 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346131 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346136 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 346141 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /* 346144 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 346148 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 346155 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 346158 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 346162 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346167 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 346170 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 346174 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 346177 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346182 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346187 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 346195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 346199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346204 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 346207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 346210 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 346213 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 346216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 346221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346223 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 346230 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346235 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346240 */     // GIR_Coverage, 5693,
     /* 346240 */     GIR_EraseRootFromParent_Done,
     /* 346241 */   // Label 7044: @346241
     /* 346241 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(346376), // Rule ID 5704 //
     /* 346246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 346249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 346264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 346268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 346272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 346276 */     // MIs[1] Operand 1
     /* 346276 */     // No operand predicates
     /* 346276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 346278 */     // (vector_insert:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (INSvi16gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, GPR32:{ *:[i32] }:$Rm), dsub:{ *:[i32] })
     /* 346278 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /* 346281 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 346285 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 346292 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 346295 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 346299 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346304 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 346307 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 346311 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 346314 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346319 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346324 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 346332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 346336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346341 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 346344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 346347 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 346351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 346356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346358 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 346365 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346370 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346375 */     // GIR_Coverage, 5704,
     /* 346375 */     GIR_EraseRootFromParent_Done,
     /* 346376 */   // Label 7045: @346376
     /* 346376 */   GIM_Reject,
     /* 346377 */ // Label 7016: @346377
     /* 346377 */ GIM_Reject,
     /* 346378 */ // Label 6929: @346378
     /* 346378 */ GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(349445),
     /* 346383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 346386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 346389 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346396 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(346505), // Rule ID 4260 //
     /* 346401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346405 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346411 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346421 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346424 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346428 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346432 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346436 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346438 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 346445 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 346452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346472 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346494 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346499 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346504 */     // GIR_Coverage, 4260,
     /* 346504 */     GIR_EraseRootFromParent_Done,
     /* 346505 */   // Label 7047: @346505
     /* 346505 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(346614), // Rule ID 4261 //
     /* 346510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346514 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346520 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346530 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346533 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346537 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346541 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346547 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 346554 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 346561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346581 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346603 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346608 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346613 */     // GIR_Coverage, 4261,
     /* 346613 */     GIR_EraseRootFromParent_Done,
     /* 346614 */   // Label 7048: @346614
     /* 346614 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(346723), // Rule ID 4368 //
     /* 346619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346623 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346629 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346639 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346642 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346646 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346650 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346656 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 346663 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 346670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346690 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346712 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346717 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346722 */     // GIR_Coverage, 4368,
     /* 346722 */     GIR_EraseRootFromParent_Done,
     /* 346723 */   // Label 7049: @346723
     /* 346723 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(346832), // Rule ID 4369 //
     /* 346728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346732 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346738 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346748 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346751 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346755 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346759 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346763 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346765 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 346772 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 346779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346799 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346821 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346826 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346831 */     // GIR_Coverage, 4369,
     /* 346831 */     GIR_EraseRootFromParent_Done,
     /* 346832 */   // Label 7050: @346832
     /* 346832 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(346937), // Rule ID 4266 //
     /* 346837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346853 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346856 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346860 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346864 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346870 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 346877 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 346884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346904 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346926 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346931 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346936 */     // GIR_Coverage, 4266,
     /* 346936 */     GIR_EraseRootFromParent_Done,
     /* 346937 */   // Label 7051: @346937
     /* 346937 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(347042), // Rule ID 4268 //
     /* 346942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346958 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346961 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346965 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346969 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346975 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 346982 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 346989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 347004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 347009 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347031 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347036 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347041 */     // GIR_Coverage, 4268,
     /* 347041 */     GIR_EraseRootFromParent_Done,
     /* 347042 */   // Label 7052: @347042
     /* 347042 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(347147), // Rule ID 4374 //
     /* 347047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347063 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347066 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347070 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347074 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347080 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 347087 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 347087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 347094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 347109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 347114 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347136 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347141 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347146 */     // GIR_Coverage, 4374,
     /* 347146 */     GIR_EraseRootFromParent_Done,
     /* 347147 */   // Label 7053: @347147
     /* 347147 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(347252), // Rule ID 4376 //
     /* 347152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347168 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347171 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347175 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347179 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347185 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 347192 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 347192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 347199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 347214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 347219 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347241 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347246 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347251 */     // GIR_Coverage, 4376,
     /* 347251 */     GIR_EraseRootFromParent_Done,
     /* 347252 */   // Label 7054: @347252
     /* 347252 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(347356), // Rule ID 4258 //
     /* 347257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347261 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347267 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347277 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347280 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347284 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347288 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347294 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 347301 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 347301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 347308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347323 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347345 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347350 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347355 */     // GIR_Coverage, 4258,
     /* 347355 */     GIR_EraseRootFromParent_Done,
     /* 347356 */   // Label 7055: @347356
     /* 347356 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(347460), // Rule ID 4259 //
     /* 347361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347365 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347371 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347381 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347384 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347388 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347392 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347398 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 347405 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 347405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 347412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347427 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347449 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347454 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347459 */     // GIR_Coverage, 4259,
     /* 347459 */     GIR_EraseRootFromParent_Done,
     /* 347460 */   // Label 7056: @347460
     /* 347460 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(347564), // Rule ID 4366 //
     /* 347465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347469 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347475 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347485 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347488 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347492 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347496 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347502 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 347509 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 347509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 347516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347531 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347553 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347558 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347563 */     // GIR_Coverage, 4366,
     /* 347563 */     GIR_EraseRootFromParent_Done,
     /* 347564 */   // Label 7057: @347564
     /* 347564 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(347668), // Rule ID 4367 //
     /* 347569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347573 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347579 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347589 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347592 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347596 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347600 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347606 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 347613 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 347613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 347620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347635 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347657 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347662 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347667 */     // GIR_Coverage, 4367,
     /* 347667 */     GIR_EraseRootFromParent_Done,
     /* 347668 */   // Label 7058: @347668
     /* 347668 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(347768), // Rule ID 4262 //
     /* 347673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347689 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347692 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347696 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347700 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347704 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347706 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 347713 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 347713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 347720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347735 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347757 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347762 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347767 */     // GIR_Coverage, 4262,
     /* 347767 */     GIR_EraseRootFromParent_Done,
     /* 347768 */   // Label 7059: @347768
     /* 347768 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(347868), // Rule ID 4264 //
     /* 347773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347789 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347792 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347796 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347800 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347806 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 347813 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 347813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 347820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347835 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347857 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347862 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347867 */     // GIR_Coverage, 4264,
     /* 347867 */     GIR_EraseRootFromParent_Done,
     /* 347868 */   // Label 7060: @347868
     /* 347868 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(347968), // Rule ID 4370 //
     /* 347873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347889 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347892 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347896 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347900 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347904 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347906 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 347913 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 347913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 347920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347935 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347957 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347962 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347967 */     // GIR_Coverage, 4370,
     /* 347967 */     GIR_EraseRootFromParent_Done,
     /* 347968 */   // Label 7061: @347968
     /* 347968 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(348068), // Rule ID 4372 //
     /* 347973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347989 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347992 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347996 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 348000 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348004 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348006 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 348013 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 348013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 348016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 348020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 348030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 348035 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 348057 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348062 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 348067 */     // GIR_Coverage, 4372,
     /* 348067 */     GIR_EraseRootFromParent_Done,
     /* 348068 */   // Label 7062: @348068
     /* 348068 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(348181), // Rule ID 5724 //
     /* 348073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 348081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 348093 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 348097 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348102 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 348106 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348110 */     // MIs[3] Operand 1
     /* 348110 */     // No operand predicates
     /* 348110 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348114 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348116 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), (DUPi32:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), ssub:{ *:[i32] })
     /* 348116 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 348119 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi32),
     /* 348123 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348128 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 348132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 348135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 348137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 348140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 348144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 348154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 348162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 348165 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348170 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348175 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 348180 */     // GIR_Coverage, 5724,
     /* 348180 */     GIR_EraseRootFromParent_Done,
     /* 348181 */   // Label 7063: @348181
     /* 348181 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(348294), // Rule ID 5756 //
     /* 348186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 348194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 348206 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 348210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348215 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 348219 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348223 */     // MIs[3] Operand 1
     /* 348223 */     // No operand predicates
     /* 348223 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348227 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348229 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), (DUPi32:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), ssub:{ *:[i32] })
     /* 348229 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 348232 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi32),
     /* 348236 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348241 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 348245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 348248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 348250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 348253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 348257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 348267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 348275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 348278 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348283 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348288 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 348293 */     // GIR_Coverage, 5756,
     /* 348293 */     GIR_EraseRootFromParent_Done,
     /* 348294 */   // Label 7064: @348294
     /* 348294 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(348372), // Rule ID 1940 //
     /* 348299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 348302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 348318 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348335 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 348339 */     // MIs[2] Operand 1
     /* 348339 */     // No operand predicates
     /* 348339 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348343 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348347 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 348351 */     // MIs[3] Operand 1
     /* 348351 */     // No operand predicates
     /* 348351 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348353 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 348353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348358 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 348360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 348363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 348367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 348370 */     GIR_RootConstrainSelectedInstOperands,
     /* 348371 */     // GIR_Coverage, 1940,
     /* 348371 */     GIR_EraseRootFromParent_Done,
     /* 348372 */   // Label 7065: @348372
     /* 348372 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(348461), // Rule ID 5721 //
     /* 348377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 348389 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348401 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 348405 */     // MIs[2] Operand 1
     /* 348405 */     // No operand predicates
     /* 348405 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348409 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348413 */     // MIs[3] Operand 1
     /* 348413 */     // No operand predicates
     /* 348413 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348415 */     // (vector_insert:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$Rn, (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v4f32] } ZPR:{ *:[nxv4f32] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$Immn)
     /* 348415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 348418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 348422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348427 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 348433 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348438 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348448 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 348450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 348453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 348459 */     GIR_RootConstrainSelectedInstOperands,
     /* 348460 */     // GIR_Coverage, 5721,
     /* 348460 */     GIR_EraseRootFromParent_Done,
     /* 348461 */   // Label 7066: @348461
     /* 348461 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(348550), // Rule ID 5753 //
     /* 348466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 348478 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348490 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 348494 */     // MIs[2] Operand 1
     /* 348494 */     // No operand predicates
     /* 348494 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348498 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348502 */     // MIs[3] Operand 1
     /* 348502 */     // No operand predicates
     /* 348502 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348504 */     // (vector_insert:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$Rn, (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v4i32] } ZPR:{ *:[nxv4i32] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$Immn)
     /* 348504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 348507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 348511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348516 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 348522 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348527 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348537 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 348539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 348542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 348548 */     GIR_RootConstrainSelectedInstOperands,
     /* 348549 */     // GIR_Coverage, 5753,
     /* 348549 */     GIR_EraseRootFromParent_Done,
     /* 348550 */   // Label 7067: @348550
     /* 348550 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(348617), // Rule ID 5723 //
     /* 348555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 348571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348588 */     // MIs[2] Operand 1
     /* 348588 */     // No operand predicates
     /* 348588 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348592 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348596 */     // MIs[3] Operand 1
     /* 348596 */     // No operand predicates
     /* 348596 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348598 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 348598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348603 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 348605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 348608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 348612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 348615 */     GIR_RootConstrainSelectedInstOperands,
     /* 348616 */     // GIR_Coverage, 5723,
     /* 348616 */     GIR_EraseRootFromParent_Done,
     /* 348617 */   // Label 7068: @348617
     /* 348617 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(348715), // Rule ID 5725 //
     /* 348622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 348638 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348655 */     // MIs[2] Operand 1
     /* 348655 */     // No operand predicates
     /* 348655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348663 */     // MIs[3] Operand 1
     /* 348663 */     // No operand predicates
     /* 348663 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348665 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (vector_extract:{ *:[f32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 348665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 348668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348677 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 348680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 348684 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 348687 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348692 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348702 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 348704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 348707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 348713 */     GIR_RootConstrainSelectedInstOperands,
     /* 348714 */     // GIR_Coverage, 5725,
     /* 348714 */     GIR_EraseRootFromParent_Done,
     /* 348715 */   // Label 7069: @348715
     /* 348715 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(348782), // Rule ID 5755 //
     /* 348720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 348736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348753 */     // MIs[2] Operand 1
     /* 348753 */     // No operand predicates
     /* 348753 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348757 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348761 */     // MIs[3] Operand 1
     /* 348761 */     // No operand predicates
     /* 348761 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348763 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 348763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348768 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 348770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 348773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 348777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 348780 */     GIR_RootConstrainSelectedInstOperands,
     /* 348781 */     // GIR_Coverage, 5755,
     /* 348781 */     GIR_EraseRootFromParent_Done,
     /* 348782 */   // Label 7070: @348782
     /* 348782 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(348880), // Rule ID 5757 //
     /* 348787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 348803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348820 */     // MIs[2] Operand 1
     /* 348820 */     // No operand predicates
     /* 348820 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348824 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348828 */     // MIs[3] Operand 1
     /* 348828 */     // No operand predicates
     /* 348828 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348830 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 348830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 348833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348842 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 348845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 348849 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 348852 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348857 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348867 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 348869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 348872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 348878 */     GIR_RootConstrainSelectedInstOperands,
     /* 348879 */     // GIR_Coverage, 5757,
     /* 348879 */     GIR_EraseRootFromParent_Done,
     /* 348880 */   // Label 7071: @348880
     /* 348880 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(348946), // Rule ID 5679 //
     /* 348885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 348893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 348897 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 348903 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), FPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[i32] }:$Rn, ssub:{ *:[i32] })
     /* 348903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 348906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 348910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 348920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 348927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 348930 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348935 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348940 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 348945 */     // GIR_Coverage, 5679,
     /* 348945 */     GIR_EraseRootFromParent_Done,
     /* 348946 */   // Label 7072: @348946
     /* 348946 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(349012), // Rule ID 5687 //
     /* 348951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 348959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 348963 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 348969 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] })
     /* 348969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 348972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 348976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 348986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 348993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 348996 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349001 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349006 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349011 */     // GIR_Coverage, 5687,
     /* 349011 */     GIR_EraseRootFromParent_Done,
     /* 349012 */   // Label 7073: @349012
     /* 349012 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(349065), // Rule ID 5696 //
     /* 349017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 349025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 349029 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 349033 */     // MIs[1] Operand 1
     /* 349033 */     // No operand predicates
     /* 349033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 349037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349041 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 349045 */     // MIs[2] Operand 1
     /* 349045 */     // No operand predicates
     /* 349045 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349047 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (INSvi32gpr:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, WZR:{ *:[i32] })
     /* 349047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 349050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349052 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 349054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 349057 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 349063 */     GIR_RootConstrainSelectedInstOperands,
     /* 349064 */     // GIR_Coverage, 5696,
     /* 349064 */     GIR_EraseRootFromParent_Done,
     /* 349065 */   // Label 7074: @349065
     /* 349065 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(349134), // Rule ID 6441 //
     /* 349070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 349078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349082 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349085 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 349089 */     // MIs[1] Rn
     /* 349089 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 349093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 349098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 349102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349106 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 349110 */     // MIs[2] Operand 1
     /* 349110 */     // No operand predicates
     /* 349110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349112 */     // (vector_insert:{ *:[v4i32] } VecListOne128:{ *:[v4i32] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (LD1i32:{ *:[v4i32] } VecListOne128:{ *:[v4i32] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 349112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 349115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349117 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 349119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 349122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 349126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349132 */     GIR_RootConstrainSelectedInstOperands,
     /* 349133 */     // GIR_Coverage, 6441,
     /* 349133 */     GIR_EraseRootFromParent_Done,
     /* 349134 */   // Label 7075: @349134
     /* 349134 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(349203), // Rule ID 6442 //
     /* 349139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 349147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349151 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349154 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 349158 */     // MIs[1] Rn
     /* 349158 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 349162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 349167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 349171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349175 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 349179 */     // MIs[2] Operand 1
     /* 349179 */     // No operand predicates
     /* 349179 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349181 */     // (vector_insert:{ *:[v4f32] } VecListOne128:{ *:[v4f32] }:$Rd, (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (LD1i32:{ *:[v4f32] } VecListOne128:{ *:[v4f32] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 349181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 349184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349186 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 349188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 349191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 349195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349201 */     GIR_RootConstrainSelectedInstOperands,
     /* 349202 */     // GIR_Coverage, 6442,
     /* 349202 */     GIR_EraseRootFromParent_Done,
     /* 349203 */   // Label 7076: @349203
     /* 349203 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(349304), // Rule ID 5768 //
     /* 349208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 349212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 349216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 349220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 349229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349233 */     // MIs[2] Operand 1
     /* 349233 */     // No operand predicates
     /* 349233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349235 */     // (vector_insert:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$src, (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$Sn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (imm:{ *:[i64] }):$Immd, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), FPR32:{ *:[f32] }:$Sn, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 349235 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 349238 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 349242 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 349249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 349252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 349256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349261 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 349264 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 349268 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 349271 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349276 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349281 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 349289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349291 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 349293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immd
     /* 349296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349302 */     GIR_RootConstrainSelectedInstOperands,
     /* 349303 */     // GIR_Coverage, 5768,
     /* 349303 */     GIR_EraseRootFromParent_Done,
     /* 349304 */   // Label 7077: @349304
     /* 349304 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(349348), // Rule ID 1936 //
     /* 349309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 349312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 349320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 349324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 349332 */     // MIs[1] Operand 1
     /* 349332 */     // No operand predicates
     /* 349332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 349334 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (INSvi32gpr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (imm:{ *:[i64] }):$idx, GPR32:{ *:[i32] }:$Rn)
     /* 349334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 349337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349339 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 349341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 349344 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 349346 */     GIR_RootConstrainSelectedInstOperands,
     /* 349347 */     // GIR_Coverage, 1936,
     /* 349347 */     GIR_EraseRootFromParent_Done,
     /* 349348 */   // Label 7078: @349348
     /* 349348 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(349444), // Rule ID 5701 //
     /* 349353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 349365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 349373 */     // MIs[1] Operand 1
     /* 349373 */     // No operand predicates
     /* 349373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 349375 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (INSvi32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 349375 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 349378 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 349382 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 349389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 349392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 349396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349401 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 349404 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 349408 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 349411 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349416 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349421 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 349429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349431 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 349433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 349436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349442 */     GIR_RootConstrainSelectedInstOperands,
     /* 349443 */     // GIR_Coverage, 5701,
     /* 349443 */     GIR_EraseRootFromParent_Done,
     /* 349444 */   // Label 7079: @349444
     /* 349444 */   GIM_Reject,
     /* 349445 */ // Label 7046: @349445
     /* 349445 */ GIM_Reject,
     /* 349446 */ // Label 6930: @349446
     /* 349446 */ GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(351289),
     /* 349451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 349454 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(349580), // Rule ID 4200 //
     /* 349459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349473 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 349479 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 349481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349489 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349492 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349496 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 349503 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349507 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349513 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 349520 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 349520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 349523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 349527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 349542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 349547 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 349569 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349574 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 349579 */     // GIR_Coverage, 4200,
     /* 349579 */     GIR_EraseRootFromParent_Done,
     /* 349580 */   // Label 7081: @349580
     /* 349580 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(349706), // Rule ID 4201 //
     /* 349585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349599 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 349605 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 349607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349615 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349618 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349622 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 349629 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349633 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349639 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 349646 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 349646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 349649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 349653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 349668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 349673 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 349695 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349700 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 349705 */     // GIR_Coverage, 4201,
     /* 349705 */     GIR_EraseRootFromParent_Done,
     /* 349706 */   // Label 7082: @349706
     /* 349706 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(349828), // Rule ID 4206 //
     /* 349711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 349729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349737 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349740 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349744 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 349751 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349755 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349761 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 349768 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 349768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 349771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 349775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 349790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 349795 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 349817 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349822 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 349827 */     // GIR_Coverage, 4206,
     /* 349827 */     GIR_EraseRootFromParent_Done,
     /* 349828 */   // Label 7083: @349828
     /* 349828 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(349950), // Rule ID 4208 //
     /* 349833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 349851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349859 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349862 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349866 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 349873 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349877 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349883 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 349890 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 349890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 349893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 349897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 349912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 349917 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 349939 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349944 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 349949 */     // GIR_Coverage, 4208,
     /* 349949 */     GIR_EraseRootFromParent_Done,
     /* 349950 */   // Label 7084: @349950
     /* 349950 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(350071), // Rule ID 4198 //
     /* 349955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349969 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 349975 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 349977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349985 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349988 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349992 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 349999 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 350003 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 350009 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 350016 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 350016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 350019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 350023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 350033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 350038 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 350044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 350060 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350065 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 350070 */     // GIR_Coverage, 4198,
     /* 350070 */     GIR_EraseRootFromParent_Done,
     /* 350071 */   // Label 7085: @350071
     /* 350071 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(350192), // Rule ID 4199 //
     /* 350076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350090 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 350096 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 350098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 350106 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 350109 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 350113 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 350120 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 350124 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 350130 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 350137 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 350137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 350140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 350144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 350154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 350159 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 350165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 350181 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350186 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 350191 */     // GIR_Coverage, 4199,
     /* 350191 */     GIR_EraseRootFromParent_Done,
     /* 350192 */   // Label 7086: @350192
     /* 350192 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(350309), // Rule ID 4202 //
     /* 350197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 350215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 350223 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 350226 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 350230 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 350237 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 350241 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 350247 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 350254 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 350254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 350257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 350261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 350271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 350276 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 350282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 350298 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350303 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 350308 */     // GIR_Coverage, 4202,
     /* 350308 */     GIR_EraseRootFromParent_Done,
     /* 350309 */   // Label 7087: @350309
     /* 350309 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(350426), // Rule ID 4204 //
     /* 350314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 350332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 350340 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 350343 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 350347 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 350354 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 350358 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 350364 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 350371 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 350371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 350374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 350378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 350388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 350393 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 350399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 350415 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350420 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 350425 */     // GIR_Coverage, 4204,
     /* 350425 */     GIR_EraseRootFromParent_Done,
     /* 350426 */   // Label 7088: @350426
     /* 350426 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(350566), // Rule ID 5742 //
     /* 350431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 350453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 350457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 350461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 350470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350474 */     // MIs[2] Operand 1
     /* 350474 */     // No operand predicates
     /* 350474 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 350478 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350482 */     // MIs[3] Operand 1
     /* 350482 */     // No operand predicates
     /* 350482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350484 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 350484 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 350487 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350491 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350496 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 350499 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 350503 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 350506 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350511 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 350519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 350523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350528 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 350531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 350534 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 350538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 350541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350548 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 350555 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350560 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350565 */     // GIR_Coverage, 5742,
     /* 350565 */     GIR_EraseRootFromParent_Done,
     /* 350566 */   // Label 7089: @350566
     /* 350566 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(350737), // Rule ID 5743 //
     /* 350571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 350593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 350597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 350601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 350610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350614 */     // MIs[2] Operand 1
     /* 350614 */     // No operand predicates
     /* 350614 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 350618 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350622 */     // MIs[3] Operand 1
     /* 350622 */     // No operand predicates
     /* 350622 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350624 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 350624 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 350627 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350631 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350636 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 350639 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 350643 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 350646 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350651 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350656 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 350659 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350663 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350668 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 350671 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 350675 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 350678 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350683 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 350691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 350695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350700 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 350703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 350706 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 350709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 350712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350719 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 350726 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350731 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350736 */     // GIR_Coverage, 5743,
     /* 350736 */     GIR_EraseRootFromParent_Done,
     /* 350737 */   // Label 7090: @350737
     /* 350737 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(350816), // Rule ID 5666 //
     /* 350742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 350760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350764 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350770 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 350770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 350773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350782 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 350786 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 350805 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350810 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350815 */     // GIR_Coverage, 5666,
     /* 350815 */     GIR_EraseRootFromParent_Done,
     /* 350816 */   // Label 7091: @350816
     /* 350816 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(350965), // Rule ID 6458 //
     /* 350821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 350843 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 350846 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 350850 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 350857 */     // MIs[1] Rn
     /* 350857 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 350861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 350866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 350870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350874 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 350878 */     // MIs[2] Operand 1
     /* 350878 */     // No operand predicates
     /* 350878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 350880 */     // (vector_insert:{ *:[v8i8] } VecListOne64:{ *:[v8i8] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (LD1i8:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 350880 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 350883 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350887 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350892 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 350895 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 350899 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 350902 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350907 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 350915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 350919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350924 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 350927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 350930 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 350934 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 350940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350947 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 350954 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350959 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350964 */     // GIR_Coverage, 6458,
     /* 350964 */     GIR_EraseRootFromParent_Done,
     /* 350965 */   // Label 7092: @350965
     /* 350965 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(351100), // Rule ID 5705 //
     /* 350970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 350992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 351000 */     // MIs[1] Operand 1
     /* 351000 */     // No operand predicates
     /* 351000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351002 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm, GPR32:{ *:[i32] }:$Rm), dsub:{ *:[i32] })
     /* 351002 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 351005 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 351009 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 351016 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 351019 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 351023 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351028 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 351031 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 351035 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 351038 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351043 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351048 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 351056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8gpr),
     /* 351060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351065 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 351068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 351071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 351075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 351080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351082 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 351089 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351094 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351099 */     // GIR_Coverage, 5705,
     /* 351099 */     GIR_EraseRootFromParent_Done,
     /* 351100 */   // Label 7093: @351100
     /* 351100 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(351288), // Rule ID 5706 //
     /* 351105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 351108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 351123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 351127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 351135 */     // MIs[1] Operand 1
     /* 351135 */     // No operand predicates
     /* 351135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351137 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, FPR8:{ *:[i8] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm, (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), FPR8:{ *:[i8] }:$Rm, bsub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 351137 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s8,
     /* 351140 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 351144 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 351151 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s8,
     /* 351154 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 351158 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351163 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 351166 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 351170 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/1,
     /* 351173 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351178 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351183 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 351188 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 351191 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 351195 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 351202 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 351205 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 351209 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351214 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 351217 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 351221 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 351224 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351229 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351234 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 351242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 351246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351251 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 351254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 351257 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 351260 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 351263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 351268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351270 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 351277 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351282 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351287 */     // GIR_Coverage, 5706,
     /* 351287 */     GIR_EraseRootFromParent_Done,
     /* 351288 */   // Label 7094: @351288
     /* 351288 */   GIM_Reject,
     /* 351289 */ // Label 7080: @351289
     /* 351289 */ GIM_Reject,
     /* 351290 */ // Label 6931: @351290
     /* 351290 */ GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(354708),
     /* 351295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 351298 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(351424), // Rule ID 4224 //
     /* 351303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351317 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 351323 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 351325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351333 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351336 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351340 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 351347 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351351 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351357 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 351364 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 351371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351391 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351413 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351418 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351423 */     // GIR_Coverage, 4224,
     /* 351423 */     GIR_EraseRootFromParent_Done,
     /* 351424 */   // Label 7096: @351424
     /* 351424 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(351550), // Rule ID 4225 //
     /* 351429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351443 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 351449 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 351451 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351455 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351459 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351462 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351466 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 351473 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351477 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351483 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 351490 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 351497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351517 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351539 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351544 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351549 */     // GIR_Coverage, 4225,
     /* 351549 */     GIR_EraseRootFromParent_Done,
     /* 351550 */   // Label 7097: @351550
     /* 351550 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(351669), // Rule ID 4332 //
     /* 351555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 351558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351569 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 351575 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 351577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351585 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351588 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351592 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351596 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351602 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 351609 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 351616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351636 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351658 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351663 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351668 */     // GIR_Coverage, 4332,
     /* 351668 */     GIR_EraseRootFromParent_Done,
     /* 351669 */   // Label 7098: @351669
     /* 351669 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(351788), // Rule ID 4333 //
     /* 351674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 351677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351688 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 351694 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 351696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351704 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351707 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351711 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351715 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351721 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 351728 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 351735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351755 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351777 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351782 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351787 */     // GIR_Coverage, 4333,
     /* 351787 */     GIR_EraseRootFromParent_Done,
     /* 351788 */   // Label 7099: @351788
     /* 351788 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(351910), // Rule ID 4230 //
     /* 351793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 351811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351819 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351822 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351826 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 351833 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351837 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351843 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 351850 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 351857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351877 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351899 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351904 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351909 */     // GIR_Coverage, 4230,
     /* 351909 */     GIR_EraseRootFromParent_Done,
     /* 351910 */   // Label 7100: @351910
     /* 351910 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(352032), // Rule ID 4232 //
     /* 351915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 351933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351941 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351944 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351948 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 351955 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351959 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351965 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 351972 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 351979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351999 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352021 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352026 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352031 */     // GIR_Coverage, 4232,
     /* 352031 */     GIR_EraseRootFromParent_Done,
     /* 352032 */   // Label 7101: @352032
     /* 352032 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(352147), // Rule ID 4338 //
     /* 352037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 352040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 352055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352063 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352066 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352070 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352074 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352080 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 352087 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 352087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 352094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 352109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 352114 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352136 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352141 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352146 */     // GIR_Coverage, 4338,
     /* 352146 */     GIR_EraseRootFromParent_Done,
     /* 352147 */   // Label 7102: @352147
     /* 352147 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(352262), // Rule ID 4340 //
     /* 352152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 352155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 352170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352178 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352181 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352185 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352189 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352195 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 352202 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 352202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 352209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 352224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 352229 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352251 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352256 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352261 */     // GIR_Coverage, 4340,
     /* 352261 */     GIR_EraseRootFromParent_Done,
     /* 352262 */   // Label 7103: @352262
     /* 352262 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(352383), // Rule ID 4222 //
     /* 352267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352281 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 352287 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 352289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352297 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352300 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352304 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 352311 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352315 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352319 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352321 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 352328 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 352328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 352335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352350 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352372 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352377 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352382 */     // GIR_Coverage, 4222,
     /* 352382 */     GIR_EraseRootFromParent_Done,
     /* 352383 */   // Label 7104: @352383
     /* 352383 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(352504), // Rule ID 4223 //
     /* 352388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352402 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 352408 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 352410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352418 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352421 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352425 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 352432 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352436 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352440 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352442 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 352449 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 352449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 352456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352471 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352493 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352498 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352503 */     // GIR_Coverage, 4223,
     /* 352503 */     GIR_EraseRootFromParent_Done,
     /* 352504 */   // Label 7105: @352504
     /* 352504 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(352618), // Rule ID 4330 //
     /* 352509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 352512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352523 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 352529 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 352531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352539 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352542 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352546 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352550 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352556 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 352563 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 352563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 352570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352585 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352607 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352612 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352617 */     // GIR_Coverage, 4330,
     /* 352617 */     GIR_EraseRootFromParent_Done,
     /* 352618 */   // Label 7106: @352618
     /* 352618 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(352732), // Rule ID 4331 //
     /* 352623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 352626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352637 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 352643 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 352645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352653 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352656 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352660 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352670 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 352677 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 352677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 352684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352699 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352721 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352726 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352731 */     // GIR_Coverage, 4331,
     /* 352731 */     GIR_EraseRootFromParent_Done,
     /* 352732 */   // Label 7107: @352732
     /* 352732 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(352849), // Rule ID 4226 //
     /* 352737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 352755 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352759 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352763 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352766 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352770 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 352777 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352781 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352785 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352787 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 352794 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 352794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 352801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352816 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352838 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352843 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352848 */     // GIR_Coverage, 4226,
     /* 352848 */     GIR_EraseRootFromParent_Done,
     /* 352849 */   // Label 7108: @352849
     /* 352849 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(352966), // Rule ID 4228 //
     /* 352854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 352872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352880 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352883 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352887 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 352894 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352898 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352904 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 352911 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 352911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 352918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352933 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352955 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352960 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352965 */     // GIR_Coverage, 4228,
     /* 352965 */     GIR_EraseRootFromParent_Done,
     /* 352966 */   // Label 7109: @352966
     /* 352966 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(353076), // Rule ID 4334 //
     /* 352971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 352974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 352989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352997 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 353000 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 353004 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 353008 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353012 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353014 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 353021 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 353021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 353024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 353028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 353038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 353043 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 353049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 353054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 353065 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353070 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 353075 */     // GIR_Coverage, 4334,
     /* 353075 */     GIR_EraseRootFromParent_Done,
     /* 353076 */   // Label 7110: @353076
     /* 353076 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(353186), // Rule ID 4336 //
     /* 353081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 353084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 353099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 353107 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 353110 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 353114 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 353118 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353124 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 353131 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 353131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 353134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 353138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 353148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 353153 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 353159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 353164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 353175 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353180 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 353185 */     // GIR_Coverage, 4336,
     /* 353185 */     GIR_EraseRootFromParent_Done,
     /* 353186 */   // Label 7111: @353186
     /* 353186 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(353309), // Rule ID 5716 //
     /* 353191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 353194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 353209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 353221 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 353225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353230 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 353234 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353238 */     // MIs[3] Operand 1
     /* 353238 */     // No operand predicates
     /* 353238 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353242 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353244 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), (DUPi16:{ *:[i16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), hsub:{ *:[i32] })
     /* 353244 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 353247 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi16),
     /* 353251 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353256 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 353260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 353263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 353265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 353268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 353272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 353282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 353290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 353293 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353298 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353303 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 353308 */     // GIR_Coverage, 5716,
     /* 353308 */     GIR_EraseRootFromParent_Done,
     /* 353309 */   // Label 7112: @353309
     /* 353309 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(353432), // Rule ID 5748 //
     /* 353314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 353317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 353332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 353344 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 353348 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353353 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 353357 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353361 */     // MIs[3] Operand 1
     /* 353361 */     // No operand predicates
     /* 353361 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353365 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353367 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), (DUPi16:{ *:[i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), hsub:{ *:[i32] })
     /* 353367 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 353370 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi16),
     /* 353374 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353379 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 353383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 353386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 353388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 353391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 353395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 353405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 353413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 353416 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353421 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353426 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 353431 */     // GIR_Coverage, 5748,
     /* 353431 */     GIR_EraseRootFromParent_Done,
     /* 353432 */   // Label 7113: @353432
     /* 353432 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(353520), // Rule ID 1939 //
     /* 353437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 353440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 353443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 353466 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353483 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 353487 */     // MIs[2] Operand 1
     /* 353487 */     // No operand predicates
     /* 353487 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353491 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353495 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 353499 */     // MIs[3] Operand 1
     /* 353499 */     // No operand predicates
     /* 353499 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353501 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 353501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353506 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 353508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 353511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 353515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 353518 */     GIR_RootConstrainSelectedInstOperands,
     /* 353519 */     // GIR_Coverage, 1939,
     /* 353519 */     GIR_EraseRootFromParent_Done,
     /* 353520 */   // Label 7114: @353520
     /* 353520 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(353619), // Rule ID 5713 //
     /* 353525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 353528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 353547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353559 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 353563 */     // MIs[2] Operand 1
     /* 353563 */     // No operand predicates
     /* 353563 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353567 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353571 */     // MIs[3] Operand 1
     /* 353571 */     // No operand predicates
     /* 353571 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353573 */     // (vector_insert:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$Rn, (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v8f16] } ZPR:{ *:[nxv8f16] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$Immn)
     /* 353573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 353576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 353580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353585 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 353591 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353596 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353606 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 353608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 353611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 353617 */     GIR_RootConstrainSelectedInstOperands,
     /* 353618 */     // GIR_Coverage, 5713,
     /* 353618 */     GIR_EraseRootFromParent_Done,
     /* 353619 */   // Label 7115: @353619
     /* 353619 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(353718), // Rule ID 5745 //
     /* 353624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 353627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 353646 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353658 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 353662 */     // MIs[2] Operand 1
     /* 353662 */     // No operand predicates
     /* 353662 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353666 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353670 */     // MIs[3] Operand 1
     /* 353670 */     // No operand predicates
     /* 353670 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353672 */     // (vector_insert:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$Rn, (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$Immn)
     /* 353672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 353675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 353679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353684 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 353690 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353695 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353705 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 353707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 353710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 353716 */     GIR_RootConstrainSelectedInstOperands,
     /* 353717 */     // GIR_Coverage, 5745,
     /* 353717 */     GIR_EraseRootFromParent_Done,
     /* 353718 */   // Label 7116: @353718
     /* 353718 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(353795), // Rule ID 5715 //
     /* 353723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 353726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 353749 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353766 */     // MIs[2] Operand 1
     /* 353766 */     // No operand predicates
     /* 353766 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353770 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353774 */     // MIs[3] Operand 1
     /* 353774 */     // No operand predicates
     /* 353774 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353776 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 353776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353781 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 353783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 353786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 353790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 353793 */     GIR_RootConstrainSelectedInstOperands,
     /* 353794 */     // GIR_Coverage, 5715,
     /* 353794 */     GIR_EraseRootFromParent_Done,
     /* 353795 */   // Label 7117: @353795
     /* 353795 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(353903), // Rule ID 5717 //
     /* 353800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 353803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 353826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 353835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353843 */     // MIs[2] Operand 1
     /* 353843 */     // No operand predicates
     /* 353843 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353847 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353851 */     // MIs[3] Operand 1
     /* 353851 */     // No operand predicates
     /* 353851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353853 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (vector_extract:{ *:[f16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 353853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 353856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 353860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353865 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 353868 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 353872 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 353875 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353880 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 353885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353890 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 353892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 353895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 353901 */     GIR_RootConstrainSelectedInstOperands,
     /* 353902 */     // GIR_Coverage, 5717,
     /* 353902 */     GIR_EraseRootFromParent_Done,
     /* 353903 */   // Label 7118: @353903
     /* 353903 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(353980), // Rule ID 5747 //
     /* 353908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 353911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 353934 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353951 */     // MIs[2] Operand 1
     /* 353951 */     // No operand predicates
     /* 353951 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353955 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353959 */     // MIs[3] Operand 1
     /* 353959 */     // No operand predicates
     /* 353959 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353961 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 353961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353966 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 353968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 353971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 353975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 353978 */     GIR_RootConstrainSelectedInstOperands,
     /* 353979 */     // GIR_Coverage, 5747,
     /* 353979 */     GIR_EraseRootFromParent_Done,
     /* 353980 */   // Label 7119: @353980
     /* 353980 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(354088), // Rule ID 5749 //
     /* 353985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 353988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 354003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 354007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 354011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 354015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 354024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 354028 */     // MIs[2] Operand 1
     /* 354028 */     // No operand predicates
     /* 354028 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 354032 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 354036 */     // MIs[3] Operand 1
     /* 354036 */     // No operand predicates
     /* 354036 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 354038 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 354038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 354041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354050 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 354053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 354057 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 354060 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354065 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 354073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354075 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 354077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 354080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 354086 */     GIR_RootConstrainSelectedInstOperands,
     /* 354087 */     // GIR_Coverage, 5749,
     /* 354087 */     GIR_EraseRootFromParent_Done,
     /* 354088 */   // Label 7120: @354088
     /* 354088 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(354167), // Rule ID 5669 //
     /* 354093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 354096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 354111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 354115 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 354121 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 354121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 354124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 354128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 354137 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 354142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 354156 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354161 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 354166 */     // GIR_Coverage, 5669,
     /* 354166 */     GIR_EraseRootFromParent_Done,
     /* 354167 */   // Label 7121: @354167
     /* 354167 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(354243), // Rule ID 5675 //
     /* 354172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 354175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 354190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 354194 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 354200 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 354200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 354203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 354207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 354217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 354224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 354227 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354232 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354237 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 354242 */     // GIR_Coverage, 5675,
     /* 354242 */     GIR_EraseRootFromParent_Done,
     /* 354243 */   // Label 7122: @354243
     /* 354243 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(354319), // Rule ID 5685 //
     /* 354248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 354251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 354266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 354270 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 354276 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 354276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 354279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 354283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 354293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 354300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 354303 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354308 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354313 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 354318 */     // GIR_Coverage, 5685,
     /* 354318 */     GIR_EraseRootFromParent_Done,
     /* 354319 */   // Label 7123: @354319
     /* 354319 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(354382), // Rule ID 5694 //
     /* 354324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 354327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 354342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 354346 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 354350 */     // MIs[1] Operand 1
     /* 354350 */     // No operand predicates
     /* 354350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 354354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 354358 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 354362 */     // MIs[2] Operand 1
     /* 354362 */     // No operand predicates
     /* 354362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354364 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (INSvi16gpr:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, WZR:{ *:[i32] })
     /* 354364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 354367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354369 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 354371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 354374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 354380 */     GIR_RootConstrainSelectedInstOperands,
     /* 354381 */     // GIR_Coverage, 5694,
     /* 354381 */     GIR_EraseRootFromParent_Done,
     /* 354382 */   // Label 7124: @354382
     /* 354382 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(354468), // Rule ID 6440 //
     /* 354387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 354390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 354405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354409 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354412 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 354416 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 354423 */     // MIs[1] Rn
     /* 354423 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 354427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 354432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 354436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 354440 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 354444 */     // MIs[2] Operand 1
     /* 354444 */     // No operand predicates
     /* 354444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354446 */     // (vector_insert:{ *:[v8i16] } VecListOne128:{ *:[v8i16] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (LD1i16:{ *:[v8i16] } VecListOne128:{ *:[v8i16] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 354446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 354449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354451 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 354453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 354456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 354460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354466 */     GIR_RootConstrainSelectedInstOperands,
     /* 354467 */     // GIR_Coverage, 6440,
     /* 354467 */     GIR_EraseRootFromParent_Done,
     /* 354468 */   // Label 7125: @354468
     /* 354468 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(354547), // Rule ID 6445 //
     /* 354473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 354476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 354491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354495 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354498 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 354502 */     // MIs[1] Rn
     /* 354502 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 354506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 354511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 354515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 354519 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 354523 */     // MIs[2] Operand 1
     /* 354523 */     // No operand predicates
     /* 354523 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354525 */     // (vector_insert:{ *:[v8f16] } VecListOne128:{ *:[v8f16] }:$Rd, (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (LD1i16:{ *:[v8f16] } VecListOne128:{ *:[v8f16] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 354525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 354528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354530 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 354532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 354535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 354539 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354545 */     GIR_RootConstrainSelectedInstOperands,
     /* 354546 */     // GIR_Coverage, 6445,
     /* 354546 */     GIR_EraseRootFromParent_Done,
     /* 354547 */   // Label 7126: @354547
     /* 354547 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(354601), // Rule ID 1935 //
     /* 354552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 354555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 354558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 354573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 354577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 354581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 354585 */     // MIs[1] Operand 1
     /* 354585 */     // No operand predicates
     /* 354585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 354587 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (INSvi16gpr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (imm:{ *:[i64] }):$idx, GPR32:{ *:[i32] }:$Rn)
     /* 354587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 354590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354592 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 354594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 354597 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 354599 */     GIR_RootConstrainSelectedInstOperands,
     /* 354600 */     // GIR_Coverage, 1935,
     /* 354600 */     GIR_EraseRootFromParent_Done,
     /* 354601 */   // Label 7127: @354601
     /* 354601 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(354707), // Rule ID 5699 //
     /* 354606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 354609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 354624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 354628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 354632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 354636 */     // MIs[1] Operand 1
     /* 354636 */     // No operand predicates
     /* 354636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 354638 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (INSvi16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 354638 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 354641 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 354645 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 354652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 354655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 354659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354664 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 354667 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 354671 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 354674 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354679 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354684 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 354689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 354692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354694 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 354696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 354699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354705 */     GIR_RootConstrainSelectedInstOperands,
     /* 354706 */     // GIR_Coverage, 5699,
     /* 354706 */     GIR_EraseRootFromParent_Done,
     /* 354707 */   // Label 7128: @354707
     /* 354707 */   GIM_Reject,
     /* 354708 */ // Label 7095: @354708
     /* 354708 */ GIM_Reject,
     /* 354709 */ // Label 6932: @354709
     /* 354709 */ GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(356510),
     /* 354714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 354717 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(354843), // Rule ID 4188 //
     /* 354722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 354725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354736 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 354742 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 354744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354752 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354755 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354759 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 354766 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354770 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354776 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 354783 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 354783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 354786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 354790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 354805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 354810 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 354832 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354837 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 354842 */     // GIR_Coverage, 4188,
     /* 354842 */     GIR_EraseRootFromParent_Done,
     /* 354843 */   // Label 7130: @354843
     /* 354843 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(354969), // Rule ID 4189 //
     /* 354848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 354851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354862 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 354868 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 354870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354878 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354881 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354885 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 354892 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354896 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354900 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354902 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 354909 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 354909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 354912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 354916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 354931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 354936 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 354958 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354963 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 354968 */     // GIR_Coverage, 4189,
     /* 354968 */     GIR_EraseRootFromParent_Done,
     /* 354969 */   // Label 7131: @354969
     /* 354969 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(355091), // Rule ID 4194 //
     /* 354974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 354977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 354992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355000 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355003 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355007 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 355014 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355018 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355024 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 355031 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 355031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 355034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 355038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 355053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 355058 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355080 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355085 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355090 */     // GIR_Coverage, 4194,
     /* 355090 */     GIR_EraseRootFromParent_Done,
     /* 355091 */   // Label 7132: @355091
     /* 355091 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(355213), // Rule ID 4196 //
     /* 355096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 355114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355122 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355125 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355129 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 355136 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355140 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355146 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 355153 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 355153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 355156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 355160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 355175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 355180 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355202 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355207 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355212 */     // GIR_Coverage, 4196,
     /* 355212 */     GIR_EraseRootFromParent_Done,
     /* 355213 */   // Label 7133: @355213
     /* 355213 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(355334), // Rule ID 4186 //
     /* 355218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355232 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 355238 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 355240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355248 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355251 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355255 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 355262 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355266 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355272 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 355279 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 355279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 355282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 355286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 355301 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355323 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355328 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355333 */     // GIR_Coverage, 4186,
     /* 355333 */     GIR_EraseRootFromParent_Done,
     /* 355334 */   // Label 7134: @355334
     /* 355334 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(355455), // Rule ID 4187 //
     /* 355339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355353 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 355359 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 355361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355369 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355372 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355376 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 355383 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355387 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355391 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355393 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 355400 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 355400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 355403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 355407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 355422 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355444 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355449 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355454 */     // GIR_Coverage, 4187,
     /* 355454 */     GIR_EraseRootFromParent_Done,
     /* 355455 */   // Label 7135: @355455
     /* 355455 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(355572), // Rule ID 4190 //
     /* 355460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 355478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355486 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355489 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355493 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 355500 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355504 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355510 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 355517 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 355517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 355520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 355524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 355539 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355561 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355566 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355571 */     // GIR_Coverage, 4190,
     /* 355571 */     GIR_EraseRootFromParent_Done,
     /* 355572 */   // Label 7136: @355572
     /* 355572 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(355689), // Rule ID 4192 //
     /* 355577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 355595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355603 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355606 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355610 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 355617 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355621 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355627 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 355634 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 355634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 355637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 355641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 355656 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355678 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355683 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355688 */     // GIR_Coverage, 4192,
     /* 355688 */     GIR_EraseRootFromParent_Done,
     /* 355689 */   // Label 7137: @355689
     /* 355689 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(355812), // Rule ID 5740 //
     /* 355694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 355712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 355720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 355724 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 355728 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355733 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 355737 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355741 */     // MIs[3] Operand 1
     /* 355741 */     // No operand predicates
     /* 355741 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355745 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355747 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (DUPi8:{ *:[i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), bsub:{ *:[i32] })
     /* 355747 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s8,
     /* 355750 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi8),
     /* 355754 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355759 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 355763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 355766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 355768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 355771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 355775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 355785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 355793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355796 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355801 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355806 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355811 */     // GIR_Coverage, 5740,
     /* 355811 */     GIR_EraseRootFromParent_Done,
     /* 355812 */   // Label 7138: @355812
     /* 355812 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(355900), // Rule ID 1938 //
     /* 355817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 355820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 355838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 355842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 355846 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 355850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 355859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355863 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 355867 */     // MIs[2] Operand 1
     /* 355867 */     // No operand predicates
     /* 355867 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 355871 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355875 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 355879 */     // MIs[3] Operand 1
     /* 355879 */     // No operand predicates
     /* 355879 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355881 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 355881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 355884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355886 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 355888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 355891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 355895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 355898 */     GIR_RootConstrainSelectedInstOperands,
     /* 355899 */     // GIR_Coverage, 1938,
     /* 355899 */     GIR_EraseRootFromParent_Done,
     /* 355900 */   // Label 7139: @355900
     /* 355900 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(355999), // Rule ID 5737 //
     /* 355905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 355919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 355923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 355927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 355931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 355935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355939 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 355943 */     // MIs[2] Operand 1
     /* 355943 */     // No operand predicates
     /* 355943 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 355947 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355951 */     // MIs[3] Operand 1
     /* 355951 */     // No operand predicates
     /* 355951 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355953 */     // (vector_insert:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$Rn, (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi8lane:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$Immn)
     /* 355953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 355956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 355960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355965 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 355971 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355976 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 355981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 355984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355986 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 355988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 355991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 355997 */     GIR_RootConstrainSelectedInstOperands,
     /* 355998 */     // GIR_Coverage, 5737,
     /* 355998 */     GIR_EraseRootFromParent_Done,
     /* 355999 */   // Label 7140: @355999
     /* 355999 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(356076), // Rule ID 5739 //
     /* 356004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 356007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 356022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 356026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 356030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 356034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 356043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 356047 */     // MIs[2] Operand 1
     /* 356047 */     // No operand predicates
     /* 356047 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 356051 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 356055 */     // MIs[3] Operand 1
     /* 356055 */     // No operand predicates
     /* 356055 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 356057 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 356057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 356060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356062 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 356064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 356067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 356071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 356074 */     GIR_RootConstrainSelectedInstOperands,
     /* 356075 */     // GIR_Coverage, 5739,
     /* 356075 */     GIR_EraseRootFromParent_Done,
     /* 356076 */   // Label 7141: @356076
     /* 356076 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(356184), // Rule ID 5741 //
     /* 356081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 356084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 356099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 356103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 356107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 356111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 356120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 356124 */     // MIs[2] Operand 1
     /* 356124 */     // No operand predicates
     /* 356124 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 356128 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 356132 */     // MIs[3] Operand 1
     /* 356132 */     // No operand predicates
     /* 356132 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 356134 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 356134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 356137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356146 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 356149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 356153 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 356156 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356161 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 356169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356171 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 356173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 356176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 356182 */     GIR_RootConstrainSelectedInstOperands,
     /* 356183 */     // GIR_Coverage, 5741,
     /* 356183 */     GIR_EraseRootFromParent_Done,
     /* 356184 */   // Label 7142: @356184
     /* 356184 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(356263), // Rule ID 5664 //
     /* 356189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 356192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 356207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 356211 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 356217 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 356217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 356220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 356224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 356233 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 356252 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356257 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356262 */     // GIR_Coverage, 5664,
     /* 356262 */     GIR_EraseRootFromParent_Done,
     /* 356263 */   // Label 7143: @356263
     /* 356263 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(356349), // Rule ID 6439 //
     /* 356268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 356271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 356286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356290 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356293 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 356297 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 356304 */     // MIs[1] Rn
     /* 356304 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 356308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 356313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 356317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 356321 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 356325 */     // MIs[2] Operand 1
     /* 356325 */     // No operand predicates
     /* 356325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356327 */     // (vector_insert:{ *:[v16i8] } VecListOne128:{ *:[v16i8] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (LD1i8:{ *:[v16i8] } VecListOne128:{ *:[v16i8] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 356327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 356330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356332 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 356334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 356337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 356341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356347 */     GIR_RootConstrainSelectedInstOperands,
     /* 356348 */     // GIR_Coverage, 6439,
     /* 356348 */     GIR_EraseRootFromParent_Done,
     /* 356349 */   // Label 7144: @356349
     /* 356349 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(356403), // Rule ID 1934 //
     /* 356354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 356357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 356360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 356375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 356379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 356383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 356387 */     // MIs[1] Operand 1
     /* 356387 */     // No operand predicates
     /* 356387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 356389 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (INSvi8gpr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (imm:{ *:[i64] }):$idx, GPR32:{ *:[i32] }:$Rn)
     /* 356389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8gpr),
     /* 356392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356394 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 356396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 356399 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 356401 */     GIR_RootConstrainSelectedInstOperands,
     /* 356402 */     // GIR_Coverage, 1934,
     /* 356402 */     GIR_EraseRootFromParent_Done,
     /* 356403 */   // Label 7145: @356403
     /* 356403 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(356509), // Rule ID 5707 //
     /* 356408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 356411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 356426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 356430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 356434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 356438 */     // MIs[1] Operand 1
     /* 356438 */     // No operand predicates
     /* 356438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 356440 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, FPR8:{ *:[i8] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm, (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), FPR8:{ *:[i8] }:$Rm, bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 356440 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 356443 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 356447 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 356454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 356457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 356461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356466 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 356469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 356473 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 356476 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356481 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356486 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 356491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 356494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356496 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 356498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 356501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356507 */     GIR_RootConstrainSelectedInstOperands,
     /* 356508 */     // GIR_Coverage, 5707,
     /* 356508 */     GIR_EraseRootFromParent_Done,
     /* 356509 */   // Label 7146: @356509
     /* 356509 */   GIM_Reject,
     /* 356510 */ // Label 7129: @356510
     /* 356510 */ GIM_Reject,
     /* 356511 */ // Label 6933: @356511
     /* 356511 */ GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(356635), // Rule ID 11182 //
     /* 356516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 356519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 356522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 356525 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 356536 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 356540 */   // (vector_insert:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$vec, FPR16:{ *:[f16] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_H:{ *:[nxv2f16] } ZPR:{ *:[nxv2f16] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$index)), ?:{ *:[f16] }:$src)
     /* 356540 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 356543 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 356547 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356552 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 356556 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 356558 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 356561 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 356565 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356570 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 356573 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 356576 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 356578 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 356581 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 356585 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356590 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 356593 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 356595 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 356598 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 356602 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356607 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 356610 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 356613 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 356616 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 356619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_H),
     /* 356624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 356626 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 356628 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356631 */   GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 356633 */   GIR_RootConstrainSelectedInstOperands,
     /* 356634 */   // GIR_Coverage, 11182,
     /* 356634 */   GIR_EraseRootFromParent_Done,
     /* 356635 */ // Label 7147: @356635
     /* 356635 */ GIM_Reject,
     /* 356636 */ // Label 6934: @356636
     /* 356636 */ GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(356760), // Rule ID 11185 //
     /* 356641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 356644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 356647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 356650 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356661 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 356665 */   // (vector_insert:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$vec, FPR32:{ *:[f32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_S:{ *:[nxv2f32] } ZPR:{ *:[nxv2f32] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$index)), ?:{ *:[f32] }:$src)
     /* 356665 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 356668 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 356672 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356677 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 356681 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 356683 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 356686 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 356690 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356695 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 356698 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 356701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 356703 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 356706 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 356710 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356715 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 356718 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 356720 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 356723 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 356727 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356732 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 356735 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 356738 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 356741 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 356744 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_S),
     /* 356749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 356751 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 356753 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356756 */   GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 356758 */   GIR_RootConstrainSelectedInstOperands,
     /* 356759 */   // GIR_Coverage, 11185,
     /* 356759 */   GIR_EraseRootFromParent_Done,
     /* 356760 */ // Label 7148: @356760
     /* 356760 */ GIM_Reject,
     /* 356761 */ // Label 6935: @356761
     /* 356761 */ GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(358738),
     /* 356766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 356769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 356772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356779 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(356888), // Rule ID 4320 //
     /* 356784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356788 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 356794 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 356796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356804 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356807 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356811 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356815 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356819 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356821 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 356828 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 356828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 356831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 356835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 356850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 356855 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 356877 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356882 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356887 */     // GIR_Coverage, 4320,
     /* 356887 */     GIR_EraseRootFromParent_Done,
     /* 356888 */   // Label 7150: @356888
     /* 356888 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(356997), // Rule ID 4321 //
     /* 356893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356897 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 356903 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 356905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356913 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356916 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356920 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356924 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356928 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356930 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 356937 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 356937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 356940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 356944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 356959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 356964 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 356986 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356991 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356996 */     // GIR_Coverage, 4321,
     /* 356996 */     GIR_EraseRootFromParent_Done,
     /* 356997 */   // Label 7151: @356997
     /* 356997 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(357106), // Rule ID 4428 //
     /* 357002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357006 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357012 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357022 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357025 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357029 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357033 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357039 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 357046 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 357046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 357053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357073 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357095 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357100 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357105 */     // GIR_Coverage, 4428,
     /* 357105 */     GIR_EraseRootFromParent_Done,
     /* 357106 */   // Label 7152: @357106
     /* 357106 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(357215), // Rule ID 4429 //
     /* 357111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357115 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357121 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357131 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357134 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357138 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357142 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357148 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 357155 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 357155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 357162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357182 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357204 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357209 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357214 */     // GIR_Coverage, 4429,
     /* 357214 */     GIR_EraseRootFromParent_Done,
     /* 357215 */   // Label 7153: @357215
     /* 357215 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(357320), // Rule ID 4326 //
     /* 357220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 357228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357236 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357239 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357243 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357247 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357253 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 357260 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 357260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 357267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357287 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357309 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357314 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357319 */     // GIR_Coverage, 4326,
     /* 357319 */     GIR_EraseRootFromParent_Done,
     /* 357320 */   // Label 7154: @357320
     /* 357320 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(357425), // Rule ID 4328 //
     /* 357325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 357333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357341 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357344 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357348 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357352 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357358 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 357365 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 357365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 357372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357392 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357414 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357419 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357424 */     // GIR_Coverage, 4328,
     /* 357424 */     GIR_EraseRootFromParent_Done,
     /* 357425 */   // Label 7155: @357425
     /* 357425 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(357530), // Rule ID 4434 //
     /* 357430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 357438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357446 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357449 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357453 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357457 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357463 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 357470 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 357470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 357477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357497 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357519 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357524 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357529 */     // GIR_Coverage, 4434,
     /* 357529 */     GIR_EraseRootFromParent_Done,
     /* 357530 */   // Label 7156: @357530
     /* 357530 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(357635), // Rule ID 4436 //
     /* 357535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 357543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357551 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357554 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357558 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357562 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357568 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 357575 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 357575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 357582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357602 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357624 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357629 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357634 */     // GIR_Coverage, 4436,
     /* 357634 */     GIR_EraseRootFromParent_Done,
     /* 357635 */   // Label 7157: @357635
     /* 357635 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(357739), // Rule ID 4318 //
     /* 357640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357644 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357650 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357660 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357663 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357667 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357671 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357675 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357677 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 357684 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 357684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 357691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 357706 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357728 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357733 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357738 */     // GIR_Coverage, 4318,
     /* 357738 */     GIR_EraseRootFromParent_Done,
     /* 357739 */   // Label 7158: @357739
     /* 357739 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(357843), // Rule ID 4319 //
     /* 357744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357748 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357754 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357764 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357767 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357771 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357775 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357781 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 357788 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 357788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 357795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 357810 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357832 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357837 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357842 */     // GIR_Coverage, 4319,
     /* 357842 */     GIR_EraseRootFromParent_Done,
     /* 357843 */   // Label 7159: @357843
     /* 357843 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(357947), // Rule ID 4426 //
     /* 357848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357852 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357858 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357868 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357871 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357875 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357879 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357885 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 357892 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 357892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 357899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 357914 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357936 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357941 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357946 */     // GIR_Coverage, 4426,
     /* 357946 */     GIR_EraseRootFromParent_Done,
     /* 357947 */   // Label 7160: @357947
     /* 357947 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(358051), // Rule ID 4427 //
     /* 357952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357956 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357962 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357972 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357975 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357979 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357983 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357989 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 357996 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 357996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 358003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358018 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 358040 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358045 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358050 */     // GIR_Coverage, 4427,
     /* 358050 */     GIR_EraseRootFromParent_Done,
     /* 358051 */   // Label 7161: @358051
     /* 358051 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(358151), // Rule ID 4322 //
     /* 358056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 358064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358072 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358075 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358079 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358083 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358089 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 358096 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 358096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 358099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 358103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358118 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 358140 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358145 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358150 */     // GIR_Coverage, 4322,
     /* 358150 */     GIR_EraseRootFromParent_Done,
     /* 358151 */   // Label 7162: @358151
     /* 358151 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(358251), // Rule ID 4324 //
     /* 358156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 358164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358172 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358175 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358179 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358183 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358189 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 358196 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 358196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 358199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 358203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358218 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 358240 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358245 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358250 */     // GIR_Coverage, 4324,
     /* 358250 */     GIR_EraseRootFromParent_Done,
     /* 358251 */   // Label 7163: @358251
     /* 358251 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(358351), // Rule ID 4430 //
     /* 358256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 358264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358272 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358275 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358279 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358283 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358287 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358289 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 358296 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 358296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 358299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 358303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358318 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 358340 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358345 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358350 */     // GIR_Coverage, 4430,
     /* 358350 */     GIR_EraseRootFromParent_Done,
     /* 358351 */   // Label 7164: @358351
     /* 358351 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(358451), // Rule ID 4432 //
     /* 358356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 358364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358372 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358375 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358379 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358383 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358389 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 358396 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 358396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 358399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 358403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358418 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 358440 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358445 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358450 */     // GIR_Coverage, 4432,
     /* 358450 */     GIR_EraseRootFromParent_Done,
     /* 358451 */   // Label 7165: @358451
     /* 358451 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(358515), // Rule ID 11240 //
     /* 358456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 358459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 358467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 358475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 358479 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 358483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 358487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 358491 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 358495 */     // MIs[3] Operand 1
     /* 358495 */     // No operand predicates
     /* 358495 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358499 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 358501 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$Idx), 0:{ *:[i64] })  =>  (DUP_ZZI_D:{ *:[nxv2i64] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$Idx)
     /* 358501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 358504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 358506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // vec
     /* 358510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Idx
     /* 358513 */     GIR_RootConstrainSelectedInstOperands,
     /* 358514 */     // GIR_Coverage, 11240,
     /* 358514 */     GIR_EraseRootFromParent_Done,
     /* 358515 */   // Label 7166: @358515
     /* 358515 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(358626), // Rule ID 11181 //
     /* 358520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 358523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 358527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 358531 */     // (vector_insert:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$vec, GPR64:{ *:[i64] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_D:{ *:[nxv2i64] } ZPR:{ *:[nxv2i64] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$index)), GPR64:{ *:[i64] }:$src)
     /* 358531 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 358534 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 358538 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358543 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 358547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 358549 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 358552 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 358556 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358561 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 358564 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 358567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 358569 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 358572 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 358576 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358581 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 358584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 358586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 358589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 358593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358598 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 358601 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 358604 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 358607 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 358610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_D),
     /* 358615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 358617 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 358619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358622 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 358624 */     GIR_RootConstrainSelectedInstOperands,
     /* 358625 */     // GIR_Coverage, 11181,
     /* 358625 */     GIR_EraseRootFromParent_Done,
     /* 358626 */   // Label 7167: @358626
     /* 358626 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(358737), // Rule ID 11187 //
     /* 358631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 358634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 358642 */     // (vector_insert:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$vec, FPR64:{ *:[f64] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_D:{ *:[nxv2f64] } ZPR:{ *:[nxv2f64] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } ?:{ *:[i64] }:$index)), ?:{ *:[f64] }:$src)
     /* 358642 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 358645 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 358649 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358654 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 358658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 358660 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 358663 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 358667 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358672 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 358675 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 358678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 358680 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 358683 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 358687 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358692 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 358695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 358697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 358700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 358704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358709 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 358712 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 358715 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 358718 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 358721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_D),
     /* 358726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 358728 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 358730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358733 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 358735 */     GIR_RootConstrainSelectedInstOperands,
     /* 358736 */     // GIR_Coverage, 11187,
     /* 358736 */     GIR_EraseRootFromParent_Done,
     /* 358737 */   // Label 7168: @358737
     /* 358737 */   GIM_Reject,
     /* 358738 */ // Label 7149: @358738
     /* 358738 */ GIM_Reject,
     /* 358739 */ // Label 6936: @358739
     /* 358739 */ GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(358890), // Rule ID 11183 //
     /* 358744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 358747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 358750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 358753 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 358756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358764 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 358768 */   // (vector_insert:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$vec, FPR16:{ *:[f16] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_H:{ *:[nxv4f16] } ZPR:{ *:[nxv4f16] }:$vec, (CMPEQ_PPzZZ_S:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_S:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_S:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), ?:{ *:[f16] }:$src)
     /* 358768 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 358771 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 358775 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358780 */   GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 358786 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 358791 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 358796 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 358799 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 358803 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358808 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 358811 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 358813 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 358816 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_S),
     /* 358820 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358825 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 358828 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 358831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 358833 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 358836 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 358840 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358845 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 358848 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 358850 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 358853 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_S),
     /* 358857 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358862 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 358865 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 358868 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 358871 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 358874 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_H),
     /* 358879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 358881 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 358883 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358886 */   GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 358888 */   GIR_RootConstrainSelectedInstOperands,
     /* 358889 */   // GIR_Coverage, 11183,
     /* 358889 */   GIR_EraseRootFromParent_Done,
     /* 358890 */ // Label 7169: @358890
     /* 358890 */ GIM_Reject,
     /* 358891 */ // Label 6937: @358891
     /* 358891 */ GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(360922),
     /* 358896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 358899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 358902 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 358905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358909 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(359018), // Rule ID 4284 //
     /* 358914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358918 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 358924 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 358926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358934 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358937 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358941 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358945 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358951 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 358958 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 358958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 358961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 358965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 358980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 358985 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359007 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359012 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359017 */     // GIR_Coverage, 4284,
     /* 359017 */     GIR_EraseRootFromParent_Done,
     /* 359018 */   // Label 7171: @359018
     /* 359018 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(359127), // Rule ID 4285 //
     /* 359023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359027 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359033 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359043 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359046 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359050 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359054 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359060 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 359067 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 359067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 359074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359094 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359116 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359121 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359126 */     // GIR_Coverage, 4285,
     /* 359126 */     GIR_EraseRootFromParent_Done,
     /* 359127 */   // Label 7172: @359127
     /* 359127 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(359236), // Rule ID 4392 //
     /* 359132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359136 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359142 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359152 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359155 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359159 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359163 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359167 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359169 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 359176 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 359176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 359183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359203 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359225 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359230 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359235 */     // GIR_Coverage, 4392,
     /* 359235 */     GIR_EraseRootFromParent_Done,
     /* 359236 */   // Label 7173: @359236
     /* 359236 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(359345), // Rule ID 4393 //
     /* 359241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359245 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359251 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359261 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359264 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359268 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359272 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359278 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 359285 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 359285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 359292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359312 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359334 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359339 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359344 */     // GIR_Coverage, 4393,
     /* 359344 */     GIR_EraseRootFromParent_Done,
     /* 359345 */   // Label 7174: @359345
     /* 359345 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(359450), // Rule ID 4290 //
     /* 359350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 359358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359366 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359369 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359373 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359377 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359383 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 359390 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 359390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 359397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359417 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359439 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359444 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359449 */     // GIR_Coverage, 4290,
     /* 359449 */     GIR_EraseRootFromParent_Done,
     /* 359450 */   // Label 7175: @359450
     /* 359450 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(359555), // Rule ID 4292 //
     /* 359455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 359463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359471 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359474 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359478 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359482 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359488 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 359495 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 359495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 359502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359522 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359544 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359549 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359554 */     // GIR_Coverage, 4292,
     /* 359554 */     GIR_EraseRootFromParent_Done,
     /* 359555 */   // Label 7176: @359555
     /* 359555 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(359660), // Rule ID 4398 //
     /* 359560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 359568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359576 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359579 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359583 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359587 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359593 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 359600 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 359600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 359607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359627 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359649 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359654 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359659 */     // GIR_Coverage, 4398,
     /* 359659 */     GIR_EraseRootFromParent_Done,
     /* 359660 */   // Label 7177: @359660
     /* 359660 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(359765), // Rule ID 4400 //
     /* 359665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 359673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359681 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359684 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359688 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359692 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359698 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 359705 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 359705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 359712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359732 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359754 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359759 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359764 */     // GIR_Coverage, 4400,
     /* 359764 */     GIR_EraseRootFromParent_Done,
     /* 359765 */   // Label 7178: @359765
     /* 359765 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(359869), // Rule ID 4282 //
     /* 359770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359774 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359780 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359790 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359793 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359797 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359801 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359805 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359807 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 359814 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 359814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 359821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 359836 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359858 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359863 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359868 */     // GIR_Coverage, 4282,
     /* 359868 */     GIR_EraseRootFromParent_Done,
     /* 359869 */   // Label 7179: @359869
     /* 359869 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(359973), // Rule ID 4283 //
     /* 359874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359878 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359884 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359894 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359897 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359901 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359905 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359911 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 359918 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 359918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 359925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 359940 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359962 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359967 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359972 */     // GIR_Coverage, 4283,
     /* 359972 */     GIR_EraseRootFromParent_Done,
     /* 359973 */   // Label 7180: @359973
     /* 359973 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(360077), // Rule ID 4390 //
     /* 359978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359982 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359988 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359998 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360001 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360005 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360009 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360013 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360015 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 360022 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 360022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 360029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360044 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 360066 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360071 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360076 */     // GIR_Coverage, 4390,
     /* 360076 */     GIR_EraseRootFromParent_Done,
     /* 360077 */   // Label 7181: @360077
     /* 360077 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(360181), // Rule ID 4391 //
     /* 360082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360086 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 360092 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 360094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360102 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360105 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360109 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360113 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360119 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 360126 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 360126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 360133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360148 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 360170 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360175 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360180 */     // GIR_Coverage, 4391,
     /* 360180 */     GIR_EraseRootFromParent_Done,
     /* 360181 */   // Label 7182: @360181
     /* 360181 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(360281), // Rule ID 4286 //
     /* 360186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 360194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360202 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360205 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360209 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360213 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360217 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360219 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 360226 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 360226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 360233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360248 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 360270 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360275 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360280 */     // GIR_Coverage, 4286,
     /* 360280 */     GIR_EraseRootFromParent_Done,
     /* 360281 */   // Label 7183: @360281
     /* 360281 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(360381), // Rule ID 4288 //
     /* 360286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 360294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360302 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360305 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360309 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360313 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360319 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 360326 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 360326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 360333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360348 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 360370 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360375 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360380 */     // GIR_Coverage, 4288,
     /* 360380 */     GIR_EraseRootFromParent_Done,
     /* 360381 */   // Label 7184: @360381
     /* 360381 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(360481), // Rule ID 4394 //
     /* 360386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 360394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360402 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360405 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360409 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360413 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360419 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 360426 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 360426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 360433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360448 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 360470 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360475 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360480 */     // GIR_Coverage, 4394,
     /* 360480 */     GIR_EraseRootFromParent_Done,
     /* 360481 */   // Label 7185: @360481
     /* 360481 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(360581), // Rule ID 4396 //
     /* 360486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 360494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360502 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360505 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360509 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360513 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360517 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360519 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 360526 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 360526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 360533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360548 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 360570 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360575 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360580 */     // GIR_Coverage, 4396,
     /* 360580 */     GIR_EraseRootFromParent_Done,
     /* 360581 */   // Label 7186: @360581
     /* 360581 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(360645), // Rule ID 11238 //
     /* 360586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 360597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 360609 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 360613 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 360617 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360621 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 360625 */     // MIs[3] Operand 1
     /* 360625 */     // No operand predicates
     /* 360625 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360629 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 360631 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$Idx), 0:{ *:[i64] })  =>  (DUP_ZZI_S:{ *:[nxv4i32] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$Idx)
     /* 360631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 360634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 360636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // vec
     /* 360640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Idx
     /* 360643 */     GIR_RootConstrainSelectedInstOperands,
     /* 360644 */     // GIR_Coverage, 11238,
     /* 360644 */     GIR_EraseRootFromParent_Done,
     /* 360645 */   // Label 7187: @360645
     /* 360645 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(360783), // Rule ID 11180 //
     /* 360650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 360657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 360661 */     // (vector_insert:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$vec, GPR32:{ *:[i32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_S:{ *:[nxv4i32] } ZPR:{ *:[nxv4i32] }:$vec, (CMPEQ_PPzZZ_S:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_S:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_S:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), GPR32:{ *:[i32] }:$src)
     /* 360661 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 360664 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360668 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360673 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 360679 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 360684 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 360689 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 360692 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 360696 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360701 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 360704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 360706 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 360709 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_S),
     /* 360713 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360718 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 360721 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 360724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 360726 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 360729 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 360733 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360738 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 360741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 360743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 360746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_S),
     /* 360750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360755 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 360758 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 360761 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 360764 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 360767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_S),
     /* 360772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 360774 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 360776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360779 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 360781 */     GIR_RootConstrainSelectedInstOperands,
     /* 360782 */     // GIR_Coverage, 11180,
     /* 360782 */     GIR_EraseRootFromParent_Done,
     /* 360783 */   // Label 7188: @360783
     /* 360783 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(360921), // Rule ID 11186 //
     /* 360788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 360799 */     // (vector_insert:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$vec, FPR32:{ *:[f32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_S:{ *:[nxv4f32] } ZPR:{ *:[nxv4f32] }:$vec, (CMPEQ_PPzZZ_S:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_S:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_S:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), ?:{ *:[f32] }:$src)
     /* 360799 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 360802 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360806 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360811 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 360817 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 360822 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 360827 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 360830 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 360834 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360839 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 360842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 360844 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 360847 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_S),
     /* 360851 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360856 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 360859 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 360862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 360864 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 360867 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 360871 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360876 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 360879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 360881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 360884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_S),
     /* 360888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360893 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 360896 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 360899 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 360902 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 360905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_S),
     /* 360910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 360912 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 360914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360917 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 360919 */     GIR_RootConstrainSelectedInstOperands,
     /* 360920 */     // GIR_Coverage, 11186,
     /* 360920 */     GIR_EraseRootFromParent_Done,
     /* 360921 */   // Label 7189: @360921
     /* 360921 */   GIM_Reject,
     /* 360922 */ // Label 7170: @360922
     /* 360922 */ GIM_Reject,
     /* 360923 */ // Label 6938: @360923
     /* 360923 */ GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(363190),
     /* 360928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 360931 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(361057), // Rule ID 4248 //
     /* 360936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 360939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 360942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360950 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 360956 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 360958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360966 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360969 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360973 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 360980 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360990 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 360997 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 360997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 361004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361024 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361046 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361051 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361056 */     // GIR_Coverage, 4248,
     /* 361056 */     GIR_EraseRootFromParent_Done,
     /* 361057 */   // Label 7191: @361057
     /* 361057 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(361183), // Rule ID 4249 //
     /* 361062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 361065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361076 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 361082 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 361084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361092 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361095 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361099 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 361106 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361110 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361116 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 361123 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 361130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361150 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361172 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361177 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361182 */     // GIR_Coverage, 4249,
     /* 361182 */     GIR_EraseRootFromParent_Done,
     /* 361183 */   // Label 7192: @361183
     /* 361183 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(361302), // Rule ID 4356 //
     /* 361188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 361191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361202 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 361208 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 361210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361218 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361221 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361225 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361229 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361235 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 361242 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 361249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361269 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361291 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361296 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361301 */     // GIR_Coverage, 4356,
     /* 361301 */     GIR_EraseRootFromParent_Done,
     /* 361302 */   // Label 7193: @361302
     /* 361302 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(361421), // Rule ID 4357 //
     /* 361307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 361310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361321 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 361327 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 361329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361337 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361340 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361344 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361348 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361354 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 361361 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 361368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361388 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361410 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361415 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361420 */     // GIR_Coverage, 4357,
     /* 361420 */     GIR_EraseRootFromParent_Done,
     /* 361421 */   // Label 7194: @361421
     /* 361421 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(361543), // Rule ID 4254 //
     /* 361426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 361429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 361444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361452 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361455 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361459 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 361466 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361470 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361476 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 361483 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 361490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361510 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361532 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361537 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361542 */     // GIR_Coverage, 4254,
     /* 361542 */     GIR_EraseRootFromParent_Done,
     /* 361543 */   // Label 7195: @361543
     /* 361543 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(361665), // Rule ID 4256 //
     /* 361548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 361551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 361566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361574 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361577 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361581 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 361588 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361592 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361598 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 361605 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 361612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361632 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361654 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361659 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361664 */     // GIR_Coverage, 4256,
     /* 361664 */     GIR_EraseRootFromParent_Done,
     /* 361665 */   // Label 7196: @361665
     /* 361665 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(361780), // Rule ID 4362 //
     /* 361670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 361673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 361688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361696 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361699 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361703 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361707 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361713 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 361720 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 361727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361747 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361769 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361774 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361779 */     // GIR_Coverage, 4362,
     /* 361779 */     GIR_EraseRootFromParent_Done,
     /* 361780 */   // Label 7197: @361780
     /* 361780 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(361895), // Rule ID 4364 //
     /* 361785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 361788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 361803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361811 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361814 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361818 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361822 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361826 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361828 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 361835 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 361842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361862 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361884 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361889 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361894 */     // GIR_Coverage, 4364,
     /* 361894 */     GIR_EraseRootFromParent_Done,
     /* 361895 */   // Label 7198: @361895
     /* 361895 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(362016), // Rule ID 4246 //
     /* 361900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 361903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361914 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 361920 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 361922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361930 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361933 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361937 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 361944 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361948 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361954 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 361961 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 361961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 361968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 361983 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362005 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362010 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362015 */     // GIR_Coverage, 4246,
     /* 362015 */     GIR_EraseRootFromParent_Done,
     /* 362016 */   // Label 7199: @362016
     /* 362016 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(362137), // Rule ID 4247 //
     /* 362021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 362024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362035 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 362041 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 362043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 362051 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 362054 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 362058 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 362065 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 362069 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362075 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 362082 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 362082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 362089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362104 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362126 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362131 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362136 */     // GIR_Coverage, 4247,
     /* 362136 */     GIR_EraseRootFromParent_Done,
     /* 362137 */   // Label 7200: @362137
     /* 362137 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(362251), // Rule ID 4354 //
     /* 362142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 362145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362156 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 362162 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 362164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 362172 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 362175 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 362179 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 362183 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362189 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 362196 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 362196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 362203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362218 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362240 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362245 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362250 */     // GIR_Coverage, 4354,
     /* 362250 */     GIR_EraseRootFromParent_Done,
     /* 362251 */   // Label 7201: @362251
     /* 362251 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(362365), // Rule ID 4355 //
     /* 362256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 362259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362270 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 362276 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 362278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 362286 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 362289 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 362293 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 362297 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362303 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 362310 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 362310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 362317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362332 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362354 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362359 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362364 */     // GIR_Coverage, 4355,
     /* 362364 */     GIR_EraseRootFromParent_Done,
     /* 362365 */   // Label 7202: @362365
     /* 362365 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(362482), // Rule ID 4250 //
     /* 362370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 362373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 362388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 362396 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 362399 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 362403 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 362410 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 362414 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362420 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 362427 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 362427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 362434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362449 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362471 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362476 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362481 */     // GIR_Coverage, 4250,
     /* 362481 */     GIR_EraseRootFromParent_Done,
     /* 362482 */   // Label 7203: @362482
     /* 362482 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(362599), // Rule ID 4252 //
     /* 362487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 362490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 362505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 362513 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 362516 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 362520 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 362527 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 362531 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362537 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 362544 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 362544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 362551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362566 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362588 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362593 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362598 */     // GIR_Coverage, 4252,
     /* 362598 */     GIR_EraseRootFromParent_Done,
     /* 362599 */   // Label 7204: @362599
     /* 362599 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(362709), // Rule ID 4358 //
     /* 362604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 362607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 362622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 362630 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 362633 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 362637 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 362641 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362647 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 362654 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 362654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 362661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362676 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362698 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362703 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362708 */     // GIR_Coverage, 4358,
     /* 362708 */     GIR_EraseRootFromParent_Done,
     /* 362709 */   // Label 7205: @362709
     /* 362709 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(362819), // Rule ID 4360 //
     /* 362714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 362717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 362732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 362740 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 362743 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 362747 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 362751 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362757 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 362764 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 362764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 362771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362786 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362808 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362813 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362818 */     // GIR_Coverage, 4360,
     /* 362818 */     GIR_EraseRootFromParent_Done,
     /* 362819 */   // Label 7206: @362819
     /* 362819 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(362893), // Rule ID 11236 //
     /* 362824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 362830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 362845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 362853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 362857 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 362861 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 362865 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362869 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 362873 */     // MIs[3] Operand 1
     /* 362873 */     // No operand predicates
     /* 362873 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362877 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 362879 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$Idx), 0:{ *:[i64] })  =>  (DUP_ZZI_H:{ *:[nxv8i16] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$Idx)
     /* 362879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 362882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 362884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // vec
     /* 362888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Idx
     /* 362891 */     GIR_RootConstrainSelectedInstOperands,
     /* 362892 */     // GIR_Coverage, 11236,
     /* 362892 */     GIR_EraseRootFromParent_Done,
     /* 362893 */   // Label 7207: @362893
     /* 362893 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(363041), // Rule ID 11179 //
     /* 362898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 362904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 362915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 362919 */     // (vector_insert:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$vec, GPR32:{ *:[i32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_H:{ *:[nxv8i16] } ZPR:{ *:[nxv8i16] }:$vec, (CMPEQ_PPzZZ_H:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_H:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_H:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), GPR32:{ *:[i32] }:$src)
     /* 362919 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 362922 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362926 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362931 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 362937 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 362942 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 362947 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 362950 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_H),
     /* 362954 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362959 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 362962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 362964 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 362967 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_H),
     /* 362971 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362976 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 362979 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 362982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 362984 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 362987 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 362991 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362996 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 362999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 363001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 363004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_H),
     /* 363008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363013 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 363016 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 363019 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 363022 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 363025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_H),
     /* 363030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 363032 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 363034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363037 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 363039 */     GIR_RootConstrainSelectedInstOperands,
     /* 363040 */     // GIR_Coverage, 11179,
     /* 363040 */     GIR_EraseRootFromParent_Done,
     /* 363041 */   // Label 7208: @363041
     /* 363041 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(363189), // Rule ID 11184 //
     /* 363046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 363052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 363055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 363067 */     // (vector_insert:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$vec, FPR16:{ *:[f16] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_H:{ *:[nxv8f16] } ZPR:{ *:[nxv8f16] }:$vec, (CMPEQ_PPzZZ_H:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_H:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_H:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), ?:{ *:[f16] }:$src)
     /* 363067 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 363070 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 363074 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363079 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 363085 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 363090 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 363095 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 363098 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_H),
     /* 363102 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363107 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 363110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 363112 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 363115 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_H),
     /* 363119 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363124 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 363127 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 363130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 363132 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 363135 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 363139 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363144 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 363147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 363149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 363152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_H),
     /* 363156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363161 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 363164 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 363167 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 363170 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 363173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_H),
     /* 363178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 363180 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 363182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363185 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 363187 */     GIR_RootConstrainSelectedInstOperands,
     /* 363188 */     // GIR_Coverage, 11184,
     /* 363188 */     GIR_EraseRootFromParent_Done,
     /* 363189 */   // Label 7209: @363189
     /* 363189 */   GIM_Reject,
     /* 363190 */ // Label 7190: @363190
     /* 363190 */ GIM_Reject,
     /* 363191 */ // Label 6939: @363191
     /* 363191 */ GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(364304),
     /* 363196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 363199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 363202 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 363205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363209 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(363325), // Rule ID 4212 //
     /* 363214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363218 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 363224 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 363226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363234 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363237 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363241 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363248 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363252 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363256 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363258 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 363265 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 363265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 363272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 363287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 363292 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363314 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363319 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363324 */     // GIR_Coverage, 4212,
     /* 363324 */     GIR_EraseRootFromParent_Done,
     /* 363325 */   // Label 7211: @363325
     /* 363325 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(363441), // Rule ID 4213 //
     /* 363330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363334 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 363340 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 363342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363350 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363353 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363357 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363364 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363368 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363374 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 363381 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 363381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 363388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 363403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 363408 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363430 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363435 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363440 */     // GIR_Coverage, 4213,
     /* 363440 */     GIR_EraseRootFromParent_Done,
     /* 363441 */   // Label 7212: @363441
     /* 363441 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(363553), // Rule ID 4218 //
     /* 363446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 363454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363462 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363465 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363469 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363476 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363480 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363486 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 363493 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 363493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 363500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 363515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 363520 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363542 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363547 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363552 */     // GIR_Coverage, 4218,
     /* 363552 */     GIR_EraseRootFromParent_Done,
     /* 363553 */   // Label 7213: @363553
     /* 363553 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(363665), // Rule ID 4220 //
     /* 363558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 363566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363574 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363577 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363581 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363588 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363592 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363598 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 363605 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 363605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 363612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 363627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 363632 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363654 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363659 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363664 */     // GIR_Coverage, 4220,
     /* 363664 */     GIR_EraseRootFromParent_Done,
     /* 363665 */   // Label 7214: @363665
     /* 363665 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(363776), // Rule ID 4210 //
     /* 363670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363674 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 363680 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 363682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363690 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363693 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363697 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363704 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363708 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363712 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363714 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 363721 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 363721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 363728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 363743 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363765 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363770 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363775 */     // GIR_Coverage, 4210,
     /* 363775 */     GIR_EraseRootFromParent_Done,
     /* 363776 */   // Label 7215: @363776
     /* 363776 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(363887), // Rule ID 4211 //
     /* 363781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363785 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 363791 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 363793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363801 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363804 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363808 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363815 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363819 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363823 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363825 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 363832 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 363832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 363839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 363854 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363876 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363881 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363886 */     // GIR_Coverage, 4211,
     /* 363886 */     GIR_EraseRootFromParent_Done,
     /* 363887 */   // Label 7216: @363887
     /* 363887 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(363994), // Rule ID 4214 //
     /* 363892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 363900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363908 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363911 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363915 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363922 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363926 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363930 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363932 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 363939 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 363939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 363946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 363961 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363983 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363988 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363993 */     // GIR_Coverage, 4214,
     /* 363993 */     GIR_EraseRootFromParent_Done,
     /* 363994 */   // Label 7217: @363994
     /* 363994 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(364101), // Rule ID 4216 //
     /* 363999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 364007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 364011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 364015 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 364018 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 364022 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 364029 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 364033 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 364037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 364039 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 364046 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 364046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 364049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 364053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 364063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 364068 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 364074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 364079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 364090 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364095 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 364100 */     // GIR_Coverage, 4216,
     /* 364100 */     GIR_EraseRootFromParent_Done,
     /* 364101 */   // Label 7218: @364101
     /* 364101 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(364165), // Rule ID 11234 //
     /* 364106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 364117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 364121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 364129 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 364133 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 364137 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364141 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_b),
     /* 364145 */     // MIs[3] Operand 1
     /* 364145 */     // No operand predicates
     /* 364145 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 364149 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 364151 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$Idx), 0:{ *:[i64] })  =>  (DUP_ZZI_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$Idx)
     /* 364151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_B),
     /* 364154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // vec
     /* 364160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Idx
     /* 364163 */     GIR_RootConstrainSelectedInstOperands,
     /* 364164 */     // GIR_Coverage, 11234,
     /* 364164 */     GIR_EraseRootFromParent_Done,
     /* 364165 */   // Label 7219: @364165
     /* 364165 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(364303), // Rule ID 11178 //
     /* 364170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 364177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 364181 */     // (vector_insert:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$vec, GPR32:{ *:[i32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (CMPEQ_PPzZZ_B:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_B:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_B:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), GPR32:{ *:[i32] }:$src)
     /* 364181 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 364184 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364188 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364193 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 364199 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 364204 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 364209 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 364212 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_B),
     /* 364216 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364221 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 364224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 364226 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 364229 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_B),
     /* 364233 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364238 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 364241 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 364244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 364246 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 364249 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /* 364253 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364258 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 364261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 364263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 364266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_B),
     /* 364270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364275 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 364278 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 364281 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 364284 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 364287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_B),
     /* 364292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364294 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 364296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364299 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 364301 */     GIR_RootConstrainSelectedInstOperands,
     /* 364302 */     // GIR_Coverage, 11178,
     /* 364302 */     GIR_EraseRootFromParent_Done,
     /* 364303 */   // Label 7220: @364303
     /* 364303 */   GIM_Reject,
     /* 364304 */ // Label 7210: @364304
     /* 364304 */ GIM_Reject,
     /* 364305 */ // Label 6940: @364305
     /* 364305 */ GIM_Reject,
     /* 364306 */ // Label 89: @364306
     /* 364306 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7224*/ GIMT_Encode4(367223),
     /* 364317 */ /*GILLT_s16*//*Label 7221*/ GIMT_Encode4(364329),
     /* 364321 */ /*GILLT_s32*//*Label 7222*/ GIMT_Encode4(364963),
     /* 364325 */ /*GILLT_s64*//*Label 7223*/ GIMT_Encode4(366556),
     /* 364329 */ // Label 7221: @364329
     /* 364329 */ GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(364373), // Rule ID 11227 //
     /* 364334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 364340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364347 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364351 */   // (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$Zs, hsub:{ *:[i32] })
     /* 364351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364356 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Zs
     /* 364362 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364367 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364372 */   // GIR_Coverage, 11227,
     /* 364372 */   GIR_EraseRootFromParent_Done,
     /* 364373 */ // Label 7225: @364373
     /* 364373 */ GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(364417), // Rule ID 11228 //
     /* 364378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 364384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364391 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364395 */   // (vector_extract:{ *:[f16] } nxv4f16:{ *:[nxv4f16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } ZPR:{ *:[nxv4f16] }:$Zs, hsub:{ *:[i32] })
     /* 364395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364400 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Zs
     /* 364406 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364411 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364416 */   // GIR_Coverage, 11228,
     /* 364416 */   GIR_EraseRootFromParent_Done,
     /* 364417 */ // Label 7226: @364417
     /* 364417 */ GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(364461), // Rule ID 11229 //
     /* 364422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 364428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364435 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364439 */   // (vector_extract:{ *:[f16] } nxv2f16:{ *:[nxv2f16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } ZPR:{ *:[nxv2f16] }:$Zs, hsub:{ *:[i32] })
     /* 364439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364444 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Zs
     /* 364450 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364455 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364460 */   // GIR_Coverage, 11229,
     /* 364460 */   GIR_EraseRootFromParent_Done,
     /* 364461 */ // Label 7227: @364461
     /* 364461 */ GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(364506), // Rule ID 5789 //
     /* 364466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364480 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364484 */   // (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] })
     /* 364484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364489 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 364495 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364500 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364505 */   // GIR_Coverage, 5789,
     /* 364505 */   GIR_EraseRootFromParent_Done,
     /* 364506 */ // Label 7228: @364506
     /* 364506 */ GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(364551), // Rule ID 5792 //
     /* 364511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364525 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 364529 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364533 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 364537 */   // MIs[1] Operand 1
     /* 364537 */   // No operand predicates
     /* 364537 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364539 */   // (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (DUPi16:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 364539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPi16),
     /* 364542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364544 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 364546 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 364549 */   GIR_RootConstrainSelectedInstOperands,
     /* 364550 */   // GIR_Coverage, 5792,
     /* 364550 */   GIR_EraseRootFromParent_Done,
     /* 364551 */ // Label 7229: @364551
     /* 364551 */ GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(364627), // Rule ID 11202 //
     /* 364556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 364562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364569 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 364573 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364577 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 364581 */   // MIs[1] Operand 1
     /* 364581 */   // No operand predicates
     /* 364581 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364583 */   // (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f16] } (DUP_ZZI_H:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index), hsub:{ *:[i32] })
     /* 364583 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 364586 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 364590 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364595 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 364599 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 364602 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364609 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 364616 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364621 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364626 */   // GIR_Coverage, 11202,
     /* 364626 */   GIR_EraseRootFromParent_Done,
     /* 364627 */ // Label 7230: @364627
     /* 364627 */ GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(364703), // Rule ID 11203 //
     /* 364632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 364638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364645 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 364649 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364653 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 364657 */   // MIs[1] Operand 1
     /* 364657 */   // No operand predicates
     /* 364657 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364659 */   // (vector_extract:{ *:[f16] } nxv4f16:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f16] } (DUP_ZZI_S:{ *:[nxv16i8] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index), hsub:{ *:[i32] })
     /* 364659 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 364662 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 364666 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364671 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 364675 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 364678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364685 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 364692 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364697 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364702 */   // GIR_Coverage, 11203,
     /* 364702 */   GIR_EraseRootFromParent_Done,
     /* 364703 */ // Label 7231: @364703
     /* 364703 */ GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(364779), // Rule ID 11204 //
     /* 364708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 364714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364721 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 364725 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364729 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 364733 */   // MIs[1] Operand 1
     /* 364733 */   // No operand predicates
     /* 364733 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364735 */   // (vector_extract:{ *:[f16] } nxv2f16:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f16] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), hsub:{ *:[i32] })
     /* 364735 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 364738 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 364742 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364747 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 364751 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 364754 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364761 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 364768 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364773 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364778 */   // GIR_Coverage, 11204,
     /* 364778 */   GIR_EraseRootFromParent_Done,
     /* 364779 */ // Label 7232: @364779
     /* 364779 */ GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(364840), // Rule ID 11192 //
     /* 364784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 364790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 364801 */   // (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_H:{ *:[f16] } (WHILELS_PXX_H:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv8f16] }:$vec)
     /* 364801 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 364804 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_H),
     /* 364808 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364813 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 364819 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 364823 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 364826 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_H),
     /* 364831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 364833 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364836 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 364838 */   GIR_RootConstrainSelectedInstOperands,
     /* 364839 */   // GIR_Coverage, 11192,
     /* 364839 */   GIR_EraseRootFromParent_Done,
     /* 364840 */ // Label 7233: @364840
     /* 364840 */ GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(364901), // Rule ID 11193 //
     /* 364845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 364851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 364862 */   // (vector_extract:{ *:[f16] } nxv4f16:{ *:[nxv4f16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_H:{ *:[f16] } (WHILELS_PXX_S:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv4f16] }:$vec)
     /* 364862 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 364865 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 364869 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364874 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 364880 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 364884 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 364887 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_H),
     /* 364892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 364894 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364897 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 364899 */   GIR_RootConstrainSelectedInstOperands,
     /* 364900 */   // GIR_Coverage, 11193,
     /* 364900 */   GIR_EraseRootFromParent_Done,
     /* 364901 */ // Label 7234: @364901
     /* 364901 */ GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(364962), // Rule ID 11194 //
     /* 364906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 364912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 364923 */   // (vector_extract:{ *:[f16] } nxv2f16:{ *:[nxv2f16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_H:{ *:[f16] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2f16] }:$vec)
     /* 364923 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 364926 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 364930 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364935 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 364941 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 364945 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 364948 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_H),
     /* 364953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 364955 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364958 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 364960 */   GIR_RootConstrainSelectedInstOperands,
     /* 364961 */   // GIR_Coverage, 11194,
     /* 364961 */   GIR_EraseRootFromParent_Done,
     /* 364962 */ // Label 7235: @364962
     /* 364962 */ GIM_Reject,
     /* 364963 */ // Label 7222: @364963
     /* 364963 */ GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(365008), // Rule ID 6966 //
     /* 364968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 364971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364982 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364986 */   // (extractelt:{ *:[i32] } V128:{ *:[v4i32] }:$V, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4i32] }:$V, ssub:{ *:[i32] })
     /* 364986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364989 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364991 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // V
     /* 364997 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365002 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365007 */   // GIR_Coverage, 6966,
     /* 365007 */   GIR_EraseRootFromParent_Done,
     /* 365008 */ // Label 7236: @365008
     /* 365008 */ GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(365053), // Rule ID 6967 //
     /* 365013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 365016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 365027 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 365031 */   // (extractelt:{ *:[i32] } V64:{ *:[v2i32] }:$V, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } V64:{ *:[v2i32] }:$V, ssub:{ *:[i32] })
     /* 365031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365036 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // V
     /* 365042 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365047 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 365052 */   // GIR_Coverage, 6967,
     /* 365052 */   GIR_EraseRootFromParent_Done,
     /* 365053 */ // Label 7237: @365053
     /* 365053 */ GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(365097), // Rule ID 11223 //
     /* 365058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 365064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365071 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 365075 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } ZPR:{ *:[nxv16i8] }:$Zs, ssub:{ *:[i32] })
     /* 365075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365080 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 365086 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365091 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365096 */   // GIR_Coverage, 11223,
     /* 365096 */   GIR_EraseRootFromParent_Done,
     /* 365097 */ // Label 7238: @365097
     /* 365097 */ GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(365141), // Rule ID 11224 //
     /* 365102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 365108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365115 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 365119 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } ZPR:{ *:[nxv8i16] }:$Zs, ssub:{ *:[i32] })
     /* 365119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365124 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 365130 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365135 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365140 */   // GIR_Coverage, 11224,
     /* 365140 */   GIR_EraseRootFromParent_Done,
     /* 365141 */ // Label 7239: @365141
     /* 365141 */ GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(365185), // Rule ID 11225 //
     /* 365146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 365152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365159 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 365163 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } ZPR:{ *:[nxv4i32] }:$Zs, ssub:{ *:[i32] })
     /* 365163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365168 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 365174 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365179 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365184 */   // GIR_Coverage, 11225,
     /* 365184 */   GIR_EraseRootFromParent_Done,
     /* 365185 */ // Label 7240: @365185
     /* 365185 */ GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(365229), // Rule ID 11230 //
     /* 365190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 365196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365203 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 365207 */   // (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f32] } ZPR:{ *:[nxv4f32] }:$Zs, ssub:{ *:[i32] })
     /* 365207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365212 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 365218 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365223 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365228 */   // GIR_Coverage, 11230,
     /* 365228 */   GIR_EraseRootFromParent_Done,
     /* 365229 */ // Label 7241: @365229
     /* 365229 */ GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(365273), // Rule ID 11231 //
     /* 365234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 365240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365247 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 365251 */   // (vector_extract:{ *:[f32] } nxv2f32:{ *:[nxv2f32] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f32] } ZPR:{ *:[nxv2f32] }:$Zs, ssub:{ *:[i32] })
     /* 365251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365256 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 365262 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365267 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365272 */   // GIR_Coverage, 11231,
     /* 365272 */   GIR_EraseRootFromParent_Done,
     /* 365273 */ // Label 7242: @365273
     /* 365273 */ GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(365318), // Rule ID 5788 //
     /* 365278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 365281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365292 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 365296 */   // (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] })
     /* 365296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365301 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 365307 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365312 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365317 */   // GIR_Coverage, 5788,
     /* 365317 */   GIR_EraseRootFromParent_Done,
     /* 365318 */ // Label 7243: @365318
     /* 365318 */ GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(365391), // Rule ID 11208 //
     /* 365323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 365329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365336 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365340 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365344 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 365348 */   // MIs[1] Operand 1
     /* 365348 */   // No operand predicates
     /* 365348 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365350 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)  =>  (UMOVvi8:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)
     /* 365350 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 365353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365357 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365362 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 365368 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365373 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /* 365381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365383 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365386 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 365389 */   GIR_RootConstrainSelectedInstOperands,
     /* 365390 */   // GIR_Coverage, 11208,
     /* 365390 */   GIR_EraseRootFromParent_Done,
     /* 365391 */ // Label 7244: @365391
     /* 365391 */ GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(365464), // Rule ID 11209 //
     /* 365396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 365402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365409 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365413 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365417 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 365421 */   // MIs[1] Operand 1
     /* 365421 */   // No operand predicates
     /* 365421 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365423 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)  =>  (UMOVvi16:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)
     /* 365423 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 365426 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365430 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365435 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 365441 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365446 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /* 365454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365456 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365459 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 365462 */   GIR_RootConstrainSelectedInstOperands,
     /* 365463 */   // GIR_Coverage, 11209,
     /* 365463 */   GIR_EraseRootFromParent_Done,
     /* 365464 */ // Label 7245: @365464
     /* 365464 */ GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(365537), // Rule ID 11210 //
     /* 365469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 365475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365482 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365486 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365490 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 365494 */   // MIs[1] Operand 1
     /* 365494 */   // No operand predicates
     /* 365494 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365496 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index)  =>  (UMOVvi32:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v4i32] } ZPR:{ *:[nxv4i32] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index)
     /* 365496 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 365499 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365503 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365508 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 365514 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365519 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi32),
     /* 365527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365529 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365532 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 365535 */   GIR_RootConstrainSelectedInstOperands,
     /* 365536 */   // GIR_Coverage, 11210,
     /* 365536 */   GIR_EraseRootFromParent_Done,
     /* 365537 */ // Label 7246: @365537
     /* 365537 */ GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(365585), // Rule ID 1926 //
     /* 365542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 365545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 365548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365559 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365563 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365567 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 365571 */   // MIs[1] Operand 1
     /* 365571 */   // No operand predicates
     /* 365571 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365573 */   // (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi8_idx0:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 365573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8_idx0),
     /* 365576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365578 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365580 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365583 */   GIR_RootConstrainSelectedInstOperands,
     /* 365584 */   // GIR_Coverage, 1926,
     /* 365584 */   GIR_EraseRootFromParent_Done,
     /* 365585 */ // Label 7247: @365585
     /* 365585 */ GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(365633), // Rule ID 1927 //
     /* 365590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 365593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365607 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365611 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365615 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 365619 */   // MIs[1] Operand 1
     /* 365619 */   // No operand predicates
     /* 365619 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365621 */   // (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi16_idx0:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 365621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16_idx0),
     /* 365624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365626 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365628 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365631 */   GIR_RootConstrainSelectedInstOperands,
     /* 365632 */   // GIR_Coverage, 1927,
     /* 365632 */   GIR_EraseRootFromParent_Done,
     /* 365633 */ // Label 7248: @365633
     /* 365633 */ GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(365681), // Rule ID 1928 //
     /* 365638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 365641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 365644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365655 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365659 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365663 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 365667 */   // MIs[1] Operand 1
     /* 365667 */   // No operand predicates
     /* 365667 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365669 */   // (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi32_idx0:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 365669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi32_idx0),
     /* 365672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365674 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365676 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365679 */   GIR_RootConstrainSelectedInstOperands,
     /* 365680 */   // GIR_Coverage, 1928,
     /* 365680 */   GIR_EraseRootFromParent_Done,
     /* 365681 */ // Label 7249: @365681
     /* 365681 */ GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(365729), // Rule ID 1930 //
     /* 365686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 365692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365703 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365707 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365711 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 365715 */   // MIs[1] Operand 1
     /* 365715 */   // No operand predicates
     /* 365715 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365717 */   // (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (UMOVvi8:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 365717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /* 365720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365722 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365724 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365727 */   GIR_RootConstrainSelectedInstOperands,
     /* 365728 */   // GIR_Coverage, 1930,
     /* 365728 */   GIR_EraseRootFromParent_Done,
     /* 365729 */ // Label 7250: @365729
     /* 365729 */ GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(365777), // Rule ID 1931 //
     /* 365734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365751 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365755 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365759 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 365763 */   // MIs[1] Operand 1
     /* 365763 */   // No operand predicates
     /* 365763 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365765 */   // (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (UMOVvi16:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 365765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /* 365768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365770 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365772 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365775 */   GIR_RootConstrainSelectedInstOperands,
     /* 365776 */   // GIR_Coverage, 1931,
     /* 365776 */   GIR_EraseRootFromParent_Done,
     /* 365777 */ // Label 7251: @365777
     /* 365777 */ GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(365825), // Rule ID 1932 //
     /* 365782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 365788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365799 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365803 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365807 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 365811 */   // MIs[1] Operand 1
     /* 365811 */   // No operand predicates
     /* 365811 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365813 */   // (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (UMOVvi32:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 365813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi32),
     /* 365816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365818 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365820 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365823 */   GIR_RootConstrainSelectedInstOperands,
     /* 365824 */   // GIR_Coverage, 1932,
     /* 365824 */   GIR_EraseRootFromParent_Done,
     /* 365825 */ // Label 7252: @365825
     /* 365825 */ GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(365870), // Rule ID 5791 //
     /* 365830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 365833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365844 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365848 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365852 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 365856 */   // MIs[1] Operand 1
     /* 365856 */   // No operand predicates
     /* 365856 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365858 */   // (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (DUPi32:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 365858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPi32),
     /* 365861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365863 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365865 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365868 */   GIR_RootConstrainSelectedInstOperands,
     /* 365869 */   // GIR_Coverage, 5791,
     /* 365869 */   GIR_EraseRootFromParent_Done,
     /* 365870 */ // Label 7253: @365870
     /* 365870 */ GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(365946), // Rule ID 11198 //
     /* 365875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 365881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365888 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365892 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365896 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_b),
     /* 365900 */   // MIs[1] Operand 1
     /* 365900 */   // No operand predicates
     /* 365900 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365902 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i32] } (DUP_ZZI_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index), ssub:{ *:[i32] })
     /* 365902 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 365905 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_B),
     /* 365909 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365914 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 365918 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 365921 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 365923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365928 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 365935 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365940 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365945 */   // GIR_Coverage, 11198,
     /* 365945 */   GIR_EraseRootFromParent_Done,
     /* 365946 */ // Label 7254: @365946
     /* 365946 */ GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(366022), // Rule ID 11199 //
     /* 365951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 365957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365964 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365968 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365972 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 365976 */   // MIs[1] Operand 1
     /* 365976 */   // No operand predicates
     /* 365976 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365978 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i32] } (DUP_ZZI_H:{ *:[nxv16i8] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index), ssub:{ *:[i32] })
     /* 365978 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 365981 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 365985 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365990 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 365994 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 365997 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 365999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366004 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 366011 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366016 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366021 */   // GIR_Coverage, 11199,
     /* 366021 */   GIR_EraseRootFromParent_Done,
     /* 366022 */ // Label 7255: @366022
     /* 366022 */ GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(366098), // Rule ID 11200 //
     /* 366027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 366033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366040 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366044 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366048 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 366052 */   // MIs[1] Operand 1
     /* 366052 */   // No operand predicates
     /* 366052 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366054 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i32] } (DUP_ZZI_S:{ *:[nxv16i8] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index), ssub:{ *:[i32] })
     /* 366054 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 366057 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 366061 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366066 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 366070 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 366073 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366080 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 366087 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366092 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366097 */   // GIR_Coverage, 11200,
     /* 366097 */   GIR_EraseRootFromParent_Done,
     /* 366098 */ // Label 7256: @366098
     /* 366098 */ GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(366174), // Rule ID 11205 //
     /* 366103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 366109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366116 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366120 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366124 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 366128 */   // MIs[1] Operand 1
     /* 366128 */   // No operand predicates
     /* 366128 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366130 */   // (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f32] } (DUP_ZZI_S:{ *:[nxv16i8] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index), ssub:{ *:[i32] })
     /* 366130 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 366133 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 366137 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366142 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 366146 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 366149 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366156 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 366163 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366168 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366173 */   // GIR_Coverage, 11205,
     /* 366173 */   GIR_EraseRootFromParent_Done,
     /* 366174 */ // Label 7257: @366174
     /* 366174 */ GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(366250), // Rule ID 11206 //
     /* 366179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 366185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366192 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366196 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366200 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 366204 */   // MIs[1] Operand 1
     /* 366204 */   // No operand predicates
     /* 366204 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366206 */   // (vector_extract:{ *:[f32] } nxv2f32:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f32] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), ssub:{ *:[i32] })
     /* 366206 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 366209 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 366213 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366218 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 366222 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 366225 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366232 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 366239 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366244 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366249 */   // GIR_Coverage, 11206,
     /* 366249 */   GIR_EraseRootFromParent_Done,
     /* 366250 */ // Label 7258: @366250
     /* 366250 */ GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(366311), // Rule ID 11188 //
     /* 366255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 366261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366272 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_B:{ *:[i32] } (WHILELS_PXX_B:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv16i8] }:$vec)
     /* 366272 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 366275 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_B),
     /* 366279 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366284 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 366290 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 366294 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 366297 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_B),
     /* 366302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366304 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366307 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 366309 */   GIR_RootConstrainSelectedInstOperands,
     /* 366310 */   // GIR_Coverage, 11188,
     /* 366310 */   GIR_EraseRootFromParent_Done,
     /* 366311 */ // Label 7259: @366311
     /* 366311 */ GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(366372), // Rule ID 11189 //
     /* 366316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 366322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366333 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_H:{ *:[i32] } (WHILELS_PXX_H:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv8i16] }:$vec)
     /* 366333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 366336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_H),
     /* 366340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366345 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 366351 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 366355 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 366358 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_H),
     /* 366363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366365 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366368 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 366370 */   GIR_RootConstrainSelectedInstOperands,
     /* 366371 */   // GIR_Coverage, 11189,
     /* 366371 */   GIR_EraseRootFromParent_Done,
     /* 366372 */ // Label 7260: @366372
     /* 366372 */ GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(366433), // Rule ID 11190 //
     /* 366377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 366383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366394 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_S:{ *:[i32] } (WHILELS_PXX_S:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv4i32] }:$vec)
     /* 366394 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 366397 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 366401 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366406 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 366412 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 366416 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 366419 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_S),
     /* 366424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366426 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366429 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 366431 */   GIR_RootConstrainSelectedInstOperands,
     /* 366432 */   // GIR_Coverage, 11190,
     /* 366432 */   GIR_EraseRootFromParent_Done,
     /* 366433 */ // Label 7261: @366433
     /* 366433 */ GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(366494), // Rule ID 11195 //
     /* 366438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 366444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366455 */   // (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_S:{ *:[f32] } (WHILELS_PXX_S:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv4f32] }:$vec)
     /* 366455 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 366458 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 366462 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366467 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 366473 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 366477 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 366480 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_S),
     /* 366485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 366487 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366490 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 366492 */   GIR_RootConstrainSelectedInstOperands,
     /* 366493 */   // GIR_Coverage, 11195,
     /* 366493 */   GIR_EraseRootFromParent_Done,
     /* 366494 */ // Label 7262: @366494
     /* 366494 */ GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(366555), // Rule ID 11196 //
     /* 366499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 366505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366516 */   // (vector_extract:{ *:[f32] } nxv2f32:{ *:[nxv2f32] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_S:{ *:[f32] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2f32] }:$vec)
     /* 366516 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 366519 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 366523 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366528 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 366534 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 366538 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 366541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_S),
     /* 366546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 366548 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366551 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 366553 */   GIR_RootConstrainSelectedInstOperands,
     /* 366554 */   // GIR_Coverage, 11196,
     /* 366554 */   GIR_EraseRootFromParent_Done,
     /* 366555 */ // Label 7263: @366555
     /* 366555 */ GIM_Reject,
     /* 366556 */ // Label 7223: @366556
     /* 366556 */ GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(366601), // Rule ID 6965 //
     /* 366561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 366564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366575 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 366579 */   // (extractelt:{ *:[i64] } V128:{ *:[v2i64] }:$V, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2i64] }:$V, dsub:{ *:[i32] })
     /* 366579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366584 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // V
     /* 366590 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366595 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366600 */   // GIR_Coverage, 6965,
     /* 366600 */   GIR_EraseRootFromParent_Done,
     /* 366601 */ // Label 7264: @366601
     /* 366601 */ GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(366645), // Rule ID 11226 //
     /* 366606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 366612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366619 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 366623 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i64] } ZPR:{ *:[nxv2i64] }:$Zs, dsub:{ *:[i32] })
     /* 366623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366628 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Zs
     /* 366634 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366639 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366644 */   // GIR_Coverage, 11226,
     /* 366644 */   GIR_EraseRootFromParent_Done,
     /* 366645 */ // Label 7265: @366645
     /* 366645 */ GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(366689), // Rule ID 11232 //
     /* 366650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 366656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366663 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 366667 */   // (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f64] } ZPR:{ *:[nxv2f64] }:$Zs, dsub:{ *:[i32] })
     /* 366667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366672 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Zs
     /* 366678 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366683 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366688 */   // GIR_Coverage, 11232,
     /* 366688 */   GIR_EraseRootFromParent_Done,
     /* 366689 */ // Label 7266: @366689
     /* 366689 */ GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(366734), // Rule ID 5787 //
     /* 366694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 366697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366708 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 366712 */   // (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] })
     /* 366712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366717 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 366723 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366728 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366733 */   // GIR_Coverage, 5787,
     /* 366733 */   GIR_EraseRootFromParent_Done,
     /* 366734 */ // Label 7267: @366734
     /* 366734 */ GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(366807), // Rule ID 11211 //
     /* 366739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 366745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366752 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366756 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366760 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 366764 */   // MIs[1] Operand 1
     /* 366764 */   // No operand predicates
     /* 366764 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366766 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$index)  =>  (UMOVvi64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v2i64] } ZPR:{ *:[nxv2i64] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$index)
     /* 366766 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 366769 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366773 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366778 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 366784 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366789 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi64),
     /* 366797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366799 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366802 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 366805 */   GIR_RootConstrainSelectedInstOperands,
     /* 366806 */   // GIR_Coverage, 11211,
     /* 366806 */   GIR_EraseRootFromParent_Done,
     /* 366807 */ // Label 7268: @366807
     /* 366807 */ GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(366855), // Rule ID 1929 //
     /* 366812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 366815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 366818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366829 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366833 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366837 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 366841 */   // MIs[1] Operand 1
     /* 366841 */   // No operand predicates
     /* 366841 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366843 */   // (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi64_idx0:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 366843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi64_idx0),
     /* 366846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366848 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 366850 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 366853 */   GIR_RootConstrainSelectedInstOperands,
     /* 366854 */   // GIR_Coverage, 1929,
     /* 366854 */   GIR_EraseRootFromParent_Done,
     /* 366855 */ // Label 7269: @366855
     /* 366855 */ GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(366903), // Rule ID 1933 //
     /* 366860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 366866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366877 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366881 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366885 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 366889 */   // MIs[1] Operand 1
     /* 366889 */   // No operand predicates
     /* 366889 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366891 */   // (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (UMOVvi64:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 366891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi64),
     /* 366894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366896 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 366898 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 366901 */   GIR_RootConstrainSelectedInstOperands,
     /* 366902 */   // GIR_Coverage, 1933,
     /* 366902 */   GIR_EraseRootFromParent_Done,
     /* 366903 */ // Label 7270: @366903
     /* 366903 */ GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(366948), // Rule ID 5790 //
     /* 366908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 366911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366922 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366926 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366930 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 366934 */   // MIs[1] Operand 1
     /* 366934 */   // No operand predicates
     /* 366934 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366936 */   // (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (DUPi64:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 366936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPi64),
     /* 366939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366941 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 366943 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 366946 */   GIR_RootConstrainSelectedInstOperands,
     /* 366947 */   // GIR_Coverage, 5790,
     /* 366947 */   GIR_EraseRootFromParent_Done,
     /* 366948 */ // Label 7271: @366948
     /* 366948 */ GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(367024), // Rule ID 11201 //
     /* 366953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 366959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366966 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366970 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366974 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 366978 */   // MIs[1] Operand 1
     /* 366978 */   // No operand predicates
     /* 366978 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366980 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i64] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), dsub:{ *:[i32] })
     /* 366980 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 366983 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 366987 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366992 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 366996 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 366999 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 367001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367006 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 367013 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367018 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367023 */   // GIR_Coverage, 11201,
     /* 367023 */   GIR_EraseRootFromParent_Done,
     /* 367024 */ // Label 7272: @367024
     /* 367024 */ GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(367100), // Rule ID 11207 //
     /* 367029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 367035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 367038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367042 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 367046 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367050 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 367054 */   // MIs[1] Operand 1
     /* 367054 */   // No operand predicates
     /* 367054 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 367056 */   // (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f64] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), dsub:{ *:[i32] })
     /* 367056 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 367059 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 367063 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367068 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 367072 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 367075 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 367077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367082 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 367089 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367094 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367099 */   // GIR_Coverage, 11207,
     /* 367099 */   GIR_EraseRootFromParent_Done,
     /* 367100 */ // Label 7273: @367100
     /* 367100 */ GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(367161), // Rule ID 11191 //
     /* 367105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 367111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 367114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 367118 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 367122 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_D:{ *:[i64] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2i64] }:$vec)
     /* 367122 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 367125 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 367129 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367134 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 367140 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 367144 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 367147 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 367149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_D),
     /* 367152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 367154 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367157 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 367159 */   GIR_RootConstrainSelectedInstOperands,
     /* 367160 */   // GIR_Coverage, 11191,
     /* 367160 */   GIR_EraseRootFromParent_Done,
     /* 367161 */ // Label 7274: @367161
     /* 367161 */ GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(367222), // Rule ID 11197 //
     /* 367166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 367172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 367175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 367183 */   // (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_D:{ *:[f64] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2f64] }:$vec)
     /* 367183 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 367186 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 367190 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367195 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 367201 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 367205 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 367208 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 367210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_D),
     /* 367213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 367215 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367218 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 367220 */   GIR_RootConstrainSelectedInstOperands,
     /* 367221 */   // GIR_Coverage, 11197,
     /* 367221 */   GIR_EraseRootFromParent_Done,
     /* 367222 */ // Label 7275: @367222
     /* 367222 */ GIM_Reject,
     /* 367223 */ // Label 7224: @367223
     /* 367223 */ GIM_Reject,
     /* 367224 */ // Label 90: @367224
     /* 367224 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(14), GIMT_Encode2(24), /*)*//*default:*//*Label 7283*/ GIMT_Encode4(369543),
     /* 367235 */ /*GILLT_nxv2s16*//*Label 7276*/ GIMT_Encode4(367275),
     /* 367239 */ /*GILLT_nxv2s32*//*Label 7277*/ GIMT_Encode4(367634),
     /* 367243 */ /*GILLT_nxv2s64*//*Label 7278*/ GIMT_Encode4(367936), GIMT_Encode4(0),
     /* 367251 */ /*GILLT_nxv4s16*//*Label 7279*/ GIMT_Encode4(368311),
     /* 367255 */ /*GILLT_nxv4s32*//*Label 7280*/ GIMT_Encode4(368613), GIMT_Encode4(0),
     /* 367263 */ /*GILLT_nxv8s16*//*Label 7281*/ GIMT_Encode4(368988), GIMT_Encode4(0),
     /* 367271 */ /*GILLT_nxv16s8*//*Label 7282*/ GIMT_Encode4(369399),
     /* 367275 */ // Label 7276: @367275
     /* 367275 */ GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(367633),
     /* 367280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 367283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367287 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(367351), // Rule ID 6021 //
     /* 367292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 367303 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 367307 */     // MIs[1] Operand 1
     /* 367307 */     // No operand predicates
     /* 367307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 367309 */     // (splat_vector:{ *:[nxv2f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv2f16] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 367309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 367312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 367316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367321 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 367324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 367326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 367329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 367340 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367345 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367350 */     // GIR_Coverage, 6021,
     /* 367350 */     GIR_EraseRootFromParent_Done,
     /* 367351 */   // Label 7285: @367351
     /* 367351 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(367408), // Rule ID 2675 //
     /* 367356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 367371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367388 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 367392 */     // MIs[2] Operand 1
     /* 367392 */     // No operand predicates
     /* 367392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367394 */     // (splat_vector:{ *:[nxv2f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv2f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 367394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 367397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 367403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 367406 */     GIR_RootConstrainSelectedInstOperands,
     /* 367407 */     // GIR_Coverage, 2675,
     /* 367407 */     GIR_EraseRootFromParent_Done,
     /* 367408 */   // Label 7286: @367408
     /* 367408 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(367465), // Rule ID 2677 //
     /* 367413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 367428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367445 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 367449 */     // MIs[2] Operand 1
     /* 367449 */     // No operand predicates
     /* 367449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367451 */     // (splat_vector:{ *:[nxv2f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2f16] } ZPR:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 367451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 367454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 367460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 367463 */     GIR_RootConstrainSelectedInstOperands,
     /* 367464 */     // GIR_Coverage, 2677,
     /* 367464 */     GIR_EraseRootFromParent_Done,
     /* 367465 */   // Label 7287: @367465
     /* 367465 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(367522), // Rule ID 8331 //
     /* 367470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 367485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367502 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 367506 */     // MIs[2] Operand 1
     /* 367506 */     // No operand predicates
     /* 367506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367508 */     // (splat_vector:{ *:[nxv2f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv2f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 367508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 367511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 367517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 367520 */     GIR_RootConstrainSelectedInstOperands,
     /* 367521 */     // GIR_Coverage, 8331,
     /* 367521 */     GIR_EraseRootFromParent_Done,
     /* 367522 */   // Label 7288: @367522
     /* 367522 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(367556), // Rule ID 8374 //
     /* 367527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 367538 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 367542 */     // MIs[1] Operand 1
     /* 367542 */     // No operand predicates
     /* 367542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 367544 */     // (splat_vector:{ *:[nxv2f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8)  =>  (FDUP_ZI_H:{ *:[nxv2f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 367544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_H),
     /* 367547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367549 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 367554 */     GIR_RootConstrainSelectedInstOperands,
     /* 367555 */     // GIR_Coverage, 8374,
     /* 367555 */     GIR_EraseRootFromParent_Done,
     /* 367556 */   // Label 7289: @367556
     /* 367556 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(367632), // Rule ID 8352 //
     /* 367561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 367568 */     // (splat_vector:{ *:[nxv2f16] } FPR16:{ *:[f16] }:$src)  =>  (DUP_ZZI_H:{ *:[nxv2f16] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR16:{ *:[f16] }:$src, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 367568 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 367571 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 367575 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 367582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 367585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 367589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367594 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 367597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 367601 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 367604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367614 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 367619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 367622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367630 */     GIR_RootConstrainSelectedInstOperands,
     /* 367631 */     // GIR_Coverage, 8352,
     /* 367631 */     GIR_EraseRootFromParent_Done,
     /* 367632 */   // Label 7290: @367632
     /* 367632 */   GIM_Reject,
     /* 367633 */ // Label 7284: @367633
     /* 367633 */ GIM_Reject,
     /* 367634 */ // Label 7277: @367634
     /* 367634 */ GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(367935),
     /* 367639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 367642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367646 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(367710), // Rule ID 6019 //
     /* 367651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 367662 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 367666 */     // MIs[1] Operand 1
     /* 367666 */     // No operand predicates
     /* 367666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 367668 */     // (splat_vector:{ *:[nxv2f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv2f32] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 367668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 367671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 367675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367680 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 367683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 367685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 367688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 367699 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367704 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367709 */     // GIR_Coverage, 6019,
     /* 367709 */     GIR_EraseRootFromParent_Done,
     /* 367710 */   // Label 7292: @367710
     /* 367710 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(367767), // Rule ID 8340 //
     /* 367715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 367730 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367747 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 367751 */     // MIs[2] Operand 1
     /* 367751 */     // No operand predicates
     /* 367751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367753 */     // (splat_vector:{ *:[nxv2f32] } (vector_extract:{ *:[f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv2f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 367753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 367756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 367762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 367765 */     GIR_RootConstrainSelectedInstOperands,
     /* 367766 */     // GIR_Coverage, 8340,
     /* 367766 */     GIR_EraseRootFromParent_Done,
     /* 367767 */   // Label 7293: @367767
     /* 367767 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(367824), // Rule ID 8349 //
     /* 367772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 367787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367804 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 367808 */     // MIs[2] Operand 1
     /* 367808 */     // No operand predicates
     /* 367808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367810 */     // (splat_vector:{ *:[nxv2f32] } (vector_extract:{ *:[f32] } ZPR:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2f32] } ZPR:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 367810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 367813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 367819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 367822 */     GIR_RootConstrainSelectedInstOperands,
     /* 367823 */     // GIR_Coverage, 8349,
     /* 367823 */     GIR_EraseRootFromParent_Done,
     /* 367824 */   // Label 7294: @367824
     /* 367824 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(367858), // Rule ID 8376 //
     /* 367829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 367840 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 367844 */     // MIs[1] Operand 1
     /* 367844 */     // No operand predicates
     /* 367844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 367846 */     // (splat_vector:{ *:[nxv2f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8)  =>  (FDUP_ZI_S:{ *:[nxv2f32] } (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 367846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_S),
     /* 367849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367851 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 367856 */     GIR_RootConstrainSelectedInstOperands,
     /* 367857 */     // GIR_Coverage, 8376,
     /* 367857 */     GIR_EraseRootFromParent_Done,
     /* 367858 */   // Label 7295: @367858
     /* 367858 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(367934), // Rule ID 8354 //
     /* 367863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367870 */     // (splat_vector:{ *:[nxv2f32] } FPR32:{ *:[f32] }:$src)  =>  (DUP_ZZI_S:{ *:[nxv2f32] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR32:{ *:[f32] }:$src, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 367870 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 367873 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 367877 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 367884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 367887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 367891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367896 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 367899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 367903 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 367906 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367911 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367916 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 367924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367932 */     GIR_RootConstrainSelectedInstOperands,
     /* 367933 */     // GIR_Coverage, 8354,
     /* 367933 */     GIR_EraseRootFromParent_Done,
     /* 367934 */   // Label 7296: @367934
     /* 367934 */   GIM_Reject,
     /* 367935 */ // Label 7291: @367935
     /* 367935 */ GIM_Reject,
     /* 367936 */ // Label 7278: @367936
     /* 367936 */ GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(368310),
     /* 367941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 367944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367948 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(368002), // Rule ID 6014 //
     /* 367953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367956 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 367960 */     // (splat_vector:{ *:[nxv2i64] } 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 367960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 367963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 367967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367972 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 367975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 367977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 367980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 367991 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367996 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368001 */     // GIR_Coverage, 6014,
     /* 368001 */     GIR_EraseRootFromParent_Done,
     /* 368002 */   // Label 7298: @368002
     /* 368002 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(368066), // Rule ID 6018 //
     /* 368007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 368018 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 368022 */     // MIs[1] Operand 1
     /* 368022 */     // No operand predicates
     /* 368022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368024 */     // (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 368024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 368027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 368031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368036 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 368039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 368041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 368044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 368055 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368060 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368065 */     // GIR_Coverage, 6018,
     /* 368065 */     GIR_EraseRootFromParent_Done,
     /* 368066 */   // Label 7299: @368066
     /* 368066 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(368123), // Rule ID 2672 //
     /* 368071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 368086 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 368099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368103 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 368107 */     // MIs[2] Operand 1
     /* 368107 */     // No operand predicates
     /* 368107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368109 */     // (splat_vector:{ *:[nxv2i64] } (vector_extract:{ *:[i64] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2i64] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 368109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 368112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 368118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 368121 */     GIR_RootConstrainSelectedInstOperands,
     /* 368122 */     // GIR_Coverage, 2672,
     /* 368122 */     GIR_EraseRootFromParent_Done,
     /* 368123 */   // Label 7300: @368123
     /* 368123 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(368180), // Rule ID 8346 //
     /* 368128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 368143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 368156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368160 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 368164 */     // MIs[2] Operand 1
     /* 368164 */     // No operand predicates
     /* 368164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368166 */     // (splat_vector:{ *:[nxv2f64] } (vector_extract:{ *:[f64] } ZPR:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2f64] } ZPR:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 368166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 368169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 368175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 368178 */     GIR_RootConstrainSelectedInstOperands,
     /* 368179 */     // GIR_Coverage, 8346,
     /* 368179 */     GIR_EraseRootFromParent_Done,
     /* 368180 */   // Label 7301: @368180
     /* 368180 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(368214), // Rule ID 8377 //
     /* 368185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 368196 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm64),
     /* 368200 */     // MIs[1] Operand 1
     /* 368200 */     // No operand predicates
     /* 368200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368202 */     // (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>><<X:fpimm64XForm>>:$imm8)  =>  (FDUP_ZI_D:{ *:[nxv2f64] } (fpimm64XForm:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>>:$imm8))
     /* 368202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_D),
     /* 368205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368207 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm64), // imm8
     /* 368212 */     GIR_RootConstrainSelectedInstOperands,
     /* 368213 */     // GIR_Coverage, 8377,
     /* 368213 */     GIR_EraseRootFromParent_Done,
     /* 368214 */   // Label 7302: @368214
     /* 368214 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(368233), // Rule ID 2391 //
     /* 368219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 368226 */     // (splat_vector:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$Rn)  =>  (DUP_ZR_D:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 368226 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 368231 */     GIR_RootConstrainSelectedInstOperands,
     /* 368232 */     // GIR_Coverage, 2391,
     /* 368232 */     GIR_Done,
     /* 368233 */   // Label 7303: @368233
     /* 368233 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(368309), // Rule ID 8355 //
     /* 368238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368245 */     // (splat_vector:{ *:[nxv2f64] } FPR64:{ *:[f64] }:$src)  =>  (DUP_ZZI_D:{ *:[nxv2f64] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR64:{ *:[f64] }:$src, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 368245 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 368248 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 368252 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 368259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 368262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 368266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368271 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 368274 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 368278 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 368281 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368286 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368291 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 368299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368307 */     GIR_RootConstrainSelectedInstOperands,
     /* 368308 */     // GIR_Coverage, 8355,
     /* 368308 */     GIR_EraseRootFromParent_Done,
     /* 368309 */   // Label 7304: @368309
     /* 368309 */   GIM_Reject,
     /* 368310 */ // Label 7297: @368310
     /* 368310 */ GIM_Reject,
     /* 368311 */ // Label 7279: @368311
     /* 368311 */ GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(368612),
     /* 368316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 368319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368323 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(368387), // Rule ID 6022 //
     /* 368328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 368339 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 368343 */     // MIs[1] Operand 1
     /* 368343 */     // No operand predicates
     /* 368343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368345 */     // (splat_vector:{ *:[nxv4f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv4f16] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 368345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 368348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 368352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368357 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 368360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 368362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 368365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 368376 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368381 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368386 */     // GIR_Coverage, 6022,
     /* 368386 */     GIR_EraseRootFromParent_Done,
     /* 368387 */   // Label 7306: @368387
     /* 368387 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(368444), // Rule ID 2676 //
     /* 368392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 368407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 368420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368424 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 368428 */     // MIs[2] Operand 1
     /* 368428 */     // No operand predicates
     /* 368428 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368430 */     // (splat_vector:{ *:[nxv4f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv4f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 368430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 368433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 368439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 368442 */     GIR_RootConstrainSelectedInstOperands,
     /* 368443 */     // GIR_Coverage, 2676,
     /* 368443 */     GIR_EraseRootFromParent_Done,
     /* 368444 */   // Label 7307: @368444
     /* 368444 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(368501), // Rule ID 8334 //
     /* 368449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 368464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 368477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368481 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 368485 */     // MIs[2] Operand 1
     /* 368485 */     // No operand predicates
     /* 368485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368487 */     // (splat_vector:{ *:[nxv4f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv4f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 368487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 368490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 368496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 368499 */     GIR_RootConstrainSelectedInstOperands,
     /* 368500 */     // GIR_Coverage, 8334,
     /* 368500 */     GIR_EraseRootFromParent_Done,
     /* 368501 */   // Label 7308: @368501
     /* 368501 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(368535), // Rule ID 8373 //
     /* 368506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 368517 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 368521 */     // MIs[1] Operand 1
     /* 368521 */     // No operand predicates
     /* 368521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368523 */     // (splat_vector:{ *:[nxv4f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8)  =>  (FDUP_ZI_H:{ *:[nxv4f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 368523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_H),
     /* 368526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368528 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 368533 */     GIR_RootConstrainSelectedInstOperands,
     /* 368534 */     // GIR_Coverage, 8373,
     /* 368534 */     GIR_EraseRootFromParent_Done,
     /* 368535 */   // Label 7309: @368535
     /* 368535 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(368611), // Rule ID 8351 //
     /* 368540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 368547 */     // (splat_vector:{ *:[nxv4f16] } FPR16:{ *:[f16] }:$src)  =>  (DUP_ZZI_H:{ *:[nxv4f16] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR16:{ *:[f16] }:$src, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 368547 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 368550 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 368554 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 368561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 368564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 368568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368573 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 368576 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 368580 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 368583 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368588 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368593 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 368598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 368601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368609 */     GIR_RootConstrainSelectedInstOperands,
     /* 368610 */     // GIR_Coverage, 8351,
     /* 368610 */     GIR_EraseRootFromParent_Done,
     /* 368611 */   // Label 7310: @368611
     /* 368611 */   GIM_Reject,
     /* 368612 */ // Label 7305: @368612
     /* 368612 */ GIM_Reject,
     /* 368613 */ // Label 7280: @368613
     /* 368613 */ GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(368987),
     /* 368618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 368621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368625 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(368679), // Rule ID 6015 //
     /* 368630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368633 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 368637 */     // (splat_vector:{ *:[nxv4i32] } 0:{ *:[i32] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 368637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 368640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 368644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368649 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 368652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 368654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 368657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 368668 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368673 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368678 */     // GIR_Coverage, 6015,
     /* 368678 */     GIR_EraseRootFromParent_Done,
     /* 368679 */   // Label 7312: @368679
     /* 368679 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(368743), // Rule ID 6020 //
     /* 368684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 368695 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 368699 */     // MIs[1] Operand 1
     /* 368699 */     // No operand predicates
     /* 368699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368701 */     // (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 368701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 368704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 368708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368713 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 368716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 368718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 368721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 368732 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368737 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368742 */     // GIR_Coverage, 6020,
     /* 368742 */     GIR_EraseRootFromParent_Done,
     /* 368743 */   // Label 7313: @368743
     /* 368743 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(368800), // Rule ID 2669 //
     /* 368748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 368763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 368776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368780 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 368784 */     // MIs[2] Operand 1
     /* 368784 */     // No operand predicates
     /* 368784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368786 */     // (splat_vector:{ *:[nxv4i32] } (vector_extract:{ *:[i32] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv4i32] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 368786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 368789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 368795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 368798 */     GIR_RootConstrainSelectedInstOperands,
     /* 368799 */     // GIR_Coverage, 2669,
     /* 368799 */     GIR_EraseRootFromParent_Done,
     /* 368800 */   // Label 7314: @368800
     /* 368800 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(368857), // Rule ID 8343 //
     /* 368805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 368820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 368833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368837 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 368841 */     // MIs[2] Operand 1
     /* 368841 */     // No operand predicates
     /* 368841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368843 */     // (splat_vector:{ *:[nxv4f32] } (vector_extract:{ *:[f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv4f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 368843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 368846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 368852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 368855 */     GIR_RootConstrainSelectedInstOperands,
     /* 368856 */     // GIR_Coverage, 8343,
     /* 368856 */     GIR_EraseRootFromParent_Done,
     /* 368857 */   // Label 7315: @368857
     /* 368857 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(368891), // Rule ID 8375 //
     /* 368862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 368873 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 368877 */     // MIs[1] Operand 1
     /* 368877 */     // No operand predicates
     /* 368877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368879 */     // (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8)  =>  (FDUP_ZI_S:{ *:[nxv4f32] } (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 368879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_S),
     /* 368882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368884 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 368889 */     GIR_RootConstrainSelectedInstOperands,
     /* 368890 */     // GIR_Coverage, 8375,
     /* 368890 */     GIR_EraseRootFromParent_Done,
     /* 368891 */   // Label 7316: @368891
     /* 368891 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(368910), // Rule ID 2390 //
     /* 368896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 368903 */     // (splat_vector:{ *:[nxv4i32] } GPR32sp:{ *:[i32] }:$Rn)  =>  (DUP_ZR_S:{ *:[nxv4i32] } GPR32sp:{ *:[i32] }:$Rn)
     /* 368903 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 368908 */     GIR_RootConstrainSelectedInstOperands,
     /* 368909 */     // GIR_Coverage, 2390,
     /* 368909 */     GIR_Done,
     /* 368910 */   // Label 7317: @368910
     /* 368910 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(368986), // Rule ID 8353 //
     /* 368915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368922 */     // (splat_vector:{ *:[nxv4f32] } FPR32:{ *:[f32] }:$src)  =>  (DUP_ZZI_S:{ *:[nxv4f32] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR32:{ *:[f32] }:$src, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 368922 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 368925 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 368929 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 368936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 368939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 368943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368948 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 368951 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 368955 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 368958 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368963 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368968 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 368976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368984 */     GIR_RootConstrainSelectedInstOperands,
     /* 368985 */     // GIR_Coverage, 8353,
     /* 368985 */     GIR_EraseRootFromParent_Done,
     /* 368986 */   // Label 7318: @368986
     /* 368986 */   GIM_Reject,
     /* 368987 */ // Label 7311: @368987
     /* 368987 */ GIM_Reject,
     /* 368988 */ // Label 7281: @368988
     /* 368988 */ GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(369049), // Rule ID 6016 //
     /* 368993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 368999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369003 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 369007 */   // (splat_vector:{ *:[nxv8i16] } 0:{ *:[i32] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 369007 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 369010 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 369014 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369019 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 369022 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 369024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 369027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 369029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369032 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 369038 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369043 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369048 */   // GIR_Coverage, 6016,
     /* 369048 */   GIR_EraseRootFromParent_Done,
     /* 369049 */ // Label 7319: @369049
     /* 369049 */ GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(369120), // Rule ID 6023 //
     /* 369054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 369057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 369060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369064 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369068 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 369072 */   GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 369076 */   // MIs[1] Operand 1
     /* 369076 */   // No operand predicates
     /* 369076 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369078 */   // (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 369078 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 369081 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 369085 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369090 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 369093 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 369095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 369098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 369100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369103 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 369109 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369114 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369119 */   // GIR_Coverage, 6023,
     /* 369119 */   GIR_EraseRootFromParent_Done,
     /* 369120 */ // Label 7320: @369120
     /* 369120 */ GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(369184), // Rule ID 2666 //
     /* 369125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 369131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369135 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369139 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369143 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 369147 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369151 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369156 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 369160 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 369164 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 369168 */   // MIs[2] Operand 1
     /* 369168 */   // No operand predicates
     /* 369168 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369170 */   // (splat_vector:{ *:[nxv8i16] } (vector_extract:{ *:[i32] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv8i16] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 369170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 369173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 369175 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 369179 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 369182 */   GIR_RootConstrainSelectedInstOperands,
     /* 369183 */   // GIR_Coverage, 2666,
     /* 369183 */   GIR_EraseRootFromParent_Done,
     /* 369184 */ // Label 7321: @369184
     /* 369184 */ GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(369248), // Rule ID 8337 //
     /* 369189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 369195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369199 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369203 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369207 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 369211 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369215 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369220 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 369224 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 369228 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 369232 */   // MIs[2] Operand 1
     /* 369232 */   // No operand predicates
     /* 369232 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369234 */   // (splat_vector:{ *:[nxv8f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv8f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 369234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 369237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 369239 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 369243 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 369246 */   GIR_RootConstrainSelectedInstOperands,
     /* 369247 */   // GIR_Coverage, 8337,
     /* 369247 */   GIR_EraseRootFromParent_Done,
     /* 369248 */ // Label 7322: @369248
     /* 369248 */ GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(369289), // Rule ID 8372 //
     /* 369253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 369259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369263 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369267 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 369271 */   GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 369275 */   // MIs[1] Operand 1
     /* 369275 */   // No operand predicates
     /* 369275 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369277 */   // (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8)  =>  (FDUP_ZI_H:{ *:[nxv8f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 369277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_H),
     /* 369280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 369282 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 369287 */   GIR_RootConstrainSelectedInstOperands,
     /* 369288 */   // GIR_Coverage, 8372,
     /* 369288 */   GIR_EraseRootFromParent_Done,
     /* 369289 */ // Label 7323: @369289
     /* 369289 */ GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(369315), // Rule ID 2389 //
     /* 369294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 369300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 369308 */   // (splat_vector:{ *:[nxv8i16] } GPR32sp:{ *:[i32] }:$Rn)  =>  (DUP_ZR_H:{ *:[nxv8i16] } GPR32sp:{ *:[i32] }:$Rn)
     /* 369308 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_H),
     /* 369313 */   GIR_RootConstrainSelectedInstOperands,
     /* 369314 */   // GIR_Coverage, 2389,
     /* 369314 */   GIR_Done,
     /* 369315 */ // Label 7324: @369315
     /* 369315 */ GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(369398), // Rule ID 8350 //
     /* 369320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 369326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 369334 */   // (splat_vector:{ *:[nxv8f16] } FPR16:{ *:[f16] }:$src)  =>  (DUP_ZZI_H:{ *:[nxv8f16] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR16:{ *:[f16] }:$src, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 369334 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 369337 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 369341 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369346 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 369348 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 369351 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 369355 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369360 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 369363 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 369367 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 369370 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369375 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369380 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 369385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 369388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 369390 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369396 */   GIR_RootConstrainSelectedInstOperands,
     /* 369397 */   // GIR_Coverage, 8350,
     /* 369397 */   GIR_EraseRootFromParent_Done,
     /* 369398 */ // Label 7325: @369398
     /* 369398 */ GIM_Reject,
     /* 369399 */ // Label 7282: @369399
     /* 369399 */ GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(369542),
     /* 369404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 369407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369411 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(369465), // Rule ID 6017 //
     /* 369416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 369419 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 369423 */     // (splat_vector:{ *:[nxv16i8] } 0:{ *:[i32] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 369423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 369426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 369430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369435 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 369438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 369440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 369443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 369445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 369454 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369459 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369464 */     // GIR_Coverage, 6017,
     /* 369464 */     GIR_EraseRootFromParent_Done,
     /* 369465 */   // Label 7327: @369465
     /* 369465 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(369522), // Rule ID 2663 //
     /* 369470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 369485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 369498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 369502 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_b),
     /* 369506 */     // MIs[2] Operand 1
     /* 369506 */     // No operand predicates
     /* 369506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369508 */     // (splat_vector:{ *:[nxv16i8] } (vector_extract:{ *:[i32] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index))  =>  (DUP_ZZI_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index)
     /* 369508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_B),
     /* 369511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 369513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 369517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 369520 */     GIR_RootConstrainSelectedInstOperands,
     /* 369521 */     // GIR_Coverage, 2663,
     /* 369521 */     GIR_EraseRootFromParent_Done,
     /* 369522 */   // Label 7328: @369522
     /* 369522 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(369541), // Rule ID 2388 //
     /* 369527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 369534 */     // (splat_vector:{ *:[nxv16i8] } GPR32sp:{ *:[i32] }:$Rn)  =>  (DUP_ZR_B:{ *:[nxv16i8] } GPR32sp:{ *:[i32] }:$Rn)
     /* 369534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_B),
     /* 369539 */     GIR_RootConstrainSelectedInstOperands,
     /* 369540 */     // GIR_Coverage, 2388,
     /* 369540 */     GIR_Done,
     /* 369541 */   // Label 7329: @369541
     /* 369541 */   GIM_Reject,
     /* 369542 */ // Label 7326: @369542
     /* 369542 */ GIM_Reject,
     /* 369543 */ // Label 7283: @369543
     /* 369543 */ GIM_Reject,
     /* 369544 */ // Label 91: @369544
     /* 369544 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 7332*/ GIMT_Encode4(369695),
     /* 369555 */ /*GILLT_s32*//*Label 7330*/ GIMT_Encode4(369563),
     /* 369559 */ /*GILLT_s64*//*Label 7331*/ GIMT_Encode4(369629),
     /* 369563 */ // Label 7330: @369563
     /* 369563 */ GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(369628),
     /* 369568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 369571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 369575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 369579 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(369594), // Rule ID 2321 //
     /* 369584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 369587 */     // (cttz:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CTZWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 369587 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CTZWr),
     /* 369592 */     GIR_RootConstrainSelectedInstOperands,
     /* 369593 */     // GIR_Coverage, 2321,
     /* 369593 */     GIR_Done,
     /* 369594 */   // Label 7334: @369594
     /* 369594 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(369627), // Rule ID 4005 //
     /* 369599 */     // (cttz:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CLZWr:{ *:[i32] } (RBITWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn))
     /* 369599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 369602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::RBITWr),
     /* 369606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 369615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 369617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLZWr),
     /* 369620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369625 */     GIR_RootConstrainSelectedInstOperands,
     /* 369626 */     // GIR_Coverage, 4005,
     /* 369626 */     GIR_EraseRootFromParent_Done,
     /* 369627 */   // Label 7335: @369627
     /* 369627 */   GIM_Reject,
     /* 369628 */ // Label 7333: @369628
     /* 369628 */ GIM_Reject,
     /* 369629 */ // Label 7331: @369629
     /* 369629 */ GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(369694),
     /* 369634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 369637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 369641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 369645 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(369660), // Rule ID 2322 //
     /* 369650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 369653 */     // (cttz:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CTZXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 369653 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CTZXr),
     /* 369658 */     GIR_RootConstrainSelectedInstOperands,
     /* 369659 */     // GIR_Coverage, 2322,
     /* 369659 */     GIR_Done,
     /* 369660 */   // Label 7337: @369660
     /* 369660 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(369693), // Rule ID 4006 //
     /* 369665 */     // (cttz:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CLZXr:{ *:[i64] } (RBITXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn))
     /* 369665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 369668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::RBITXr),
     /* 369672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 369681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 369683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLZXr),
     /* 369686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369691 */     GIR_RootConstrainSelectedInstOperands,
     /* 369692 */     // GIR_Coverage, 4006,
     /* 369692 */     GIR_EraseRootFromParent_Done,
     /* 369693 */   // Label 7338: @369693
     /* 369693 */   GIM_Reject,
     /* 369694 */ // Label 7336: @369694
     /* 369694 */ GIM_Reject,
     /* 369695 */ // Label 7332: @369695
     /* 369695 */ GIM_Reject,
     /* 369696 */ // Label 92: @369696
     /* 369696 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7347*/ GIMT_Encode4(370369),
     /* 369707 */ /*GILLT_s32*//*Label 7339*/ GIMT_Encode4(369747),
     /* 369711 */ /*GILLT_s64*//*Label 7340*/ GIMT_Encode4(369977), GIMT_Encode4(0),
     /* 369719 */ /*GILLT_v2s32*//*Label 7341*/ GIMT_Encode4(370207), GIMT_Encode4(0),
     /* 369727 */ /*GILLT_v4s16*//*Label 7342*/ GIMT_Encode4(370234),
     /* 369731 */ /*GILLT_v4s32*//*Label 7343*/ GIMT_Encode4(370261),
     /* 369735 */ /*GILLT_v8s8*//*Label 7344*/ GIMT_Encode4(370288),
     /* 369739 */ /*GILLT_v8s16*//*Label 7345*/ GIMT_Encode4(370315),
     /* 369743 */ /*GILLT_v16s8*//*Label 7346*/ GIMT_Encode4(370342),
     /* 369747 */ // Label 7339: @369747
     /* 369747 */ GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(369976),
     /* 369752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 369755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 369759 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(369859), // Rule ID 4007 //
     /* 369764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 369772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 369776 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 369780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 369784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 369788 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 369792 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 369796 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 369800 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 369804 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 369808 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 369812 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 369816 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /* 369820 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 369824 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 369829 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 31,
     /* 369833 */     // MIs[3] Rn
     /* 369833 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/4, /*OtherOpIdx*/1,
     /* 369838 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 369842 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 369846 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 369848 */     // (ctlz:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (xor:{ *:[i32] } (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, 31:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn), 1:{ *:[i64] }), 1:{ *:[i32] }))  =>  (CLSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 369848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSWr),
     /* 369851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /* 369857 */     GIR_RootConstrainSelectedInstOperands,
     /* 369858 */     // GIR_Coverage, 4007,
     /* 369858 */     GIR_EraseRootFromParent_Done,
     /* 369859 */   // Label 7349: @369859
     /* 369859 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(369959), // Rule ID 13789 //
     /* 369864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 369872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 369876 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 369880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 369884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 369888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 369892 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 369896 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 369900 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 369904 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 369908 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /* 369912 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 369917 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 369921 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 369925 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 369929 */     // MIs[4] Rn
     /* 369929 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /* 369934 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 31,
     /* 369938 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 369942 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 369946 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 369948 */     // (ctlz:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, 31:{ *:[i64] })), 1:{ *:[i64] }), 1:{ *:[i32] }))  =>  (CLSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 369948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSWr),
     /* 369951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 369957 */     GIR_RootConstrainSelectedInstOperands,
     /* 369958 */     // GIR_Coverage, 13789,
     /* 369958 */     GIR_EraseRootFromParent_Done,
     /* 369959 */   // Label 7350: @369959
     /* 369959 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(369975), // Rule ID 180 //
     /* 369964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 369968 */     // (ctlz:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CLZWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 369968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZWr),
     /* 369973 */     GIR_RootConstrainSelectedInstOperands,
     /* 369974 */     // GIR_Coverage, 180,
     /* 369974 */     GIR_Done,
     /* 369975 */   // Label 7351: @369975
     /* 369975 */   GIM_Reject,
     /* 369976 */ // Label 7348: @369976
     /* 369976 */ GIM_Reject,
     /* 369977 */ // Label 7340: @369977
     /* 369977 */ GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(370206),
     /* 369982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 369985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 369989 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(370089), // Rule ID 4008 //
     /* 369994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 370002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 370006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 370014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 370018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 370022 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 370026 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 370030 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 370034 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 370038 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 370042 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 370046 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /* 370050 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 370054 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370059 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 63,
     /* 370063 */     // MIs[3] Rn
     /* 370063 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/4, /*OtherOpIdx*/1,
     /* 370068 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 370072 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 370076 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 370078 */     // (ctlz:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (xor:{ *:[i64] } (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 63:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn), 1:{ *:[i64] }), 1:{ *:[i64] }))  =>  (CLSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 370078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSXr),
     /* 370081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 370083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /* 370087 */     GIR_RootConstrainSelectedInstOperands,
     /* 370088 */     // GIR_Coverage, 4008,
     /* 370088 */     GIR_EraseRootFromParent_Done,
     /* 370089 */   // Label 7353: @370089
     /* 370089 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(370189), // Rule ID 13790 //
     /* 370094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 370102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 370106 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 370114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 370118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 370122 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 370126 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 370130 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 370134 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 370138 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 370142 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370147 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 370151 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 370155 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 370159 */     // MIs[4] Rn
     /* 370159 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /* 370164 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 63,
     /* 370168 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 370172 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 370176 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 370178 */     // (ctlz:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 63:{ *:[i64] })), 1:{ *:[i64] }), 1:{ *:[i64] }))  =>  (CLSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 370178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSXr),
     /* 370181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 370183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 370187 */     GIR_RootConstrainSelectedInstOperands,
     /* 370188 */     // GIR_Coverage, 13790,
     /* 370188 */     GIR_EraseRootFromParent_Done,
     /* 370189 */   // Label 7354: @370189
     /* 370189 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(370205), // Rule ID 181 //
     /* 370194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370198 */     // (ctlz:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CLZXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 370198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZXr),
     /* 370203 */     GIR_RootConstrainSelectedInstOperands,
     /* 370204 */     // GIR_Coverage, 181,
     /* 370204 */     GIR_Done,
     /* 370205 */   // Label 7355: @370205
     /* 370205 */   GIM_Reject,
     /* 370206 */ // Label 7352: @370206
     /* 370206 */ GIM_Reject,
     /* 370207 */ // Label 7341: @370207
     /* 370207 */ GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(370233), // Rule ID 720 //
     /* 370212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 370218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370226 */   // (ctlz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (CLZv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 370226 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv2i32),
     /* 370231 */   GIR_RootConstrainSelectedInstOperands,
     /* 370232 */   // GIR_Coverage, 720,
     /* 370232 */   GIR_Done,
     /* 370233 */ // Label 7356: @370233
     /* 370233 */ GIM_Reject,
     /* 370234 */ // Label 7342: @370234
     /* 370234 */ GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(370260), // Rule ID 718 //
     /* 370239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 370245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370253 */   // (ctlz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (CLZv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 370253 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv4i16),
     /* 370258 */   GIR_RootConstrainSelectedInstOperands,
     /* 370259 */   // GIR_Coverage, 718,
     /* 370259 */   GIR_Done,
     /* 370260 */ // Label 7357: @370260
     /* 370260 */ GIM_Reject,
     /* 370261 */ // Label 7343: @370261
     /* 370261 */ GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(370287), // Rule ID 721 //
     /* 370266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 370272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370280 */   // (ctlz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (CLZv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 370280 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv4i32),
     /* 370285 */   GIR_RootConstrainSelectedInstOperands,
     /* 370286 */   // GIR_Coverage, 721,
     /* 370286 */   GIR_Done,
     /* 370287 */ // Label 7358: @370287
     /* 370287 */ GIM_Reject,
     /* 370288 */ // Label 7344: @370288
     /* 370288 */ GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(370314), // Rule ID 716 //
     /* 370293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 370299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370307 */   // (ctlz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (CLZv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 370307 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv8i8),
     /* 370312 */   GIR_RootConstrainSelectedInstOperands,
     /* 370313 */   // GIR_Coverage, 716,
     /* 370313 */   GIR_Done,
     /* 370314 */ // Label 7359: @370314
     /* 370314 */ GIM_Reject,
     /* 370315 */ // Label 7345: @370315
     /* 370315 */ GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(370341), // Rule ID 719 //
     /* 370320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 370326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370334 */   // (ctlz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (CLZv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 370334 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv8i16),
     /* 370339 */   GIR_RootConstrainSelectedInstOperands,
     /* 370340 */   // GIR_Coverage, 719,
     /* 370340 */   GIR_Done,
     /* 370341 */ // Label 7360: @370341
     /* 370341 */ GIM_Reject,
     /* 370342 */ // Label 7346: @370342
     /* 370342 */ GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(370368), // Rule ID 717 //
     /* 370347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 370353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370361 */   // (ctlz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (CLZv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 370361 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv16i8),
     /* 370366 */   GIR_RootConstrainSelectedInstOperands,
     /* 370367 */   // GIR_Coverage, 717,
     /* 370367 */   GIR_Done,
     /* 370368 */ // Label 7361: @370368
     /* 370368 */ GIM_Reject,
     /* 370369 */ // Label 7347: @370369
     /* 370369 */ GIM_Reject,
     /* 370370 */ // Label 93: @370370
     /* 370370 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7366*/ GIMT_Encode4(370529),
     /* 370381 */ /*GILLT_s32*//*Label 7362*/ GIMT_Encode4(370421),
     /* 370385 */ /*GILLT_s64*//*Label 7363*/ GIMT_Encode4(370448), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 370409 */ /*GILLT_v8s8*//*Label 7364*/ GIMT_Encode4(370475), GIMT_Encode4(0),
     /* 370417 */ /*GILLT_v16s8*//*Label 7365*/ GIMT_Encode4(370502),
     /* 370421 */ // Label 7362: @370421
     /* 370421 */ GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(370447), // Rule ID 2319 //
     /* 370426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 370429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 370432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370440 */   // (ctpop:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CNTWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 370440 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTWr),
     /* 370445 */   GIR_RootConstrainSelectedInstOperands,
     /* 370446 */   // GIR_Coverage, 2319,
     /* 370446 */   GIR_Done,
     /* 370447 */ // Label 7367: @370447
     /* 370447 */ GIM_Reject,
     /* 370448 */ // Label 7363: @370448
     /* 370448 */ GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(370474), // Rule ID 2320 //
     /* 370453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 370456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 370459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370467 */   // (ctpop:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CNTXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 370467 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTXr),
     /* 370472 */   GIR_RootConstrainSelectedInstOperands,
     /* 370473 */   // GIR_Coverage, 2320,
     /* 370473 */   GIR_Done,
     /* 370474 */ // Label 7368: @370474
     /* 370474 */ GIM_Reject,
     /* 370475 */ // Label 7364: @370475
     /* 370475 */ GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(370501), // Rule ID 764 //
     /* 370480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 370486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370494 */   // (ctpop:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (CNTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 370494 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTv8i8),
     /* 370499 */   GIR_RootConstrainSelectedInstOperands,
     /* 370500 */   // GIR_Coverage, 764,
     /* 370500 */   GIR_Done,
     /* 370501 */ // Label 7369: @370501
     /* 370501 */ GIM_Reject,
     /* 370502 */ // Label 7365: @370502
     /* 370502 */ GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(370528), // Rule ID 765 //
     /* 370507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 370513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370521 */   // (ctpop:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (CNTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 370521 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTv16i8),
     /* 370526 */   GIR_RootConstrainSelectedInstOperands,
     /* 370527 */   // GIR_Coverage, 765,
     /* 370527 */   GIR_Done,
     /* 370528 */ // Label 7370: @370528
     /* 370528 */ GIM_Reject,
     /* 370529 */ // Label 7366: @370529
     /* 370529 */ GIM_Reject,
     /* 370530 */ // Label 94: @370530
     /* 370530 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 7378*/ GIMT_Encode4(370843),
     /* 370541 */ /*GILLT_s32*//*Label 7371*/ GIMT_Encode4(370577),
     /* 370545 */ /*GILLT_s64*//*Label 7372*/ GIMT_Encode4(370650), GIMT_Encode4(0),
     /* 370553 */ /*GILLT_v2s32*//*Label 7373*/ GIMT_Encode4(370723),
     /* 370557 */ /*GILLT_v2s64*//*Label 7374*/ GIMT_Encode4(370747),
     /* 370561 */ /*GILLT_v4s16*//*Label 7375*/ GIMT_Encode4(370771),
     /* 370565 */ /*GILLT_v4s32*//*Label 7376*/ GIMT_Encode4(370795), GIMT_Encode4(0),
     /* 370573 */ /*GILLT_v8s16*//*Label 7377*/ GIMT_Encode4(370819),
     /* 370577 */ // Label 7371: @370577
     /* 370577 */ GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(370649),
     /* 370582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 370585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370589 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(370632), // Rule ID 4011 //
     /* 370594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /* 370602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 370606 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370615 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 370619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 370621 */     // (bswap:{ *:[i32] } (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, 16:{ *:[i64] }))  =>  (REV16Wr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 370621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Wr),
     /* 370624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 370626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 370630 */     GIR_RootConstrainSelectedInstOperands,
     /* 370631 */     // GIR_Coverage, 4011,
     /* 370631 */     GIR_EraseRootFromParent_Done,
     /* 370632 */   // Label 7380: @370632
     /* 370632 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(370648), // Rule ID 185 //
     /* 370637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370641 */     // (bswap:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (REVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 370641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REVWr),
     /* 370646 */     GIR_RootConstrainSelectedInstOperands,
     /* 370647 */     // GIR_Coverage, 185,
     /* 370647 */     GIR_Done,
     /* 370648 */   // Label 7381: @370648
     /* 370648 */   GIM_Reject,
     /* 370649 */ // Label 7379: @370649
     /* 370649 */ GIM_Reject,
     /* 370650 */ // Label 7372: @370650
     /* 370650 */ GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(370722),
     /* 370655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 370658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370662 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(370705), // Rule ID 4012 //
     /* 370667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /* 370675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 370679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370688 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /* 370692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 370694 */     // (bswap:{ *:[i64] } (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 32:{ *:[i64] }))  =>  (REV32Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 370694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV32Xr),
     /* 370697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 370699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 370703 */     GIR_RootConstrainSelectedInstOperands,
     /* 370704 */     // GIR_Coverage, 4012,
     /* 370704 */     GIR_EraseRootFromParent_Done,
     /* 370705 */   // Label 7383: @370705
     /* 370705 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(370721), // Rule ID 186 //
     /* 370710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370714 */     // (bswap:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (REVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 370714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REVXr),
     /* 370719 */     GIR_RootConstrainSelectedInstOperands,
     /* 370720 */     // GIR_Coverage, 186,
     /* 370720 */     GIR_Done,
     /* 370721 */   // Label 7384: @370721
     /* 370721 */   GIM_Reject,
     /* 370722 */ // Label 7382: @370722
     /* 370722 */ GIM_Reject,
     /* 370723 */ // Label 7373: @370723
     /* 370723 */ GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(370746), // Rule ID 4988 //
     /* 370728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 370731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370739 */   // (bswap:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (REV32v8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 370739 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /* 370744 */   GIR_RootConstrainSelectedInstOperands,
     /* 370745 */   // GIR_Coverage, 4988,
     /* 370745 */   GIR_Done,
     /* 370746 */ // Label 7385: @370746
     /* 370746 */ GIM_Reject,
     /* 370747 */ // Label 7374: @370747
     /* 370747 */ GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(370770), // Rule ID 4990 //
     /* 370752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370763 */   // (bswap:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)  =>  (REV64v16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 370763 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /* 370768 */   GIR_RootConstrainSelectedInstOperands,
     /* 370769 */   // GIR_Coverage, 4990,
     /* 370769 */   GIR_Done,
     /* 370770 */ // Label 7386: @370770
     /* 370770 */ GIM_Reject,
     /* 370771 */ // Label 7375: @370771
     /* 370771 */ GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(370794), // Rule ID 4986 //
     /* 370776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 370779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370787 */   // (bswap:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (REV16v8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 370787 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /* 370792 */   GIR_RootConstrainSelectedInstOperands,
     /* 370793 */   // GIR_Coverage, 4986,
     /* 370793 */   GIR_Done,
     /* 370794 */ // Label 7387: @370794
     /* 370794 */ GIM_Reject,
     /* 370795 */ // Label 7376: @370795
     /* 370795 */ GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(370818), // Rule ID 4989 //
     /* 370800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 370803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370811 */   // (bswap:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (REV32v16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 370811 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /* 370816 */   GIR_RootConstrainSelectedInstOperands,
     /* 370817 */   // GIR_Coverage, 4989,
     /* 370817 */   GIR_Done,
     /* 370818 */ // Label 7388: @370818
     /* 370818 */ GIM_Reject,
     /* 370819 */ // Label 7377: @370819
     /* 370819 */ GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(370842), // Rule ID 4987 //
     /* 370824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 370827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370835 */   // (bswap:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (REV16v16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 370835 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /* 370840 */   GIR_RootConstrainSelectedInstOperands,
     /* 370841 */   // GIR_Coverage, 4987,
     /* 370841 */   GIR_Done,
     /* 370842 */ // Label 7389: @370842
     /* 370842 */ GIM_Reject,
     /* 370843 */ // Label 7378: @370843
     /* 370843 */ GIM_Reject,
     /* 370844 */ // Label 95: @370844
     /* 370844 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7394*/ GIMT_Encode4(370997),
     /* 370855 */ /*GILLT_s32*//*Label 7390*/ GIMT_Encode4(370895),
     /* 370859 */ /*GILLT_s64*//*Label 7391*/ GIMT_Encode4(370919), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 370883 */ /*GILLT_v8s8*//*Label 7392*/ GIMT_Encode4(370943), GIMT_Encode4(0),
     /* 370891 */ /*GILLT_v16s8*//*Label 7393*/ GIMT_Encode4(370970),
     /* 370895 */ // Label 7390: @370895
     /* 370895 */ GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(370918), // Rule ID 182 //
     /* 370900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 370903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370911 */   // (bitreverse:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (RBITWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 370911 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITWr),
     /* 370916 */   GIR_RootConstrainSelectedInstOperands,
     /* 370917 */   // GIR_Coverage, 182,
     /* 370917 */   GIR_Done,
     /* 370918 */ // Label 7395: @370918
     /* 370918 */ GIM_Reject,
     /* 370919 */ // Label 7391: @370919
     /* 370919 */ GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(370942), // Rule ID 183 //
     /* 370924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 370927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370935 */   // (bitreverse:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (RBITXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 370935 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITXr),
     /* 370940 */   GIR_RootConstrainSelectedInstOperands,
     /* 370941 */   // GIR_Coverage, 183,
     /* 370941 */   GIR_Done,
     /* 370942 */ // Label 7396: @370942
     /* 370942 */ GIM_Reject,
     /* 370943 */ // Label 7392: @370943
     /* 370943 */ GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(370969), // Rule ID 974 //
     /* 370948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 370954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370962 */   // (bitreverse:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (RBITv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 370962 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITv8i8),
     /* 370967 */   GIR_RootConstrainSelectedInstOperands,
     /* 370968 */   // GIR_Coverage, 974,
     /* 370968 */   GIR_Done,
     /* 370969 */ // Label 7397: @370969
     /* 370969 */ GIM_Reject,
     /* 370970 */ // Label 7393: @370970
     /* 370970 */ GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(370996), // Rule ID 975 //
     /* 370975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 370981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370989 */   // (bitreverse:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (RBITv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 370989 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITv16i8),
     /* 370994 */   GIR_RootConstrainSelectedInstOperands,
     /* 370995 */   // GIR_Coverage, 975,
     /* 370995 */   GIR_Done,
     /* 370996 */ // Label 7398: @370996
     /* 370996 */ GIM_Reject,
     /* 370997 */ // Label 7394: @370997
     /* 370997 */ GIM_Reject,
     /* 370998 */ // Label 96: @370998
     /* 370998 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7407*/ GIMT_Encode4(371488),
     /* 371009 */ /*GILLT_s16*//*Label 7399*/ GIMT_Encode4(371049),
     /* 371013 */ /*GILLT_s32*//*Label 7400*/ GIMT_Encode4(371080),
     /* 371017 */ /*GILLT_s64*//*Label 7401*/ GIMT_Encode4(371111), GIMT_Encode4(0),
     /* 371025 */ /*GILLT_v2s32*//*Label 7402*/ GIMT_Encode4(371142),
     /* 371029 */ /*GILLT_v2s64*//*Label 7403*/ GIMT_Encode4(371173),
     /* 371033 */ /*GILLT_v4s16*//*Label 7404*/ GIMT_Encode4(371204),
     /* 371037 */ /*GILLT_v4s32*//*Label 7405*/ GIMT_Encode4(371235), GIMT_Encode4(0),
     /* 371045 */ /*GILLT_v8s16*//*Label 7406*/ GIMT_Encode4(371266),
     /* 371049 */ // Label 7399: @371049
     /* 371049 */ GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(371079), // Rule ID 552 //
     /* 371054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 371057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 371060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371068 */   // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTPHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 371068 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPHr),
     /* 371073 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371077 */   GIR_RootConstrainSelectedInstOperands,
     /* 371078 */   // GIR_Coverage, 552,
     /* 371078 */   GIR_Done,
     /* 371079 */ // Label 7408: @371079
     /* 371079 */ GIM_Reject,
     /* 371080 */ // Label 7400: @371080
     /* 371080 */ GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(371110), // Rule ID 554 //
     /* 371085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 371091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 371095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 371099 */   // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTPSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 371099 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPSr),
     /* 371104 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371108 */   GIR_RootConstrainSelectedInstOperands,
     /* 371109 */   // GIR_Coverage, 554,
     /* 371109 */   GIR_Done,
     /* 371110 */ // Label 7409: @371110
     /* 371110 */ GIM_Reject,
     /* 371111 */ // Label 7401: @371111
     /* 371111 */ GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(371141), // Rule ID 556 //
     /* 371116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 371122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371130 */   // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTPDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 371130 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPDr),
     /* 371135 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371139 */   GIR_RootConstrainSelectedInstOperands,
     /* 371140 */   // GIR_Coverage, 556,
     /* 371140 */   GIR_Done,
     /* 371141 */ // Label 7410: @371141
     /* 371141 */ GIM_Reject,
     /* 371142 */ // Label 7402: @371142
     /* 371142 */ GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(371172), // Rule ID 913 //
     /* 371147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 371153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371161 */   // (fceil:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 371161 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv2f32),
     /* 371166 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371170 */   GIR_RootConstrainSelectedInstOperands,
     /* 371171 */   // GIR_Coverage, 913,
     /* 371171 */   GIR_Done,
     /* 371172 */ // Label 7411: @371172
     /* 371172 */ GIM_Reject,
     /* 371173 */ // Label 7403: @371173
     /* 371173 */ GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(371203), // Rule ID 917 //
     /* 371178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371192 */   // (fceil:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 371192 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv2f64),
     /* 371197 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371201 */   GIR_RootConstrainSelectedInstOperands,
     /* 371202 */   // GIR_Coverage, 917,
     /* 371202 */   GIR_Done,
     /* 371203 */ // Label 7412: @371203
     /* 371203 */ GIM_Reject,
     /* 371204 */ // Label 7404: @371204
     /* 371204 */ GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(371234), // Rule ID 909 //
     /* 371209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 371215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371223 */   // (fceil:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 371223 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f16),
     /* 371228 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371232 */   GIR_RootConstrainSelectedInstOperands,
     /* 371233 */   // GIR_Coverage, 909,
     /* 371233 */   GIR_Done,
     /* 371234 */ // Label 7413: @371234
     /* 371234 */ GIM_Reject,
     /* 371235 */ // Label 7405: @371235
     /* 371235 */ GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(371265), // Rule ID 915 //
     /* 371240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 371246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371254 */   // (fceil:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 371254 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f32),
     /* 371259 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371263 */   GIR_RootConstrainSelectedInstOperands,
     /* 371264 */   // GIR_Coverage, 915,
     /* 371264 */   GIR_Done,
     /* 371265 */ // Label 7414: @371265
     /* 371265 */ GIM_Reject,
     /* 371266 */ // Label 7406: @371266
     /* 371266 */ GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(371487),
     /* 371271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371282 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(371301), // Rule ID 911 //
     /* 371287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371290 */     // (fceil:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 371290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv8f16),
     /* 371295 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371299 */     GIR_RootConstrainSelectedInstOperands,
     /* 371300 */     // GIR_Coverage, 911,
     /* 371300 */     GIR_Done,
     /* 371301 */   // Label 7416: @371301
     /* 371301 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(371486), // Rule ID 6998 //
     /* 371306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 371309 */     // (fceil:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTPv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTPv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 371309 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 371312 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 371316 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371321 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 371325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 371327 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 371330 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f32),
     /* 371334 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371339 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 371342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 371344 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 371347 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371351 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371356 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 371362 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371367 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371372 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 371375 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 371379 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371384 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 371387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 371389 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 371392 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f32),
     /* 371396 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371401 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 371404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 371406 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 371409 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 371413 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371418 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 371421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 371423 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 371426 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 371430 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 371437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 371440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 371444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371449 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 371452 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 371455 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 371458 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371463 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371468 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 371476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 371478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 371484 */     GIR_RootConstrainSelectedInstOperands,
     /* 371485 */     // GIR_Coverage, 6998,
     /* 371485 */     GIR_EraseRootFromParent_Done,
     /* 371486 */   // Label 7417: @371486
     /* 371486 */   GIM_Reject,
     /* 371487 */ // Label 7415: @371487
     /* 371487 */ GIM_Reject,
     /* 371488 */ // Label 7407: @371488
     /* 371488 */ GIM_Reject,
     /* 371489 */ // Label 97: @371489
     /* 371489 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7426*/ GIMT_Encode4(371788),
     /* 371500 */ /*GILLT_s16*//*Label 7418*/ GIMT_Encode4(371540),
     /* 371504 */ /*GILLT_s32*//*Label 7419*/ GIMT_Encode4(371571),
     /* 371508 */ /*GILLT_s64*//*Label 7420*/ GIMT_Encode4(371602), GIMT_Encode4(0),
     /* 371516 */ /*GILLT_v2s32*//*Label 7421*/ GIMT_Encode4(371633),
     /* 371520 */ /*GILLT_v2s64*//*Label 7422*/ GIMT_Encode4(371664),
     /* 371524 */ /*GILLT_v4s16*//*Label 7423*/ GIMT_Encode4(371695),
     /* 371528 */ /*GILLT_v4s32*//*Label 7424*/ GIMT_Encode4(371726), GIMT_Encode4(0),
     /* 371536 */ /*GILLT_v8s16*//*Label 7425*/ GIMT_Encode4(371757),
     /* 371540 */ // Label 7418: @371540
     /* 371540 */ GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(371570), // Rule ID 570 //
     /* 371545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 371548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 371551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371559 */   // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FSQRTHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 371559 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTHr),
     /* 371564 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371568 */   GIR_RootConstrainSelectedInstOperands,
     /* 371569 */   // GIR_Coverage, 570,
     /* 371569 */   GIR_Done,
     /* 371570 */ // Label 7427: @371570
     /* 371570 */ GIM_Reject,
     /* 371571 */ // Label 7419: @371571
     /* 371571 */ GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(371601), // Rule ID 572 //
     /* 371576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 371582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 371586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 371590 */   // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FSQRTSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 371590 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTSr),
     /* 371595 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371599 */   GIR_RootConstrainSelectedInstOperands,
     /* 371600 */   // GIR_Coverage, 572,
     /* 371600 */   GIR_Done,
     /* 371601 */ // Label 7428: @371601
     /* 371601 */ GIM_Reject,
     /* 371602 */ // Label 7420: @371602
     /* 371602 */ GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(371632), // Rule ID 574 //
     /* 371607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 371613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371621 */   // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FSQRTDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 371621 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTDr),
     /* 371626 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371630 */   GIR_RootConstrainSelectedInstOperands,
     /* 371631 */   // GIR_Coverage, 574,
     /* 371631 */   GIR_Done,
     /* 371632 */ // Label 7429: @371632
     /* 371632 */ GIM_Reject,
     /* 371633 */ // Label 7421: @371633
     /* 371633 */ GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(371663), // Rule ID 960 //
     /* 371638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 371644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371652 */   // (fsqrt:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FSQRTv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 371652 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f32),
     /* 371657 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371661 */   GIR_RootConstrainSelectedInstOperands,
     /* 371662 */   // GIR_Coverage, 960,
     /* 371662 */   GIR_Done,
     /* 371663 */ // Label 7430: @371663
     /* 371663 */ GIM_Reject,
     /* 371664 */ // Label 7422: @371664
     /* 371664 */ GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(371694), // Rule ID 964 //
     /* 371669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371683 */   // (fsqrt:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FSQRTv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 371683 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f64),
     /* 371688 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371692 */   GIR_RootConstrainSelectedInstOperands,
     /* 371693 */   // GIR_Coverage, 964,
     /* 371693 */   GIR_Done,
     /* 371694 */ // Label 7431: @371694
     /* 371694 */ GIM_Reject,
     /* 371695 */ // Label 7423: @371695
     /* 371695 */ GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(371725), // Rule ID 956 //
     /* 371700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 371706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371714 */   // (fsqrt:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FSQRTv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 371714 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f16),
     /* 371719 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371723 */   GIR_RootConstrainSelectedInstOperands,
     /* 371724 */   // GIR_Coverage, 956,
     /* 371724 */   GIR_Done,
     /* 371725 */ // Label 7432: @371725
     /* 371725 */ GIM_Reject,
     /* 371726 */ // Label 7424: @371726
     /* 371726 */ GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(371756), // Rule ID 962 //
     /* 371731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 371737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371745 */   // (fsqrt:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FSQRTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 371745 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f32),
     /* 371750 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371754 */   GIR_RootConstrainSelectedInstOperands,
     /* 371755 */   // GIR_Coverage, 962,
     /* 371755 */   GIR_Done,
     /* 371756 */ // Label 7433: @371756
     /* 371756 */ GIM_Reject,
     /* 371757 */ // Label 7425: @371757
     /* 371757 */ GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(371787), // Rule ID 958 //
     /* 371762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371776 */   // (fsqrt:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FSQRTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 371776 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv8f16),
     /* 371781 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371785 */   GIR_RootConstrainSelectedInstOperands,
     /* 371786 */   // GIR_Coverage, 958,
     /* 371786 */   GIR_Done,
     /* 371787 */ // Label 7434: @371787
     /* 371787 */ GIM_Reject,
     /* 371788 */ // Label 7426: @371788
     /* 371788 */ GIM_Reject,
     /* 371789 */ // Label 98: @371789
     /* 371789 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7443*/ GIMT_Encode4(372279),
     /* 371800 */ /*GILLT_s16*//*Label 7435*/ GIMT_Encode4(371840),
     /* 371804 */ /*GILLT_s32*//*Label 7436*/ GIMT_Encode4(371871),
     /* 371808 */ /*GILLT_s64*//*Label 7437*/ GIMT_Encode4(371902), GIMT_Encode4(0),
     /* 371816 */ /*GILLT_v2s32*//*Label 7438*/ GIMT_Encode4(371933),
     /* 371820 */ /*GILLT_v2s64*//*Label 7439*/ GIMT_Encode4(371964),
     /* 371824 */ /*GILLT_v4s16*//*Label 7440*/ GIMT_Encode4(371995),
     /* 371828 */ /*GILLT_v4s32*//*Label 7441*/ GIMT_Encode4(372026), GIMT_Encode4(0),
     /* 371836 */ /*GILLT_v8s16*//*Label 7442*/ GIMT_Encode4(372057),
     /* 371840 */ // Label 7435: @371840
     /* 371840 */ GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(371870), // Rule ID 540 //
     /* 371845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 371848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 371851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371859 */   // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTMHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 371859 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMHr),
     /* 371864 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371868 */   GIR_RootConstrainSelectedInstOperands,
     /* 371869 */   // GIR_Coverage, 540,
     /* 371869 */   GIR_Done,
     /* 371870 */ // Label 7444: @371870
     /* 371870 */ GIM_Reject,
     /* 371871 */ // Label 7436: @371871
     /* 371871 */ GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(371901), // Rule ID 542 //
     /* 371876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 371882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 371886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 371890 */   // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTMSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 371890 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMSr),
     /* 371895 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371899 */   GIR_RootConstrainSelectedInstOperands,
     /* 371900 */   // GIR_Coverage, 542,
     /* 371900 */   GIR_Done,
     /* 371901 */ // Label 7445: @371901
     /* 371901 */ GIM_Reject,
     /* 371902 */ // Label 7437: @371902
     /* 371902 */ GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(371932), // Rule ID 544 //
     /* 371907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 371913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371921 */   // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTMDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 371921 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMDr),
     /* 371926 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371930 */   GIR_RootConstrainSelectedInstOperands,
     /* 371931 */   // GIR_Coverage, 544,
     /* 371931 */   GIR_Done,
     /* 371932 */ // Label 7446: @371932
     /* 371932 */ GIM_Reject,
     /* 371933 */ // Label 7438: @371933
     /* 371933 */ GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(371963), // Rule ID 893 //
     /* 371938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 371944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371952 */   // (ffloor:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 371952 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv2f32),
     /* 371957 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371961 */   GIR_RootConstrainSelectedInstOperands,
     /* 371962 */   // GIR_Coverage, 893,
     /* 371962 */   GIR_Done,
     /* 371963 */ // Label 7447: @371963
     /* 371963 */ GIM_Reject,
     /* 371964 */ // Label 7439: @371964
     /* 371964 */ GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(371994), // Rule ID 897 //
     /* 371969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371983 */   // (ffloor:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 371983 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv2f64),
     /* 371988 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371992 */   GIR_RootConstrainSelectedInstOperands,
     /* 371993 */   // GIR_Coverage, 897,
     /* 371993 */   GIR_Done,
     /* 371994 */ // Label 7448: @371994
     /* 371994 */ GIM_Reject,
     /* 371995 */ // Label 7440: @371995
     /* 371995 */ GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(372025), // Rule ID 889 //
     /* 372000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 372003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 372006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372014 */   // (ffloor:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 372014 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f16),
     /* 372019 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372023 */   GIR_RootConstrainSelectedInstOperands,
     /* 372024 */   // GIR_Coverage, 889,
     /* 372024 */   GIR_Done,
     /* 372025 */ // Label 7449: @372025
     /* 372025 */ GIM_Reject,
     /* 372026 */ // Label 7441: @372026
     /* 372026 */ GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(372056), // Rule ID 895 //
     /* 372031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372045 */   // (ffloor:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 372045 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f32),
     /* 372050 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372054 */   GIR_RootConstrainSelectedInstOperands,
     /* 372055 */   // GIR_Coverage, 895,
     /* 372055 */   GIR_Done,
     /* 372056 */ // Label 7450: @372056
     /* 372056 */ GIM_Reject,
     /* 372057 */ // Label 7442: @372057
     /* 372057 */ GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(372278),
     /* 372062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 372065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372073 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(372092), // Rule ID 891 //
     /* 372078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 372081 */     // (ffloor:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 372081 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv8f16),
     /* 372086 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372090 */     GIR_RootConstrainSelectedInstOperands,
     /* 372091 */     // GIR_Coverage, 891,
     /* 372091 */     GIR_Done,
     /* 372092 */   // Label 7452: @372092
     /* 372092 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(372277), // Rule ID 7000 //
     /* 372097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 372100 */     // (ffloor:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTMv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTMv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 372100 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 372103 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 372107 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372112 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 372116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 372118 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 372121 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f32),
     /* 372125 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372130 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 372133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 372135 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 372138 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 372142 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372147 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 372153 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372158 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372163 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 372166 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 372170 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372175 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 372178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 372180 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 372183 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f32),
     /* 372187 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372192 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 372195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 372197 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 372200 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 372204 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372209 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 372212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 372214 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 372217 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 372221 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 372228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 372231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 372235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372240 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 372243 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 372246 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 372249 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372254 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372259 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 372267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 372272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 372275 */     GIR_RootConstrainSelectedInstOperands,
     /* 372276 */     // GIR_Coverage, 7000,
     /* 372276 */     GIR_EraseRootFromParent_Done,
     /* 372277 */   // Label 7453: @372277
     /* 372277 */   GIM_Reject,
     /* 372278 */ // Label 7451: @372278
     /* 372278 */ GIM_Reject,
     /* 372279 */ // Label 7443: @372279
     /* 372279 */ GIM_Reject,
     /* 372280 */ // Label 99: @372280
     /* 372280 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7462*/ GIMT_Encode4(372770),
     /* 372291 */ /*GILLT_s16*//*Label 7454*/ GIMT_Encode4(372331),
     /* 372295 */ /*GILLT_s32*//*Label 7455*/ GIMT_Encode4(372362),
     /* 372299 */ /*GILLT_s64*//*Label 7456*/ GIMT_Encode4(372393), GIMT_Encode4(0),
     /* 372307 */ /*GILLT_v2s32*//*Label 7457*/ GIMT_Encode4(372424),
     /* 372311 */ /*GILLT_v2s64*//*Label 7458*/ GIMT_Encode4(372455),
     /* 372315 */ /*GILLT_v4s16*//*Label 7459*/ GIMT_Encode4(372486),
     /* 372319 */ /*GILLT_v4s32*//*Label 7460*/ GIMT_Encode4(372517), GIMT_Encode4(0),
     /* 372327 */ /*GILLT_v8s16*//*Label 7461*/ GIMT_Encode4(372548),
     /* 372331 */ // Label 7454: @372331
     /* 372331 */ GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(372361), // Rule ID 558 //
     /* 372336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 372339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 372342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 372346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 372350 */   // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTXHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 372350 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /* 372355 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372359 */   GIR_RootConstrainSelectedInstOperands,
     /* 372360 */   // GIR_Coverage, 558,
     /* 372360 */   GIR_Done,
     /* 372361 */ // Label 7463: @372361
     /* 372361 */ GIM_Reject,
     /* 372362 */ // Label 7455: @372362
     /* 372362 */ GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(372392), // Rule ID 560 //
     /* 372367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 372373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372381 */   // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTXSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 372381 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /* 372386 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372390 */   GIR_RootConstrainSelectedInstOperands,
     /* 372391 */   // GIR_Coverage, 560,
     /* 372391 */   GIR_Done,
     /* 372392 */ // Label 7464: @372392
     /* 372392 */ GIM_Reject,
     /* 372393 */ // Label 7456: @372393
     /* 372393 */ GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(372423), // Rule ID 562 //
     /* 372398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 372404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372412 */   // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTXDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 372412 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /* 372417 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372421 */   GIR_RootConstrainSelectedInstOperands,
     /* 372422 */   // GIR_Coverage, 562,
     /* 372422 */   GIR_Done,
     /* 372423 */ // Label 7465: @372423
     /* 372423 */ GIM_Reject,
     /* 372424 */ // Label 7457: @372424
     /* 372424 */ GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(372454), // Rule ID 923 //
     /* 372429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 372435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372443 */   // (frint:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 372443 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv2f32),
     /* 372448 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372452 */   GIR_RootConstrainSelectedInstOperands,
     /* 372453 */   // GIR_Coverage, 923,
     /* 372453 */   GIR_Done,
     /* 372454 */ // Label 7466: @372454
     /* 372454 */ GIM_Reject,
     /* 372455 */ // Label 7458: @372455
     /* 372455 */ GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(372485), // Rule ID 927 //
     /* 372460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372474 */   // (frint:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 372474 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv2f64),
     /* 372479 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372483 */   GIR_RootConstrainSelectedInstOperands,
     /* 372484 */   // GIR_Coverage, 927,
     /* 372484 */   GIR_Done,
     /* 372485 */ // Label 7467: @372485
     /* 372485 */ GIM_Reject,
     /* 372486 */ // Label 7459: @372486
     /* 372486 */ GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(372516), // Rule ID 919 //
     /* 372491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 372494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 372497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372505 */   // (frint:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 372505 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f16),
     /* 372510 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372514 */   GIR_RootConstrainSelectedInstOperands,
     /* 372515 */   // GIR_Coverage, 919,
     /* 372515 */   GIR_Done,
     /* 372516 */ // Label 7468: @372516
     /* 372516 */ GIM_Reject,
     /* 372517 */ // Label 7460: @372517
     /* 372517 */ GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(372547), // Rule ID 925 //
     /* 372522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372536 */   // (frint:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 372536 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f32),
     /* 372541 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372545 */   GIR_RootConstrainSelectedInstOperands,
     /* 372546 */   // GIR_Coverage, 925,
     /* 372546 */   GIR_Done,
     /* 372547 */ // Label 7469: @372547
     /* 372547 */ GIM_Reject,
     /* 372548 */ // Label 7461: @372548
     /* 372548 */ GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(372769),
     /* 372553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 372556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372564 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(372583), // Rule ID 921 //
     /* 372569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 372572 */     // (frint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 372572 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv8f16),
     /* 372577 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372581 */     GIR_RootConstrainSelectedInstOperands,
     /* 372582 */     // GIR_Coverage, 921,
     /* 372582 */     GIR_Done,
     /* 372583 */   // Label 7471: @372583
     /* 372583 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(372768), // Rule ID 7008 //
     /* 372588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 372591 */     // (frint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTXv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTXv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 372591 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 372594 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 372598 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372603 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 372607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 372609 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 372612 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f32),
     /* 372616 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372621 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 372624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 372626 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 372629 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 372633 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372638 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 372644 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372649 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372654 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 372657 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 372661 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372666 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 372669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 372671 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 372674 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f32),
     /* 372678 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372683 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 372686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 372688 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 372691 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 372695 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372700 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 372703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 372705 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 372708 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 372712 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 372719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 372722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 372726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372731 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 372734 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 372737 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 372740 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372745 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372750 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 372758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 372763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 372766 */     GIR_RootConstrainSelectedInstOperands,
     /* 372767 */     // GIR_Coverage, 7008,
     /* 372767 */     GIR_EraseRootFromParent_Done,
     /* 372768 */   // Label 7472: @372768
     /* 372768 */   GIM_Reject,
     /* 372769 */ // Label 7470: @372769
     /* 372769 */ GIM_Reject,
     /* 372770 */ // Label 7462: @372770
     /* 372770 */ GIM_Reject,
     /* 372771 */ // Label 100: @372771
     /* 372771 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7481*/ GIMT_Encode4(373261),
     /* 372782 */ /*GILLT_s16*//*Label 7473*/ GIMT_Encode4(372822),
     /* 372786 */ /*GILLT_s32*//*Label 7474*/ GIMT_Encode4(372853),
     /* 372790 */ /*GILLT_s64*//*Label 7475*/ GIMT_Encode4(372884), GIMT_Encode4(0),
     /* 372798 */ /*GILLT_v2s32*//*Label 7476*/ GIMT_Encode4(372915),
     /* 372802 */ /*GILLT_v2s64*//*Label 7477*/ GIMT_Encode4(372946),
     /* 372806 */ /*GILLT_v4s16*//*Label 7478*/ GIMT_Encode4(372977),
     /* 372810 */ /*GILLT_v4s32*//*Label 7479*/ GIMT_Encode4(373008), GIMT_Encode4(0),
     /* 372818 */ /*GILLT_v8s16*//*Label 7480*/ GIMT_Encode4(373039),
     /* 372822 */ // Label 7473: @372822
     /* 372822 */ GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(372852), // Rule ID 534 //
     /* 372827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 372830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 372833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 372837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 372841 */   // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTIHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 372841 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIHr),
     /* 372846 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372850 */   GIR_RootConstrainSelectedInstOperands,
     /* 372851 */   // GIR_Coverage, 534,
     /* 372851 */   GIR_Done,
     /* 372852 */ // Label 7482: @372852
     /* 372852 */ GIM_Reject,
     /* 372853 */ // Label 7474: @372853
     /* 372853 */ GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(372883), // Rule ID 536 //
     /* 372858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 372864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372872 */   // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTISr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 372872 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTISr),
     /* 372877 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372881 */   GIR_RootConstrainSelectedInstOperands,
     /* 372882 */   // GIR_Coverage, 536,
     /* 372882 */   GIR_Done,
     /* 372883 */ // Label 7483: @372883
     /* 372883 */ GIM_Reject,
     /* 372884 */ // Label 7475: @372884
     /* 372884 */ GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(372914), // Rule ID 538 //
     /* 372889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 372895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372903 */   // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTIDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 372903 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIDr),
     /* 372908 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372912 */   GIR_RootConstrainSelectedInstOperands,
     /* 372913 */   // GIR_Coverage, 538,
     /* 372913 */   GIR_Done,
     /* 372914 */ // Label 7484: @372914
     /* 372914 */ GIM_Reject,
     /* 372915 */ // Label 7476: @372915
     /* 372915 */ GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(372945), // Rule ID 883 //
     /* 372920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 372926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372934 */   // (fnearbyint:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTIv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 372934 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv2f32),
     /* 372939 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372943 */   GIR_RootConstrainSelectedInstOperands,
     /* 372944 */   // GIR_Coverage, 883,
     /* 372944 */   GIR_Done,
     /* 372945 */ // Label 7485: @372945
     /* 372945 */ GIM_Reject,
     /* 372946 */ // Label 7477: @372946
     /* 372946 */ GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(372976), // Rule ID 887 //
     /* 372951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372965 */   // (fnearbyint:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTIv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 372965 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv2f64),
     /* 372970 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372974 */   GIR_RootConstrainSelectedInstOperands,
     /* 372975 */   // GIR_Coverage, 887,
     /* 372975 */   GIR_Done,
     /* 372976 */ // Label 7486: @372976
     /* 372976 */ GIM_Reject,
     /* 372977 */ // Label 7478: @372977
     /* 372977 */ GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(373007), // Rule ID 879 //
     /* 372982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 372985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 372988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372996 */   // (fnearbyint:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTIv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 372996 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f16),
     /* 373001 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373005 */   GIR_RootConstrainSelectedInstOperands,
     /* 373006 */   // GIR_Coverage, 879,
     /* 373006 */   GIR_Done,
     /* 373007 */ // Label 7487: @373007
     /* 373007 */ GIM_Reject,
     /* 373008 */ // Label 7479: @373008
     /* 373008 */ GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(373038), // Rule ID 885 //
     /* 373013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 373019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373027 */   // (fnearbyint:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTIv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 373027 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f32),
     /* 373032 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373036 */   GIR_RootConstrainSelectedInstOperands,
     /* 373037 */   // GIR_Coverage, 885,
     /* 373037 */   GIR_Done,
     /* 373038 */ // Label 7488: @373038
     /* 373038 */ GIM_Reject,
     /* 373039 */ // Label 7480: @373039
     /* 373039 */ GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(373260),
     /* 373044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 373047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373055 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(373074), // Rule ID 881 //
     /* 373060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 373063 */     // (fnearbyint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTIv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 373063 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv8f16),
     /* 373068 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373072 */     GIR_RootConstrainSelectedInstOperands,
     /* 373073 */     // GIR_Coverage, 881,
     /* 373073 */     GIR_Done,
     /* 373074 */   // Label 7490: @373074
     /* 373074 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(373259), // Rule ID 7002 //
     /* 373079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 373082 */     // (fnearbyint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTIv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTIv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 373082 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 373085 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 373089 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373094 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 373098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 373100 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 373103 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f32),
     /* 373107 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373112 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 373115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 373117 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 373120 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 373124 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373129 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 373135 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373140 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373145 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 373148 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 373152 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373157 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 373160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 373162 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 373165 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f32),
     /* 373169 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373174 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 373177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 373179 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 373182 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 373186 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373191 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 373194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 373196 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 373199 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 373203 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 373210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 373213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 373217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373222 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 373225 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 373228 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 373231 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373236 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373241 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 373249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 373257 */     GIR_RootConstrainSelectedInstOperands,
     /* 373258 */     // GIR_Coverage, 7002,
     /* 373258 */     GIR_EraseRootFromParent_Done,
     /* 373259 */   // Label 7491: @373259
     /* 373259 */   GIM_Reject,
     /* 373260 */ // Label 7489: @373260
     /* 373260 */ GIM_Reject,
     /* 373261 */ // Label 7481: @373261
     /* 373261 */ GIM_Reject,
     /* 373262 */ // Label 101: @373262
     /* 373262 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7500*/ GIMT_Encode4(374387),
     /* 373273 */ /*GILLT_s16*//*Label 7492*/ GIMT_Encode4(373313),
     /* 373277 */ /*GILLT_s32*//*Label 7493*/ GIMT_Encode4(373539),
     /* 373281 */ /*GILLT_s64*//*Label 7494*/ GIMT_Encode4(373765), GIMT_Encode4(0),
     /* 373289 */ /*GILLT_v2s32*//*Label 7495*/ GIMT_Encode4(373937),
     /* 373293 */ /*GILLT_v2s64*//*Label 7496*/ GIMT_Encode4(373975),
     /* 373297 */ /*GILLT_v4s16*//*Label 7497*/ GIMT_Encode4(374013),
     /* 373301 */ /*GILLT_v4s32*//*Label 7498*/ GIMT_Encode4(374051), GIMT_Encode4(0),
     /* 373309 */ /*GILLT_v8s16*//*Label 7499*/ GIMT_Encode4(374089),
     /* 373313 */ // Label 7492: @373313
     /* 373313 */ GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(373538),
     /* 373318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 373321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 373324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 373328 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(373419), // Rule ID 6922 //
     /* 373333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 373345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373354 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 373358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373366 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373370 */     // MIs[2] Rn
     /* 373370 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373375 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 373379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373381 */     // (strict_fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 373381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 373384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 373388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373393 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 373399 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373404 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 373412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373417 */     GIR_RootConstrainSelectedInstOperands,
     /* 373418 */     // GIR_Coverage, 6922,
     /* 373418 */     GIR_EraseRootFromParent_Done,
     /* 373419 */   // Label 7502: @373419
     /* 373419 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(373510), // Rule ID 13927 //
     /* 373424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 373436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373445 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 373449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373457 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373461 */     // MIs[2] Rn
     /* 373461 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373466 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 373470 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373472 */     // (strict_fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 373472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 373475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 373479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373484 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 373490 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373495 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 373503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373508 */     GIR_RootConstrainSelectedInstOperands,
     /* 373509 */     // GIR_Coverage, 13927,
     /* 373509 */     GIR_EraseRootFromParent_Done,
     /* 373510 */   // Label 7503: @373510
     /* 373510 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(373537), // Rule ID 583 //
     /* 373515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 373518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 373522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 373526 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FADDHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 373526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDHrr),
     /* 373531 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373535 */     GIR_RootConstrainSelectedInstOperands,
     /* 373536 */     // GIR_Coverage, 583,
     /* 373536 */     GIR_Done,
     /* 373537 */   // Label 7504: @373537
     /* 373537 */   GIM_Reject,
     /* 373538 */ // Label 7501: @373538
     /* 373538 */ GIM_Reject,
     /* 373539 */ // Label 7493: @373539
     /* 373539 */ GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(373764),
     /* 373544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 373547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 373550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373554 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(373645), // Rule ID 6920 //
     /* 373559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 373571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373580 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 373584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373592 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373596 */     // MIs[2] Rn
     /* 373596 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373601 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 373605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373607 */     // (strict_fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 373607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 373610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 373614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373619 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 373625 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373630 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 373638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373643 */     GIR_RootConstrainSelectedInstOperands,
     /* 373644 */     // GIR_Coverage, 6920,
     /* 373644 */     GIR_EraseRootFromParent_Done,
     /* 373645 */   // Label 7506: @373645
     /* 373645 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(373736), // Rule ID 13925 //
     /* 373650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 373662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373671 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 373675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373683 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373687 */     // MIs[2] Rn
     /* 373687 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373692 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 373696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373698 */     // (strict_fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 373698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 373701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 373705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373710 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 373716 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373721 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 373729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373734 */     GIR_RootConstrainSelectedInstOperands,
     /* 373735 */     // GIR_Coverage, 13925,
     /* 373735 */     GIR_EraseRootFromParent_Done,
     /* 373736 */   // Label 7507: @373736
     /* 373736 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(373763), // Rule ID 585 //
     /* 373741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 373744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373752 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FADDSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 373752 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDSrr),
     /* 373757 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373761 */     GIR_RootConstrainSelectedInstOperands,
     /* 373762 */     // GIR_Coverage, 585,
     /* 373762 */     GIR_Done,
     /* 373763 */   // Label 7508: @373763
     /* 373763 */   GIM_Reject,
     /* 373764 */ // Label 7505: @373764
     /* 373764 */ GIM_Reject,
     /* 373765 */ // Label 7494: @373765
     /* 373765 */ GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(373936),
     /* 373770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 373773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 373776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373780 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(373844), // Rule ID 6918 //
     /* 373785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373806 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 373810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373818 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373822 */     // MIs[2] Rn
     /* 373822 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373827 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 373831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373833 */     // (strict_fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 373833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 373836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 373842 */     GIR_RootConstrainSelectedInstOperands,
     /* 373843 */     // GIR_Coverage, 6918,
     /* 373843 */     GIR_EraseRootFromParent_Done,
     /* 373844 */   // Label 7510: @373844
     /* 373844 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(373908), // Rule ID 13923 //
     /* 373849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373861 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373870 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 373874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373882 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373886 */     // MIs[2] Rn
     /* 373886 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373891 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 373895 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373897 */     // (strict_fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 373897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 373900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 373906 */     GIR_RootConstrainSelectedInstOperands,
     /* 373907 */     // GIR_Coverage, 13923,
     /* 373907 */     GIR_EraseRootFromParent_Done,
     /* 373908 */   // Label 7511: @373908
     /* 373908 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(373935), // Rule ID 587 //
     /* 373913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 373916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373924 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FADDDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 373924 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDDrr),
     /* 373929 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373933 */     GIR_RootConstrainSelectedInstOperands,
     /* 373934 */     // GIR_Coverage, 587,
     /* 373934 */     GIR_Done,
     /* 373935 */   // Label 7512: @373935
     /* 373935 */   GIM_Reject,
     /* 373936 */ // Label 7509: @373936
     /* 373936 */ GIM_Reject,
     /* 373937 */ // Label 7495: @373937
     /* 373937 */ GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(373974), // Rule ID 1202 //
     /* 373942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 373948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 373951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373963 */   // (strict_fadd:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 373963 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f32),
     /* 373968 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373972 */   GIR_RootConstrainSelectedInstOperands,
     /* 373973 */   // GIR_Coverage, 1202,
     /* 373973 */   GIR_Done,
     /* 373974 */ // Label 7513: @373974
     /* 373974 */ GIM_Reject,
     /* 373975 */ // Label 7496: @373975
     /* 373975 */ GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(374012), // Rule ID 1206 //
     /* 373980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 373989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374001 */   // (strict_fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 374001 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f64),
     /* 374006 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374010 */   GIR_RootConstrainSelectedInstOperands,
     /* 374011 */   // GIR_Coverage, 1206,
     /* 374011 */   GIR_Done,
     /* 374012 */ // Label 7514: @374012
     /* 374012 */ GIM_Reject,
     /* 374013 */ // Label 7497: @374013
     /* 374013 */ GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(374050), // Rule ID 1198 //
     /* 374018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 374024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 374027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374039 */   // (strict_fadd:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 374039 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f16),
     /* 374044 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374048 */   GIR_RootConstrainSelectedInstOperands,
     /* 374049 */   // GIR_Coverage, 1198,
     /* 374049 */   GIR_Done,
     /* 374050 */ // Label 7515: @374050
     /* 374050 */ GIM_Reject,
     /* 374051 */ // Label 7498: @374051
     /* 374051 */ GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(374088), // Rule ID 1204 //
     /* 374056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 374062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 374065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374077 */   // (strict_fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 374077 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 374082 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374086 */   GIR_RootConstrainSelectedInstOperands,
     /* 374087 */   // GIR_Coverage, 1204,
     /* 374087 */   GIR_Done,
     /* 374088 */ // Label 7516: @374088
     /* 374088 */ GIM_Reject,
     /* 374089 */ // Label 7499: @374089
     /* 374089 */ GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(374386),
     /* 374094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 374097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 374100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374112 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(374131), // Rule ID 1200 //
     /* 374117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374120 */     // (strict_fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 374120 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv8f16),
     /* 374125 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374129 */     GIR_RootConstrainSelectedInstOperands,
     /* 374130 */     // GIR_Coverage, 1200,
     /* 374130 */     GIR_Done,
     /* 374131 */   // Label 7518: @374131
     /* 374131 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(374385), // Rule ID 7011 //
     /* 374136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 374139 */     // (strict_fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FADDv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FADDv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 374139 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 374142 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 374146 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374151 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 374155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 374157 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 374160 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 374164 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374169 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 374173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 374175 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 374178 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 374182 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374187 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 374190 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 374193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 374195 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 374198 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 374202 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374207 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 374213 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374218 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374223 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 374226 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 374230 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374235 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 374238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 374240 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 374243 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 374247 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374252 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 374258 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374263 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374268 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 374271 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 374275 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374280 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 374283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 374285 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 374288 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 374292 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374297 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 374300 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 374303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 374305 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 374308 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 374312 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374317 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 374320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 374322 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 374325 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 374329 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 374336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 374339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 374343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374348 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 374351 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 374354 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 374357 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374362 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374367 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 374375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 374383 */     GIR_RootConstrainSelectedInstOperands,
     /* 374384 */     // GIR_Coverage, 7011,
     /* 374384 */     GIR_EraseRootFromParent_Done,
     /* 374385 */   // Label 7519: @374385
     /* 374385 */   GIM_Reject,
     /* 374386 */ // Label 7517: @374386
     /* 374386 */ GIM_Reject,
     /* 374387 */ // Label 7500: @374387
     /* 374387 */ GIM_Reject,
     /* 374388 */ // Label 102: @374388
     /* 374388 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7528*/ GIMT_Encode4(375003),
     /* 374399 */ /*GILLT_s16*//*Label 7520*/ GIMT_Encode4(374439),
     /* 374403 */ /*GILLT_s32*//*Label 7521*/ GIMT_Encode4(374477),
     /* 374407 */ /*GILLT_s64*//*Label 7522*/ GIMT_Encode4(374515), GIMT_Encode4(0),
     /* 374415 */ /*GILLT_v2s32*//*Label 7523*/ GIMT_Encode4(374553),
     /* 374419 */ /*GILLT_v2s64*//*Label 7524*/ GIMT_Encode4(374591),
     /* 374423 */ /*GILLT_v4s16*//*Label 7525*/ GIMT_Encode4(374629),
     /* 374427 */ /*GILLT_v4s32*//*Label 7526*/ GIMT_Encode4(374667), GIMT_Encode4(0),
     /* 374435 */ /*GILLT_v8s16*//*Label 7527*/ GIMT_Encode4(374705),
     /* 374439 */ // Label 7520: @374439
     /* 374439 */ GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(374476), // Rule ID 631 //
     /* 374444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 374447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 374450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 374453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 374457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 374461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 374465 */   // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FSUBHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 374465 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBHrr),
     /* 374470 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374474 */   GIR_RootConstrainSelectedInstOperands,
     /* 374475 */   // GIR_Coverage, 631,
     /* 374475 */   GIR_Done,
     /* 374476 */ // Label 7529: @374476
     /* 374476 */ GIM_Reject,
     /* 374477 */ // Label 7521: @374477
     /* 374477 */ GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(374514), // Rule ID 633 //
     /* 374482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 374485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 374488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 374491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 374495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 374499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 374503 */   // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FSUBSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 374503 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBSrr),
     /* 374508 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374512 */   GIR_RootConstrainSelectedInstOperands,
     /* 374513 */   // GIR_Coverage, 633,
     /* 374513 */   GIR_Done,
     /* 374514 */ // Label 7530: @374514
     /* 374514 */ GIM_Reject,
     /* 374515 */ // Label 7522: @374515
     /* 374515 */ GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(374552), // Rule ID 635 //
     /* 374520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 374523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 374526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 374529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374541 */   // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FSUBDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 374541 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBDrr),
     /* 374546 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374550 */   GIR_RootConstrainSelectedInstOperands,
     /* 374551 */   // GIR_Coverage, 635,
     /* 374551 */   GIR_Done,
     /* 374552 */ // Label 7531: @374552
     /* 374552 */ GIM_Reject,
     /* 374553 */ // Label 7523: @374553
     /* 374553 */ GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(374590), // Rule ID 1342 //
     /* 374558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 374564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 374567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374579 */   // (strict_fsub:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FSUBv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 374579 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f32),
     /* 374584 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374588 */   GIR_RootConstrainSelectedInstOperands,
     /* 374589 */   // GIR_Coverage, 1342,
     /* 374589 */   GIR_Done,
     /* 374590 */ // Label 7532: @374590
     /* 374590 */ GIM_Reject,
     /* 374591 */ // Label 7524: @374591
     /* 374591 */ GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(374628), // Rule ID 1346 //
     /* 374596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 374605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374617 */   // (strict_fsub:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FSUBv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 374617 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f64),
     /* 374622 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374626 */   GIR_RootConstrainSelectedInstOperands,
     /* 374627 */   // GIR_Coverage, 1346,
     /* 374627 */   GIR_Done,
     /* 374628 */ // Label 7533: @374628
     /* 374628 */ GIM_Reject,
     /* 374629 */ // Label 7525: @374629
     /* 374629 */ GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(374666), // Rule ID 1338 //
     /* 374634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 374640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 374643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374655 */   // (strict_fsub:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FSUBv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 374655 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f16),
     /* 374660 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374664 */   GIR_RootConstrainSelectedInstOperands,
     /* 374665 */   // GIR_Coverage, 1338,
     /* 374665 */   GIR_Done,
     /* 374666 */ // Label 7534: @374666
     /* 374666 */ GIM_Reject,
     /* 374667 */ // Label 7526: @374667
     /* 374667 */ GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(374704), // Rule ID 1344 //
     /* 374672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 374678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 374681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374693 */   // (strict_fsub:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FSUBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 374693 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 374698 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374702 */   GIR_RootConstrainSelectedInstOperands,
     /* 374703 */   // GIR_Coverage, 1344,
     /* 374703 */   GIR_Done,
     /* 374704 */ // Label 7535: @374704
     /* 374704 */ GIM_Reject,
     /* 374705 */ // Label 7527: @374705
     /* 374705 */ GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(375002),
     /* 374710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 374713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 374716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374728 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(374747), // Rule ID 1340 //
     /* 374733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374736 */     // (strict_fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FSUBv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 374736 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv8f16),
     /* 374741 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374745 */     GIR_RootConstrainSelectedInstOperands,
     /* 374746 */     // GIR_Coverage, 1340,
     /* 374746 */     GIR_Done,
     /* 374747 */   // Label 7537: @374747
     /* 374747 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(375001), // Rule ID 7017 //
     /* 374752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 374755 */     // (strict_fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FSUBv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FSUBv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 374755 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 374758 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 374762 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374767 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 374771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 374773 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 374776 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 374780 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374785 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 374789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 374791 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 374794 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 374798 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374803 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 374806 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 374809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 374811 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 374814 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 374818 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374823 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 374829 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374834 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374839 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 374842 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 374846 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374851 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 374854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 374856 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 374859 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 374863 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374868 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 374874 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374879 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374884 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 374887 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 374891 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374896 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 374899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 374901 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 374904 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 374908 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374913 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 374916 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 374919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 374921 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 374924 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 374928 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374933 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 374936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 374938 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 374941 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 374945 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 374952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 374955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 374959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374964 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 374967 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 374970 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 374973 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374978 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374983 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 374991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 374999 */     GIR_RootConstrainSelectedInstOperands,
     /* 375000 */     // GIR_Coverage, 7017,
     /* 375000 */     GIR_EraseRootFromParent_Done,
     /* 375001 */   // Label 7538: @375001
     /* 375001 */   GIM_Reject,
     /* 375002 */ // Label 7536: @375002
     /* 375002 */ GIM_Reject,
     /* 375003 */ // Label 7528: @375003
     /* 375003 */ GIM_Reject,
     /* 375004 */ // Label 103: @375004
     /* 375004 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7547*/ GIMT_Encode4(378725),
     /* 375015 */ /*GILLT_s16*//*Label 7539*/ GIMT_Encode4(375055),
     /* 375019 */ /*GILLT_s32*//*Label 7540*/ GIMT_Encode4(375609),
     /* 375023 */ /*GILLT_s64*//*Label 7541*/ GIMT_Encode4(376157), GIMT_Encode4(0),
     /* 375031 */ /*GILLT_v2s32*//*Label 7542*/ GIMT_Encode4(376705),
     /* 375035 */ /*GILLT_v2s64*//*Label 7543*/ GIMT_Encode4(377235),
     /* 375039 */ /*GILLT_v4s16*//*Label 7544*/ GIMT_Encode4(377593),
     /* 375043 */ /*GILLT_v4s32*//*Label 7545*/ GIMT_Encode4(377935), GIMT_Encode4(0),
     /* 375051 */ /*GILLT_v8s16*//*Label 7546*/ GIMT_Encode4(378293),
     /* 375055 */ // Label 7539: @375055
     /* 375055 */ GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(375608),
     /* 375060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 375063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 375066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375070 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(375183), // Rule ID 6252 //
     /* 375075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375099 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 375107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375115 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 375119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375124 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 375128 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375132 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375136 */     // MIs[3] Operand 1
     /* 375136 */     // No operand predicates
     /* 375136 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375138 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 375138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 375141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375150 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 375156 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375161 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 375169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 375178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 375181 */     GIR_RootConstrainSelectedInstOperands,
     /* 375182 */     // GIR_Coverage, 6252,
     /* 375182 */     GIR_EraseRootFromParent_Done,
     /* 375183 */   // Label 7549: @375183
     /* 375183 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(375296), // Rule ID 13904 //
     /* 375188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375220 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375224 */     // MIs[2] Operand 1
     /* 375224 */     // No operand predicates
     /* 375224 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375228 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375232 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375236 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 375240 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375245 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 375249 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375251 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 375251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 375254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375263 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 375269 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375274 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 375282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375294 */     GIR_RootConstrainSelectedInstOperands,
     /* 375295 */     // GIR_Coverage, 13904,
     /* 375295 */     GIR_EraseRootFromParent_Done,
     /* 375296 */   // Label 7550: @375296
     /* 375296 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(375375), // Rule ID 13838 //
     /* 375301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 375304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375316 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375325 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 375335 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rn)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 375335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 375338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375347 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 375353 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375358 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 375366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 375370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375373 */     GIR_RootConstrainSelectedInstOperands,
     /* 375374 */     // GIR_Coverage, 13838,
     /* 375374 */     GIR_EraseRootFromParent_Done,
     /* 375375 */   // Label 7551: @375375
     /* 375375 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(375454), // Rule ID 4802 //
     /* 375380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 375383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 375391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375408 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 375414 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }))  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 375414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 375417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375426 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 375432 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375437 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 375445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375447 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 375449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375452 */     GIR_RootConstrainSelectedInstOperands,
     /* 375453 */     // GIR_Coverage, 4802,
     /* 375453 */     GIR_EraseRootFromParent_Done,
     /* 375454 */   // Label 7552: @375454
     /* 375454 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(375517), // Rule ID 13453 //
     /* 375459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 375483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375491 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375495 */     // MIs[2] Operand 1
     /* 375495 */     // No operand predicates
     /* 375495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 375501 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16Op:{ *:[f16] }:$Rn)  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 375501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 375504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 375508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375515 */     GIR_RootConstrainSelectedInstOperands,
     /* 375516 */     // GIR_Coverage, 13453,
     /* 375516 */     GIR_EraseRootFromParent_Done,
     /* 375517 */   // Label 7553: @375517
     /* 375517 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(375580), // Rule ID 2011 //
     /* 375522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 375533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375541 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 375550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375558 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375562 */     // MIs[2] Operand 1
     /* 375562 */     // No operand predicates
     /* 375562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 375564 */     // (strict_fmul:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 375564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 375567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375569 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 375571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375578 */     GIR_RootConstrainSelectedInstOperands,
     /* 375579 */     // GIR_Coverage, 2011,
     /* 375579 */     GIR_EraseRootFromParent_Done,
     /* 375580 */   // Label 7554: @375580
     /* 375580 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(375607), // Rule ID 619 //
     /* 375585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 375588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375596 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 375596 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 375601 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 375605 */     GIR_RootConstrainSelectedInstOperands,
     /* 375606 */     // GIR_Coverage, 619,
     /* 375606 */     GIR_Done,
     /* 375607 */   // Label 7555: @375607
     /* 375607 */   GIM_Reject,
     /* 375608 */ // Label 7548: @375608
     /* 375608 */ GIM_Reject,
     /* 375609 */ // Label 7540: @375609
     /* 375609 */ GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(376156),
     /* 375614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 375617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 375620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375624 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(375737), // Rule ID 6254 //
     /* 375629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375653 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 375661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375669 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 375673 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375678 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 375682 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375686 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 375690 */     // MIs[3] Operand 1
     /* 375690 */     // No operand predicates
     /* 375690 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375692 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 375692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 375695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375704 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 375710 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375715 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 375723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 375732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 375735 */     GIR_RootConstrainSelectedInstOperands,
     /* 375736 */     // GIR_Coverage, 6254,
     /* 375736 */     GIR_EraseRootFromParent_Done,
     /* 375737 */   // Label 7557: @375737
     /* 375737 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(375850), // Rule ID 13906 //
     /* 375742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375774 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 375778 */     // MIs[2] Operand 1
     /* 375778 */     // No operand predicates
     /* 375778 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375782 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375786 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375790 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 375794 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375799 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 375803 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375805 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 375805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 375808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375817 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 375823 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375828 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 375836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375848 */     GIR_RootConstrainSelectedInstOperands,
     /* 375849 */     // GIR_Coverage, 13906,
     /* 375849 */     GIR_EraseRootFromParent_Done,
     /* 375850 */   // Label 7558: @375850
     /* 375850 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(375926), // Rule ID 13840 //
     /* 375855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375876 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 375886 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rn)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 375886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 375889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375898 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 375904 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375909 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 375917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375919 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 375921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375924 */     GIR_RootConstrainSelectedInstOperands,
     /* 375925 */     // GIR_Coverage, 13840,
     /* 375925 */     GIR_EraseRootFromParent_Done,
     /* 375926 */   // Label 7559: @375926
     /* 375926 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(376002), // Rule ID 4804 //
     /* 375931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 375939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375956 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 375962 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }))  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 375962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 375965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375974 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 375980 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375985 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 375993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375995 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 375997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376000 */     GIR_RootConstrainSelectedInstOperands,
     /* 376001 */     // GIR_Coverage, 4804,
     /* 376001 */     GIR_EraseRootFromParent_Done,
     /* 376002 */   // Label 7560: @376002
     /* 376002 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(376065), // Rule ID 13455 //
     /* 376007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376039 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376043 */     // MIs[2] Operand 1
     /* 376043 */     // No operand predicates
     /* 376043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 376047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 376049 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32Op:{ *:[f32] }:$Rn)  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 376052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376063 */     GIR_RootConstrainSelectedInstOperands,
     /* 376064 */     // GIR_Coverage, 13455,
     /* 376064 */     GIR_EraseRootFromParent_Done,
     /* 376065 */   // Label 7561: @376065
     /* 376065 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(376128), // Rule ID 2013 //
     /* 376070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 376077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376106 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376110 */     // MIs[2] Operand 1
     /* 376110 */     // No operand predicates
     /* 376110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 376112 */     // (strict_fmul:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 376115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376117 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 376119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376126 */     GIR_RootConstrainSelectedInstOperands,
     /* 376127 */     // GIR_Coverage, 2013,
     /* 376127 */     GIR_EraseRootFromParent_Done,
     /* 376128 */   // Label 7562: @376128
     /* 376128 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(376155), // Rule ID 621 //
     /* 376133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 376136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 376140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 376144 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 376144 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 376149 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 376153 */     GIR_RootConstrainSelectedInstOperands,
     /* 376154 */     // GIR_Coverage, 621,
     /* 376154 */     GIR_Done,
     /* 376155 */   // Label 7563: @376155
     /* 376155 */   GIM_Reject,
     /* 376156 */ // Label 7556: @376156
     /* 376156 */ GIM_Reject,
     /* 376157 */ // Label 7541: @376157
     /* 376157 */ GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(376704),
     /* 376162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 376165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 376168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376172 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(376285), // Rule ID 6256 //
     /* 376177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376201 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 376205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 376209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376217 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376221 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376226 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 376230 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376234 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 376238 */     // MIs[3] Operand 1
     /* 376238 */     // No operand predicates
     /* 376238 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376240 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 376240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 376243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376252 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 376258 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376263 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 376271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 376283 */     GIR_RootConstrainSelectedInstOperands,
     /* 376284 */     // GIR_Coverage, 6256,
     /* 376284 */     GIR_EraseRootFromParent_Done,
     /* 376285 */   // Label 7565: @376285
     /* 376285 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(376398), // Rule ID 13908 //
     /* 376290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376305 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376322 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 376326 */     // MIs[2] Operand 1
     /* 376326 */     // No operand predicates
     /* 376326 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376330 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376334 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376338 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 376342 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376347 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 376351 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376353 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 376353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 376356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376365 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 376371 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376376 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 376384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376396 */     GIR_RootConstrainSelectedInstOperands,
     /* 376397 */     // GIR_Coverage, 13908,
     /* 376397 */     GIR_EraseRootFromParent_Done,
     /* 376398 */   // Label 7566: @376398
     /* 376398 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(376474), // Rule ID 13842 //
     /* 376403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376415 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376424 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 376428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 376434 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rn)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 376434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 376437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376446 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 376452 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376457 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 376465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376467 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376472 */     GIR_RootConstrainSelectedInstOperands,
     /* 376473 */     // GIR_Coverage, 13842,
     /* 376473 */     GIR_EraseRootFromParent_Done,
     /* 376474 */   // Label 7567: @376474
     /* 376474 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(376550), // Rule ID 4806 //
     /* 376479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376504 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 376508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 376510 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }))  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 376510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 376513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376522 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 376528 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376533 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 376541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376543 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 376545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376548 */     GIR_RootConstrainSelectedInstOperands,
     /* 376549 */     // GIR_Coverage, 4806,
     /* 376549 */     GIR_EraseRootFromParent_Done,
     /* 376550 */   // Label 7568: @376550
     /* 376550 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(376613), // Rule ID 13457 //
     /* 376555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376587 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 376591 */     // MIs[2] Operand 1
     /* 376591 */     // No operand predicates
     /* 376591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 376597 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64Op:{ *:[f64] }:$Rn)  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 376600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376611 */     GIR_RootConstrainSelectedInstOperands,
     /* 376612 */     // GIR_Coverage, 13457,
     /* 376612 */     GIR_EraseRootFromParent_Done,
     /* 376613 */   // Label 7569: @376613
     /* 376613 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(376676), // Rule ID 2015 //
     /* 376618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376654 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 376658 */     // MIs[2] Operand 1
     /* 376658 */     // No operand predicates
     /* 376658 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 376660 */     // (strict_fmul:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 376663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376665 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 376667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376674 */     GIR_RootConstrainSelectedInstOperands,
     /* 376675 */     // GIR_Coverage, 2015,
     /* 376675 */     GIR_EraseRootFromParent_Done,
     /* 376676 */   // Label 7570: @376676
     /* 376676 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(376703), // Rule ID 623 //
     /* 376681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 376684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376692 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 376692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 376697 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 376701 */     GIR_RootConstrainSelectedInstOperands,
     /* 376702 */     // GIR_Coverage, 623,
     /* 376702 */     GIR_Done,
     /* 376703 */   // Label 7571: @376703
     /* 376703 */   GIM_Reject,
     /* 376704 */ // Label 7564: @376704
     /* 376704 */ GIM_Reject,
     /* 376705 */ // Label 7542: @376705
     /* 376705 */ GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(377234),
     /* 376710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 376713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 376716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376720 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(376806), // Rule ID 13445 //
     /* 376725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 376736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376752 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376761 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 376765 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376769 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376773 */     // MIs[3] Operand 1
     /* 376773 */     // No operand predicates
     /* 376773 */     // MIs[1] Operand 2
     /* 376773 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 376784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376788 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376790 */     // (strict_fmul:{ *:[v2f32] } (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 376793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 376804 */     GIR_RootConstrainSelectedInstOperands,
     /* 376805 */     // GIR_Coverage, 13445,
     /* 376805 */     GIR_EraseRootFromParent_Done,
     /* 376806 */   // Label 7573: @376806
     /* 376806 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(376892), // Rule ID 2003 //
     /* 376811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 376826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376842 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376846 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376851 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 376855 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376859 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376863 */     // MIs[3] Operand 1
     /* 376863 */     // No operand predicates
     /* 376863 */     // MIs[1] Operand 2
     /* 376863 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 376874 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376876 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 376879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376881 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 376883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 376890 */     GIR_RootConstrainSelectedInstOperands,
     /* 376891 */     // GIR_Coverage, 2003,
     /* 376891 */     GIR_EraseRootFromParent_Done,
     /* 376892 */   // Label 7574: @376892
     /* 376892 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(376955), // Rule ID 13446 //
     /* 376897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376912 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376921 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376925 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376929 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376933 */     // MIs[2] Operand 1
     /* 376933 */     // No operand predicates
     /* 376933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 376939 */     // (strict_fmul:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 376942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376953 */     GIR_RootConstrainSelectedInstOperands,
     /* 376954 */     // GIR_Coverage, 13446,
     /* 376954 */     GIR_EraseRootFromParent_Done,
     /* 376955 */   // Label 7575: @376955
     /* 376955 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(377018), // Rule ID 2004 //
     /* 376960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376996 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 377000 */     // MIs[2] Operand 1
     /* 377000 */     // No operand predicates
     /* 377000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377002 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 377005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377007 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377016 */     GIR_RootConstrainSelectedInstOperands,
     /* 377017 */     // GIR_Coverage, 2004,
     /* 377017 */     GIR_EraseRootFromParent_Done,
     /* 377018 */   // Label 7576: @377018
     /* 377018 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(377112), // Rule ID 13910 //
     /* 377023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 377046 */     // (strict_fmul:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377046 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 377049 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 377053 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 377060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 377063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 377067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377072 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 377075 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377079 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 377082 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377087 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377092 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 377100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377110 */     GIR_RootConstrainSelectedInstOperands,
     /* 377111 */     // GIR_Coverage, 13910,
     /* 377111 */     GIR_EraseRootFromParent_Done,
     /* 377112 */   // Label 7577: @377112
     /* 377112 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(377206), // Rule ID 6258 //
     /* 377117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 377140 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377140 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 377143 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 377147 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 377154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 377157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 377161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377166 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 377169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377173 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 377176 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377181 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377186 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 377194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377196 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377204 */     GIR_RootConstrainSelectedInstOperands,
     /* 377205 */     // GIR_Coverage, 6258,
     /* 377205 */     GIR_EraseRootFromParent_Done,
     /* 377206 */   // Label 7578: @377206
     /* 377206 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(377233), // Rule ID 1322 //
     /* 377211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377222 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMULv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 377222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f32),
     /* 377227 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 377231 */     GIR_RootConstrainSelectedInstOperands,
     /* 377232 */     // GIR_Coverage, 1322,
     /* 377232 */     GIR_Done,
     /* 377233 */   // Label 7579: @377233
     /* 377233 */   GIM_Reject,
     /* 377234 */ // Label 7572: @377234
     /* 377234 */ GIM_Reject,
     /* 377235 */ // Label 7543: @377235
     /* 377235 */ GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(377592),
     /* 377240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 377243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 377246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377250 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(377313), // Rule ID 13451 //
     /* 377255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 377266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 377270 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377287 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 377291 */     // MIs[2] Operand 1
     /* 377291 */     // No operand predicates
     /* 377291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377295 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377297 */     // (strict_fmul:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 377300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377311 */     GIR_RootConstrainSelectedInstOperands,
     /* 377312 */     // GIR_Coverage, 13451,
     /* 377312 */     GIR_EraseRootFromParent_Done,
     /* 377313 */   // Label 7581: @377313
     /* 377313 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(377376), // Rule ID 2009 //
     /* 377318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 377333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 377337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377354 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 377358 */     // MIs[2] Operand 1
     /* 377358 */     // No operand predicates
     /* 377358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377360 */     // (strict_fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 377363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377365 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377374 */     GIR_RootConstrainSelectedInstOperands,
     /* 377375 */     // GIR_Coverage, 2009,
     /* 377375 */     GIR_EraseRootFromParent_Done,
     /* 377376 */   // Label 7582: @377376
     /* 377376 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(377470), // Rule ID 13914 //
     /* 377381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 377393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 377404 */     // (strict_fmul:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377404 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 377407 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 377411 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 377418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 377421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 377425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377430 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 377433 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377437 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 377440 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377445 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377450 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 377458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377468 */     GIR_RootConstrainSelectedInstOperands,
     /* 377469 */     // GIR_Coverage, 13914,
     /* 377469 */     GIR_EraseRootFromParent_Done,
     /* 377470 */   // Label 7583: @377470
     /* 377470 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(377564), // Rule ID 6262 //
     /* 377475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 377491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 377498 */     // (strict_fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377498 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 377501 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 377505 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 377512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 377515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 377519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377524 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 377527 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377531 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 377534 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377539 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377544 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 377552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377554 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377562 */     GIR_RootConstrainSelectedInstOperands,
     /* 377563 */     // GIR_Coverage, 6262,
     /* 377563 */     GIR_EraseRootFromParent_Done,
     /* 377564 */   // Label 7584: @377564
     /* 377564 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(377591), // Rule ID 1326 //
     /* 377569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377580 */     // (strict_fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMULv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 377580 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f64),
     /* 377585 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 377589 */     GIR_RootConstrainSelectedInstOperands,
     /* 377590 */     // GIR_Coverage, 1326,
     /* 377590 */     GIR_Done,
     /* 377591 */   // Label 7585: @377591
     /* 377591 */   GIM_Reject,
     /* 377592 */ // Label 7580: @377592
     /* 377592 */ GIM_Reject,
     /* 377593 */ // Label 7544: @377593
     /* 377593 */ GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(377934),
     /* 377598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 377601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 377604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377608 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(377694), // Rule ID 13439 //
     /* 377613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 377624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 377636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377640 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 377644 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 377649 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 377653 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377657 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 377661 */     // MIs[3] Operand 1
     /* 377661 */     // No operand predicates
     /* 377661 */     // MIs[1] Operand 2
     /* 377661 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 377672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377676 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377678 */     // (strict_fmul:{ *:[v4f16] } (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 377681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377683 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 377692 */     GIR_RootConstrainSelectedInstOperands,
     /* 377693 */     // GIR_Coverage, 13439,
     /* 377693 */     GIR_EraseRootFromParent_Done,
     /* 377694 */   // Label 7587: @377694
     /* 377694 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(377780), // Rule ID 1997 //
     /* 377699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 377714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 377726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377730 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 377734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 377739 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 377743 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377747 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 377751 */     // MIs[3] Operand 1
     /* 377751 */     // No operand predicates
     /* 377751 */     // MIs[1] Operand 2
     /* 377751 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 377762 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377764 */     // (strict_fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 377767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377769 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 377778 */     GIR_RootConstrainSelectedInstOperands,
     /* 377779 */     // GIR_Coverage, 1997,
     /* 377779 */     GIR_EraseRootFromParent_Done,
     /* 377780 */   // Label 7588: @377780
     /* 377780 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(377843), // Rule ID 13440 //
     /* 377785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 377796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 377809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377817 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 377821 */     // MIs[2] Operand 1
     /* 377821 */     // No operand predicates
     /* 377821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377827 */     // (strict_fmul:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 377830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377841 */     GIR_RootConstrainSelectedInstOperands,
     /* 377842 */     // GIR_Coverage, 13440,
     /* 377842 */     GIR_EraseRootFromParent_Done,
     /* 377843 */   // Label 7589: @377843
     /* 377843 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(377906), // Rule ID 1998 //
     /* 377848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 377863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 377876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377884 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 377888 */     // MIs[2] Operand 1
     /* 377888 */     // No operand predicates
     /* 377888 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377890 */     // (strict_fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 377893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377895 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377904 */     GIR_RootConstrainSelectedInstOperands,
     /* 377905 */     // GIR_Coverage, 1998,
     /* 377905 */     GIR_EraseRootFromParent_Done,
     /* 377906 */   // Label 7590: @377906
     /* 377906 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(377933), // Rule ID 1318 //
     /* 377911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377922 */     // (strict_fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMULv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 377922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f16),
     /* 377927 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 377931 */     GIR_RootConstrainSelectedInstOperands,
     /* 377932 */     // GIR_Coverage, 1318,
     /* 377932 */     GIR_Done,
     /* 377933 */   // Label 7591: @377933
     /* 377933 */   GIM_Reject,
     /* 377934 */ // Label 7586: @377934
     /* 377934 */ GIM_Reject,
     /* 377935 */ // Label 7545: @377935
     /* 377935 */ GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(378292),
     /* 377940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 377946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377950 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(378013), // Rule ID 13449 //
     /* 377955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 377966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377987 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 377991 */     // MIs[2] Operand 1
     /* 377991 */     // No operand predicates
     /* 377991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377997 */     // (strict_fmul:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 378000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 378004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 378011 */     GIR_RootConstrainSelectedInstOperands,
     /* 378012 */     // GIR_Coverage, 13449,
     /* 378012 */     GIR_EraseRootFromParent_Done,
     /* 378013 */   // Label 7593: @378013
     /* 378013 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(378076), // Rule ID 2007 //
     /* 378018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 378021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 378029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 378033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 378037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 378050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378054 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 378058 */     // MIs[2] Operand 1
     /* 378058 */     // No operand predicates
     /* 378058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378060 */     // (strict_fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 378060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 378063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378065 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 378074 */     GIR_RootConstrainSelectedInstOperands,
     /* 378075 */     // GIR_Coverage, 2007,
     /* 378075 */     GIR_EraseRootFromParent_Done,
     /* 378076 */   // Label 7594: @378076
     /* 378076 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(378170), // Rule ID 13912 //
     /* 378081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 378089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 378093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 378104 */     // (strict_fmul:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 378104 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 378107 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 378111 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 378118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 378121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 378125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378130 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 378133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378137 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 378140 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378145 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378150 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 378158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 378162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378168 */     GIR_RootConstrainSelectedInstOperands,
     /* 378169 */     // GIR_Coverage, 13912,
     /* 378169 */     GIR_EraseRootFromParent_Done,
     /* 378170 */   // Label 7595: @378170
     /* 378170 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(378264), // Rule ID 6260 //
     /* 378175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 378183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 378187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 378191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 378198 */     // (strict_fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 378198 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 378201 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 378205 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 378212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 378215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 378219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378224 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 378227 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378231 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 378234 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378239 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378244 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 378252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378254 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378262 */     GIR_RootConstrainSelectedInstOperands,
     /* 378263 */     // GIR_Coverage, 6260,
     /* 378263 */     GIR_EraseRootFromParent_Done,
     /* 378264 */   // Label 7596: @378264
     /* 378264 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(378291), // Rule ID 1324 //
     /* 378269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 378272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378280 */     // (strict_fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMULv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 378280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 378285 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378289 */     GIR_RootConstrainSelectedInstOperands,
     /* 378290 */     // GIR_Coverage, 1324,
     /* 378290 */     GIR_Done,
     /* 378291 */   // Label 7597: @378291
     /* 378291 */   GIM_Reject,
     /* 378292 */ // Label 7592: @378292
     /* 378292 */ GIM_Reject,
     /* 378293 */ // Label 7546: @378293
     /* 378293 */ GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(378724),
     /* 378298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 378304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378308 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(378371), // Rule ID 13443 //
     /* 378313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 378324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 378337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 378341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378345 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 378349 */     // MIs[2] Operand 1
     /* 378349 */     // No operand predicates
     /* 378349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378355 */     // (strict_fmul:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn)  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 378355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 378358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 378362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 378369 */     GIR_RootConstrainSelectedInstOperands,
     /* 378370 */     // GIR_Coverage, 13443,
     /* 378370 */     GIR_EraseRootFromParent_Done,
     /* 378371 */   // Label 7599: @378371
     /* 378371 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(378434), // Rule ID 2001 //
     /* 378376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 378387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 378391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 378404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 378408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378412 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 378416 */     // MIs[2] Operand 1
     /* 378416 */     // No operand predicates
     /* 378416 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378418 */     // (strict_fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 378418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 378421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378423 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 378432 */     GIR_RootConstrainSelectedInstOperands,
     /* 378433 */     // GIR_Coverage, 2001,
     /* 378433 */     GIR_EraseRootFromParent_Done,
     /* 378434 */   // Label 7600: @378434
     /* 378434 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(378461), // Rule ID 1320 //
     /* 378439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378450 */     // (strict_fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMULv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 378450 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv8f16),
     /* 378455 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378459 */     GIR_RootConstrainSelectedInstOperands,
     /* 378460 */     // GIR_Coverage, 1320,
     /* 378460 */     GIR_Done,
     /* 378461 */   // Label 7601: @378461
     /* 378461 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(378723), // Rule ID 7015 //
     /* 378466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 378469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378477 */     // (strict_fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FMULv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FMULv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 378477 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 378480 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 378484 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378489 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 378493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 378495 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 378498 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 378502 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378507 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 378511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 378513 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 378516 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 378520 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378525 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 378528 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 378531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 378533 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 378536 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378540 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378545 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 378551 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378556 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378561 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 378564 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 378568 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378573 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 378576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 378578 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 378581 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378585 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378590 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 378596 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378601 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378606 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 378609 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 378613 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378618 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 378621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 378623 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 378626 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 378630 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378635 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 378638 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 378641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 378643 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 378646 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 378650 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378655 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 378658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 378660 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 378663 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 378667 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 378674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 378677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 378681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378686 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 378689 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 378692 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 378695 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378700 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378705 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 378713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 378721 */     GIR_RootConstrainSelectedInstOperands,
     /* 378722 */     // GIR_Coverage, 7015,
     /* 378722 */     GIR_EraseRootFromParent_Done,
     /* 378723 */   // Label 7602: @378723
     /* 378723 */   GIM_Reject,
     /* 378724 */ // Label 7598: @378724
     /* 378724 */ GIM_Reject,
     /* 378725 */ // Label 7547: @378725
     /* 378725 */ GIM_Reject,
     /* 378726 */ // Label 104: @378726
     /* 378726 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7611*/ GIMT_Encode4(379341),
     /* 378737 */ /*GILLT_s16*//*Label 7603*/ GIMT_Encode4(378777),
     /* 378741 */ /*GILLT_s32*//*Label 7604*/ GIMT_Encode4(378815),
     /* 378745 */ /*GILLT_s64*//*Label 7605*/ GIMT_Encode4(378853), GIMT_Encode4(0),
     /* 378753 */ /*GILLT_v2s32*//*Label 7606*/ GIMT_Encode4(378891),
     /* 378757 */ /*GILLT_v2s64*//*Label 7607*/ GIMT_Encode4(378929),
     /* 378761 */ /*GILLT_v4s16*//*Label 7608*/ GIMT_Encode4(378967),
     /* 378765 */ /*GILLT_v4s32*//*Label 7609*/ GIMT_Encode4(379005), GIMT_Encode4(0),
     /* 378773 */ /*GILLT_v8s16*//*Label 7610*/ GIMT_Encode4(379043),
     /* 378777 */ // Label 7603: @378777
     /* 378777 */ GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(378814), // Rule ID 589 //
     /* 378782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 378785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 378788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 378791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378803 */   // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FDIVHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 378803 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVHrr),
     /* 378808 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378812 */   GIR_RootConstrainSelectedInstOperands,
     /* 378813 */   // GIR_Coverage, 589,
     /* 378813 */   GIR_Done,
     /* 378814 */ // Label 7612: @378814
     /* 378814 */ GIM_Reject,
     /* 378815 */ // Label 7604: @378815
     /* 378815 */ GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(378852), // Rule ID 591 //
     /* 378820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 378823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 378826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 378829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378841 */   // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FDIVSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 378841 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVSrr),
     /* 378846 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378850 */   GIR_RootConstrainSelectedInstOperands,
     /* 378851 */   // GIR_Coverage, 591,
     /* 378851 */   GIR_Done,
     /* 378852 */ // Label 7613: @378852
     /* 378852 */ GIM_Reject,
     /* 378853 */ // Label 7605: @378853
     /* 378853 */ GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(378890), // Rule ID 593 //
     /* 378858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 378861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 378864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 378867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378879 */   // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FDIVDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 378879 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVDrr),
     /* 378884 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378888 */   GIR_RootConstrainSelectedInstOperands,
     /* 378889 */   // GIR_Coverage, 593,
     /* 378889 */   GIR_Done,
     /* 378890 */ // Label 7614: @378890
     /* 378890 */ GIM_Reject,
     /* 378891 */ // Label 7606: @378891
     /* 378891 */ GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(378928), // Rule ID 1227 //
     /* 378896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 378899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 378902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 378905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378917 */   // (strict_fdiv:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FDIVv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 378917 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f32),
     /* 378922 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378926 */   GIR_RootConstrainSelectedInstOperands,
     /* 378927 */   // GIR_Coverage, 1227,
     /* 378927 */   GIR_Done,
     /* 378928 */ // Label 7615: @378928
     /* 378928 */ GIM_Reject,
     /* 378929 */ // Label 7607: @378929
     /* 378929 */ GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(378966), // Rule ID 1231 //
     /* 378934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 378937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 378940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 378943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378955 */   // (strict_fdiv:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FDIVv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 378955 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f64),
     /* 378960 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378964 */   GIR_RootConstrainSelectedInstOperands,
     /* 378965 */   // GIR_Coverage, 1231,
     /* 378965 */   GIR_Done,
     /* 378966 */ // Label 7616: @378966
     /* 378966 */ GIM_Reject,
     /* 378967 */ // Label 7608: @378967
     /* 378967 */ GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(379004), // Rule ID 1223 //
     /* 378972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 378978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 378981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378993 */   // (strict_fdiv:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FDIVv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 378993 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f16),
     /* 378998 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379002 */   GIR_RootConstrainSelectedInstOperands,
     /* 379003 */   // GIR_Coverage, 1223,
     /* 379003 */   GIR_Done,
     /* 379004 */ // Label 7617: @379004
     /* 379004 */ GIM_Reject,
     /* 379005 */ // Label 7609: @379005
     /* 379005 */ GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(379042), // Rule ID 1229 //
     /* 379010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 379013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 379019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379031 */   // (strict_fdiv:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FDIVv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 379031 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 379036 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379040 */   GIR_RootConstrainSelectedInstOperands,
     /* 379041 */   // GIR_Coverage, 1229,
     /* 379041 */   GIR_Done,
     /* 379042 */ // Label 7618: @379042
     /* 379042 */ GIM_Reject,
     /* 379043 */ // Label 7610: @379043
     /* 379043 */ GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(379340),
     /* 379048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 379054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379066 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(379085), // Rule ID 1225 //
     /* 379071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379074 */     // (strict_fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FDIVv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 379074 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv8f16),
     /* 379079 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379083 */     GIR_RootConstrainSelectedInstOperands,
     /* 379084 */     // GIR_Coverage, 1225,
     /* 379084 */     GIR_Done,
     /* 379085 */   // Label 7620: @379085
     /* 379085 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(379339), // Rule ID 7013 //
     /* 379090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 379093 */     // (strict_fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FDIVv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FDIVv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 379093 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 379096 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 379100 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379105 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 379109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 379111 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 379114 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 379118 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379123 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 379127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 379129 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 379132 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 379136 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379141 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 379144 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 379147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 379149 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 379152 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379156 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379161 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 379167 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379172 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379177 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 379180 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 379184 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379189 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 379192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 379194 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 379197 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379201 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379206 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 379212 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379217 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379222 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 379225 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 379229 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379234 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 379237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 379239 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 379242 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 379246 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379251 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 379254 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 379257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 379259 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 379262 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 379266 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379271 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 379274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 379276 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 379279 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 379283 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 379290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 379293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 379297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379302 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 379305 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 379308 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 379311 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379316 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379321 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 379329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 379337 */     GIR_RootConstrainSelectedInstOperands,
     /* 379338 */     // GIR_Coverage, 7013,
     /* 379338 */     GIR_EraseRootFromParent_Done,
     /* 379339 */   // Label 7621: @379339
     /* 379339 */   GIM_Reject,
     /* 379340 */ // Label 7619: @379340
     /* 379340 */ GIM_Reject,
     /* 379341 */ // Label 7611: @379341
     /* 379341 */ GIM_Reject,
     /* 379342 */ // Label 105: @379342
     /* 379342 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7630*/ GIMT_Encode4(394948),
     /* 379353 */ /*GILLT_s16*//*Label 7622*/ GIMT_Encode4(379393),
     /* 379357 */ /*GILLT_s32*//*Label 7623*/ GIMT_Encode4(382167),
     /* 379361 */ /*GILLT_s64*//*Label 7624*/ GIMT_Encode4(385097), GIMT_Encode4(0),
     /* 379369 */ /*GILLT_v2s32*//*Label 7625*/ GIMT_Encode4(388027),
     /* 379373 */ /*GILLT_v2s64*//*Label 7626*/ GIMT_Encode4(389548),
     /* 379377 */ /*GILLT_v4s16*//*Label 7627*/ GIMT_Encode4(391069),
     /* 379381 */ /*GILLT_v4s32*//*Label 7628*/ GIMT_Encode4(392248), GIMT_Encode4(0),
     /* 379389 */ /*GILLT_v8s16*//*Label 7629*/ GIMT_Encode4(393769),
     /* 379393 */ // Label 7622: @379393
     /* 379393 */ GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(382166),
     /* 379398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 379401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 379404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 379407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379411 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(379561), // Rule ID 4864 //
     /* 379416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 379419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379440 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 379444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379456 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 379460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379465 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 379469 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 379473 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379477 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 379481 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379486 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379488 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 379488 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 379491 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379495 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379500 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 379506 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379511 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 379519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379528 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 379534 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379539 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 379547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 379549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 379555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 379559 */     GIR_RootConstrainSelectedInstOperands,
     /* 379560 */     // GIR_Coverage, 4864,
     /* 379560 */     GIR_EraseRootFromParent_Done,
     /* 379561 */   // Label 7632: @379561
     /* 379561 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(379708), // Rule ID 4828 //
     /* 379566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 379569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379581 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379590 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 379594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 379606 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 379610 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379614 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379618 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 379622 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379627 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 379631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379635 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379637 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 379637 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 379640 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379644 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379649 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 379655 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379660 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 379668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379677 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 379683 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379688 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 379696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 379698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 379704 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 379706 */     GIR_RootConstrainSelectedInstOperands,
     /* 379707 */     // GIR_Coverage, 4828,
     /* 379707 */     GIR_EraseRootFromParent_Done,
     /* 379708 */   // Label 7633: @379708
     /* 379708 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(379855), // Rule ID 13851 //
     /* 379713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 379716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 379728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 379732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379740 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 379744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379749 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 379753 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 379757 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379761 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379765 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 379769 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379774 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 379778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379784 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 379784 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 379787 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379791 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379796 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 379802 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379807 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 379815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379824 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 379830 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379835 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 379843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 379845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 379851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 379853 */     GIR_RootConstrainSelectedInstOperands,
     /* 379854 */     // GIR_Coverage, 13851,
     /* 379854 */     GIR_EraseRootFromParent_Done,
     /* 379855 */   // Label 7634: @379855
     /* 379855 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(379986), // Rule ID 6090 //
     /* 379860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379875 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379884 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 379888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 379900 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 379904 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379908 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379912 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 379916 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 379921 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 379925 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 379929 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 379933 */     // MIs[4] Operand 1
     /* 379933 */     // No operand predicates
     /* 379933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379937 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 379939 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 379939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 379942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379951 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 379957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 379970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 379981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 379984 */     GIR_RootConstrainSelectedInstOperands,
     /* 379985 */     // GIR_Coverage, 6090,
     /* 379985 */     GIR_EraseRootFromParent_Done,
     /* 379986 */   // Label 7635: @379986
     /* 379986 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(380117), // Rule ID 6122 //
     /* 379991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 380015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 380019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380023 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 380027 */     // MIs[2] Operand 1
     /* 380027 */     // No operand predicates
     /* 380027 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 380031 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380035 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 380039 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 380043 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380047 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380051 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 380055 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380060 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 380064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380068 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 380070 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 380070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380082 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380088 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380093 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 380101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 380112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 380115 */     GIR_RootConstrainSelectedInstOperands,
     /* 380116 */     // GIR_Coverage, 6122,
     /* 380116 */     GIR_EraseRootFromParent_Done,
     /* 380117 */   // Label 7636: @380117
     /* 380117 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(380248), // Rule ID 6186 //
     /* 380122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 380137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 380141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380149 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380158 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 380162 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 380166 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380170 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380174 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 380178 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 380183 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 380187 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380191 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 380195 */     // MIs[4] Operand 1
     /* 380195 */     // No operand predicates
     /* 380195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380199 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 380201 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 380201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380213 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380219 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380224 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 380232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 380243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 380246 */     GIR_RootConstrainSelectedInstOperands,
     /* 380247 */     // GIR_Coverage, 6186,
     /* 380247 */     GIR_EraseRootFromParent_Done,
     /* 380248 */   // Label 7637: @380248
     /* 380248 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(380379), // Rule ID 6154 //
     /* 380253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 380268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 380272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 380289 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 380293 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380297 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 380301 */     // MIs[3] Operand 1
     /* 380301 */     // No operand predicates
     /* 380301 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 380305 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380309 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380313 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 380317 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380322 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 380326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380330 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 380332 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 380332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380344 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380350 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380355 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 380363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 380374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 380377 */     GIR_RootConstrainSelectedInstOperands,
     /* 380378 */     // GIR_Coverage, 6154,
     /* 380378 */     GIR_EraseRootFromParent_Done,
     /* 380379 */   // Label 7638: @380379
     /* 380379 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(380514), // Rule ID 2455 //
     /* 380384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 380387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380408 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 380412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380424 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380433 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 380437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 380443 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 380443 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 380446 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380450 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380455 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 380461 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380466 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380483 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380489 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380494 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 380502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 380510 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 380512 */     GIR_RootConstrainSelectedInstOperands,
     /* 380513 */     // GIR_Coverage, 2455,
     /* 380513 */     GIR_EraseRootFromParent_Done,
     /* 380514 */   // Label 7639: @380514
     /* 380514 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(380633), // Rule ID 6058 //
     /* 380519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380543 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 380547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380559 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 380568 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 380572 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380576 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 380580 */     // MIs[3] Operand 1
     /* 380580 */     // No operand predicates
     /* 380580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380584 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380586 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 380586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380598 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 380617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380619 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 380628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 380631 */     GIR_RootConstrainSelectedInstOperands,
     /* 380632 */     // GIR_Coverage, 6058,
     /* 380632 */     GIR_EraseRootFromParent_Done,
     /* 380633 */   // Label 7640: @380633
     /* 380633 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(380752), // Rule ID 2537 //
     /* 380638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 380662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 380666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380670 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 380674 */     // MIs[2] Operand 1
     /* 380674 */     // No operand predicates
     /* 380674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 380678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380682 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380686 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 380690 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380695 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 380699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380703 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380705 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 380705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380717 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380723 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380728 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 380736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 380747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 380750 */     GIR_RootConstrainSelectedInstOperands,
     /* 380751 */     // GIR_Coverage, 2537,
     /* 380751 */     GIR_EraseRootFromParent_Done,
     /* 380752 */   // Label 7641: @380752
     /* 380752 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(380852), // Rule ID 4826 //
     /* 380757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 380760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380781 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 380785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 380797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 380808 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 380808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380820 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380826 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380831 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 380839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 380848 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 380850 */     GIR_RootConstrainSelectedInstOperands,
     /* 380851 */     // GIR_Coverage, 4826,
     /* 380851 */     GIR_EraseRootFromParent_Done,
     /* 380852 */   // Label 7642: @380852
     /* 380852 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(380952), // Rule ID 4862 //
     /* 380857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 380860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380881 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 380885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 380893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 380901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 380908 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 380908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380920 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380926 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380931 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 380939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 380946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 380950 */     GIR_RootConstrainSelectedInstOperands,
     /* 380951 */     // GIR_Coverage, 4862,
     /* 380951 */     GIR_EraseRootFromParent_Done,
     /* 380952 */   // Label 7643: @380952
     /* 380952 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(381049), // Rule ID 13847 //
     /* 380957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 380960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 380972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 380976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380984 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380988 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380993 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 380997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 381007 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 381007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 381010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381019 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 381025 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381030 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 381038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 381042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381045 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381047 */     GIR_RootConstrainSelectedInstOperands,
     /* 381048 */     // GIR_Coverage, 13847,
     /* 381048 */     GIR_EraseRootFromParent_Done,
     /* 381049 */   // Label 7644: @381049
     /* 381049 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(381149), // Rule ID 13849 //
     /* 381054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 381069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381086 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 381090 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381095 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 381099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 381105 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 381105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 381108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381117 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 381123 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381128 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 381136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381145 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381147 */     GIR_RootConstrainSelectedInstOperands,
     /* 381148 */     // GIR_Coverage, 13849,
     /* 381148 */     GIR_EraseRootFromParent_Done,
     /* 381149 */   // Label 7645: @381149
     /* 381149 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(381249), // Rule ID 4860 //
     /* 381154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 381165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381173 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381182 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 381186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 381190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 381198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 381205 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 381205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 381208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381217 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 381223 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381228 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 381236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381238 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 381247 */     GIR_RootConstrainSelectedInstOperands,
     /* 381248 */     // GIR_Coverage, 4860,
     /* 381248 */     GIR_EraseRootFromParent_Done,
     /* 381249 */   // Label 7646: @381249
     /* 381249 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(381346), // Rule ID 4824 //
     /* 381254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 381265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 381273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 381277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381285 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 381289 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381294 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 381298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 381304 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 381304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 381307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381316 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 381322 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381327 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 381335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381337 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381344 */     GIR_RootConstrainSelectedInstOperands,
     /* 381345 */     // GIR_Coverage, 4824,
     /* 381345 */     GIR_EraseRootFromParent_Done,
     /* 381346 */   // Label 7647: @381346
     /* 381346 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(381430), // Rule ID 6120 //
     /* 381351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 381354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 381375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 381379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381383 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 381387 */     // MIs[2] Operand 1
     /* 381387 */     // No operand predicates
     /* 381387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 381391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381395 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 381399 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381408 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381410 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 381410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 381413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381415 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 381421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 381428 */     GIR_RootConstrainSelectedInstOperands,
     /* 381429 */     // GIR_Coverage, 6120,
     /* 381429 */     GIR_EraseRootFromParent_Done,
     /* 381430 */   // Label 7648: @381430
     /* 381430 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(381511), // Rule ID 6152 //
     /* 381435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 381438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 381450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 381454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381462 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 381466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 381471 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 381475 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381479 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 381483 */     // MIs[3] Operand 1
     /* 381483 */     // No operand predicates
     /* 381483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381491 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381493 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 381493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 381496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 381502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 381506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 381509 */     GIR_RootConstrainSelectedInstOperands,
     /* 381510 */     // GIR_Coverage, 6152,
     /* 381510 */     GIR_EraseRootFromParent_Done,
     /* 381511 */   // Label 7649: @381511
     /* 381511 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(381595), // Rule ID 6184 //
     /* 381516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 381519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 381531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 381552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 381557 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 381561 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381565 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 381569 */     // MIs[3] Operand 1
     /* 381569 */     // No operand predicates
     /* 381569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381573 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381575 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 381575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 381578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381580 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 381586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 381590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 381593 */     GIR_RootConstrainSelectedInstOperands,
     /* 381594 */     // GIR_Coverage, 6184,
     /* 381594 */     GIR_EraseRootFromParent_Done,
     /* 381595 */   // Label 7650: @381595
     /* 381595 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(381676), // Rule ID 6088 //
     /* 381600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 381603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 381611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 381619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 381623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381631 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 381635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 381640 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 381644 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381648 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 381652 */     // MIs[3] Operand 1
     /* 381652 */     // No operand predicates
     /* 381652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381656 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381658 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 381658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 381661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381663 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381665 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 381671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 381674 */     GIR_RootConstrainSelectedInstOperands,
     /* 381675 */     // GIR_Coverage, 6088,
     /* 381675 */     GIR_EraseRootFromParent_Done,
     /* 381676 */   // Label 7651: @381676
     /* 381676 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(381761), // Rule ID 2453 //
     /* 381681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381705 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 381709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381719 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 381719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 381722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381731 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 381737 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381742 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 381750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381755 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 381757 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381759 */     GIR_RootConstrainSelectedInstOperands,
     /* 381760 */     // GIR_Coverage, 2453,
     /* 381760 */     GIR_EraseRootFromParent_Done,
     /* 381761 */   // Label 7652: @381761
     /* 381761 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(381846), // Rule ID 2451 //
     /* 381766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 381777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381794 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 381798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381804 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 381804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 381807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381816 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 381822 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381827 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 381835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381837 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381844 */     GIR_RootConstrainSelectedInstOperands,
     /* 381845 */     // GIR_Coverage, 2451,
     /* 381845 */     GIR_EraseRootFromParent_Done,
     /* 381846 */   // Label 7653: @381846
     /* 381846 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(381915), // Rule ID 2535 //
     /* 381851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 381854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381866 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 381875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 381879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381883 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 381887 */     // MIs[2] Operand 1
     /* 381887 */     // No operand predicates
     /* 381887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381895 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 381897 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 381897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 381900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381902 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381904 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 381906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 381913 */     GIR_RootConstrainSelectedInstOperands,
     /* 381914 */     // GIR_Coverage, 2535,
     /* 381914 */     GIR_EraseRootFromParent_Done,
     /* 381915 */   // Label 7654: @381915
     /* 381915 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(381984), // Rule ID 6056 //
     /* 381920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 381923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 381931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 381948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 381952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381956 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 381960 */     // MIs[2] Operand 1
     /* 381960 */     // No operand predicates
     /* 381960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 381966 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 381966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 381969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381971 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381973 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 381982 */     GIR_RootConstrainSelectedInstOperands,
     /* 381983 */     // GIR_Coverage, 6056,
     /* 381983 */     GIR_EraseRootFromParent_Done,
     /* 381984 */   // Label 7655: @381984
     /* 381984 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(382034), // Rule ID 13293 //
     /* 381989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 382004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 382019 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 382019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 382022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 382024 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 382026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 382030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 382032 */     GIR_RootConstrainSelectedInstOperands,
     /* 382033 */     // GIR_Coverage, 13293,
     /* 382033 */     GIR_EraseRootFromParent_Done,
     /* 382034 */   // Label 7656: @382034
     /* 382034 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(382084), // Rule ID 643 //
     /* 382039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 382042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 382050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 382058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 382069 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 382069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 382072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 382074 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 382076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 382080 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 382082 */     GIR_RootConstrainSelectedInstOperands,
     /* 382083 */     // GIR_Coverage, 643,
     /* 382083 */     GIR_EraseRootFromParent_Done,
     /* 382084 */   // Label 7657: @382084
     /* 382084 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(382134), // Rule ID 655 //
     /* 382089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 382092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 382104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 382112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 382119 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 382119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 382122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 382124 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 382126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 382128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 382132 */     GIR_RootConstrainSelectedInstOperands,
     /* 382133 */     // GIR_Coverage, 655,
     /* 382133 */     GIR_EraseRootFromParent_Done,
     /* 382134 */   // Label 7658: @382134
     /* 382134 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(382165), // Rule ID 637 //
     /* 382139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 382142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382154 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 382154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 382159 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 382163 */     GIR_RootConstrainSelectedInstOperands,
     /* 382164 */     // GIR_Coverage, 637,
     /* 382164 */     GIR_Done,
     /* 382165 */   // Label 7659: @382165
     /* 382165 */   GIM_Reject,
     /* 382166 */ // Label 7631: @382166
     /* 382166 */ GIM_Reject,
     /* 382167 */ // Label 7623: @382167
     /* 382167 */ GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(385096),
     /* 382172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 382175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 382178 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 382181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382185 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(382335), // Rule ID 4870 //
     /* 382190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 382193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382214 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 382218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382230 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 382234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382239 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 382243 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 382247 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382251 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 382255 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382260 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382262 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 382262 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 382265 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382269 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382274 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 382280 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382285 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382302 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382308 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382313 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 382321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 382323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 382329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 382333 */     GIR_RootConstrainSelectedInstOperands,
     /* 382334 */     // GIR_Coverage, 4870,
     /* 382334 */     GIR_EraseRootFromParent_Done,
     /* 382335 */   // Label 7661: @382335
     /* 382335 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(382482), // Rule ID 4834 //
     /* 382340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 382343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382364 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 382368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 382380 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 382384 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382388 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382392 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 382396 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382401 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 382405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382409 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382411 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 382411 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 382414 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382418 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382423 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 382429 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382434 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382451 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382457 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382462 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 382470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 382472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 382478 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 382480 */     GIR_RootConstrainSelectedInstOperands,
     /* 382481 */     // GIR_Coverage, 4834,
     /* 382481 */     GIR_EraseRootFromParent_Done,
     /* 382482 */   // Label 7662: @382482
     /* 382482 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(382629), // Rule ID 13857 //
     /* 382487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 382490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 382506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382514 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 382518 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382523 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 382527 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 382531 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382535 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382539 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 382543 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382548 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 382552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382556 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382558 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 382558 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 382561 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382565 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382570 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 382576 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382581 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382598 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 382617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 382619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 382625 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 382627 */     GIR_RootConstrainSelectedInstOperands,
     /* 382628 */     // GIR_Coverage, 13857,
     /* 382628 */     GIR_EraseRootFromParent_Done,
     /* 382629 */   // Label 7663: @382629
     /* 382629 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(382760), // Rule ID 6106 //
     /* 382634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 382637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382658 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 382662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 382674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 382678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382682 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382686 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 382690 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382695 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 382699 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 382703 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 382707 */     // MIs[4] Operand 1
     /* 382707 */     // No operand predicates
     /* 382707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382711 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 382713 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 382713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382725 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382731 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382736 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 382744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 382748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 382755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 382758 */     GIR_RootConstrainSelectedInstOperands,
     /* 382759 */     // GIR_Coverage, 6106,
     /* 382759 */     GIR_EraseRootFromParent_Done,
     /* 382760 */   // Label 7664: @382760
     /* 382760 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(382891), // Rule ID 6138 //
     /* 382765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 382768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382780 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 382793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 382797 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 382801 */     // MIs[2] Operand 1
     /* 382801 */     // No operand predicates
     /* 382801 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 382805 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382809 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 382813 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 382817 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382821 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382825 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 382829 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382834 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 382838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382842 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 382844 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 382844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382856 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382862 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382867 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 382875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382877 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 382879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 382886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 382889 */     GIR_RootConstrainSelectedInstOperands,
     /* 382890 */     // GIR_Coverage, 6138,
     /* 382890 */     GIR_EraseRootFromParent_Done,
     /* 382891 */   // Label 7665: @382891
     /* 382891 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(383022), // Rule ID 6202 //
     /* 382896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 382899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 382915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382923 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 382927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382932 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 382936 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 382940 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382944 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382948 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 382952 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382957 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 382961 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 382965 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 382969 */     // MIs[4] Operand 1
     /* 382969 */     // No operand predicates
     /* 382969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382973 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 382975 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 382975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382987 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382993 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382998 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 383006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383008 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 383017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 383020 */     GIR_RootConstrainSelectedInstOperands,
     /* 383021 */     // GIR_Coverage, 6202,
     /* 383021 */     GIR_EraseRootFromParent_Done,
     /* 383022 */   // Label 7666: @383022
     /* 383022 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(383153), // Rule ID 6170 //
     /* 383027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 383030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 383046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383054 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383063 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 383067 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383071 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 383075 */     // MIs[3] Operand 1
     /* 383075 */     // No operand predicates
     /* 383075 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 383079 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383083 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383087 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 383091 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383096 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 383100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383104 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 383106 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 383106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383118 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383124 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383129 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 383137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383139 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 383148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 383151 */     GIR_RootConstrainSelectedInstOperands,
     /* 383152 */     // GIR_Coverage, 6170,
     /* 383152 */     GIR_EraseRootFromParent_Done,
     /* 383153 */   // Label 7667: @383153
     /* 383153 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(383288), // Rule ID 2461 //
     /* 383158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383173 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383182 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 383186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 383190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383198 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383207 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 383211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383217 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 383217 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 383220 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383224 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383229 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 383235 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383240 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383257 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383263 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383268 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 383276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 383284 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383286 */     GIR_RootConstrainSelectedInstOperands,
     /* 383287 */     // GIR_Coverage, 2461,
     /* 383287 */     GIR_EraseRootFromParent_Done,
     /* 383288 */   // Label 7668: @383288
     /* 383288 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(383407), // Rule ID 6074 //
     /* 383293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 383296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383317 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 383321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 383325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383329 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383333 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383342 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 383346 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383350 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 383354 */     // MIs[3] Operand 1
     /* 383354 */     // No operand predicates
     /* 383354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383358 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383360 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 383360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383372 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383378 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383383 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 383391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383393 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 383402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 383405 */     GIR_RootConstrainSelectedInstOperands,
     /* 383406 */     // GIR_Coverage, 6074,
     /* 383406 */     GIR_EraseRootFromParent_Done,
     /* 383407 */   // Label 7669: @383407
     /* 383407 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(383526), // Rule ID 2553 //
     /* 383412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 383415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 383440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383444 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 383448 */     // MIs[2] Operand 1
     /* 383448 */     // No operand predicates
     /* 383448 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 383452 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383456 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383460 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 383464 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383469 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 383473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383477 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383479 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 383479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383491 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383497 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383502 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 383510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 383521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 383524 */     GIR_RootConstrainSelectedInstOperands,
     /* 383525 */     // GIR_Coverage, 2553,
     /* 383525 */     GIR_EraseRootFromParent_Done,
     /* 383526 */   // Label 7670: @383526
     /* 383526 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(383626), // Rule ID 4832 //
     /* 383531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383555 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 383559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 383563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383582 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 383582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383594 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383600 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383605 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 383613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 383622 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383624 */     GIR_RootConstrainSelectedInstOperands,
     /* 383625 */     // GIR_Coverage, 4832,
     /* 383625 */     GIR_EraseRootFromParent_Done,
     /* 383626 */   // Label 7671: @383626
     /* 383626 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(383726), // Rule ID 4868 //
     /* 383631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383646 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383655 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 383659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 383667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383675 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383682 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 383682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383694 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383700 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383705 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 383713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 383720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 383724 */     GIR_RootConstrainSelectedInstOperands,
     /* 383725 */     // GIR_Coverage, 4868,
     /* 383725 */     GIR_EraseRootFromParent_Done,
     /* 383726 */   // Label 7672: @383726
     /* 383726 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(383823), // Rule ID 13853 //
     /* 383731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 383750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383758 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383767 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 383771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383781 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 383781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383793 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 383799 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383804 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 383812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 383816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383819 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383821 */     GIR_RootConstrainSelectedInstOperands,
     /* 383822 */     // GIR_Coverage, 13853,
     /* 383822 */     GIR_EraseRootFromParent_Done,
     /* 383823 */   // Label 7673: @383823
     /* 383823 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(383923), // Rule ID 13855 //
     /* 383828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 383852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383860 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383869 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 383873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383879 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 383879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383891 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383897 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383902 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 383910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 383919 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383921 */     GIR_RootConstrainSelectedInstOperands,
     /* 383922 */     // GIR_Coverage, 13855,
     /* 383922 */     GIR_EraseRootFromParent_Done,
     /* 383923 */   // Label 7674: @383923
     /* 383923 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(384023), // Rule ID 4866 //
     /* 383928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 383939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383956 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 383960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 383964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383972 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383977 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383979 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 383979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383991 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 383997 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384002 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 384010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384012 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 384017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 384021 */     GIR_RootConstrainSelectedInstOperands,
     /* 384022 */     // GIR_Coverage, 4866,
     /* 384022 */     GIR_EraseRootFromParent_Done,
     /* 384023 */   // Label 7675: @384023
     /* 384023 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(384120), // Rule ID 4830 //
     /* 384028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384059 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 384063 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384068 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 384072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 384078 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 384078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 384081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 384085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 384090 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 384096 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384101 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 384109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384111 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 384116 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 384118 */     GIR_RootConstrainSelectedInstOperands,
     /* 384119 */     // GIR_Coverage, 4830,
     /* 384119 */     GIR_EraseRootFromParent_Done,
     /* 384120 */   // Label 7676: @384120
     /* 384120 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(384198), // Rule ID 6224 //
     /* 384125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384137 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384158 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 384162 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384166 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384170 */     // MIs[3] Operand 1
     /* 384170 */     // No operand predicates
     /* 384170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384178 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384180 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 384183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384185 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 384189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384196 */     GIR_RootConstrainSelectedInstOperands,
     /* 384197 */     // GIR_Coverage, 6224,
     /* 384197 */     GIR_EraseRootFromParent_Done,
     /* 384198 */   // Label 7677: @384198
     /* 384198 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(384282), // Rule ID 6136 //
     /* 384203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384218 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384235 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384239 */     // MIs[2] Operand 1
     /* 384239 */     // No operand predicates
     /* 384239 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 384243 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384247 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 384251 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384260 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384262 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 384265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 384273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 384280 */     GIR_RootConstrainSelectedInstOperands,
     /* 384281 */     // GIR_Coverage, 6136,
     /* 384281 */     GIR_EraseRootFromParent_Done,
     /* 384282 */   // Label 7678: @384282
     /* 384282 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(384363), // Rule ID 6168 //
     /* 384287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384314 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 384318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384323 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 384327 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384331 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384335 */     // MIs[3] Operand 1
     /* 384335 */     // No operand predicates
     /* 384335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384343 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384345 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 384348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384350 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384352 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 384354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384361 */     GIR_RootConstrainSelectedInstOperands,
     /* 384362 */     // GIR_Coverage, 6168,
     /* 384362 */     GIR_EraseRootFromParent_Done,
     /* 384363 */   // Label 7679: @384363
     /* 384363 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(384447), // Rule ID 6200 //
     /* 384368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 384392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384400 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 384404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 384413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384417 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384421 */     // MIs[3] Operand 1
     /* 384421 */     // No operand predicates
     /* 384421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384425 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384427 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 384430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384432 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384445 */     GIR_RootConstrainSelectedInstOperands,
     /* 384446 */     // GIR_Coverage, 6200,
     /* 384446 */     GIR_EraseRootFromParent_Done,
     /* 384447 */   // Label 7680: @384447
     /* 384447 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(384525), // Rule ID 6246 //
     /* 384452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 384493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384497 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384501 */     // MIs[3] Operand 1
     /* 384501 */     // No operand predicates
     /* 384501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384505 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384507 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 384510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384514 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384523 */     GIR_RootConstrainSelectedInstOperands,
     /* 384524 */     // GIR_Coverage, 6246,
     /* 384524 */     GIR_EraseRootFromParent_Done,
     /* 384525 */   // Label 7681: @384525
     /* 384525 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(384606), // Rule ID 6104 //
     /* 384530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384561 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 384565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384570 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 384574 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384578 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384582 */     // MIs[3] Operand 1
     /* 384582 */     // No operand predicates
     /* 384582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384586 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384588 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 384591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384593 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384595 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384604 */     GIR_RootConstrainSelectedInstOperands,
     /* 384605 */     // GIR_Coverage, 6104,
     /* 384605 */     GIR_EraseRootFromParent_Done,
     /* 384606 */   // Label 7682: @384606
     /* 384606 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(384691), // Rule ID 2459 //
     /* 384611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384626 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384635 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 384639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384649 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 384649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 384652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 384656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 384661 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 384667 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384672 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 384680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 384685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 384687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 384689 */     GIR_RootConstrainSelectedInstOperands,
     /* 384690 */     // GIR_Coverage, 2459,
     /* 384690 */     GIR_EraseRootFromParent_Done,
     /* 384691 */   // Label 7683: @384691
     /* 384691 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(384776), // Rule ID 2457 //
     /* 384696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384715 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384724 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 384728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384734 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 384734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 384737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 384741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 384746 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 384752 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384757 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 384765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384767 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 384772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 384774 */     GIR_RootConstrainSelectedInstOperands,
     /* 384775 */     // GIR_Coverage, 2457,
     /* 384775 */     GIR_EraseRootFromParent_Done,
     /* 384776 */   // Label 7684: @384776
     /* 384776 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(384845), // Rule ID 2551 //
     /* 384781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384796 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384813 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384817 */     // MIs[2] Operand 1
     /* 384817 */     // No operand predicates
     /* 384817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 384827 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 384830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384832 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384834 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 384836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 384843 */     GIR_RootConstrainSelectedInstOperands,
     /* 384844 */     // GIR_Coverage, 2551,
     /* 384844 */     GIR_EraseRootFromParent_Done,
     /* 384845 */   // Label 7685: @384845
     /* 384845 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(384914), // Rule ID 6072 //
     /* 384850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384886 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384890 */     // MIs[2] Operand 1
     /* 384890 */     // No operand predicates
     /* 384890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 384896 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 384899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384901 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384903 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 384912 */     GIR_RootConstrainSelectedInstOperands,
     /* 384913 */     // GIR_Coverage, 6072,
     /* 384913 */     GIR_EraseRootFromParent_Done,
     /* 384914 */   // Label 7686: @384914
     /* 384914 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(384964), // Rule ID 13295 //
     /* 384919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384949 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 384949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 384952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 384956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 384962 */     GIR_RootConstrainSelectedInstOperands,
     /* 384963 */     // GIR_Coverage, 13295,
     /* 384963 */     GIR_EraseRootFromParent_Done,
     /* 384964 */   // Label 7687: @384964
     /* 384964 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(385014), // Rule ID 645 //
     /* 384969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384999 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 384999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 385002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385004 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 385010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 385012 */     GIR_RootConstrainSelectedInstOperands,
     /* 385013 */     // GIR_Coverage, 645,
     /* 385013 */     GIR_EraseRootFromParent_Done,
     /* 385014 */   // Label 7688: @385014
     /* 385014 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(385064), // Rule ID 657 //
     /* 385019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 385022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 385034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 385042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385049 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 385049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 385052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385054 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385056 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 385058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 385062 */     GIR_RootConstrainSelectedInstOperands,
     /* 385063 */     // GIR_Coverage, 657,
     /* 385063 */     GIR_EraseRootFromParent_Done,
     /* 385064 */   // Label 7689: @385064
     /* 385064 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(385095), // Rule ID 639 //
     /* 385069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 385072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385084 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 385084 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 385089 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 385093 */     GIR_RootConstrainSelectedInstOperands,
     /* 385094 */     // GIR_Coverage, 639,
     /* 385094 */     GIR_Done,
     /* 385095 */   // Label 7690: @385095
     /* 385095 */   GIM_Reject,
     /* 385096 */ // Label 7660: @385096
     /* 385096 */ GIM_Reject,
     /* 385097 */ // Label 7624: @385097
     /* 385097 */ GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(388026),
     /* 385102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 385105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 385108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 385111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385115 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(385265), // Rule ID 4876 //
     /* 385120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 385123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 385139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385144 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 385148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 385152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385160 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 385164 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385169 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 385173 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 385177 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385181 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 385185 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385190 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385192 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 385192 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 385195 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385199 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385204 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 385210 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385215 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385232 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385238 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385243 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 385251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 385259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 385263 */     GIR_RootConstrainSelectedInstOperands,
     /* 385264 */     // GIR_Coverage, 4876,
     /* 385264 */     GIR_EraseRootFromParent_Done,
     /* 385265 */   // Label 7692: @385265
     /* 385265 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(385412), // Rule ID 4840 //
     /* 385270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 385273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385285 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 385289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385294 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 385298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 385302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 385310 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 385314 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385318 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385322 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 385326 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385331 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 385335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385339 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385341 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 385341 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 385344 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385348 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385353 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 385359 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385364 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385381 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385387 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385392 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 385400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 385408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 385410 */     GIR_RootConstrainSelectedInstOperands,
     /* 385411 */     // GIR_Coverage, 4840,
     /* 385411 */     GIR_EraseRootFromParent_Done,
     /* 385412 */   // Label 7693: @385412
     /* 385412 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(385559), // Rule ID 13863 //
     /* 385417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 385420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 385432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385444 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 385448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385453 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 385457 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385461 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385465 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385469 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 385473 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385478 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 385482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385486 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385488 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 385488 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 385491 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385495 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385500 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 385506 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385511 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385528 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385534 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385539 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 385547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 385555 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 385557 */     GIR_RootConstrainSelectedInstOperands,
     /* 385558 */     // GIR_Coverage, 13863,
     /* 385558 */     GIR_EraseRootFromParent_Done,
     /* 385559 */   // Label 7694: @385559
     /* 385559 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(385690), // Rule ID 6110 //
     /* 385564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 385583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385588 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 385592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 385596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 385604 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 385608 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385612 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385616 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 385620 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385625 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 385629 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385633 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 385637 */     // MIs[4] Operand 1
     /* 385637 */     // No operand predicates
     /* 385637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385641 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 385643 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 385643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385655 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385661 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385666 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 385674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385676 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 385685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 385688 */     GIR_RootConstrainSelectedInstOperands,
     /* 385689 */     // GIR_Coverage, 6110,
     /* 385689 */     GIR_EraseRootFromParent_Done,
     /* 385690 */   // Label 7695: @385690
     /* 385690 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(385821), // Rule ID 6142 //
     /* 385695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 385714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 385723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385727 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 385731 */     // MIs[2] Operand 1
     /* 385731 */     // No operand predicates
     /* 385731 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385735 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385739 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 385743 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 385747 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385751 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385755 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 385759 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385764 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 385768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385772 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 385774 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 385774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385786 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385792 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385797 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 385805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385807 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 385816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 385819 */     GIR_RootConstrainSelectedInstOperands,
     /* 385820 */     // GIR_Coverage, 6142,
     /* 385820 */     GIR_EraseRootFromParent_Done,
     /* 385821 */   // Label 7696: @385821
     /* 385821 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(385952), // Rule ID 6206 //
     /* 385826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 385841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385853 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 385857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385862 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 385866 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385870 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385874 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385878 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 385882 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385887 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 385891 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385895 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 385899 */     // MIs[4] Operand 1
     /* 385899 */     // No operand predicates
     /* 385899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385903 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 385905 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 385905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385917 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385923 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385928 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 385936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 385947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 385950 */     GIR_RootConstrainSelectedInstOperands,
     /* 385951 */     // GIR_Coverage, 6206,
     /* 385951 */     GIR_EraseRootFromParent_Done,
     /* 385952 */   // Label 7697: @385952
     /* 385952 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(386083), // Rule ID 6174 //
     /* 385957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 385972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385984 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 385988 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385993 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 385997 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386001 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 386005 */     // MIs[3] Operand 1
     /* 386005 */     // No operand predicates
     /* 386005 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 386009 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386013 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386017 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 386021 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386026 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 386030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386034 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 386036 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 386036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386048 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386054 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386059 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 386067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386069 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 386081 */     GIR_RootConstrainSelectedInstOperands,
     /* 386082 */     // GIR_Coverage, 6174,
     /* 386082 */     GIR_EraseRootFromParent_Done,
     /* 386083 */   // Label 7698: @386083
     /* 386083 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(386218), // Rule ID 2467 //
     /* 386088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386103 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386112 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 386116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386128 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 386132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386137 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 386141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386145 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386147 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 386147 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 386150 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386154 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386159 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 386165 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386170 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386187 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386193 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386198 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 386206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 386214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 386216 */     GIR_RootConstrainSelectedInstOperands,
     /* 386217 */     // GIR_Coverage, 2467,
     /* 386217 */     GIR_EraseRootFromParent_Done,
     /* 386218 */   // Label 7699: @386218
     /* 386218 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(386337), // Rule ID 6078 //
     /* 386223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386247 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 386251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 386267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386272 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 386276 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386280 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 386284 */     // MIs[3] Operand 1
     /* 386284 */     // No operand predicates
     /* 386284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386288 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386290 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 386290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386302 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386308 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386313 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 386321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386323 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 386335 */     GIR_RootConstrainSelectedInstOperands,
     /* 386336 */     // GIR_Coverage, 6078,
     /* 386336 */     GIR_EraseRootFromParent_Done,
     /* 386337 */   // Label 7700: @386337
     /* 386337 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(386456), // Rule ID 2557 //
     /* 386342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 386370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386374 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 386378 */     // MIs[2] Operand 1
     /* 386378 */     // No operand predicates
     /* 386378 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 386382 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386386 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386390 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 386394 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386399 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 386403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386407 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386409 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 386409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386421 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386427 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386432 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 386440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 386451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 386454 */     GIR_RootConstrainSelectedInstOperands,
     /* 386455 */     // GIR_Coverage, 2557,
     /* 386455 */     GIR_EraseRootFromParent_Done,
     /* 386456 */   // Label 7701: @386456
     /* 386456 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(386556), // Rule ID 4838 //
     /* 386461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386476 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386485 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 386489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 386501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386512 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 386512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386524 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386530 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386535 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 386543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 386554 */     GIR_RootConstrainSelectedInstOperands,
     /* 386555 */     // GIR_Coverage, 4838,
     /* 386555 */     GIR_EraseRootFromParent_Done,
     /* 386556 */   // Label 7702: @386556
     /* 386556 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(386656), // Rule ID 4874 //
     /* 386561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386585 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 386589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 386597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 386605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386612 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 386612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386624 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386630 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386635 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 386643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 386650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 386654 */     GIR_RootConstrainSelectedInstOperands,
     /* 386655 */     // GIR_Coverage, 4874,
     /* 386655 */     GIR_EraseRootFromParent_Done,
     /* 386656 */   // Label 7703: @386656
     /* 386656 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(386753), // Rule ID 13859 //
     /* 386661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 386676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386688 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 386692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386697 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 386701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386711 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 386711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386723 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 386729 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386734 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 386742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386744 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 386746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386749 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 386751 */     GIR_RootConstrainSelectedInstOperands,
     /* 386752 */     // GIR_Coverage, 13859,
     /* 386752 */     GIR_EraseRootFromParent_Done,
     /* 386753 */   // Label 7704: @386753
     /* 386753 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(386853), // Rule ID 13861 //
     /* 386758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 386773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386786 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386790 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 386794 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386799 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 386803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386809 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 386809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386821 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386827 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386832 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 386840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 386849 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 386851 */     GIR_RootConstrainSelectedInstOperands,
     /* 386852 */     // GIR_Coverage, 13861,
     /* 386852 */     GIR_EraseRootFromParent_Done,
     /* 386853 */   // Label 7705: @386853
     /* 386853 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(386953), // Rule ID 4872 //
     /* 386858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 386869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386886 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 386890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 386894 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386898 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 386902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386909 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 386909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386921 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 386927 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386932 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 386940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386942 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 386951 */     GIR_RootConstrainSelectedInstOperands,
     /* 386952 */     // GIR_Coverage, 4872,
     /* 386952 */     GIR_EraseRootFromParent_Done,
     /* 386953 */   // Label 7706: @386953
     /* 386953 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(387050), // Rule ID 4836 //
     /* 386958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 386969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 386977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386989 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 386993 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386998 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 387002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 387008 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 387008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 387011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 387015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 387020 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 387026 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387031 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 387039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387041 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 387046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 387048 */     GIR_RootConstrainSelectedInstOperands,
     /* 387049 */     // GIR_Coverage, 4836,
     /* 387049 */     GIR_EraseRootFromParent_Done,
     /* 387050 */   // Label 7707: @387050
     /* 387050 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(387128), // Rule ID 6228 //
     /* 387055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387088 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 387092 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387096 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 387100 */     // MIs[3] Operand 1
     /* 387100 */     // No operand predicates
     /* 387100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387108 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387110 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 387110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 387113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387115 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387117 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387126 */     GIR_RootConstrainSelectedInstOperands,
     /* 387127 */     // GIR_Coverage, 6228,
     /* 387127 */     GIR_EraseRootFromParent_Done,
     /* 387128 */   // Label 7708: @387128
     /* 387128 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(387212), // Rule ID 6140 //
     /* 387133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 387161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387165 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 387169 */     // MIs[2] Operand 1
     /* 387169 */     // No operand predicates
     /* 387169 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 387173 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387177 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 387181 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387190 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387192 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 387192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 387195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387197 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 387203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 387210 */     GIR_RootConstrainSelectedInstOperands,
     /* 387211 */     // GIR_Coverage, 6140,
     /* 387211 */     GIR_EraseRootFromParent_Done,
     /* 387212 */   // Label 7709: @387212
     /* 387212 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(387293), // Rule ID 6172 //
     /* 387217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387244 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 387248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 387257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387261 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 387265 */     // MIs[3] Operand 1
     /* 387265 */     // No operand predicates
     /* 387265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387273 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387275 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 387275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 387278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387291 */     GIR_RootConstrainSelectedInstOperands,
     /* 387292 */     // GIR_Coverage, 6172,
     /* 387292 */     GIR_EraseRootFromParent_Done,
     /* 387293 */   // Label 7710: @387293
     /* 387293 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(387377), // Rule ID 6204 //
     /* 387298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 387322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387330 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 387334 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387339 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 387343 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387347 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 387351 */     // MIs[3] Operand 1
     /* 387351 */     // No operand predicates
     /* 387351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387355 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387357 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 387357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 387360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387362 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 387368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387375 */     GIR_RootConstrainSelectedInstOperands,
     /* 387376 */     // GIR_Coverage, 6204,
     /* 387376 */     GIR_EraseRootFromParent_Done,
     /* 387377 */   // Label 7711: @387377
     /* 387377 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(387455), // Rule ID 6250 //
     /* 387382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387419 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 387423 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387427 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 387431 */     // MIs[3] Operand 1
     /* 387431 */     // No operand predicates
     /* 387431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387435 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387437 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 387437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 387440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387444 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387453 */     GIR_RootConstrainSelectedInstOperands,
     /* 387454 */     // GIR_Coverage, 6250,
     /* 387454 */     GIR_EraseRootFromParent_Done,
     /* 387455 */   // Label 7712: @387455
     /* 387455 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(387536), // Rule ID 6108 //
     /* 387460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387491 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 387495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387500 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 387504 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387508 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 387512 */     // MIs[3] Operand 1
     /* 387512 */     // No operand predicates
     /* 387512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387516 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387518 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 387518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 387521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387523 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387525 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387534 */     GIR_RootConstrainSelectedInstOperands,
     /* 387535 */     // GIR_Coverage, 6108,
     /* 387535 */     GIR_EraseRootFromParent_Done,
     /* 387536 */   // Label 7713: @387536
     /* 387536 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(387621), // Rule ID 2465 //
     /* 387541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 387544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387556 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387565 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 387569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387579 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 387579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 387582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 387586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 387591 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 387597 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387602 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 387610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 387615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387617 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 387619 */     GIR_RootConstrainSelectedInstOperands,
     /* 387620 */     // GIR_Coverage, 2465,
     /* 387620 */     GIR_EraseRootFromParent_Done,
     /* 387621 */   // Label 7714: @387621
     /* 387621 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(387706), // Rule ID 2463 //
     /* 387626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 387629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387654 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 387658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387664 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 387664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 387667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 387671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 387676 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 387682 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387687 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 387695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387697 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 387702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 387704 */     GIR_RootConstrainSelectedInstOperands,
     /* 387705 */     // GIR_Coverage, 2463,
     /* 387705 */     GIR_EraseRootFromParent_Done,
     /* 387706 */   // Label 7715: @387706
     /* 387706 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(387775), // Rule ID 2555 //
     /* 387711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 387739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387743 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 387747 */     // MIs[2] Operand 1
     /* 387747 */     // No operand predicates
     /* 387747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 387757 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 387757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 387760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387762 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 387773 */     GIR_RootConstrainSelectedInstOperands,
     /* 387774 */     // GIR_Coverage, 2555,
     /* 387774 */     GIR_EraseRootFromParent_Done,
     /* 387775 */   // Label 7716: @387775
     /* 387775 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(387844), // Rule ID 6076 //
     /* 387780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387799 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 387812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387816 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 387820 */     // MIs[2] Operand 1
     /* 387820 */     // No operand predicates
     /* 387820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 387826 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 387826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 387829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387831 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387833 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 387842 */     GIR_RootConstrainSelectedInstOperands,
     /* 387843 */     // GIR_Coverage, 6076,
     /* 387843 */     GIR_EraseRootFromParent_Done,
     /* 387844 */   // Label 7717: @387844
     /* 387844 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(387894), // Rule ID 13297 //
     /* 387849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 387852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387879 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 387879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 387882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387884 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 387892 */     GIR_RootConstrainSelectedInstOperands,
     /* 387893 */     // GIR_Coverage, 13297,
     /* 387893 */     GIR_EraseRootFromParent_Done,
     /* 387894 */   // Label 7718: @387894
     /* 387894 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(387944), // Rule ID 647 //
     /* 387899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 387902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387929 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 387929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 387932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387934 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 387942 */     GIR_RootConstrainSelectedInstOperands,
     /* 387943 */     // GIR_Coverage, 647,
     /* 387943 */     GIR_EraseRootFromParent_Done,
     /* 387944 */   // Label 7719: @387944
     /* 387944 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(387994), // Rule ID 659 //
     /* 387949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 387952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 387964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387979 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 387979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 387982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387984 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 387992 */     GIR_RootConstrainSelectedInstOperands,
     /* 387993 */     // GIR_Coverage, 659,
     /* 387993 */     GIR_EraseRootFromParent_Done,
     /* 387994 */   // Label 7720: @387994
     /* 387994 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(388025), // Rule ID 641 //
     /* 387999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 388002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388014 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 388014 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 388019 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388023 */     GIR_RootConstrainSelectedInstOperands,
     /* 388024 */     // GIR_Coverage, 641,
     /* 388024 */     GIR_Done,
     /* 388025 */   // Label 7721: @388025
     /* 388025 */   GIM_Reject,
     /* 388026 */ // Label 7691: @388026
     /* 388026 */ GIM_Reject,
     /* 388027 */ // Label 7625: @388027
     /* 388027 */ GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(389547),
     /* 388032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 388038 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 388041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388045 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(388123), // Rule ID 6208 //
     /* 388050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388062 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 388066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388083 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 388087 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388091 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388095 */     // MIs[3] Operand 1
     /* 388095 */     // No operand predicates
     /* 388095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388103 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388105 */     // (strict_fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388110 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388121 */     GIR_RootConstrainSelectedInstOperands,
     /* 388122 */     // GIR_Coverage, 6208,
     /* 388122 */     GIR_EraseRootFromParent_Done,
     /* 388123 */   // Label 7723: @388123
     /* 388123 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(388207), // Rule ID 6124 //
     /* 388128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 388147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 388156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388160 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388164 */     // MIs[2] Operand 1
     /* 388164 */     // No operand predicates
     /* 388164 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 388168 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388172 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388176 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388185 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388187 */     // (strict_fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 388198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 388205 */     GIR_RootConstrainSelectedInstOperands,
     /* 388206 */     // GIR_Coverage, 6124,
     /* 388206 */     GIR_EraseRootFromParent_Done,
     /* 388207 */   // Label 7724: @388207
     /* 388207 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(388288), // Rule ID 6156 //
     /* 388212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388239 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 388243 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388248 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388252 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388256 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388260 */     // MIs[3] Operand 1
     /* 388260 */     // No operand predicates
     /* 388260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388268 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388270 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388275 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388286 */     GIR_RootConstrainSelectedInstOperands,
     /* 388287 */     // GIR_Coverage, 6156,
     /* 388287 */     GIR_EraseRootFromParent_Done,
     /* 388288 */   // Label 7725: @388288
     /* 388288 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(388372), // Rule ID 6188 //
     /* 388293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388325 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 388329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388334 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388338 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388342 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388346 */     // MIs[3] Operand 1
     /* 388346 */     // No operand predicates
     /* 388346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388352 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388357 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 388363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388370 */     GIR_RootConstrainSelectedInstOperands,
     /* 388371 */     // GIR_Coverage, 6188,
     /* 388371 */     GIR_EraseRootFromParent_Done,
     /* 388372 */   // Label 7726: @388372
     /* 388372 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(388450), // Rule ID 6230 //
     /* 388377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 388397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388414 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 388418 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388422 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388426 */     // MIs[3] Operand 1
     /* 388426 */     // No operand predicates
     /* 388426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388430 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388432 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388437 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388439 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 388441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388448 */     GIR_RootConstrainSelectedInstOperands,
     /* 388449 */     // GIR_Coverage, 6230,
     /* 388449 */     GIR_EraseRootFromParent_Done,
     /* 388450 */   // Label 7727: @388450
     /* 388450 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(388531), // Rule ID 6092 //
     /* 388455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388486 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 388490 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388495 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388499 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388503 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388507 */     // MIs[3] Operand 1
     /* 388507 */     // No operand predicates
     /* 388507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388511 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388513 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388520 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 388522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388529 */     GIR_RootConstrainSelectedInstOperands,
     /* 388530 */     // GIR_Coverage, 6092,
     /* 388530 */     GIR_EraseRootFromParent_Done,
     /* 388531 */   // Label 7728: @388531
     /* 388531 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(388600), // Rule ID 2539 //
     /* 388536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388551 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 388555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 388564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388568 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388572 */     // MIs[2] Operand 1
     /* 388572 */     // No operand predicates
     /* 388572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388582 */     // (strict_fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 388585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388587 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 388598 */     GIR_RootConstrainSelectedInstOperands,
     /* 388599 */     // GIR_Coverage, 2539,
     /* 388599 */     GIR_EraseRootFromParent_Done,
     /* 388600 */   // Label 7729: @388600
     /* 388600 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(388669), // Rule ID 6060 //
     /* 388605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 388628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 388637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388641 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388645 */     // MIs[2] Operand 1
     /* 388645 */     // No operand predicates
     /* 388645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388651 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 388654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388656 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388658 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 388660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 388667 */     GIR_RootConstrainSelectedInstOperands,
     /* 388668 */     // GIR_Coverage, 6060,
     /* 388668 */     GIR_EraseRootFromParent_Done,
     /* 388669 */   // Label 7730: @388669
     /* 388669 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(388762), // Rule ID 6212 //
     /* 388674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 388682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 388686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 388698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388713 */     // (strict_fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 388713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 388716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 388720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 388725 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 388728 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388732 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 388735 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388740 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388760 */     GIR_RootConstrainSelectedInstOperands,
     /* 388761 */     // GIR_Coverage, 6212,
     /* 388761 */     GIR_EraseRootFromParent_Done,
     /* 388762 */   // Label 7731: @388762
     /* 388762 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(388861), // Rule ID 6126 //
     /* 388767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 388778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 388782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388799 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388810 */     // (strict_fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 388810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 388813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 388817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 388822 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 388825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388829 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 388832 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388837 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388847 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 388853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388859 */     GIR_RootConstrainSelectedInstOperands,
     /* 388860 */     // GIR_Coverage, 6126,
     /* 388860 */     GIR_EraseRootFromParent_Done,
     /* 388861 */   // Label 7732: @388861
     /* 388861 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(388957), // Rule ID 6158 //
     /* 388866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 388889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 388893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388908 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 388908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 388911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 388915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 388920 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 388923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388927 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 388930 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388935 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388945 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388947 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388955 */     GIR_RootConstrainSelectedInstOperands,
     /* 388956 */     // GIR_Coverage, 6158,
     /* 388956 */     GIR_EraseRootFromParent_Done,
     /* 388957 */   // Label 7733: @388957
     /* 388957 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(389056), // Rule ID 6190 //
     /* 388962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 388990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 388994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389003 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389005 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389017 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389020 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389024 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389027 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389032 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 389040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 389048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389054 */     GIR_RootConstrainSelectedInstOperands,
     /* 389055 */     // GIR_Coverage, 6190,
     /* 389055 */     GIR_EraseRootFromParent_Done,
     /* 389056 */   // Label 7734: @389056
     /* 389056 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(389149), // Rule ID 6234 //
     /* 389061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 389073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 389077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 389089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389098 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389100 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389112 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389115 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389119 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389122 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389127 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 389135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389137 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389139 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389147 */     GIR_RootConstrainSelectedInstOperands,
     /* 389148 */     // GIR_Coverage, 6234,
     /* 389148 */     GIR_EraseRootFromParent_Done,
     /* 389149 */   // Label 7735: @389149
     /* 389149 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(389245), // Rule ID 6094 //
     /* 389154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 389173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 389181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 389185 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389196 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389208 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389215 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389218 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389223 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 389231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389233 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389235 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389243 */     GIR_RootConstrainSelectedInstOperands,
     /* 389244 */     // GIR_Coverage, 6094,
     /* 389244 */     GIR_EraseRootFromParent_Done,
     /* 389245 */   // Label 7736: @389245
     /* 389245 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(389329), // Rule ID 2541 //
     /* 389250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 389261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 389265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 389280 */     // (strict_fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389292 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389295 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389299 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389302 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389307 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 389315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389317 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389319 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389327 */     GIR_RootConstrainSelectedInstOperands,
     /* 389328 */     // GIR_Coverage, 2541,
     /* 389328 */     GIR_EraseRootFromParent_Done,
     /* 389329 */   // Label 7737: @389329
     /* 389329 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(389379), // Rule ID 13327 //
     /* 389334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 389349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 389364 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 389364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 389367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389369 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389371 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389377 */     GIR_RootConstrainSelectedInstOperands,
     /* 389378 */     // GIR_Coverage, 13327,
     /* 389378 */     GIR_EraseRootFromParent_Done,
     /* 389379 */   // Label 7738: @389379
     /* 389379 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(389463), // Rule ID 6062 //
     /* 389384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 389399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 389403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 389414 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389426 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389433 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389436 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389441 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 389449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389451 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389453 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389461 */     GIR_RootConstrainSelectedInstOperands,
     /* 389462 */     // GIR_Coverage, 6062,
     /* 389462 */     GIR_EraseRootFromParent_Done,
     /* 389463 */   // Label 7739: @389463
     /* 389463 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(389513), // Rule ID 1307 //
     /* 389468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 389487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 389498 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 389498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 389501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389503 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389505 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389511 */     GIR_RootConstrainSelectedInstOperands,
     /* 389512 */     // GIR_Coverage, 1307,
     /* 389512 */     GIR_EraseRootFromParent_Done,
     /* 389513 */   // Label 7740: @389513
     /* 389513 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(389546), // Rule ID 1297 //
     /* 389518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389533 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 389533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f32),
     /* 389536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389538 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389542 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 389544 */     GIR_RootConstrainSelectedInstOperands,
     /* 389545 */     // GIR_Coverage, 1297,
     /* 389545 */     GIR_EraseRootFromParent_Done,
     /* 389546 */   // Label 7741: @389546
     /* 389546 */   GIM_Reject,
     /* 389547 */ // Label 7722: @389547
     /* 389547 */ GIM_Reject,
     /* 389548 */ // Label 7626: @389548
     /* 389548 */ GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(391068),
     /* 389553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 389559 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 389562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389566 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(389644), // Rule ID 6220 //
     /* 389571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 389587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389604 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 389608 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389612 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389616 */     // MIs[3] Operand 1
     /* 389616 */     // No operand predicates
     /* 389616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389624 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389626 */     // (strict_fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 389629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389631 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389633 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 389642 */     GIR_RootConstrainSelectedInstOperands,
     /* 389643 */     // GIR_Coverage, 6220,
     /* 389643 */     GIR_EraseRootFromParent_Done,
     /* 389644 */   // Label 7743: @389644
     /* 389644 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(389728), // Rule ID 6132 //
     /* 389649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 389668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 389677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389681 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389685 */     // MIs[2] Operand 1
     /* 389685 */     // No operand predicates
     /* 389685 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 389689 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389693 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389697 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389706 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389708 */     // (strict_fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 389711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389713 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 389719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 389726 */     GIR_RootConstrainSelectedInstOperands,
     /* 389727 */     // GIR_Coverage, 6132,
     /* 389727 */     GIR_EraseRootFromParent_Done,
     /* 389728 */   // Label 7744: @389728
     /* 389728 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(389809), // Rule ID 6164 //
     /* 389733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389760 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 389764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389769 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 389773 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389777 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389781 */     // MIs[3] Operand 1
     /* 389781 */     // No operand predicates
     /* 389781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389789 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389791 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 389794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389796 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 389807 */     GIR_RootConstrainSelectedInstOperands,
     /* 389808 */     // GIR_Coverage, 6164,
     /* 389808 */     GIR_EraseRootFromParent_Done,
     /* 389809 */   // Label 7745: @389809
     /* 389809 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(389893), // Rule ID 6196 //
     /* 389814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389846 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 389850 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 389859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389863 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389867 */     // MIs[3] Operand 1
     /* 389867 */     // No operand predicates
     /* 389867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389871 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389873 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 389876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 389884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 389891 */     GIR_RootConstrainSelectedInstOperands,
     /* 389892 */     // GIR_Coverage, 6196,
     /* 389892 */     GIR_EraseRootFromParent_Done,
     /* 389893 */   // Label 7746: @389893
     /* 389893 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(389971), // Rule ID 6242 //
     /* 389898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 389918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 389939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389943 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389947 */     // MIs[3] Operand 1
     /* 389947 */     // No operand predicates
     /* 389947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389951 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389953 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 389956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389958 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389960 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 389969 */     GIR_RootConstrainSelectedInstOperands,
     /* 389970 */     // GIR_Coverage, 6242,
     /* 389970 */     GIR_EraseRootFromParent_Done,
     /* 389971 */   // Label 7747: @389971
     /* 389971 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(390052), // Rule ID 6100 //
     /* 389976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 390003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390007 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 390011 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390016 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 390020 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 390024 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 390028 */     // MIs[3] Operand 1
     /* 390028 */     // No operand predicates
     /* 390028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390032 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390034 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 390034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390039 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390041 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 390043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 390050 */     GIR_RootConstrainSelectedInstOperands,
     /* 390051 */     // GIR_Coverage, 6100,
     /* 390051 */     GIR_EraseRootFromParent_Done,
     /* 390052 */   // Label 7748: @390052
     /* 390052 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(390121), // Rule ID 2547 //
     /* 390057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 390068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 390076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 390085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 390089 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 390093 */     // MIs[2] Operand 1
     /* 390093 */     // No operand predicates
     /* 390093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390101 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390103 */     // (strict_fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 390103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 390106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 390119 */     GIR_RootConstrainSelectedInstOperands,
     /* 390120 */     // GIR_Coverage, 2547,
     /* 390120 */     GIR_EraseRootFromParent_Done,
     /* 390121 */   // Label 7749: @390121
     /* 390121 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(390190), // Rule ID 6068 //
     /* 390126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 390137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 390141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 390149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 390158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 390162 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 390166 */     // MIs[2] Operand 1
     /* 390166 */     // No operand predicates
     /* 390166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390172 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 390172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 390175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390177 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390179 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 390181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 390188 */     GIR_RootConstrainSelectedInstOperands,
     /* 390189 */     // GIR_Coverage, 6068,
     /* 390189 */     GIR_EraseRootFromParent_Done,
     /* 390190 */   // Label 7750: @390190
     /* 390190 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(390283), // Rule ID 6222 //
     /* 390195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 390203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 390207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 390211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 390219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390234 */     // (strict_fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390246 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390253 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390256 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390261 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390271 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390273 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390281 */     GIR_RootConstrainSelectedInstOperands,
     /* 390282 */     // GIR_Coverage, 6222,
     /* 390282 */     GIR_EraseRootFromParent_Done,
     /* 390283 */   // Label 7751: @390283
     /* 390283 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(390382), // Rule ID 6134 //
     /* 390288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 390299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 390303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390320 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390329 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390331 */     // (strict_fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390343 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390346 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390350 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390353 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390358 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 390374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390380 */     GIR_RootConstrainSelectedInstOperands,
     /* 390381 */     // GIR_Coverage, 6134,
     /* 390381 */     GIR_EraseRootFromParent_Done,
     /* 390382 */   // Label 7752: @390382
     /* 390382 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(390478), // Rule ID 6166 //
     /* 390387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 390406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 390410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 390414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390429 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390441 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390444 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390448 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390451 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390456 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390466 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390476 */     GIR_RootConstrainSelectedInstOperands,
     /* 390477 */     // GIR_Coverage, 6166,
     /* 390477 */     GIR_EraseRootFromParent_Done,
     /* 390478 */   // Label 7753: @390478
     /* 390478 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(390577), // Rule ID 6198 //
     /* 390483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 390511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 390515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390524 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390526 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390538 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390545 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390548 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390553 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390563 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 390569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390575 */     GIR_RootConstrainSelectedInstOperands,
     /* 390576 */     // GIR_Coverage, 6198,
     /* 390576 */     GIR_EraseRootFromParent_Done,
     /* 390577 */   // Label 7754: @390577
     /* 390577 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(390670), // Rule ID 6244 //
     /* 390582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 390590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 390594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 390598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 390602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 390610 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390619 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390621 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390633 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390636 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390640 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390643 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390648 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390660 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 390662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390668 */     GIR_RootConstrainSelectedInstOperands,
     /* 390669 */     // GIR_Coverage, 6244,
     /* 390669 */     GIR_EraseRootFromParent_Done,
     /* 390670 */   // Label 7755: @390670
     /* 390670 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(390766), // Rule ID 6102 //
     /* 390675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 390686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 390698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 390702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 390706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390715 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390717 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390729 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390732 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390736 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390739 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390744 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390754 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390756 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 390758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390764 */     GIR_RootConstrainSelectedInstOperands,
     /* 390765 */     // GIR_Coverage, 6102,
     /* 390765 */     GIR_EraseRootFromParent_Done,
     /* 390766 */   // Label 7756: @390766
     /* 390766 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(390850), // Rule ID 2549 //
     /* 390771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 390782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 390786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 390801 */     // (strict_fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390813 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390816 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390820 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390823 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390828 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 390836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390848 */     GIR_RootConstrainSelectedInstOperands,
     /* 390849 */     // GIR_Coverage, 2549,
     /* 390849 */     GIR_EraseRootFromParent_Done,
     /* 390850 */   // Label 7757: @390850
     /* 390850 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(390900), // Rule ID 13331 //
     /* 390855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 390885 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 390885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 390888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390898 */     GIR_RootConstrainSelectedInstOperands,
     /* 390899 */     // GIR_Coverage, 13331,
     /* 390899 */     GIR_EraseRootFromParent_Done,
     /* 390900 */   // Label 7758: @390900
     /* 390900 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(390984), // Rule ID 6070 //
     /* 390905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 390916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 390920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 390924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 390935 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390947 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390954 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 390970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390974 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 390976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390982 */     GIR_RootConstrainSelectedInstOperands,
     /* 390983 */     // GIR_Coverage, 6070,
     /* 390983 */     GIR_EraseRootFromParent_Done,
     /* 390984 */   // Label 7759: @390984
     /* 390984 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(391034), // Rule ID 1311 //
     /* 390989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 391000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 391008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 391019 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 391019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 391022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391024 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391026 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 391028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391032 */     GIR_RootConstrainSelectedInstOperands,
     /* 391033 */     // GIR_Coverage, 1311,
     /* 391033 */     GIR_EraseRootFromParent_Done,
     /* 391034 */   // Label 7760: @391034
     /* 391034 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(391067), // Rule ID 1301 //
     /* 391039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 391042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391054 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 391054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f64),
     /* 391057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391059 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391063 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 391065 */     GIR_RootConstrainSelectedInstOperands,
     /* 391066 */     // GIR_Coverage, 1301,
     /* 391066 */     GIR_EraseRootFromParent_Done,
     /* 391067 */   // Label 7761: @391067
     /* 391067 */   GIM_Reject,
     /* 391068 */ // Label 7742: @391068
     /* 391068 */ GIM_Reject,
     /* 391069 */ // Label 7627: @391069
     /* 391069 */ GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(392247),
     /* 391074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 391080 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 391083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391087 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(391171), // Rule ID 6116 //
     /* 391092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 391103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 391111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 391116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 391120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391124 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 391128 */     // MIs[2] Operand 1
     /* 391128 */     // No operand predicates
     /* 391128 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 391132 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391136 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391140 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391149 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391151 */     // (strict_fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 391151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391156 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 391162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 391169 */     GIR_RootConstrainSelectedInstOperands,
     /* 391170 */     // GIR_Coverage, 6116,
     /* 391170 */     GIR_EraseRootFromParent_Done,
     /* 391171 */   // Label 7763: @391171
     /* 391171 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(391252), // Rule ID 6148 //
     /* 391176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 391195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 391199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391203 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 391207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 391212 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 391216 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391220 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 391224 */     // MIs[3] Operand 1
     /* 391224 */     // No operand predicates
     /* 391224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391232 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391234 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 391234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391239 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 391250 */     GIR_RootConstrainSelectedInstOperands,
     /* 391251 */     // GIR_Coverage, 6148,
     /* 391251 */     GIR_EraseRootFromParent_Done,
     /* 391252 */   // Label 7764: @391252
     /* 391252 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(391336), // Rule ID 6180 //
     /* 391257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 391285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391289 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 391293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 391298 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 391302 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391306 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 391310 */     // MIs[3] Operand 1
     /* 391310 */     // No operand predicates
     /* 391310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391314 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391316 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 391316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391321 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 391327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 391334 */     GIR_RootConstrainSelectedInstOperands,
     /* 391335 */     // GIR_Coverage, 6180,
     /* 391335 */     GIR_EraseRootFromParent_Done,
     /* 391336 */   // Label 7765: @391336
     /* 391336 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(391417), // Rule ID 6084 //
     /* 391341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 391352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 391364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 391368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391372 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 391376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 391381 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 391385 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391389 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 391393 */     // MIs[3] Operand 1
     /* 391393 */     // No operand predicates
     /* 391393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391397 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391399 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 391399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391404 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391406 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 391408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 391415 */     GIR_RootConstrainSelectedInstOperands,
     /* 391416 */     // GIR_Coverage, 6084,
     /* 391416 */     GIR_EraseRootFromParent_Done,
     /* 391417 */   // Label 7766: @391417
     /* 391417 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(391486), // Rule ID 2531 //
     /* 391422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 391433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 391441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 391446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 391450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391454 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 391458 */     // MIs[2] Operand 1
     /* 391458 */     // No operand predicates
     /* 391458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 391468 */     // (strict_fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 391468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 391471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391473 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 391484 */     GIR_RootConstrainSelectedInstOperands,
     /* 391485 */     // GIR_Coverage, 2531,
     /* 391485 */     GIR_EraseRootFromParent_Done,
     /* 391486 */   // Label 7767: @391486
     /* 391486 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(391555), // Rule ID 6052 //
     /* 391491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 391502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 391506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 391514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 391519 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 391523 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391527 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 391531 */     // MIs[2] Operand 1
     /* 391531 */     // No operand predicates
     /* 391531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 391537 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 391537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 391540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391544 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 391546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 391553 */     GIR_RootConstrainSelectedInstOperands,
     /* 391554 */     // GIR_Coverage, 6052,
     /* 391554 */     GIR_EraseRootFromParent_Done,
     /* 391555 */   // Label 7768: @391555
     /* 391555 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(391654), // Rule ID 6118 //
     /* 391560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 391571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 391603 */     // (strict_fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 391603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 391606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391615 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 391618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391622 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 391625 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391630 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 391646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391652 */     GIR_RootConstrainSelectedInstOperands,
     /* 391653 */     // GIR_Coverage, 6118,
     /* 391653 */     GIR_EraseRootFromParent_Done,
     /* 391654 */   // Label 7769: @391654
     /* 391654 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(391750), // Rule ID 6150 //
     /* 391659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 391678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 391682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 391701 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 391701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 391704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391713 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 391716 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391720 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 391723 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391728 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391748 */     GIR_RootConstrainSelectedInstOperands,
     /* 391749 */     // GIR_Coverage, 6150,
     /* 391749 */     GIR_EraseRootFromParent_Done,
     /* 391750 */   // Label 7770: @391750
     /* 391750 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(391849), // Rule ID 6182 //
     /* 391755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 391783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391787 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391796 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 391798 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 391798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 391801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391810 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 391813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391817 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 391820 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391825 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 391841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391847 */     GIR_RootConstrainSelectedInstOperands,
     /* 391848 */     // GIR_Coverage, 6182,
     /* 391848 */     GIR_EraseRootFromParent_Done,
     /* 391849 */   // Label 7771: @391849
     /* 391849 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(391945), // Rule ID 6086 //
     /* 391854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 391865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 391877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 391881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391885 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 391896 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 391896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 391899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391908 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 391911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391915 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 391918 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391923 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391933 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391935 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 391937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391943 */     GIR_RootConstrainSelectedInstOperands,
     /* 391944 */     // GIR_Coverage, 6086,
     /* 391944 */     GIR_EraseRootFromParent_Done,
     /* 391945 */   // Label 7772: @391945
     /* 391945 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(392029), // Rule ID 2533 //
     /* 391950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 391961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 391980 */     // (strict_fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 391980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 391983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391992 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 391995 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391999 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 392002 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392007 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 392012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 392015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392017 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392019 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 392024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392027 */     GIR_RootConstrainSelectedInstOperands,
     /* 392028 */     // GIR_Coverage, 2533,
     /* 392028 */     GIR_EraseRootFromParent_Done,
     /* 392029 */   // Label 7773: @392029
     /* 392029 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(392079), // Rule ID 13323 //
     /* 392034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 392037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 392049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 392064 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 392064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 392067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392069 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392071 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392077 */     GIR_RootConstrainSelectedInstOperands,
     /* 392078 */     // GIR_Coverage, 13323,
     /* 392078 */     GIR_EraseRootFromParent_Done,
     /* 392079 */   // Label 7774: @392079
     /* 392079 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(392163), // Rule ID 6054 //
     /* 392084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 392087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 392099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 392103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 392108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 392114 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 392114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 392117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 392121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 392126 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 392129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392133 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 392136 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392141 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 392146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 392149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392151 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392153 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 392155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 392158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392161 */     GIR_RootConstrainSelectedInstOperands,
     /* 392162 */     // GIR_Coverage, 6054,
     /* 392162 */     GIR_EraseRootFromParent_Done,
     /* 392163 */   // Label 7775: @392163
     /* 392163 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(392213), // Rule ID 1303 //
     /* 392168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 392171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 392187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 392198 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 392198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 392201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392203 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392205 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 392207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392211 */     GIR_RootConstrainSelectedInstOperands,
     /* 392212 */     // GIR_Coverage, 1303,
     /* 392212 */     GIR_EraseRootFromParent_Done,
     /* 392213 */   // Label 7776: @392213
     /* 392213 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(392246), // Rule ID 1293 //
     /* 392218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 392221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392233 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 392233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f16),
     /* 392236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392238 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392242 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 392244 */     GIR_RootConstrainSelectedInstOperands,
     /* 392245 */     // GIR_Coverage, 1293,
     /* 392245 */     GIR_EraseRootFromParent_Done,
     /* 392246 */   // Label 7777: @392246
     /* 392246 */   GIM_Reject,
     /* 392247 */ // Label 7762: @392247
     /* 392247 */ GIM_Reject,
     /* 392248 */ // Label 7628: @392248
     /* 392248 */ GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(393768),
     /* 392253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 392259 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 392262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392266 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(392344), // Rule ID 6214 //
     /* 392271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392283 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 392287 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392291 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392295 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392299 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392304 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 392308 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392312 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392316 */     // MIs[3] Operand 1
     /* 392316 */     // No operand predicates
     /* 392316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392324 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392326 */     // (strict_fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392331 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392342 */     GIR_RootConstrainSelectedInstOperands,
     /* 392343 */     // GIR_Coverage, 6214,
     /* 392343 */     GIR_EraseRootFromParent_Done,
     /* 392344 */   // Label 7779: @392344
     /* 392344 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(392428), // Rule ID 6128 //
     /* 392349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 392368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 392377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392381 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392385 */     // MIs[2] Operand 1
     /* 392385 */     // No operand predicates
     /* 392385 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 392389 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392393 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392397 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392406 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392408 */     // (strict_fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392413 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 392419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 392426 */     GIR_RootConstrainSelectedInstOperands,
     /* 392427 */     // GIR_Coverage, 6128,
     /* 392427 */     GIR_EraseRootFromParent_Done,
     /* 392428 */   // Label 7780: @392428
     /* 392428 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(392509), // Rule ID 6160 //
     /* 392433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392460 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392469 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392473 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392477 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392481 */     // MIs[3] Operand 1
     /* 392481 */     // No operand predicates
     /* 392481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392489 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392491 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392496 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392507 */     GIR_RootConstrainSelectedInstOperands,
     /* 392508 */     // GIR_Coverage, 6160,
     /* 392508 */     GIR_EraseRootFromParent_Done,
     /* 392509 */   // Label 7781: @392509
     /* 392509 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(392593), // Rule ID 6192 //
     /* 392514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 392538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392546 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392555 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392559 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392563 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392567 */     // MIs[3] Operand 1
     /* 392567 */     // No operand predicates
     /* 392567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392571 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392573 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 392584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392591 */     GIR_RootConstrainSelectedInstOperands,
     /* 392592 */     // GIR_Coverage, 6192,
     /* 392592 */     GIR_EraseRootFromParent_Done,
     /* 392593 */   // Label 7782: @392593
     /* 392593 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(392671), // Rule ID 6236 //
     /* 392598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 392618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392635 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 392639 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392643 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392647 */     // MIs[3] Operand 1
     /* 392647 */     // No operand predicates
     /* 392647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392651 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392653 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392660 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 392662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392669 */     GIR_RootConstrainSelectedInstOperands,
     /* 392670 */     // GIR_Coverage, 6236,
     /* 392670 */     GIR_EraseRootFromParent_Done,
     /* 392671 */   // Label 7783: @392671
     /* 392671 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(392752), // Rule ID 6096 //
     /* 392676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392707 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392711 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392716 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392720 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392724 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392728 */     // MIs[3] Operand 1
     /* 392728 */     // No operand predicates
     /* 392728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392732 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392734 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392739 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392741 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 392743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392750 */     GIR_RootConstrainSelectedInstOperands,
     /* 392751 */     // GIR_Coverage, 6096,
     /* 392751 */     GIR_EraseRootFromParent_Done,
     /* 392752 */   // Label 7784: @392752
     /* 392752 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(392821), // Rule ID 2543 //
     /* 392757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 392776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 392785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392789 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392793 */     // MIs[2] Operand 1
     /* 392793 */     // No operand predicates
     /* 392793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392801 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 392803 */     // (strict_fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 392806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 392819 */     GIR_RootConstrainSelectedInstOperands,
     /* 392820 */     // GIR_Coverage, 2543,
     /* 392820 */     GIR_EraseRootFromParent_Done,
     /* 392821 */   // Label 7785: @392821
     /* 392821 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(392890), // Rule ID 6064 //
     /* 392826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 392849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 392858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392862 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392866 */     // MIs[2] Operand 1
     /* 392866 */     // No operand predicates
     /* 392866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 392872 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 392875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392877 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392879 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 392881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 392888 */     GIR_RootConstrainSelectedInstOperands,
     /* 392889 */     // GIR_Coverage, 6064,
     /* 392889 */     GIR_EraseRootFromParent_Done,
     /* 392890 */   // Label 7786: @392890
     /* 392890 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(392983), // Rule ID 6218 //
     /* 392895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 392903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 392907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392915 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 392919 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392932 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 392934 */     // (strict_fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 392934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 392937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 392941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 392946 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 392949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392953 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 392956 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392961 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392971 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 392978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392981 */     GIR_RootConstrainSelectedInstOperands,
     /* 392982 */     // GIR_Coverage, 6218,
     /* 392982 */     GIR_EraseRootFromParent_Done,
     /* 392983 */   // Label 7787: @392983
     /* 392983 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(393082), // Rule ID 6130 //
     /* 392988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 392999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 393003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393008 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 393012 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393016 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 393031 */     // (strict_fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 393031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 393034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 393038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393043 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 393046 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393050 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 393053 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393058 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 393066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393068 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 393074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 393077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393080 */     GIR_RootConstrainSelectedInstOperands,
     /* 393081 */     // GIR_Coverage, 6130,
     /* 393081 */     GIR_EraseRootFromParent_Done,
     /* 393082 */   // Label 7788: @393082
     /* 393082 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(393178), // Rule ID 6162 //
     /* 393087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 393106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 393110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 393114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393127 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 393129 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 393129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 393132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 393136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393141 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 393144 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 393148 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 393151 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393156 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 393164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393166 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 393170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 393173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393176 */     GIR_RootConstrainSelectedInstOperands,
     /* 393177 */     // GIR_Coverage, 6162,
     /* 393177 */     GIR_EraseRootFromParent_Done,
     /* 393178 */   // Label 7789: @393178
     /* 393178 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(393277), // Rule ID 6194 //
     /* 393183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 393207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 393211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 393215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 393226 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 393226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 393229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 393233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393238 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 393241 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 393245 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 393248 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393253 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 393261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393263 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 393269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 393272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393275 */     GIR_RootConstrainSelectedInstOperands,
     /* 393276 */     // GIR_Coverage, 6194,
     /* 393276 */     GIR_EraseRootFromParent_Done,
     /* 393277 */   // Label 7790: @393277
     /* 393277 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(393370), // Rule ID 6240 //
     /* 393282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 393290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 393294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 393298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 393302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 393310 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393319 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 393321 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 393321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 393324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 393328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393333 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 393336 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 393340 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 393343 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393348 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 393356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393358 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393360 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 393362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 393365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393368 */     GIR_RootConstrainSelectedInstOperands,
     /* 393369 */     // GIR_Coverage, 6240,
     /* 393369 */     GIR_EraseRootFromParent_Done,
     /* 393370 */   // Label 7791: @393370
     /* 393370 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(393466), // Rule ID 6098 //
     /* 393375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 393386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 393398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 393402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 393406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 393417 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 393417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 393420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 393424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393429 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 393432 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 393436 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 393439 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393444 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 393452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393454 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393456 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 393458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 393461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393464 */     GIR_RootConstrainSelectedInstOperands,
     /* 393465 */     // GIR_Coverage, 6098,
     /* 393465 */     GIR_EraseRootFromParent_Done,
     /* 393466 */   // Label 7792: @393466
     /* 393466 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(393550), // Rule ID 2545 //
     /* 393471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 393482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 393486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393501 */     // (strict_fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 393501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 393504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 393508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393513 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 393516 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393520 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 393523 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393528 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 393536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393538 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 393542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 393545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393548 */     GIR_RootConstrainSelectedInstOperands,
     /* 393549 */     // GIR_Coverage, 2545,
     /* 393549 */     GIR_EraseRootFromParent_Done,
     /* 393550 */   // Label 7793: @393550
     /* 393550 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(393600), // Rule ID 13329 //
     /* 393555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393585 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 393585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 393588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 393594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393598 */     GIR_RootConstrainSelectedInstOperands,
     /* 393599 */     // GIR_Coverage, 13329,
     /* 393599 */     GIR_EraseRootFromParent_Done,
     /* 393600 */   // Label 7794: @393600
     /* 393600 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(393684), // Rule ID 6066 //
     /* 393605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 393616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 393620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 393624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393635 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 393635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 393638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 393642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393647 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 393650 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393654 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 393657 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393662 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 393670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393672 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393674 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 393676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 393679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393682 */     GIR_RootConstrainSelectedInstOperands,
     /* 393683 */     // GIR_Coverage, 6066,
     /* 393683 */     GIR_EraseRootFromParent_Done,
     /* 393684 */   // Label 7795: @393684
     /* 393684 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(393734), // Rule ID 1309 //
     /* 393689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 393700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393719 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 393719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 393722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393726 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 393728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393732 */     GIR_RootConstrainSelectedInstOperands,
     /* 393733 */     // GIR_Coverage, 1309,
     /* 393733 */     GIR_EraseRootFromParent_Done,
     /* 393734 */   // Label 7796: @393734
     /* 393734 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(393767), // Rule ID 1299 //
     /* 393739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393754 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 393754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f32),
     /* 393757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393759 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 393763 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 393765 */     GIR_RootConstrainSelectedInstOperands,
     /* 393766 */     // GIR_Coverage, 1299,
     /* 393766 */     GIR_EraseRootFromParent_Done,
     /* 393767 */   // Label 7797: @393767
     /* 393767 */   GIM_Reject,
     /* 393768 */ // Label 7778: @393768
     /* 393768 */ GIM_Reject,
     /* 393769 */ // Label 7629: @393769
     /* 393769 */ GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(394947),
     /* 393774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 393780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 393783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393787 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(393871), // Rule ID 6112 //
     /* 393792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 393795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 393803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 393811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 393816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 393820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 393824 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 393828 */     // MIs[2] Operand 1
     /* 393828 */     // No operand predicates
     /* 393828 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 393832 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393836 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393840 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393849 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393851 */     // (strict_fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 393851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 393854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393856 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 393862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 393869 */     GIR_RootConstrainSelectedInstOperands,
     /* 393870 */     // GIR_Coverage, 6112,
     /* 393870 */     GIR_EraseRootFromParent_Done,
     /* 393871 */   // Label 7799: @393871
     /* 393871 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(393952), // Rule ID 6144 //
     /* 393876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 393879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 393895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 393899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393903 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 393907 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 393912 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 393916 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 393920 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 393924 */     // MIs[3] Operand 1
     /* 393924 */     // No operand predicates
     /* 393924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393932 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393934 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 393934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 393937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393939 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 393943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 393947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 393950 */     GIR_RootConstrainSelectedInstOperands,
     /* 393951 */     // GIR_Coverage, 6144,
     /* 393951 */     GIR_EraseRootFromParent_Done,
     /* 393952 */   // Label 7800: @393952
     /* 393952 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(394036), // Rule ID 6176 //
     /* 393957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 393960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 393981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 393985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393989 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 393993 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 393998 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 394002 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 394006 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 394010 */     // MIs[3] Operand 1
     /* 394010 */     // No operand predicates
     /* 394010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394014 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 394016 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 394016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 394019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394021 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 394027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 394031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 394034 */     GIR_RootConstrainSelectedInstOperands,
     /* 394035 */     // GIR_Coverage, 6176,
     /* 394035 */     GIR_EraseRootFromParent_Done,
     /* 394036 */   // Label 7801: @394036
     /* 394036 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(394117), // Rule ID 6080 //
     /* 394041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 394052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 394064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 394068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394072 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 394076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 394081 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 394085 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 394089 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 394093 */     // MIs[3] Operand 1
     /* 394093 */     // No operand predicates
     /* 394093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394097 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 394099 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 394099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 394102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394104 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394106 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 394108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 394112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 394115 */     GIR_RootConstrainSelectedInstOperands,
     /* 394116 */     // GIR_Coverage, 6080,
     /* 394116 */     GIR_EraseRootFromParent_Done,
     /* 394117 */   // Label 7802: @394117
     /* 394117 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(394186), // Rule ID 2527 //
     /* 394122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 394133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394137 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 394141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 394146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 394150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 394154 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 394158 */     // MIs[2] Operand 1
     /* 394158 */     // No operand predicates
     /* 394158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 394168 */     // (strict_fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 394168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 394171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394173 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 394177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 394184 */     GIR_RootConstrainSelectedInstOperands,
     /* 394185 */     // GIR_Coverage, 2527,
     /* 394185 */     GIR_EraseRootFromParent_Done,
     /* 394186 */   // Label 7803: @394186
     /* 394186 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(394255), // Rule ID 6048 //
     /* 394191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 394202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 394206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 394214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 394219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 394223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 394227 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 394231 */     // MIs[2] Operand 1
     /* 394231 */     // No operand predicates
     /* 394231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 394237 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 394237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 394240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394244 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 394246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 394253 */     GIR_RootConstrainSelectedInstOperands,
     /* 394254 */     // GIR_Coverage, 6048,
     /* 394254 */     GIR_EraseRootFromParent_Done,
     /* 394255 */   // Label 7804: @394255
     /* 394255 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(394354), // Rule ID 6114 //
     /* 394260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 394271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 394284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394292 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 394303 */     // (strict_fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 394303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 394306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 394310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394315 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 394318 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394322 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 394325 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394330 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 394338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394340 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 394346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 394349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394352 */     GIR_RootConstrainSelectedInstOperands,
     /* 394353 */     // GIR_Coverage, 6114,
     /* 394353 */     GIR_EraseRootFromParent_Done,
     /* 394354 */   // Label 7805: @394354
     /* 394354 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(394450), // Rule ID 6146 //
     /* 394359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 394378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 394382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394399 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 394401 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 394401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 394404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 394408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394413 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 394416 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 394420 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 394423 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394428 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 394436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394438 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 394442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 394445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394448 */     GIR_RootConstrainSelectedInstOperands,
     /* 394449 */     // GIR_Coverage, 6146,
     /* 394449 */     GIR_EraseRootFromParent_Done,
     /* 394450 */   // Label 7806: @394450
     /* 394450 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(394549), // Rule ID 6178 //
     /* 394455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 394479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 394483 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394496 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 394498 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 394498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 394501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 394505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394510 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 394513 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 394517 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 394520 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394525 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 394533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394535 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 394541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 394544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394547 */     GIR_RootConstrainSelectedInstOperands,
     /* 394548 */     // GIR_Coverage, 6178,
     /* 394548 */     GIR_EraseRootFromParent_Done,
     /* 394549 */   // Label 7807: @394549
     /* 394549 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(394645), // Rule ID 6082 //
     /* 394554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 394565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 394577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 394581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 394596 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 394596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 394599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 394603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394608 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 394611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 394615 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 394618 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394623 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 394631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394633 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394635 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 394637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 394640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394643 */     GIR_RootConstrainSelectedInstOperands,
     /* 394644 */     // GIR_Coverage, 6082,
     /* 394644 */     GIR_EraseRootFromParent_Done,
     /* 394645 */   // Label 7808: @394645
     /* 394645 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(394729), // Rule ID 2529 //
     /* 394650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 394661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 394680 */     // (strict_fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 394680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 394683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 394687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394692 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 394695 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394699 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 394702 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394707 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 394715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394717 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394719 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 394721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 394724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394727 */     GIR_RootConstrainSelectedInstOperands,
     /* 394728 */     // GIR_Coverage, 2529,
     /* 394728 */     GIR_EraseRootFromParent_Done,
     /* 394729 */   // Label 7809: @394729
     /* 394729 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(394779), // Rule ID 13325 //
     /* 394734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 394764 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 394764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 394767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394769 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 394773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394777 */     GIR_RootConstrainSelectedInstOperands,
     /* 394778 */     // GIR_Coverage, 13325,
     /* 394778 */     GIR_EraseRootFromParent_Done,
     /* 394779 */   // Label 7810: @394779
     /* 394779 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(394863), // Rule ID 6050 //
     /* 394784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 394795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 394799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 394814 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 394814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 394817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 394821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394826 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 394829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394833 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 394836 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394841 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 394849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394853 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 394855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 394858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394861 */     GIR_RootConstrainSelectedInstOperands,
     /* 394862 */     // GIR_Coverage, 6050,
     /* 394862 */     GIR_EraseRootFromParent_Done,
     /* 394863 */   // Label 7811: @394863
     /* 394863 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(394913), // Rule ID 1305 //
     /* 394868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 394879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 394898 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 394898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 394901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394903 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394905 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 394907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394911 */     GIR_RootConstrainSelectedInstOperands,
     /* 394912 */     // GIR_Coverage, 1305,
     /* 394912 */     GIR_EraseRootFromParent_Done,
     /* 394913 */   // Label 7812: @394913
     /* 394913 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(394946), // Rule ID 1295 //
     /* 394918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394933 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 394933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8f16),
     /* 394936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394940 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 394942 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 394944 */     GIR_RootConstrainSelectedInstOperands,
     /* 394945 */     // GIR_Coverage, 1295,
     /* 394945 */     GIR_EraseRootFromParent_Done,
     /* 394946 */   // Label 7813: @394946
     /* 394946 */   GIM_Reject,
     /* 394947 */ // Label 7798: @394947
     /* 394947 */ GIM_Reject,
     /* 394948 */ // Label 7630: @394948
     /* 394948 */ GIM_Reject,
     /* 394949 */ // Label 106: @394949
     /* 394949 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7822*/ GIMT_Encode4(395248),
     /* 394960 */ /*GILLT_s16*//*Label 7814*/ GIMT_Encode4(395000),
     /* 394964 */ /*GILLT_s32*//*Label 7815*/ GIMT_Encode4(395031),
     /* 394968 */ /*GILLT_s64*//*Label 7816*/ GIMT_Encode4(395062), GIMT_Encode4(0),
     /* 394976 */ /*GILLT_v2s32*//*Label 7817*/ GIMT_Encode4(395093),
     /* 394980 */ /*GILLT_v2s64*//*Label 7818*/ GIMT_Encode4(395124),
     /* 394984 */ /*GILLT_v4s16*//*Label 7819*/ GIMT_Encode4(395155),
     /* 394988 */ /*GILLT_v4s32*//*Label 7820*/ GIMT_Encode4(395186), GIMT_Encode4(0),
     /* 394996 */ /*GILLT_v8s16*//*Label 7821*/ GIMT_Encode4(395217),
     /* 395000 */ // Label 7814: @395000
     /* 395000 */ GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(395030), // Rule ID 569 //
     /* 395005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 395008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 395011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395019 */   // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FSQRTHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 395019 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTHr),
     /* 395024 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395028 */   GIR_RootConstrainSelectedInstOperands,
     /* 395029 */   // GIR_Coverage, 569,
     /* 395029 */   GIR_Done,
     /* 395030 */ // Label 7823: @395030
     /* 395030 */ GIM_Reject,
     /* 395031 */ // Label 7815: @395031
     /* 395031 */ GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(395061), // Rule ID 571 //
     /* 395036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 395039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 395042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395050 */   // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FSQRTSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 395050 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTSr),
     /* 395055 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395059 */   GIR_RootConstrainSelectedInstOperands,
     /* 395060 */   // GIR_Coverage, 571,
     /* 395060 */   GIR_Done,
     /* 395061 */ // Label 7824: @395061
     /* 395061 */ GIM_Reject,
     /* 395062 */ // Label 7816: @395062
     /* 395062 */ GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(395092), // Rule ID 573 //
     /* 395067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 395070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 395073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395081 */   // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FSQRTDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 395081 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTDr),
     /* 395086 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395090 */   GIR_RootConstrainSelectedInstOperands,
     /* 395091 */   // GIR_Coverage, 573,
     /* 395091 */   GIR_Done,
     /* 395092 */ // Label 7825: @395092
     /* 395092 */ GIM_Reject,
     /* 395093 */ // Label 7817: @395093
     /* 395093 */ GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(395123), // Rule ID 959 //
     /* 395098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 395101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 395104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395112 */   // (strict_fsqrt:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FSQRTv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 395112 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f32),
     /* 395117 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395121 */   GIR_RootConstrainSelectedInstOperands,
     /* 395122 */   // GIR_Coverage, 959,
     /* 395122 */   GIR_Done,
     /* 395123 */ // Label 7826: @395123
     /* 395123 */ GIM_Reject,
     /* 395124 */ // Label 7818: @395124
     /* 395124 */ GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(395154), // Rule ID 963 //
     /* 395129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 395132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 395135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395143 */   // (strict_fsqrt:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FSQRTv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 395143 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f64),
     /* 395148 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395152 */   GIR_RootConstrainSelectedInstOperands,
     /* 395153 */   // GIR_Coverage, 963,
     /* 395153 */   GIR_Done,
     /* 395154 */ // Label 7827: @395154
     /* 395154 */ GIM_Reject,
     /* 395155 */ // Label 7819: @395155
     /* 395155 */ GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(395185), // Rule ID 955 //
     /* 395160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395174 */   // (strict_fsqrt:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FSQRTv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 395174 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f16),
     /* 395179 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395183 */   GIR_RootConstrainSelectedInstOperands,
     /* 395184 */   // GIR_Coverage, 955,
     /* 395184 */   GIR_Done,
     /* 395185 */ // Label 7828: @395185
     /* 395185 */ GIM_Reject,
     /* 395186 */ // Label 7820: @395186
     /* 395186 */ GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(395216), // Rule ID 961 //
     /* 395191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 395194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 395197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395205 */   // (strict_fsqrt:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FSQRTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 395205 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f32),
     /* 395210 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395214 */   GIR_RootConstrainSelectedInstOperands,
     /* 395215 */   // GIR_Coverage, 961,
     /* 395215 */   GIR_Done,
     /* 395216 */ // Label 7829: @395216
     /* 395216 */ GIM_Reject,
     /* 395217 */ // Label 7821: @395217
     /* 395217 */ GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(395247), // Rule ID 957 //
     /* 395222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395236 */   // (strict_fsqrt:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FSQRTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 395236 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv8f16),
     /* 395241 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395245 */   GIR_RootConstrainSelectedInstOperands,
     /* 395246 */   // GIR_Coverage, 957,
     /* 395246 */   GIR_Done,
     /* 395247 */ // Label 7830: @395247
     /* 395247 */ GIM_Reject,
     /* 395248 */ // Label 7822: @395248
     /* 395248 */ GIM_Reject,
     /* 395249 */ // Label 107: @395249
     /* 395249 */ GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(395262), // Rule ID 6527 //
     /* 395254 */   // (trap)  =>  (BRK 1:{ *:[i32] })
     /* 395254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 395257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 395260 */   GIR_RootConstrainSelectedInstOperands,
     /* 395261 */   // GIR_Coverage, 6527,
     /* 395261 */   GIR_EraseRootFromParent_Done,
     /* 395262 */ // Label 7831: @395262
     /* 395262 */ GIM_Reject,
     /* 395263 */ // Label 108: @395263
     /* 395263 */ GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(395283), // Rule ID 6528 //
     /* 395268 */   // (debugtrap)  =>  (BRK 61440:{ *:[i32] })
     /* 395268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 395271 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(61440),
     /* 395281 */   GIR_RootConstrainSelectedInstOperands,
     /* 395282 */   // GIR_Coverage, 6528,
     /* 395282 */   GIR_EraseRootFromParent_Done,
     /* 395283 */ // Label 7832: @395283
     /* 395283 */ GIM_Reject,
     /* 395284 */ // Label 109: @395284
     /* 395284 */ GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(395308), // Rule ID 6529 //
     /* 395289 */   // MIs[0] kind
     /* 395289 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 395292 */   GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_ubsan_trap_imm),
     /* 395297 */   // (ubsantrap (timm:{ *:[i32] })<<P:Predicate_ubsan_trap_imm>><<X:ubsan_trap_xform>>:$kind)  =>  (BRK (ubsan_trap_xform:{ *:[i32] } (timm:{ *:[i32] })<<P:Predicate_ubsan_trap_imm>>:$kind))
     /* 395297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 395300 */   GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, /*OperandRenderer*/GIMT_Encode2(GICR_renderUbsanTrap), // kind
     /* 395306 */   GIR_RootConstrainSelectedInstOperands,
     /* 395307 */   // GIR_Coverage, 6529,
     /* 395307 */   GIR_EraseRootFromParent_Done,
     /* 395308 */ // Label 7833: @395308
     /* 395308 */ GIM_Reject,
     /* 395309 */ // Label 110: @395309
     /* 395309 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7837*/ GIMT_Encode4(395618),
     /* 395320 */ /*GILLT_s16*//*Label 7834*/ GIMT_Encode4(395332),
     /* 395324 */ /*GILLT_s32*//*Label 7835*/ GIMT_Encode4(395485),
     /* 395328 */ /*GILLT_s64*//*Label 7836*/ GIMT_Encode4(395590),
     /* 395332 */ // Label 7834: @395332
     /* 395332 */ GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(395433), // Rule ID 5606 //
     /* 395337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 395340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395351 */   // (vecreduce_fadd:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } (FADDPv8f16:{ *:[f128] } (FADDPv8f16:{ *:[f128] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rn), dsub:{ *:[i32] }))
     /* 395351 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 395354 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 395358 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395363 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395367 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395371 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 395373 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 395376 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 395380 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395385 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 395388 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395392 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 395394 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 395397 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 395401 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395406 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 395413 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395418 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 395426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 395428 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395431 */   GIR_RootConstrainSelectedInstOperands,
     /* 395432 */   // GIR_Coverage, 5606,
     /* 395432 */   GIR_EraseRootFromParent_Done,
     /* 395433 */ // Label 7838: @395433
     /* 395433 */ GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(395484), // Rule ID 5607 //
     /* 395438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 395441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395452 */   // (vecreduce_fadd:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FADDPv2i16p:{ *:[f16] } (FADDPv4f16:{ *:[i64] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rn))
     /* 395452 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 395455 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f16),
     /* 395459 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395464 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395468 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395472 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 395477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 395479 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395482 */   GIR_RootConstrainSelectedInstOperands,
     /* 395483 */   // GIR_Coverage, 5607,
     /* 395483 */   GIR_EraseRootFromParent_Done,
     /* 395484 */ // Label 7839: @395484
     /* 395484 */ GIM_Reject,
     /* 395485 */ // Label 7835: @395485
     /* 395485 */ GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(395562), // Rule ID 5608 //
     /* 395490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 395493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395501 */   // (vecreduce_fadd:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } (FADDPv4f32:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn), dsub:{ *:[i32] }))
     /* 395501 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 395504 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 395508 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395513 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395517 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395521 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 395523 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 395526 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 395530 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395535 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 395542 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395547 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 395555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 395557 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395560 */   GIR_RootConstrainSelectedInstOperands,
     /* 395561 */   // GIR_Coverage, 5608,
     /* 395561 */   GIR_EraseRootFromParent_Done,
     /* 395562 */ // Label 7840: @395562
     /* 395562 */ GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(395589), // Rule ID 5609 //
     /* 395567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 395570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395578 */   // (vecreduce_fadd:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 395578 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 395583 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395587 */   GIR_RootConstrainSelectedInstOperands,
     /* 395588 */   // GIR_Coverage, 5609,
     /* 395588 */   GIR_Done,
     /* 395589 */ // Label 7841: @395589
     /* 395589 */ GIM_Reject,
     /* 395590 */ // Label 7836: @395590
     /* 395590 */ GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(395617), // Rule ID 5610 //
     /* 395595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 395598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395606 */   // (vecreduce_fadd:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FADDPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 395606 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 395611 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395615 */   GIR_RootConstrainSelectedInstOperands,
     /* 395616 */   // GIR_Coverage, 5610,
     /* 395616 */   GIR_Done,
     /* 395617 */ // Label 7842: @395617
     /* 395617 */ GIM_Reject,
     /* 395618 */ // Label 7837: @395618
     /* 395618 */ GIM_Reject,
     /* 395619 */ // Label 111: @395619
     /* 395619 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7846*/ GIMT_Encode4(395789),
     /* 395630 */ /*GILLT_s16*//*Label 7843*/ GIMT_Encode4(395642),
     /* 395634 */ /*GILLT_s32*//*Label 7844*/ GIMT_Encode4(395703),
     /* 395638 */ /*GILLT_s64*//*Label 7845*/ GIMT_Encode4(395761),
     /* 395642 */ // Label 7843: @395642
     /* 395642 */ GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(395672), // Rule ID 1942 //
     /* 395647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395661 */   // (vecreduce_fmax:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMAXNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 395661 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i16v),
     /* 395666 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395670 */   GIR_RootConstrainSelectedInstOperands,
     /* 395671 */   // GIR_Coverage, 1942,
     /* 395671 */   GIR_Done,
     /* 395672 */ // Label 7847: @395672
     /* 395672 */ GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(395702), // Rule ID 1944 //
     /* 395677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395691 */   // (vecreduce_fmax:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMAXNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 395691 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv8i16v),
     /* 395696 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395700 */   GIR_RootConstrainSelectedInstOperands,
     /* 395701 */   // GIR_Coverage, 1944,
     /* 395701 */   GIR_Done,
     /* 395702 */ // Label 7848: @395702
     /* 395702 */ GIM_Reject,
     /* 395703 */ // Label 7844: @395703
     /* 395703 */ GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(395733), // Rule ID 1946 //
     /* 395708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 395711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 395714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395722 */   // (vecreduce_fmax:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMAXNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 395722 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i32v),
     /* 395727 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395731 */   GIR_RootConstrainSelectedInstOperands,
     /* 395732 */   // GIR_Coverage, 1946,
     /* 395732 */   GIR_Done,
     /* 395733 */ // Label 7849: @395733
     /* 395733 */ GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(395760), // Rule ID 5616 //
     /* 395738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 395741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395749 */   // (vecreduce_fmax:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMAXNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 395749 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i32p),
     /* 395754 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395758 */   GIR_RootConstrainSelectedInstOperands,
     /* 395759 */   // GIR_Coverage, 5616,
     /* 395759 */   GIR_Done,
     /* 395760 */ // Label 7850: @395760
     /* 395760 */ GIM_Reject,
     /* 395761 */ // Label 7845: @395761
     /* 395761 */ GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(395788), // Rule ID 5618 //
     /* 395766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 395769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395777 */   // (vecreduce_fmax:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMAXNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 395777 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i64p),
     /* 395782 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395786 */   GIR_RootConstrainSelectedInstOperands,
     /* 395787 */   // GIR_Coverage, 5618,
     /* 395787 */   GIR_Done,
     /* 395788 */ // Label 7851: @395788
     /* 395788 */ GIM_Reject,
     /* 395789 */ // Label 7846: @395789
     /* 395789 */ GIM_Reject,
     /* 395790 */ // Label 112: @395790
     /* 395790 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7855*/ GIMT_Encode4(395960),
     /* 395801 */ /*GILLT_s16*//*Label 7852*/ GIMT_Encode4(395813),
     /* 395805 */ /*GILLT_s32*//*Label 7853*/ GIMT_Encode4(395874),
     /* 395809 */ /*GILLT_s64*//*Label 7854*/ GIMT_Encode4(395932),
     /* 395813 */ // Label 7852: @395813
     /* 395813 */ GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(395843), // Rule ID 1954 //
     /* 395818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395832 */   // (vecreduce_fmin:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMINNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 395832 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i16v),
     /* 395837 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395841 */   GIR_RootConstrainSelectedInstOperands,
     /* 395842 */   // GIR_Coverage, 1954,
     /* 395842 */   GIR_Done,
     /* 395843 */ // Label 7856: @395843
     /* 395843 */ GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(395873), // Rule ID 1956 //
     /* 395848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395862 */   // (vecreduce_fmin:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMINNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 395862 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv8i16v),
     /* 395867 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395871 */   GIR_RootConstrainSelectedInstOperands,
     /* 395872 */   // GIR_Coverage, 1956,
     /* 395872 */   GIR_Done,
     /* 395873 */ // Label 7857: @395873
     /* 395873 */ GIM_Reject,
     /* 395874 */ // Label 7853: @395874
     /* 395874 */ GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(395904), // Rule ID 1958 //
     /* 395879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 395882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 395885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395893 */   // (vecreduce_fmin:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMINNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 395893 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i32v),
     /* 395898 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395902 */   GIR_RootConstrainSelectedInstOperands,
     /* 395903 */   // GIR_Coverage, 1958,
     /* 395903 */   GIR_Done,
     /* 395904 */ // Label 7858: @395904
     /* 395904 */ GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(395931), // Rule ID 5624 //
     /* 395909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 395912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395920 */   // (vecreduce_fmin:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMINNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 395920 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i32p),
     /* 395925 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395929 */   GIR_RootConstrainSelectedInstOperands,
     /* 395930 */   // GIR_Coverage, 5624,
     /* 395930 */   GIR_Done,
     /* 395931 */ // Label 7859: @395931
     /* 395931 */ GIM_Reject,
     /* 395932 */ // Label 7854: @395932
     /* 395932 */ GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(395959), // Rule ID 5626 //
     /* 395937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 395940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395948 */   // (vecreduce_fmin:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMINNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 395948 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i64p),
     /* 395953 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395957 */   GIR_RootConstrainSelectedInstOperands,
     /* 395958 */   // GIR_Coverage, 5626,
     /* 395958 */   GIR_Done,
     /* 395959 */ // Label 7860: @395959
     /* 395959 */ GIM_Reject,
     /* 395960 */ // Label 7855: @395960
     /* 395960 */ GIM_Reject,
     /* 395961 */ // Label 113: @395961
     /* 395961 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7864*/ GIMT_Encode4(396131),
     /* 395972 */ /*GILLT_s16*//*Label 7861*/ GIMT_Encode4(395984),
     /* 395976 */ /*GILLT_s32*//*Label 7862*/ GIMT_Encode4(396045),
     /* 395980 */ /*GILLT_s64*//*Label 7863*/ GIMT_Encode4(396103),
     /* 395984 */ // Label 7861: @395984
     /* 395984 */ GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(396014), // Rule ID 1948 //
     /* 395989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396003 */   // (vecreduce_fmaximum:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMAXVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 396003 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i16v),
     /* 396008 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396012 */   GIR_RootConstrainSelectedInstOperands,
     /* 396013 */   // GIR_Coverage, 1948,
     /* 396013 */   GIR_Done,
     /* 396014 */ // Label 7865: @396014
     /* 396014 */ GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(396044), // Rule ID 1950 //
     /* 396019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 396022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396033 */   // (vecreduce_fmaximum:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMAXVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 396033 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv8i16v),
     /* 396038 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396042 */   GIR_RootConstrainSelectedInstOperands,
     /* 396043 */   // GIR_Coverage, 1950,
     /* 396043 */   GIR_Done,
     /* 396044 */ // Label 7866: @396044
     /* 396044 */ GIM_Reject,
     /* 396045 */ // Label 7862: @396045
     /* 396045 */ GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(396075), // Rule ID 1952 //
     /* 396050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396064 */   // (vecreduce_fmaximum:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMAXVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 396064 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i32v),
     /* 396069 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396073 */   GIR_RootConstrainSelectedInstOperands,
     /* 396074 */   // GIR_Coverage, 1952,
     /* 396074 */   GIR_Done,
     /* 396075 */ // Label 7867: @396075
     /* 396075 */ GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(396102), // Rule ID 5620 //
     /* 396080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 396083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396091 */   // (vecreduce_fmaximum:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMAXPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 396091 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i32p),
     /* 396096 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396100 */   GIR_RootConstrainSelectedInstOperands,
     /* 396101 */   // GIR_Coverage, 5620,
     /* 396101 */   GIR_Done,
     /* 396102 */ // Label 7868: @396102
     /* 396102 */ GIM_Reject,
     /* 396103 */ // Label 7863: @396103
     /* 396103 */ GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(396130), // Rule ID 5622 //
     /* 396108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 396111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396119 */   // (vecreduce_fmaximum:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMAXPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 396119 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i64p),
     /* 396124 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396128 */   GIR_RootConstrainSelectedInstOperands,
     /* 396129 */   // GIR_Coverage, 5622,
     /* 396129 */   GIR_Done,
     /* 396130 */ // Label 7869: @396130
     /* 396130 */ GIM_Reject,
     /* 396131 */ // Label 7864: @396131
     /* 396131 */ GIM_Reject,
     /* 396132 */ // Label 114: @396132
     /* 396132 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7873*/ GIMT_Encode4(396302),
     /* 396143 */ /*GILLT_s16*//*Label 7870*/ GIMT_Encode4(396155),
     /* 396147 */ /*GILLT_s32*//*Label 7871*/ GIMT_Encode4(396216),
     /* 396151 */ /*GILLT_s64*//*Label 7872*/ GIMT_Encode4(396274),
     /* 396155 */ // Label 7870: @396155
     /* 396155 */ GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(396185), // Rule ID 1960 //
     /* 396160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 396163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396174 */   // (vecreduce_fminimum:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMINVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 396174 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i16v),
     /* 396179 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396183 */   GIR_RootConstrainSelectedInstOperands,
     /* 396184 */   // GIR_Coverage, 1960,
     /* 396184 */   GIR_Done,
     /* 396185 */ // Label 7874: @396185
     /* 396185 */ GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(396215), // Rule ID 1962 //
     /* 396190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 396193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396204 */   // (vecreduce_fminimum:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMINVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 396204 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINVv8i16v),
     /* 396209 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396213 */   GIR_RootConstrainSelectedInstOperands,
     /* 396214 */   // GIR_Coverage, 1962,
     /* 396214 */   GIR_Done,
     /* 396215 */ // Label 7875: @396215
     /* 396215 */ GIM_Reject,
     /* 396216 */ // Label 7871: @396216
     /* 396216 */ GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(396246), // Rule ID 1964 //
     /* 396221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396235 */   // (vecreduce_fminimum:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMINVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 396235 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i32v),
     /* 396240 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396244 */   GIR_RootConstrainSelectedInstOperands,
     /* 396245 */   // GIR_Coverage, 1964,
     /* 396245 */   GIR_Done,
     /* 396246 */ // Label 7876: @396246
     /* 396246 */ GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(396273), // Rule ID 5628 //
     /* 396251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 396254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396262 */   // (vecreduce_fminimum:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMINPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 396262 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i32p),
     /* 396267 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396271 */   GIR_RootConstrainSelectedInstOperands,
     /* 396272 */   // GIR_Coverage, 5628,
     /* 396272 */   GIR_Done,
     /* 396273 */ // Label 7877: @396273
     /* 396273 */ GIM_Reject,
     /* 396274 */ // Label 7872: @396274
     /* 396274 */ GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(396301), // Rule ID 5630 //
     /* 396279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 396282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396290 */   // (vecreduce_fminimum:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMINPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 396290 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i64p),
     /* 396295 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396299 */   GIR_RootConstrainSelectedInstOperands,
     /* 396300 */   // GIR_Coverage, 5630,
     /* 396300 */   GIR_Done,
     /* 396301 */ // Label 7878: @396301
     /* 396301 */ GIM_Reject,
     /* 396302 */ // Label 7873: @396302
     /* 396302 */ GIM_Reject,
     /* 396303 */ // Label 115: @396303
     /* 396303 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(4), /*)*//*default:*//*Label 7883*/ GIMT_Encode4(397431),
     /* 396314 */ /*GILLT_s8*//*Label 7879*/ GIMT_Encode4(396330),
     /* 396318 */ /*GILLT_s16*//*Label 7880*/ GIMT_Encode4(396377),
     /* 396322 */ /*GILLT_s32*//*Label 7881*/ GIMT_Encode4(396792),
     /* 396326 */ /*GILLT_s64*//*Label 7882*/ GIMT_Encode4(397245),
     /* 396330 */ // Label 7879: @396330
     /* 396330 */ GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(396353), // Rule ID 5901 //
     /* 396335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 396338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 396342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396346 */   // (vecreduce_add:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)  =>  (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 396346 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 396351 */   GIR_RootConstrainSelectedInstOperands,
     /* 396352 */   // GIR_Coverage, 5901,
     /* 396352 */   GIR_Done,
     /* 396353 */ // Label 7884: @396353
     /* 396353 */ GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(396376), // Rule ID 5902 //
     /* 396358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 396361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 396365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396369 */   // (vecreduce_add:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)  =>  (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 396369 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 396374 */   GIR_RootConstrainSelectedInstOperands,
     /* 396375 */   // GIR_Coverage, 5902,
     /* 396375 */   GIR_Done,
     /* 396376 */ // Label 7885: @396376
     /* 396376 */ GIM_Reject,
     /* 396377 */ // Label 7880: @396377
     /* 396377 */ GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(396427), // Rule ID 5848 //
     /* 396382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396389 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396393 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396397 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396400 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 396405 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 396409 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396414 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396416 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 396416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 396419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396421 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396425 */   GIR_RootConstrainSelectedInstOperands,
     /* 396426 */   // GIR_Coverage, 5848,
     /* 396426 */   GIR_EraseRootFromParent_Done,
     /* 396427 */ // Label 7886: @396427
     /* 396427 */ GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(396477), // Rule ID 5850 //
     /* 396432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396439 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396443 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396447 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396450 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 396455 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 396459 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396464 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396466 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 396466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 396469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396471 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396475 */   GIR_RootConstrainSelectedInstOperands,
     /* 396476 */   // GIR_Coverage, 5850,
     /* 396476 */   GIR_EraseRootFromParent_Done,
     /* 396477 */ // Label 7887: @396477
     /* 396477 */ GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(396527), // Rule ID 5858 //
     /* 396482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396489 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396493 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396497 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396500 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 396505 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 396509 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396514 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396516 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v4i16] } 660:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 396516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i8v),
     /* 396519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396521 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396525 */   GIR_RootConstrainSelectedInstOperands,
     /* 396526 */   // GIR_Coverage, 5858,
     /* 396526 */   GIR_EraseRootFromParent_Done,
     /* 396527 */ // Label 7888: @396527
     /* 396527 */ GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(396577), // Rule ID 5860 //
     /* 396532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396539 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396543 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396547 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396550 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 396555 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 396559 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396564 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396566 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v8i16] } 660:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 396566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv16i8v),
     /* 396569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396571 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396575 */   GIR_RootConstrainSelectedInstOperands,
     /* 396576 */   // GIR_Coverage, 5860,
     /* 396576 */   GIR_EraseRootFromParent_Done,
     /* 396577 */ // Label 7889: @396577
     /* 396577 */ GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(396619), // Rule ID 5857 //
     /* 396582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396589 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396593 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 396597 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 396601 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396606 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396608 */   // (vecreduce_add:{ *:[i16] } (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (SADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 396608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i8v),
     /* 396611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396613 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396617 */   GIR_RootConstrainSelectedInstOperands,
     /* 396618 */   // GIR_Coverage, 5857,
     /* 396618 */   GIR_EraseRootFromParent_Done,
     /* 396619 */ // Label 7890: @396619
     /* 396619 */ GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(396661), // Rule ID 5859 //
     /* 396624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396631 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396635 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 396639 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 396643 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396648 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396650 */   // (vecreduce_add:{ *:[i16] } (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (SADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 396650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv16i8v),
     /* 396653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396655 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396659 */   GIR_RootConstrainSelectedInstOperands,
     /* 396660 */   // GIR_Coverage, 5859,
     /* 396660 */   GIR_EraseRootFromParent_Done,
     /* 396661 */ // Label 7891: @396661
     /* 396661 */ GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(396703), // Rule ID 5847 //
     /* 396666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396673 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396677 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 396681 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 396685 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396690 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396692 */   // (vecreduce_add:{ *:[i16] } (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 396692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 396695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396697 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396701 */   GIR_RootConstrainSelectedInstOperands,
     /* 396702 */   // GIR_Coverage, 5847,
     /* 396702 */   GIR_EraseRootFromParent_Done,
     /* 396703 */ // Label 7892: @396703
     /* 396703 */ GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(396745), // Rule ID 5849 //
     /* 396708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396715 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396719 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 396723 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 396727 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396732 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396734 */   // (vecreduce_add:{ *:[i16] } (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 396734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 396737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396739 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396743 */   GIR_RootConstrainSelectedInstOperands,
     /* 396744 */   // GIR_Coverage, 5849,
     /* 396744 */   GIR_EraseRootFromParent_Done,
     /* 396745 */ // Label 7893: @396745
     /* 396745 */ GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(396768), // Rule ID 5903 //
     /* 396750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396761 */   // (vecreduce_add:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)  =>  (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 396761 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 396766 */   GIR_RootConstrainSelectedInstOperands,
     /* 396767 */   // GIR_Coverage, 5903,
     /* 396767 */   GIR_Done,
     /* 396768 */ // Label 7894: @396768
     /* 396768 */ GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(396791), // Rule ID 5904 //
     /* 396773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396784 */   // (vecreduce_add:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)  =>  (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 396784 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 396789 */   GIR_RootConstrainSelectedInstOperands,
     /* 396790 */   // GIR_Coverage, 5904,
     /* 396790 */   GIR_Done,
     /* 396791 */ // Label 7895: @396791
     /* 396791 */ GIM_Reject,
     /* 396792 */ // Label 7881: @396792
     /* 396792 */ GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(396842), // Rule ID 5852 //
     /* 396797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396804 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396808 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396812 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396815 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 396820 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 396824 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396829 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396831 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 396831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 396834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396836 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396840 */   GIR_RootConstrainSelectedInstOperands,
     /* 396841 */   // GIR_Coverage, 5852,
     /* 396841 */   GIR_EraseRootFromParent_Done,
     /* 396842 */ // Label 7896: @396842
     /* 396842 */ GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(396892), // Rule ID 5854 //
     /* 396847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 396850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396854 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396858 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396862 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396865 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 396870 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 396874 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396879 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396881 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v2i32] } 725:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (UADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 396881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i16v),
     /* 396884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396886 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396890 */   GIR_RootConstrainSelectedInstOperands,
     /* 396891 */   // GIR_Coverage, 5854,
     /* 396891 */   GIR_EraseRootFromParent_Done,
     /* 396892 */ // Label 7897: @396892
     /* 396892 */ GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(396942), // Rule ID 5862 //
     /* 396897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396904 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396908 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396912 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396915 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 396920 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 396924 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396929 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396931 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 660:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 396931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i16v),
     /* 396934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396936 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396940 */   GIR_RootConstrainSelectedInstOperands,
     /* 396941 */   // GIR_Coverage, 5862,
     /* 396941 */   GIR_EraseRootFromParent_Done,
     /* 396942 */ // Label 7898: @396942
     /* 396942 */ GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(396992), // Rule ID 5864 //
     /* 396947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 396950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396954 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396958 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396962 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396965 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 396970 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 396974 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396979 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396981 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v2i32] } 660:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 396981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i16v),
     /* 396984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396986 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396990 */   GIR_RootConstrainSelectedInstOperands,
     /* 396991 */   // GIR_Coverage, 5864,
     /* 396991 */   GIR_EraseRootFromParent_Done,
     /* 396992 */ // Label 7899: @396992
     /* 396992 */ GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(397034), // Rule ID 5861 //
     /* 396997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397004 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397008 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 397012 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397016 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397021 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397023 */   // (vecreduce_add:{ *:[i32] } (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (SADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 397023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i16v),
     /* 397026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397028 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 397032 */   GIR_RootConstrainSelectedInstOperands,
     /* 397033 */   // GIR_Coverage, 5861,
     /* 397033 */   GIR_EraseRootFromParent_Done,
     /* 397034 */ // Label 7900: @397034
     /* 397034 */ GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(397076), // Rule ID 5863 //
     /* 397039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 397042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397046 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397050 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 397054 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 397058 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397063 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397065 */   // (vecreduce_add:{ *:[i32] } (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (SADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 397065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i16v),
     /* 397068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397070 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 397074 */   GIR_RootConstrainSelectedInstOperands,
     /* 397075 */   // GIR_Coverage, 5863,
     /* 397075 */   GIR_EraseRootFromParent_Done,
     /* 397076 */ // Label 7901: @397076
     /* 397076 */ GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(397118), // Rule ID 5851 //
     /* 397081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397088 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397092 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 397096 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397100 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397105 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397107 */   // (vecreduce_add:{ *:[i32] } (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 397107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 397110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397112 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 397116 */   GIR_RootConstrainSelectedInstOperands,
     /* 397117 */   // GIR_Coverage, 5851,
     /* 397117 */   GIR_EraseRootFromParent_Done,
     /* 397118 */ // Label 7902: @397118
     /* 397118 */ GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(397160), // Rule ID 5853 //
     /* 397123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 397126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397130 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397134 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 397138 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 397142 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397147 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397149 */   // (vecreduce_add:{ *:[i32] } (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (UADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 397149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i16v),
     /* 397152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397154 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 397158 */   GIR_RootConstrainSelectedInstOperands,
     /* 397159 */   // GIR_Coverage, 5853,
     /* 397159 */   GIR_EraseRootFromParent_Done,
     /* 397160 */ // Label 7903: @397160
     /* 397160 */ GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(397221), // Rule ID 5905 //
     /* 397165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 397168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397176 */   // (vecreduce_add:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (ADDPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 397176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 397179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 397183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 397188 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397192 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397196 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 397198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 397201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 397203 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 397210 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397215 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397220 */   // GIR_Coverage, 5905,
     /* 397220 */   GIR_EraseRootFromParent_Done,
     /* 397221 */ // Label 7904: @397221
     /* 397221 */ GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(397244), // Rule ID 5906 //
     /* 397226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397237 */   // (vecreduce_add:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (ADDVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 397237 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i32v),
     /* 397242 */   GIR_RootConstrainSelectedInstOperands,
     /* 397243 */   // GIR_Coverage, 5906,
     /* 397243 */   GIR_Done,
     /* 397244 */ // Label 7905: @397244
     /* 397244 */ GIM_Reject,
     /* 397245 */ // Label 7882: @397245
     /* 397245 */ GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(397430),
     /* 397250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 397253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397257 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(397300), // Rule ID 5856 //
     /* 397262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 397270 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 397273 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 397278 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 397282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397289 */     // (vecreduce_add:{ *:[i64] } (intrinsic_wo_chain:{ *:[v2i64] } 725:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (UADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 397289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i32v),
     /* 397292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 397298 */     GIR_RootConstrainSelectedInstOperands,
     /* 397299 */     // GIR_Coverage, 5856,
     /* 397299 */     GIR_EraseRootFromParent_Done,
     /* 397300 */   // Label 7907: @397300
     /* 397300 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(397343), // Rule ID 5866 //
     /* 397305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 397313 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 397316 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 397321 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 397325 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397332 */     // (vecreduce_add:{ *:[i64] } (intrinsic_wo_chain:{ *:[v2i64] } 660:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (SADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 397332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i32v),
     /* 397335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 397341 */     GIR_RootConstrainSelectedInstOperands,
     /* 397342 */     // GIR_Coverage, 5866,
     /* 397342 */     GIR_EraseRootFromParent_Done,
     /* 397343 */   // Label 7908: @397343
     /* 397343 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(397378), // Rule ID 5865 //
     /* 397348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 397356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397367 */     // (vecreduce_add:{ *:[i64] } (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (SADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 397367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i32v),
     /* 397370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 397376 */     GIR_RootConstrainSelectedInstOperands,
     /* 397377 */     // GIR_Coverage, 5865,
     /* 397377 */     GIR_EraseRootFromParent_Done,
     /* 397378 */   // Label 7909: @397378
     /* 397378 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(397413), // Rule ID 5855 //
     /* 397383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 397391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397402 */     // (vecreduce_add:{ *:[i64] } (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (UADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 397402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i32v),
     /* 397405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 397411 */     GIR_RootConstrainSelectedInstOperands,
     /* 397412 */     // GIR_Coverage, 5855,
     /* 397412 */     GIR_EraseRootFromParent_Done,
     /* 397413 */   // Label 7910: @397413
     /* 397413 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(397429), // Rule ID 5907 //
     /* 397418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397422 */     // (vecreduce_add:{ *:[i64] } V128:{ *:[v2i64] }:$Rn)  =>  (ADDPv2i64p:{ *:[i64] } V128:{ *:[v2i64] }:$Rn)
     /* 397422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /* 397427 */     GIR_RootConstrainSelectedInstOperands,
     /* 397428 */     // GIR_Coverage, 5907,
     /* 397428 */     GIR_Done,
     /* 397429 */   // Label 7911: @397429
     /* 397429 */   GIM_Reject,
     /* 397430 */ // Label 7906: @397430
     /* 397430 */ GIM_Reject,
     /* 397431 */ // Label 7883: @397431
     /* 397431 */ GIM_Reject,
     /* 397432 */ // Label 116: @397432
     /* 397432 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7915*/ GIMT_Encode4(397634),
     /* 397443 */ /*GILLT_s8*//*Label 7912*/ GIMT_Encode4(397455),
     /* 397447 */ /*GILLT_s16*//*Label 7913*/ GIMT_Encode4(397502),
     /* 397451 */ /*GILLT_s32*//*Label 7914*/ GIMT_Encode4(397549),
     /* 397455 */ // Label 7912: @397455
     /* 397455 */ GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(397478), // Rule ID 5998 //
     /* 397460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 397463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397471 */   // (vecreduce_smax:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (SMAXVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 397471 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i8v),
     /* 397476 */   GIR_RootConstrainSelectedInstOperands,
     /* 397477 */   // GIR_Coverage, 5998,
     /* 397477 */   GIR_Done,
     /* 397478 */ // Label 7916: @397478
     /* 397478 */ GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(397501), // Rule ID 5999 //
     /* 397483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 397486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397494 */   // (vecreduce_smax:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (SMAXVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 397494 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv16i8v),
     /* 397499 */   GIR_RootConstrainSelectedInstOperands,
     /* 397500 */   // GIR_Coverage, 5999,
     /* 397500 */   GIR_Done,
     /* 397501 */ // Label 7917: @397501
     /* 397501 */ GIM_Reject,
     /* 397502 */ // Label 7913: @397502
     /* 397502 */ GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(397525), // Rule ID 6000 //
     /* 397507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 397510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397518 */   // (vecreduce_smax:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (SMAXVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 397518 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i16v),
     /* 397523 */   GIR_RootConstrainSelectedInstOperands,
     /* 397524 */   // GIR_Coverage, 6000,
     /* 397524 */   GIR_Done,
     /* 397525 */ // Label 7918: @397525
     /* 397525 */ GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(397548), // Rule ID 6001 //
     /* 397530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397541 */   // (vecreduce_smax:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (SMAXVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 397541 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i16v),
     /* 397546 */   GIR_RootConstrainSelectedInstOperands,
     /* 397547 */   // GIR_Coverage, 6001,
     /* 397547 */   GIR_Done,
     /* 397548 */ // Label 7919: @397548
     /* 397548 */ GIM_Reject,
     /* 397549 */ // Label 7914: @397549
     /* 397549 */ GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(397572), // Rule ID 6002 //
     /* 397554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397565 */   // (vecreduce_smax:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (SMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 397565 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i32v),
     /* 397570 */   GIR_RootConstrainSelectedInstOperands,
     /* 397571 */   // GIR_Coverage, 6002,
     /* 397571 */   GIR_Done,
     /* 397572 */ // Label 7920: @397572
     /* 397572 */ GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(397633), // Rule ID 6003 //
     /* 397577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 397580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397588 */   // (vecreduce_smax:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (SMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 397588 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 397591 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv2i32),
     /* 397595 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 397600 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397604 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397608 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 397610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 397613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 397615 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 397622 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397627 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397632 */   // GIR_Coverage, 6003,
     /* 397632 */   GIR_EraseRootFromParent_Done,
     /* 397633 */ // Label 7921: @397633
     /* 397633 */ GIM_Reject,
     /* 397634 */ // Label 7915: @397634
     /* 397634 */ GIM_Reject,
     /* 397635 */ // Label 117: @397635
     /* 397635 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7925*/ GIMT_Encode4(397837),
     /* 397646 */ /*GILLT_s8*//*Label 7922*/ GIMT_Encode4(397658),
     /* 397650 */ /*GILLT_s16*//*Label 7923*/ GIMT_Encode4(397705),
     /* 397654 */ /*GILLT_s32*//*Label 7924*/ GIMT_Encode4(397752),
     /* 397658 */ // Label 7922: @397658
     /* 397658 */ GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(397681), // Rule ID 5992 //
     /* 397663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 397666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397674 */   // (vecreduce_smin:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (SMINVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 397674 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i8v),
     /* 397679 */   GIR_RootConstrainSelectedInstOperands,
     /* 397680 */   // GIR_Coverage, 5992,
     /* 397680 */   GIR_Done,
     /* 397681 */ // Label 7926: @397681
     /* 397681 */ GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(397704), // Rule ID 5993 //
     /* 397686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 397689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397697 */   // (vecreduce_smin:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (SMINVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 397697 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv16i8v),
     /* 397702 */   GIR_RootConstrainSelectedInstOperands,
     /* 397703 */   // GIR_Coverage, 5993,
     /* 397703 */   GIR_Done,
     /* 397704 */ // Label 7927: @397704
     /* 397704 */ GIM_Reject,
     /* 397705 */ // Label 7923: @397705
     /* 397705 */ GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(397728), // Rule ID 5994 //
     /* 397710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 397713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397721 */   // (vecreduce_smin:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (SMINVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 397721 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i16v),
     /* 397726 */   GIR_RootConstrainSelectedInstOperands,
     /* 397727 */   // GIR_Coverage, 5994,
     /* 397727 */   GIR_Done,
     /* 397728 */ // Label 7928: @397728
     /* 397728 */ GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(397751), // Rule ID 5995 //
     /* 397733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397744 */   // (vecreduce_smin:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (SMINVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 397744 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i16v),
     /* 397749 */   GIR_RootConstrainSelectedInstOperands,
     /* 397750 */   // GIR_Coverage, 5995,
     /* 397750 */   GIR_Done,
     /* 397751 */ // Label 7929: @397751
     /* 397751 */ GIM_Reject,
     /* 397752 */ // Label 7924: @397752
     /* 397752 */ GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(397775), // Rule ID 5996 //
     /* 397757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397768 */   // (vecreduce_smin:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (SMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 397768 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i32v),
     /* 397773 */   GIR_RootConstrainSelectedInstOperands,
     /* 397774 */   // GIR_Coverage, 5996,
     /* 397774 */   GIR_Done,
     /* 397775 */ // Label 7930: @397775
     /* 397775 */ GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(397836), // Rule ID 5997 //
     /* 397780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 397783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397791 */   // (vecreduce_smin:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (SMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 397791 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 397794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMINPv2i32),
     /* 397798 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 397803 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397807 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397811 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 397813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 397816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 397818 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 397825 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397830 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397835 */   // GIR_Coverage, 5997,
     /* 397835 */   GIR_EraseRootFromParent_Done,
     /* 397836 */ // Label 7931: @397836
     /* 397836 */ GIM_Reject,
     /* 397837 */ // Label 7925: @397837
     /* 397837 */ GIM_Reject,
     /* 397838 */ // Label 118: @397838
     /* 397838 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7935*/ GIMT_Encode4(398040),
     /* 397849 */ /*GILLT_s8*//*Label 7932*/ GIMT_Encode4(397861),
     /* 397853 */ /*GILLT_s16*//*Label 7933*/ GIMT_Encode4(397908),
     /* 397857 */ /*GILLT_s32*//*Label 7934*/ GIMT_Encode4(397955),
     /* 397861 */ // Label 7932: @397861
     /* 397861 */ GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(397884), // Rule ID 5986 //
     /* 397866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 397869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397877 */   // (vecreduce_umax:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (UMAXVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 397877 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i8v),
     /* 397882 */   GIR_RootConstrainSelectedInstOperands,
     /* 397883 */   // GIR_Coverage, 5986,
     /* 397883 */   GIR_Done,
     /* 397884 */ // Label 7936: @397884
     /* 397884 */ GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(397907), // Rule ID 5987 //
     /* 397889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 397892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397900 */   // (vecreduce_umax:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (UMAXVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 397900 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv16i8v),
     /* 397905 */   GIR_RootConstrainSelectedInstOperands,
     /* 397906 */   // GIR_Coverage, 5987,
     /* 397906 */   GIR_Done,
     /* 397907 */ // Label 7937: @397907
     /* 397907 */ GIM_Reject,
     /* 397908 */ // Label 7933: @397908
     /* 397908 */ GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(397931), // Rule ID 5988 //
     /* 397913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 397916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397924 */   // (vecreduce_umax:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (UMAXVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 397924 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i16v),
     /* 397929 */   GIR_RootConstrainSelectedInstOperands,
     /* 397930 */   // GIR_Coverage, 5988,
     /* 397930 */   GIR_Done,
     /* 397931 */ // Label 7938: @397931
     /* 397931 */ GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(397954), // Rule ID 5989 //
     /* 397936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397947 */   // (vecreduce_umax:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (UMAXVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 397947 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i16v),
     /* 397952 */   GIR_RootConstrainSelectedInstOperands,
     /* 397953 */   // GIR_Coverage, 5989,
     /* 397953 */   GIR_Done,
     /* 397954 */ // Label 7939: @397954
     /* 397954 */ GIM_Reject,
     /* 397955 */ // Label 7934: @397955
     /* 397955 */ GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(397978), // Rule ID 5990 //
     /* 397960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397971 */   // (vecreduce_umax:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (UMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 397971 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i32v),
     /* 397976 */   GIR_RootConstrainSelectedInstOperands,
     /* 397977 */   // GIR_Coverage, 5990,
     /* 397977 */   GIR_Done,
     /* 397978 */ // Label 7940: @397978
     /* 397978 */ GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(398039), // Rule ID 5991 //
     /* 397983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 397986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397994 */   // (vecreduce_umax:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (UMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 397994 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 397997 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv2i32),
     /* 398001 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 398006 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 398010 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 398014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 398016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 398019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 398021 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 398028 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 398033 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398038 */   // GIR_Coverage, 5991,
     /* 398038 */   GIR_EraseRootFromParent_Done,
     /* 398039 */ // Label 7941: @398039
     /* 398039 */ GIM_Reject,
     /* 398040 */ // Label 7935: @398040
     /* 398040 */ GIM_Reject,
     /* 398041 */ // Label 119: @398041
     /* 398041 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7945*/ GIMT_Encode4(398243),
     /* 398052 */ /*GILLT_s8*//*Label 7942*/ GIMT_Encode4(398064),
     /* 398056 */ /*GILLT_s16*//*Label 7943*/ GIMT_Encode4(398111),
     /* 398060 */ /*GILLT_s32*//*Label 7944*/ GIMT_Encode4(398158),
     /* 398064 */ // Label 7942: @398064
     /* 398064 */ GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(398087), // Rule ID 5980 //
     /* 398069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 398072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 398076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398080 */   // (vecreduce_umin:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (UMINVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 398080 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i8v),
     /* 398085 */   GIR_RootConstrainSelectedInstOperands,
     /* 398086 */   // GIR_Coverage, 5980,
     /* 398086 */   GIR_Done,
     /* 398087 */ // Label 7946: @398087
     /* 398087 */ GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(398110), // Rule ID 5981 //
     /* 398092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 398095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 398099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398103 */   // (vecreduce_umin:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (UMINVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 398103 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv16i8v),
     /* 398108 */   GIR_RootConstrainSelectedInstOperands,
     /* 398109 */   // GIR_Coverage, 5981,
     /* 398109 */   GIR_Done,
     /* 398110 */ // Label 7947: @398110
     /* 398110 */ GIM_Reject,
     /* 398111 */ // Label 7943: @398111
     /* 398111 */ GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(398134), // Rule ID 5982 //
     /* 398116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 398119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 398123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398127 */   // (vecreduce_umin:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (UMINVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 398127 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i16v),
     /* 398132 */   GIR_RootConstrainSelectedInstOperands,
     /* 398133 */   // GIR_Coverage, 5982,
     /* 398133 */   GIR_Done,
     /* 398134 */ // Label 7948: @398134
     /* 398134 */ GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(398157), // Rule ID 5983 //
     /* 398139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 398142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 398146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398150 */   // (vecreduce_umin:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (UMINVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 398150 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i16v),
     /* 398155 */   GIR_RootConstrainSelectedInstOperands,
     /* 398156 */   // GIR_Coverage, 5983,
     /* 398156 */   GIR_Done,
     /* 398157 */ // Label 7949: @398157
     /* 398157 */ GIM_Reject,
     /* 398158 */ // Label 7944: @398158
     /* 398158 */ GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(398181), // Rule ID 5984 //
     /* 398163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 398166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 398170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398174 */   // (vecreduce_umin:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (UMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 398174 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i32v),
     /* 398179 */   GIR_RootConstrainSelectedInstOperands,
     /* 398180 */   // GIR_Coverage, 5984,
     /* 398180 */   GIR_Done,
     /* 398181 */ // Label 7950: @398181
     /* 398181 */ GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(398242), // Rule ID 5985 //
     /* 398186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 398189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 398193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398197 */   // (vecreduce_umin:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (UMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 398197 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 398200 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMINPv2i32),
     /* 398204 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 398209 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 398213 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 398217 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 398219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 398222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 398224 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 398231 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 398236 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398241 */   // GIR_Coverage, 5985,
     /* 398241 */   GIR_EraseRootFromParent_Done,
     /* 398242 */ // Label 7951: @398242
     /* 398242 */ GIM_Reject,
     /* 398243 */ // Label 7945: @398243
     /* 398243 */ GIM_Reject,
     /* 398244 */ // Label 120: @398244
     /* 398244 */ GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(398383),
     /* 398249 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 398252 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 398256 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(398290), // Rule ID 257 //
     /* 398261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 398268 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))  =>  (PRFMroW (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 398268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFMroW),
     /* 398271 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 398273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 398278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 398283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 398288 */     GIR_RootConstrainSelectedInstOperands,
     /* 398289 */     // GIR_Coverage, 257,
     /* 398289 */     GIR_EraseRootFromParent_Done,
     /* 398290 */   // Label 7953: @398290
     /* 398290 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(398324), // Rule ID 258 //
     /* 398295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 398302 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))  =>  (PRFMroX (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 398302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFMroX),
     /* 398305 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 398307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 398312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 398317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 398322 */     GIR_RootConstrainSelectedInstOperands,
     /* 398323 */     // GIR_Coverage, 258,
     /* 398323 */     GIR_EraseRootFromParent_Done,
     /* 398324 */   // Label 7954: @398324
     /* 398324 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(398353), // Rule ID 273 //
     /* 398329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 398336 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))  =>  (PRFMui (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 398336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFMui),
     /* 398339 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 398341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 398346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 398351 */     GIR_RootConstrainSelectedInstOperands,
     /* 398352 */     // GIR_Coverage, 273,
     /* 398352 */     GIR_EraseRootFromParent_Done,
     /* 398353 */   // Label 7955: @398353
     /* 398353 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(398382), // Rule ID 294 //
     /* 398358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 398365 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))  =>  (PRFUMi (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 398365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFUMi),
     /* 398368 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 398370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 398375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 398380 */     GIR_RootConstrainSelectedInstOperands,
     /* 398381 */     // GIR_Coverage, 294,
     /* 398381 */     GIR_EraseRootFromParent_Done,
     /* 398382 */   // Label 7956: @398382
     /* 398382 */   GIM_Reject,
     /* 398383 */ // Label 7952: @398383
     /* 398383 */ GIM_Reject,
     /* 398384 */ // Label 121: @398384
     /* 398384 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(24), /*)*//*default:*//*Label 7969*/ GIMT_Encode4(398923),
     /* 398395 */ /*GILLT_s64*//*Label 7957*/ GIMT_Encode4(398479), GIMT_Encode4(0),
     /* 398403 */ /*GILLT_v2s32*//*Label 7958*/ GIMT_Encode4(398517),
     /* 398407 */ /*GILLT_v2s64*//*Label 7959*/ GIMT_Encode4(398555),
     /* 398411 */ /*GILLT_v4s16*//*Label 7960*/ GIMT_Encode4(398593),
     /* 398415 */ /*GILLT_v4s32*//*Label 7961*/ GIMT_Encode4(398631),
     /* 398419 */ /*GILLT_v8s8*//*Label 7962*/ GIMT_Encode4(398669),
     /* 398423 */ /*GILLT_v8s16*//*Label 7963*/ GIMT_Encode4(398707),
     /* 398427 */ /*GILLT_v16s8*//*Label 7964*/ GIMT_Encode4(398745), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 398447 */ /*GILLT_nxv2s64*//*Label 7965*/ GIMT_Encode4(398783), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 398459 */ /*GILLT_nxv4s32*//*Label 7966*/ GIMT_Encode4(398818), GIMT_Encode4(0),
     /* 398467 */ /*GILLT_nxv8s16*//*Label 7967*/ GIMT_Encode4(398853), GIMT_Encode4(0),
     /* 398475 */ /*GILLT_nxv16s8*//*Label 7968*/ GIMT_Encode4(398888),
     /* 398479 */ // Label 7957: @398479
     /* 398479 */ GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(398516), // Rule ID 5069 //
     /* 398484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 398487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 398490 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 398493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398505 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398509 */   // (AArch64bsp:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm)  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm)
     /* 398509 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 398514 */   GIR_RootConstrainSelectedInstOperands,
     /* 398515 */   // GIR_Coverage, 5069,
     /* 398515 */   GIR_Done,
     /* 398516 */ // Label 7970: @398516
     /* 398516 */ GIM_Reject,
     /* 398517 */ // Label 7958: @398517
     /* 398517 */ GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(398554), // Rule ID 5068 //
     /* 398522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 398525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 398528 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 398531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398543 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398547 */   // (AArch64bsp:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 398547 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 398552 */   GIR_RootConstrainSelectedInstOperands,
     /* 398553 */   // GIR_Coverage, 5068,
     /* 398553 */   GIR_Done,
     /* 398554 */ // Label 7971: @398554
     /* 398554 */ GIM_Reject,
     /* 398555 */ // Label 7959: @398555
     /* 398555 */ GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(398592), // Rule ID 5073 //
     /* 398560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 398563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 398566 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 398569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398581 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398585 */   // (AArch64bsp:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 398585 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 398590 */   GIR_RootConstrainSelectedInstOperands,
     /* 398591 */   // GIR_Coverage, 5073,
     /* 398591 */   GIR_Done,
     /* 398592 */ // Label 7972: @398592
     /* 398592 */ GIM_Reject,
     /* 398593 */ // Label 7960: @398593
     /* 398593 */ GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(398630), // Rule ID 5067 //
     /* 398598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 398601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 398604 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 398607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398619 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398623 */   // (AArch64bsp:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 398623 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 398628 */   GIR_RootConstrainSelectedInstOperands,
     /* 398629 */   // GIR_Coverage, 5067,
     /* 398629 */   GIR_Done,
     /* 398630 */ // Label 7973: @398630
     /* 398630 */ GIM_Reject,
     /* 398631 */ // Label 7961: @398631
     /* 398631 */ GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(398668), // Rule ID 5072 //
     /* 398636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 398639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 398642 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 398645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398661 */   // (AArch64bsp:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 398661 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 398666 */   GIR_RootConstrainSelectedInstOperands,
     /* 398667 */   // GIR_Coverage, 5072,
     /* 398667 */   GIR_Done,
     /* 398668 */ // Label 7974: @398668
     /* 398668 */ GIM_Reject,
     /* 398669 */ // Label 7962: @398669
     /* 398669 */ GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(398706), // Rule ID 5066 //
     /* 398674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 398677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 398680 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 398683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398695 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398699 */   // (AArch64bsp:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 398699 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 398704 */   GIR_RootConstrainSelectedInstOperands,
     /* 398705 */   // GIR_Coverage, 5066,
     /* 398705 */   GIR_Done,
     /* 398706 */ // Label 7975: @398706
     /* 398706 */ GIM_Reject,
     /* 398707 */ // Label 7963: @398707
     /* 398707 */ GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(398744), // Rule ID 5071 //
     /* 398712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 398715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 398718 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 398721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398733 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398737 */   // (AArch64bsp:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 398737 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 398742 */   GIR_RootConstrainSelectedInstOperands,
     /* 398743 */   // GIR_Coverage, 5071,
     /* 398743 */   GIR_Done,
     /* 398744 */ // Label 7976: @398744
     /* 398744 */ GIM_Reject,
     /* 398745 */ // Label 7964: @398745
     /* 398745 */ GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(398782), // Rule ID 5070 //
     /* 398750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 398753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 398756 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 398759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398771 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398775 */   // (AArch64bsp:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 398775 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 398780 */   GIR_RootConstrainSelectedInstOperands,
     /* 398781 */   // GIR_Coverage, 5070,
     /* 398781 */   GIR_Done,
     /* 398782 */ // Label 7977: @398782
     /* 398782 */ GIM_Reject,
     /* 398783 */ // Label 7965: @398783
     /* 398783 */ GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(398817), // Rule ID 11872 //
     /* 398788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 398791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 398794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 398797 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 398800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398804 */   // (AArch64bsp:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 398804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 398807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 398809 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 398811 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 398813 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 398815 */   GIR_RootConstrainSelectedInstOperands,
     /* 398816 */   // GIR_Coverage, 11872,
     /* 398816 */   GIR_EraseRootFromParent_Done,
     /* 398817 */ // Label 7978: @398817
     /* 398817 */ GIM_Reject,
     /* 398818 */ // Label 7966: @398818
     /* 398818 */ GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(398852), // Rule ID 11870 //
     /* 398823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 398826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 398829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 398832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 398835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398839 */   // (AArch64bsp:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 398839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 398842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 398844 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 398846 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 398848 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 398850 */   GIR_RootConstrainSelectedInstOperands,
     /* 398851 */   // GIR_Coverage, 11870,
     /* 398851 */   GIR_EraseRootFromParent_Done,
     /* 398852 */ // Label 7979: @398852
     /* 398852 */ GIM_Reject,
     /* 398853 */ // Label 7967: @398853
     /* 398853 */ GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(398887), // Rule ID 11868 //
     /* 398858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 398861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 398864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 398867 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 398870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398874 */   // (AArch64bsp:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 398874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 398877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 398879 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 398881 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 398883 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 398885 */   GIR_RootConstrainSelectedInstOperands,
     /* 398886 */   // GIR_Coverage, 11868,
     /* 398886 */   GIR_EraseRootFromParent_Done,
     /* 398887 */ // Label 7980: @398887
     /* 398887 */ GIM_Reject,
     /* 398888 */ // Label 7968: @398888
     /* 398888 */ GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(398922), // Rule ID 11866 //
     /* 398893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 398896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 398899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 398902 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 398905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398909 */   // (AArch64bsp:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 398909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 398912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 398914 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 398916 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 398918 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 398920 */   GIR_RootConstrainSelectedInstOperands,
     /* 398921 */   // GIR_Coverage, 11866,
     /* 398921 */   GIR_EraseRootFromParent_Done,
     /* 398922 */ // Label 7981: @398922
     /* 398922 */ GIM_Reject,
     /* 398923 */ // Label 7969: @398923
     /* 398923 */ GIM_Reject,
     /* 398924 */ // Label 122: @398924
     /* 398924 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 7990*/ GIMT_Encode4(400746),
     /* 398935 */ /*GILLT_s64*//*Label 7982*/ GIMT_Encode4(398971), GIMT_Encode4(0),
     /* 398943 */ /*GILLT_v2s32*//*Label 7983*/ GIMT_Encode4(399166),
     /* 398947 */ /*GILLT_v2s64*//*Label 7984*/ GIMT_Encode4(399413),
     /* 398951 */ /*GILLT_v4s16*//*Label 7985*/ GIMT_Encode4(399660),
     /* 398955 */ /*GILLT_v4s32*//*Label 7986*/ GIMT_Encode4(399936),
     /* 398959 */ /*GILLT_v8s8*//*Label 7987*/ GIMT_Encode4(400183),
     /* 398963 */ /*GILLT_v8s16*//*Label 7988*/ GIMT_Encode4(400328),
     /* 398967 */ /*GILLT_v16s8*//*Label 7989*/ GIMT_Encode4(400604),
     /* 398971 */ // Label 7982: @398971
     /* 398971 */ GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(399165),
     /* 398976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 398979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398983 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(399030), // Rule ID 6425 //
     /* 398988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 398996 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 398999 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399003 */     // MIs[1] Rn
     /* 399003 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399014 */     // (AArch64dup:{ *:[v1i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv1d:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv1d),
     /* 399017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399028 */     GIR_RootConstrainSelectedInstOperands,
     /* 399029 */     // GIR_Coverage, 6425,
     /* 399029 */     GIR_EraseRootFromParent_Done,
     /* 399030 */   // Label 7992: @399030
     /* 399030 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(399077), // Rule ID 6436 //
     /* 399035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399043 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399046 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399050 */     // MIs[1] Rn
     /* 399050 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399061 */     // (AArch64dup:{ *:[v1f64] } (ld:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv1d:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv1d),
     /* 399064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399070 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399075 */     GIR_RootConstrainSelectedInstOperands,
     /* 399076 */     // GIR_Coverage, 6436,
     /* 399076 */     GIR_EraseRootFromParent_Done,
     /* 399077 */   // Label 7993: @399077
     /* 399077 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(399124), // Rule ID 13196 //
     /* 399082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399090 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399093 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399097 */     // MIs[1] Rn
     /* 399097 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399108 */     // (AArch64dup:{ *:[v1i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv1d:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv1d),
     /* 399111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399122 */     GIR_RootConstrainSelectedInstOperands,
     /* 399123 */     // GIR_Coverage, 13196,
     /* 399123 */     GIR_EraseRootFromParent_Done,
     /* 399124 */   // Label 7994: @399124
     /* 399124 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(399144), // Rule ID 5632 //
     /* 399129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 399133 */     // (AArch64dup:{ *:[v1i64] } GPR64:{ *:[i64] }:$Rn)  =>  (COPY_TO_REGCLASS:{ *:[v1i64] } GPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i32] })
     /* 399133 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 399138 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399143 */     // GIR_Coverage, 5632,
     /* 399143 */     GIR_Done,
     /* 399144 */   // Label 7995: @399144
     /* 399144 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(399164), // Rule ID 5633 //
     /* 399149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399153 */     // (AArch64dup:{ *:[v1f64] } FPR64:{ *:[f64] }:$Rn)  =>  (COPY_TO_REGCLASS:{ *:[v1f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[i32] })
     /* 399153 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 399158 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399163 */     // GIR_Coverage, 5633,
     /* 399163 */     GIR_Done,
     /* 399164 */   // Label 7996: @399164
     /* 399164 */   GIM_Reject,
     /* 399165 */ // Label 7991: @399165
     /* 399165 */ GIM_Reject,
     /* 399166 */ // Label 7983: @399166
     /* 399166 */ GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(399412),
     /* 399171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 399174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399178 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(399225), // Rule ID 6422 //
     /* 399183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399191 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399194 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399198 */     // MIs[1] Rn
     /* 399198 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399209 */     // (AArch64dup:{ *:[v2i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2s:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2s),
     /* 399212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399218 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399223 */     GIR_RootConstrainSelectedInstOperands,
     /* 399224 */     // GIR_Coverage, 6422,
     /* 399224 */     GIR_EraseRootFromParent_Done,
     /* 399225 */   // Label 7998: @399225
     /* 399225 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(399272), // Rule ID 6433 //
     /* 399230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399238 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399241 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399245 */     // MIs[1] Rn
     /* 399245 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399256 */     // (AArch64dup:{ *:[v2f32] } (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2s:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2s),
     /* 399259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399265 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399270 */     GIR_RootConstrainSelectedInstOperands,
     /* 399271 */     // GIR_Coverage, 6433,
     /* 399271 */     GIR_EraseRootFromParent_Done,
     /* 399272 */   // Label 7999: @399272
     /* 399272 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(399319), // Rule ID 13193 //
     /* 399277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399285 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399288 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399292 */     // MIs[1] Rn
     /* 399292 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399303 */     // (AArch64dup:{ *:[v2i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2s:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2s),
     /* 399306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399317 */     GIR_RootConstrainSelectedInstOperands,
     /* 399318 */     // GIR_Coverage, 13193,
     /* 399318 */     GIR_EraseRootFromParent_Done,
     /* 399319 */   // Label 8000: @399319
     /* 399319 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(399338), // Rule ID 1916 //
     /* 399324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 399331 */     // (AArch64dup:{ *:[v2i32] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv2i32gpr:{ *:[v2i32] } GPR32:{ *:[i32] }:$Rn)
     /* 399331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32gpr),
     /* 399336 */     GIR_RootConstrainSelectedInstOperands,
     /* 399337 */     // GIR_Coverage, 1916,
     /* 399337 */     GIR_Done,
     /* 399338 */   // Label 8001: @399338
     /* 399338 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(399411), // Rule ID 5634 //
     /* 399343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 399347 */     // (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rn)  =>  (DUPv2i32lane:{ *:[v2f32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 399347 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 399350 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 399354 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 399361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 399364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 399368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399373 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 399376 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 399380 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 399383 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399388 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399393 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 399398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32lane),
     /* 399401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 399406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399409 */     GIR_RootConstrainSelectedInstOperands,
     /* 399410 */     // GIR_Coverage, 5634,
     /* 399410 */     GIR_EraseRootFromParent_Done,
     /* 399411 */   // Label 8002: @399411
     /* 399411 */   GIM_Reject,
     /* 399412 */ // Label 7997: @399412
     /* 399412 */ GIM_Reject,
     /* 399413 */ // Label 7984: @399413
     /* 399413 */ GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(399659),
     /* 399418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 399421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399425 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(399472), // Rule ID 6424 //
     /* 399430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399438 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399441 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399445 */     // MIs[1] Rn
     /* 399445 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399456 */     // (AArch64dup:{ *:[v2i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 399459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399470 */     GIR_RootConstrainSelectedInstOperands,
     /* 399471 */     // GIR_Coverage, 6424,
     /* 399471 */     GIR_EraseRootFromParent_Done,
     /* 399472 */   // Label 8004: @399472
     /* 399472 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(399519), // Rule ID 6435 //
     /* 399477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399485 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399488 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399492 */     // MIs[1] Rn
     /* 399492 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399503 */     // (AArch64dup:{ *:[v2f64] } (ld:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2d:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 399506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399512 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399517 */     GIR_RootConstrainSelectedInstOperands,
     /* 399518 */     // GIR_Coverage, 6435,
     /* 399518 */     GIR_EraseRootFromParent_Done,
     /* 399519 */   // Label 8005: @399519
     /* 399519 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(399566), // Rule ID 13195 //
     /* 399524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399532 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399535 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399539 */     // MIs[1] Rn
     /* 399539 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399550 */     // (AArch64dup:{ *:[v2i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 399553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399564 */     GIR_RootConstrainSelectedInstOperands,
     /* 399565 */     // GIR_Coverage, 13195,
     /* 399565 */     GIR_EraseRootFromParent_Done,
     /* 399566 */   // Label 8006: @399566
     /* 399566 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(399585), // Rule ID 1918 //
     /* 399571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 399578 */     // (AArch64dup:{ *:[v2i64] } GPR64:{ *:[i64] }:$Rn)  =>  (DUPv2i64gpr:{ *:[v2i64] } GPR64:{ *:[i64] }:$Rn)
     /* 399578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64gpr),
     /* 399583 */     GIR_RootConstrainSelectedInstOperands,
     /* 399584 */     // GIR_Coverage, 1918,
     /* 399584 */     GIR_Done,
     /* 399585 */   // Label 8007: @399585
     /* 399585 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(399658), // Rule ID 5636 //
     /* 399590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399594 */     // (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rn)  =>  (DUPv2i64lane:{ *:[v2f64] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 399594 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 399597 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 399601 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 399608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 399611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 399615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399620 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 399623 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 399627 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 399630 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399635 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399640 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 399648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 399653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399656 */     GIR_RootConstrainSelectedInstOperands,
     /* 399657 */     // GIR_Coverage, 5636,
     /* 399657 */     GIR_EraseRootFromParent_Done,
     /* 399658 */   // Label 8008: @399658
     /* 399658 */   GIM_Reject,
     /* 399659 */ // Label 8003: @399659
     /* 399659 */ GIM_Reject,
     /* 399660 */ // Label 7985: @399660
     /* 399660 */ GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(399721), // Rule ID 6420 //
     /* 399665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 399668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399672 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399676 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399680 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399683 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399687 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 399694 */   // MIs[1] Rn
     /* 399694 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399698 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399703 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399705 */   // (AArch64dup:{ *:[v4i16] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>)  =>  (LD1Rv4h:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4h),
     /* 399708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399710 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399714 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399719 */   GIR_RootConstrainSelectedInstOperands,
     /* 399720 */   // GIR_Coverage, 6420,
     /* 399720 */   GIR_EraseRootFromParent_Done,
     /* 399721 */ // Label 8009: @399721
     /* 399721 */ GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(399775), // Rule ID 6437 //
     /* 399726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 399729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399733 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399737 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399741 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399744 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399748 */   // MIs[1] Rn
     /* 399748 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399752 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399757 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399759 */   // (AArch64dup:{ *:[v4f16] } (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4h:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4h),
     /* 399762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399764 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399768 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399773 */   GIR_RootConstrainSelectedInstOperands,
     /* 399774 */   // GIR_Coverage, 6437,
     /* 399774 */   GIR_EraseRootFromParent_Done,
     /* 399775 */ // Label 8010: @399775
     /* 399775 */ GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(399829), // Rule ID 13191 //
     /* 399780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 399783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399787 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399791 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399795 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399798 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399802 */   // MIs[1] Rn
     /* 399802 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399806 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399811 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399813 */   // (AArch64dup:{ *:[v4i16] } (ld:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4h:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4h),
     /* 399816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399818 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399822 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399827 */   GIR_RootConstrainSelectedInstOperands,
     /* 399828 */   // GIR_Coverage, 13191,
     /* 399828 */   GIR_EraseRootFromParent_Done,
     /* 399829 */ // Label 8011: @399829
     /* 399829 */ GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(399855), // Rule ID 1914 //
     /* 399834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 399840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 399848 */   // (AArch64dup:{ *:[v4i16] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv4i16gpr:{ *:[v4i16] } GPR32:{ *:[i32] }:$Rn)
     /* 399848 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16gpr),
     /* 399853 */   GIR_RootConstrainSelectedInstOperands,
     /* 399854 */   // GIR_Coverage, 1914,
     /* 399854 */   GIR_Done,
     /* 399855 */ // Label 8012: @399855
     /* 399855 */ GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(399935), // Rule ID 5637 //
     /* 399860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 399863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 399871 */   // (AArch64dup:{ *:[v4f16] } FPR16:{ *:[f16] }:$Rn)  =>  (DUPv4i16lane:{ *:[v4f16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 399871 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 399874 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 399878 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399883 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 399885 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 399888 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 399892 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399897 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 399900 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 399904 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 399907 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399912 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399917 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 399922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16lane),
     /* 399925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399927 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 399930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399933 */   GIR_RootConstrainSelectedInstOperands,
     /* 399934 */   // GIR_Coverage, 5637,
     /* 399934 */   GIR_EraseRootFromParent_Done,
     /* 399935 */ // Label 8013: @399935
     /* 399935 */ GIM_Reject,
     /* 399936 */ // Label 7986: @399936
     /* 399936 */ GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(400182),
     /* 399941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 399944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399948 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(399995), // Rule ID 6423 //
     /* 399953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399961 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399964 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399968 */     // MIs[1] Rn
     /* 399968 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399979 */     // (AArch64dup:{ *:[v4i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 399982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399993 */     GIR_RootConstrainSelectedInstOperands,
     /* 399994 */     // GIR_Coverage, 6423,
     /* 399994 */     GIR_EraseRootFromParent_Done,
     /* 399995 */   // Label 8015: @399995
     /* 399995 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(400042), // Rule ID 6434 //
     /* 400000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400008 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400011 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400015 */     // MIs[1] Rn
     /* 400015 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400026 */     // (AArch64dup:{ *:[v4f32] } (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4s:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 400029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400040 */     GIR_RootConstrainSelectedInstOperands,
     /* 400041 */     // GIR_Coverage, 6434,
     /* 400041 */     GIR_EraseRootFromParent_Done,
     /* 400042 */   // Label 8016: @400042
     /* 400042 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(400089), // Rule ID 13194 //
     /* 400047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400055 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400058 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400062 */     // MIs[1] Rn
     /* 400062 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400073 */     // (AArch64dup:{ *:[v4i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 400076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400087 */     GIR_RootConstrainSelectedInstOperands,
     /* 400088 */     // GIR_Coverage, 13194,
     /* 400088 */     GIR_EraseRootFromParent_Done,
     /* 400089 */   // Label 8017: @400089
     /* 400089 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(400108), // Rule ID 1917 //
     /* 400094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 400101 */     // (AArch64dup:{ *:[v4i32] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv4i32gpr:{ *:[v4i32] } GPR32:{ *:[i32] }:$Rn)
     /* 400101 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32gpr),
     /* 400106 */     GIR_RootConstrainSelectedInstOperands,
     /* 400107 */     // GIR_Coverage, 1917,
     /* 400107 */     GIR_Done,
     /* 400108 */   // Label 8018: @400108
     /* 400108 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(400181), // Rule ID 5635 //
     /* 400113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 400117 */     // (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rn)  =>  (DUPv4i32lane:{ *:[v4f32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 400117 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 400120 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 400124 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 400129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 400131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 400134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 400138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 400143 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 400146 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 400150 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 400153 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400158 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400163 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 400168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32lane),
     /* 400171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 400176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400179 */     GIR_RootConstrainSelectedInstOperands,
     /* 400180 */     // GIR_Coverage, 5635,
     /* 400180 */     GIR_EraseRootFromParent_Done,
     /* 400181 */   // Label 8019: @400181
     /* 400181 */   GIM_Reject,
     /* 400182 */ // Label 8014: @400182
     /* 400182 */ GIM_Reject,
     /* 400183 */ // Label 7987: @400183
     /* 400183 */ GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(400240), // Rule ID 13189 //
     /* 400188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 400191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400195 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400199 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400203 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400206 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400210 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 400214 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400216 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 400223 */   // (AArch64dup:{ *:[v8i8] } (ld:{ *:[i8] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv8b:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8b),
     /* 400226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400228 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 400233 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400238 */   GIR_RootConstrainSelectedInstOperands,
     /* 400239 */   // GIR_Coverage, 13189,
     /* 400239 */   GIR_EraseRootFromParent_Done,
     /* 400240 */ // Label 8020: @400240
     /* 400240 */ GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(400301), // Rule ID 6418 //
     /* 400245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400252 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400256 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400260 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400263 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400267 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 400274 */   // MIs[1] Rn
     /* 400274 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400278 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400283 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400285 */   // (AArch64dup:{ *:[v8i8] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>)  =>  (LD1Rv8b:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8b),
     /* 400288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400290 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400294 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400299 */   GIR_RootConstrainSelectedInstOperands,
     /* 400300 */   // GIR_Coverage, 6418,
     /* 400300 */   GIR_EraseRootFromParent_Done,
     /* 400301 */ // Label 8021: @400301
     /* 400301 */ GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(400327), // Rule ID 1912 //
     /* 400306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 400320 */   // (AArch64dup:{ *:[v8i8] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv8i8gpr:{ *:[v8i8] } GPR32:{ *:[i32] }:$Rn)
     /* 400320 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i8gpr),
     /* 400325 */   GIR_RootConstrainSelectedInstOperands,
     /* 400326 */   // GIR_Coverage, 1912,
     /* 400326 */   GIR_Done,
     /* 400327 */ // Label 8022: @400327
     /* 400327 */ GIM_Reject,
     /* 400328 */ // Label 7988: @400328
     /* 400328 */ GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(400389), // Rule ID 6421 //
     /* 400333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400340 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400344 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400348 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400351 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400355 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 400362 */   // MIs[1] Rn
     /* 400362 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400366 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400371 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400373 */   // (AArch64dup:{ *:[v8i16] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>)  =>  (LD1Rv8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 400376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400378 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400382 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400387 */   GIR_RootConstrainSelectedInstOperands,
     /* 400388 */   // GIR_Coverage, 6421,
     /* 400388 */   GIR_EraseRootFromParent_Done,
     /* 400389 */ // Label 8023: @400389
     /* 400389 */ GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(400443), // Rule ID 6438 //
     /* 400394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 400397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400401 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400405 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400409 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400412 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400416 */   // MIs[1] Rn
     /* 400416 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400420 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400425 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400427 */   // (AArch64dup:{ *:[v8f16] } (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv8h:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 400430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400432 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400436 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400441 */   GIR_RootConstrainSelectedInstOperands,
     /* 400442 */   // GIR_Coverage, 6438,
     /* 400442 */   GIR_EraseRootFromParent_Done,
     /* 400443 */ // Label 8024: @400443
     /* 400443 */ GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(400497), // Rule ID 13192 //
     /* 400448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 400451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400455 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400459 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400463 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400466 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400470 */   // MIs[1] Rn
     /* 400470 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400474 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400479 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400481 */   // (AArch64dup:{ *:[v8i16] } (ld:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 400484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400486 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400490 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400495 */   GIR_RootConstrainSelectedInstOperands,
     /* 400496 */   // GIR_Coverage, 13192,
     /* 400496 */   GIR_EraseRootFromParent_Done,
     /* 400497 */ // Label 8025: @400497
     /* 400497 */ GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(400523), // Rule ID 1915 //
     /* 400502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 400516 */   // (AArch64dup:{ *:[v8i16] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv8i16gpr:{ *:[v8i16] } GPR32:{ *:[i32] }:$Rn)
     /* 400516 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16gpr),
     /* 400521 */   GIR_RootConstrainSelectedInstOperands,
     /* 400522 */   // GIR_Coverage, 1915,
     /* 400522 */   GIR_Done,
     /* 400523 */ // Label 8026: @400523
     /* 400523 */ GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(400603), // Rule ID 5638 //
     /* 400528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 400531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 400539 */   // (AArch64dup:{ *:[v8f16] } FPR16:{ *:[f16] }:$Rn)  =>  (DUPv8i16lane:{ *:[v8f16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 400539 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 400542 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 400546 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 400551 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 400553 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 400556 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 400560 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 400565 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 400568 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 400572 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 400575 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400580 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400585 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 400590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16lane),
     /* 400593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400595 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 400598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400601 */   GIR_RootConstrainSelectedInstOperands,
     /* 400602 */   // GIR_Coverage, 5638,
     /* 400602 */   GIR_EraseRootFromParent_Done,
     /* 400603 */ // Label 8027: @400603
     /* 400603 */ GIM_Reject,
     /* 400604 */ // Label 7989: @400604
     /* 400604 */ GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(400665), // Rule ID 6419 //
     /* 400609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400616 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400620 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400624 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400627 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400631 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 400638 */   // MIs[1] Rn
     /* 400638 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400642 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400647 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400649 */   // (AArch64dup:{ *:[v16i8] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>)  =>  (LD1Rv16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv16b),
     /* 400652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400654 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400658 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400663 */   GIR_RootConstrainSelectedInstOperands,
     /* 400664 */   // GIR_Coverage, 6419,
     /* 400664 */   GIR_EraseRootFromParent_Done,
     /* 400665 */ // Label 8028: @400665
     /* 400665 */ GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(400719), // Rule ID 13190 //
     /* 400670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 400673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400677 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400681 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400685 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400688 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400692 */   // MIs[1] Rn
     /* 400692 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400696 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400701 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400703 */   // (AArch64dup:{ *:[v16i8] } (ld:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv16b),
     /* 400706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400708 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400712 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400717 */   GIR_RootConstrainSelectedInstOperands,
     /* 400718 */   // GIR_Coverage, 13190,
     /* 400718 */   GIR_EraseRootFromParent_Done,
     /* 400719 */ // Label 8029: @400719
     /* 400719 */ GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(400745), // Rule ID 1913 //
     /* 400724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 400738 */   // (AArch64dup:{ *:[v16i8] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv16i8gpr:{ *:[v16i8] } GPR32:{ *:[i32] }:$Rn)
     /* 400738 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv16i8gpr),
     /* 400743 */   GIR_RootConstrainSelectedInstOperands,
     /* 400744 */   // GIR_Coverage, 1913,
     /* 400744 */   GIR_Done,
     /* 400745 */ // Label 8030: @400745
     /* 400745 */ GIM_Reject,
     /* 400746 */ // Label 7990: @400746
     /* 400746 */ GIM_Reject,
     /* 400747 */ // Label 123: @400747
     /* 400747 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(11), /*)*//*default:*//*Label 8033*/ GIMT_Encode4(401001),
     /* 400758 */ /*GILLT_v4s16*//*Label 8031*/ GIMT_Encode4(400774), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 400770 */ /*GILLT_v8s16*//*Label 8032*/ GIMT_Encode4(400860),
     /* 400774 */ // Label 8031: @400774
     /* 400774 */ GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(400859),
     /* 400779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 400782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 400785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400793 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(400827), // Rule ID 1922 //
     /* 400798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 400813 */     // MIs[1] Operand 1
     /* 400813 */     // No operand predicates
     /* 400813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400815 */     // (AArch64duplane16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (DUPv4i16lane:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 400815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16lane),
     /* 400818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400820 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 400825 */     GIR_RootConstrainSelectedInstOperands,
     /* 400826 */     // GIR_Coverage, 1922,
     /* 400826 */     GIR_EraseRootFromParent_Done,
     /* 400827 */   // Label 8035: @400827
     /* 400827 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(400858), // Rule ID 5639 //
     /* 400832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 400844 */     // MIs[1] Operand 1
     /* 400844 */     // No operand predicates
     /* 400844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400846 */     // (AArch64duplane16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (DUPv4i16lane:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)
     /* 400846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16lane),
     /* 400849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400851 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400856 */     GIR_RootConstrainSelectedInstOperands,
     /* 400857 */     // GIR_Coverage, 5639,
     /* 400857 */     GIR_EraseRootFromParent_Done,
     /* 400858 */   // Label 8036: @400858
     /* 400858 */   GIM_Reject,
     /* 400859 */ // Label 8034: @400859
     /* 400859 */ GIM_Reject,
     /* 400860 */ // Label 8032: @400860
     /* 400860 */ GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(401000),
     /* 400865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 400868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 400871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400875 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(400926), // Rule ID 6429 //
     /* 400880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400888 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400891 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400895 */     // MIs[1] Rn
     /* 400895 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400904 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 400908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400910 */     // (AArch64duplane16:{ *:[v8i16] } (ld:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 400913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400924 */     GIR_RootConstrainSelectedInstOperands,
     /* 400925 */     // GIR_Coverage, 6429,
     /* 400925 */     GIR_EraseRootFromParent_Done,
     /* 400926 */   // Label 8038: @400926
     /* 400926 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(400964), // Rule ID 1923 //
     /* 400931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 400950 */     // MIs[1] Operand 1
     /* 400950 */     // No operand predicates
     /* 400950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400952 */     // (AArch64duplane16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (DUPv8i16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 400952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16lane),
     /* 400955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400957 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 400962 */     GIR_RootConstrainSelectedInstOperands,
     /* 400963 */     // GIR_Coverage, 1923,
     /* 400963 */     GIR_EraseRootFromParent_Done,
     /* 400964 */   // Label 8039: @400964
     /* 400964 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(400999), // Rule ID 5640 //
     /* 400969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 400985 */     // MIs[1] Operand 1
     /* 400985 */     // No operand predicates
     /* 400985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400987 */     // (AArch64duplane16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (DUPv8i16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)
     /* 400987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16lane),
     /* 400990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400992 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400997 */     GIR_RootConstrainSelectedInstOperands,
     /* 400998 */     // GIR_Coverage, 5640,
     /* 400998 */     GIR_EraseRootFromParent_Done,
     /* 400999 */   // Label 8040: @400999
     /* 400999 */   GIM_Reject,
     /* 401000 */ // Label 8037: @401000
     /* 401000 */ GIM_Reject,
     /* 401001 */ // Label 8033: @401001
     /* 401001 */ GIM_Reject,
     /* 401002 */ // Label 124: @401002
     /* 401002 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(9), /*)*//*default:*//*Label 8043*/ GIMT_Encode4(401256),
     /* 401013 */ /*GILLT_v2s32*//*Label 8041*/ GIMT_Encode4(401029), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 401025 */ /*GILLT_v4s32*//*Label 8042*/ GIMT_Encode4(401115),
     /* 401029 */ // Label 8041: @401029
     /* 401029 */ GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(401114),
     /* 401034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 401037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 401040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401048 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(401082), // Rule ID 1920 //
     /* 401053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 401068 */     // MIs[1] Operand 1
     /* 401068 */     // No operand predicates
     /* 401068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401070 */     // (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (DUPv2i32lane:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 401070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32lane),
     /* 401073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401075 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 401080 */     GIR_RootConstrainSelectedInstOperands,
     /* 401081 */     // GIR_Coverage, 1920,
     /* 401081 */     GIR_EraseRootFromParent_Done,
     /* 401082 */   // Label 8045: @401082
     /* 401082 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(401113), // Rule ID 5641 //
     /* 401087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 401099 */     // MIs[1] Operand 1
     /* 401099 */     // No operand predicates
     /* 401099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401101 */     // (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (DUPv2i32lane:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)
     /* 401101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32lane),
     /* 401104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401106 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 401111 */     GIR_RootConstrainSelectedInstOperands,
     /* 401112 */     // GIR_Coverage, 5641,
     /* 401112 */     GIR_EraseRootFromParent_Done,
     /* 401113 */   // Label 8046: @401113
     /* 401113 */   GIM_Reject,
     /* 401114 */ // Label 8044: @401114
     /* 401114 */ GIM_Reject,
     /* 401115 */ // Label 8042: @401115
     /* 401115 */ GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(401255),
     /* 401120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 401123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 401126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401130 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(401181), // Rule ID 6431 //
     /* 401135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 401143 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 401146 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 401150 */     // MIs[1] Rn
     /* 401150 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 401154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 401159 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 401163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401165 */     // (AArch64duplane32:{ *:[v4i32] } (ld:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 401165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 401168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 401170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401174 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 401179 */     GIR_RootConstrainSelectedInstOperands,
     /* 401180 */     // GIR_Coverage, 6431,
     /* 401180 */     GIR_EraseRootFromParent_Done,
     /* 401181 */   // Label 8048: @401181
     /* 401181 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(401219), // Rule ID 1921 //
     /* 401186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 401205 */     // MIs[1] Operand 1
     /* 401205 */     // No operand predicates
     /* 401205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401207 */     // (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (DUPv4i32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 401207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32lane),
     /* 401210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401212 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 401217 */     GIR_RootConstrainSelectedInstOperands,
     /* 401218 */     // GIR_Coverage, 1921,
     /* 401218 */     GIR_EraseRootFromParent_Done,
     /* 401219 */   // Label 8049: @401219
     /* 401219 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(401254), // Rule ID 5642 //
     /* 401224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 401240 */     // MIs[1] Operand 1
     /* 401240 */     // No operand predicates
     /* 401240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401242 */     // (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (DUPv4i32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)
     /* 401242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32lane),
     /* 401245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401247 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 401252 */     GIR_RootConstrainSelectedInstOperands,
     /* 401253 */     // GIR_Coverage, 5642,
     /* 401253 */     GIR_EraseRootFromParent_Done,
     /* 401254 */   // Label 8050: @401254
     /* 401254 */   GIM_Reject,
     /* 401255 */ // Label 8047: @401255
     /* 401255 */ GIM_Reject,
     /* 401256 */ // Label 8043: @401256
     /* 401256 */ GIM_Reject,
     /* 401257 */ // Label 125: @401257
     /* 401257 */ GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(401402),
     /* 401262 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 401265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 401268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 401271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401275 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(401326), // Rule ID 6432 //
     /* 401280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 401288 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 401291 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 401295 */     // MIs[1] Rn
     /* 401295 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 401299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 401304 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 401308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401310 */     // (AArch64duplane64:{ *:[v2i64] } (ld:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 401310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 401313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 401315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 401324 */     GIR_RootConstrainSelectedInstOperands,
     /* 401325 */     // GIR_Coverage, 6432,
     /* 401325 */     GIR_EraseRootFromParent_Done,
     /* 401326 */   // Label 8052: @401326
     /* 401326 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(401401),
     /* 401331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401335 */     GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(401369), // Rule ID 1919 //
     /* 401340 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401343 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401347 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401351 */       GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 401355 */       // MIs[1] Operand 1
     /* 401355 */       // No operand predicates
     /* 401355 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401357 */       // (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (DUPv2i64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 401357 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 401360 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401362 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401364 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 401367 */       GIR_RootConstrainSelectedInstOperands,
     /* 401368 */       // GIR_Coverage, 1919,
     /* 401368 */       GIR_EraseRootFromParent_Done,
     /* 401369 */     // Label 8054: @401369
     /* 401369 */     GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(401400), // Rule ID 5643 //
     /* 401374 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401378 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401382 */       GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 401386 */       // MIs[1] Operand 1
     /* 401386 */       // No operand predicates
     /* 401386 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401388 */       // (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)  =>  (DUPv2i64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)
     /* 401388 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 401391 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401393 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401395 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 401398 */       GIR_RootConstrainSelectedInstOperands,
     /* 401399 */       // GIR_Coverage, 5643,
     /* 401399 */       GIR_EraseRootFromParent_Done,
     /* 401400 */     // Label 8055: @401400
     /* 401400 */     GIM_Reject,
     /* 401401 */   // Label 8053: @401401
     /* 401401 */   GIM_Reject,
     /* 401402 */ // Label 8051: @401402
     /* 401402 */ GIM_Reject,
     /* 401403 */ // Label 126: @401403
     /* 401403 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(12), /*)*//*default:*//*Label 8058*/ GIMT_Encode4(401581),
     /* 401414 */ /*GILLT_v8s8*//*Label 8056*/ GIMT_Encode4(401426), GIMT_Encode4(0),
     /* 401422 */ /*GILLT_v16s8*//*Label 8057*/ GIMT_Encode4(401475),
     /* 401426 */ // Label 8056: @401426
     /* 401426 */ GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(401474), // Rule ID 1924 //
     /* 401431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 401437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 401440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401448 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401452 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401456 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 401460 */   // MIs[1] Operand 1
     /* 401460 */   // No operand predicates
     /* 401460 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401462 */   // (AArch64duplane8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (DUPv8i8lane:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 401462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i8lane),
     /* 401465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401467 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401469 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 401472 */   GIR_RootConstrainSelectedInstOperands,
     /* 401473 */   // GIR_Coverage, 1924,
     /* 401473 */   GIR_EraseRootFromParent_Done,
     /* 401474 */ // Label 8059: @401474
     /* 401474 */ GIM_Reject,
     /* 401475 */ // Label 8057: @401475
     /* 401475 */ GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(401580),
     /* 401480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 401483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 401486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401490 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(401541), // Rule ID 6427 //
     /* 401495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 401503 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 401506 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 401510 */     // MIs[1] Rn
     /* 401510 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 401514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 401519 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 401523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401525 */     // (AArch64duplane8:{ *:[v16i8] } (ld:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 401525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv16b),
     /* 401528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 401530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 401539 */     GIR_RootConstrainSelectedInstOperands,
     /* 401540 */     // GIR_Coverage, 6427,
     /* 401540 */     GIR_EraseRootFromParent_Done,
     /* 401541 */   // Label 8061: @401541
     /* 401541 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(401579), // Rule ID 1925 //
     /* 401546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 401565 */     // MIs[1] Operand 1
     /* 401565 */     // No operand predicates
     /* 401565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401567 */     // (AArch64duplane8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (DUPv16i8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 401567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv16i8lane),
     /* 401570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401572 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 401577 */     GIR_RootConstrainSelectedInstOperands,
     /* 401578 */     // GIR_Coverage, 1925,
     /* 401578 */     GIR_EraseRootFromParent_Done,
     /* 401579 */   // Label 8062: @401579
     /* 401579 */   GIM_Reject,
     /* 401580 */ // Label 8060: @401580
     /* 401580 */ GIM_Reject,
     /* 401581 */ // Label 8058: @401581
     /* 401581 */ GIM_Reject,
     /* 401582 */ // Label 127: @401582
     /* 401582 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(24), /*)*//*default:*//*Label 8072*/ GIMT_Encode4(403231),
     /* 401593 */ /*GILLT_s64*//*Label 8063*/ GIMT_Encode4(401677), GIMT_Encode4(0),
     /* 401601 */ /*GILLT_v2s32*//*Label 8064*/ GIMT_Encode4(401998),
     /* 401605 */ /*GILLT_v2s64*//*Label 8065*/ GIMT_Encode4(402319),
     /* 401609 */ /*GILLT_v4s16*//*Label 8066*/ GIMT_Encode4(402402),
     /* 401613 */ /*GILLT_v4s32*//*Label 8067*/ GIMT_Encode4(402723),
     /* 401617 */ /*GILLT_v8s8*//*Label 8068*/ GIMT_Encode4(402806),
     /* 401621 */ /*GILLT_v8s16*//*Label 8069*/ GIMT_Encode4(403015),
     /* 401625 */ /*GILLT_v16s8*//*Label 8070*/ GIMT_Encode4(403098), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 401673 */ /*GILLT_nxv16s8*//*Label 8071*/ GIMT_Encode4(403184),
     /* 401677 */ // Label 8063: @401677
     /* 401677 */ GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(401997),
     /* 401682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 401685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 401688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401692 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(401807), // Rule ID 5460 //
     /* 401697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 401705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 401709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401714 */     // MIs[1] Operand 2
     /* 401714 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 401725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 401729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 401733 */     // MIs[2] Rn
     /* 401733 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 401738 */     // MIs[2] Operand 2
     /* 401738 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(1),
     /* 401749 */     // MIs[0] imm
     /* 401749 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 401753 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401757 */     // MIs[3] Operand 1
     /* 401757 */     // No operand predicates
     /* 401757 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 401759 */     // (AArch64ext:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 401759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 401762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 401766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 401771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 401782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 401784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 401787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 401789 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 401796 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401801 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401806 */     // GIR_Coverage, 5460,
     /* 401806 */     GIR_EraseRootFromParent_Done,
     /* 401807 */   // Label 8074: @401807
     /* 401807 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(401922), // Rule ID 5465 //
     /* 401812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 401820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 401824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401829 */     // MIs[1] Operand 2
     /* 401829 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 401840 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 401844 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 401848 */     // MIs[2] Rn
     /* 401848 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 401853 */     // MIs[2] Operand 2
     /* 401853 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(1),
     /* 401864 */     // MIs[0] imm
     /* 401864 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 401868 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401872 */     // MIs[3] Operand 1
     /* 401872 */     // No operand predicates
     /* 401872 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 401874 */     // (AArch64ext:{ *:[v1f64] } (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 401874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 401877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 401881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 401886 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 401897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 401899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 401902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 401904 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 401911 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401916 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401921 */     // GIR_Coverage, 5465,
     /* 401921 */     GIR_EraseRootFromParent_Done,
     /* 401922 */   // Label 8075: @401922
     /* 401922 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(401959), // Rule ID 5457 //
     /* 401927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401935 */     // MIs[0] imm
     /* 401935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 401939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401943 */     // MIs[1] Operand 1
     /* 401943 */     // No operand predicates
     /* 401943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401945 */     // (AArch64ext:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 401945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 401948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401950 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 401954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 401957 */     GIR_RootConstrainSelectedInstOperands,
     /* 401958 */     // GIR_Coverage, 5457,
     /* 401958 */     GIR_EraseRootFromParent_Done,
     /* 401959 */   // Label 8076: @401959
     /* 401959 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(401996), // Rule ID 5462 //
     /* 401964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401972 */     // MIs[0] imm
     /* 401972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 401976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401980 */     // MIs[1] Operand 1
     /* 401980 */     // No operand predicates
     /* 401980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401982 */     // (AArch64ext:{ *:[v1f64] } V64:{ *:[v1f64] }:$Rn, V64:{ *:[v1f64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v1f64] } V64:{ *:[v1f64] }:$Rn, V64:{ *:[v1f64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 401982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 401985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401987 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 401991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 401994 */     GIR_RootConstrainSelectedInstOperands,
     /* 401995 */     // GIR_Coverage, 5462,
     /* 401995 */     GIR_EraseRootFromParent_Done,
     /* 401996 */   // Label 8077: @401996
     /* 401996 */   GIM_Reject,
     /* 401997 */ // Label 8073: @401997
     /* 401997 */ GIM_Reject,
     /* 401998 */ // Label 8064: @401998
     /* 401998 */ GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(402318),
     /* 402003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 402006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 402009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402013 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(402128), // Rule ID 5450 //
     /* 402018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 402030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402035 */     // MIs[1] Operand 2
     /* 402035 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 402046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 402050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402054 */     // MIs[2] Rn
     /* 402054 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 402059 */     // MIs[2] Operand 2
     /* 402059 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 402070 */     // MIs[0] imm
     /* 402070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 402074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402078 */     // MIs[3] Operand 1
     /* 402078 */     // No operand predicates
     /* 402078 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402080 */     // (AArch64ext:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 402080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 402083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 402092 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 402103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 402105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 402108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 402110 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 402117 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402127 */     // GIR_Coverage, 5450,
     /* 402127 */     GIR_EraseRootFromParent_Done,
     /* 402128 */   // Label 8079: @402128
     /* 402128 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(402243), // Rule ID 5455 //
     /* 402133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 402145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402150 */     // MIs[1] Operand 2
     /* 402150 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 402161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 402165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402169 */     // MIs[2] Rn
     /* 402169 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 402174 */     // MIs[2] Operand 2
     /* 402174 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 402185 */     // MIs[0] imm
     /* 402185 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 402189 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402193 */     // MIs[3] Operand 1
     /* 402193 */     // No operand predicates
     /* 402193 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402195 */     // (AArch64ext:{ *:[v2f32] } (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 2:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 402195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 402198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 402207 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 402218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 402220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 402223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 402225 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 402232 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402237 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402242 */     // GIR_Coverage, 5455,
     /* 402242 */     GIR_EraseRootFromParent_Done,
     /* 402243 */   // Label 8080: @402243
     /* 402243 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(402280), // Rule ID 5447 //
     /* 402248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402256 */     // MIs[0] imm
     /* 402256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402264 */     // MIs[1] Operand 1
     /* 402264 */     // No operand predicates
     /* 402264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402266 */     // (AArch64ext:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 402269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402271 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402273 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402278 */     GIR_RootConstrainSelectedInstOperands,
     /* 402279 */     // GIR_Coverage, 5447,
     /* 402279 */     GIR_EraseRootFromParent_Done,
     /* 402280 */   // Label 8081: @402280
     /* 402280 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(402317), // Rule ID 5452 //
     /* 402285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402293 */     // MIs[0] imm
     /* 402293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402301 */     // MIs[1] Operand 1
     /* 402301 */     // No operand predicates
     /* 402301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402303 */     // (AArch64ext:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 402306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402308 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402315 */     GIR_RootConstrainSelectedInstOperands,
     /* 402316 */     // GIR_Coverage, 5452,
     /* 402316 */     GIR_EraseRootFromParent_Done,
     /* 402317 */   // Label 8082: @402317
     /* 402317 */   GIM_Reject,
     /* 402318 */ // Label 8078: @402318
     /* 402318 */ GIM_Reject,
     /* 402319 */ // Label 8065: @402319
     /* 402319 */ GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(402401),
     /* 402324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 402327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 402330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402342 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(402371), // Rule ID 5458 //
     /* 402347 */     // MIs[0] imm
     /* 402347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402355 */     // MIs[1] Operand 1
     /* 402355 */     // No operand predicates
     /* 402355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402357 */     // (AArch64ext:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402362 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402369 */     GIR_RootConstrainSelectedInstOperands,
     /* 402370 */     // GIR_Coverage, 5458,
     /* 402370 */     GIR_EraseRootFromParent_Done,
     /* 402371 */   // Label 8084: @402371
     /* 402371 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(402400), // Rule ID 5463 //
     /* 402376 */     // MIs[0] imm
     /* 402376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402384 */     // MIs[1] Operand 1
     /* 402384 */     // No operand predicates
     /* 402384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402386 */     // (AArch64ext:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402391 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402398 */     GIR_RootConstrainSelectedInstOperands,
     /* 402399 */     // GIR_Coverage, 5463,
     /* 402399 */     GIR_EraseRootFromParent_Done,
     /* 402400 */   // Label 8085: @402400
     /* 402400 */   GIM_Reject,
     /* 402401 */ // Label 8083: @402401
     /* 402401 */ GIM_Reject,
     /* 402402 */ // Label 8066: @402402
     /* 402402 */ GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(402722),
     /* 402407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 402410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 402413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402417 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(402532), // Rule ID 5440 //
     /* 402422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 402434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402439 */     // MIs[1] Operand 2
     /* 402439 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 402450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 402454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402458 */     // MIs[2] Rn
     /* 402458 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 402463 */     // MIs[2] Operand 2
     /* 402463 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 402474 */     // MIs[0] imm
     /* 402474 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 402478 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402482 */     // MIs[3] Operand 1
     /* 402482 */     // No operand predicates
     /* 402482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402484 */     // (AArch64ext:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 402484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 402487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 402496 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 402507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 402509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 402512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 402514 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 402521 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402526 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402531 */     // GIR_Coverage, 5440,
     /* 402531 */     GIR_EraseRootFromParent_Done,
     /* 402532 */   // Label 8087: @402532
     /* 402532 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(402647), // Rule ID 5445 //
     /* 402537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 402549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402554 */     // MIs[1] Operand 2
     /* 402554 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 402565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 402569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402573 */     // MIs[2] Rn
     /* 402573 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 402578 */     // MIs[2] Operand 2
     /* 402578 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 402589 */     // MIs[0] imm
     /* 402589 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 402593 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402597 */     // MIs[3] Operand 1
     /* 402597 */     // No operand predicates
     /* 402597 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402599 */     // (AArch64ext:{ *:[v4f16] } (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 4:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 402599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 402602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 402611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 402622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 402624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 402627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 402629 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 402636 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402641 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402646 */     // GIR_Coverage, 5445,
     /* 402646 */     GIR_EraseRootFromParent_Done,
     /* 402647 */   // Label 8088: @402647
     /* 402647 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(402684), // Rule ID 5437 //
     /* 402652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402660 */     // MIs[0] imm
     /* 402660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402668 */     // MIs[1] Operand 1
     /* 402668 */     // No operand predicates
     /* 402668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402670 */     // (AArch64ext:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 402673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402675 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402682 */     GIR_RootConstrainSelectedInstOperands,
     /* 402683 */     // GIR_Coverage, 5437,
     /* 402683 */     GIR_EraseRootFromParent_Done,
     /* 402684 */   // Label 8089: @402684
     /* 402684 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(402721), // Rule ID 5442 //
     /* 402689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402697 */     // MIs[0] imm
     /* 402697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402705 */     // MIs[1] Operand 1
     /* 402705 */     // No operand predicates
     /* 402705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402707 */     // (AArch64ext:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 402710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402712 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402719 */     GIR_RootConstrainSelectedInstOperands,
     /* 402720 */     // GIR_Coverage, 5442,
     /* 402720 */     GIR_EraseRootFromParent_Done,
     /* 402721 */   // Label 8090: @402721
     /* 402721 */   GIM_Reject,
     /* 402722 */ // Label 8086: @402722
     /* 402722 */ GIM_Reject,
     /* 402723 */ // Label 8067: @402723
     /* 402723 */ GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(402805),
     /* 402728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 402731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 402734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402746 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(402775), // Rule ID 5448 //
     /* 402751 */     // MIs[0] imm
     /* 402751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402759 */     // MIs[1] Operand 1
     /* 402759 */     // No operand predicates
     /* 402759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402761 */     // (AArch64ext:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402766 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402773 */     GIR_RootConstrainSelectedInstOperands,
     /* 402774 */     // GIR_Coverage, 5448,
     /* 402774 */     GIR_EraseRootFromParent_Done,
     /* 402775 */   // Label 8092: @402775
     /* 402775 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(402804), // Rule ID 5453 //
     /* 402780 */     // MIs[0] imm
     /* 402780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402788 */     // MIs[1] Operand 1
     /* 402788 */     // No operand predicates
     /* 402788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402790 */     // (AArch64ext:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402795 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402797 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402802 */     GIR_RootConstrainSelectedInstOperands,
     /* 402803 */     // GIR_Coverage, 5453,
     /* 402803 */     GIR_EraseRootFromParent_Done,
     /* 402804 */   // Label 8093: @402804
     /* 402804 */   GIM_Reject,
     /* 402805 */ // Label 8091: @402805
     /* 402805 */ GIM_Reject,
     /* 402806 */ // Label 8068: @402806
     /* 402806 */ GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(403014),
     /* 402811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 402814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 402817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402821 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(402936), // Rule ID 5435 //
     /* 402826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 402838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402843 */     // MIs[1] Operand 2
     /* 402843 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 402854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 402858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402862 */     // MIs[2] Rn
     /* 402862 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 402867 */     // MIs[2] Operand 2
     /* 402867 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /* 402878 */     // MIs[0] imm
     /* 402878 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 402882 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402886 */     // MIs[3] Operand 1
     /* 402886 */     // No operand predicates
     /* 402886 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402888 */     // (AArch64ext:{ *:[v8i8] } (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 8:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (EXTv16i8:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 402888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 402891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 402900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402904 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 402911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 402913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 402916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 402918 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 402925 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402930 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402935 */     // GIR_Coverage, 5435,
     /* 402935 */     GIR_EraseRootFromParent_Done,
     /* 402936 */   // Label 8095: @402936
     /* 402936 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(402976), // Rule ID 1868 //
     /* 402941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402952 */     // MIs[0] imm
     /* 402952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402960 */     // MIs[1] Operand 1
     /* 402960 */     // No operand predicates
     /* 402960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402962 */     // (AArch64ext:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 402965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402967 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402974 */     GIR_RootConstrainSelectedInstOperands,
     /* 402975 */     // GIR_Coverage, 1868,
     /* 402975 */     GIR_EraseRootFromParent_Done,
     /* 402976 */   // Label 8096: @402976
     /* 402976 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(403013), // Rule ID 5432 //
     /* 402981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402989 */     // MIs[0] imm
     /* 402989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402997 */     // MIs[1] Operand 1
     /* 402997 */     // No operand predicates
     /* 402997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402999 */     // (AArch64ext:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 403002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403004 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403006 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 403008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 403011 */     GIR_RootConstrainSelectedInstOperands,
     /* 403012 */     // GIR_Coverage, 5432,
     /* 403012 */     GIR_EraseRootFromParent_Done,
     /* 403013 */   // Label 8097: @403013
     /* 403013 */   GIM_Reject,
     /* 403014 */ // Label 8094: @403014
     /* 403014 */ GIM_Reject,
     /* 403015 */ // Label 8069: @403015
     /* 403015 */ GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(403097),
     /* 403020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 403023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 403026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403038 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(403067), // Rule ID 5438 //
     /* 403043 */     // MIs[0] imm
     /* 403043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 403047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 403051 */     // MIs[1] Operand 1
     /* 403051 */     // No operand predicates
     /* 403051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403053 */     // (AArch64ext:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 403053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 403056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403058 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 403062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 403065 */     GIR_RootConstrainSelectedInstOperands,
     /* 403066 */     // GIR_Coverage, 5438,
     /* 403066 */     GIR_EraseRootFromParent_Done,
     /* 403067 */   // Label 8099: @403067
     /* 403067 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(403096), // Rule ID 5443 //
     /* 403072 */     // MIs[0] imm
     /* 403072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 403076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 403080 */     // MIs[1] Operand 1
     /* 403080 */     // No operand predicates
     /* 403080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403082 */     // (AArch64ext:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 403082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 403085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403087 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403089 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 403091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 403094 */     GIR_RootConstrainSelectedInstOperands,
     /* 403095 */     // GIR_Coverage, 5443,
     /* 403095 */     GIR_EraseRootFromParent_Done,
     /* 403096 */   // Label 8100: @403096
     /* 403096 */   GIM_Reject,
     /* 403097 */ // Label 8098: @403097
     /* 403097 */ GIM_Reject,
     /* 403098 */ // Label 8070: @403098
     /* 403098 */ GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(403183),
     /* 403103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 403106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 403109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403121 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(403153), // Rule ID 1869 //
     /* 403126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403129 */     // MIs[0] imm
     /* 403129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 403133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 403137 */     // MIs[1] Operand 1
     /* 403137 */     // No operand predicates
     /* 403137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403139 */     // (AArch64ext:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 403139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 403142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403144 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 403148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 403151 */     GIR_RootConstrainSelectedInstOperands,
     /* 403152 */     // GIR_Coverage, 1869,
     /* 403152 */     GIR_EraseRootFromParent_Done,
     /* 403153 */   // Label 8102: @403153
     /* 403153 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(403182), // Rule ID 5433 //
     /* 403158 */     // MIs[0] imm
     /* 403158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 403162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 403166 */     // MIs[1] Operand 1
     /* 403166 */     // No operand predicates
     /* 403166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403168 */     // (AArch64ext:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 403168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 403171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403173 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 403177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 403180 */     GIR_RootConstrainSelectedInstOperands,
     /* 403181 */     // GIR_Coverage, 5433,
     /* 403181 */     GIR_EraseRootFromParent_Done,
     /* 403182 */   // Label 8103: @403182
     /* 403182 */   GIM_Reject,
     /* 403183 */ // Label 8101: @403183
     /* 403183 */ GIM_Reject,
     /* 403184 */ // Label 8071: @403184
     /* 403184 */ GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(403230), // Rule ID 2733 //
     /* 403189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 403192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 403195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 403198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 403202 */   // MIs[0] Op3
     /* 403202 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 403206 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 403210 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_255),
     /* 403214 */   // MIs[1] Operand 1
     /* 403214 */   // No operand predicates
     /* 403214 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403216 */   // (AArch64ext:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (imm:{ *:[i32] })<<P:Predicate_imm0_255>>:$Op3)  =>  (EXT_ZZI:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (imm:{ *:[i32] })<<P:Predicate_imm0_255>>:$Op3)
     /* 403216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXT_ZZI),
     /* 403219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 403221 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 403223 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /* 403225 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // Op3
     /* 403228 */   GIR_RootConstrainSelectedInstOperands,
     /* 403229 */   // GIR_Coverage, 2733,
     /* 403229 */   GIR_EraseRootFromParent_Done,
     /* 403230 */ // Label 8104: @403230
     /* 403230 */ GIM_Reject,
     /* 403231 */ // Label 8072: @403231
     /* 403231 */ GIM_Reject,
     /* 403232 */ // Label 128: @403232
     /* 403232 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 8112*/ GIMT_Encode4(403790),
     /* 403243 */ /*GILLT_s32*//*Label 8105*/ GIMT_Encode4(403279),
     /* 403247 */ /*GILLT_s64*//*Label 8106*/ GIMT_Encode4(403317), GIMT_Encode4(0),
     /* 403255 */ /*GILLT_v2s32*//*Label 8107*/ GIMT_Encode4(403415),
     /* 403259 */ /*GILLT_v2s64*//*Label 8108*/ GIMT_Encode4(403490),
     /* 403263 */ /*GILLT_v4s16*//*Label 8109*/ GIMT_Encode4(403565),
     /* 403267 */ /*GILLT_v4s32*//*Label 8110*/ GIMT_Encode4(403640), GIMT_Encode4(0),
     /* 403275 */ /*GILLT_v8s16*//*Label 8111*/ GIMT_Encode4(403715),
     /* 403279 */ // Label 8105: @403279
     /* 403279 */ GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(403316), // Rule ID 1622 //
     /* 403284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 403290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 403293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403305 */   // (AArch64fcmeq:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FCMEQ32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 403305 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQ32),
     /* 403310 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403314 */   GIR_RootConstrainSelectedInstOperands,
     /* 403315 */   // GIR_Coverage, 1622,
     /* 403315 */   GIR_Done,
     /* 403316 */ // Label 8113: @403316
     /* 403316 */ GIM_Reject,
     /* 403317 */ // Label 8106: @403317
     /* 403317 */ GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(403414),
     /* 403322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 403325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 403328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403336 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(403367), // Rule ID 2513 //
     /* 403341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403348 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403354 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403358 */     // (AArch64fcmeq:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, immAllZerosV:{ *:[v1f64] })  =>  (FCMEQv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 403358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv1i64rz),
     /* 403361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403363 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403365 */     GIR_RootConstrainSelectedInstOperands,
     /* 403366 */     // GIR_Coverage, 2513,
     /* 403366 */     GIR_EraseRootFromParent_Done,
     /* 403367 */   // Label 8115: @403367
     /* 403367 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(403390), // Rule ID 1621 //
     /* 403372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403379 */     // (AArch64fcmeq:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FCMEQ64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 403379 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQ64),
     /* 403384 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403388 */     GIR_RootConstrainSelectedInstOperands,
     /* 403389 */     // GIR_Coverage, 1621,
     /* 403389 */     GIR_Done,
     /* 403390 */   // Label 8116: @403390
     /* 403390 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(403413), // Rule ID 5212 //
     /* 403395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403402 */     // (AArch64fcmeq:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FCMEQ64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 403402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQ64),
     /* 403407 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403411 */     GIR_RootConstrainSelectedInstOperands,
     /* 403412 */     // GIR_Coverage, 5212,
     /* 403412 */     GIR_Done,
     /* 403413 */   // Label 8117: @403413
     /* 403413 */   GIM_Reject,
     /* 403414 */ // Label 8114: @403414
     /* 403414 */ GIM_Reject,
     /* 403415 */ // Label 8107: @403415
     /* 403415 */ GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(403489),
     /* 403420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 403423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 403426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403434 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(403465), // Rule ID 773 //
     /* 403439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403446 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403452 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403456 */     // (AArch64fcmeq:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, immAllZerosV:{ *:[v2f32] })  =>  (FCMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 403456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2i32rz),
     /* 403459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403461 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403463 */     GIR_RootConstrainSelectedInstOperands,
     /* 403464 */     // GIR_Coverage, 773,
     /* 403464 */     GIR_EraseRootFromParent_Done,
     /* 403465 */   // Label 8119: @403465
     /* 403465 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(403488), // Rule ID 1210 //
     /* 403470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403477 */     // (AArch64fcmeq:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMEQv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 403477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2f32),
     /* 403482 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403486 */     GIR_RootConstrainSelectedInstOperands,
     /* 403487 */     // GIR_Coverage, 1210,
     /* 403487 */     GIR_Done,
     /* 403488 */   // Label 8120: @403488
     /* 403488 */   GIM_Reject,
     /* 403489 */ // Label 8118: @403489
     /* 403489 */ GIM_Reject,
     /* 403490 */ // Label 8108: @403490
     /* 403490 */ GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(403564),
     /* 403495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 403498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 403501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403509 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(403540), // Rule ID 775 //
     /* 403514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403521 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403527 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403531 */     // (AArch64fcmeq:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, immAllZerosV:{ *:[v2f64] })  =>  (FCMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 403531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2i64rz),
     /* 403534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403536 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403538 */     GIR_RootConstrainSelectedInstOperands,
     /* 403539 */     // GIR_Coverage, 775,
     /* 403539 */     GIR_EraseRootFromParent_Done,
     /* 403540 */   // Label 8122: @403540
     /* 403540 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(403563), // Rule ID 1212 //
     /* 403545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403552 */     // (AArch64fcmeq:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMEQv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 403552 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2f64),
     /* 403557 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403561 */     GIR_RootConstrainSelectedInstOperands,
     /* 403562 */     // GIR_Coverage, 1212,
     /* 403562 */     GIR_Done,
     /* 403563 */   // Label 8123: @403563
     /* 403563 */   GIM_Reject,
     /* 403564 */ // Label 8121: @403564
     /* 403564 */ GIM_Reject,
     /* 403565 */ // Label 8109: @403565
     /* 403565 */ GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(403639),
     /* 403570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 403573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 403576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403584 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(403615), // Rule ID 771 //
     /* 403589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 403592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403596 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403602 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403606 */     // (AArch64fcmeq:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, immAllZerosV:{ *:[v4f16] })  =>  (FCMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 403606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4i16rz),
     /* 403609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403611 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403613 */     GIR_RootConstrainSelectedInstOperands,
     /* 403614 */     // GIR_Coverage, 771,
     /* 403614 */     GIR_EraseRootFromParent_Done,
     /* 403615 */   // Label 8125: @403615
     /* 403615 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(403638), // Rule ID 1208 //
     /* 403620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 403623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403627 */     // (AArch64fcmeq:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMEQv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 403627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4f16),
     /* 403632 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403636 */     GIR_RootConstrainSelectedInstOperands,
     /* 403637 */     // GIR_Coverage, 1208,
     /* 403637 */     GIR_Done,
     /* 403638 */   // Label 8126: @403638
     /* 403638 */   GIM_Reject,
     /* 403639 */ // Label 8124: @403639
     /* 403639 */ GIM_Reject,
     /* 403640 */ // Label 8110: @403640
     /* 403640 */ GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(403714),
     /* 403645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 403648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 403651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403659 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(403690), // Rule ID 774 //
     /* 403664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403671 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403677 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403681 */     // (AArch64fcmeq:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, immAllZerosV:{ *:[v4f32] })  =>  (FCMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 403681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4i32rz),
     /* 403684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403686 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403688 */     GIR_RootConstrainSelectedInstOperands,
     /* 403689 */     // GIR_Coverage, 774,
     /* 403689 */     GIR_EraseRootFromParent_Done,
     /* 403690 */   // Label 8128: @403690
     /* 403690 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(403713), // Rule ID 1211 //
     /* 403695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403702 */     // (AArch64fcmeq:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMEQv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 403702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4f32),
     /* 403707 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403711 */     GIR_RootConstrainSelectedInstOperands,
     /* 403712 */     // GIR_Coverage, 1211,
     /* 403712 */     GIR_Done,
     /* 403713 */   // Label 8129: @403713
     /* 403713 */   GIM_Reject,
     /* 403714 */ // Label 8127: @403714
     /* 403714 */ GIM_Reject,
     /* 403715 */ // Label 8111: @403715
     /* 403715 */ GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(403789),
     /* 403720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 403723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 403726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403734 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(403765), // Rule ID 772 //
     /* 403739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 403742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403746 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403752 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403756 */     // (AArch64fcmeq:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, immAllZerosV:{ *:[v8f16] })  =>  (FCMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 403756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv8i16rz),
     /* 403759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403761 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403763 */     GIR_RootConstrainSelectedInstOperands,
     /* 403764 */     // GIR_Coverage, 772,
     /* 403764 */     GIR_EraseRootFromParent_Done,
     /* 403765 */   // Label 8131: @403765
     /* 403765 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(403788), // Rule ID 1209 //
     /* 403770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 403773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403777 */     // (AArch64fcmeq:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMEQv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 403777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv8f16),
     /* 403782 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403786 */     GIR_RootConstrainSelectedInstOperands,
     /* 403787 */     // GIR_Coverage, 1209,
     /* 403787 */     GIR_Done,
     /* 403788 */   // Label 8132: @403788
     /* 403788 */   GIM_Reject,
     /* 403789 */ // Label 8130: @403789
     /* 403789 */ GIM_Reject,
     /* 403790 */ // Label 8112: @403790
     /* 403790 */ GIM_Reject,
     /* 403791 */ // Label 129: @403791
     /* 403791 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 8140*/ GIMT_Encode4(404882),
     /* 403802 */ /*GILLT_s32*//*Label 8133*/ GIMT_Encode4(403838),
     /* 403806 */ /*GILLT_s64*//*Label 8134*/ GIMT_Encode4(403876), GIMT_Encode4(0),
     /* 403814 */ /*GILLT_v2s32*//*Label 8135*/ GIMT_Encode4(404017),
     /* 403818 */ /*GILLT_v2s64*//*Label 8136*/ GIMT_Encode4(404190),
     /* 403822 */ /*GILLT_v4s16*//*Label 8137*/ GIMT_Encode4(404363),
     /* 403826 */ /*GILLT_v4s32*//*Label 8138*/ GIMT_Encode4(404536), GIMT_Encode4(0),
     /* 403834 */ /*GILLT_v8s16*//*Label 8139*/ GIMT_Encode4(404709),
     /* 403838 */ // Label 8133: @403838
     /* 403838 */ GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(403875), // Rule ID 1624 //
     /* 403843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 403849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 403852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403864 */   // (AArch64fcmge:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FCMGE32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 403864 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGE32),
     /* 403869 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403873 */   GIR_RootConstrainSelectedInstOperands,
     /* 403874 */   // GIR_Coverage, 1624,
     /* 403874 */   GIR_Done,
     /* 403875 */ // Label 8141: @403875
     /* 403875 */ GIM_Reject,
     /* 403876 */ // Label 8134: @403876
     /* 403876 */ GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(404016),
     /* 403881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 403884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 403887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403891 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(403926), // Rule ID 5246 //
     /* 403896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 403903 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403909 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403917 */     // (AArch64fcmge:{ *:[v1i64] } immAllZerosV:{ *:[v1f64] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMLEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 403917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv1i64rz),
     /* 403920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403922 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 403924 */     GIR_RootConstrainSelectedInstOperands,
     /* 403925 */     // GIR_Coverage, 5246,
     /* 403925 */     GIR_EraseRootFromParent_Done,
     /* 403926 */   // Label 8143: @403926
     /* 403926 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(403961), // Rule ID 5244 //
     /* 403931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403942 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403948 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403952 */     // (AArch64fcmge:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, immAllZerosV:{ *:[v1f64] })  =>  (FCMGEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 403952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv1i64rz),
     /* 403955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403957 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403959 */     GIR_RootConstrainSelectedInstOperands,
     /* 403960 */     // GIR_Coverage, 5244,
     /* 403960 */     GIR_EraseRootFromParent_Done,
     /* 403961 */   // Label 8144: @403961
     /* 403961 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(403988), // Rule ID 1623 //
     /* 403966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403977 */     // (AArch64fcmge:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FCMGE64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 403977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGE64),
     /* 403982 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403986 */     GIR_RootConstrainSelectedInstOperands,
     /* 403987 */     // GIR_Coverage, 1623,
     /* 403987 */     GIR_Done,
     /* 403988 */   // Label 8145: @403988
     /* 403988 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(404015), // Rule ID 5213 //
     /* 403993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404004 */     // (AArch64fcmge:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FCMGE64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 404004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGE64),
     /* 404009 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404013 */     GIR_RootConstrainSelectedInstOperands,
     /* 404014 */     // GIR_Coverage, 5213,
     /* 404014 */     GIR_Done,
     /* 404015 */   // Label 8146: @404015
     /* 404015 */   GIM_Reject,
     /* 404016 */ // Label 8142: @404016
     /* 404016 */ GIM_Reject,
     /* 404017 */ // Label 8135: @404017
     /* 404017 */ GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(404189),
     /* 404022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 404025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 404028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404032 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(404091), // Rule ID 1172 //
     /* 404037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 404052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 404061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 404069 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404074 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 404076 */     // (AArch64fcmge:{ *:[v2i32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FACGEv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 404076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f32),
     /* 404079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 404085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404089 */     GIR_RootConstrainSelectedInstOperands,
     /* 404090 */     // GIR_Coverage, 1172,
     /* 404090 */     GIR_EraseRootFromParent_Done,
     /* 404091 */   // Label 8148: @404091
     /* 404091 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(404126), // Rule ID 788 //
     /* 404096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404103 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404109 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404117 */     // (AArch64fcmge:{ *:[v2i32] } immAllZerosV:{ *:[v2f32] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 404117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv2i32rz),
     /* 404120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404124 */     GIR_RootConstrainSelectedInstOperands,
     /* 404125 */     // GIR_Coverage, 788,
     /* 404125 */     GIR_EraseRootFromParent_Done,
     /* 404126 */   // Label 8149: @404126
     /* 404126 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(404161), // Rule ID 778 //
     /* 404131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404142 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404148 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404152 */     // (AArch64fcmge:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, immAllZerosV:{ *:[v2f32] })  =>  (FCMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 404152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2i32rz),
     /* 404155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404157 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404159 */     GIR_RootConstrainSelectedInstOperands,
     /* 404160 */     // GIR_Coverage, 778,
     /* 404160 */     GIR_EraseRootFromParent_Done,
     /* 404161 */   // Label 8150: @404161
     /* 404161 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(404188), // Rule ID 1215 //
     /* 404166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404177 */     // (AArch64fcmge:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMGEv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 404177 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2f32),
     /* 404182 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404186 */     GIR_RootConstrainSelectedInstOperands,
     /* 404187 */     // GIR_Coverage, 1215,
     /* 404187 */     GIR_Done,
     /* 404188 */   // Label 8151: @404188
     /* 404188 */   GIM_Reject,
     /* 404189 */ // Label 8147: @404189
     /* 404189 */ GIM_Reject,
     /* 404190 */ // Label 8136: @404190
     /* 404190 */ GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(404362),
     /* 404195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 404198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 404201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404205 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(404264), // Rule ID 1176 //
     /* 404210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 404225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 404234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 404242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 404249 */     // (AArch64fcmge:{ *:[v2i64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FACGEv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 404249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f64),
     /* 404252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 404258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404262 */     GIR_RootConstrainSelectedInstOperands,
     /* 404263 */     // GIR_Coverage, 1176,
     /* 404263 */     GIR_EraseRootFromParent_Done,
     /* 404264 */   // Label 8153: @404264
     /* 404264 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(404299), // Rule ID 790 //
     /* 404269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404276 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404282 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404290 */     // (AArch64fcmge:{ *:[v2i64] } immAllZerosV:{ *:[v2f64] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 404290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv2i64rz),
     /* 404293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404297 */     GIR_RootConstrainSelectedInstOperands,
     /* 404298 */     // GIR_Coverage, 790,
     /* 404298 */     GIR_EraseRootFromParent_Done,
     /* 404299 */   // Label 8154: @404299
     /* 404299 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(404334), // Rule ID 780 //
     /* 404304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404315 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404321 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404325 */     // (AArch64fcmge:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, immAllZerosV:{ *:[v2f64] })  =>  (FCMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 404325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2i64rz),
     /* 404328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404330 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404332 */     GIR_RootConstrainSelectedInstOperands,
     /* 404333 */     // GIR_Coverage, 780,
     /* 404333 */     GIR_EraseRootFromParent_Done,
     /* 404334 */   // Label 8155: @404334
     /* 404334 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(404361), // Rule ID 1217 //
     /* 404339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404350 */     // (AArch64fcmge:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMGEv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 404350 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2f64),
     /* 404355 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404359 */     GIR_RootConstrainSelectedInstOperands,
     /* 404360 */     // GIR_Coverage, 1217,
     /* 404360 */     GIR_Done,
     /* 404361 */   // Label 8156: @404361
     /* 404361 */   GIM_Reject,
     /* 404362 */ // Label 8152: @404362
     /* 404362 */ GIM_Reject,
     /* 404363 */ // Label 8137: @404363
     /* 404363 */ GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(404535),
     /* 404368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 404371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 404374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404378 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(404437), // Rule ID 1168 //
     /* 404383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 404398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 404407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 404415 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404420 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 404422 */     // (AArch64fcmge:{ *:[v4i16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FACGEv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 404422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f16),
     /* 404425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 404431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404435 */     GIR_RootConstrainSelectedInstOperands,
     /* 404436 */     // GIR_Coverage, 1168,
     /* 404436 */     GIR_EraseRootFromParent_Done,
     /* 404437 */   // Label 8158: @404437
     /* 404437 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(404472), // Rule ID 786 //
     /* 404442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404449 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404455 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404463 */     // (AArch64fcmge:{ *:[v4i16] } immAllZerosV:{ *:[v4f16] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 404463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv4i16rz),
     /* 404466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404470 */     GIR_RootConstrainSelectedInstOperands,
     /* 404471 */     // GIR_Coverage, 786,
     /* 404471 */     GIR_EraseRootFromParent_Done,
     /* 404472 */   // Label 8159: @404472
     /* 404472 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(404507), // Rule ID 776 //
     /* 404477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404488 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404494 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404498 */     // (AArch64fcmge:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, immAllZerosV:{ *:[v4f16] })  =>  (FCMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 404498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4i16rz),
     /* 404501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404503 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404505 */     GIR_RootConstrainSelectedInstOperands,
     /* 404506 */     // GIR_Coverage, 776,
     /* 404506 */     GIR_EraseRootFromParent_Done,
     /* 404507 */   // Label 8160: @404507
     /* 404507 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(404534), // Rule ID 1213 //
     /* 404512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404523 */     // (AArch64fcmge:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMGEv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 404523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4f16),
     /* 404528 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404532 */     GIR_RootConstrainSelectedInstOperands,
     /* 404533 */     // GIR_Coverage, 1213,
     /* 404533 */     GIR_Done,
     /* 404534 */   // Label 8161: @404534
     /* 404534 */   GIM_Reject,
     /* 404535 */ // Label 8157: @404535
     /* 404535 */ GIM_Reject,
     /* 404536 */ // Label 8138: @404536
     /* 404536 */ GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(404708),
     /* 404541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 404547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404551 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(404610), // Rule ID 1174 //
     /* 404556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 404580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 404595 */     // (AArch64fcmge:{ *:[v4i32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FACGEv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 404595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f32),
     /* 404598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 404604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404608 */     GIR_RootConstrainSelectedInstOperands,
     /* 404609 */     // GIR_Coverage, 1174,
     /* 404609 */     GIR_EraseRootFromParent_Done,
     /* 404610 */   // Label 8163: @404610
     /* 404610 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(404645), // Rule ID 789 //
     /* 404615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404622 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404628 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404636 */     // (AArch64fcmge:{ *:[v4i32] } immAllZerosV:{ *:[v4f32] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 404636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv4i32rz),
     /* 404639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404643 */     GIR_RootConstrainSelectedInstOperands,
     /* 404644 */     // GIR_Coverage, 789,
     /* 404644 */     GIR_EraseRootFromParent_Done,
     /* 404645 */   // Label 8164: @404645
     /* 404645 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(404680), // Rule ID 779 //
     /* 404650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404661 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404667 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404671 */     // (AArch64fcmge:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, immAllZerosV:{ *:[v4f32] })  =>  (FCMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 404671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4i32rz),
     /* 404674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404676 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404678 */     GIR_RootConstrainSelectedInstOperands,
     /* 404679 */     // GIR_Coverage, 779,
     /* 404679 */     GIR_EraseRootFromParent_Done,
     /* 404680 */   // Label 8165: @404680
     /* 404680 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(404707), // Rule ID 1216 //
     /* 404685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404696 */     // (AArch64fcmge:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMGEv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 404696 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4f32),
     /* 404701 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404705 */     GIR_RootConstrainSelectedInstOperands,
     /* 404706 */     // GIR_Coverage, 1216,
     /* 404706 */     GIR_Done,
     /* 404707 */   // Label 8166: @404707
     /* 404707 */   GIM_Reject,
     /* 404708 */ // Label 8162: @404708
     /* 404708 */ GIM_Reject,
     /* 404709 */ // Label 8139: @404709
     /* 404709 */ GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(404881),
     /* 404714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 404720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404724 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(404783), // Rule ID 1170 //
     /* 404729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 404753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 404768 */     // (AArch64fcmge:{ *:[v8i16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FACGEv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 404768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv8f16),
     /* 404771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 404777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404781 */     GIR_RootConstrainSelectedInstOperands,
     /* 404782 */     // GIR_Coverage, 1170,
     /* 404782 */     GIR_EraseRootFromParent_Done,
     /* 404783 */   // Label 8168: @404783
     /* 404783 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(404818), // Rule ID 787 //
     /* 404788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404795 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404801 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404809 */     // (AArch64fcmge:{ *:[v8i16] } immAllZerosV:{ *:[v8f16] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 404809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv8i16rz),
     /* 404812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404816 */     GIR_RootConstrainSelectedInstOperands,
     /* 404817 */     // GIR_Coverage, 787,
     /* 404817 */     GIR_EraseRootFromParent_Done,
     /* 404818 */   // Label 8169: @404818
     /* 404818 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(404853), // Rule ID 777 //
     /* 404823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404834 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404840 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404844 */     // (AArch64fcmge:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, immAllZerosV:{ *:[v8f16] })  =>  (FCMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 404844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv8i16rz),
     /* 404847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404849 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404851 */     GIR_RootConstrainSelectedInstOperands,
     /* 404852 */     // GIR_Coverage, 777,
     /* 404852 */     GIR_EraseRootFromParent_Done,
     /* 404853 */   // Label 8170: @404853
     /* 404853 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(404880), // Rule ID 1214 //
     /* 404858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404869 */     // (AArch64fcmge:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMGEv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 404869 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv8f16),
     /* 404874 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404878 */     GIR_RootConstrainSelectedInstOperands,
     /* 404879 */     // GIR_Coverage, 1214,
     /* 404879 */     GIR_Done,
     /* 404880 */   // Label 8171: @404880
     /* 404880 */   GIM_Reject,
     /* 404881 */ // Label 8167: @404881
     /* 404881 */ GIM_Reject,
     /* 404882 */ // Label 8140: @404882
     /* 404882 */ GIM_Reject,
     /* 404883 */ // Label 130: @404883
     /* 404883 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 8179*/ GIMT_Encode4(405974),
     /* 404894 */ /*GILLT_s32*//*Label 8172*/ GIMT_Encode4(404930),
     /* 404898 */ /*GILLT_s64*//*Label 8173*/ GIMT_Encode4(404968), GIMT_Encode4(0),
     /* 404906 */ /*GILLT_v2s32*//*Label 8174*/ GIMT_Encode4(405109),
     /* 404910 */ /*GILLT_v2s64*//*Label 8175*/ GIMT_Encode4(405282),
     /* 404914 */ /*GILLT_v4s16*//*Label 8176*/ GIMT_Encode4(405455),
     /* 404918 */ /*GILLT_v4s32*//*Label 8177*/ GIMT_Encode4(405628), GIMT_Encode4(0),
     /* 404926 */ /*GILLT_v8s16*//*Label 8178*/ GIMT_Encode4(405801),
     /* 404930 */ // Label 8172: @404930
     /* 404930 */ GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(404967), // Rule ID 1626 //
     /* 404935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 404941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 404944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 404948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 404952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 404956 */   // (AArch64fcmgt:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FCMGT32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 404956 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGT32),
     /* 404961 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404965 */   GIR_RootConstrainSelectedInstOperands,
     /* 404966 */   // GIR_Coverage, 1626,
     /* 404966 */   GIR_Done,
     /* 404967 */ // Label 8180: @404967
     /* 404967 */ GIM_Reject,
     /* 404968 */ // Label 8173: @404968
     /* 404968 */ GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(405108),
     /* 404973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 404976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 404979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404983 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(405018), // Rule ID 5247 //
     /* 404988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404995 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405001 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405009 */     // (AArch64fcmgt:{ *:[v1i64] } immAllZerosV:{ *:[v1f64] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMLTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 405009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv1i64rz),
     /* 405012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405014 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 405016 */     GIR_RootConstrainSelectedInstOperands,
     /* 405017 */     // GIR_Coverage, 5247,
     /* 405017 */     GIR_EraseRootFromParent_Done,
     /* 405018 */   // Label 8182: @405018
     /* 405018 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(405053), // Rule ID 5245 //
     /* 405023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 405034 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405040 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405044 */     // (AArch64fcmgt:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, immAllZerosV:{ *:[v1f64] })  =>  (FCMGTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 405044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv1i64rz),
     /* 405047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405049 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 405051 */     GIR_RootConstrainSelectedInstOperands,
     /* 405052 */     // GIR_Coverage, 5245,
     /* 405052 */     GIR_EraseRootFromParent_Done,
     /* 405053 */   // Label 8183: @405053
     /* 405053 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(405080), // Rule ID 1625 //
     /* 405058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405069 */     // (AArch64fcmgt:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FCMGT64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 405069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGT64),
     /* 405074 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 405078 */     GIR_RootConstrainSelectedInstOperands,
     /* 405079 */     // GIR_Coverage, 1625,
     /* 405079 */     GIR_Done,
     /* 405080 */   // Label 8184: @405080
     /* 405080 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(405107), // Rule ID 5214 //
     /* 405085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405096 */     // (AArch64fcmgt:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FCMGT64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 405096 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGT64),
     /* 405101 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 405105 */     GIR_RootConstrainSelectedInstOperands,
     /* 405106 */     // GIR_Coverage, 5214,
     /* 405106 */     GIR_Done,
     /* 405107 */   // Label 8185: @405107
     /* 405107 */   GIM_Reject,
     /* 405108 */ // Label 8181: @405108
     /* 405108 */ GIM_Reject,
     /* 405109 */ // Label 8174: @405109
     /* 405109 */ GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(405281),
     /* 405114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 405117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 405120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405124 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(405183), // Rule ID 1182 //
     /* 405129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 405144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 405153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 405161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 405168 */     // (AArch64fcmgt:{ *:[v2i32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FACGTv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 405168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f32),
     /* 405171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 405177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 405181 */     GIR_RootConstrainSelectedInstOperands,
     /* 405182 */     // GIR_Coverage, 1182,
     /* 405182 */     GIR_EraseRootFromParent_Done,
     /* 405183 */   // Label 8187: @405183
     /* 405183 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(405218), // Rule ID 793 //
     /* 405188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405195 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405201 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405209 */     // (AArch64fcmgt:{ *:[v2i32] } immAllZerosV:{ *:[v2f32] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 405209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv2i32rz),
     /* 405212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405214 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 405216 */     GIR_RootConstrainSelectedInstOperands,
     /* 405217 */     // GIR_Coverage, 793,
     /* 405217 */     GIR_EraseRootFromParent_Done,
     /* 405218 */   // Label 8188: @405218
     /* 405218 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(405253), // Rule ID 783 //
     /* 405223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 405234 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405240 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405244 */     // (AArch64fcmgt:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, immAllZerosV:{ *:[v2f32] })  =>  (FCMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 405244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2i32rz),
     /* 405247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405249 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 405251 */     GIR_RootConstrainSelectedInstOperands,
     /* 405252 */     // GIR_Coverage, 783,
     /* 405252 */     GIR_EraseRootFromParent_Done,
     /* 405253 */   // Label 8189: @405253
     /* 405253 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(405280), // Rule ID 1220 //
     /* 405258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405269 */     // (AArch64fcmgt:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMGTv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 405269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2f32),
     /* 405274 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 405278 */     GIR_RootConstrainSelectedInstOperands,
     /* 405279 */     // GIR_Coverage, 1220,
     /* 405279 */     GIR_Done,
     /* 405280 */   // Label 8190: @405280
     /* 405280 */   GIM_Reject,
     /* 405281 */ // Label 8186: @405281
     /* 405281 */ GIM_Reject,
     /* 405282 */ // Label 8175: @405282
     /* 405282 */ GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(405454),
     /* 405287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 405290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 405293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405297 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(405356), // Rule ID 1186 //
     /* 405302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 405317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 405326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 405334 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405339 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 405341 */     // (AArch64fcmgt:{ *:[v2i64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FACGTv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 405341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f64),
     /* 405344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 405350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 405354 */     GIR_RootConstrainSelectedInstOperands,
     /* 405355 */     // GIR_Coverage, 1186,
     /* 405355 */     GIR_EraseRootFromParent_Done,
     /* 405356 */   // Label 8192: @405356
     /* 405356 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(405391), // Rule ID 795 //
     /* 405361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405368 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405374 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405382 */     // (AArch64fcmgt:{ *:[v2i64] } immAllZerosV:{ *:[v2f64] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 405382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv2i64rz),
     /* 405385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 405389 */     GIR_RootConstrainSelectedInstOperands,
     /* 405390 */     // GIR_Coverage, 795,
     /* 405390 */     GIR_EraseRootFromParent_Done,
     /* 405391 */   // Label 8193: @405391
     /* 405391 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(405426), // Rule ID 785 //
     /* 405396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 405407 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405413 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405417 */     // (AArch64fcmgt:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, immAllZerosV:{ *:[v2f64] })  =>  (FCMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 405417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2i64rz),
     /* 405420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405422 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 405424 */     GIR_RootConstrainSelectedInstOperands,
     /* 405425 */     // GIR_Coverage, 785,
     /* 405425 */     GIR_EraseRootFromParent_Done,
     /* 405426 */   // Label 8194: @405426
     /* 405426 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(405453), // Rule ID 1222 //
     /* 405431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405442 */     // (AArch64fcmgt:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMGTv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 405442 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2f64),
     /* 405447 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 405451 */     GIR_RootConstrainSelectedInstOperands,
     /* 405452 */     // GIR_Coverage, 1222,
     /* 405452 */     GIR_Done,
     /* 405453 */   // Label 8195: @405453
     /* 405453 */   GIM_Reject,
     /* 405454 */ // Label 8191: @405454
     /* 405454 */ GIM_Reject,
     /* 405455 */ // Label 8176: @405455
     /* 405455 */ GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(405627),
     /* 405460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 405463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 405466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405470 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(405529), // Rule ID 1178 //
     /* 405475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 405490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 405499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 405507 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 405514 */     // (AArch64fcmgt:{ *:[v4i16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FACGTv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 405514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f16),
     /* 405517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 405523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 405527 */     GIR_RootConstrainSelectedInstOperands,
     /* 405528 */     // GIR_Coverage, 1178,
     /* 405528 */     GIR_EraseRootFromParent_Done,
     /* 405529 */   // Label 8197: @405529
     /* 405529 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(405564), // Rule ID 791 //
     /* 405534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405541 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405547 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405555 */     // (AArch64fcmgt:{ *:[v4i16] } immAllZerosV:{ *:[v4f16] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 405555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv4i16rz),
     /* 405558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 405562 */     GIR_RootConstrainSelectedInstOperands,
     /* 405563 */     // GIR_Coverage, 791,
     /* 405563 */     GIR_EraseRootFromParent_Done,
     /* 405564 */   // Label 8198: @405564
     /* 405564 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(405599), // Rule ID 781 //
     /* 405569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 405580 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405586 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405590 */     // (AArch64fcmgt:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, immAllZerosV:{ *:[v4f16] })  =>  (FCMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 405590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4i16rz),
     /* 405593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405595 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 405597 */     GIR_RootConstrainSelectedInstOperands,
     /* 405598 */     // GIR_Coverage, 781,
     /* 405598 */     GIR_EraseRootFromParent_Done,
     /* 405599 */   // Label 8199: @405599
     /* 405599 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(405626), // Rule ID 1218 //
     /* 405604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405615 */     // (AArch64fcmgt:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMGTv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 405615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4f16),
     /* 405620 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 405624 */     GIR_RootConstrainSelectedInstOperands,
     /* 405625 */     // GIR_Coverage, 1218,
     /* 405625 */     GIR_Done,
     /* 405626 */   // Label 8200: @405626
     /* 405626 */   GIM_Reject,
     /* 405627 */ // Label 8196: @405627
     /* 405627 */ GIM_Reject,
     /* 405628 */ // Label 8177: @405628
     /* 405628 */ GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(405800),
     /* 405633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 405636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 405639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405643 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(405702), // Rule ID 1184 //
     /* 405648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 405663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 405672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 405680 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 405687 */     // (AArch64fcmgt:{ *:[v4i32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FACGTv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 405687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f32),
     /* 405690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 405696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 405700 */     GIR_RootConstrainSelectedInstOperands,
     /* 405701 */     // GIR_Coverage, 1184,
     /* 405701 */     GIR_EraseRootFromParent_Done,
     /* 405702 */   // Label 8202: @405702
     /* 405702 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(405737), // Rule ID 794 //
     /* 405707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405714 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405720 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405728 */     // (AArch64fcmgt:{ *:[v4i32] } immAllZerosV:{ *:[v4f32] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 405728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv4i32rz),
     /* 405731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405733 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 405735 */     GIR_RootConstrainSelectedInstOperands,
     /* 405736 */     // GIR_Coverage, 794,
     /* 405736 */     GIR_EraseRootFromParent_Done,
     /* 405737 */   // Label 8203: @405737
     /* 405737 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(405772), // Rule ID 784 //
     /* 405742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 405753 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405759 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405763 */     // (AArch64fcmgt:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, immAllZerosV:{ *:[v4f32] })  =>  (FCMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 405763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4i32rz),
     /* 405766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405768 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 405770 */     GIR_RootConstrainSelectedInstOperands,
     /* 405771 */     // GIR_Coverage, 784,
     /* 405771 */     GIR_EraseRootFromParent_Done,
     /* 405772 */   // Label 8204: @405772
     /* 405772 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(405799), // Rule ID 1221 //
     /* 405777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405788 */     // (AArch64fcmgt:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMGTv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 405788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4f32),
     /* 405793 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 405797 */     GIR_RootConstrainSelectedInstOperands,
     /* 405798 */     // GIR_Coverage, 1221,
     /* 405798 */     GIR_Done,
     /* 405799 */   // Label 8205: @405799
     /* 405799 */   GIM_Reject,
     /* 405800 */ // Label 8201: @405800
     /* 405800 */ GIM_Reject,
     /* 405801 */ // Label 8178: @405801
     /* 405801 */ GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(405973),
     /* 405806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 405809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 405812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405816 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(405875), // Rule ID 1180 //
     /* 405821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 405836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 405845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 405853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 405860 */     // (AArch64fcmgt:{ *:[v8i16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FACGTv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 405860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv8f16),
     /* 405863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 405869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 405873 */     GIR_RootConstrainSelectedInstOperands,
     /* 405874 */     // GIR_Coverage, 1180,
     /* 405874 */     GIR_EraseRootFromParent_Done,
     /* 405875 */   // Label 8207: @405875
     /* 405875 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(405910), // Rule ID 792 //
     /* 405880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405887 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405893 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405901 */     // (AArch64fcmgt:{ *:[v8i16] } immAllZerosV:{ *:[v8f16] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 405901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv8i16rz),
     /* 405904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 405908 */     GIR_RootConstrainSelectedInstOperands,
     /* 405909 */     // GIR_Coverage, 792,
     /* 405909 */     GIR_EraseRootFromParent_Done,
     /* 405910 */   // Label 8208: @405910
     /* 405910 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(405945), // Rule ID 782 //
     /* 405915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 405926 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405932 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405936 */     // (AArch64fcmgt:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, immAllZerosV:{ *:[v8f16] })  =>  (FCMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 405936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv8i16rz),
     /* 405939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405941 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 405943 */     GIR_RootConstrainSelectedInstOperands,
     /* 405944 */     // GIR_Coverage, 782,
     /* 405944 */     GIR_EraseRootFromParent_Done,
     /* 405945 */   // Label 8209: @405945
     /* 405945 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(405972), // Rule ID 1219 //
     /* 405950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405961 */     // (AArch64fcmgt:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMGTv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 405961 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv8f16),
     /* 405966 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 405970 */     GIR_RootConstrainSelectedInstOperands,
     /* 405971 */     // GIR_Coverage, 1219,
     /* 405971 */     GIR_Done,
     /* 405972 */   // Label 8210: @405972
     /* 405972 */   GIM_Reject,
     /* 405973 */ // Label 8206: @405973
     /* 405973 */ GIM_Reject,
     /* 405974 */ // Label 8179: @405974
     /* 405974 */ GIM_Reject,
     /* 405975 */ // Label 131: @405975
     /* 405975 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 8215*/ GIMT_Encode4(406128),
     /* 405986 */ /*GILLT_s32*//*Label 8211*/ GIMT_Encode4(406026),
     /* 405990 */ /*GILLT_s64*//*Label 8212*/ GIMT_Encode4(406050), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 406014 */ /*GILLT_v8s8*//*Label 8213*/ GIMT_Encode4(406074), GIMT_Encode4(0),
     /* 406022 */ /*GILLT_v16s8*//*Label 8214*/ GIMT_Encode4(406101),
     /* 406026 */ // Label 8211: @406026
     /* 406026 */ GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(406049), // Rule ID 4015 //
     /* 406031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 406034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 406038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 406042 */   // (AArch64rev16:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (REV16Wr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 406042 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16Wr),
     /* 406047 */   GIR_RootConstrainSelectedInstOperands,
     /* 406048 */   // GIR_Coverage, 4015,
     /* 406048 */   GIR_Done,
     /* 406049 */ // Label 8216: @406049
     /* 406049 */ GIM_Reject,
     /* 406050 */ // Label 8212: @406050
     /* 406050 */ GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(406073), // Rule ID 4016 //
     /* 406055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 406058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 406062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 406066 */   // (AArch64rev16:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (REV16Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 406066 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16Xr),
     /* 406071 */   GIR_RootConstrainSelectedInstOperands,
     /* 406072 */   // GIR_Coverage, 4016,
     /* 406072 */   GIR_Done,
     /* 406073 */ // Label 8217: @406073
     /* 406073 */ GIM_Reject,
     /* 406074 */ // Label 8213: @406074
     /* 406074 */ GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(406100), // Rule ID 976 //
     /* 406079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 406085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406093 */   // (AArch64rev16:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (REV16v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 406093 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /* 406098 */   GIR_RootConstrainSelectedInstOperands,
     /* 406099 */   // GIR_Coverage, 976,
     /* 406099 */   GIR_Done,
     /* 406100 */ // Label 8218: @406100
     /* 406100 */ GIM_Reject,
     /* 406101 */ // Label 8214: @406101
     /* 406101 */ GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(406127), // Rule ID 977 //
     /* 406106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 406112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406120 */   // (AArch64rev16:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (REV16v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 406120 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /* 406125 */   GIR_RootConstrainSelectedInstOperands,
     /* 406126 */   // GIR_Coverage, 977,
     /* 406126 */   GIR_Done,
     /* 406127 */ // Label 8219: @406127
     /* 406127 */ GIM_Reject,
     /* 406128 */ // Label 8215: @406128
     /* 406128 */ GIM_Reject,
     /* 406129 */ // Label 132: @406129
     /* 406129 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(12), /*)*//*default:*//*Label 8224*/ GIMT_Encode4(406304),
     /* 406140 */ /*GILLT_v4s16*//*Label 8220*/ GIMT_Encode4(406160), GIMT_Encode4(0),
     /* 406148 */ /*GILLT_v8s8*//*Label 8221*/ GIMT_Encode4(406205),
     /* 406152 */ /*GILLT_v8s16*//*Label 8222*/ GIMT_Encode4(406232),
     /* 406156 */ /*GILLT_v16s8*//*Label 8223*/ GIMT_Encode4(406277),
     /* 406160 */ // Label 8220: @406160
     /* 406160 */ GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(406204),
     /* 406165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 406168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406176 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(406191), // Rule ID 980 //
     /* 406181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406184 */     // (AArch64rev32:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (REV32v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 406184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /* 406189 */     GIR_RootConstrainSelectedInstOperands,
     /* 406190 */     // GIR_Coverage, 980,
     /* 406190 */     GIR_Done,
     /* 406191 */   // Label 8226: @406191
     /* 406191 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(406203), // Rule ID 4962 //
     /* 406196 */     // (AArch64rev32:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (REV32v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 406196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /* 406201 */     GIR_RootConstrainSelectedInstOperands,
     /* 406202 */     // GIR_Coverage, 4962,
     /* 406202 */     GIR_Done,
     /* 406203 */   // Label 8227: @406203
     /* 406203 */   GIM_Reject,
     /* 406204 */ // Label 8225: @406204
     /* 406204 */ GIM_Reject,
     /* 406205 */ // Label 8221: @406205
     /* 406205 */ GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(406231), // Rule ID 978 //
     /* 406210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 406216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406224 */   // (AArch64rev32:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (REV32v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 406224 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /* 406229 */   GIR_RootConstrainSelectedInstOperands,
     /* 406230 */   // GIR_Coverage, 978,
     /* 406230 */   GIR_Done,
     /* 406231 */ // Label 8228: @406231
     /* 406231 */ GIM_Reject,
     /* 406232 */ // Label 8222: @406232
     /* 406232 */ GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(406276),
     /* 406237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 406240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406248 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(406263), // Rule ID 981 //
     /* 406253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406256 */     // (AArch64rev32:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (REV32v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 406256 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /* 406261 */     GIR_RootConstrainSelectedInstOperands,
     /* 406262 */     // GIR_Coverage, 981,
     /* 406262 */     GIR_Done,
     /* 406263 */   // Label 8230: @406263
     /* 406263 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(406275), // Rule ID 4964 //
     /* 406268 */     // (AArch64rev32:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (REV32v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 406268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /* 406273 */     GIR_RootConstrainSelectedInstOperands,
     /* 406274 */     // GIR_Coverage, 4964,
     /* 406274 */     GIR_Done,
     /* 406275 */   // Label 8231: @406275
     /* 406275 */   GIM_Reject,
     /* 406276 */ // Label 8229: @406276
     /* 406276 */ GIM_Reject,
     /* 406277 */ // Label 8223: @406277
     /* 406277 */ GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(406303), // Rule ID 979 //
     /* 406282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 406288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406296 */   // (AArch64rev32:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (REV32v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 406296 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /* 406301 */   GIR_RootConstrainSelectedInstOperands,
     /* 406302 */   // GIR_Coverage, 979,
     /* 406302 */   GIR_Done,
     /* 406303 */ // Label 8232: @406303
     /* 406303 */ GIM_Reject,
     /* 406304 */ // Label 8224: @406304
     /* 406304 */ GIM_Reject,
     /* 406305 */ // Label 133: @406305
     /* 406305 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(12), /*)*//*default:*//*Label 8239*/ GIMT_Encode4(406578),
     /* 406316 */ /*GILLT_v2s32*//*Label 8233*/ GIMT_Encode4(406344), GIMT_Encode4(0),
     /* 406324 */ /*GILLT_v4s16*//*Label 8234*/ GIMT_Encode4(406389),
     /* 406328 */ /*GILLT_v4s32*//*Label 8235*/ GIMT_Encode4(406434),
     /* 406332 */ /*GILLT_v8s8*//*Label 8236*/ GIMT_Encode4(406479),
     /* 406336 */ /*GILLT_v8s16*//*Label 8237*/ GIMT_Encode4(406506),
     /* 406340 */ /*GILLT_v16s8*//*Label 8238*/ GIMT_Encode4(406551),
     /* 406344 */ // Label 8233: @406344
     /* 406344 */ GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(406388),
     /* 406349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 406352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406360 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(406375), // Rule ID 986 //
     /* 406365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406368 */     // (AArch64rev64:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (REV64v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 406368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /* 406373 */     GIR_RootConstrainSelectedInstOperands,
     /* 406374 */     // GIR_Coverage, 986,
     /* 406374 */     GIR_Done,
     /* 406375 */   // Label 8241: @406375
     /* 406375 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(406387), // Rule ID 4966 //
     /* 406380 */     // (AArch64rev64:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (REV64v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 406380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /* 406385 */     GIR_RootConstrainSelectedInstOperands,
     /* 406386 */     // GIR_Coverage, 4966,
     /* 406386 */     GIR_Done,
     /* 406387 */   // Label 8242: @406387
     /* 406387 */   GIM_Reject,
     /* 406388 */ // Label 8240: @406388
     /* 406388 */ GIM_Reject,
     /* 406389 */ // Label 8234: @406389
     /* 406389 */ GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(406433),
     /* 406394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 406397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406405 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(406420), // Rule ID 984 //
     /* 406410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406413 */     // (AArch64rev64:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (REV64v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 406413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /* 406418 */     GIR_RootConstrainSelectedInstOperands,
     /* 406419 */     // GIR_Coverage, 984,
     /* 406419 */     GIR_Done,
     /* 406420 */   // Label 8244: @406420
     /* 406420 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(406432), // Rule ID 4963 //
     /* 406425 */     // (AArch64rev64:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (REV64v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 406425 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /* 406430 */     GIR_RootConstrainSelectedInstOperands,
     /* 406431 */     // GIR_Coverage, 4963,
     /* 406431 */     GIR_Done,
     /* 406432 */   // Label 8245: @406432
     /* 406432 */   GIM_Reject,
     /* 406433 */ // Label 8243: @406433
     /* 406433 */ GIM_Reject,
     /* 406434 */ // Label 8235: @406434
     /* 406434 */ GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(406478),
     /* 406439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 406442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406450 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(406465), // Rule ID 987 //
     /* 406455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406458 */     // (AArch64rev64:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (REV64v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 406458 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /* 406463 */     GIR_RootConstrainSelectedInstOperands,
     /* 406464 */     // GIR_Coverage, 987,
     /* 406464 */     GIR_Done,
     /* 406465 */   // Label 8247: @406465
     /* 406465 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(406477), // Rule ID 4967 //
     /* 406470 */     // (AArch64rev64:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (REV64v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 406470 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /* 406475 */     GIR_RootConstrainSelectedInstOperands,
     /* 406476 */     // GIR_Coverage, 4967,
     /* 406476 */     GIR_Done,
     /* 406477 */   // Label 8248: @406477
     /* 406477 */   GIM_Reject,
     /* 406478 */ // Label 8246: @406478
     /* 406478 */ GIM_Reject,
     /* 406479 */ // Label 8236: @406479
     /* 406479 */ GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(406505), // Rule ID 982 //
     /* 406484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 406490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406498 */   // (AArch64rev64:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (REV64v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 406498 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /* 406503 */   GIR_RootConstrainSelectedInstOperands,
     /* 406504 */   // GIR_Coverage, 982,
     /* 406504 */   GIR_Done,
     /* 406505 */ // Label 8249: @406505
     /* 406505 */ GIM_Reject,
     /* 406506 */ // Label 8237: @406506
     /* 406506 */ GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(406550),
     /* 406511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 406514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406522 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(406537), // Rule ID 985 //
     /* 406527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406530 */     // (AArch64rev64:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (REV64v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 406530 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /* 406535 */     GIR_RootConstrainSelectedInstOperands,
     /* 406536 */     // GIR_Coverage, 985,
     /* 406536 */     GIR_Done,
     /* 406537 */   // Label 8251: @406537
     /* 406537 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(406549), // Rule ID 4965 //
     /* 406542 */     // (AArch64rev64:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (REV64v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 406542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /* 406547 */     GIR_RootConstrainSelectedInstOperands,
     /* 406548 */     // GIR_Coverage, 4965,
     /* 406548 */     GIR_Done,
     /* 406549 */   // Label 8252: @406549
     /* 406549 */   GIM_Reject,
     /* 406550 */ // Label 8250: @406550
     /* 406550 */ GIM_Reject,
     /* 406551 */ // Label 8238: @406551
     /* 406551 */ GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(406577), // Rule ID 983 //
     /* 406556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 406562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406570 */   // (AArch64rev64:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (REV64v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 406570 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /* 406575 */   GIR_RootConstrainSelectedInstOperands,
     /* 406576 */   // GIR_Coverage, 983,
     /* 406576 */   GIR_Done,
     /* 406577 */ // Label 8253: @406577
     /* 406577 */ GIM_Reject,
     /* 406578 */ // Label 8239: @406578
     /* 406578 */ GIM_Reject,
     /* 406579 */ // Label 134: @406579
     /* 406579 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 8260*/ GIMT_Encode4(406784),
     /* 406590 */ /*GILLT_s64*//*Label 8254*/ GIMT_Encode4(406622), GIMT_Encode4(0),
     /* 406598 */ /*GILLT_v2s32*//*Label 8255*/ GIMT_Encode4(406649),
     /* 406602 */ /*GILLT_v2s64*//*Label 8256*/ GIMT_Encode4(406676),
     /* 406606 */ /*GILLT_v4s16*//*Label 8257*/ GIMT_Encode4(406703),
     /* 406610 */ /*GILLT_v4s32*//*Label 8258*/ GIMT_Encode4(406730), GIMT_Encode4(0),
     /* 406618 */ /*GILLT_v8s16*//*Label 8259*/ GIMT_Encode4(406757),
     /* 406622 */ // Label 8254: @406622
     /* 406622 */ GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(406648), // Rule ID 1008 //
     /* 406627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 406633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406641 */   // (AArch64saddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)  =>  (SADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 406641 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv2i32_v1i64),
     /* 406646 */   GIR_RootConstrainSelectedInstOperands,
     /* 406647 */   // GIR_Coverage, 1008,
     /* 406647 */   GIR_Done,
     /* 406648 */ // Label 8261: @406648
     /* 406648 */ GIM_Reject,
     /* 406649 */ // Label 8255: @406649
     /* 406649 */ GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(406675), // Rule ID 1004 //
     /* 406654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 406660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406668 */   // (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 406668 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i16_v2i32),
     /* 406673 */   GIR_RootConstrainSelectedInstOperands,
     /* 406674 */   // GIR_Coverage, 1004,
     /* 406674 */   GIR_Done,
     /* 406675 */ // Label 8262: @406675
     /* 406675 */ GIM_Reject,
     /* 406676 */ // Label 8256: @406676
     /* 406676 */ GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(406702), // Rule ID 1010 //
     /* 406681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 406687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406695 */   // (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (SADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 406695 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i32_v2i64),
     /* 406700 */   GIR_RootConstrainSelectedInstOperands,
     /* 406701 */   // GIR_Coverage, 1010,
     /* 406701 */   GIR_Done,
     /* 406702 */ // Label 8263: @406702
     /* 406702 */ GIM_Reject,
     /* 406703 */ // Label 8257: @406703
     /* 406703 */ GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(406729), // Rule ID 1000 //
     /* 406708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 406714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406722 */   // (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)  =>  (SADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 406722 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i8_v4i16),
     /* 406727 */   GIR_RootConstrainSelectedInstOperands,
     /* 406728 */   // GIR_Coverage, 1000,
     /* 406728 */   GIR_Done,
     /* 406729 */ // Label 8264: @406729
     /* 406729 */ GIM_Reject,
     /* 406730 */ // Label 8258: @406730
     /* 406730 */ GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(406756), // Rule ID 1006 //
     /* 406735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 406741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406749 */   // (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (SADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 406749 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i16_v4i32),
     /* 406754 */   GIR_RootConstrainSelectedInstOperands,
     /* 406755 */   // GIR_Coverage, 1006,
     /* 406755 */   GIR_Done,
     /* 406756 */ // Label 8265: @406756
     /* 406756 */ GIM_Reject,
     /* 406757 */ // Label 8259: @406757
     /* 406757 */ GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(406783), // Rule ID 1002 //
     /* 406762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 406768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406776 */   // (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)  =>  (SADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 406776 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv16i8_v8i16),
     /* 406781 */   GIR_RootConstrainSelectedInstOperands,
     /* 406782 */   // GIR_Coverage, 1002,
     /* 406782 */   GIR_Done,
     /* 406783 */ // Label 8266: @406783
     /* 406783 */ GIM_Reject,
     /* 406784 */ // Label 8260: @406784
     /* 406784 */ GIM_Reject,
     /* 406785 */ // Label 135: @406785
     /* 406785 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(9), /*)*//*default:*//*Label 8269*/ GIMT_Encode4(407183),
     /* 406796 */ /*GILLT_v2s64*//*Label 8267*/ GIMT_Encode4(406808), GIMT_Encode4(0),
     /* 406804 */ /*GILLT_v4s32*//*Label 8268*/ GIMT_Encode4(406946),
     /* 406808 */ // Label 8267: @406808
     /* 406808 */ GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(406867), // Rule ID 5882 //
     /* 406813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 406816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406824 */   // (AArch64saddlv:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (SADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /* 406824 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 406827 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i32v),
     /* 406831 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 406836 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 406840 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 406842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 406845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 406847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406850 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 406853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 406856 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406861 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406866 */   // GIR_Coverage, 5882,
     /* 406866 */   GIR_EraseRootFromParent_Done,
     /* 406867 */ // Label 8270: @406867
     /* 406867 */ GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(406945), // Rule ID 6004 //
     /* 406872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 406875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406883 */   // (AArch64saddlv:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (SADDLPv2i32_v1i64:{ *:[i64] } V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] })
     /* 406883 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 406886 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv2i32_v1i64),
     /* 406890 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 406895 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 406899 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 406901 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 406904 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 406908 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 406913 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 406915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 406918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 406920 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 406923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 406926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 406929 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406934 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406939 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406944 */   // GIR_Coverage, 6004,
     /* 406944 */   GIR_EraseRootFromParent_Done,
     /* 406945 */ // Label 8271: @406945
     /* 406945 */ GIM_Reject,
     /* 406946 */ // Label 8268: @406946
     /* 406946 */ GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(407005), // Rule ID 5878 //
     /* 406951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 406954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406962 */   // (AArch64saddlv:{ *:[v4i32] } V64:{ *:[v8i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn), hsub:{ *:[i32] })
     /* 406962 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 406965 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i8v),
     /* 406969 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 406974 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 406978 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 406980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 406983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 406985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406988 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 406991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 406994 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406999 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 407004 */   // GIR_Coverage, 5878,
     /* 407004 */   GIR_EraseRootFromParent_Done,
     /* 407005 */ // Label 8272: @407005
     /* 407005 */ GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(407064), // Rule ID 5879 //
     /* 407010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 407013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407021 */   // (AArch64saddlv:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn), ssub:{ *:[i32] })
     /* 407021 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 407024 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i16v),
     /* 407028 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407033 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 407037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407047 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 407053 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407058 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 407063 */   // GIR_Coverage, 5879,
     /* 407063 */   GIR_EraseRootFromParent_Done,
     /* 407064 */ // Label 8273: @407064
     /* 407064 */ GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(407123), // Rule ID 5880 //
     /* 407069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 407072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407080 */   // (AArch64saddlv:{ *:[v4i32] } V128:{ *:[v16i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn), hsub:{ *:[i32] })
     /* 407080 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 407083 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv16i8v),
     /* 407087 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407092 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 407096 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 407112 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407117 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 407122 */   // GIR_Coverage, 5880,
     /* 407122 */   GIR_EraseRootFromParent_Done,
     /* 407123 */ // Label 8274: @407123
     /* 407123 */ GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(407182), // Rule ID 5881 //
     /* 407128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 407131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407139 */   // (AArch64saddlv:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn), ssub:{ *:[i32] })
     /* 407139 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 407142 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i16v),
     /* 407146 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407151 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 407155 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407165 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 407171 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407176 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 407181 */   // GIR_Coverage, 5881,
     /* 407181 */   GIR_EraseRootFromParent_Done,
     /* 407182 */ // Label 8275: @407182
     /* 407182 */ GIM_Reject,
     /* 407183 */ // Label 8269: @407183
     /* 407183 */ GIM_Reject,
     /* 407184 */ // Label 136: @407184
     /* 407184 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(20), /*)*//*default:*//*Label 8280*/ GIMT_Encode4(407553),
     /* 407195 */ /*GILLT_v2s32*//*Label 8276*/ GIMT_Encode4(407255), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 407207 */ /*GILLT_v4s32*//*Label 8277*/ GIMT_Encode4(407375), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 407239 */ /*GILLT_nxv2s64*//*Label 8278*/ GIMT_Encode4(407495), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 407251 */ /*GILLT_nxv4s32*//*Label 8279*/ GIMT_Encode4(407524),
     /* 407255 */ // Label 8276: @407255
     /* 407255 */ GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(407374),
     /* 407260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 407263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 407266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 407269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407281 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(407354), // Rule ID 26 //
     /* 407286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 407289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 407293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 407297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 407301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407313 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 407317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407322 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 407326 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 407330 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 407334 */     // MIs[3] Operand 1
     /* 407334 */     // No operand predicates
     /* 407334 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407336 */     // (AArch64sdot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, (bitconvert:{ *:[v8i8] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SDOTlanev8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 407336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOTlanev8i8),
     /* 407339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407341 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 407343 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 407345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 407349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 407352 */     GIR_RootConstrainSelectedInstOperands,
     /* 407353 */     // GIR_Coverage, 26,
     /* 407353 */     GIR_EraseRootFromParent_Done,
     /* 407354 */   // Label 8282: @407354
     /* 407354 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(407373), // Rule ID 22 //
     /* 407359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 407362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407366 */     // (AArch64sdot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SDOTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 407366 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOTv8i8),
     /* 407371 */     GIR_RootConstrainSelectedInstOperands,
     /* 407372 */     // GIR_Coverage, 22,
     /* 407372 */     GIR_Done,
     /* 407373 */   // Label 8283: @407373
     /* 407373 */   GIM_Reject,
     /* 407374 */ // Label 8281: @407374
     /* 407374 */ GIM_Reject,
     /* 407375 */ // Label 8277: @407375
     /* 407375 */ GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(407494),
     /* 407380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 407386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 407389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407401 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(407474), // Rule ID 27 //
     /* 407406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 407409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 407413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 407417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407421 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407425 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407429 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407433 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 407437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407442 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 407446 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 407450 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 407454 */     // MIs[3] Operand 1
     /* 407454 */     // No operand predicates
     /* 407454 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407456 */     // (AArch64sdot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, (bitconvert:{ *:[v16i8] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SDOTlanev16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 407456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOTlanev16i8),
     /* 407459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407461 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 407463 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 407465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 407469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 407472 */     GIR_RootConstrainSelectedInstOperands,
     /* 407473 */     // GIR_Coverage, 27,
     /* 407473 */     GIR_EraseRootFromParent_Done,
     /* 407474 */   // Label 8285: @407474
     /* 407474 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(407493), // Rule ID 23 //
     /* 407479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 407482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407486 */     // (AArch64sdot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SDOTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 407486 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOTv16i8),
     /* 407491 */     GIR_RootConstrainSelectedInstOperands,
     /* 407492 */     // GIR_Coverage, 23,
     /* 407492 */     GIR_Done,
     /* 407493 */   // Label 8286: @407493
     /* 407493 */   GIM_Reject,
     /* 407494 */ // Label 8284: @407494
     /* 407494 */ GIM_Reject,
     /* 407495 */ // Label 8278: @407495
     /* 407495 */ GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(407523), // Rule ID 2986 //
     /* 407500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 407503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 407506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 407509 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 407512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 407516 */   // (AArch64sdot:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SDOT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 407516 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZ_D),
     /* 407521 */   GIR_RootConstrainSelectedInstOperands,
     /* 407522 */   // GIR_Coverage, 2986,
     /* 407522 */   GIR_Done,
     /* 407523 */ // Label 8287: @407523
     /* 407523 */ GIM_Reject,
     /* 407524 */ // Label 8279: @407524
     /* 407524 */ GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(407552), // Rule ID 2985 //
     /* 407529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 407532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 407535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 407538 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 407541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 407545 */   // (AArch64sdot:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SDOT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 407545 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZ_S),
     /* 407550 */   GIR_RootConstrainSelectedInstOperands,
     /* 407551 */   // GIR_Coverage, 2985,
     /* 407551 */   GIR_Done,
     /* 407552 */ // Label 8288: @407552
     /* 407552 */ GIM_Reject,
     /* 407553 */ // Label 8280: @407553
     /* 407553 */ GIM_Reject,
     /* 407554 */ // Label 137: @407554
     /* 407554 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 8292*/ GIMT_Encode4(407670),
     /* 407565 */ /*GILLT_s16*//*Label 8289*/ GIMT_Encode4(407577),
     /* 407569 */ /*GILLT_s32*//*Label 8290*/ GIMT_Encode4(407608),
     /* 407573 */ /*GILLT_s64*//*Label 8291*/ GIMT_Encode4(407639),
     /* 407577 */ // Label 8289: @407577
     /* 407577 */ GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(407607), // Rule ID 1658 //
     /* 407582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 407585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 407588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 407592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 407596 */   // (AArch64sitof:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (SCVTFv1i16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 407596 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i16),
     /* 407601 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 407605 */   GIR_RootConstrainSelectedInstOperands,
     /* 407606 */   // GIR_Coverage, 1658,
     /* 407606 */   GIR_Done,
     /* 407607 */ // Label 8293: @407607
     /* 407607 */ GIM_Reject,
     /* 407608 */ // Label 8290: @407608
     /* 407608 */ GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(407638), // Rule ID 1657 //
     /* 407613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 407616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 407619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 407623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 407627 */   // (AArch64sitof:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (SCVTFv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 407627 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 407632 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 407636 */   GIR_RootConstrainSelectedInstOperands,
     /* 407637 */   // GIR_Coverage, 1657,
     /* 407637 */   GIR_Done,
     /* 407638 */ // Label 8294: @407638
     /* 407638 */ GIM_Reject,
     /* 407639 */ // Label 8291: @407639
     /* 407639 */ GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(407669), // Rule ID 1656 //
     /* 407644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 407647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 407650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407658 */   // (AArch64sitof:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (SCVTFv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 407658 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 407663 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 407667 */   GIR_RootConstrainSelectedInstOperands,
     /* 407668 */   // GIR_Coverage, 1656,
     /* 407668 */   GIR_Done,
     /* 407669 */ // Label 8295: @407669
     /* 407669 */ GIM_Reject,
     /* 407670 */ // Label 8292: @407670
     /* 407670 */ GIM_Reject,
     /* 407671 */ // Label 138: @407671
     /* 407671 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(11), /*)*//*default:*//*Label 8299*/ GIMT_Encode4(408903),
     /* 407682 */ /*GILLT_v2s64*//*Label 8296*/ GIMT_Encode4(407702), GIMT_Encode4(0),
     /* 407690 */ /*GILLT_v4s32*//*Label 8297*/ GIMT_Encode4(408263), GIMT_Encode4(0),
     /* 407698 */ /*GILLT_v8s16*//*Label 8298*/ GIMT_Encode4(408824),
     /* 407702 */ // Label 8296: @407702
     /* 407702 */ GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(408262),
     /* 407707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 407710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 407713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407717 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(407809), // Rule ID 2054 //
     /* 407722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 407725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 407729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 407733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407749 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 407753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407758 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 407762 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 407766 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 407770 */     // MIs[3] Operand 1
     /* 407770 */     // No operand predicates
     /* 407770 */     // MIs[1] Operand 2
     /* 407770 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 407781 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 407790 */     // (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }))  =>  (SMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 407790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_indexed),
     /* 407793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 407795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 407800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 407804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 407807 */     GIR_RootConstrainSelectedInstOperands,
     /* 407808 */     // GIR_Coverage, 2054,
     /* 407808 */     GIR_EraseRootFromParent_Done,
     /* 407809 */   // Label 8301: @407809
     /* 407809 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(407901), // Rule ID 13494 //
     /* 407814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 407817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 407825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407841 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 407845 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407850 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 407854 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 407858 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 407862 */     // MIs[3] Operand 1
     /* 407862 */     // No operand predicates
     /* 407862 */     // MIs[1] Operand 2
     /* 407862 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 407873 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 407882 */     // (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (SMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 407882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_indexed),
     /* 407885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 407887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 407892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 407896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 407899 */     GIR_RootConstrainSelectedInstOperands,
     /* 407900 */     // GIR_Coverage, 13494,
     /* 407900 */     GIR_EraseRootFromParent_Done,
     /* 407901 */   // Label 8302: @407901
     /* 407901 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(407987), // Rule ID 13492 //
     /* 407906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 407909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 407917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407921 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407925 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407929 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407933 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 407937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407942 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 407946 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 407950 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 407954 */     // MIs[3] Operand 1
     /* 407954 */     // No operand predicates
     /* 407954 */     // MIs[1] Operand 2
     /* 407954 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 407965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407969 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407971 */     // (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 407971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 407974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 407976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 407978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 407982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 407985 */     GIR_RootConstrainSelectedInstOperands,
     /* 407986 */     // GIR_Coverage, 13492,
     /* 407986 */     GIR_EraseRootFromParent_Done,
     /* 407987 */   // Label 8303: @407987
     /* 407987 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(408073), // Rule ID 2052 //
     /* 407992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 407995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 408003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 408019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408023 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408032 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408036 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408040 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 408044 */     // MIs[3] Operand 1
     /* 408044 */     // No operand predicates
     /* 408044 */     // MIs[1] Operand 2
     /* 408044 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 408055 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408057 */     // (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 408060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408062 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 408064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408071 */     GIR_RootConstrainSelectedInstOperands,
     /* 408072 */     // GIR_Coverage, 2052,
     /* 408072 */     GIR_EraseRootFromParent_Done,
     /* 408073 */   // Label 8304: @408073
     /* 408073 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(408112), // Rule ID 1741 //
     /* 408078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 408088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 408095 */     // (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (SMULLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 408095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_v2i64),
     /* 408098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 408105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 408110 */     GIR_RootConstrainSelectedInstOperands,
     /* 408111 */     // GIR_Coverage, 1741,
     /* 408111 */     GIR_EraseRootFromParent_Done,
     /* 408112 */   // Label 8305: @408112
     /* 408112 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(408175), // Rule ID 13493 //
     /* 408117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 408128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 408136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 408145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408149 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 408153 */     // MIs[2] Operand 1
     /* 408153 */     // No operand predicates
     /* 408153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 408159 */     // (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn)  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 408162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408164 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 408166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 408170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 408173 */     GIR_RootConstrainSelectedInstOperands,
     /* 408174 */     // GIR_Coverage, 13493,
     /* 408174 */     GIR_EraseRootFromParent_Done,
     /* 408175 */   // Label 8306: @408175
     /* 408175 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(408238), // Rule ID 2053 //
     /* 408180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 408191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 408195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 408203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 408212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408216 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 408220 */     // MIs[2] Operand 1
     /* 408220 */     // No operand predicates
     /* 408220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 408222 */     // (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 408225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408227 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 408229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 408233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 408236 */     GIR_RootConstrainSelectedInstOperands,
     /* 408237 */     // GIR_Coverage, 2053,
     /* 408237 */     GIR_EraseRootFromParent_Done,
     /* 408238 */   // Label 8307: @408238
     /* 408238 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(408261), // Rule ID 1740 //
     /* 408243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408254 */     // (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMULLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 408254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_v2i64),
     /* 408259 */     GIR_RootConstrainSelectedInstOperands,
     /* 408260 */     // GIR_Coverage, 1740,
     /* 408260 */     GIR_Done,
     /* 408261 */   // Label 8308: @408261
     /* 408261 */   GIM_Reject,
     /* 408262 */ // Label 8300: @408262
     /* 408262 */ GIM_Reject,
     /* 408263 */ // Label 8297: @408263
     /* 408263 */ GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(408823),
     /* 408268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 408271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 408274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408278 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(408370), // Rule ID 2051 //
     /* 408283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 408290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408310 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 408319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408327 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 408331 */     // MIs[3] Operand 1
     /* 408331 */     // No operand predicates
     /* 408331 */     // MIs[1] Operand 2
     /* 408331 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 408342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 408351 */     // (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }))  =>  (SMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_indexed),
     /* 408354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 408361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408368 */     GIR_RootConstrainSelectedInstOperands,
     /* 408369 */     // GIR_Coverage, 2051,
     /* 408369 */     GIR_EraseRootFromParent_Done,
     /* 408370 */   // Label 8310: @408370
     /* 408370 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(408462), // Rule ID 13491 //
     /* 408375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408402 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 408411 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408415 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408419 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 408423 */     // MIs[3] Operand 1
     /* 408423 */     // No operand predicates
     /* 408423 */     // MIs[1] Operand 2
     /* 408423 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 408434 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 408443 */     // (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (SMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_indexed),
     /* 408446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 408453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408460 */     GIR_RootConstrainSelectedInstOperands,
     /* 408461 */     // GIR_Coverage, 13491,
     /* 408461 */     GIR_EraseRootFromParent_Done,
     /* 408462 */   // Label 8311: @408462
     /* 408462 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(408548), // Rule ID 13489 //
     /* 408467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408494 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408498 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 408503 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408507 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408511 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 408515 */     // MIs[3] Operand 1
     /* 408515 */     // No operand predicates
     /* 408515 */     // MIs[1] Operand 2
     /* 408515 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 408526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408530 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408532 */     // (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 408535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 408539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408546 */     GIR_RootConstrainSelectedInstOperands,
     /* 408547 */     // GIR_Coverage, 13489,
     /* 408547 */     GIR_EraseRootFromParent_Done,
     /* 408548 */   // Label 8312: @408548
     /* 408548 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(408634), // Rule ID 2049 //
     /* 408553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 408564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408584 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 408593 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408597 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408601 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 408605 */     // MIs[3] Operand 1
     /* 408605 */     // No operand predicates
     /* 408605 */     // MIs[1] Operand 2
     /* 408605 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 408616 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408618 */     // (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 408621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408623 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 408625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408632 */     GIR_RootConstrainSelectedInstOperands,
     /* 408633 */     // GIR_Coverage, 2049,
     /* 408633 */     GIR_EraseRootFromParent_Done,
     /* 408634 */   // Label 8313: @408634
     /* 408634 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(408673), // Rule ID 1739 //
     /* 408639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 408649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 408656 */     // (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (SMULLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 408656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_v4i32),
     /* 408659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 408666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 408671 */     GIR_RootConstrainSelectedInstOperands,
     /* 408672 */     // GIR_Coverage, 1739,
     /* 408672 */     GIR_EraseRootFromParent_Done,
     /* 408673 */   // Label 8314: @408673
     /* 408673 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(408736), // Rule ID 13490 //
     /* 408678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408693 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 408697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 408702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 408706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408710 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 408714 */     // MIs[2] Operand 1
     /* 408714 */     // No operand predicates
     /* 408714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408718 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 408720 */     // (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn)  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 408723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408725 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 408727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 408731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 408734 */     GIR_RootConstrainSelectedInstOperands,
     /* 408735 */     // GIR_Coverage, 13490,
     /* 408735 */     GIR_EraseRootFromParent_Done,
     /* 408736 */   // Label 8315: @408736
     /* 408736 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(408799), // Rule ID 2050 //
     /* 408741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 408752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408760 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 408764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 408769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 408773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408777 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 408781 */     // MIs[2] Operand 1
     /* 408781 */     // No operand predicates
     /* 408781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 408783 */     // (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 408786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408788 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 408790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 408794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 408797 */     GIR_RootConstrainSelectedInstOperands,
     /* 408798 */     // GIR_Coverage, 2050,
     /* 408798 */     GIR_EraseRootFromParent_Done,
     /* 408799 */   // Label 8316: @408799
     /* 408799 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(408822), // Rule ID 1738 //
     /* 408804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408815 */     // (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMULLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 408815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_v4i32),
     /* 408820 */     GIR_RootConstrainSelectedInstOperands,
     /* 408821 */     // GIR_Coverage, 1738,
     /* 408821 */     GIR_Done,
     /* 408822 */   // Label 8317: @408822
     /* 408822 */   GIM_Reject,
     /* 408823 */ // Label 8309: @408823
     /* 408823 */ GIM_Reject,
     /* 408824 */ // Label 8298: @408824
     /* 408824 */ GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(408902),
     /* 408829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 408832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 408835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408839 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(408878), // Rule ID 1737 //
     /* 408844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 408854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 408861 */     // (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))  =>  (SMULLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 408861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv16i8_v8i16),
     /* 408864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 408871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 408876 */     GIR_RootConstrainSelectedInstOperands,
     /* 408877 */     // GIR_Coverage, 1737,
     /* 408877 */     GIR_EraseRootFromParent_Done,
     /* 408878 */   // Label 8319: @408878
     /* 408878 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(408901), // Rule ID 1736 //
     /* 408883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408894 */     // (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMULLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 408894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i8_v8i16),
     /* 408899 */     GIR_RootConstrainSelectedInstOperands,
     /* 408900 */     // GIR_Coverage, 1736,
     /* 408900 */     GIR_Done,
     /* 408901 */   // Label 8320: @408901
     /* 408901 */   GIM_Reject,
     /* 408902 */ // Label 8318: @408902
     /* 408902 */ GIM_Reject,
     /* 408903 */ // Label 8299: @408903
     /* 408903 */ GIM_Reject,
     /* 408904 */ // Label 139: @408904
     /* 408904 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8339*/ GIMT_Encode4(409683),
     /* 408915 */ /*GILLT_v2s32*//*Label 8321*/ GIMT_Encode4(408991),
     /* 408919 */ /*GILLT_v2s64*//*Label 8322*/ GIMT_Encode4(409046),
     /* 408923 */ /*GILLT_v4s16*//*Label 8323*/ GIMT_Encode4(409101),
     /* 408927 */ /*GILLT_v4s32*//*Label 8324*/ GIMT_Encode4(409156),
     /* 408931 */ /*GILLT_v8s8*//*Label 8325*/ GIMT_Encode4(409211),
     /* 408935 */ /*GILLT_v8s16*//*Label 8326*/ GIMT_Encode4(409245),
     /* 408939 */ /*GILLT_v16s8*//*Label 8327*/ GIMT_Encode4(409300), GIMT_Encode4(0),
     /* 408947 */ /*GILLT_nxv2s1*//*Label 8328*/ GIMT_Encode4(409334),
     /* 408951 */ /*GILLT_nxv2s16*//*Label 8329*/ GIMT_Encode4(409360),
     /* 408955 */ /*GILLT_nxv2s32*//*Label 8330*/ GIMT_Encode4(409386),
     /* 408959 */ /*GILLT_nxv2s64*//*Label 8331*/ GIMT_Encode4(409412),
     /* 408963 */ /*GILLT_nxv4s1*//*Label 8332*/ GIMT_Encode4(409459),
     /* 408967 */ /*GILLT_nxv4s16*//*Label 8333*/ GIMT_Encode4(409485),
     /* 408971 */ /*GILLT_nxv4s32*//*Label 8334*/ GIMT_Encode4(409511),
     /* 408975 */ /*GILLT_nxv8s1*//*Label 8335*/ GIMT_Encode4(409558),
     /* 408979 */ /*GILLT_nxv8s16*//*Label 8336*/ GIMT_Encode4(409584),
     /* 408983 */ /*GILLT_nxv16s1*//*Label 8337*/ GIMT_Encode4(409631),
     /* 408987 */ /*GILLT_nxv16s8*//*Label 8338*/ GIMT_Encode4(409657),
     /* 408991 */ // Label 8321: @408991
     /* 408991 */ GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(409045),
     /* 408996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 408999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 409002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409014 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(409029), // Rule ID 1874 //
     /* 409019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409022 */     // (AArch64trn1:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (TRN1v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 409022 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i32),
     /* 409027 */     GIR_RootConstrainSelectedInstOperands,
     /* 409028 */     // GIR_Coverage, 1874,
     /* 409028 */     GIR_Done,
     /* 409029 */   // Label 8341: @409029
     /* 409029 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(409044), // Rule ID 2505 //
     /* 409034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409037 */     // (AArch64trn1:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (TRN1v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 409037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i32),
     /* 409042 */     GIR_RootConstrainSelectedInstOperands,
     /* 409043 */     // GIR_Coverage, 2505,
     /* 409043 */     GIR_Done,
     /* 409044 */   // Label 8342: @409044
     /* 409044 */   GIM_Reject,
     /* 409045 */ // Label 8340: @409045
     /* 409045 */ GIM_Reject,
     /* 409046 */ // Label 8322: @409046
     /* 409046 */ GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(409100),
     /* 409051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 409054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 409057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409069 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(409084), // Rule ID 1876 //
     /* 409074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409077 */     // (AArch64trn1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (TRN1v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 409077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i64),
     /* 409082 */     GIR_RootConstrainSelectedInstOperands,
     /* 409083 */     // GIR_Coverage, 1876,
     /* 409083 */     GIR_Done,
     /* 409084 */   // Label 8344: @409084
     /* 409084 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(409099), // Rule ID 2507 //
     /* 409089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409092 */     // (AArch64trn1:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (TRN1v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 409092 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i64),
     /* 409097 */     GIR_RootConstrainSelectedInstOperands,
     /* 409098 */     // GIR_Coverage, 2507,
     /* 409098 */     GIR_Done,
     /* 409099 */   // Label 8345: @409099
     /* 409099 */   GIM_Reject,
     /* 409100 */ // Label 8343: @409100
     /* 409100 */ GIM_Reject,
     /* 409101 */ // Label 8323: @409101
     /* 409101 */ GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(409155),
     /* 409106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 409109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 409112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409124 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(409139), // Rule ID 1872 //
     /* 409129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409132 */     // (AArch64trn1:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (TRN1v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 409132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i16),
     /* 409137 */     GIR_RootConstrainSelectedInstOperands,
     /* 409138 */     // GIR_Coverage, 1872,
     /* 409138 */     GIR_Done,
     /* 409139 */   // Label 8347: @409139
     /* 409139 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(409154), // Rule ID 2503 //
     /* 409144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409147 */     // (AArch64trn1:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (TRN1v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 409147 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i16),
     /* 409152 */     GIR_RootConstrainSelectedInstOperands,
     /* 409153 */     // GIR_Coverage, 2503,
     /* 409153 */     GIR_Done,
     /* 409154 */   // Label 8348: @409154
     /* 409154 */   GIM_Reject,
     /* 409155 */ // Label 8346: @409155
     /* 409155 */ GIM_Reject,
     /* 409156 */ // Label 8324: @409156
     /* 409156 */ GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(409210),
     /* 409161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 409164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 409167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409179 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(409194), // Rule ID 1875 //
     /* 409184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409187 */     // (AArch64trn1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (TRN1v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 409187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i32),
     /* 409192 */     GIR_RootConstrainSelectedInstOperands,
     /* 409193 */     // GIR_Coverage, 1875,
     /* 409193 */     GIR_Done,
     /* 409194 */   // Label 8350: @409194
     /* 409194 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(409209), // Rule ID 2506 //
     /* 409199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409202 */     // (AArch64trn1:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (TRN1v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 409202 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i32),
     /* 409207 */     GIR_RootConstrainSelectedInstOperands,
     /* 409208 */     // GIR_Coverage, 2506,
     /* 409208 */     GIR_Done,
     /* 409209 */   // Label 8351: @409209
     /* 409209 */   GIM_Reject,
     /* 409210 */ // Label 8349: @409210
     /* 409210 */ GIM_Reject,
     /* 409211 */ // Label 8325: @409211
     /* 409211 */ GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(409244), // Rule ID 1870 //
     /* 409216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 409222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 409225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409237 */   // (AArch64trn1:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (TRN1v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 409237 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v8i8),
     /* 409242 */   GIR_RootConstrainSelectedInstOperands,
     /* 409243 */   // GIR_Coverage, 1870,
     /* 409243 */   GIR_Done,
     /* 409244 */ // Label 8352: @409244
     /* 409244 */ GIM_Reject,
     /* 409245 */ // Label 8326: @409245
     /* 409245 */ GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(409299),
     /* 409250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 409253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 409256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409268 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(409283), // Rule ID 1873 //
     /* 409273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409276 */     // (AArch64trn1:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (TRN1v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 409276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v8i16),
     /* 409281 */     GIR_RootConstrainSelectedInstOperands,
     /* 409282 */     // GIR_Coverage, 1873,
     /* 409282 */     GIR_Done,
     /* 409283 */   // Label 8354: @409283
     /* 409283 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(409298), // Rule ID 2504 //
     /* 409288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409291 */     // (AArch64trn1:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (TRN1v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 409291 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v8i16),
     /* 409296 */     GIR_RootConstrainSelectedInstOperands,
     /* 409297 */     // GIR_Coverage, 2504,
     /* 409297 */     GIR_Done,
     /* 409298 */   // Label 8355: @409298
     /* 409298 */   GIM_Reject,
     /* 409299 */ // Label 8353: @409299
     /* 409299 */ GIM_Reject,
     /* 409300 */ // Label 8327: @409300
     /* 409300 */ GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(409333), // Rule ID 1871 //
     /* 409305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 409311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 409314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409326 */   // (AArch64trn1:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (TRN1v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 409326 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v16i8),
     /* 409331 */   GIR_RootConstrainSelectedInstOperands,
     /* 409332 */   // GIR_Coverage, 1871,
     /* 409332 */   GIR_Done,
     /* 409333 */ // Label 8356: @409333
     /* 409333 */ GIM_Reject,
     /* 409334 */ // Label 8328: @409334
     /* 409334 */ GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(409359), // Rule ID 8957 //
     /* 409339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 409345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 409348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 409352 */   // (AArch64trn1:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (TRN1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 409352 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_D),
     /* 409357 */   GIR_RootConstrainSelectedInstOperands,
     /* 409358 */   // GIR_Coverage, 8957,
     /* 409358 */   GIR_Done,
     /* 409359 */ // Label 8357: @409359
     /* 409359 */ GIM_Reject,
     /* 409360 */ // Label 8329: @409360
     /* 409360 */ GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(409385), // Rule ID 8933 //
     /* 409365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 409371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 409374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409378 */   // (AArch64trn1:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 409378 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 409383 */   GIR_RootConstrainSelectedInstOperands,
     /* 409384 */   // GIR_Coverage, 8933,
     /* 409384 */   GIR_Done,
     /* 409385 */ // Label 8358: @409385
     /* 409385 */ GIM_Reject,
     /* 409386 */ // Label 8330: @409386
     /* 409386 */ GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(409411), // Rule ID 8934 //
     /* 409391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 409397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 409400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409404 */   // (AArch64trn1:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 409404 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 409409 */   GIR_RootConstrainSelectedInstOperands,
     /* 409410 */   // GIR_Coverage, 8934,
     /* 409410 */   GIR_Done,
     /* 409411 */ // Label 8359: @409411
     /* 409411 */ GIM_Reject,
     /* 409412 */ // Label 8331: @409412
     /* 409412 */ GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(409458),
     /* 409417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 409420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 409423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409427 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(409442), // Rule ID 8929 //
     /* 409432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409435 */     // (AArch64trn1:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 409435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 409440 */     GIR_RootConstrainSelectedInstOperands,
     /* 409441 */     // GIR_Coverage, 8929,
     /* 409441 */     GIR_Done,
     /* 409442 */   // Label 8361: @409442
     /* 409442 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(409457), // Rule ID 8935 //
     /* 409447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409450 */     // (AArch64trn1:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 409450 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 409455 */     GIR_RootConstrainSelectedInstOperands,
     /* 409456 */     // GIR_Coverage, 8935,
     /* 409456 */     GIR_Done,
     /* 409457 */   // Label 8362: @409457
     /* 409457 */   GIM_Reject,
     /* 409458 */ // Label 8360: @409458
     /* 409458 */ GIM_Reject,
     /* 409459 */ // Label 8332: @409459
     /* 409459 */ GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(409484), // Rule ID 8956 //
     /* 409464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 409470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 409473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 409477 */   // (AArch64trn1:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (TRN1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 409477 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_S),
     /* 409482 */   GIR_RootConstrainSelectedInstOperands,
     /* 409483 */   // GIR_Coverage, 8956,
     /* 409483 */   GIR_Done,
     /* 409484 */ // Label 8363: @409484
     /* 409484 */ GIM_Reject,
     /* 409485 */ // Label 8333: @409485
     /* 409485 */ GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(409510), // Rule ID 8931 //
     /* 409490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 409496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 409499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409503 */   // (AArch64trn1:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (TRN1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 409503 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_S),
     /* 409508 */   GIR_RootConstrainSelectedInstOperands,
     /* 409509 */   // GIR_Coverage, 8931,
     /* 409509 */   GIR_Done,
     /* 409510 */ // Label 8364: @409510
     /* 409510 */ GIM_Reject,
     /* 409511 */ // Label 8334: @409511
     /* 409511 */ GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(409557),
     /* 409516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 409519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 409522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409526 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(409541), // Rule ID 8928 //
     /* 409531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409534 */     // (AArch64trn1:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 409534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_S),
     /* 409539 */     GIR_RootConstrainSelectedInstOperands,
     /* 409540 */     // GIR_Coverage, 8928,
     /* 409540 */     GIR_Done,
     /* 409541 */   // Label 8366: @409541
     /* 409541 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(409556), // Rule ID 8932 //
     /* 409546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409549 */     // (AArch64trn1:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 409549 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_S),
     /* 409554 */     GIR_RootConstrainSelectedInstOperands,
     /* 409555 */     // GIR_Coverage, 8932,
     /* 409555 */     GIR_Done,
     /* 409556 */   // Label 8367: @409556
     /* 409556 */   GIM_Reject,
     /* 409557 */ // Label 8365: @409557
     /* 409557 */ GIM_Reject,
     /* 409558 */ // Label 8335: @409558
     /* 409558 */ GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(409583), // Rule ID 8955 //
     /* 409563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 409569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 409572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 409576 */   // (AArch64trn1:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (TRN1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 409576 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_H),
     /* 409581 */   GIR_RootConstrainSelectedInstOperands,
     /* 409582 */   // GIR_Coverage, 8955,
     /* 409582 */   GIR_Done,
     /* 409583 */ // Label 8368: @409583
     /* 409583 */ GIM_Reject,
     /* 409584 */ // Label 8336: @409584
     /* 409584 */ GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(409630),
     /* 409589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 409592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 409595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409599 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(409614), // Rule ID 8927 //
     /* 409604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409607 */     // (AArch64trn1:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 409607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_H),
     /* 409612 */     GIR_RootConstrainSelectedInstOperands,
     /* 409613 */     // GIR_Coverage, 8927,
     /* 409613 */     GIR_Done,
     /* 409614 */   // Label 8370: @409614
     /* 409614 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(409629), // Rule ID 8930 //
     /* 409619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409622 */     // (AArch64trn1:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 409622 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_H),
     /* 409627 */     GIR_RootConstrainSelectedInstOperands,
     /* 409628 */     // GIR_Coverage, 8930,
     /* 409628 */     GIR_Done,
     /* 409629 */   // Label 8371: @409629
     /* 409629 */   GIM_Reject,
     /* 409630 */ // Label 8369: @409630
     /* 409630 */ GIM_Reject,
     /* 409631 */ // Label 8337: @409631
     /* 409631 */ GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(409656), // Rule ID 2414 //
     /* 409636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 409642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 409645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 409649 */   // (AArch64trn1:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 409649 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_B),
     /* 409654 */   GIR_RootConstrainSelectedInstOperands,
     /* 409655 */   // GIR_Coverage, 2414,
     /* 409655 */   GIR_Done,
     /* 409656 */ // Label 8372: @409656
     /* 409656 */ GIM_Reject,
     /* 409657 */ // Label 8338: @409657
     /* 409657 */ GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(409682), // Rule ID 8926 //
     /* 409662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 409668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 409671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409675 */   // (AArch64trn1:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 409675 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_B),
     /* 409680 */   GIR_RootConstrainSelectedInstOperands,
     /* 409681 */   // GIR_Coverage, 8926,
     /* 409681 */   GIR_Done,
     /* 409682 */ // Label 8373: @409682
     /* 409682 */ GIM_Reject,
     /* 409683 */ // Label 8339: @409683
     /* 409683 */ GIM_Reject,
     /* 409684 */ // Label 140: @409684
     /* 409684 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8392*/ GIMT_Encode4(410463),
     /* 409695 */ /*GILLT_v2s32*//*Label 8374*/ GIMT_Encode4(409771),
     /* 409699 */ /*GILLT_v2s64*//*Label 8375*/ GIMT_Encode4(409826),
     /* 409703 */ /*GILLT_v4s16*//*Label 8376*/ GIMT_Encode4(409881),
     /* 409707 */ /*GILLT_v4s32*//*Label 8377*/ GIMT_Encode4(409936),
     /* 409711 */ /*GILLT_v8s8*//*Label 8378*/ GIMT_Encode4(409991),
     /* 409715 */ /*GILLT_v8s16*//*Label 8379*/ GIMT_Encode4(410025),
     /* 409719 */ /*GILLT_v16s8*//*Label 8380*/ GIMT_Encode4(410080), GIMT_Encode4(0),
     /* 409727 */ /*GILLT_nxv2s1*//*Label 8381*/ GIMT_Encode4(410114),
     /* 409731 */ /*GILLT_nxv2s16*//*Label 8382*/ GIMT_Encode4(410140),
     /* 409735 */ /*GILLT_nxv2s32*//*Label 8383*/ GIMT_Encode4(410166),
     /* 409739 */ /*GILLT_nxv2s64*//*Label 8384*/ GIMT_Encode4(410192),
     /* 409743 */ /*GILLT_nxv4s1*//*Label 8385*/ GIMT_Encode4(410239),
     /* 409747 */ /*GILLT_nxv4s16*//*Label 8386*/ GIMT_Encode4(410265),
     /* 409751 */ /*GILLT_nxv4s32*//*Label 8387*/ GIMT_Encode4(410291),
     /* 409755 */ /*GILLT_nxv8s1*//*Label 8388*/ GIMT_Encode4(410338),
     /* 409759 */ /*GILLT_nxv8s16*//*Label 8389*/ GIMT_Encode4(410364),
     /* 409763 */ /*GILLT_nxv16s1*//*Label 8390*/ GIMT_Encode4(410411),
     /* 409767 */ /*GILLT_nxv16s8*//*Label 8391*/ GIMT_Encode4(410437),
     /* 409771 */ // Label 8374: @409771
     /* 409771 */ GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(409825),
     /* 409776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 409779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 409782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409794 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(409809), // Rule ID 1881 //
     /* 409799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409802 */     // (AArch64trn2:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (TRN2v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 409802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i32),
     /* 409807 */     GIR_RootConstrainSelectedInstOperands,
     /* 409808 */     // GIR_Coverage, 1881,
     /* 409808 */     GIR_Done,
     /* 409809 */   // Label 8394: @409809
     /* 409809 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(409824), // Rule ID 5469 //
     /* 409814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409817 */     // (AArch64trn2:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (TRN2v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 409817 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i32),
     /* 409822 */     GIR_RootConstrainSelectedInstOperands,
     /* 409823 */     // GIR_Coverage, 5469,
     /* 409823 */     GIR_Done,
     /* 409824 */   // Label 8395: @409824
     /* 409824 */   GIM_Reject,
     /* 409825 */ // Label 8393: @409825
     /* 409825 */ GIM_Reject,
     /* 409826 */ // Label 8375: @409826
     /* 409826 */ GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(409880),
     /* 409831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 409834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 409837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409849 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(409864), // Rule ID 1883 //
     /* 409854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409857 */     // (AArch64trn2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (TRN2v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 409857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i64),
     /* 409862 */     GIR_RootConstrainSelectedInstOperands,
     /* 409863 */     // GIR_Coverage, 1883,
     /* 409863 */     GIR_Done,
     /* 409864 */   // Label 8397: @409864
     /* 409864 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(409879), // Rule ID 5471 //
     /* 409869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409872 */     // (AArch64trn2:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (TRN2v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 409872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i64),
     /* 409877 */     GIR_RootConstrainSelectedInstOperands,
     /* 409878 */     // GIR_Coverage, 5471,
     /* 409878 */     GIR_Done,
     /* 409879 */   // Label 8398: @409879
     /* 409879 */   GIM_Reject,
     /* 409880 */ // Label 8396: @409880
     /* 409880 */ GIM_Reject,
     /* 409881 */ // Label 8376: @409881
     /* 409881 */ GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(409935),
     /* 409886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 409889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 409892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409904 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(409919), // Rule ID 1879 //
     /* 409909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409912 */     // (AArch64trn2:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (TRN2v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 409912 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i16),
     /* 409917 */     GIR_RootConstrainSelectedInstOperands,
     /* 409918 */     // GIR_Coverage, 1879,
     /* 409918 */     GIR_Done,
     /* 409919 */   // Label 8400: @409919
     /* 409919 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(409934), // Rule ID 5467 //
     /* 409924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409927 */     // (AArch64trn2:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (TRN2v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 409927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i16),
     /* 409932 */     GIR_RootConstrainSelectedInstOperands,
     /* 409933 */     // GIR_Coverage, 5467,
     /* 409933 */     GIR_Done,
     /* 409934 */   // Label 8401: @409934
     /* 409934 */   GIM_Reject,
     /* 409935 */ // Label 8399: @409935
     /* 409935 */ GIM_Reject,
     /* 409936 */ // Label 8377: @409936
     /* 409936 */ GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(409990),
     /* 409941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 409944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 409947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409959 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(409974), // Rule ID 1882 //
     /* 409964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409967 */     // (AArch64trn2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (TRN2v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 409967 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i32),
     /* 409972 */     GIR_RootConstrainSelectedInstOperands,
     /* 409973 */     // GIR_Coverage, 1882,
     /* 409973 */     GIR_Done,
     /* 409974 */   // Label 8403: @409974
     /* 409974 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(409989), // Rule ID 5470 //
     /* 409979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409982 */     // (AArch64trn2:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (TRN2v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 409982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i32),
     /* 409987 */     GIR_RootConstrainSelectedInstOperands,
     /* 409988 */     // GIR_Coverage, 5470,
     /* 409988 */     GIR_Done,
     /* 409989 */   // Label 8404: @409989
     /* 409989 */   GIM_Reject,
     /* 409990 */ // Label 8402: @409990
     /* 409990 */ GIM_Reject,
     /* 409991 */ // Label 8378: @409991
     /* 409991 */ GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(410024), // Rule ID 1877 //
     /* 409996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 410002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 410005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410017 */   // (AArch64trn2:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (TRN2v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 410017 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v8i8),
     /* 410022 */   GIR_RootConstrainSelectedInstOperands,
     /* 410023 */   // GIR_Coverage, 1877,
     /* 410023 */   GIR_Done,
     /* 410024 */ // Label 8405: @410024
     /* 410024 */ GIM_Reject,
     /* 410025 */ // Label 8379: @410025
     /* 410025 */ GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(410079),
     /* 410030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 410033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 410036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410048 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(410063), // Rule ID 1880 //
     /* 410053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410056 */     // (AArch64trn2:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (TRN2v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 410056 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v8i16),
     /* 410061 */     GIR_RootConstrainSelectedInstOperands,
     /* 410062 */     // GIR_Coverage, 1880,
     /* 410062 */     GIR_Done,
     /* 410063 */   // Label 8407: @410063
     /* 410063 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(410078), // Rule ID 5468 //
     /* 410068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410071 */     // (AArch64trn2:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (TRN2v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 410071 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v8i16),
     /* 410076 */     GIR_RootConstrainSelectedInstOperands,
     /* 410077 */     // GIR_Coverage, 5468,
     /* 410077 */     GIR_Done,
     /* 410078 */   // Label 8408: @410078
     /* 410078 */   GIM_Reject,
     /* 410079 */ // Label 8406: @410079
     /* 410079 */ GIM_Reject,
     /* 410080 */ // Label 8380: @410080
     /* 410080 */ GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(410113), // Rule ID 1878 //
     /* 410085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 410091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 410094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410106 */   // (AArch64trn2:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (TRN2v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 410106 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v16i8),
     /* 410111 */   GIR_RootConstrainSelectedInstOperands,
     /* 410112 */   // GIR_Coverage, 1878,
     /* 410112 */   GIR_Done,
     /* 410113 */ // Label 8409: @410113
     /* 410113 */ GIM_Reject,
     /* 410114 */ // Label 8381: @410114
     /* 410114 */ GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(410139), // Rule ID 8960 //
     /* 410119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 410125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 410128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410132 */   // (AArch64trn2:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (TRN2_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 410132 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_D),
     /* 410137 */   GIR_RootConstrainSelectedInstOperands,
     /* 410138 */   // GIR_Coverage, 8960,
     /* 410138 */   GIR_Done,
     /* 410139 */ // Label 8410: @410139
     /* 410139 */ GIM_Reject,
     /* 410140 */ // Label 8382: @410140
     /* 410140 */ GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(410165), // Rule ID 8943 //
     /* 410145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 410151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 410154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410158 */   // (AArch64trn2:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 410158 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 410163 */   GIR_RootConstrainSelectedInstOperands,
     /* 410164 */   // GIR_Coverage, 8943,
     /* 410164 */   GIR_Done,
     /* 410165 */ // Label 8411: @410165
     /* 410165 */ GIM_Reject,
     /* 410166 */ // Label 8383: @410166
     /* 410166 */ GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(410191), // Rule ID 8944 //
     /* 410171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 410177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 410180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410184 */   // (AArch64trn2:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 410184 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 410189 */   GIR_RootConstrainSelectedInstOperands,
     /* 410190 */   // GIR_Coverage, 8944,
     /* 410190 */   GIR_Done,
     /* 410191 */ // Label 8412: @410191
     /* 410191 */ GIM_Reject,
     /* 410192 */ // Label 8384: @410192
     /* 410192 */ GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(410238),
     /* 410197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 410200 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 410203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410207 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(410222), // Rule ID 8939 //
     /* 410212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410215 */     // (AArch64trn2:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 410215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 410220 */     GIR_RootConstrainSelectedInstOperands,
     /* 410221 */     // GIR_Coverage, 8939,
     /* 410221 */     GIR_Done,
     /* 410222 */   // Label 8414: @410222
     /* 410222 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(410237), // Rule ID 8945 //
     /* 410227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410230 */     // (AArch64trn2:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 410230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 410235 */     GIR_RootConstrainSelectedInstOperands,
     /* 410236 */     // GIR_Coverage, 8945,
     /* 410236 */     GIR_Done,
     /* 410237 */   // Label 8415: @410237
     /* 410237 */   GIM_Reject,
     /* 410238 */ // Label 8413: @410238
     /* 410238 */ GIM_Reject,
     /* 410239 */ // Label 8385: @410239
     /* 410239 */ GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(410264), // Rule ID 8959 //
     /* 410244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 410250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 410253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410257 */   // (AArch64trn2:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (TRN2_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 410257 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_S),
     /* 410262 */   GIR_RootConstrainSelectedInstOperands,
     /* 410263 */   // GIR_Coverage, 8959,
     /* 410263 */   GIR_Done,
     /* 410264 */ // Label 8416: @410264
     /* 410264 */ GIM_Reject,
     /* 410265 */ // Label 8386: @410265
     /* 410265 */ GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(410290), // Rule ID 8941 //
     /* 410270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 410276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 410279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410283 */   // (AArch64trn2:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (TRN2_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 410283 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_S),
     /* 410288 */   GIR_RootConstrainSelectedInstOperands,
     /* 410289 */   // GIR_Coverage, 8941,
     /* 410289 */   GIR_Done,
     /* 410290 */ // Label 8417: @410290
     /* 410290 */ GIM_Reject,
     /* 410291 */ // Label 8387: @410291
     /* 410291 */ GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(410337),
     /* 410296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 410299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 410302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410306 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(410321), // Rule ID 8938 //
     /* 410311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410314 */     // (AArch64trn2:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 410314 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_S),
     /* 410319 */     GIR_RootConstrainSelectedInstOperands,
     /* 410320 */     // GIR_Coverage, 8938,
     /* 410320 */     GIR_Done,
     /* 410321 */   // Label 8419: @410321
     /* 410321 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(410336), // Rule ID 8942 //
     /* 410326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410329 */     // (AArch64trn2:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 410329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_S),
     /* 410334 */     GIR_RootConstrainSelectedInstOperands,
     /* 410335 */     // GIR_Coverage, 8942,
     /* 410335 */     GIR_Done,
     /* 410336 */   // Label 8420: @410336
     /* 410336 */   GIM_Reject,
     /* 410337 */ // Label 8418: @410337
     /* 410337 */ GIM_Reject,
     /* 410338 */ // Label 8388: @410338
     /* 410338 */ GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(410363), // Rule ID 8958 //
     /* 410343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 410349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 410352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410356 */   // (AArch64trn2:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (TRN2_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 410356 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_H),
     /* 410361 */   GIR_RootConstrainSelectedInstOperands,
     /* 410362 */   // GIR_Coverage, 8958,
     /* 410362 */   GIR_Done,
     /* 410363 */ // Label 8421: @410363
     /* 410363 */ GIM_Reject,
     /* 410364 */ // Label 8389: @410364
     /* 410364 */ GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(410410),
     /* 410369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 410372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 410375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410379 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(410394), // Rule ID 8937 //
     /* 410384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410387 */     // (AArch64trn2:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 410387 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_H),
     /* 410392 */     GIR_RootConstrainSelectedInstOperands,
     /* 410393 */     // GIR_Coverage, 8937,
     /* 410393 */     GIR_Done,
     /* 410394 */   // Label 8423: @410394
     /* 410394 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(410409), // Rule ID 8940 //
     /* 410399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410402 */     // (AArch64trn2:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 410402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_H),
     /* 410407 */     GIR_RootConstrainSelectedInstOperands,
     /* 410408 */     // GIR_Coverage, 8940,
     /* 410408 */     GIR_Done,
     /* 410409 */   // Label 8424: @410409
     /* 410409 */   GIM_Reject,
     /* 410410 */ // Label 8422: @410410
     /* 410410 */ GIM_Reject,
     /* 410411 */ // Label 8390: @410411
     /* 410411 */ GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(410436), // Rule ID 2418 //
     /* 410416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 410422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 410425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410429 */   // (AArch64trn2:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 410429 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_B),
     /* 410434 */   GIR_RootConstrainSelectedInstOperands,
     /* 410435 */   // GIR_Coverage, 2418,
     /* 410435 */   GIR_Done,
     /* 410436 */ // Label 8425: @410436
     /* 410436 */ GIM_Reject,
     /* 410437 */ // Label 8391: @410437
     /* 410437 */ GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(410462), // Rule ID 8936 //
     /* 410442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 410448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 410451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410455 */   // (AArch64trn2:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 410455 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_B),
     /* 410460 */   GIR_RootConstrainSelectedInstOperands,
     /* 410461 */   // GIR_Coverage, 8936,
     /* 410461 */   GIR_Done,
     /* 410462 */ // Label 8426: @410462
     /* 410462 */ GIM_Reject,
     /* 410463 */ // Label 8392: @410463
     /* 410463 */ GIM_Reject,
     /* 410464 */ // Label 141: @410464
     /* 410464 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 8433*/ GIMT_Encode4(410669),
     /* 410475 */ /*GILLT_s64*//*Label 8427*/ GIMT_Encode4(410507), GIMT_Encode4(0),
     /* 410483 */ /*GILLT_v2s32*//*Label 8428*/ GIMT_Encode4(410534),
     /* 410487 */ /*GILLT_v2s64*//*Label 8429*/ GIMT_Encode4(410561),
     /* 410491 */ /*GILLT_v4s16*//*Label 8430*/ GIMT_Encode4(410588),
     /* 410495 */ /*GILLT_v4s32*//*Label 8431*/ GIMT_Encode4(410615), GIMT_Encode4(0),
     /* 410503 */ /*GILLT_v8s16*//*Label 8432*/ GIMT_Encode4(410642),
     /* 410507 */ // Label 8427: @410507
     /* 410507 */ GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(410533), // Rule ID 1069 //
     /* 410512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 410518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410526 */   // (AArch64uaddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)  =>  (UADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 410526 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv2i32_v1i64),
     /* 410531 */   GIR_RootConstrainSelectedInstOperands,
     /* 410532 */   // GIR_Coverage, 1069,
     /* 410532 */   GIR_Done,
     /* 410533 */ // Label 8434: @410533
     /* 410533 */ GIM_Reject,
     /* 410534 */ // Label 8428: @410534
     /* 410534 */ GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(410560), // Rule ID 1065 //
     /* 410539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 410545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410553 */   // (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)  =>  (UADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 410553 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i16_v2i32),
     /* 410558 */   GIR_RootConstrainSelectedInstOperands,
     /* 410559 */   // GIR_Coverage, 1065,
     /* 410559 */   GIR_Done,
     /* 410560 */ // Label 8435: @410560
     /* 410560 */ GIM_Reject,
     /* 410561 */ // Label 8429: @410561
     /* 410561 */ GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(410587), // Rule ID 1071 //
     /* 410566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 410572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410580 */   // (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (UADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 410580 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i32_v2i64),
     /* 410585 */   GIR_RootConstrainSelectedInstOperands,
     /* 410586 */   // GIR_Coverage, 1071,
     /* 410586 */   GIR_Done,
     /* 410587 */ // Label 8436: @410587
     /* 410587 */ GIM_Reject,
     /* 410588 */ // Label 8430: @410588
     /* 410588 */ GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(410614), // Rule ID 1061 //
     /* 410593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 410599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410607 */   // (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)  =>  (UADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 410607 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i8_v4i16),
     /* 410612 */   GIR_RootConstrainSelectedInstOperands,
     /* 410613 */   // GIR_Coverage, 1061,
     /* 410613 */   GIR_Done,
     /* 410614 */ // Label 8437: @410614
     /* 410614 */ GIM_Reject,
     /* 410615 */ // Label 8431: @410615
     /* 410615 */ GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(410641), // Rule ID 1067 //
     /* 410620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 410626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410634 */   // (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (UADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 410634 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i16_v4i32),
     /* 410639 */   GIR_RootConstrainSelectedInstOperands,
     /* 410640 */   // GIR_Coverage, 1067,
     /* 410640 */   GIR_Done,
     /* 410641 */ // Label 8438: @410641
     /* 410641 */ GIM_Reject,
     /* 410642 */ // Label 8432: @410642
     /* 410642 */ GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(410668), // Rule ID 1063 //
     /* 410647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 410653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410661 */   // (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)  =>  (UADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 410661 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv16i8_v8i16),
     /* 410666 */   GIR_RootConstrainSelectedInstOperands,
     /* 410667 */   // GIR_Coverage, 1063,
     /* 410667 */   GIR_Done,
     /* 410668 */ // Label 8439: @410668
     /* 410668 */ GIM_Reject,
     /* 410669 */ // Label 8433: @410669
     /* 410669 */ GIM_Reject,
     /* 410670 */ // Label 142: @410670
     /* 410670 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(9), /*)*//*default:*//*Label 8442*/ GIMT_Encode4(411536),
     /* 410681 */ /*GILLT_v2s64*//*Label 8440*/ GIMT_Encode4(410693), GIMT_Encode4(0),
     /* 410689 */ /*GILLT_v4s32*//*Label 8441*/ GIMT_Encode4(410987),
     /* 410693 */ // Label 8440: @410693
     /* 410693 */ GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(410775), // Rule ID 5868 //
     /* 410698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 410701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410705 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410709 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 410713 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 410716 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 410721 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 410725 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410730 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 410732 */   // (AArch64uaddlv:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$op))  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$op), ssub:{ *:[i32] })
     /* 410732 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 410735 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 410739 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 410744 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // op
     /* 410748 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 410750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 410753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 410755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410758 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 410761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 410764 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410769 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 410774 */   // GIR_Coverage, 5868,
     /* 410774 */   GIR_EraseRootFromParent_Done,
     /* 410775 */ // Label 8443: @410775
     /* 410775 */ GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(410849), // Rule ID 5867 //
     /* 410780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 410783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410787 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410791 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 410795 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 410799 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410804 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 410806 */   // (AArch64uaddlv:{ *:[v2i64] } (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$op))  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$op), ssub:{ *:[i32] })
     /* 410806 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 410809 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 410813 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 410818 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // op
     /* 410822 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 410824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 410827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 410829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410832 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 410835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 410838 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410843 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 410848 */   // GIR_Coverage, 5867,
     /* 410848 */   GIR_EraseRootFromParent_Done,
     /* 410849 */ // Label 8444: @410849
     /* 410849 */ GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(410908), // Rule ID 5877 //
     /* 410854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 410857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410865 */   // (AArch64uaddlv:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (UADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /* 410865 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 410868 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i32v),
     /* 410872 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 410877 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 410881 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 410883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 410886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 410888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410891 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 410894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 410897 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410902 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410907 */   // GIR_Coverage, 5877,
     /* 410907 */   GIR_EraseRootFromParent_Done,
     /* 410908 */ // Label 8445: @410908
     /* 410908 */ GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(410986), // Rule ID 6005 //
     /* 410913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 410916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410924 */   // (AArch64uaddlv:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (UADDLPv2i32_v1i64:{ *:[i64] } V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] })
     /* 410924 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 410927 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv2i32_v1i64),
     /* 410931 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 410936 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 410940 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 410942 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 410945 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 410949 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 410954 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 410956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 410959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 410961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 410964 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 410967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 410970 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410975 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410980 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410985 */   // GIR_Coverage, 6005,
     /* 410985 */   GIR_EraseRootFromParent_Done,
     /* 410986 */ // Label 8446: @410986
     /* 410986 */ GIM_Reject,
     /* 410987 */ // Label 8441: @410987
     /* 410987 */ GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(411069), // Rule ID 5870 //
     /* 410992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 410995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410999 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411003 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 411007 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 411010 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 411015 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 411019 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411024 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411026 */   // (AArch64uaddlv:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$op), hsub:{ *:[i32] })
     /* 411026 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 411029 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 411033 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411038 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // op
     /* 411042 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411052 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 411058 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411063 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411068 */   // GIR_Coverage, 5870,
     /* 411068 */   GIR_EraseRootFromParent_Done,
     /* 411069 */ // Label 8447: @411069
     /* 411069 */ GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(411151), // Rule ID 5872 //
     /* 411074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 411077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411081 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411085 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 411089 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 411092 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 411097 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 411101 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411106 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411108 */   // (AArch64uaddlv:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$op), hsub:{ *:[i32] })
     /* 411108 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 411111 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 411115 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411120 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // op
     /* 411124 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411134 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 411140 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411145 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411150 */   // GIR_Coverage, 5872,
     /* 411150 */   GIR_EraseRootFromParent_Done,
     /* 411151 */ // Label 8448: @411151
     /* 411151 */ GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(411225), // Rule ID 5869 //
     /* 411156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 411159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411163 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411167 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 411171 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 411175 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411180 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411182 */   // (AArch64uaddlv:{ *:[v4i32] } (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$op), hsub:{ *:[i32] })
     /* 411182 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 411185 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 411189 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411194 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // op
     /* 411198 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411208 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 411214 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411219 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411224 */   // GIR_Coverage, 5869,
     /* 411224 */   GIR_EraseRootFromParent_Done,
     /* 411225 */ // Label 8449: @411225
     /* 411225 */ GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(411299), // Rule ID 5871 //
     /* 411230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 411233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411237 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411241 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 411245 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 411249 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411254 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411256 */   // (AArch64uaddlv:{ *:[v4i32] } (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$op), hsub:{ *:[i32] })
     /* 411256 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 411259 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 411263 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411268 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // op
     /* 411272 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411282 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 411288 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411293 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411298 */   // GIR_Coverage, 5871,
     /* 411298 */   GIR_EraseRootFromParent_Done,
     /* 411299 */ // Label 8450: @411299
     /* 411299 */ GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(411358), // Rule ID 5873 //
     /* 411304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 411307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411315 */   // (AArch64uaddlv:{ *:[v4i32] } V64:{ *:[v8i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn), hsub:{ *:[i32] })
     /* 411315 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 411318 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 411322 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411327 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 411331 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411341 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 411347 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411352 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411357 */   // GIR_Coverage, 5873,
     /* 411357 */   GIR_EraseRootFromParent_Done,
     /* 411358 */ // Label 8451: @411358
     /* 411358 */ GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(411417), // Rule ID 5874 //
     /* 411363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 411366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411374 */   // (AArch64uaddlv:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn), ssub:{ *:[i32] })
     /* 411374 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 411377 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i16v),
     /* 411381 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411386 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 411390 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411400 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 411406 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411411 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 411416 */   // GIR_Coverage, 5874,
     /* 411416 */   GIR_EraseRootFromParent_Done,
     /* 411417 */ // Label 8452: @411417
     /* 411417 */ GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(411476), // Rule ID 5875 //
     /* 411422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 411425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411433 */   // (AArch64uaddlv:{ *:[v4i32] } V128:{ *:[v16i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn), hsub:{ *:[i32] })
     /* 411433 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 411436 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 411440 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411445 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 411449 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411459 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 411465 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411470 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411475 */   // GIR_Coverage, 5875,
     /* 411475 */   GIR_EraseRootFromParent_Done,
     /* 411476 */ // Label 8453: @411476
     /* 411476 */ GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(411535), // Rule ID 5876 //
     /* 411481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 411484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411492 */   // (AArch64uaddlv:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn), ssub:{ *:[i32] })
     /* 411492 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 411495 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 411499 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411504 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 411508 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411518 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 411524 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411529 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 411534 */   // GIR_Coverage, 5876,
     /* 411534 */   GIR_EraseRootFromParent_Done,
     /* 411535 */ // Label 8454: @411535
     /* 411535 */ GIM_Reject,
     /* 411536 */ // Label 8442: @411536
     /* 411536 */ GIM_Reject,
     /* 411537 */ // Label 143: @411537
     /* 411537 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(20), /*)*//*default:*//*Label 8459*/ GIMT_Encode4(411906),
     /* 411548 */ /*GILLT_v2s32*//*Label 8455*/ GIMT_Encode4(411608), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 411560 */ /*GILLT_v4s32*//*Label 8456*/ GIMT_Encode4(411728), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 411592 */ /*GILLT_nxv2s64*//*Label 8457*/ GIMT_Encode4(411848), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 411604 */ /*GILLT_nxv4s32*//*Label 8458*/ GIMT_Encode4(411877),
     /* 411608 */ // Label 8455: @411608
     /* 411608 */ GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(411727),
     /* 411613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 411616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 411619 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 411622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411634 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(411707), // Rule ID 28 //
     /* 411639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 411642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 411646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 411650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 411654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 411662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 411666 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 411670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 411679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411683 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 411687 */     // MIs[3] Operand 1
     /* 411687 */     // No operand predicates
     /* 411687 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 411689 */     // (AArch64udot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, (bitconvert:{ *:[v8i8] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UDOTlanev8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 411689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOTlanev8i8),
     /* 411692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411694 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 411696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 411698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 411702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 411705 */     GIR_RootConstrainSelectedInstOperands,
     /* 411706 */     // GIR_Coverage, 28,
     /* 411706 */     GIR_EraseRootFromParent_Done,
     /* 411707 */   // Label 8461: @411707
     /* 411707 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(411726), // Rule ID 24 //
     /* 411712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 411715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411719 */     // (AArch64udot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UDOTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 411719 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOTv8i8),
     /* 411724 */     GIR_RootConstrainSelectedInstOperands,
     /* 411725 */     // GIR_Coverage, 24,
     /* 411725 */     GIR_Done,
     /* 411726 */   // Label 8462: @411726
     /* 411726 */   GIM_Reject,
     /* 411727 */ // Label 8460: @411727
     /* 411727 */ GIM_Reject,
     /* 411728 */ // Label 8456: @411728
     /* 411728 */ GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(411847),
     /* 411733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 411736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 411739 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 411742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411754 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(411827), // Rule ID 29 //
     /* 411759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 411762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 411766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 411770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 411774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 411782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 411786 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 411790 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411795 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 411799 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411803 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 411807 */     // MIs[3] Operand 1
     /* 411807 */     // No operand predicates
     /* 411807 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 411809 */     // (AArch64udot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, (bitconvert:{ *:[v16i8] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UDOTlanev16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 411809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOTlanev16i8),
     /* 411812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411814 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 411816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 411818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 411822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 411825 */     GIR_RootConstrainSelectedInstOperands,
     /* 411826 */     // GIR_Coverage, 29,
     /* 411826 */     GIR_EraseRootFromParent_Done,
     /* 411827 */   // Label 8464: @411827
     /* 411827 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(411846), // Rule ID 25 //
     /* 411832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 411835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411839 */     // (AArch64udot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UDOTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 411839 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOTv16i8),
     /* 411844 */     GIR_RootConstrainSelectedInstOperands,
     /* 411845 */     // GIR_Coverage, 25,
     /* 411845 */     GIR_Done,
     /* 411846 */   // Label 8465: @411846
     /* 411846 */   GIM_Reject,
     /* 411847 */ // Label 8463: @411847
     /* 411847 */ GIM_Reject,
     /* 411848 */ // Label 8457: @411848
     /* 411848 */ GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(411876), // Rule ID 7643 //
     /* 411853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 411856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 411859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 411862 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 411865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 411869 */   // (AArch64udot:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UDOT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 411869 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZ_D),
     /* 411874 */   GIR_RootConstrainSelectedInstOperands,
     /* 411875 */   // GIR_Coverage, 7643,
     /* 411875 */   GIR_Done,
     /* 411876 */ // Label 8466: @411876
     /* 411876 */ GIM_Reject,
     /* 411877 */ // Label 8458: @411877
     /* 411877 */ GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(411905), // Rule ID 7642 //
     /* 411882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 411885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 411888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 411891 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 411894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 411898 */   // (AArch64udot:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UDOT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 411898 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZ_S),
     /* 411903 */   GIR_RootConstrainSelectedInstOperands,
     /* 411904 */   // GIR_Coverage, 7642,
     /* 411904 */   GIR_Done,
     /* 411905 */ // Label 8467: @411905
     /* 411905 */ GIM_Reject,
     /* 411906 */ // Label 8459: @411906
     /* 411906 */ GIM_Reject,
     /* 411907 */ // Label 144: @411907
     /* 411907 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 8471*/ GIMT_Encode4(412023),
     /* 411918 */ /*GILLT_s16*//*Label 8468*/ GIMT_Encode4(411930),
     /* 411922 */ /*GILLT_s32*//*Label 8469*/ GIMT_Encode4(411961),
     /* 411926 */ /*GILLT_s64*//*Label 8470*/ GIMT_Encode4(411992),
     /* 411930 */ // Label 8468: @411930
     /* 411930 */ GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(411960), // Rule ID 1669 //
     /* 411935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 411938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 411941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411949 */   // (AArch64uitof:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (UCVTFv1i16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 411949 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i16),
     /* 411954 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 411958 */   GIR_RootConstrainSelectedInstOperands,
     /* 411959 */   // GIR_Coverage, 1669,
     /* 411959 */   GIR_Done,
     /* 411960 */ // Label 8472: @411960
     /* 411960 */ GIM_Reject,
     /* 411961 */ // Label 8469: @411961
     /* 411961 */ GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(411991), // Rule ID 1668 //
     /* 411966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 411969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 411972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 411976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 411980 */   // (AArch64uitof:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (UCVTFv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 411980 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 411985 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 411989 */   GIR_RootConstrainSelectedInstOperands,
     /* 411990 */   // GIR_Coverage, 1668,
     /* 411990 */   GIR_Done,
     /* 411991 */ // Label 8473: @411991
     /* 411991 */ GIM_Reject,
     /* 411992 */ // Label 8470: @411992
     /* 411992 */ GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(412022), // Rule ID 1667 //
     /* 411997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 412000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 412003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412011 */   // (AArch64uitof:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (UCVTFv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 412011 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 412016 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 412020 */   GIR_RootConstrainSelectedInstOperands,
     /* 412021 */   // GIR_Coverage, 1667,
     /* 412021 */   GIR_Done,
     /* 412022 */ // Label 8474: @412022
     /* 412022 */ GIM_Reject,
     /* 412023 */ // Label 8471: @412023
     /* 412023 */ GIM_Reject,
     /* 412024 */ // Label 145: @412024
     /* 412024 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(11), /*)*//*default:*//*Label 8478*/ GIMT_Encode4(413256),
     /* 412035 */ /*GILLT_v2s64*//*Label 8475*/ GIMT_Encode4(412055), GIMT_Encode4(0),
     /* 412043 */ /*GILLT_v4s32*//*Label 8476*/ GIMT_Encode4(412616), GIMT_Encode4(0),
     /* 412051 */ /*GILLT_v8s16*//*Label 8477*/ GIMT_Encode4(413177),
     /* 412055 */ // Label 8475: @412055
     /* 412055 */ GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(412615),
     /* 412060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 412063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 412066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412070 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(412162), // Rule ID 2106 //
     /* 412075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 412098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412102 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412111 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412115 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412119 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 412123 */     // MIs[3] Operand 1
     /* 412123 */     // No operand predicates
     /* 412123 */     // MIs[1] Operand 2
     /* 412123 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 412134 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 412143 */     // (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }))  =>  (UMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_indexed),
     /* 412146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 412153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412160 */     GIR_RootConstrainSelectedInstOperands,
     /* 412161 */     // GIR_Coverage, 2106,
     /* 412161 */     GIR_EraseRootFromParent_Done,
     /* 412162 */   // Label 8480: @412162
     /* 412162 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(412254), // Rule ID 13524 //
     /* 412167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 412190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412194 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412203 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412207 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412211 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 412215 */     // MIs[3] Operand 1
     /* 412215 */     // No operand predicates
     /* 412215 */     // MIs[1] Operand 2
     /* 412215 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 412226 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 412235 */     // (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (UMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_indexed),
     /* 412238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 412245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412252 */     GIR_RootConstrainSelectedInstOperands,
     /* 412253 */     // GIR_Coverage, 13524,
     /* 412253 */     GIR_EraseRootFromParent_Done,
     /* 412254 */   // Label 8481: @412254
     /* 412254 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(412340), // Rule ID 13522 //
     /* 412259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 412282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412286 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412290 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412295 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412299 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412303 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 412307 */     // MIs[3] Operand 1
     /* 412307 */     // No operand predicates
     /* 412307 */     // MIs[1] Operand 2
     /* 412307 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 412318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412322 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412324 */     // (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 412327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412329 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 412331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412338 */     GIR_RootConstrainSelectedInstOperands,
     /* 412339 */     // GIR_Coverage, 13522,
     /* 412339 */     GIR_EraseRootFromParent_Done,
     /* 412340 */   // Label 8482: @412340
     /* 412340 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(412426), // Rule ID 2104 //
     /* 412345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 412372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412376 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412385 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412389 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412393 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 412397 */     // MIs[3] Operand 1
     /* 412397 */     // No operand predicates
     /* 412397 */     // MIs[1] Operand 2
     /* 412397 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 412408 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412410 */     // (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 412413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412415 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412424 */     GIR_RootConstrainSelectedInstOperands,
     /* 412425 */     // GIR_Coverage, 2104,
     /* 412425 */     GIR_EraseRootFromParent_Done,
     /* 412426 */   // Label 8483: @412426
     /* 412426 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(412465), // Rule ID 1831 //
     /* 412431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 412441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 412448 */     // (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (UMULLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 412448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_v2i64),
     /* 412451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 412458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 412463 */     GIR_RootConstrainSelectedInstOperands,
     /* 412464 */     // GIR_Coverage, 1831,
     /* 412464 */     GIR_EraseRootFromParent_Done,
     /* 412465 */   // Label 8484: @412465
     /* 412465 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(412528), // Rule ID 13523 //
     /* 412470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 412481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 412489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 412498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412502 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 412506 */     // MIs[2] Operand 1
     /* 412506 */     // No operand predicates
     /* 412506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 412512 */     // (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn)  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 412515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412517 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 412519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 412523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 412526 */     GIR_RootConstrainSelectedInstOperands,
     /* 412527 */     // GIR_Coverage, 13523,
     /* 412527 */     GIR_EraseRootFromParent_Done,
     /* 412528 */   // Label 8485: @412528
     /* 412528 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(412591), // Rule ID 2105 //
     /* 412533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 412548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 412556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 412565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412569 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 412573 */     // MIs[2] Operand 1
     /* 412573 */     // No operand predicates
     /* 412573 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 412575 */     // (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 412578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412580 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 412586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 412589 */     GIR_RootConstrainSelectedInstOperands,
     /* 412590 */     // GIR_Coverage, 2105,
     /* 412590 */     GIR_EraseRootFromParent_Done,
     /* 412591 */   // Label 8486: @412591
     /* 412591 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(412614), // Rule ID 1830 //
     /* 412596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412607 */     // (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMULLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 412607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_v2i64),
     /* 412612 */     GIR_RootConstrainSelectedInstOperands,
     /* 412613 */     // GIR_Coverage, 1830,
     /* 412613 */     GIR_Done,
     /* 412614 */   // Label 8487: @412614
     /* 412614 */   GIM_Reject,
     /* 412615 */ // Label 8479: @412615
     /* 412615 */ GIM_Reject,
     /* 412616 */ // Label 8476: @412616
     /* 412616 */ GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(413176),
     /* 412621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 412624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 412627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412631 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(412723), // Rule ID 2103 //
     /* 412636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 412659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412663 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412667 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 412672 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412676 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412680 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 412684 */     // MIs[3] Operand 1
     /* 412684 */     // No operand predicates
     /* 412684 */     // MIs[1] Operand 2
     /* 412684 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 412695 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 412704 */     // (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }))  =>  (UMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_indexed),
     /* 412707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 412714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412721 */     GIR_RootConstrainSelectedInstOperands,
     /* 412722 */     // GIR_Coverage, 2103,
     /* 412722 */     GIR_EraseRootFromParent_Done,
     /* 412723 */   // Label 8489: @412723
     /* 412723 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(412815), // Rule ID 13521 //
     /* 412728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 412751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412755 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 412764 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412768 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412772 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 412776 */     // MIs[3] Operand 1
     /* 412776 */     // No operand predicates
     /* 412776 */     // MIs[1] Operand 2
     /* 412776 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 412787 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 412796 */     // (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (UMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_indexed),
     /* 412799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 412806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412813 */     GIR_RootConstrainSelectedInstOperands,
     /* 412814 */     // GIR_Coverage, 13521,
     /* 412814 */     GIR_EraseRootFromParent_Done,
     /* 412815 */   // Label 8490: @412815
     /* 412815 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(412901), // Rule ID 13519 //
     /* 412820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 412843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412847 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 412856 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412860 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412864 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 412868 */     // MIs[3] Operand 1
     /* 412868 */     // No operand predicates
     /* 412868 */     // MIs[1] Operand 2
     /* 412868 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 412879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412883 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412885 */     // (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 412888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 412892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412899 */     GIR_RootConstrainSelectedInstOperands,
     /* 412900 */     // GIR_Coverage, 13519,
     /* 412900 */     GIR_EraseRootFromParent_Done,
     /* 412901 */   // Label 8491: @412901
     /* 412901 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(412987), // Rule ID 2101 //
     /* 412906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 412933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412937 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 412946 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412950 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412954 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 412958 */     // MIs[3] Operand 1
     /* 412958 */     // No operand predicates
     /* 412958 */     // MIs[1] Operand 2
     /* 412958 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 412969 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412971 */     // (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 412974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412976 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412985 */     GIR_RootConstrainSelectedInstOperands,
     /* 412986 */     // GIR_Coverage, 2101,
     /* 412986 */     GIR_EraseRootFromParent_Done,
     /* 412987 */   // Label 8492: @412987
     /* 412987 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(413026), // Rule ID 1829 //
     /* 412992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 413002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 413009 */     // (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (UMULLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 413009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_v4i32),
     /* 413012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 413014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 413019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 413024 */     GIR_RootConstrainSelectedInstOperands,
     /* 413025 */     // GIR_Coverage, 1829,
     /* 413025 */     GIR_EraseRootFromParent_Done,
     /* 413026 */   // Label 8493: @413026
     /* 413026 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(413089), // Rule ID 13520 //
     /* 413031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 413038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 413042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 413046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 413050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 413055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 413059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 413063 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 413067 */     // MIs[2] Operand 1
     /* 413067 */     // No operand predicates
     /* 413067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 413073 */     // (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn)  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 413073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 413076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 413078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 413080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 413084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 413087 */     GIR_RootConstrainSelectedInstOperands,
     /* 413088 */     // GIR_Coverage, 13520,
     /* 413088 */     GIR_EraseRootFromParent_Done,
     /* 413089 */   // Label 8494: @413089
     /* 413089 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(413152), // Rule ID 2102 //
     /* 413094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 413105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 413109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 413113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 413117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 413122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 413126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 413130 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 413134 */     // MIs[2] Operand 1
     /* 413134 */     // No operand predicates
     /* 413134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 413136 */     // (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 413136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 413139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 413141 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 413143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 413147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 413150 */     GIR_RootConstrainSelectedInstOperands,
     /* 413151 */     // GIR_Coverage, 2102,
     /* 413151 */     GIR_EraseRootFromParent_Done,
     /* 413152 */   // Label 8495: @413152
     /* 413152 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(413175), // Rule ID 1828 //
     /* 413157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413168 */     // (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMULLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 413168 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_v4i32),
     /* 413173 */     GIR_RootConstrainSelectedInstOperands,
     /* 413174 */     // GIR_Coverage, 1828,
     /* 413174 */     GIR_Done,
     /* 413175 */   // Label 8496: @413175
     /* 413175 */   GIM_Reject,
     /* 413176 */ // Label 8488: @413176
     /* 413176 */ GIM_Reject,
     /* 413177 */ // Label 8477: @413177
     /* 413177 */ GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(413255),
     /* 413182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 413185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 413188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413192 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(413231), // Rule ID 1827 //
     /* 413197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 413207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 413214 */     // (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))  =>  (UMULLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 413214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv16i8_v8i16),
     /* 413217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 413219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 413224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 413229 */     GIR_RootConstrainSelectedInstOperands,
     /* 413230 */     // GIR_Coverage, 1827,
     /* 413230 */     GIR_EraseRootFromParent_Done,
     /* 413231 */   // Label 8498: @413231
     /* 413231 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(413254), // Rule ID 1826 //
     /* 413236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413247 */     // (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMULLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 413247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i8_v8i16),
     /* 413252 */     GIR_RootConstrainSelectedInstOperands,
     /* 413253 */     // GIR_Coverage, 1826,
     /* 413253 */     GIR_Done,
     /* 413254 */   // Label 8499: @413254
     /* 413254 */   GIM_Reject,
     /* 413255 */ // Label 8497: @413255
     /* 413255 */ GIM_Reject,
     /* 413256 */ // Label 8478: @413256
     /* 413256 */ GIM_Reject,
     /* 413257 */ // Label 146: @413257
     /* 413257 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8518*/ GIMT_Encode4(414036),
     /* 413268 */ /*GILLT_v2s32*//*Label 8500*/ GIMT_Encode4(413344),
     /* 413272 */ /*GILLT_v2s64*//*Label 8501*/ GIMT_Encode4(413399),
     /* 413276 */ /*GILLT_v4s16*//*Label 8502*/ GIMT_Encode4(413454),
     /* 413280 */ /*GILLT_v4s32*//*Label 8503*/ GIMT_Encode4(413509),
     /* 413284 */ /*GILLT_v8s8*//*Label 8504*/ GIMT_Encode4(413564),
     /* 413288 */ /*GILLT_v8s16*//*Label 8505*/ GIMT_Encode4(413598),
     /* 413292 */ /*GILLT_v16s8*//*Label 8506*/ GIMT_Encode4(413653), GIMT_Encode4(0),
     /* 413300 */ /*GILLT_nxv2s1*//*Label 8507*/ GIMT_Encode4(413687),
     /* 413304 */ /*GILLT_nxv2s16*//*Label 8508*/ GIMT_Encode4(413713),
     /* 413308 */ /*GILLT_nxv2s32*//*Label 8509*/ GIMT_Encode4(413739),
     /* 413312 */ /*GILLT_nxv2s64*//*Label 8510*/ GIMT_Encode4(413765),
     /* 413316 */ /*GILLT_nxv4s1*//*Label 8511*/ GIMT_Encode4(413812),
     /* 413320 */ /*GILLT_nxv4s16*//*Label 8512*/ GIMT_Encode4(413838),
     /* 413324 */ /*GILLT_nxv4s32*//*Label 8513*/ GIMT_Encode4(413864),
     /* 413328 */ /*GILLT_nxv8s1*//*Label 8514*/ GIMT_Encode4(413911),
     /* 413332 */ /*GILLT_nxv8s16*//*Label 8515*/ GIMT_Encode4(413937),
     /* 413336 */ /*GILLT_nxv16s1*//*Label 8516*/ GIMT_Encode4(413984),
     /* 413340 */ /*GILLT_nxv16s8*//*Label 8517*/ GIMT_Encode4(414010),
     /* 413344 */ // Label 8500: @413344
     /* 413344 */ GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(413398),
     /* 413349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 413352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 413355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413367 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(413382), // Rule ID 1888 //
     /* 413372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413375 */     // (AArch64uzp1:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UZP1v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 413375 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i32),
     /* 413380 */     GIR_RootConstrainSelectedInstOperands,
     /* 413381 */     // GIR_Coverage, 1888,
     /* 413381 */     GIR_Done,
     /* 413382 */   // Label 8520: @413382
     /* 413382 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(413397), // Rule ID 5474 //
     /* 413387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413390 */     // (AArch64uzp1:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (UZP1v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 413390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i32),
     /* 413395 */     GIR_RootConstrainSelectedInstOperands,
     /* 413396 */     // GIR_Coverage, 5474,
     /* 413396 */     GIR_Done,
     /* 413397 */   // Label 8521: @413397
     /* 413397 */   GIM_Reject,
     /* 413398 */ // Label 8519: @413398
     /* 413398 */ GIM_Reject,
     /* 413399 */ // Label 8501: @413399
     /* 413399 */ GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(413453),
     /* 413404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 413407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 413410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413422 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(413437), // Rule ID 1890 //
     /* 413427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413430 */     // (AArch64uzp1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UZP1v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 413430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i64),
     /* 413435 */     GIR_RootConstrainSelectedInstOperands,
     /* 413436 */     // GIR_Coverage, 1890,
     /* 413436 */     GIR_Done,
     /* 413437 */   // Label 8523: @413437
     /* 413437 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(413452), // Rule ID 5476 //
     /* 413442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413445 */     // (AArch64uzp1:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (UZP1v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 413445 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i64),
     /* 413450 */     GIR_RootConstrainSelectedInstOperands,
     /* 413451 */     // GIR_Coverage, 5476,
     /* 413451 */     GIR_Done,
     /* 413452 */   // Label 8524: @413452
     /* 413452 */   GIM_Reject,
     /* 413453 */ // Label 8522: @413453
     /* 413453 */ GIM_Reject,
     /* 413454 */ // Label 8502: @413454
     /* 413454 */ GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(413508),
     /* 413459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 413462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 413465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413477 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(413492), // Rule ID 1886 //
     /* 413482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413485 */     // (AArch64uzp1:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UZP1v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 413485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i16),
     /* 413490 */     GIR_RootConstrainSelectedInstOperands,
     /* 413491 */     // GIR_Coverage, 1886,
     /* 413491 */     GIR_Done,
     /* 413492 */   // Label 8526: @413492
     /* 413492 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(413507), // Rule ID 5472 //
     /* 413497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413500 */     // (AArch64uzp1:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (UZP1v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 413500 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i16),
     /* 413505 */     GIR_RootConstrainSelectedInstOperands,
     /* 413506 */     // GIR_Coverage, 5472,
     /* 413506 */     GIR_Done,
     /* 413507 */   // Label 8527: @413507
     /* 413507 */   GIM_Reject,
     /* 413508 */ // Label 8525: @413508
     /* 413508 */ GIM_Reject,
     /* 413509 */ // Label 8503: @413509
     /* 413509 */ GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(413563),
     /* 413514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 413517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 413520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413532 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(413547), // Rule ID 1889 //
     /* 413537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413540 */     // (AArch64uzp1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP1v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 413540 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /* 413545 */     GIR_RootConstrainSelectedInstOperands,
     /* 413546 */     // GIR_Coverage, 1889,
     /* 413546 */     GIR_Done,
     /* 413547 */   // Label 8529: @413547
     /* 413547 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(413562), // Rule ID 5475 //
     /* 413552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413555 */     // (AArch64uzp1:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (UZP1v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 413555 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /* 413560 */     GIR_RootConstrainSelectedInstOperands,
     /* 413561 */     // GIR_Coverage, 5475,
     /* 413561 */     GIR_Done,
     /* 413562 */   // Label 8530: @413562
     /* 413562 */   GIM_Reject,
     /* 413563 */ // Label 8528: @413563
     /* 413563 */ GIM_Reject,
     /* 413564 */ // Label 8504: @413564
     /* 413564 */ GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(413597), // Rule ID 1884 //
     /* 413569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 413575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 413578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413590 */   // (AArch64uzp1:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UZP1v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 413590 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i8),
     /* 413595 */   GIR_RootConstrainSelectedInstOperands,
     /* 413596 */   // GIR_Coverage, 1884,
     /* 413596 */   GIR_Done,
     /* 413597 */ // Label 8531: @413597
     /* 413597 */ GIM_Reject,
     /* 413598 */ // Label 8505: @413598
     /* 413598 */ GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(413652),
     /* 413603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 413606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 413609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413621 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(413636), // Rule ID 1887 //
     /* 413626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413629 */     // (AArch64uzp1:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP1v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 413629 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /* 413634 */     GIR_RootConstrainSelectedInstOperands,
     /* 413635 */     // GIR_Coverage, 1887,
     /* 413635 */     GIR_Done,
     /* 413636 */   // Label 8533: @413636
     /* 413636 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(413651), // Rule ID 5473 //
     /* 413641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413644 */     // (AArch64uzp1:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (UZP1v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 413644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /* 413649 */     GIR_RootConstrainSelectedInstOperands,
     /* 413650 */     // GIR_Coverage, 5473,
     /* 413650 */     GIR_Done,
     /* 413651 */   // Label 8534: @413651
     /* 413651 */   GIM_Reject,
     /* 413652 */ // Label 8532: @413652
     /* 413652 */ GIM_Reject,
     /* 413653 */ // Label 8506: @413653
     /* 413653 */ GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(413686), // Rule ID 1885 //
     /* 413658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 413664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 413667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413679 */   // (AArch64uzp1:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP1v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 413679 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v16i8),
     /* 413684 */   GIR_RootConstrainSelectedInstOperands,
     /* 413685 */   // GIR_Coverage, 1885,
     /* 413685 */   GIR_Done,
     /* 413686 */ // Label 8535: @413686
     /* 413686 */ GIM_Reject,
     /* 413687 */ // Label 8507: @413687
     /* 413687 */ GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(413712), // Rule ID 8951 //
     /* 413692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 413698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 413701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 413705 */   // (AArch64uzp1:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UZP1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 413705 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_D),
     /* 413710 */   GIR_RootConstrainSelectedInstOperands,
     /* 413711 */   // GIR_Coverage, 8951,
     /* 413711 */   GIR_Done,
     /* 413712 */ // Label 8536: @413712
     /* 413712 */ GIM_Reject,
     /* 413713 */ // Label 8508: @413713
     /* 413713 */ GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(413738), // Rule ID 8913 //
     /* 413718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 413724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 413727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413731 */   // (AArch64uzp1:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 413731 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 413736 */   GIR_RootConstrainSelectedInstOperands,
     /* 413737 */   // GIR_Coverage, 8913,
     /* 413737 */   GIR_Done,
     /* 413738 */ // Label 8537: @413738
     /* 413738 */ GIM_Reject,
     /* 413739 */ // Label 8509: @413739
     /* 413739 */ GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(413764), // Rule ID 8914 //
     /* 413744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 413750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 413753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413757 */   // (AArch64uzp1:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 413757 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 413762 */   GIR_RootConstrainSelectedInstOperands,
     /* 413763 */   // GIR_Coverage, 8914,
     /* 413763 */   GIR_Done,
     /* 413764 */ // Label 8538: @413764
     /* 413764 */ GIM_Reject,
     /* 413765 */ // Label 8510: @413765
     /* 413765 */ GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(413811),
     /* 413770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 413773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 413776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413780 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(413795), // Rule ID 8909 //
     /* 413785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413788 */     // (AArch64uzp1:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 413788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 413793 */     GIR_RootConstrainSelectedInstOperands,
     /* 413794 */     // GIR_Coverage, 8909,
     /* 413794 */     GIR_Done,
     /* 413795 */   // Label 8540: @413795
     /* 413795 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(413810), // Rule ID 8915 //
     /* 413800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413803 */     // (AArch64uzp1:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 413803 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 413808 */     GIR_RootConstrainSelectedInstOperands,
     /* 413809 */     // GIR_Coverage, 8915,
     /* 413809 */     GIR_Done,
     /* 413810 */   // Label 8541: @413810
     /* 413810 */   GIM_Reject,
     /* 413811 */ // Label 8539: @413811
     /* 413811 */ GIM_Reject,
     /* 413812 */ // Label 8511: @413812
     /* 413812 */ GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(413837), // Rule ID 8950 //
     /* 413817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 413823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 413826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 413830 */   // (AArch64uzp1:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UZP1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 413830 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_S),
     /* 413835 */   GIR_RootConstrainSelectedInstOperands,
     /* 413836 */   // GIR_Coverage, 8950,
     /* 413836 */   GIR_Done,
     /* 413837 */ // Label 8542: @413837
     /* 413837 */ GIM_Reject,
     /* 413838 */ // Label 8512: @413838
     /* 413838 */ GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(413863), // Rule ID 8911 //
     /* 413843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 413849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 413852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413856 */   // (AArch64uzp1:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 413856 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /* 413861 */   GIR_RootConstrainSelectedInstOperands,
     /* 413862 */   // GIR_Coverage, 8911,
     /* 413862 */   GIR_Done,
     /* 413863 */ // Label 8543: @413863
     /* 413863 */ GIM_Reject,
     /* 413864 */ // Label 8513: @413864
     /* 413864 */ GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(413910),
     /* 413869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 413872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 413875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413879 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(413894), // Rule ID 8908 //
     /* 413884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413887 */     // (AArch64uzp1:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 413887 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /* 413892 */     GIR_RootConstrainSelectedInstOperands,
     /* 413893 */     // GIR_Coverage, 8908,
     /* 413893 */     GIR_Done,
     /* 413894 */   // Label 8545: @413894
     /* 413894 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(413909), // Rule ID 8912 //
     /* 413899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413902 */     // (AArch64uzp1:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 413902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /* 413907 */     GIR_RootConstrainSelectedInstOperands,
     /* 413908 */     // GIR_Coverage, 8912,
     /* 413908 */     GIR_Done,
     /* 413909 */   // Label 8546: @413909
     /* 413909 */   GIM_Reject,
     /* 413910 */ // Label 8544: @413910
     /* 413910 */ GIM_Reject,
     /* 413911 */ // Label 8514: @413911
     /* 413911 */ GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(413936), // Rule ID 8949 //
     /* 413916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 413922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 413925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 413929 */   // (AArch64uzp1:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UZP1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 413929 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_H),
     /* 413934 */   GIR_RootConstrainSelectedInstOperands,
     /* 413935 */   // GIR_Coverage, 8949,
     /* 413935 */   GIR_Done,
     /* 413936 */ // Label 8547: @413936
     /* 413936 */ GIM_Reject,
     /* 413937 */ // Label 8515: @413937
     /* 413937 */ GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(413983),
     /* 413942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 413945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 413948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413952 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(413967), // Rule ID 8907 //
     /* 413957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413960 */     // (AArch64uzp1:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 413960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_H),
     /* 413965 */     GIR_RootConstrainSelectedInstOperands,
     /* 413966 */     // GIR_Coverage, 8907,
     /* 413966 */     GIR_Done,
     /* 413967 */   // Label 8549: @413967
     /* 413967 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(413982), // Rule ID 8910 //
     /* 413972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413975 */     // (AArch64uzp1:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 413975 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_H),
     /* 413980 */     GIR_RootConstrainSelectedInstOperands,
     /* 413981 */     // GIR_Coverage, 8910,
     /* 413981 */     GIR_Done,
     /* 413982 */   // Label 8550: @413982
     /* 413982 */   GIM_Reject,
     /* 413983 */ // Label 8548: @413983
     /* 413983 */ GIM_Reject,
     /* 413984 */ // Label 8516: @413984
     /* 413984 */ GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(414009), // Rule ID 2406 //
     /* 413989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 413995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 413998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 414002 */   // (AArch64uzp1:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 414002 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_B),
     /* 414007 */   GIR_RootConstrainSelectedInstOperands,
     /* 414008 */   // GIR_Coverage, 2406,
     /* 414008 */   GIR_Done,
     /* 414009 */ // Label 8551: @414009
     /* 414009 */ GIM_Reject,
     /* 414010 */ // Label 8517: @414010
     /* 414010 */ GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(414035), // Rule ID 8906 //
     /* 414015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 414021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 414024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414028 */   // (AArch64uzp1:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 414028 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_B),
     /* 414033 */   GIR_RootConstrainSelectedInstOperands,
     /* 414034 */   // GIR_Coverage, 8906,
     /* 414034 */   GIR_Done,
     /* 414035 */ // Label 8552: @414035
     /* 414035 */ GIM_Reject,
     /* 414036 */ // Label 8518: @414036
     /* 414036 */ GIM_Reject,
     /* 414037 */ // Label 147: @414037
     /* 414037 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8571*/ GIMT_Encode4(414816),
     /* 414048 */ /*GILLT_v2s32*//*Label 8553*/ GIMT_Encode4(414124),
     /* 414052 */ /*GILLT_v2s64*//*Label 8554*/ GIMT_Encode4(414179),
     /* 414056 */ /*GILLT_v4s16*//*Label 8555*/ GIMT_Encode4(414234),
     /* 414060 */ /*GILLT_v4s32*//*Label 8556*/ GIMT_Encode4(414289),
     /* 414064 */ /*GILLT_v8s8*//*Label 8557*/ GIMT_Encode4(414344),
     /* 414068 */ /*GILLT_v8s16*//*Label 8558*/ GIMT_Encode4(414378),
     /* 414072 */ /*GILLT_v16s8*//*Label 8559*/ GIMT_Encode4(414433), GIMT_Encode4(0),
     /* 414080 */ /*GILLT_nxv2s1*//*Label 8560*/ GIMT_Encode4(414467),
     /* 414084 */ /*GILLT_nxv2s16*//*Label 8561*/ GIMT_Encode4(414493),
     /* 414088 */ /*GILLT_nxv2s32*//*Label 8562*/ GIMT_Encode4(414519),
     /* 414092 */ /*GILLT_nxv2s64*//*Label 8563*/ GIMT_Encode4(414545),
     /* 414096 */ /*GILLT_nxv4s1*//*Label 8564*/ GIMT_Encode4(414592),
     /* 414100 */ /*GILLT_nxv4s16*//*Label 8565*/ GIMT_Encode4(414618),
     /* 414104 */ /*GILLT_nxv4s32*//*Label 8566*/ GIMT_Encode4(414644),
     /* 414108 */ /*GILLT_nxv8s1*//*Label 8567*/ GIMT_Encode4(414691),
     /* 414112 */ /*GILLT_nxv8s16*//*Label 8568*/ GIMT_Encode4(414717),
     /* 414116 */ /*GILLT_nxv16s1*//*Label 8569*/ GIMT_Encode4(414764),
     /* 414120 */ /*GILLT_nxv16s8*//*Label 8570*/ GIMT_Encode4(414790),
     /* 414124 */ // Label 8553: @414124
     /* 414124 */ GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(414178),
     /* 414129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 414132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 414135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414147 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(414162), // Rule ID 1895 //
     /* 414152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414155 */     // (AArch64uzp2:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UZP2v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 414155 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i32),
     /* 414160 */     GIR_RootConstrainSelectedInstOperands,
     /* 414161 */     // GIR_Coverage, 1895,
     /* 414161 */     GIR_Done,
     /* 414162 */   // Label 8573: @414162
     /* 414162 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(414177), // Rule ID 5479 //
     /* 414167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414170 */     // (AArch64uzp2:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (UZP2v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 414170 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i32),
     /* 414175 */     GIR_RootConstrainSelectedInstOperands,
     /* 414176 */     // GIR_Coverage, 5479,
     /* 414176 */     GIR_Done,
     /* 414177 */   // Label 8574: @414177
     /* 414177 */   GIM_Reject,
     /* 414178 */ // Label 8572: @414178
     /* 414178 */ GIM_Reject,
     /* 414179 */ // Label 8554: @414179
     /* 414179 */ GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(414233),
     /* 414184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 414187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 414190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414202 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(414217), // Rule ID 1897 //
     /* 414207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414210 */     // (AArch64uzp2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UZP2v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 414210 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i64),
     /* 414215 */     GIR_RootConstrainSelectedInstOperands,
     /* 414216 */     // GIR_Coverage, 1897,
     /* 414216 */     GIR_Done,
     /* 414217 */   // Label 8576: @414217
     /* 414217 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(414232), // Rule ID 5481 //
     /* 414222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414225 */     // (AArch64uzp2:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (UZP2v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 414225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i64),
     /* 414230 */     GIR_RootConstrainSelectedInstOperands,
     /* 414231 */     // GIR_Coverage, 5481,
     /* 414231 */     GIR_Done,
     /* 414232 */   // Label 8577: @414232
     /* 414232 */   GIM_Reject,
     /* 414233 */ // Label 8575: @414233
     /* 414233 */ GIM_Reject,
     /* 414234 */ // Label 8555: @414234
     /* 414234 */ GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(414288),
     /* 414239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 414242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 414245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414257 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(414272), // Rule ID 1893 //
     /* 414262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414265 */     // (AArch64uzp2:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UZP2v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 414265 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i16),
     /* 414270 */     GIR_RootConstrainSelectedInstOperands,
     /* 414271 */     // GIR_Coverage, 1893,
     /* 414271 */     GIR_Done,
     /* 414272 */   // Label 8579: @414272
     /* 414272 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(414287), // Rule ID 5477 //
     /* 414277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414280 */     // (AArch64uzp2:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (UZP2v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 414280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i16),
     /* 414285 */     GIR_RootConstrainSelectedInstOperands,
     /* 414286 */     // GIR_Coverage, 5477,
     /* 414286 */     GIR_Done,
     /* 414287 */   // Label 8580: @414287
     /* 414287 */   GIM_Reject,
     /* 414288 */ // Label 8578: @414288
     /* 414288 */ GIM_Reject,
     /* 414289 */ // Label 8556: @414289
     /* 414289 */ GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(414343),
     /* 414294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 414297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 414300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414312 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(414327), // Rule ID 1896 //
     /* 414317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414320 */     // (AArch64uzp2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 414320 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 414325 */     GIR_RootConstrainSelectedInstOperands,
     /* 414326 */     // GIR_Coverage, 1896,
     /* 414326 */     GIR_Done,
     /* 414327 */   // Label 8582: @414327
     /* 414327 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(414342), // Rule ID 5480 //
     /* 414332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414335 */     // (AArch64uzp2:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 414335 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 414340 */     GIR_RootConstrainSelectedInstOperands,
     /* 414341 */     // GIR_Coverage, 5480,
     /* 414341 */     GIR_Done,
     /* 414342 */   // Label 8583: @414342
     /* 414342 */   GIM_Reject,
     /* 414343 */ // Label 8581: @414343
     /* 414343 */ GIM_Reject,
     /* 414344 */ // Label 8557: @414344
     /* 414344 */ GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(414377), // Rule ID 1891 //
     /* 414349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 414355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 414358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414370 */   // (AArch64uzp2:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UZP2v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 414370 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i8),
     /* 414375 */   GIR_RootConstrainSelectedInstOperands,
     /* 414376 */   // GIR_Coverage, 1891,
     /* 414376 */   GIR_Done,
     /* 414377 */ // Label 8584: @414377
     /* 414377 */ GIM_Reject,
     /* 414378 */ // Label 8558: @414378
     /* 414378 */ GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(414432),
     /* 414383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 414386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 414389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414401 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(414416), // Rule ID 1894 //
     /* 414406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414409 */     // (AArch64uzp2:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 414409 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 414414 */     GIR_RootConstrainSelectedInstOperands,
     /* 414415 */     // GIR_Coverage, 1894,
     /* 414415 */     GIR_Done,
     /* 414416 */   // Label 8586: @414416
     /* 414416 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(414431), // Rule ID 5478 //
     /* 414421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414424 */     // (AArch64uzp2:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 414424 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 414429 */     GIR_RootConstrainSelectedInstOperands,
     /* 414430 */     // GIR_Coverage, 5478,
     /* 414430 */     GIR_Done,
     /* 414431 */   // Label 8587: @414431
     /* 414431 */   GIM_Reject,
     /* 414432 */ // Label 8585: @414432
     /* 414432 */ GIM_Reject,
     /* 414433 */ // Label 8559: @414433
     /* 414433 */ GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(414466), // Rule ID 1892 //
     /* 414438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 414444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 414447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414459 */   // (AArch64uzp2:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP2v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 414459 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /* 414464 */   GIR_RootConstrainSelectedInstOperands,
     /* 414465 */   // GIR_Coverage, 1892,
     /* 414465 */   GIR_Done,
     /* 414466 */ // Label 8588: @414466
     /* 414466 */ GIM_Reject,
     /* 414467 */ // Label 8560: @414467
     /* 414467 */ GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(414492), // Rule ID 8954 //
     /* 414472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 414478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 414481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 414485 */   // (AArch64uzp2:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UZP2_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 414485 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_D),
     /* 414490 */   GIR_RootConstrainSelectedInstOperands,
     /* 414491 */   // GIR_Coverage, 8954,
     /* 414491 */   GIR_Done,
     /* 414492 */ // Label 8589: @414492
     /* 414492 */ GIM_Reject,
     /* 414493 */ // Label 8561: @414493
     /* 414493 */ GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(414518), // Rule ID 8923 //
     /* 414498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 414504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 414507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414511 */   // (AArch64uzp2:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 414511 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 414516 */   GIR_RootConstrainSelectedInstOperands,
     /* 414517 */   // GIR_Coverage, 8923,
     /* 414517 */   GIR_Done,
     /* 414518 */ // Label 8590: @414518
     /* 414518 */ GIM_Reject,
     /* 414519 */ // Label 8562: @414519
     /* 414519 */ GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(414544), // Rule ID 8924 //
     /* 414524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 414530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 414533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414537 */   // (AArch64uzp2:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 414537 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 414542 */   GIR_RootConstrainSelectedInstOperands,
     /* 414543 */   // GIR_Coverage, 8924,
     /* 414543 */   GIR_Done,
     /* 414544 */ // Label 8591: @414544
     /* 414544 */ GIM_Reject,
     /* 414545 */ // Label 8563: @414545
     /* 414545 */ GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(414591),
     /* 414550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 414553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 414556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414560 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(414575), // Rule ID 8919 //
     /* 414565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414568 */     // (AArch64uzp2:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 414568 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 414573 */     GIR_RootConstrainSelectedInstOperands,
     /* 414574 */     // GIR_Coverage, 8919,
     /* 414574 */     GIR_Done,
     /* 414575 */   // Label 8593: @414575
     /* 414575 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(414590), // Rule ID 8925 //
     /* 414580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414583 */     // (AArch64uzp2:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 414583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 414588 */     GIR_RootConstrainSelectedInstOperands,
     /* 414589 */     // GIR_Coverage, 8925,
     /* 414589 */     GIR_Done,
     /* 414590 */   // Label 8594: @414590
     /* 414590 */   GIM_Reject,
     /* 414591 */ // Label 8592: @414591
     /* 414591 */ GIM_Reject,
     /* 414592 */ // Label 8564: @414592
     /* 414592 */ GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(414617), // Rule ID 8953 //
     /* 414597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 414603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 414606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 414610 */   // (AArch64uzp2:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UZP2_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 414610 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_S),
     /* 414615 */   GIR_RootConstrainSelectedInstOperands,
     /* 414616 */   // GIR_Coverage, 8953,
     /* 414616 */   GIR_Done,
     /* 414617 */ // Label 8595: @414617
     /* 414617 */ GIM_Reject,
     /* 414618 */ // Label 8565: @414618
     /* 414618 */ GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(414643), // Rule ID 8921 //
     /* 414623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 414629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 414632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414636 */   // (AArch64uzp2:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (UZP2_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 414636 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_S),
     /* 414641 */   GIR_RootConstrainSelectedInstOperands,
     /* 414642 */   // GIR_Coverage, 8921,
     /* 414642 */   GIR_Done,
     /* 414643 */ // Label 8596: @414643
     /* 414643 */ GIM_Reject,
     /* 414644 */ // Label 8566: @414644
     /* 414644 */ GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(414690),
     /* 414649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 414652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 414655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414659 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(414674), // Rule ID 8918 //
     /* 414664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414667 */     // (AArch64uzp2:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 414667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_S),
     /* 414672 */     GIR_RootConstrainSelectedInstOperands,
     /* 414673 */     // GIR_Coverage, 8918,
     /* 414673 */     GIR_Done,
     /* 414674 */   // Label 8598: @414674
     /* 414674 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(414689), // Rule ID 8922 //
     /* 414679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414682 */     // (AArch64uzp2:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 414682 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_S),
     /* 414687 */     GIR_RootConstrainSelectedInstOperands,
     /* 414688 */     // GIR_Coverage, 8922,
     /* 414688 */     GIR_Done,
     /* 414689 */   // Label 8599: @414689
     /* 414689 */   GIM_Reject,
     /* 414690 */ // Label 8597: @414690
     /* 414690 */ GIM_Reject,
     /* 414691 */ // Label 8567: @414691
     /* 414691 */ GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(414716), // Rule ID 8952 //
     /* 414696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 414702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 414705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 414709 */   // (AArch64uzp2:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UZP2_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 414709 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_H),
     /* 414714 */   GIR_RootConstrainSelectedInstOperands,
     /* 414715 */   // GIR_Coverage, 8952,
     /* 414715 */   GIR_Done,
     /* 414716 */ // Label 8600: @414716
     /* 414716 */ GIM_Reject,
     /* 414717 */ // Label 8568: @414717
     /* 414717 */ GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(414763),
     /* 414722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 414725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 414728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414732 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(414747), // Rule ID 8917 //
     /* 414737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414740 */     // (AArch64uzp2:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 414740 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_H),
     /* 414745 */     GIR_RootConstrainSelectedInstOperands,
     /* 414746 */     // GIR_Coverage, 8917,
     /* 414746 */     GIR_Done,
     /* 414747 */   // Label 8602: @414747
     /* 414747 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(414762), // Rule ID 8920 //
     /* 414752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414755 */     // (AArch64uzp2:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 414755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_H),
     /* 414760 */     GIR_RootConstrainSelectedInstOperands,
     /* 414761 */     // GIR_Coverage, 8920,
     /* 414761 */     GIR_Done,
     /* 414762 */   // Label 8603: @414762
     /* 414762 */   GIM_Reject,
     /* 414763 */ // Label 8601: @414763
     /* 414763 */ GIM_Reject,
     /* 414764 */ // Label 8569: @414764
     /* 414764 */ GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(414789), // Rule ID 2410 //
     /* 414769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 414775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 414778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 414782 */   // (AArch64uzp2:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 414782 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_B),
     /* 414787 */   GIR_RootConstrainSelectedInstOperands,
     /* 414788 */   // GIR_Coverage, 2410,
     /* 414788 */   GIR_Done,
     /* 414789 */ // Label 8604: @414789
     /* 414789 */ GIM_Reject,
     /* 414790 */ // Label 8570: @414790
     /* 414790 */ GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(414815), // Rule ID 8916 //
     /* 414795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 414801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 414804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414808 */   // (AArch64uzp2:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 414808 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_B),
     /* 414813 */   GIR_RootConstrainSelectedInstOperands,
     /* 414814 */   // GIR_Coverage, 8916,
     /* 414814 */   GIR_Done,
     /* 414815 */ // Label 8605: @414815
     /* 414815 */ GIM_Reject,
     /* 414816 */ // Label 8571: @414816
     /* 414816 */ GIM_Reject,
     /* 414817 */ // Label 148: @414817
     /* 414817 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 8614*/ GIMT_Encode4(415514),
     /* 414828 */ /*GILLT_s64*//*Label 8606*/ GIMT_Encode4(414864), GIMT_Encode4(0),
     /* 414836 */ /*GILLT_v2s32*//*Label 8607*/ GIMT_Encode4(414975),
     /* 414840 */ /*GILLT_v2s64*//*Label 8608*/ GIMT_Encode4(415052),
     /* 414844 */ /*GILLT_v4s16*//*Label 8609*/ GIMT_Encode4(415129),
     /* 414848 */ /*GILLT_v4s32*//*Label 8610*/ GIMT_Encode4(415206),
     /* 414852 */ /*GILLT_v8s8*//*Label 8611*/ GIMT_Encode4(415283),
     /* 414856 */ /*GILLT_v8s16*//*Label 8612*/ GIMT_Encode4(415360),
     /* 414860 */ /*GILLT_v16s8*//*Label 8613*/ GIMT_Encode4(415437),
     /* 414864 */ // Label 8606: @414864
     /* 414864 */ GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(414974),
     /* 414869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 414872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414880 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(414905), // Rule ID 5251 //
     /* 414885 */     // MIs[0] Operand 2
     /* 414885 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(63),
     /* 414896 */     // (AArch64vashr:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, 63:{ *:[i32] })  =>  (CMLTv1i64rz:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn)
     /* 414896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv1i64rz),
     /* 414899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 414901 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 414903 */     GIR_RootConstrainSelectedInstOperands,
     /* 414904 */     // GIR_Coverage, 5251,
     /* 414904 */     GIR_EraseRootFromParent_Done,
     /* 414905 */   // Label 8616: @414905
     /* 414905 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(414939), // Rule ID 2120 //
     /* 414910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414913 */     // MIs[0] imm
     /* 414913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 414917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 414921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 414925 */     // MIs[1] Operand 1
     /* 414925 */     // No operand predicates
     /* 414925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 414927 */     // (AArch64vashr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SSHRd:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 414927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRd),
     /* 414930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 414932 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 414934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 414937 */     GIR_RootConstrainSelectedInstOperands,
     /* 414938 */     // GIR_Coverage, 2120,
     /* 414938 */     GIR_EraseRootFromParent_Done,
     /* 414939 */   // Label 8617: @414939
     /* 414939 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(414973), // Rule ID 6301 //
     /* 414944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414947 */     // MIs[0] imm
     /* 414947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 414951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 414955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 414959 */     // MIs[1] Operand 1
     /* 414959 */     // No operand predicates
     /* 414959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 414961 */     // (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SSHRd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 414961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRd),
     /* 414964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 414966 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 414968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 414971 */     GIR_RootConstrainSelectedInstOperands,
     /* 414972 */     // GIR_Coverage, 6301,
     /* 414972 */     GIR_EraseRootFromParent_Done,
     /* 414973 */   // Label 8618: @414973
     /* 414973 */   GIM_Reject,
     /* 414974 */ // Label 8615: @414974
     /* 414974 */ GIM_Reject,
     /* 414975 */ // Label 8607: @414975
     /* 414975 */ GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(415051),
     /* 414980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 414983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414991 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(415016), // Rule ID 4892 //
     /* 414996 */     // MIs[0] Operand 2
     /* 414996 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(31),
     /* 415007 */     // (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, 31:{ *:[i32] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 415007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 415010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415012 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415014 */     GIR_RootConstrainSelectedInstOperands,
     /* 415015 */     // GIR_Coverage, 4892,
     /* 415015 */     GIR_EraseRootFromParent_Done,
     /* 415016 */   // Label 8620: @415016
     /* 415016 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(415050), // Rule ID 2227 //
     /* 415021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415024 */     // MIs[0] imm
     /* 415024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 415036 */     // MIs[1] Operand 1
     /* 415036 */     // No operand predicates
     /* 415036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415038 */     // (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SSHRv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv2i32_shift),
     /* 415041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415043 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415048 */     GIR_RootConstrainSelectedInstOperands,
     /* 415049 */     // GIR_Coverage, 2227,
     /* 415049 */     GIR_EraseRootFromParent_Done,
     /* 415050 */   // Label 8621: @415050
     /* 415050 */   GIM_Reject,
     /* 415051 */ // Label 8619: @415051
     /* 415051 */ GIM_Reject,
     /* 415052 */ // Label 8608: @415052
     /* 415052 */ GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(415128),
     /* 415057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 415060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415068 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(415093), // Rule ID 4896 //
     /* 415073 */     // MIs[0] Operand 2
     /* 415073 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(63),
     /* 415084 */     // (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, 63:{ *:[i32] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 415084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 415087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415089 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415091 */     GIR_RootConstrainSelectedInstOperands,
     /* 415092 */     // GIR_Coverage, 4896,
     /* 415092 */     GIR_EraseRootFromParent_Done,
     /* 415093 */   // Label 8623: @415093
     /* 415093 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(415127), // Rule ID 2229 //
     /* 415098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415101 */     // MIs[0] imm
     /* 415101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 415113 */     // MIs[1] Operand 1
     /* 415113 */     // No operand predicates
     /* 415113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415115 */     // (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SSHRv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv2i64_shift),
     /* 415118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415120 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415125 */     GIR_RootConstrainSelectedInstOperands,
     /* 415126 */     // GIR_Coverage, 2229,
     /* 415126 */     GIR_EraseRootFromParent_Done,
     /* 415127 */   // Label 8624: @415127
     /* 415127 */   GIM_Reject,
     /* 415128 */ // Label 8622: @415128
     /* 415128 */ GIM_Reject,
     /* 415129 */ // Label 8609: @415129
     /* 415129 */ GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(415205),
     /* 415134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 415137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415145 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(415170), // Rule ID 4891 //
     /* 415150 */     // MIs[0] Operand 2
     /* 415150 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(15),
     /* 415161 */     // (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, 15:{ *:[i32] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 415161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 415164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415166 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415168 */     GIR_RootConstrainSelectedInstOperands,
     /* 415169 */     // GIR_Coverage, 4891,
     /* 415169 */     GIR_EraseRootFromParent_Done,
     /* 415170 */   // Label 8626: @415170
     /* 415170 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(415204), // Rule ID 2225 //
     /* 415175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415178 */     // MIs[0] imm
     /* 415178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 415190 */     // MIs[1] Operand 1
     /* 415190 */     // No operand predicates
     /* 415190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415192 */     // (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SSHRv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv4i16_shift),
     /* 415195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415197 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415202 */     GIR_RootConstrainSelectedInstOperands,
     /* 415203 */     // GIR_Coverage, 2225,
     /* 415203 */     GIR_EraseRootFromParent_Done,
     /* 415204 */   // Label 8627: @415204
     /* 415204 */   GIM_Reject,
     /* 415205 */ // Label 8625: @415205
     /* 415205 */ GIM_Reject,
     /* 415206 */ // Label 8610: @415206
     /* 415206 */ GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(415282),
     /* 415211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 415214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415222 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(415247), // Rule ID 4895 //
     /* 415227 */     // MIs[0] Operand 2
     /* 415227 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(31),
     /* 415238 */     // (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, 31:{ *:[i32] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 415238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 415241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415243 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415245 */     GIR_RootConstrainSelectedInstOperands,
     /* 415246 */     // GIR_Coverage, 4895,
     /* 415246 */     GIR_EraseRootFromParent_Done,
     /* 415247 */   // Label 8629: @415247
     /* 415247 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(415281), // Rule ID 2228 //
     /* 415252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415255 */     // MIs[0] imm
     /* 415255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 415267 */     // MIs[1] Operand 1
     /* 415267 */     // No operand predicates
     /* 415267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415269 */     // (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SSHRv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv4i32_shift),
     /* 415272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415274 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415279 */     GIR_RootConstrainSelectedInstOperands,
     /* 415280 */     // GIR_Coverage, 2228,
     /* 415280 */     GIR_EraseRootFromParent_Done,
     /* 415281 */   // Label 8630: @415281
     /* 415281 */   GIM_Reject,
     /* 415282 */ // Label 8628: @415282
     /* 415282 */ GIM_Reject,
     /* 415283 */ // Label 8611: @415283
     /* 415283 */ GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(415359),
     /* 415288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 415291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415299 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(415324), // Rule ID 4890 //
     /* 415304 */     // MIs[0] Operand 2
     /* 415304 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 415315 */     // (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, 7:{ *:[i32] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 415315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 415318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415320 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415322 */     GIR_RootConstrainSelectedInstOperands,
     /* 415323 */     // GIR_Coverage, 4890,
     /* 415323 */     GIR_EraseRootFromParent_Done,
     /* 415324 */   // Label 8632: @415324
     /* 415324 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(415358), // Rule ID 2223 //
     /* 415329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415332 */     // MIs[0] imm
     /* 415332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 415344 */     // MIs[1] Operand 1
     /* 415344 */     // No operand predicates
     /* 415344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415346 */     // (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (SSHRv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv8i8_shift),
     /* 415349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415351 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415356 */     GIR_RootConstrainSelectedInstOperands,
     /* 415357 */     // GIR_Coverage, 2223,
     /* 415357 */     GIR_EraseRootFromParent_Done,
     /* 415358 */   // Label 8633: @415358
     /* 415358 */   GIM_Reject,
     /* 415359 */ // Label 8631: @415359
     /* 415359 */ GIM_Reject,
     /* 415360 */ // Label 8612: @415360
     /* 415360 */ GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(415436),
     /* 415365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 415368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415376 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(415401), // Rule ID 4894 //
     /* 415381 */     // MIs[0] Operand 2
     /* 415381 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(15),
     /* 415392 */     // (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, 15:{ *:[i32] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 415392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 415395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415397 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415399 */     GIR_RootConstrainSelectedInstOperands,
     /* 415400 */     // GIR_Coverage, 4894,
     /* 415400 */     GIR_EraseRootFromParent_Done,
     /* 415401 */   // Label 8635: @415401
     /* 415401 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(415435), // Rule ID 2226 //
     /* 415406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415409 */     // MIs[0] imm
     /* 415409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 415421 */     // MIs[1] Operand 1
     /* 415421 */     // No operand predicates
     /* 415421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415423 */     // (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SSHRv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv8i16_shift),
     /* 415426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415428 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415433 */     GIR_RootConstrainSelectedInstOperands,
     /* 415434 */     // GIR_Coverage, 2226,
     /* 415434 */     GIR_EraseRootFromParent_Done,
     /* 415435 */   // Label 8636: @415435
     /* 415435 */   GIM_Reject,
     /* 415436 */ // Label 8634: @415436
     /* 415436 */ GIM_Reject,
     /* 415437 */ // Label 8613: @415437
     /* 415437 */ GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(415513),
     /* 415442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 415445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415453 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(415478), // Rule ID 4893 //
     /* 415458 */     // MIs[0] Operand 2
     /* 415458 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 415469 */     // (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, 7:{ *:[i32] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 415469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 415472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415474 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415476 */     GIR_RootConstrainSelectedInstOperands,
     /* 415477 */     // GIR_Coverage, 4893,
     /* 415477 */     GIR_EraseRootFromParent_Done,
     /* 415478 */   // Label 8638: @415478
     /* 415478 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(415512), // Rule ID 2224 //
     /* 415483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415486 */     // MIs[0] imm
     /* 415486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 415498 */     // MIs[1] Operand 1
     /* 415498 */     // No operand predicates
     /* 415498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415500 */     // (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (SSHRv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv16i8_shift),
     /* 415503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415505 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415510 */     GIR_RootConstrainSelectedInstOperands,
     /* 415511 */     // GIR_Coverage, 2224,
     /* 415511 */     GIR_EraseRootFromParent_Done,
     /* 415512 */   // Label 8639: @415512
     /* 415512 */   GIM_Reject,
     /* 415513 */ // Label 8637: @415513
     /* 415513 */ GIM_Reject,
     /* 415514 */ // Label 8614: @415514
     /* 415514 */ GIM_Reject,
     /* 415515 */ // Label 149: @415515
     /* 415515 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 8648*/ GIMT_Encode4(415970),
     /* 415526 */ /*GILLT_s64*//*Label 8640*/ GIMT_Encode4(415562), GIMT_Encode4(0),
     /* 415534 */ /*GILLT_v2s32*//*Label 8641*/ GIMT_Encode4(415648),
     /* 415538 */ /*GILLT_v2s64*//*Label 8642*/ GIMT_Encode4(415694),
     /* 415542 */ /*GILLT_v4s16*//*Label 8643*/ GIMT_Encode4(415740),
     /* 415546 */ /*GILLT_v4s32*//*Label 8644*/ GIMT_Encode4(415786),
     /* 415550 */ /*GILLT_v8s8*//*Label 8645*/ GIMT_Encode4(415832),
     /* 415554 */ /*GILLT_v8s16*//*Label 8646*/ GIMT_Encode4(415878),
     /* 415558 */ /*GILLT_v16s8*//*Label 8647*/ GIMT_Encode4(415924),
     /* 415562 */ // Label 8640: @415562
     /* 415562 */ GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(415647),
     /* 415567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 415570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415578 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(415612), // Rule ID 2129 //
     /* 415583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415586 */     // MIs[0] imm
     /* 415586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 415598 */     // MIs[1] Operand 1
     /* 415598 */     // No operand predicates
     /* 415598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415600 */     // (AArch64vlshr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (USHRd:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRd),
     /* 415603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415605 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415610 */     GIR_RootConstrainSelectedInstOperands,
     /* 415611 */     // GIR_Coverage, 2129,
     /* 415611 */     GIR_EraseRootFromParent_Done,
     /* 415612 */   // Label 8650: @415612
     /* 415612 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(415646), // Rule ID 6304 //
     /* 415617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415620 */     // MIs[0] imm
     /* 415620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 415632 */     // MIs[1] Operand 1
     /* 415632 */     // No operand predicates
     /* 415632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415634 */     // (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (USHRd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 415634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRd),
     /* 415637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415639 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415644 */     GIR_RootConstrainSelectedInstOperands,
     /* 415645 */     // GIR_Coverage, 6304,
     /* 415645 */     GIR_EraseRootFromParent_Done,
     /* 415646 */   // Label 8651: @415646
     /* 415646 */   GIM_Reject,
     /* 415647 */ // Label 8649: @415647
     /* 415647 */ GIM_Reject,
     /* 415648 */ // Label 8641: @415648
     /* 415648 */ GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(415693), // Rule ID 2286 //
     /* 415653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 415659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415667 */   // MIs[0] imm
     /* 415667 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415671 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415675 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 415679 */   // MIs[1] Operand 1
     /* 415679 */   // No operand predicates
     /* 415679 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415681 */   // (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (USHRv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv2i32_shift),
     /* 415684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415686 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415688 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415691 */   GIR_RootConstrainSelectedInstOperands,
     /* 415692 */   // GIR_Coverage, 2286,
     /* 415692 */   GIR_EraseRootFromParent_Done,
     /* 415693 */ // Label 8652: @415693
     /* 415693 */ GIM_Reject,
     /* 415694 */ // Label 8642: @415694
     /* 415694 */ GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(415739), // Rule ID 2288 //
     /* 415699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 415705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415713 */   // MIs[0] imm
     /* 415713 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415717 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415721 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 415725 */   // MIs[1] Operand 1
     /* 415725 */   // No operand predicates
     /* 415725 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415727 */   // (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (USHRv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv2i64_shift),
     /* 415730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415732 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415734 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415737 */   GIR_RootConstrainSelectedInstOperands,
     /* 415738 */   // GIR_Coverage, 2288,
     /* 415738 */   GIR_EraseRootFromParent_Done,
     /* 415739 */ // Label 8653: @415739
     /* 415739 */ GIM_Reject,
     /* 415740 */ // Label 8643: @415740
     /* 415740 */ GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(415785), // Rule ID 2284 //
     /* 415745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 415751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415759 */   // MIs[0] imm
     /* 415759 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415763 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415767 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 415771 */   // MIs[1] Operand 1
     /* 415771 */   // No operand predicates
     /* 415771 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415773 */   // (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (USHRv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv4i16_shift),
     /* 415776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415778 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415780 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415783 */   GIR_RootConstrainSelectedInstOperands,
     /* 415784 */   // GIR_Coverage, 2284,
     /* 415784 */   GIR_EraseRootFromParent_Done,
     /* 415785 */ // Label 8654: @415785
     /* 415785 */ GIM_Reject,
     /* 415786 */ // Label 8644: @415786
     /* 415786 */ GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(415831), // Rule ID 2287 //
     /* 415791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 415797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415805 */   // MIs[0] imm
     /* 415805 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415809 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415813 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 415817 */   // MIs[1] Operand 1
     /* 415817 */   // No operand predicates
     /* 415817 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415819 */   // (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (USHRv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv4i32_shift),
     /* 415822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415824 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415826 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415829 */   GIR_RootConstrainSelectedInstOperands,
     /* 415830 */   // GIR_Coverage, 2287,
     /* 415830 */   GIR_EraseRootFromParent_Done,
     /* 415831 */ // Label 8655: @415831
     /* 415831 */ GIM_Reject,
     /* 415832 */ // Label 8645: @415832
     /* 415832 */ GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(415877), // Rule ID 2282 //
     /* 415837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 415843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415851 */   // MIs[0] imm
     /* 415851 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415855 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415859 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 415863 */   // MIs[1] Operand 1
     /* 415863 */   // No operand predicates
     /* 415863 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415865 */   // (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (USHRv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv8i8_shift),
     /* 415868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415870 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415872 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415875 */   GIR_RootConstrainSelectedInstOperands,
     /* 415876 */   // GIR_Coverage, 2282,
     /* 415876 */   GIR_EraseRootFromParent_Done,
     /* 415877 */ // Label 8656: @415877
     /* 415877 */ GIM_Reject,
     /* 415878 */ // Label 8646: @415878
     /* 415878 */ GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(415923), // Rule ID 2285 //
     /* 415883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 415889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415897 */   // MIs[0] imm
     /* 415897 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415901 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415905 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 415909 */   // MIs[1] Operand 1
     /* 415909 */   // No operand predicates
     /* 415909 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415911 */   // (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (USHRv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv8i16_shift),
     /* 415914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415916 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415918 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415921 */   GIR_RootConstrainSelectedInstOperands,
     /* 415922 */   // GIR_Coverage, 2285,
     /* 415922 */   GIR_EraseRootFromParent_Done,
     /* 415923 */ // Label 8657: @415923
     /* 415923 */ GIM_Reject,
     /* 415924 */ // Label 8647: @415924
     /* 415924 */ GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(415969), // Rule ID 2283 //
     /* 415929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 415935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415943 */   // MIs[0] imm
     /* 415943 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415947 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415951 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 415955 */   // MIs[1] Operand 1
     /* 415955 */   // No operand predicates
     /* 415955 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415957 */   // (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (USHRv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv16i8_shift),
     /* 415960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415962 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415964 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415967 */   GIR_RootConstrainSelectedInstOperands,
     /* 415968 */   // GIR_Coverage, 2283,
     /* 415968 */   GIR_EraseRootFromParent_Done,
     /* 415969 */ // Label 8658: @415969
     /* 415969 */ GIM_Reject,
     /* 415970 */ // Label 8648: @415970
     /* 415970 */ GIM_Reject,
     /* 415971 */ // Label 150: @415971
     /* 415971 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8677*/ GIMT_Encode4(416750),
     /* 415982 */ /*GILLT_v2s32*//*Label 8659*/ GIMT_Encode4(416058),
     /* 415986 */ /*GILLT_v2s64*//*Label 8660*/ GIMT_Encode4(416113),
     /* 415990 */ /*GILLT_v4s16*//*Label 8661*/ GIMT_Encode4(416168),
     /* 415994 */ /*GILLT_v4s32*//*Label 8662*/ GIMT_Encode4(416223),
     /* 415998 */ /*GILLT_v8s8*//*Label 8663*/ GIMT_Encode4(416278),
     /* 416002 */ /*GILLT_v8s16*//*Label 8664*/ GIMT_Encode4(416312),
     /* 416006 */ /*GILLT_v16s8*//*Label 8665*/ GIMT_Encode4(416367), GIMT_Encode4(0),
     /* 416014 */ /*GILLT_nxv2s1*//*Label 8666*/ GIMT_Encode4(416401),
     /* 416018 */ /*GILLT_nxv2s16*//*Label 8667*/ GIMT_Encode4(416427),
     /* 416022 */ /*GILLT_nxv2s32*//*Label 8668*/ GIMT_Encode4(416453),
     /* 416026 */ /*GILLT_nxv2s64*//*Label 8669*/ GIMT_Encode4(416479),
     /* 416030 */ /*GILLT_nxv4s1*//*Label 8670*/ GIMT_Encode4(416526),
     /* 416034 */ /*GILLT_nxv4s16*//*Label 8671*/ GIMT_Encode4(416552),
     /* 416038 */ /*GILLT_nxv4s32*//*Label 8672*/ GIMT_Encode4(416578),
     /* 416042 */ /*GILLT_nxv8s1*//*Label 8673*/ GIMT_Encode4(416625),
     /* 416046 */ /*GILLT_nxv8s16*//*Label 8674*/ GIMT_Encode4(416651),
     /* 416050 */ /*GILLT_nxv16s1*//*Label 8675*/ GIMT_Encode4(416698),
     /* 416054 */ /*GILLT_nxv16s8*//*Label 8676*/ GIMT_Encode4(416724),
     /* 416058 */ // Label 8659: @416058
     /* 416058 */ GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(416112),
     /* 416063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 416066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 416069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416081 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(416096), // Rule ID 1902 //
     /* 416086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416089 */     // (AArch64zip1:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ZIP1v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 416089 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i32),
     /* 416094 */     GIR_RootConstrainSelectedInstOperands,
     /* 416095 */     // GIR_Coverage, 1902,
     /* 416095 */     GIR_Done,
     /* 416096 */   // Label 8679: @416096
     /* 416096 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(416111), // Rule ID 5484 //
     /* 416101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416104 */     // (AArch64zip1:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (ZIP1v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 416104 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i32),
     /* 416109 */     GIR_RootConstrainSelectedInstOperands,
     /* 416110 */     // GIR_Coverage, 5484,
     /* 416110 */     GIR_Done,
     /* 416111 */   // Label 8680: @416111
     /* 416111 */   GIM_Reject,
     /* 416112 */ // Label 8678: @416112
     /* 416112 */ GIM_Reject,
     /* 416113 */ // Label 8660: @416113
     /* 416113 */ GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(416167),
     /* 416118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 416121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 416124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416136 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(416151), // Rule ID 1904 //
     /* 416141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416144 */     // (AArch64zip1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ZIP1v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 416144 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i64),
     /* 416149 */     GIR_RootConstrainSelectedInstOperands,
     /* 416150 */     // GIR_Coverage, 1904,
     /* 416150 */     GIR_Done,
     /* 416151 */   // Label 8682: @416151
     /* 416151 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(416166), // Rule ID 5486 //
     /* 416156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416159 */     // (AArch64zip1:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (ZIP1v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 416159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i64),
     /* 416164 */     GIR_RootConstrainSelectedInstOperands,
     /* 416165 */     // GIR_Coverage, 5486,
     /* 416165 */     GIR_Done,
     /* 416166 */   // Label 8683: @416166
     /* 416166 */   GIM_Reject,
     /* 416167 */ // Label 8681: @416167
     /* 416167 */ GIM_Reject,
     /* 416168 */ // Label 8661: @416168
     /* 416168 */ GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(416222),
     /* 416173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 416176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 416179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416191 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(416206), // Rule ID 1900 //
     /* 416196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416199 */     // (AArch64zip1:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ZIP1v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 416199 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i16),
     /* 416204 */     GIR_RootConstrainSelectedInstOperands,
     /* 416205 */     // GIR_Coverage, 1900,
     /* 416205 */     GIR_Done,
     /* 416206 */   // Label 8685: @416206
     /* 416206 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(416221), // Rule ID 5482 //
     /* 416211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416214 */     // (AArch64zip1:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (ZIP1v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 416214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i16),
     /* 416219 */     GIR_RootConstrainSelectedInstOperands,
     /* 416220 */     // GIR_Coverage, 5482,
     /* 416220 */     GIR_Done,
     /* 416221 */   // Label 8686: @416221
     /* 416221 */   GIM_Reject,
     /* 416222 */ // Label 8684: @416222
     /* 416222 */ GIM_Reject,
     /* 416223 */ // Label 8662: @416223
     /* 416223 */ GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(416277),
     /* 416228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 416231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 416234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416246 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(416261), // Rule ID 1903 //
     /* 416251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416254 */     // (AArch64zip1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ZIP1v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 416254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i32),
     /* 416259 */     GIR_RootConstrainSelectedInstOperands,
     /* 416260 */     // GIR_Coverage, 1903,
     /* 416260 */     GIR_Done,
     /* 416261 */   // Label 8688: @416261
     /* 416261 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(416276), // Rule ID 5485 //
     /* 416266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416269 */     // (AArch64zip1:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (ZIP1v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 416269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i32),
     /* 416274 */     GIR_RootConstrainSelectedInstOperands,
     /* 416275 */     // GIR_Coverage, 5485,
     /* 416275 */     GIR_Done,
     /* 416276 */   // Label 8689: @416276
     /* 416276 */   GIM_Reject,
     /* 416277 */ // Label 8687: @416277
     /* 416277 */ GIM_Reject,
     /* 416278 */ // Label 8663: @416278
     /* 416278 */ GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(416311), // Rule ID 1898 //
     /* 416283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 416289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 416292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416304 */   // (AArch64zip1:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ZIP1v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 416304 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i8),
     /* 416309 */   GIR_RootConstrainSelectedInstOperands,
     /* 416310 */   // GIR_Coverage, 1898,
     /* 416310 */   GIR_Done,
     /* 416311 */ // Label 8690: @416311
     /* 416311 */ GIM_Reject,
     /* 416312 */ // Label 8664: @416312
     /* 416312 */ GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(416366),
     /* 416317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 416320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 416323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416335 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(416350), // Rule ID 1901 //
     /* 416340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416343 */     // (AArch64zip1:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ZIP1v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 416343 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i16),
     /* 416348 */     GIR_RootConstrainSelectedInstOperands,
     /* 416349 */     // GIR_Coverage, 1901,
     /* 416349 */     GIR_Done,
     /* 416350 */   // Label 8692: @416350
     /* 416350 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(416365), // Rule ID 5483 //
     /* 416355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416358 */     // (AArch64zip1:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (ZIP1v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 416358 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i16),
     /* 416363 */     GIR_RootConstrainSelectedInstOperands,
     /* 416364 */     // GIR_Coverage, 5483,
     /* 416364 */     GIR_Done,
     /* 416365 */   // Label 8693: @416365
     /* 416365 */   GIM_Reject,
     /* 416366 */ // Label 8691: @416366
     /* 416366 */ GIM_Reject,
     /* 416367 */ // Label 8665: @416367
     /* 416367 */ GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(416400), // Rule ID 1899 //
     /* 416372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 416378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 416381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416393 */   // (AArch64zip1:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ZIP1v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 416393 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v16i8),
     /* 416398 */   GIR_RootConstrainSelectedInstOperands,
     /* 416399 */   // GIR_Coverage, 1899,
     /* 416399 */   GIR_Done,
     /* 416400 */ // Label 8694: @416400
     /* 416400 */ GIM_Reject,
     /* 416401 */ // Label 8666: @416401
     /* 416401 */ GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(416426), // Rule ID 3348 //
     /* 416406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 416412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 416415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 416419 */   // (AArch64zip1:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (ZIP1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 416419 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_D),
     /* 416424 */   GIR_RootConstrainSelectedInstOperands,
     /* 416425 */   // GIR_Coverage, 3348,
     /* 416425 */   GIR_Done,
     /* 416426 */ // Label 8695: @416426
     /* 416426 */ GIM_Reject,
     /* 416427 */ // Label 8667: @416427
     /* 416427 */ GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(416452), // Rule ID 2879 //
     /* 416432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 416438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 416441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416445 */   // (AArch64zip1:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 416445 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 416450 */   GIR_RootConstrainSelectedInstOperands,
     /* 416451 */   // GIR_Coverage, 2879,
     /* 416451 */   GIR_Done,
     /* 416452 */ // Label 8696: @416452
     /* 416452 */ GIM_Reject,
     /* 416453 */ // Label 8668: @416453
     /* 416453 */ GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(416478), // Rule ID 2880 //
     /* 416458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 416464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 416467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416471 */   // (AArch64zip1:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 416471 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 416476 */   GIR_RootConstrainSelectedInstOperands,
     /* 416477 */   // GIR_Coverage, 2880,
     /* 416477 */   GIR_Done,
     /* 416478 */ // Label 8697: @416478
     /* 416478 */ GIM_Reject,
     /* 416479 */ // Label 8669: @416479
     /* 416479 */ GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(416525),
     /* 416484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 416487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 416490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416494 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(416509), // Rule ID 2875 //
     /* 416499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416502 */     // (AArch64zip1:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 416502 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 416507 */     GIR_RootConstrainSelectedInstOperands,
     /* 416508 */     // GIR_Coverage, 2875,
     /* 416508 */     GIR_Done,
     /* 416509 */   // Label 8699: @416509
     /* 416509 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(416524), // Rule ID 2881 //
     /* 416514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416517 */     // (AArch64zip1:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 416517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 416522 */     GIR_RootConstrainSelectedInstOperands,
     /* 416523 */     // GIR_Coverage, 2881,
     /* 416523 */     GIR_Done,
     /* 416524 */   // Label 8700: @416524
     /* 416524 */   GIM_Reject,
     /* 416525 */ // Label 8698: @416525
     /* 416525 */ GIM_Reject,
     /* 416526 */ // Label 8670: @416526
     /* 416526 */ GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(416551), // Rule ID 3347 //
     /* 416531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 416537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 416540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 416544 */   // (AArch64zip1:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (ZIP1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 416544 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_S),
     /* 416549 */   GIR_RootConstrainSelectedInstOperands,
     /* 416550 */   // GIR_Coverage, 3347,
     /* 416550 */   GIR_Done,
     /* 416551 */ // Label 8701: @416551
     /* 416551 */ GIM_Reject,
     /* 416552 */ // Label 8671: @416552
     /* 416552 */ GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(416577), // Rule ID 2877 //
     /* 416557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 416563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 416566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416570 */   // (AArch64zip1:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (ZIP1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 416570 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_S),
     /* 416575 */   GIR_RootConstrainSelectedInstOperands,
     /* 416576 */   // GIR_Coverage, 2877,
     /* 416576 */   GIR_Done,
     /* 416577 */ // Label 8702: @416577
     /* 416577 */ GIM_Reject,
     /* 416578 */ // Label 8672: @416578
     /* 416578 */ GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(416624),
     /* 416583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 416586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 416589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416593 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(416608), // Rule ID 2874 //
     /* 416598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416601 */     // (AArch64zip1:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 416601 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_S),
     /* 416606 */     GIR_RootConstrainSelectedInstOperands,
     /* 416607 */     // GIR_Coverage, 2874,
     /* 416607 */     GIR_Done,
     /* 416608 */   // Label 8704: @416608
     /* 416608 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(416623), // Rule ID 2878 //
     /* 416613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416616 */     // (AArch64zip1:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 416616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_S),
     /* 416621 */     GIR_RootConstrainSelectedInstOperands,
     /* 416622 */     // GIR_Coverage, 2878,
     /* 416622 */     GIR_Done,
     /* 416623 */   // Label 8705: @416623
     /* 416623 */   GIM_Reject,
     /* 416624 */ // Label 8703: @416624
     /* 416624 */ GIM_Reject,
     /* 416625 */ // Label 8673: @416625
     /* 416625 */ GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(416650), // Rule ID 3346 //
     /* 416630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 416636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 416639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 416643 */   // (AArch64zip1:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (ZIP1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 416643 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_H),
     /* 416648 */   GIR_RootConstrainSelectedInstOperands,
     /* 416649 */   // GIR_Coverage, 3346,
     /* 416649 */   GIR_Done,
     /* 416650 */ // Label 8706: @416650
     /* 416650 */ GIM_Reject,
     /* 416651 */ // Label 8674: @416651
     /* 416651 */ GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(416697),
     /* 416656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 416659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 416662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416666 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(416681), // Rule ID 2873 //
     /* 416671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416674 */     // (AArch64zip1:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 416674 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_H),
     /* 416679 */     GIR_RootConstrainSelectedInstOperands,
     /* 416680 */     // GIR_Coverage, 2873,
     /* 416680 */     GIR_Done,
     /* 416681 */   // Label 8708: @416681
     /* 416681 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(416696), // Rule ID 2876 //
     /* 416686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416689 */     // (AArch64zip1:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 416689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_H),
     /* 416694 */     GIR_RootConstrainSelectedInstOperands,
     /* 416695 */     // GIR_Coverage, 2876,
     /* 416695 */     GIR_Done,
     /* 416696 */   // Label 8709: @416696
     /* 416696 */   GIM_Reject,
     /* 416697 */ // Label 8707: @416697
     /* 416697 */ GIM_Reject,
     /* 416698 */ // Label 8675: @416698
     /* 416698 */ GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(416723), // Rule ID 2398 //
     /* 416703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 416709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 416712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 416716 */   // (AArch64zip1:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 416716 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_B),
     /* 416721 */   GIR_RootConstrainSelectedInstOperands,
     /* 416722 */   // GIR_Coverage, 2398,
     /* 416722 */   GIR_Done,
     /* 416723 */ // Label 8710: @416723
     /* 416723 */ GIM_Reject,
     /* 416724 */ // Label 8676: @416724
     /* 416724 */ GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(416749), // Rule ID 2872 //
     /* 416729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 416735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 416738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416742 */   // (AArch64zip1:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 416742 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_B),
     /* 416747 */   GIR_RootConstrainSelectedInstOperands,
     /* 416748 */   // GIR_Coverage, 2872,
     /* 416748 */   GIR_Done,
     /* 416749 */ // Label 8711: @416749
     /* 416749 */ GIM_Reject,
     /* 416750 */ // Label 8677: @416750
     /* 416750 */ GIM_Reject,
     /* 416751 */ // Label 151: @416751
     /* 416751 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8730*/ GIMT_Encode4(417530),
     /* 416762 */ /*GILLT_v2s32*//*Label 8712*/ GIMT_Encode4(416838),
     /* 416766 */ /*GILLT_v2s64*//*Label 8713*/ GIMT_Encode4(416893),
     /* 416770 */ /*GILLT_v4s16*//*Label 8714*/ GIMT_Encode4(416948),
     /* 416774 */ /*GILLT_v4s32*//*Label 8715*/ GIMT_Encode4(417003),
     /* 416778 */ /*GILLT_v8s8*//*Label 8716*/ GIMT_Encode4(417058),
     /* 416782 */ /*GILLT_v8s16*//*Label 8717*/ GIMT_Encode4(417092),
     /* 416786 */ /*GILLT_v16s8*//*Label 8718*/ GIMT_Encode4(417147), GIMT_Encode4(0),
     /* 416794 */ /*GILLT_nxv2s1*//*Label 8719*/ GIMT_Encode4(417181),
     /* 416798 */ /*GILLT_nxv2s16*//*Label 8720*/ GIMT_Encode4(417207),
     /* 416802 */ /*GILLT_nxv2s32*//*Label 8721*/ GIMT_Encode4(417233),
     /* 416806 */ /*GILLT_nxv2s64*//*Label 8722*/ GIMT_Encode4(417259),
     /* 416810 */ /*GILLT_nxv4s1*//*Label 8723*/ GIMT_Encode4(417306),
     /* 416814 */ /*GILLT_nxv4s16*//*Label 8724*/ GIMT_Encode4(417332),
     /* 416818 */ /*GILLT_nxv4s32*//*Label 8725*/ GIMT_Encode4(417358),
     /* 416822 */ /*GILLT_nxv8s1*//*Label 8726*/ GIMT_Encode4(417405),
     /* 416826 */ /*GILLT_nxv8s16*//*Label 8727*/ GIMT_Encode4(417431),
     /* 416830 */ /*GILLT_nxv16s1*//*Label 8728*/ GIMT_Encode4(417478),
     /* 416834 */ /*GILLT_nxv16s8*//*Label 8729*/ GIMT_Encode4(417504),
     /* 416838 */ // Label 8712: @416838
     /* 416838 */ GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(416892),
     /* 416843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 416846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 416849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416861 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(416876), // Rule ID 1909 //
     /* 416866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416869 */     // (AArch64zip2:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ZIP2v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 416869 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i32),
     /* 416874 */     GIR_RootConstrainSelectedInstOperands,
     /* 416875 */     // GIR_Coverage, 1909,
     /* 416875 */     GIR_Done,
     /* 416876 */   // Label 8732: @416876
     /* 416876 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(416891), // Rule ID 5489 //
     /* 416881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416884 */     // (AArch64zip2:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (ZIP2v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 416884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i32),
     /* 416889 */     GIR_RootConstrainSelectedInstOperands,
     /* 416890 */     // GIR_Coverage, 5489,
     /* 416890 */     GIR_Done,
     /* 416891 */   // Label 8733: @416891
     /* 416891 */   GIM_Reject,
     /* 416892 */ // Label 8731: @416892
     /* 416892 */ GIM_Reject,
     /* 416893 */ // Label 8713: @416893
     /* 416893 */ GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(416947),
     /* 416898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 416901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 416904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416916 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(416931), // Rule ID 1911 //
     /* 416921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416924 */     // (AArch64zip2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ZIP2v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 416924 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i64),
     /* 416929 */     GIR_RootConstrainSelectedInstOperands,
     /* 416930 */     // GIR_Coverage, 1911,
     /* 416930 */     GIR_Done,
     /* 416931 */   // Label 8735: @416931
     /* 416931 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(416946), // Rule ID 5491 //
     /* 416936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416939 */     // (AArch64zip2:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (ZIP2v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 416939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i64),
     /* 416944 */     GIR_RootConstrainSelectedInstOperands,
     /* 416945 */     // GIR_Coverage, 5491,
     /* 416945 */     GIR_Done,
     /* 416946 */   // Label 8736: @416946
     /* 416946 */   GIM_Reject,
     /* 416947 */ // Label 8734: @416947
     /* 416947 */ GIM_Reject,
     /* 416948 */ // Label 8714: @416948
     /* 416948 */ GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(417002),
     /* 416953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 416956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 416959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416971 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(416986), // Rule ID 1907 //
     /* 416976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416979 */     // (AArch64zip2:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ZIP2v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 416979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i16),
     /* 416984 */     GIR_RootConstrainSelectedInstOperands,
     /* 416985 */     // GIR_Coverage, 1907,
     /* 416985 */     GIR_Done,
     /* 416986 */   // Label 8738: @416986
     /* 416986 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(417001), // Rule ID 5487 //
     /* 416991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416994 */     // (AArch64zip2:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (ZIP2v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 416994 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i16),
     /* 416999 */     GIR_RootConstrainSelectedInstOperands,
     /* 417000 */     // GIR_Coverage, 5487,
     /* 417000 */     GIR_Done,
     /* 417001 */   // Label 8739: @417001
     /* 417001 */   GIM_Reject,
     /* 417002 */ // Label 8737: @417002
     /* 417002 */ GIM_Reject,
     /* 417003 */ // Label 8715: @417003
     /* 417003 */ GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(417057),
     /* 417008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 417011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 417014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 417018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 417022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 417026 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(417041), // Rule ID 1910 //
     /* 417031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 417034 */     // (AArch64zip2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ZIP2v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 417034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i32),
     /* 417039 */     GIR_RootConstrainSelectedInstOperands,
     /* 417040 */     // GIR_Coverage, 1910,
     /* 417040 */     GIR_Done,
     /* 417041 */   // Label 8741: @417041
     /* 417041 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(417056), // Rule ID 5490 //
     /* 417046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 417049 */     // (AArch64zip2:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (ZIP2v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 417049 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i32),
     /* 417054 */     GIR_RootConstrainSelectedInstOperands,
     /* 417055 */     // GIR_Coverage, 5490,
     /* 417055 */     GIR_Done,
     /* 417056 */   // Label 8742: @417056
     /* 417056 */   GIM_Reject,
     /* 417057 */ // Label 8740: @417057
     /* 417057 */ GIM_Reject,
     /* 417058 */ // Label 8716: @417058
     /* 417058 */ GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(417091), // Rule ID 1905 //
     /* 417063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 417066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 417069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 417072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 417076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 417080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 417084 */   // (AArch64zip2:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ZIP2v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 417084 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i8),
     /* 417089 */   GIR_RootConstrainSelectedInstOperands,
     /* 417090 */   // GIR_Coverage, 1905,
     /* 417090 */   GIR_Done,
     /* 417091 */ // Label 8743: @417091
     /* 417091 */ GIM_Reject,
     /* 417092 */ // Label 8717: @417092
     /* 417092 */ GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(417146),
     /* 417097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 417100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 417103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 417107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 417111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 417115 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(417130), // Rule ID 1908 //
     /* 417120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 417123 */     // (AArch64zip2:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ZIP2v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 417123 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i16),
     /* 417128 */     GIR_RootConstrainSelectedInstOperands,
     /* 417129 */     // GIR_Coverage, 1908,
     /* 417129 */     GIR_Done,
     /* 417130 */   // Label 8745: @417130
     /* 417130 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(417145), // Rule ID 5488 //
     /* 417135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 417138 */     // (AArch64zip2:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (ZIP2v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 417138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i16),
     /* 417143 */     GIR_RootConstrainSelectedInstOperands,
     /* 417144 */     // GIR_Coverage, 5488,
     /* 417144 */     GIR_Done,
     /* 417145 */   // Label 8746: @417145
     /* 417145 */   GIM_Reject,
     /* 417146 */ // Label 8744: @417146
     /* 417146 */ GIM_Reject,
     /* 417147 */ // Label 8718: @417147
     /* 417147 */ GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(417180), // Rule ID 1906 //
     /* 417152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 417155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 417158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 417161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 417165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 417169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 417173 */   // (AArch64zip2:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ZIP2v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 417173 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v16i8),
     /* 417178 */   GIR_RootConstrainSelectedInstOperands,
     /* 417179 */   // GIR_Coverage, 1906,
     /* 417179 */   GIR_Done,
     /* 417180 */ // Label 8747: @417180
     /* 417180 */ GIM_Reject,
     /* 417181 */ // Label 8719: @417181
     /* 417181 */ GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(417206), // Rule ID 8948 //
     /* 417186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 417192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 417195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 417199 */   // (AArch64zip2:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (ZIP2_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 417199 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_D),
     /* 417204 */   GIR_RootConstrainSelectedInstOperands,
     /* 417205 */   // GIR_Coverage, 8948,
     /* 417205 */   GIR_Done,
     /* 417206 */ // Label 8748: @417206
     /* 417206 */ GIM_Reject,
     /* 417207 */ // Label 8720: @417207
     /* 417207 */ GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(417232), // Rule ID 8903 //
     /* 417212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 417218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 417221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417225 */   // (AArch64zip2:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 417225 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 417230 */   GIR_RootConstrainSelectedInstOperands,
     /* 417231 */   // GIR_Coverage, 8903,
     /* 417231 */   GIR_Done,
     /* 417232 */ // Label 8749: @417232
     /* 417232 */ GIM_Reject,
     /* 417233 */ // Label 8721: @417233
     /* 417233 */ GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(417258), // Rule ID 8904 //
     /* 417238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 417244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 417247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417251 */   // (AArch64zip2:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 417251 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 417256 */   GIR_RootConstrainSelectedInstOperands,
     /* 417257 */   // GIR_Coverage, 8904,
     /* 417257 */   GIR_Done,
     /* 417258 */ // Label 8750: @417258
     /* 417258 */ GIM_Reject,
     /* 417259 */ // Label 8722: @417259
     /* 417259 */ GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(417305),
     /* 417264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 417267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 417270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417274 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(417289), // Rule ID 8899 //
     /* 417279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417282 */     // (AArch64zip2:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 417282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 417287 */     GIR_RootConstrainSelectedInstOperands,
     /* 417288 */     // GIR_Coverage, 8899,
     /* 417288 */     GIR_Done,
     /* 417289 */   // Label 8752: @417289
     /* 417289 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(417304), // Rule ID 8905 //
     /* 417294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417297 */     // (AArch64zip2:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 417297 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 417302 */     GIR_RootConstrainSelectedInstOperands,
     /* 417303 */     // GIR_Coverage, 8905,
     /* 417303 */     GIR_Done,
     /* 417304 */   // Label 8753: @417304
     /* 417304 */   GIM_Reject,
     /* 417305 */ // Label 8751: @417305
     /* 417305 */ GIM_Reject,
     /* 417306 */ // Label 8723: @417306
     /* 417306 */ GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(417331), // Rule ID 8947 //
     /* 417311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 417317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 417320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 417324 */   // (AArch64zip2:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (ZIP2_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 417324 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_S),
     /* 417329 */   GIR_RootConstrainSelectedInstOperands,
     /* 417330 */   // GIR_Coverage, 8947,
     /* 417330 */   GIR_Done,
     /* 417331 */ // Label 8754: @417331
     /* 417331 */ GIM_Reject,
     /* 417332 */ // Label 8724: @417332
     /* 417332 */ GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(417357), // Rule ID 8901 //
     /* 417337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 417343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 417346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417350 */   // (AArch64zip2:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (ZIP2_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 417350 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_S),
     /* 417355 */   GIR_RootConstrainSelectedInstOperands,
     /* 417356 */   // GIR_Coverage, 8901,
     /* 417356 */   GIR_Done,
     /* 417357 */ // Label 8755: @417357
     /* 417357 */ GIM_Reject,
     /* 417358 */ // Label 8725: @417358
     /* 417358 */ GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(417404),
     /* 417363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 417366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 417369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417373 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(417388), // Rule ID 8898 //
     /* 417378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417381 */     // (AArch64zip2:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 417381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_S),
     /* 417386 */     GIR_RootConstrainSelectedInstOperands,
     /* 417387 */     // GIR_Coverage, 8898,
     /* 417387 */     GIR_Done,
     /* 417388 */   // Label 8757: @417388
     /* 417388 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(417403), // Rule ID 8902 //
     /* 417393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417396 */     // (AArch64zip2:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 417396 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_S),
     /* 417401 */     GIR_RootConstrainSelectedInstOperands,
     /* 417402 */     // GIR_Coverage, 8902,
     /* 417402 */     GIR_Done,
     /* 417403 */   // Label 8758: @417403
     /* 417403 */   GIM_Reject,
     /* 417404 */ // Label 8756: @417404
     /* 417404 */ GIM_Reject,
     /* 417405 */ // Label 8726: @417405
     /* 417405 */ GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(417430), // Rule ID 8946 //
     /* 417410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 417416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 417419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 417423 */   // (AArch64zip2:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (ZIP2_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 417423 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_H),
     /* 417428 */   GIR_RootConstrainSelectedInstOperands,
     /* 417429 */   // GIR_Coverage, 8946,
     /* 417429 */   GIR_Done,
     /* 417430 */ // Label 8759: @417430
     /* 417430 */ GIM_Reject,
     /* 417431 */ // Label 8727: @417431
     /* 417431 */ GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(417477),
     /* 417436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 417439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 417442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417446 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(417461), // Rule ID 8897 //
     /* 417451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417454 */     // (AArch64zip2:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 417454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_H),
     /* 417459 */     GIR_RootConstrainSelectedInstOperands,
     /* 417460 */     // GIR_Coverage, 8897,
     /* 417460 */     GIR_Done,
     /* 417461 */   // Label 8761: @417461
     /* 417461 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(417476), // Rule ID 8900 //
     /* 417466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417469 */     // (AArch64zip2:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 417469 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_H),
     /* 417474 */     GIR_RootConstrainSelectedInstOperands,
     /* 417475 */     // GIR_Coverage, 8900,
     /* 417475 */     GIR_Done,
     /* 417476 */   // Label 8762: @417476
     /* 417476 */   GIM_Reject,
     /* 417477 */ // Label 8760: @417477
     /* 417477 */ GIM_Reject,
     /* 417478 */ // Label 8728: @417478
     /* 417478 */ GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(417503), // Rule ID 2402 //
     /* 417483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 417489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 417492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 417496 */   // (AArch64zip2:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 417496 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_B),
     /* 417501 */   GIR_RootConstrainSelectedInstOperands,
     /* 417502 */   // GIR_Coverage, 2402,
     /* 417502 */   GIR_Done,
     /* 417503 */ // Label 8763: @417503
     /* 417503 */ GIM_Reject,
     /* 417504 */ // Label 8729: @417504
     /* 417504 */ GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(417529), // Rule ID 8896 //
     /* 417509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 417515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 417518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417522 */   // (AArch64zip2:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 417522 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_B),
     /* 417527 */   GIR_RootConstrainSelectedInstOperands,
     /* 417528 */   // GIR_Coverage, 8896,
     /* 417528 */   GIR_Done,
     /* 417529 */ // Label 8764: @417529
     /* 417529 */ GIM_Reject,
     /* 417530 */ // Label 8730: @417530
     /* 417530 */ GIM_Reject,
     /* 417531 */ // Label 152: @417531
     /* 417531 */ GIM_Reject,
     /* 417532 */ }; // Size: 417532 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const AArch64Subtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const AArch64Subtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
